CREATE USER DUMBO
   IDENTIFIED BY VALUES 'XXX'
   DEFAULT TABLESPACE DUMBO
   TEMPORARY TABLESPACE TEMP
   PROFILE DEFAULT
   ACCOUNT UNLOCK;
   -- 1 Role for DUMBO
   GRANT CONNECT TO DUMBO;
   ALTER USER DUMBO DEFAULT ROLE ALL;
   -- 2 System Privileges for DUMBO
   GRANT CREATE SEQUENCE TO DUMBO;
   GRANT CREATE PROCEDURE TO DUMBO;
   -- 2 Tablespace Quotas for DUMBO
   ALTER USER DUMBO QUOTA UNLIMITED ON INDDUMBO;
   ALTER USER DUMBO QUOTA UNLIMITED ON DUMBO;
   -- 1 Object Privilege for DUMBO
   GRANT EXECUTE ON  SYS.DBMS_SQL TO DUMBO;


CREATE USER JV_DUMBO
 IDENTIFIED BY VALUES 'XXX'
 DEFAULT TABLESPACE USERS
 TEMPORARY TABLESPACE TEMP
 PROFILE DEFAULT
 ACCOUNT UNLOCK;
 -- 2 System Privileges for JV_DUMBO
 GRANT CREATE SESSION TO JV_DUMBO;
 GRANT CREATE SYNONYM TO JV_DUMBO;




