CREATE INDEX DUMBO.I_D7_TAREAS_1 ON DUMBO.D7_TAREAS
(TAR_INF_COD)
LOGGING
TABLESPACE INDDUMBO
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          40K
            NEXT             40K
            MINEXTENTS       1
            MAXEXTENTS       505
            PCTINCREASE      50
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX DUMBO.I_D7_TAREAS_2 ON DUMBO.D7_TAREAS
(TAR_USU_COD)
LOGGING
TABLESPACE INDDUMBO
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          40K
            NEXT             40K
            MINEXTENTS       1
            MAXEXTENTS       505
            PCTINCREASE      50
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX DUMBO.I_D7_TAREAS_3 ON DUMBO.D7_TAREAS
(TAR_PADRE_TAR_COD)
LOGGING
TABLESPACE INDDUMBO
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          40K
            NEXT             40K
            MINEXTENTS       1
            MAXEXTENTS       505
            PCTINCREASE      50
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;
