PROMPT -- CREO EL PAQUETE PKD7_TURNOS --;
CREATE OR REPLACE PACKAGE PKD7_TURNOS IS

   PROCEDURE COPIAR_TURNOS(sist in varchar2, f1 VARCHAR2, f2 VARCHAR2, dni VARCHAR2,duracion NUMBER, borradas out number, copiadas out varchar2);

 END PKD7_TURNOS ;
/

CREATE OR REPLACE PACKAGE BODY PKD7_TURNOS IS
   PROCEDURE COPIAR_TURNOS(sist in varchar2, f1 IN VARCHAR2, f2 IN VARCHAR2, dni IN VARCHAR2,duracion IN NUMBER, borradas out number, copiadas out varchar2) IS
   fecha_origen date := to_date(f2,'dd/mm/yyyy');
   fecha_destino date := to_date(f1,'dd/mm/yyyy');
BEGIN

	 		/*DELETE FROM dumbo.D7_horarios
			WHERE
			HOR_FECHA >= TO_DATE(f1, 'dd/mm/yyyy') 
			AND TO_DATE(f1,'dd/mm/yyyy')+duracion> HOR_FECHA
			and hor_sis_cod=sist;*/
 		
			
			INSERT INTO DUMBO.D7_HORARIOS(HOR_SIS_COD, HOR_TUR_COD, HOR_INF_COD, HOR_FECHA, HOR_TIPO, HOR_USU_COD,HOR_FECMODIF)
			select HOR_SIS_COD, HOR_TUR_COD, HOR_INF_COD, HOR_FECHA+(to_date(f1, 'dd/MM/yyyy')-to_date(f2, 'dd/MM/yyyy')), HOR_TIPO, dni,SYSDATE 
			from dumbo.d7_horarios, DUMBO.D7_TURNOS
			where hor_fecha >= fecha_origen 
			and fecha_origen+duracion > hor_fecha 
			AND NOT HOR_FECHA IN 
				(SELECT FES_DIA-(fecha_destino-fecha_origen) 
				 FROM DUMBO.D7_FESTIVOS
				 where FES_DIA> fecha_destino
				 and fecha_destino+duracion>FES_DIA)
				 
			AND NOT HOR_FECHA IN
				(SELECT HOR_FECHA -(fecha_destino-fecha_origen)
				FROM dumbo.D7_horarios
				WHERE HOR_FECHA >= TO_DATE(f1, 'dd/mm/yyyy') 
				AND TO_DATE(f1,'dd/mm/yyyy')+duracion> HOR_FECHA
				AND hor_sis_cod=sist)
								 
			AND HOR_FECHA> TUR_FECINI_VIGENCIA AND HOR_TUR_COD = TUR_COD 
			AND ((TUR_FECFIN_VIGENCIA>HOR_FECHA) OR (TUR_FECFIN_VIGENCIA is NULL))
			AND NOT TO_CHAR(HOR_FECHA+(fecha_destino-fecha_origen),'D')=7 
			AND NOT TO_CHAR(HOR_FECHA+(fecha_destino-fecha_origen),'D')=6
			AND HOR_TIPO = 'O'
			
			and hor_sis_cod=sist
			and tur_sis_cod=hor_sis_cod;


			
						

END;


END PKD7_TURNOS;
/

GRANT EXECUTE ON DUMBO.PKD7_TURNOS TO JV_DUMBO;
