PROMPT -- CREO TABLA AFILIACIONES --;
CREATE TABLE DUMBO.AFILIACIONES_DUMBO
(
  AFI_IDENTIFICADOR  VARCHAR2(8 BYTE),
  AFI_LETRA          VARCHAR2(1 BYTE),
  AFI_APELLIDOS      VARCHAR2(50 BYTE),
  AFI_NOMBRE         VARCHAR2(30 BYTE),
  AFI_EMAIL	     VARCHAR2(80 BYTE),
  CONSTRAINT PK_AFI PRIMARY KEY (AFI_IDENTIFICADOR)
    USING INDEX 
    TABLESPACE DUMBO
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          40K
                NEXT             40K
                MINEXTENTS       1
                MAXEXTENTS       505
                PCTINCREASE      50
                FREELISTS        1
                FREELIST GROUPS  1
               )
)
TABLESPACE DUMBO
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          40K
            NEXT             40K
            MINEXTENTS       1
            MAXEXTENTS       505
            PCTINCREASE      50
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL;

COMMENT ON TABLE DUMBO.AFILIACIONES_DUMBO IS 'Tabla que recoge los datos personales de los usuarios que emplearn dumbo.';

GRANT SELECT ON  DUMBO.AFILIACIONES_DUMBO TO JV_DUMBO;
