PROMPT -- CREO TABLA CENTROS_DUMBO --;
CREATE TABLE DUMBO.CENTROS_DUMBO
(
  CED_CODIGO  VARCHAR2(4 BYTE),
  CED_NOMBRE  VARCHAR2(100 BYTE),
  CONSTRAINT PK_CEN PRIMARY KEY (CED_CODIGO)
    USING INDEX 
    TABLESPACE DUMBO
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          40K
                NEXT             40K
                MINEXTENTS       1
                MAXEXTENTS       505
                PCTINCREASE      50
                FREELISTS        1
                FREELIST GROUPS  1
               )
)
TABLESPACE DUMBO
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          40K
            NEXT             40K
            MINEXTENTS       1
            MAXEXTENTS       505
            PCTINCREASE      50
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL;

COMMENT ON TABLE DUMBO.CENTROS_DUMBO IS 'Tabla de centros de la universidad.';

COMMENT ON COLUMN DUMBO.CENTROS_DUMBO.CED_CODIGO IS 'Codigo del centro.';

COMMENT ON COLUMN DUMBO.CENTROS_DUMBO.CED_NOMBRE IS 'Nombre del centro.';

GRANT SELECT ON  DUMBO.CENTROS_DUMBO TO JV_DUMBO;

