<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="aplCod"/>

<xsl:variable name="miSeccion"/>
<xsl:variable name="Tarea"/>
<xsl:variable name="Urgencia"/>
<xsl:variable name="Prioridad"/>
<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>
<xsl:variable name="CodigoPrioridad"/>
<xsl:variable name="CodigoTipoTarea"/>
<xsl:variable name="Correo"/>
<!--Parametros para mantener filtro-->
<xsl:param name="flag_filtrado"/>
<xsl:param name="Caracter"/>
<xsl:param name="SeccionCod"/>	

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">


<div>

<xsl:choose>
<xsl:when test="count(DATA/APLICACIONES/APLICACION)>0">
	<table class="cont" width="10%">
<tbody>
	<tr class="cabe"> 
	<td></td>
		<td>Codigo Aplicacin</td>
		<td>Descripcin Aplicacin</td>
		
	</tr>
	<xsl:for-each select="DATA/APLICACIONES/APLICACION[count(@PADRE)=0]">
		 	<xsl:sort select="@CODIGO"/>
		 			
		 		<tr class="incidencia">
		 		<xsl:variable name="padre" select="@CODIGO"/>
		 		<td>
				<xsl:if test="count(../APLICACION[@PADRE=$padre])>0">
					<xsl:attribute name="class">padre</xsl:attribute>
				</xsl:if>
		
		
		<xsl:if test="count(../APLICACION[@PADRE=$padre])!=0">
		<center>
		
		<img border="0" src="../dumbo7/utils/table/plus.gif" class="plus"/>
		<img border="0" src="../dumbo7/utils/table/minus.gif" class="minus" style="display: none;"/>
		</center>
		</xsl:if>
		</td>
		
		 		
		 		
		 		
		 		<xsl:variable name="codigo" select="@CODIGO"/>
		 		<xsl:variable name="secci" select="@SECCION"/>
		 		
		 		
		 		
		 		
		 		
		 		<td ><xsl:value-of select="@CODIGO"/></td>
		 		<td><a href="javascript:cargafaqapl('{@CODIGO}','{@SECCION}');"><xsl:value-of select="@DESCRIPCION"/></a></td>
		 		
		 		
		 		
		 		</tr>
		 		<xsl:call-template name="aplicacionhija">
		 			<xsl:with-param name="padre" select="@CODIGO"/>
		 		</xsl:call-template>
		 	
		 	</xsl:for-each>
	
</tbody>
</table>
</xsl:when>
<xsl:otherwise>
<table class="cont">
<tbody>
<tr class="incidencia">
<td>
<center>
No hay resultados para esta busqueda.
</center>
</td>
</tr>
</tbody>
</table>
</xsl:otherwise>
</xsl:choose>
</div>

</xsl:template>


<xsl:template name="cuerpo">
</xsl:template>


<xsl:template name="aplicacionhija">
<xsl:param name="padre"/>


<xsl:for-each select="../APLICACION[@PADRE = $padre]">

		
			
			
			<tr class="peticion" style="display: none;">
				<td class="hijo"></td>
<td ><xsl:value-of select="@CODIGO"/></td>
		 		<td><a href="javascript:cargafaqapl('{@CODIGO}', '{@SECCION}');"><xsl:value-of select="@DESCRIPCION"/></a></td>
				
			</tr>
		

</xsl:for-each>



</xsl:template>



</xsl:stylesheet>
	
	