<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="aplCod"/>
<xsl:param name="pestanya"/>

<xsl:variable name="miSeccion"/>
<xsl:variable name="Tarea"/>
<xsl:variable name="Urgencia"/>
<xsl:variable name="Prioridad"/>
<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>
<xsl:variable name="CodigoPrioridad"/>
<xsl:variable name="CodigoTipoTarea"/>
<xsl:variable name="Correo"/>
<!--Parametros para mantener filtro-->
<xsl:param name="flag_filtrado"/>
<xsl:param name="Caracter"/>
<xsl:param name="SeccionCod"/>	


<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">


<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
<script language="javascript" type="text/javascript" src="../js/tinymce/jscripts/tiny_mce/tiny_mce.js"></script>
<script language="javascript" type="text/javascript">

    tinyMCE.init({
	theme : "advanced",
	mode : "none",
	plugins : "paste",
	theme_advanced_buttons3_add : "pasteword",
	paste_create_paragraphs : false,
	paste_create_linebreaks : false,
	paste_use_dialog : false,
	paste_auto_cleanup_on_paste : true,
	paste_convert_middot_lists : false,
	paste_unindented_list_class : "unindentedList",
	paste_convert_headers_to_strong : true,
	paste_insert_word_content_callback : "convertWord"
});
    
    
   function convertWord(type, content) {
	switch (type) {
		// Gets executed before the built in logic performes it's cleanups
		case "before":
			//content = content.toLowerCase(); // Some dummy logic
			break;

		// Gets executed after the built in logic performes it's cleanups
		case "after":
			//content = content.toLowerCase(); // Some dummy logic
			break;
	}

	return content;
} 
    
    

</script>



         	<script type="text/javascript" src="../js/uitabs/jquery-1.2.3.pack.js"></script>
         	<script type="text/javascript" src="../js/modificar.js"></script>
         	<script type="text/javascript" src="../js/filtrar.js"></script>
         	
         	<script type="text/javascript" src="../js/formmodificar.js"></script>
         	<script src="../js/uitabs/ui.tabs.pack.js" type="text/javascript"></script>

         	<link rel="stylesheet" href="../js/uitabs/ui.tabs.css" type="text/css" media="print, projection, screen"/>
         	
             <script languaje="JavaScript">
             var srvName = '<xsl:value-of select="$servlet"/>';
             var aplCod = '<xsl:value-of select="$aplCod"/>';
             var secCod = '<xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@SECCION"/>';
             var modo= "modifica";
               $(document).ready(function(){
   					$('#container-1 ul').tabs();
   					
   					<xsl:choose>
                	<xsl:when test="$pestanya=''">
                $("#container-1 ul").tabs("select", 0);
                	</xsl:when>
                	<xsl:otherwise>
                $("#container-1 ul").tabs("select", <xsl:value-of select="$pestanya"/>);                	</xsl:otherwise>
                </xsl:choose>
                cargaarbolsin('');
                cargaarbolcon('');
                cargaFicha();
                

  				});
            $(function() {
                
                
                
                
                
            });
				var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/aplicaciones.buscaSeccion&amp;code=';            		
				var pintacorreovar = '<xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@TIPO_ASIGNACION"/>';
				var url2 = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/aplicaciones.compruebaResponsables&amp;code=';
			    	

            	
            	
				
				
				
				<!--buscaSeccion(), resuelveSeccion() son funciones para que al seleccionar una seccion para la aplicacion
					se obtenga de los secciones maximos el numero maximo de dias como ayuda.-->
			
				
				
				
			
				
				//Las aplicaciones hijas tienen que depender de la misma seccin (o alguna de sus subsecciones) que 
				//la seccin a la que depende la aplicacin padre.
				function compruebaPadre(code)
				{
					cambiosRealizados();
					var i=0;
					for(i=0;i&lt;document.apli.aplSecCod.length;i++)
					{
						document.apli.aplSecCod.options[i].value = "";
						document.apli.aplSecCod.options[i].text = "";
					}
					document.apli.aplSecCod.length = 0;
					//Si el codigo no es , no es una categoria raiz. Tenemos que restringir la seleccion	
					if(code!='')
					{
						document.apli.aplSecCod.length = document.apli.aplSecCod.length + 1;
						document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].value = '';
						document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].text = '-Introduzca una seccion-';
						<xsl:for-each select="DATA/APLICACIONES/APLICACION">
							if(code=='<xsl:value-of select="@CODIGO"/>')
							{
								<xsl:variable name="seccioncod"><xsl:value-of select="@SECCION"/></xsl:variable>
								<xsl:for-each select="../SECCION[@CODIGO=$seccioncod]">
									document.apli.aplSecCod.length = document.apli.aplSecCod.length + 1;
									document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].value = '<xsl:value-of select="@CODIGO"/>';
									document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].text = <xsl:call-template name="entrecomillaDescripcion"><xsl:with-param name="descripcion" select="@DESCRIPCION"/></xsl:call-template>;
								</xsl:for-each>
								<xsl:call-template name="sacaSubSeccionJS">
									<xsl:with-param name="seccion" select=".."/>
									<xsl:with-param name="codigo_padre" select="@SECCION"/>
									<xsl:with-param name="espacio" select="'&#160;&#160;'"/>
								</xsl:call-template>
	
							}
						</xsl:for-each>
					}
					else //Si el codigo es '', podemos seleccionar cualquier seccion y cualquier tipo tarea
					{
						document.apli.aplSecCod.length = document.apli.aplSecCod.length + 1;
						document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].value = '';
						document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].text = '-Introduzca una seccion-';
						<xsl:call-template name="muestraSeccionJS">
							<xsl:with-param name="nodo" select="DATA/APLICACIONES"/>
						</xsl:call-template>
					}
					compruebaResponsables(code);
				}
				
            </script>
			<script language="JavaScript" src="../js/aplicaciones/CompruebaModificaAplicacion.js"></script>
			<script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>
         </xsl:with-param>
	   </xsl:call-template>


<body>
	
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/APLICACIONES/USER/@NAME,concat('(',concat(DATA/APLICACIONES/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.1.2</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/APLICACIONES">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
			</xsl:if>
	</xsl:for-each>

<form action="{$servlet}" METHOD="POST" name="apli">
<input type="hidden" name="pestanya" value="0"/>
<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" height="16" summary="Modificacin de una Aplicacion">
	<tr><td width="100%" colspan="3" class="cab1">&#187;Modificar aplicacin  
		<!--For Para poder mostrar la descripcion en la cabecera de la tabla-->
					
				"<xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@DESCRIPCION"/>"
		
	 </td></tr>
	<tr>
		<td colspan="3">
		<!--Parametro para saber cuando asignas un informatico que no tienes que volver al index sino al modificar-->
		<!--<input type="hidden" name="tipo" value="volver"/>-->
		
		 <div id="container-1">
            <ul>
                <li><a href="#DATOS"><span>Datos de la aplicacion</span></a></li>
                <li><a href="#ESTRUCTURA"><span>Estructura de Faqs</span></a></li>
                <li><a href="#FAQS"><span>Faqs</span></a></li>
                <li><a href="#FICHAS"><span>Ficha</span></a></li>
            </ul>
         
		
								
		<div id="DATOS" class="seccion">
		<table class="cont" align="center" id="aplicaciones" border="0" cellpadding="3" cellspacing="1" width="90%">
		<tr>
			<td class="cabe" align="left" colspan="5"><b>Datos de la aplicacin</b></td>
		</tr>
		
		<input type="hidden" name="module"/>
		<input type="hidden" name="checkCambios" size="20" value="false"/>
		<input type="hidden" name="flag_filtrado" value="{$flag_filtrado}"/>
		<!--Caracter o Seccion pueden ser nulos, si lo son no han de introducirse en el formulario para que el filtro 
			funcione correctamente.-->
		<xsl:if test="$Caracter!=''">
			<input type="hidden" name="Caracter" value="{$Caracter}"/>	
		</xsl:if>
		<xsl:if test="$SeccionCod!=''">
			<input type="hidden" name="SeccionCod" value="{$SeccionCod}"/>
		</xsl:if>
		<input type="hidden" name="aplCod" value="{$aplCod}"/>
		
			<xsl:variable name="aplicacionPadre"><xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@PADRE"/></xsl:variable> 	
			<xsl:variable name="aplicacionCodigo"><xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@CODIGO"/></xsl:variable> 
			<input type="hidden" name="aplEstado" value="{DATA/APLICACIONES/APLICACIONSEL/@ESTADO}"/>
				<tr class="administracion">
					<td align="left" width="12">Cdigo&#160;(*):</td>
					<td align="left" colspan="2"><xsl:value-of select="$aplCod"/></td>
				</tr>
				<tr class="administracion">
					<td align="left" width="20">Descripcin&#160;(*):</td>
					<td align="left" colspan="2"><input type="text" name="aplDescrip" value="{DATA/APLICACIONES/APLICACIONSEL/@DESCRIPCION}" size="65" maxlength="50" onChange="javascript:cambiosRealizados();"/></td>
				</tr>
				<tr class="administracion">
					<td align="left" width="15%">
						Detalle&#160;(*):
					</td>
					<td align="left" colspan="2">
						<TEXTAREA ROWS="5" COLS="100" NAME="aplDetalle" wrap="VIRTUAL" onChange="javascript:cambiosRealizados();"><xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@DETALLE"/></TEXTAREA>
					</td>
				</tr>
				<tr class="administracion">
					<td align="left" width="15%">Aplicacin Padre&#160;:</td>
					<td align="left">
						<select name="aplPadreAplCod" size="1" onChange="javascript:compruebaPadre(this.options[this.selectedIndex].value);">
							<option value="">-Aplicacin raz-</option>
							<!--Si la aplicacin tiene hijos, en ningn momento podr pasar a ser hija de ninguna otra aplicacin-->
							
							
							<xsl:if test="DATA/APLICACIONES/TIENEHIJOS='false'">
								<xsl:for-each select="DATA/APLICACIONES/APLICACION">
									<xsl:sort select="@CODIGO"/>
									<!--Si el padre es != de null y es la aplicacin seleccionada anteriormente-->
									<xsl:if test="(string-length($aplicacionPadre)!=0) and (@CODIGO = $aplicacionPadre)">
										<option value="{@CODIGO}" selected="true"><xsl:value-of select="@CODIGO"/>&#160;-&#160;<xsl:value-of select="@DESCRIPCION"/></option>	
									</xsl:if>
									<!--Si el padre es != de null y no es la aplicacin seleccionada anteriormente-->
									<!--Tampoco puede aparecer la propia aplicacin-->
									<xsl:if test="(string-length($aplicacionPadre)!=0) and (@CODIGO != $aplicacionPadre) and (@CODIGO != $aplicacionCodigo)">
										<option value="{@CODIGO}"><xsl:value-of select="@CODIGO"/>&#160;-&#160;<xsl:value-of select="@DESCRIPCION"/></option>	
									</xsl:if>
									<!--Si no tena padre-->
									<xsl:if test="(string-length($aplicacionPadre)=0) and (@CODIGO != $aplicacionCodigo)">
										<option value="{@CODIGO}"><xsl:value-of select="@CODIGO"/>&#160;-&#160;<xsl:value-of select="@DESCRIPCION"/></option>	
									</xsl:if>								
								</xsl:for-each>
							</xsl:if>
						</select>
						<xsl:if test="DATA/APLICACIONES/TIENEHIJOS='true'">
							<i>&#160;No&#160;se&#160;permiten&#160;tres&#160;niveles&#160;jerrquicos.</i>
						</xsl:if>
						
					</td>
					<!--Los campos aparecen en principio ocultos. Para cambiarlos a visibles: visibility:visible-->
					<td>
						<label id="etiqueta" style="visibility:hidden">La aplicacin padre tiene <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informticos'"/></xsl:call-template> vinculados!. Desea:</label>
					</td>	
				</tr>
				<tr class="administracion" id="lineaOculta1" style="display:none">
					<td colspan="2">&#160;</td>
					<td>
						<!--
						//Si se quieren ocultar los objetos en vez de las lneas
						<input name="ResponsablesOp" style="visibility:hidden" type="radio" value="Traspasar"/>
						<label id="etiquetaTraspasar" style="visibility:hidden">Traspasar informticos a hija</label>-->
						<input name="ResponsablesOp" type="radio" value="Traspasar"/>
						<label id="etiquetaTraspasar">Traspasar <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informticos'"/></xsl:call-template> a hija</label>
					</td>	
				</tr>
				<tr class="administracion" id="lineaOculta2" style="display:none">
					<td colspan="2">&#160;</td>
					<td>
						<!--
						//Si se quieren ocultar los objetos en vez de las lneas
						<input name="ResponsablesOp" style="visibility:hidden" type="radio" value="Eliminar"/>
						<label id="etiquetaEliminar" style="visibility:hidden"> Eliminar informticos</label>-->
						<input name="ResponsablesOp" type="radio" value="Eliminar"/>
						<label id="etiquetaEliminar"> Eliminar <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informticos'"/></xsl:call-template></label>
					</td>
				</tr>

				<tr class="administracion">
					<td align="left" width="15%">Caracter&#160;(*):</td>
					<td align="left" colspan="2">
						<select name="aplCaracter" size="1" onChange="javascript:cambiosRealizados();">
							<xsl:choose>
							<xsl:when test="DATA/APLICACIONES/APLICACIONSEL/@CARACTER = 'I'">
								<option value='E'>Externo</option>
								<option value='I' selected="true">Interno</option>						
							</xsl:when>	
							<xsl:otherwise>
								<option value="E" selected="true">Externo</option>
								<option value="I">Interno</option>
							</xsl:otherwise>
							</xsl:choose>
						</select>
					</td>
				</tr>
				<tr class="administracion">
					<td align="left" width="20">Seccin&#160;(*):</td>
					<td align="left" width="450" colspan="2">
						<input type="hidden" name="modifica"/>
						<xsl:variable name="miSeccion" select="DATA/APLICACIONES/APLICACIONSEL/@SECCION"/>
						<select name="aplSecCod" size="1">
							<!--Si es aplicacin de primer nivel -->
							<xsl:if test="count(DATA/APLICACIONES/APLICACIONSEL/@PADRE)=0">
								<xsl:call-template name="muestraSeccion">
									<xsl:with-param name="nodo" select=".."/>
									<xsl:with-param name="seccion_actual" select="$miSeccion"/>
								</xsl:call-template>
							</xsl:if>
							<!--Si tiene hijos-->
							<xsl:if test="DATA/APLICACIONES/TIENEHIJOS='true'">
								<SCRIPT>
									hijos=true;
									var secInicial = '<xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@SECCION"/>';
								</SCRIPT>
							</xsl:if>
							<!--Si es aplicacin de segundo nivel, buscamos la seccin de la aplicacin padre y sacamos
								las subsecciones, pero debe aparecer seleccionada la seccin a la que est vinculada.-->
							<xsl:if test="count(DATA/APLICACIONES/APLICACIONSEL/@PADRE)!=0">
								<!--Buscamos la aplicacin padre-->
								<xsl:for-each select="DATA/APLICACIONES/APLICACION[@CODIGO=$aplicacionPadre]">
									<xsl:variable name="seccionAplicacionPadre"><xsl:value-of select="@SECCION"/></xsl:variable> 
									<!--Buscamos la seccin de la aplicacin padre-->
									<xsl:for-each select="../SECCION[@CODIGO=$seccionAplicacionPadre]">
										<!--Si es una seccin de primer nivel,aadimos la seccin y mostramos las hijas-->
										<xsl:if test="@CODIGO=@PADRE">
											<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
											<xsl:call-template name="sacaSubSeccion">
												<xsl:with-param name="seccion" select=".."/>
												<xsl:with-param name="codigo_padre" select="$seccionAplicacionPadre"/>
												<xsl:with-param name="seccion_actual" select="$miSeccion"/>
												<xsl:with-param name="espacio" select="'&#160;&#160;'"/>
											</xsl:call-template>
										</xsl:if>
										<!--Si no es una seccin de primer nivel, llamamos directamente a la plantilla
											indicando quien es el padre de dicha subseccin-->
										<xsl:if test="@CODIGO!=@PADRE">
											<xsl:call-template name="sacaSubSeccion">
												<xsl:with-param name="seccion" select=".."/>
												<xsl:with-param name="codigo_padre" select="@PADRE"/>
												<xsl:with-param name="seccion_actual" select="$miSeccion"/>
												<xsl:with-param name="espacio" select="'&#160;&#160;'"/>
											</xsl:call-template>
										</xsl:if>
									</xsl:for-each>
								</xsl:for-each>
							</xsl:if>

						</select>
					</td>
				</tr>
				
					
				<tr class="administracion">
					<td align="left" width="20">Tipo&#160;de Asignacin&#160;(*):</td>
					<td align="left" width="450" colspan="2">
						<select name="aplTipoAsig" size="1">
							<xsl:choose>
							<xsl:when test="DATA/APLICACIONES/APLICACIONSEL/@TIPO_ASIGNACION = 'P'">
								<option value="R">Asignacion a Responsable</option>
								<option value="P" selected="true">Pesos</option>
								<option value="C">Por cola de aplicaciones</option>
								<option value="U">Por ubicacin</option>
							</xsl:when>	
							<xsl:when test="DATA/APLICACIONES/APLICACIONSEL/@TIPO_ASIGNACION = 'R'">
								<option value="R" selected="true">Asignacin a Responsable</option>
								<option value="P">Pesos</option>
								<option value="C">Por cola de aplicaciones</option>
								<option value="U">Por ubicacin</option>
							</xsl:when>
							<xsl:when test="DATA/APLICACIONES/APLICACIONSEL/@TIPO_ASIGNACION = 'C'">
								<option value="R">Asignacin a Responsable</option>
								<option value="P">Pesos</option>
								<option value="C" selected="true">Por cola de aplicaciones</option>
								<option value="U">Por ubicacin</option>
							</xsl:when>
							<xsl:otherwise>
								<option value="R">Asignacin a Responsable</option>
								<option value="P">Pesos</option>
								<option value="C">Por cola de aplicaciones</option>
								<option value="U" selected="true">Por ubicacin</option>
							</xsl:otherwise>
							</xsl:choose>
						</select>
					</td>
				</tr>
				
				
				<tr>
					<td class="administracion" align="left" width="15%">Mandar correo a responsable(s):</td>
					<td class="administracion" align="left" colspan="2">
						<select name="aplCorreoResp" size="1" onChange="javascript:cambiosRealizados();">
							<xsl:choose>
							<xsl:when test="(DATA/APLICACIONES/APLICACIONSEL/@CORREO = 'S')">
								<option value='N'>No</option>
								<option value='S' selected="true">Si</option>						
							</xsl:when>	
							<xsl:otherwise>
								<option value='N' selected="true">No</option>
								<option value='S'>Si</option>
							</xsl:otherwise>
							</xsl:choose>					
						</select>
						<font color="red"> Slo para Asignacin a responsable</font>
					</td>
				</tr>
				
				
				
				<tr>
					<td class="administracion" align="left" width="15%">Mandar correo a informticos:</td>
					<td class="administracion" align="left" colspan="2">
						<select name="aplCorreoInf" size="1" onChange="javascript:cambiosRealizados();">
							<xsl:choose>
							<xsl:when test="(DATA/APLICACIONES/APLICACIONSEL/@CORREO_INF = 'N')">
								<option value='N' selected="true">No</option>
								<option value='S'>Si</option>
							</xsl:when>	
							<xsl:otherwise>
								<option value='N'>No</option>
								<option value='S' selected="true">Si</option>						
							</xsl:otherwise>
							
							</xsl:choose>
							
							
								
											
						</select>
						<font color="red"> Slo para Asignacin Por cola de aplicaciones</font>
					</td>
				</tr>
				
				<tr>
				<td class="administracion" align="left" width="15%">Url
				</td>
									
				<td class="administracion" align="left" colspan="2"> 
				<input type="text" name="url" value="{DATA/APLICACIONES/APLICACIONSEL/@URL}" size="65" maxlength="250"/>
				</td>
				
				</tr>
				<tr>
				<td class="administracion" align="left" width="15%">Url informativa
				</td>
									
				<td class="administracion" align="left" colspan="2"> 
				<input type="text" name="urlinfo" value="{DATA/APLICACIONES/APLICACIONSEL/@URLINFO}" size="65" maxlength="250"/>
				</td>
				
				</tr>
				
				
			<tr class="administracion">
			<td align="left" colspan="4">
				<table border="0">
			<!--Se muestran dinmicamente los tipos de tarea-->
			<xsl:for-each select="DATA/APLICACIONES/TIPO_TAREA[@CODIGO='I' or @CODIGO='P']">
				
				<!--Variable para almacenar los tipos de tarea y despues poder identificarlos-->
				<xsl:variable name="Tarea"><xsl:value-of select="@CODIGO"/></xsl:variable>
				<input type="hidden" name="apliParam" value="{@CODIGO}" readonly="true"/>
				<tr class="administracion">
					<td><b><xsl:value-of select="@DESCRIPCION"/></b></td>
					<td colspan="2">
						&#160;&#160;Urgente por defecto:&#160;&#160;&#160;
						<select name="apaUrgencia" size="1" onChange="javascript:cambiosRealizados();">
							<xsl:for-each select="../APLICACIONES_PARAMETROS[@TIPO_TAREA=$Tarea]">
								
								<xsl:if test="not(@URGENCIA)">	
									<option value="">-Sin Urgencia-</option>
									<option value="U">S</option>
									<option value="N">No</option>
								</xsl:if>
								<xsl:if test="@URGENCIA">										
									<xsl:if test="@URGENCIA = 'U'">
										<option value="U">S</option>
										<option value="N">No</option>
									</xsl:if>
									<xsl:if test="@URGENCIA = 'N'">
										<option value="N">No</option>
										<option value="U">S</option>
									</xsl:if>
								</xsl:if>
							</xsl:for-each>									
						</select>								
					</td>		
					<td colspan="2">
						&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Prioridad por defecto:&#160;&#160;&#160;
						<select name="apaPrioridad" size="1" onChange="javascript:cambiosRealizados();">														
							<xsl:for-each select="../APLICACIONES_PARAMETROS[@TIPO_TAREA=$Tarea]">								
								<xsl:variable name="Prioridad"><xsl:value-of select="@PRIORIDAD"/></xsl:variable>

								<!--Se busca la prioridad que tena asignada para dejarla seleccionada-->
								<xsl:if test="not(@PRIORIDAD)">									
									<option value="">-Sin Prioridad-</option>
									<xsl:for-each select="../PRIORIDADES">
										<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
									</xsl:for-each>
								</xsl:if>
								
								<xsl:if test="@PRIORIDAD">
									<xsl:for-each select="../PRIORIDADES[@CODIGO = $Prioridad]">
										<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
									</xsl:for-each>
									<!--Se introducen el resto de prioridades-->
									<xsl:for-each select="../PRIORIDADES[@CODIGO != $Prioridad]">
										<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
									</xsl:for-each>
								</xsl:if>
							</xsl:for-each>
						</select>						
					</td>
				</tr>
			</xsl:for-each>
			</table>
			</td>
			</tr>
			
			
		
	
	</table>
	<!--Campos para rellenar los das mximos para las alertas de la aplicacin (nivel 1)-->
	<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" style="border-collapse: collapse" width="90%" >
				<tr>
					<td class="cabe" align="left" colspan="5"><b>Alertas para aplicaciones (*)</b></td>
				</tr>
					<tr class="administracion">
						<td align="center" colspan="2"><b>Tipos Tareas</b></td>
						<td align="center" colspan="2"><b>Prioridades</b></td>
						<td align="center"><b>Das Mximos</b></td>
					</tr>
					<tr class="administracion">
						<td align="center"><b>Cdigo</b></td>
						<td align="center"><b>Descripcin</b></td>
						<td align="center"><b>Cdigo</b></td>
						<td align="center"><b>Descripcin</b></td>
						<td align="center">(0.1-999.9)</td>
					</tr>
				
					<xsl:for-each select="DATA/APLICACIONES/APLICACIONES_MAXIMOS">
						<tr class="administracion" onmouseover="javascript:onMouse(this,'true');" onmouseout="javascript:onMouse(this,'false');">
							<!--Dentro de secciones maximos no se guarda la descripcion. Para mostrarla, se mapean las prioridades y los tipos tareas-->
							<!--Guardamos los codigos en dos variables para luego poder identificarlas y mostrar su descripcion-->
							<xsl:variable name="CodigoTipoTarea"><xsl:value-of select="@TIPO_TAREA"/></xsl:variable> 
							<xsl:variable name="CodigoPrioridad"><xsl:value-of select="@PRIORIDAD_TAREA"/></xsl:variable>
							<td align="center">
								<input type="hidden" name="tipotareasCod" value="{@TIPO_TAREA}" readonly="true"/>
								<input type="hidden" name="prioridadesCod" value="{@PRIORIDAD_TAREA}" readonly="true"/>
								<xsl:value-of select="@TIPO_TAREA"/>
							</td>
							<xsl:for-each select="../TIPO_TAREA">
									<xsl:if test="(@CODIGO=$CodigoTipoTarea)">
										<td><xsl:value-of select="@DESCRIPCION"/></td>
									</xsl:if>
							</xsl:for-each>
							<td align="center"><xsl:value-of select="@PRIORIDAD_TAREA"/></td>
							<xsl:for-each select="../PRIORIDADES">
									<xsl:if test="(@CODIGO=$CodigoPrioridad)">
										<td><xsl:value-of select="@DESCRIPCION"/></td>
									</xsl:if>
							</xsl:for-each>
							<td align="center"><input  type="text" name="maxdias" size="5" minlength="1" maxlength="5" value="{@DIAS}" onChange="javascript:cambiosRealizados();"/></td>
						</tr>
					</xsl:for-each>
					<tr class="administracion"><td colspan="5"><font size="-1" color="red">(*) campos obligatorios.</font></td></tr>
				
				<tr class="administracion"><td align="center" colspan="5">
					<input type="button" class="boton" value="Aceptar" onclick="javascript:CompruebaModificaAplicacion()" />&#160;
					<!--<input type="submit" class="boton" value="Cancelar" onclick="javascript:document.apli.module.value='dumbo7/administracion/aplicaciones.formModificar.cancelar'"/>-->
					<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar()"/>
				</td></tr>	
				</table>
	
	</div>
	<div id="ESTRUCTURA" class="seccion">
		<div id="tablasin">
		
		</div>
			
			
			<table class="cont">
			<tr class="administracion">
			<td align="center">
			
			<input id="cApart" type="button" class="boton" value="Nuevo Apartado" onclick="javascript:nuevoapartado();"/>
			&#160;<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar()"/>
			
			</td>
			</tr>
			</table>


		<div id="tablaCargaApart">
		
		
		
		</div>
		

						</div>
		
						
						
		<div id="FAQS"  class="seccion">
		
		
		<div id="tablacon">
		
		</div>
		<table class="cont">
			<tr class="administracion">
			<td align="center">
			
			<input id="cApart" type="button" class="boton" value="Nueva Faq" onclick="javascript:nuevotemario();"/>
			&#160;<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar()"/>
			</td>
			</tr>
			</table>

		<div id="tablacargafaq">
		
		</div>

		</div>
		<div id="FICHAS" class="seccion">
		
			<table class="cont">
			<tbody>
				<tr class="cabe">
					<td colspan="2">Ficha de Aplicacion</td>
					
				</tr>
				<tr class="administracion">
					<td>Cdigo de Aplicacin</td>
					<td><xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@CODIGO"/></td>
				</tr>
				<tr class="administracion">
					<td width="15%">Descripcin</td>
					<td><xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@DESCRIPCION"/></td>
				</tr>
				<tr class="administracion">
					<td>Detalle</td>
					<td><xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@DETALLE"/></td>
				</tr>
				<tr class="administracion">
					<td>Url</td>
					<td><xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@URL"/></td>
				</tr>
				<tr class="administracion">
					<td>Url informativa</td>
					<td><xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@URLINFO"/></td>
				</tr>
			</tbody>
			
			
			</table>
			<div id="apartfichas">
			
			</div>

		</div>
	</div>
	
	</td></tr>
	
</table>

</form>
</xsl:template>

<!--Plantillas para recorrer las diferentes secciones indexandolas-->
<xsl:template name="muestraSeccion">
<xsl:param name="nodo"/>
<xsl:param name="seccion_actual"/><!--Seccion a la que esta vinculada originalmente-->
    <xsl:for-each select="$nodo/SECCION[@CODIGO=@PADRE]"><!--Buscamos nodos padres-->
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V' and @CODIGO!=$seccion_actual">
	        <option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
		<xsl:if test="@ESTADO='V' and @CODIGO=$seccion_actual">
	        <option value="{@CODIGO}" selected="true"><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
        <xsl:call-template name="sacaSubSeccion">
            <xsl:with-param name="seccion" select="$nodo"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="seccion_actual" select="$seccion_actual"/>
            <xsl:with-param name="espacio" select="'&#160;&#160;'"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

<xsl:template name="sacaSubSeccion">
<xsl:param name="seccion"/>
<xsl:param name="codigo_padre"/>
<xsl:param name="espacio"/>
<xsl:param name="seccion_actual"/><!--Seccion a la que esta vinculada originalmente-->
    <xsl:for-each select="$seccion/SECCION[@PADRE=$codigo_padre and @PADRE!=@CODIGO]"><!--Buscamos hijos-->
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V' and @CODIGO!=$seccion_actual">
	        <option value="{@CODIGO}"><xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
		<xsl:if test="@ESTADO='V' and @CODIGO=$seccion_actual">
	        <option value="{@CODIGO}" selected="true"><xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
        <xsl:call-template name="sacaSubSeccion">
            <xsl:with-param name="seccion" select="$seccion"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="seccion_actual" select="$seccion_actual"/>
            <xsl:with-param name="espacio" select="concat($espacio,'&#160;&#160;')"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

<!--Plantillas para recorrer las diferentes secciones indexandolas para JAVASCRIPT-->
<xsl:template name="muestraSeccionJS">
<xsl:param name="nodo"/>
    <xsl:for-each select="$nodo/SECCION[@CODIGO=@PADRE]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V'">
			document.apli.aplSecCod.length = document.apli.aplSecCod.length + 1;
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].value = '<xsl:value-of select="@CODIGO"/>';
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].text = <xsl:variable name="comilla">'</xsl:variable><xsl:choose><xsl:when test="contains(@DESCRIPCION,$comilla)">"<xsl:value-of select="@DESCRIPCION"/>"</xsl:when><xsl:otherwise>'<xsl:value-of select="@DESCRIPCION"/>'</xsl:otherwise></xsl:choose>;
		</xsl:if>
        <xsl:call-template name="sacaSubSeccionJS">
            <xsl:with-param name="seccion" select="$nodo"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="'&#160;&#160;'"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

<xsl:template name="sacaSubSeccionJS">
<xsl:param name="seccion"/>
<xsl:param name="codigo_padre"/>
<xsl:param name="espacio"/>
    <xsl:for-each select="$seccion/SECCION[@PADRE=$codigo_padre and @PADRE!=@CODIGO]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V'">
	        document.apli.aplSecCod.length = document.apli.aplSecCod.length + 1;
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].value = '<xsl:value-of select="@CODIGO"/>';
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].text = <xsl:variable name="comilla">'</xsl:variable><xsl:choose><xsl:when test="contains(@DESCRIPCION,$comilla)">"<xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/>"</xsl:when><xsl:otherwise>'<xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/>'</xsl:otherwise></xsl:choose>;
		</xsl:if>
        <xsl:call-template name="sacaSubSeccionJS">
            <xsl:with-param name="seccion" select="$seccion"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="concat($espacio,'&#160;&#160;')"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>
<xsl:template name="carpetarecursiva">
<xsl:param name="profundo"/>
<xsl:param name="codigo"/>

<xsl:for-each select="../APARTADOS[@FGRFGRCOD = $codigo]">
<xsl:sort select="@FGRORDEN"/>
<tr class="administracion">
			<td  vigencia="{@FGRESTADO}" class="padre" id="{@FGRCOD}" prof="{$profundo + 1}" style="padding-left: {15* number($profundo)}px;" padre="{@FGRFGRCOD}"><img style="display: none;" border="0" class="plus" src="../dumbo7/utils/table/carpetaCerrada.gif"/><img border="0" class="minus" src="../dumbo7/utils/table/carpetaAbierta.gif"/></td>
			<td width="99%" colspan="2">
			<a style="text-align:left; background:none" href="javascript:mostrarapartado('{@FGRTEXTO}',{@FGRFGRCOD},{@FGRORDEN}, '{@FGRESTADO}','{@FGRSISCOD}',{@FGRCOD})"><xsl:value-of select="@FGRTEXTO"/></a>
			</td>
			
			 
			
				<td>
				<xsl:choose>
					<xsl:when test="@FGRESTADO = 'N'">
					<img border="0" alt="No Vigente" src="../graficos/iconos/no_vigente.gif"/>
					</xsl:when>
					<xsl:otherwise>
						<img border="0" alt="Vigente" src="../graficos/iconos/vigente.gif"/>
					</xsl:otherwise>
				</xsl:choose>
				
				</td>
			
			
			
			
			
			</tr>

			<xsl:call-template name="carpetarecursiva">
					<xsl:with-param name="profundo" select="number($profundo)+1" />
					<xsl:with-param name="codigo" select="@FGRCOD"/>
			</xsl:call-template>


</xsl:for-each>


</xsl:template>

<xsl:template name="carpetarecursiva2">
<xsl:param name="profundo"/>
<xsl:param name="codigo"/>

<xsl:for-each select="../APARTADOS[@FGRFGRCOD = $codigo]">
<xsl:sort select="@FGRORDEN"/>
<tr class="administracion">
			<td  vigencia="{@FGRESTADO}" class="padre" id="{@FGRCOD}" prof="{$profundo + 1}" style="padding-left: {15* number($profundo)}px;" padre="{@FGRFGRCOD}"><img style="display: none;" border="0" class="plus" src="../dumbo7/utils/table/carpetaCerrada.gif"/><img border="0" class="minus" src="../dumbo7/utils/table/carpetaAbierta.gif"/></td>
			<td width="99%" colspan="2">
			<xsl:value-of select="@FGRTEXTO"/>
			</td>
			
			 
			
				<td>
				<xsl:choose>
					<xsl:when test="@FGRESTADO = 'N'">
					<img border="0" alt="No Vigente" src="../graficos/iconos/no_vigente.gif"/>
					</xsl:when>
					<xsl:otherwise>
						<img border="0" alt="Vigente" src="../graficos/iconos/vigente.gif"/>
					</xsl:otherwise>
				</xsl:choose>
				
				</td>
			
			
			
			
			
			</tr>

			<xsl:call-template name="carpetarecursiva2">
					<xsl:with-param name="profundo" select="number($profundo)+1" />
					<xsl:with-param name="codigo" select="@FGRCOD"/>
			</xsl:call-template>


</xsl:for-each>
<xsl:for-each select="../FAQS[@FAQFGRCOD = $codigo]">
<xsl:sort select="@FAQORDEN"/>
<tr class="administracion">
<td vigencia="{@FAQESTADO}" style="padding-left: {15* (number($profundo))}px;" class="hijo" id="1" prof="{$profundo+1}" padre="{@FAQFGRCOD}">

<img border="0" class="fichero" src="../dumbo7/utils/table/file.gif"/></td><td colspan="2"><a style="text-align:left; background:none" href="javascript:mostrarfaq('{@FAQASUNTO}','{@FAQTEXTO}',{@FAQFGRCOD},'{@FAQORDEN}','{@FAQESTADO}','{@FAQSISCOD}',{@FAQCOD},'{@FAQAPLCOD}')"><xsl:value-of select="@FAQASUNTO"/></a>
</td>
<td>
			<xsl:choose>
				<xsl:when test="@FAQESTADO = 'N'">
				<img border="0" alt="No Vigente" src="../graficos/iconos/no_vigente.gif"/>
				</xsl:when>
				
				<xsl:otherwise>
					<img border="0" alt="Vigente" src="../graficos/iconos/vigente.gif"/>
				</xsl:otherwise>
			
			
			</xsl:choose>
</td>
</tr>


</xsl:for-each>

</xsl:template>



<xsl:template name="tabular">

<xsl:param name="profundo"/>
<xsl:param name="tabulado"/>
			&#160;&#160;&#160;
			<xsl:if test="$profundo>= $tabulado">
			<xsl:call-template name="tabular">
					<xsl:with-param name="profundo" select="$profundo" />
					<xsl:with-param name="tabulado" select="number($tabulado)+1"/>
			</xsl:call-template>
			</xsl:if>

</xsl:template>


<xsl:template name="optionrecursiva">
<xsl:param name="profundo"/>
<xsl:param name="codigo"/>

<xsl:for-each select="../APARTADOS[@FGRFGRCOD = $codigo]">
<xsl:sort select="@FGRORDEN"/>


			
			
			
			
			<option value="{@FGRCOD}">
			<xsl:call-template name="tabular">
					<xsl:with-param name="profundo" select="number($profundo)" />
					<xsl:with-param name="tabulado" select="number(1)+1"/>
			</xsl:call-template>
			<xsl:value-of select="@FGRTEXTO"/></option>
			

			<xsl:call-template name="optionrecursiva">
					<xsl:with-param name="profundo" select="number($profundo)+1" />
					<xsl:with-param name="codigo" select="@FGRCOD"/>
			</xsl:call-template>


</xsl:for-each>



</xsl:template>








</xsl:stylesheet>
	