<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="aplCod"/>

<xsl:variable name="miSeccion"/>
<xsl:variable name="Tarea"/>
<xsl:variable name="Urgencia"/>
<xsl:variable name="Prioridad"/>
<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>
<xsl:variable name="CodigoPrioridad"/>
<xsl:variable name="CodigoTipoTarea"/>
<xsl:variable name="Correo"/>
<!--Parametros para mantener filtro-->
<xsl:param name="flag_filtrado"/>
<xsl:param name="Caracter"/>
<xsl:param name="SeccionCod"/>	

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<xsl:variable name="seccion" select="DATA/APLICACIONES/APLICACIONSEL/@SECCION"/>

<select  name="aplSecCod" size="1" onchange="buscaSeccion(this.options[this.selectedIndex].value);">
<option value="">-Introduzca una seccin-</option>

<xsl:choose>
<xsl:when test="count(DATA/APLICACIONES/APLICACIONSEL)=0">

	<xsl:for-each select="DATA/APLICACIONES/SECCION[@CODIGO=@PADRE]">
	<xsl:sort select="@DESCRIPCION"/>
	<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>

					<xsl:call-template name="sacaSubSeccionJS">
						<xsl:with-param name="seccion" select=".."/>
						<xsl:with-param name="codigo_padre" select="@CODIGO"/>
						<xsl:with-param name="espacio" select="'&#160;&#160;'"/>
					</xsl:call-template>
	
	
	
	</xsl:for-each>



</xsl:when>
<xsl:otherwise>
<option value="{$seccion}"><xsl:value-of select="DATA/APLICACIONES/SECCION[@CODIGO=$seccion]/@DESCRIPCION"/></option>

								<xsl:call-template name="sacaSubSeccionJS">
									<xsl:with-param name="seccion" select="DATA/APLICACIONES"/>
									<xsl:with-param name="codigo_padre" select="$seccion"/>
									<xsl:with-param name="espacio" select="'&#160;&#160;'"/>
								</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</select>								
</xsl:template>


<xsl:template name="cuerpo">
</xsl:template>
<xsl:template name="sacaSubSeccionJS">
<xsl:param name="seccion"/>
<xsl:param name="codigo_padre"/>
<xsl:param name="espacio"/>
    <xsl:for-each select="$seccion/SECCION[@PADRE=$codigo_padre and @PADRE!=@CODIGO]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V'">
		
	        <option value="{@CODIGO}"><xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/></option>
	        			
			
		</xsl:if>
        <xsl:call-template name="sacaSubSeccionJS">
            <xsl:with-param name="seccion" select="$seccion"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="concat($espacio,'&#160;&#160;')"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>














</xsl:stylesheet>
	
	