<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="empEmail"/>

	
<xsl:template match="XMLROOT">

<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
             <SCRIPT LANGUAGE="JavaScript">
				<!--Variables que indican si las busquedas por usuario o por informatico han dado un resultado incorrecto-->
				var DatosIncorrectos = true;
				
				function mostrarError(error){
					alert(error);
				}
				<!--Para que si tenemos un unico campo de texto no haga submit al pulsar enter-->
				function pulsar(e){ 
					tecla = (document.all) ? e.keyCode :e.which; 
					return (tecla!=13); 
				} 
				
				function abrirPopup(url){
					newWindow = window.open(url,'_blanck',"height=230,width=450,status=no,toolbar=no,menubar=no,location=no,scrollbars=no");				
					newWindow.moveTo(self.screen.width/4,self.screen.height/4);
				}  
				
				function busquedaGenerica(url){
					url = url.concat("&amp;modulo=empresas.formAsignarInformaticos.buscarApellidos");
					idInput = 'InfApe';
					url = url.concat("&amp;tipo=INF");
					url = url.concat("&amp;empEmail=<xsl:value-of select="$empEmail"/>");
					//alert(url)
					newWindow = window.open(url,'_blanck',"width=600,height=400,left=100,top=100,status=no,toolbar=no,menubar=no,location=no");
				}
				<!--Se encarga de actualizar una vez realizada la Bsqueda Genrica-->
				function actualiza(v,doc)
				{
					DatosIncorrectos = false;
					document.empresas.einInfCod.value = v;
					var txt = doc.getElementById(v).innerHTML;
					var n = txt.indexOf('>');
					txt = txt.substring(n+1);
					n = txt.indexOf('&lt;');
					txt = txt.substring(0,n);
					document.getElementById(idInput).innerHTML = txt;
				}
				
				
				function buscaDNI(DNI)
				{
					var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/empresas.formAsignarInformaticos.buscaDNI&amp;Codigo='+DNI+'&amp;empEmail=<xsl:value-of select="$empEmail"/>';
					http_req = false;
			
					if (window.XMLHttpRequest){
						http_req = new XMLHttpRequest();
						if (http_req.overrideMimeType){
							http_req.overrideMimeType('text/xml');
						}
					}
					else if (window.ActiveXObject){
						try{
							http_req = new ActiveXObject("Msxml2.XMLHTTP");
						}catch (e){
							try{
								http_req = new ActiveXObject("Microsoft.XMLHTTP");
							}catch (e){}
						}
					}
			
					if (!http_req){
						alert('Falla: No es posible crear una instancia XMLHTTP');
						return false;
					}
					http_req.onreadystatechange = resuelveDNI;
					http_req.open('GET', url, true);
					http_req.send(null);
				}
			
				function resuelveDNI()
				{
					if (http_req.readyState == 4){
						if (http_req.status == 200){
							var text = http_req.responseText;
							var n = text.indexOf('&lt;'+'!--');
							if (n>=0) text = text.substring(0,n);
							var m = text.indexOf(".dtd' >");
							if (m>=0) text = text.substring(m+8,text.length);
							eval(text);
						}
						else{
							alert('Hubo problemas con la peticin.');
						}
					}
				}//-->
						
				function EliminarInformatico(url,nombre, apellidos)
				{
					if (confirm("Est seguro de eliminar el informtico: "+ apellidos +", "+ nombre + "?"))
					{
						window.open(url,"_self");
					}
				}
				function cerrar_asignar(){

					if (document.empresas.einInfCod.value.length==0){ 
						alert("Tiene que indicar un <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informtico'"/></xsl:call-template>") 
						document.empresas.einInfCod.focus() 
						return 0; 
					}
					
					if(DatosIncorrectos){
						alert("El <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informtico'"/></xsl:call-template> introducido no es correcto");
						document.empresas.einInfCod.focus() 
						return 0; 
					}
					
					var cont=0;
					<xsl:for-each select="DATA/EMPRESAS/INFORMATICO_VINCULADO">
						if(document.empresas.einInfCod.value=='<xsl:value-of select="@INFORMATICO"/>')
						{
							cont=cont+1;						
						}
					</xsl:for-each>
					
					if(cont!=0){
						document.empresas.einInfCod.focus();
						window.document.empresas.einInfCod.value.value="";
						cont=0;
						alert("El cdigo introducido ya existe");	
						return 0;
					}
				
					document.empresas.module.value='dumbo7/administracion/empresas.formAsignarInformaticos.aceptar'; 
					document.empresas.submit();
				}
				
				function cerrar_volver(){
					document.empresas.module.value='dumbo7/administracion/empresas.formAsignarInformaticos.cancelar';
					document.empresas.submit();
				}
				
				<!--Funcion para abrir popup de modificacin de asigna_empresa de un informtico-->
				function modificar(empresaCod,informaticoCod)
				{   
					var url = '?module=dumbo7/administracion/empresas.formAsignarInformaticos.modificarResponsable&amp;einEmpCod='+ empresaCod + '&amp;einInfCod='+ informaticoCod + '&amp;empEmail='+ empresaCod;   
										
					newWindow = window.open(url,'_popAsignar',"height=175,width=450,status=no,toolbar=no,menubar=no,location=no,scrollbars=no");
					newWindow.moveTo(self.screen.width/4,self.screen.height/4);
				}						
				
            </SCRIPT>
			<script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>
         </xsl:with-param>
	   </xsl:call-template>
<body>
		
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/EMPRESAS/USER/@NAME,concat('(',concat(DATA/EMPRESAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.11.4</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>

</xsl:template>

<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/EMPRESAS">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
			</xsl:if>
	</xsl:for-each>

<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Asignacin de Informticos a Aplicaciones">
<tr><td width="700" colspan="2" class="cab1">&#187;Vincular <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informticos'"/></xsl:call-template> a
		<!--if poder mostrar la descripcion en la cabecera de la tabla-->
		<xsl:if test="DATA/EMPRESAS/EMPRESA[@EMAIL = $empEmail]">
				"<xsl:value-of select="DATA/EMPRESAS/EMPRESA[@EMAIL = $empEmail]/@NOMBRE"/>"
		</xsl:if>
		</td></tr>
<tr><td colspan="2">
	<form action="{$servlet}" METHOD="POST" name="empresas">
	<input type="hidden" name="einEmpCod" value="{$empEmail}"/>
	<input type="hidden" name="empEmail" value="{$empEmail}"/>
	<input type="hidden" name="module"/>
	<input type="hidden" name="dni"/>
	<table class="cont" border="0" cellpadding="3" cellspacing="1" width="100%" summary="Asignacin de Informticos a Aplicaciones">
		<SCRIPT>
			var arrayNombres = new Array();
			var arrayApellidos = new Array();
		</SCRIPT>
		<tr>
			<td class="cabe" width="13%"><b><font face="Verdana" size="2">Id</font></b></td>
			<td class="cabe" width="30%"><b><font face="Verdana" size="2">Apellidos, Nombre</font></b></td>
			<td class="cabe" width="25%" align="center"><b><font face="Verdana" size="2">Email</font></b></td>
			<td class="cabe" width="10%" align="center"><b><font face="Verdana" size="2">Tlf</font></b></td>
			<td class="cabe" width="6%" align="center"><b><font face="Verdana" size="2">Asigna</font></b></td>
			<td class="cabe" align="center" colspan="2"></td>
		</tr>
		
		<xsl:for-each select="DATA/EMPRESAS/INFORMATICO_VINCULADO">
			<xsl:sort select="@APELLIDOS"/>
			<tr class="administracion" onmouseover="javascript:onMouse(this,'true');" onmouseout="javascript:onMouse(this,'false');">
				<xsl:variable name="InfActual"><xsl:value-of select="@INFORMATICO"/></xsl:variable>
				<xsl:for-each select="../DATOS_PERSONALES[@IDENTIFICADOR=$InfActual]">
					<SCRIPT>
						arrayNombres['<xsl:value-of select="@IDENTIFICADOR"/>'] = "<xsl:value-of select="@NOMBRE"/>";
						arrayApellidos['<xsl:value-of select="@IDENTIFICADOR"/>'] = "<xsl:value-of select="@APELLIDOS"/>";
					</SCRIPT>
					<td width="13%"><xsl:value-of select="@IDENTIFICADOR"/></td>
					<td width="30%"><xsl:value-of select="@APELLIDOS"/>,&#160;<xsl:value-of select="@NOMBRE"/></td>
					<td width="25%"><xsl:value-of select="@EMAIL"/></td>
					<td width="10%"><xsl:value-of select="@TELEFONO"/></td>
					<td width="6%" align="center">
						<xsl:if test="../INFORMATICO_VINCULADO[@INFORMATICO = $InfActual]/@ASIGNA_EMPRESA = 'S'">
							Si
						</xsl:if>
						<xsl:if test="../INFORMATICO_VINCULADO[@INFORMATICO = $InfActual]/@ASIGNA_EMPRESA = 'N'">
							No
						</xsl:if>
					</td>
					<!--Abre un Popup donde se pueden cambiar los atributos del informatico asignado-->
					<td align="center"><a href="javascript:modificar('{$empEmail}','{$InfActual}');"><img  border="0" src="../graficos/iconos/modificar.gif" alt="Modificar atributos del responsable"/></a></td>
					<td align="center"><a href="javascript:EliminarInformatico('?module=dumbo7/administracion/empresas.formAsignarInformaticos.eliminar&amp;einInfCod={$InfActual}&amp;einEmpCod={$empEmail}&amp;empEmail={$empEmail}', arrayNombres['{@IDENTIFICADOR}'],arrayApellidos['{@IDENTIFICADOR}']);"><img border="0" src="../graficos/iconos/eliminar.gif" alt="Eliminar"/></a></td>
				</xsl:for-each>
			</tr>
		</xsl:for-each>
		<xsl:if test="count(DATA/EMPRESAS/INFORMATICO_VINCULADO)=0">
			<tr class="administracion">
				<td align="center" colspan="8">* No hay <xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informticos'"/></xsl:call-template> asociados a esta empresa</td>
			</tr>
		</xsl:if>
	</table>
	<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" summary="Asignacin de Informticos a Aplicaciones">
		<tr>
			<td class="cabe" align="left" colspan="8"><b>Vincular <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informtico'"/></xsl:call-template></b></td>
		</tr>
		<!--Seccin del formulario para introducir los datos del responsable de la aplicacin.
		Contiene ayudas para la bsqueda por dni, correo y apellidos-->
		<tr>
			<td class="administracion" width="15%">Identificador:</td>
			<td class="administracion" width="30%">
				<input type="text" name="einInfCod" size="10" maxlength="8" onkeypress="return pulsar(event)" onChange="javascript:buscaDNI(this.value);"/>
				&#160;
				<a href="javascript:busquedaGenerica('?module=dumbo7/administracion/empresas.index.buscarGenerico');">
					<img id="Busqueda" style="display:inline" border="0" src="../graficos/iconos/ampliar.gif" alt="Realizar Bsqueda"/>&#160;&#160;&#160;
				</a>
			</td>
			<td class="administracion" width="10%">Asigna Empresas:</td>
			<td class="administracion" width="10%">
				<select name="einAsignaEmpresa">
					<option value="S">Si</option>
					<option value="N">No</option>
				</select>
			</td>
			<td class="administracion" width="25%" align="right">
				<input type="button" class="boton" value="Asignar" onclick="javascript:cerrar_asignar()"/>
			</td>
		</tr>
		<tr>
			<td class="administracion"></td>
			<td class="administracion" colspan="6" id="InfApe"></td>
		</tr>
		<tr class="administracion">
			<td colspan="7" align="center">
				<input type="button" class="boton" value="Volver" onclick="javascript:cerrar_volver()"/>
			</td>
		</tr>
	</table>
	</form>
</td></tr>
</table>

<p>&#160;</p>


</xsl:template>
</xsl:stylesheet>
	