<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
			<script LANGUAJE="JavaScript">
				function cerrar()
				{
					document.empresa.module.value='dumbo7/administracion/empresas.formNueva.cancelar'
					document.empresa.submit();
				}
				//Funcin que comprueba si el identificador de la empresa ya existe.
				function buscar_email()
				{
					document.empresa.empEmail.value = allTrim(document.empresa.empEmail.value);	
					var cont=0;
					<xsl:for-each select="DATA/EMPRESAS/EMPRESA">
						if(document.empresa.empEmail.value=='<xsl:value-of select="@EMAIL"/>')
						{
							cont=cont+1;						
						}
					</xsl:for-each>
					
					if(cont!=0)
					{
						document.empresa.empEmail.value="";
						document.empresa.empEmail.focus();
						cont=0;
						alert("El email introducido ya existe");	
					}
				}	
			</script>
			<script language="JavaScript" src="../js/empresas/CompruebaAltaEmpresa.js"></script>
         </xsl:with-param>
	   </xsl:call-template>
<body>
		
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/EMPRESAS/USER/@NAME,concat('(',concat(DATA/EMPRESAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.11.1</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>

</xsl:template>

<xsl:template name="cuerpo">
<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Esta tabla contien el formulario para la creacin de la nueva empresa">
<tr><td width="150" colspan="2" class="cab1">&#187;Nueva empresa</td></tr>
<tr><td colspan="2">
	<form action="{$servlet}" METHOD="POST" name="empresa">
	<input type="hidden" name="module"/>
	<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" summary="Esta tabla contiene el formulario para la creacin de la nueva empresa">
		<tr>
			<td class="cabe" align="left" colspan="4"><b>Datos de la empresa</b></td>
		</tr>
		<tr class="administracion">
			<td width="12%">Nombre&#160;(*):</td>
			<td colspan="3"><input type="text" name="empNombre" size="55"  maxlength="50"/></td>
		</tr>
		<tr class="administracion">
			<td>CIF&#160;(*):</td>
			<td colspan="3"><input type="text" name="empCIF" size="13"  maxlength="12"/></td>
		</tr>
		<tr class="administracion">
			<td>Correo&#160;(*):</td>
			<td colspan="3"><input type="text" name="empEmail" size="51"  maxlength="50" onChange="buscar_email()"/></td>
		</tr>
		<tr class="administracion">
			<td>Direccin:</td>
			<td colspan="3"><input type="text" name="empDireccion" size="55"  maxlength="50"/></td>
		</tr>
		<tr class="administracion">
			<td>Poblacin:</td>
			<td colspan="3"><input type="text" name="empPoblacion" size="55"  maxlength="50"/></td>
		</tr>
		<tr class="administracion">
			<td>Provincia:</td>
			<td colspan="3"><input type="text" name="empProvincia" size="55"  maxlength="50"/></td>
		</tr>
		<tr class="administracion">
			<td>Cdigo postal:</td>
			<td colspan="3"><input type="text" name="empCodigoPostal" size="6"  maxlength="5"/></td>
		</tr>
		<tr class="cabe">
			<td colspan="4"><b>Datos de contacto</b></td>
		</tr>
		<tr class="administracion">
			<td>Contacto&#160;1:</td>
			<td><input type="text" name="empContacto1" size="55"  maxlength="50"/></td>
			<td>Telefono&#160;1:</td>
			<td><input type="text" name="empTelefono1" size="11"  maxlength="9"/></td>
		</tr>
		<tr class="administracion">
			<td>Contacto&#160;2:</td>
			<td><input type="text" name="empContacto2" size="55"  maxlength="50"/></td>
			<td>Telefono&#160;2:</td>
			<td><input type="text" name="empTelefono2" size="11"  maxlength="9"/></td>
		</tr>
		<tr class="cabe">
			<td colspan="4"><b>Observaciones</b></td>
		</tr>
		<tr class="administracion">
			<td colspan="4" align="center"><TEXTAREA ROWS="8" COLS="150" NAME="empObservaciones" wrap="VIRTUAL"/></td>
		</tr>
		<tr class="administracion">
			<td colspan="4" align="center">
			<input type="button" class="boton" value="Aceptar" onclick="javascript:CompruebaAltaEmpresa()"/>&#160;
			<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar()"/></td>
		</tr>		
	</table>
	</form>
</td></tr>
</table>

</xsl:template>
</xsl:stylesheet>
	