<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>
<xsl:param name="menu"/>	
<xsl:param name ="select"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
	<xsl:call-template name="headComun">
		 <xsl:with-param name="jscript">
			<script LANGUAJE="JavaScript">
				function mostrarError(error){
					alert(error);
				}
				function buscar_codigo(){
					document.nueva.gcoCod.value = allTrim(document.nueva.gcoCod.value);	
					var string = document.nueva.gcoCod.value;
					document.nueva.gcoCod.value = string.toUpperCase();  
					var cont=0;
					<xsl:for-each select="DATA/GRUPOS_COSTES/GRUPO_COSTE">
						if(document.nueva.gcoCod.value=='<xsl:value-of select="@CODIGO"/>')
						{
							cont=cont+1;						
						}
					</xsl:for-each>
					
					if(cont!=0){
						document.nueva.gcoCod.focus();
						window.document.nueva.gcoCod.value="";
						cont=0;
						alert("El cdigo introducido no es correcto o ya existe");	
					}
				}
				function cerrar_cancelar()
				{
					document.nueva.module.value='dumbo7/administracion/gruposcostes.formNueva.cancelar';				
					document.nueva.submit();
				}
				
			</script>
			<script language="JavaScript" src="../js/gruposcostes/CompruebaAltaGrupoCostes.js"></script>
		</xsl:with-param>
	 </xsl:call-template>
<body>

	
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/GRUPOS_COSTES/USER/@NAME,concat('(',concat(DATA/GRUPOS_COSTES/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.6.1</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
	</body>
	</html>
</xsl:template>

<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/GRUPOS_COSTES">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
			</xsl:if>
	</xsl:for-each>
<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Tabla para crear gruposcostes">
<tr><td width="450" colspan="2" class="cab1">&#187;Nuevo grupo de coste</td></tr>
<tr><td colspan="2">
	<form action="{$servlet}" METHOD="POST" name="nueva">
	<input type="hidden" name="module"/>
	<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" summary="Tabla para crear seccion">
		<tr>
			<td class="cabe" align="left" colspan="5"><b>Datos del grupo</b></td>
		</tr>
		<tr class="administracion">
			<td width="12">Cdigo&#160;(*):</td>
			<td width="80">
				<input type="text" name="gcoCod" size="3" maxlength="3" onChange="buscar_codigo()" />
			</td>
		</tr>
		<tr class="administracion">
			<td width="110">Descripcin&#160;(*):</td>
			<td width="700"><input type="text" name="gcoDescrip" size="51" maxlength="50"/></td>
		</tr>
		<tr class="administracion">
			<td width="110">Coste/hora&#160;(*):</td>			
			<td width="700"><input type="text" name="gcoCoste" size="10" maxlength="7"/>(eeee.cc)</td>
		</tr>
		<tr class="administracion">
			<td width="110">Horas&#160;(*):</td>
			<td width="700"><input type="text" name="gcoHoras" size="10" maxlength="4"/> (h.mm)</td>
		</tr>
		<tr class="administracion">
			<td width="110">Estado&#160;(*):</td>
			<td width="700"><select name="gcoEstado" size="1"><option value="V">Vigente</option><option value="N">No vigente</option></select></td>
		</tr>
		<tr class="administracion"><td colspan="4"><font size="-1" color="red">(*) campos obligatorios.</font></td></tr>
		<tr class="administracion">
			<td colspan="2" align="center">
				<input type="button" class="boton" value="Aceptar" onclick="javascript:CompruebaAltaGrupoCostes()" />&#160;
				<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar_cancelar()"/>
				<!--<input type="submit" class="boton" value="Cancelar" onclick="javascript:document.nueva.module.value='dumbo7/administracion/gruposcostes.formNueva.cancelar'"/>-->
			</td>
		</tr>
		
	</table>
	</form>
</td></tr>
</table>


<p>&#160;</p>


</xsl:template>
</xsl:stylesheet>

