<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="gruCod"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

	<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
             <SCRIPT LANGUAGE="JavaScript">
				function abrirPopup(url)
				{
					newWindow = window.open(url,'_blanck',"height=230,width=450,status=no,toolbar=no,menubar=no,location=no,scrollbars=no");				
					newWindow.moveTo(self.screen.width/4,self.screen.height/4);
				}  
				<!--Para que si tenemos un unico campo de texto no haga submit al pulsar enter-->
				function pulsar(e)
				{ 
					tecla = (document.all) ? e.keyCode :e.which; 
					return (tecla!=13); 
				} 
				
				function mostrarError(error)
				{
					alert(error);
				}
				function EliminarUsuario(url,nombre,apellido)
				{
					if (confirm("Est seguro de eliminar el usuario: "+apellido+", "+nombre+" ?"))
					{
					 window.open(url,"_self");
					}
				}	
				function cerrar_cancelar(){
					document.nueva.module.value='dumbo7/administracion/gruposusuarios.formAsignarUsuarios.cancelar';				
					document.nueva.submit();
				} 
					
				function cerrar_anadir(){
					if (document.nueva.infCod.value=='') { alert('Introduzca un usuario.'); return; }
					if (DatosIncorrectos==true) { alert('Introduzca un usuario correcto.'); return; }
					document.nueva.module.value='dumbo7/administracion/gruposusuarios.formAsignarUsuarios.aceptar';				
					document.nueva.submit();
				}
				
				<!--Busquedas-->
				var DatosIncorrectos = true;
				
				function busquedaGenerica(url)
				{
					url = url.concat("&amp;modulo=gruposusuarios.formAsignarUsuarios.buscarApellidos");
					idInput = 'InfApe';
					url = url.concat("&amp;tipo=INF");
					newWindow = window.open(url,'_blanck',"width=600,height=400,left=100,top=100,status=no,toolbar=no,menubar=no,location=no");
				}
				
				function actualiza(v,doc)
				{
					DatosIncorrectos = false;
					document.nueva.infCod.value = v;
					var txt = doc.getElementById(v).innerHTML;
					var n = txt.indexOf('>');
					txt = txt.substring(n+1);
					n = txt.indexOf('&lt;');
					txt = txt.substring(0,n);
					document.getElementById(idInput).innerHTML = txt;
				}
			
				function buscaDNI(DNI)
				{
					var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/gruposusuarios.formAsignarUsuarios.buscarDNI&amp;Codigo='+DNI;
			
					http_req = false;
			
					if (window.XMLHttpRequest){
						http_req = new XMLHttpRequest();
						if (http_req.overrideMimeType){
							http_req.overrideMimeType('text/xml');
						}
					}
					else if (window.ActiveXObject){
						try{
							http_req = new ActiveXObject("Msxml2.XMLHTTP");
						}catch (e){
							try{
								http_req = new ActiveXObject("Microsoft.XMLHTTP");
							}catch (e){}
						}
					}
			
					if (!http_req){
						alert('Falla: No es posible crear una instancia XMLHTTP');
						return false;
					}
					http_req.onreadystatechange = resuelveDNI;
					http_req.open('GET', url, true);
					http_req.send(null);
				}
			
				function resuelveDNI()
				{
					if (http_req.readyState == 4){
						if (http_req.status == 200){
							var text = http_req.responseText;
							var n = text.indexOf('&lt;'+'!--');
							if (n>=0) text = text.substring(0,n);
							var m = text.indexOf('.dtd">');
							if (m>=0) text = text.substring(m+6,text.length);
							eval(text);
						}
						else{
							alert('Hubo problemas con la peticin.');
						}
					}
				}//-->
            </SCRIPT>
			<script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>
         </xsl:with-param>
	   </xsl:call-template>
<body>
		
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/GRUPOS_USUARIOS/USER/@NAME,concat('(',concat(DATA/GRUPOS_USUARIOS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.7.2</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>

</xsl:template>

<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/GRUPOS_USUARIOS">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
			</xsl:if>
	</xsl:for-each>

<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Esta tabla contiene usuarios">
<tr><td width="700" colspan="2" class="cab1">&#187;Usuarios asociados al grupo 
	<!--For Para poder mostrar la descripcion en la cabecera de la tabla-->
		<xsl:for-each select="DATA/GRUPOS_USUARIOS/GRUPO_USUARIO[@CODIGO=$gruCod]">			
				&quot;<xsl:value-of select="@DESCRIPCION"/>&quot; 			
		</xsl:for-each>
</td></tr>

<tr><td>
	<form action="{$servlet}" METHOD="POST" name="nueva">
		<input type="hidden" name="module" value="dumbo7/administracion/gruposusuarios.formAsignarUsuarios.volver"/>
		<input type="hidden" name="gruCod" value="{$gruCod}"/>
		<table class="cont" id="gruposusuarios" border="0" cellpadding="3" cellspacing="1" width="100%">
			<SCRIPT>
				var arrayNombres = new Array();
				var arrayApellidos = new Array();
			</SCRIPT>	
				
			<tr class="cabe">
				<td width="250" height="16"><b><font face="Verdana" size="2">Cdigo</font></b></td>
				<td width="880" height="16"><b><font face="Verdana" size="2">Apellidos, Nombre</font></b></td>
				<td width="250" height="16"><b><font face="Verdana" size="2">Email</font></b></td>
				<td width="30" height="16"><b><font face="Verdana" size="2">Telfono</font></b></td>
				<td>&#160;</td><!--eliminar-->
			</tr>
			<xsl:for-each select="DATA/GRUPOS_USUARIOS/DATOS_PERSONALES">
				<xsl:sort select="@APELLIDOS"/>
				<SCRIPT>
					arrayNombres['<xsl:value-of select="@IDENTIFICADOR"/>'] = "<xsl:value-of select="@NOMBRE"/>";
					arrayApellidos['<xsl:value-of select="@IDENTIFICADOR"/>'] = "<xsl:value-of select="@APELLIDOS"/>";
				</SCRIPT>
				<xsl:variable name="codUsu"><xsl:value-of select="@IDENTIFICADOR"/></xsl:variable> 
			<xsl:for-each select="../USUARIO_GRUPO[@USUARIO=$codUsu]">
				<xsl:if test="@GRUPO = $gruCod">		
						<xsl:variable name="codUsu"><xsl:value-of select="@USUARIO"/></xsl:variable> 
						<xsl:for-each select="../DATOS_PERSONALES[@IDENTIFICADOR=$codUsu]">
							<tr class="administracion" onmouseover="javascript:onMouse(this,'true');" onmouseout="javascript:onMouse(this,'false');">
								<td width="250"><xsl:value-of select="@IDENTIFICADOR"/>-<xsl:value-of select="@LETRA"/></td>
								<td width="850">
									<a title="{../DATOS_PERSONALES[@IDENTIFICADOR=$codUsu]/@APELLIDOS}, {../DATOS_PERSONALES[@IDENTIFICADOR=$codUsu]/@NOMBRE}"  href="javascript:abrirPopup('?module=dumbo7/inicio.detalleUser&amp;user={$codUsu}')">
										<xsl:value-of select="../DATOS_PERSONALES[@IDENTIFICADOR=$codUsu]/@APELLIDOS"/>,&#160;<xsl:value-of select="../DATOS_PERSONALES[@IDENTIFICADOR=$codUsu]/@NOMBRE"/>
									</a>	
								</td>
								<td width="350"><xsl:value-of select="@EMAIL"/></td>
								<td width="150"><xsl:value-of select="@TELEFONO"/></td>
								<td width="15" height="16"><a href="javascript:EliminarUsuario('?module=dumbo7/administracion/gruposusuarios.formAsignarUsuarios.eliminar&amp;ugrUsuCod={$codUsu}&amp;gruCod={$gruCod}',arrayNombres['{@IDENTIFICADOR}'],arrayApellidos['{@IDENTIFICADOR}'])"><img border="0" src="../graficos/iconos/eliminar.gif" alt="Eliminar"/></a></td>
								
							</tr>
						</xsl:for-each>				
				</xsl:if>
			</xsl:for-each>
						</xsl:for-each>
			<xsl:if test="count(DATA/GRUPOS_USUARIOS/USUARIO_GRUPO[(@GRUPO=$gruCod)])=0">
				<tr class="administracion">
					<td align="center" colspan="5">* No hay Usuarios Asociados.</td>
				</tr>
			</xsl:if>
			
			
		<table class="cont" id="gruposusuarios2" border="0" cellpadding="3" cellspacing="1" width="100%">
		<!--Seccin del formulario para introducir los datos del responsable de la aplicacin.
		Contiene ayudas para la bsqueda por dni, correo y apellidos-->
		<tr>
			<td align="left" class="cabe" colspan="4"><b>Aadir nuevo componente</b></td>
		</tr>
		<tr class="administracion">
			<td width="12%">Identificador:</td>
			<td>
				<input type="text" name="infCod" size="10" maxlength="8" onkeypress="return pulsar(event)" onChange="javascript:buscaDNI(this.value);"/>
				&#160;
				<a href="javascript:busquedaGenerica('?module=dumbo7/administracion/gruposusuarios.index.buscarGenerico');">
					<img id="Busqueda" style="display:inline" border="0" src="../graficos/iconos/ampliar.gif" alt="Realizar Bsqueda"/>&#160;&#160;&#160;
					<input type="button" class="boton" value="Aadir" onclick="javascript:cerrar_anadir()"/>&#160; 
				</a>
			</td>
		</tr>
		<tr class="administracion">
			<td></td>
			<td id="InfApe"></td>
		</tr>
		<tr class="administracion">
		<td colspan="5" align="center">
			<input type="button" class="boton" value="Volver" onclick="javascript:cerrar_cancelar()"/></td>			
		</tr>
	
		</table>
	</table>
	</form>
	</td>
	</tr>
	</table>
	


</xsl:template>
</xsl:stylesheet>
	