<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>
<xsl:param name="patron"/>	

<xsl:template match="XMLROOT">
<HTML>
  <HEAD>
    <META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
    <META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
    <TITLE>DUMBO7: Buscar Usuario</TITLE>
	<link REL="stylesheet" HREF="../estilosD.css" TYPE="text/css"/>
	<SCRIPT LANGUAGE="JavaScript">
		function detalleUser(usr) {
			var w = window.open('about:blank','UserDetail','width=400,height=300,left=100,top=100,scrollbars=yes');
			document.detalleUsr.target = w.name;
			document.detalleUsr.user.value = usr;
			document.detalleUsr.submit();
		}
	</SCRIPT>
  </HEAD>
  <BODY class="littlebody" OnLoad="top.endBuscar();">
	<form name="detalleUsr" action="{$servlet}" method="post">
		<input type="hidden" name="module" value="dumbo7/atencion.atender.detalleUser"/>
		<input type="hidden" name="user" value=""/>
	</form>
	<table class="contout">
		<tr class="peticion">
			<td>&#160;</td>
			<td><strong>Usuario</strong></td>
			<td><strong>Nombre</strong></td>
			<td>&#160;</td>
		</tr>
		<!--Existen tan tantos for-each como posibles paquetes existan en los que se pueden realizar bsquedas
		si no estas en ese paquete no tendr utilid el for y ser como si no existiese-->

		<!--Para SECCIONES-->
		<xsl:if test="count(DATA/SECCIONES/DATOS_PERSONALES)!=0">
			<tr>
				<td colspan="4">Resultados de buscar: <i><xsl:value-of select="translate($patron,'/','&#160;')"/></i> (<xsl:value-of select="count(DATA/SECCIONES/DATOS_PERSONALES)"/> Coincidencias)</td>
			</tr>
			<xsl:if test="string-length(DATA/SECCIONES/@ERROR)>0">
			<tr>
				<td colspan="4"><b><xsl:value-of select="DATA/SECCIONES/@ERROR"/></b></td>
			</tr>
			</xsl:if>
			<xsl:for-each select="DATA/SECCIONES/DATOS_PERSONALES">
				<xsl:sort select="concat(@APELLIDOS,@NOMBRE)"/>
				<xsl:variable name="id"><xsl:value-of select="@IDENTIFICADOR"/></xsl:variable>
				<tr>
					<td>[<xsl:value-of select="position()"/>]</td>
					<td><a href="javascript:top.opener.actualiza('{$id}',document);top.close();"><xsl:choose><xsl:when test="string-length(@EMAIL)>0"><xsl:value-of select="@EMAIL"/></xsl:when><xsl:otherwise><xsl:value-of select="@IDENTIFICADOR"/></xsl:otherwise></xsl:choose></a></td>
					<td id="{$id}"><a href="javascript:top.opener.actualiza('{$id}',document);top.close();"><xsl:value-of select="@APELLIDOS"/>, <xsl:value-of select="@NOMBRE"/></a></td>
					<td id="{$id}">[<a href="javascript:detalleUser('{$id}');">+</a>]</td>
				</tr>
			</xsl:for-each>
		</xsl:if>
		
		<!--Para APLICACIONES-->
		<xsl:if test="count(DATA/APLICACIONES/DATOS_PERSONALES)!=0">
			<tr>
				<td colspan="4">Resultados de buscar: <i><xsl:value-of select="translate($patron,'/','&#160;')"/></i> (<xsl:value-of select="count(DATA/APLICACIONES/DATOS_PERSONALES)"/> Coincidencias)</td>
			</tr>
			<xsl:if test="string-length(DATA/APLICACIONES/@ERROR)>0">
			<tr>
				<td colspan="4"><b><xsl:value-of select="DATA/APLICACIONES/@ERROR"/></b></td>
			</tr>
			</xsl:if>
			<xsl:for-each select="DATA/APLICACIONES/DATOS_PERSONALES">
				<xsl:sort select="concat(@APELLIDOS,@NOMBRE)"/>
				<xsl:variable name="id"><xsl:value-of select="@IDENTIFICADOR"/></xsl:variable>
				<tr>
					<td>[<xsl:value-of select="position()"/>]</td>
					<td><a href="javascript:top.opener.actualiza('{$id}',document);top.close();"><xsl:choose><xsl:when test="string-length(@EMAIL)>0"><xsl:value-of select="@EMAIL"/></xsl:when><xsl:otherwise><xsl:value-of select="@IDENTIFICADOR"/></xsl:otherwise></xsl:choose></a></td>
					<td id="{$id}"><a href="javascript:top.opener.actualiza('{$id}',document);top.close();"><xsl:value-of select="@APELLIDOS"/>, <xsl:value-of select="@NOMBRE"/></a></td>
					<td id="{$id}">[<a href="javascript:detalleUser('{$id}');">+</a>]</td>
				</tr>
			</xsl:for-each>
		</xsl:if>
		
		<!--Para ZONAS-->
		<xsl:if test="count(DATA/ZONAS/DATOS_PERSONALES)!=0">
			<tr>
				<td colspan="4">Resultados de buscar: <i><xsl:value-of select="translate($patron,'/','&#160;')"/></i> (<xsl:value-of select="count(DATA/SECCIONES/DATOS_PERSONALES)"/> Coincidencias)</td>
			</tr>
			<xsl:if test="string-length(DATA/ZONAS/@ERROR)>0">
			<tr>
				<td colspan="4"><b><xsl:value-of select="DATA/ZONAS/@ERROR"/></b></td>
			</tr>
			</xsl:if>
			<xsl:for-each select="DATA/ZONAS/DATOS_PERSONALES">
				<xsl:sort select="concat(@APELLIDOS,@NOMBRE)"/>
				<xsl:variable name="id"><xsl:value-of select="@IDENTIFICADOR"/></xsl:variable>
				<tr>
					<td>[<xsl:value-of select="position()"/>]</td>
					<td><a href="javascript:top.opener.actualiza('{$id}',document);top.close();"><xsl:choose><xsl:when test="string-length(@EMAIL)>0"><xsl:value-of select="@EMAIL"/></xsl:when><xsl:otherwise><xsl:value-of select="@IDENTIFICADOR"/></xsl:otherwise></xsl:choose></a></td>
					<td id="{$id}"><a href="javascript:top.opener.actualiza('{$id}',document);top.close();"><xsl:value-of select="@APELLIDOS"/>, <xsl:value-of select="@NOMBRE"/></a></td>
					<td id="{$id}">[<a href="javascript:detalleUser('{$id}');">+</a>]</td>
				</tr>
			</xsl:for-each>
		</xsl:if>
		
		<!--Para GRUPOS DE USUARIOS-->
		<xsl:if test="count(DATA/GRUPOS_USUARIOS/DATOS_PERSONALES)!=0">
			<tr>
				<td colspan="4">Resultados de buscar: <i><xsl:value-of select="translate($patron,'/','&#160;')"/></i> (<xsl:value-of select="count(DATA/GRUPOS_USUARIOS/DATOS_PERSONALES)"/> Coincidencias)</td>
			</tr>
			<xsl:if test="string-length(DATA/GRUPOS_USUARIOS/@ERROR)>0">
			<tr>
				<td colspan="4"><b><xsl:value-of select="DATA/GRUPOS_USUARIOS/@ERROR"/></b></td>
			</tr>
			</xsl:if>
			<xsl:for-each select="DATA/GRUPOS_USUARIOS/DATOS_PERSONALES">
				<xsl:sort select="concat(@APELLIDOS,@NOMBRE)"/>
				<xsl:variable name="id"><xsl:value-of select="@IDENTIFICADOR"/></xsl:variable>
				<tr>
					<td>[<xsl:value-of select="position()"/>]</td>
					<td><a href="javascript:top.opener.actualiza('{$id}',document);top.close();"><xsl:choose><xsl:when test="string-length(@EMAIL)>0"><xsl:value-of select="@EMAIL"/></xsl:when><xsl:otherwise><xsl:value-of select="@IDENTIFICADOR"/></xsl:otherwise></xsl:choose></a></td>
					<td id="{$id}"><a href="javascript:top.opener.actualiza('{$id}',document);top.close();"><xsl:value-of select="@APELLIDOS"/>, <xsl:value-of select="@NOMBRE"/></a></td>
					<td id="{$id}">[<a href="javascript:detalleUser('{$id}');">+</a>]</td>
				</tr>
			</xsl:for-each>
		</xsl:if>
		
		<!--Para INFORMATICOS-->
		<xsl:if test="count(DATA/INFORMATICOS/DATOS_PERSONALES)!=0">
			<tr>
				<td colspan="4">Resultados de buscar: <i><xsl:value-of select="translate($patron,'/','&#160;')"/></i> (<xsl:value-of select="count(DATA/INFORMATICOS/DATOS_PERSONALES)"/> Coincidencias)</td>
			</tr>
			<xsl:if test="string-length(DATA/INFORMATICOS/@ERROR)>0">
			<tr>
				<td colspan="4"><b><xsl:value-of select="DATA/INFORMATICOS/@ERROR"/></b></td>
			</tr>
			</xsl:if>
			<xsl:for-each select="DATA/INFORMATICOS/DATOS_PERSONALES">
				<xsl:sort select="concat(@APELLIDOS,@NOMBRE)"/>
				<xsl:variable name="id"><xsl:value-of select="@IDENTIFICADOR"/></xsl:variable>
				<tr>
					<td>[<xsl:value-of select="position()"/>]</td>
					<td><a href="javascript:top.opener.actualiza('{$id}',document);top.close();"><xsl:choose><xsl:when test="string-length(@EMAIL)>0"><xsl:value-of select="@EMAIL"/></xsl:when><xsl:otherwise><xsl:value-of select="@IDENTIFICADOR"/></xsl:otherwise></xsl:choose></a></td>
					<td id="{$id}"><a href="javascript:top.opener.actualiza('{$id}',document);top.close();"><xsl:value-of select="@APELLIDOS"/>, <xsl:value-of select="@NOMBRE"/></a></td>
					<td id="{$id}">[<a href="javascript:detalleUser('{$id}');">+</a>]</td>
				</tr>
			</xsl:for-each>
		</xsl:if>
		
		<!--Para SISTEMAS-->
		<xsl:if test="count(DATA/SISTEMAS/DATOS_PERSONALES)!=0">
			<tr>
				<td colspan="4">Resultados de buscar: <i><xsl:value-of select="translate($patron,'/','&#160;')"/></i> (<xsl:value-of select="count(DATA/SISTEMAS/DATOS_PERSONALES)"/> Coincidencias)</td>
			</tr>
			<xsl:if test="string-length(DATA/SISTEMAS/@ERROR)>0">
			<tr>
				<td colspan="4"><b><xsl:value-of select="DATA/SISTEMAS/@ERROR"/></b></td>
			</tr>
			</xsl:if>
			<xsl:for-each select="DATA/SISTEMAS/DATOS_PERSONALES">
				<xsl:sort select="concat(@APELLIDOS,@NOMBRE)"/>
				<xsl:variable name="id"><xsl:value-of select="@IDENTIFICADOR"/></xsl:variable>
				<tr>
					<td>[<xsl:value-of select="position()"/>]</td>
					<td><a href="javascript:top.opener.actualiza('{$id}',document);top.close();"><xsl:choose><xsl:when test="string-length(@EMAIL)>0"><xsl:value-of select="@EMAIL"/></xsl:when><xsl:otherwise><xsl:value-of select="@IDENTIFICADOR"/></xsl:otherwise></xsl:choose></a></td>
					<td id="{$id}"><a href="javascript:top.opener.actualiza('{$id}',document);top.close();"><xsl:value-of select="@APELLIDOS"/>, <xsl:value-of select="@NOMBRE"/></a></td>
					<td id="{$id}">[<a href="javascript:detalleUser('{$id}');">+</a>]</td>
				</tr>
			</xsl:for-each>	
		</xsl:if>
		
		<!--Si no han habido resultados-->
		<xsl:if test="count(DATA/SISTEMAS/DATOS_PERSONALES)=0 and
					  count(DATA/INFORMATICOS/DATOS_PERSONALES)=0 and
					  count(DATA/GRUPOS_USUARIOS/DATOS_PERSONALES)=0 and
					  count(DATA/APLICACIONES/DATOS_PERSONALES)=0 and
					  count(DATA/ZONAS/DATOS_PERSONALES)=0 and
					  count(DATA/SECCIONES/DATOS_PERSONALES)=0">
			<tr>
				<td colspan="4">Resultados de buscar: <i><xsl:value-of select="translate($patron,'/','&#160;')"/></i> (0 Coincidencias)</td>
			</tr>
		</xsl:if>
			
		<tr class="peticion"><td colspan="4">&#160;</td></tr>
	</table>
  </BODY>
</HTML>

</xsl:template>
</xsl:stylesheet>
	