<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:param name="servlet"/>
<xsl:param name="menu"/>	
<xsl:param name="tipo"/>

<!--Permite construir la llamada a la query en funcin de donde nos encontremos y del parametro tipo(usu,inf)-->
<xsl:param name="modulo"/>

<xsl:template match="XMLROOT">
<xsl:variable name="titulo">
	<xsl:choose>
		<xsl:when test="$tipo='USR'">
			Usuario
		</xsl:when>
		<xsl:otherwise>
			<xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informtico'"/></xsl:call-template>
		</xsl:otherwise>
	</xsl:choose>
</xsl:variable>
<HTML>
  <HEAD>
    <META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
    <META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
    <TITLE>DUMBO7: Buscar <xsl:value-of select="$titulo"/></TITLE>
	<link REL="stylesheet" HREF="../estilosD.css" TYPE="text/css"/>
	<SCRIPT LANGUAGE="JavaScript">
		String.prototype.trim = function() { return this.replace(/^\s+|\s+$/, ''); };
		var buscando = false;
		function buscar() {
			copiaPatron();
			document.buscador.patron.value = document.buscador.patron.value.trim();
			if (document.buscador.cor.disabled){
				<xsl:if test="$tipo='INF'">
					if (document.buscador.patron.value=='/' || document.buscador.ape.value.length&lt;3) { 
						if (document.buscador.patron.value=='/' || document.buscador.nom.value.length&lt;3) { 
							alert('No pueden ser nulos el nombre y el apellido, y debe incluir tres o ms caracteres como patrn de bsqueda.'); 
							return;
						} 
					}
				</xsl:if>
				if (document.buscador.ape.disabled){
					if (document.buscador.patron.value==' ' || document.buscador.ext.value.length!=4) { 
						alert('El campo extensin no puede ser nulo y debe constar de cuatro dgitos, como patrn de bsqueda.'); 
						return; 
					}
				}else
					if (document.buscador.patron.value=='/' || document.buscador.ape.value.length&lt;3) { 
						<xsl:if test="$tipo='USR'">
							alert('El campo apellido no puede ser nulo y debe incluir tres o ms caracteres, como patrn de bsqueda.'); 
							return; 
						</xsl:if>
					}
			}
			else{
				if (document.buscador.patron.value=='/' || document.buscador.cor.value.length&lt;3) { 
					alert('El campo correo no puede ser nulo y debe incluir tres o ms caracteres, como patrn de bsqueda.'); 
					return; 
				}
			}
			
			buscando = true;
			writePoints();
			
			<!--Para construir el module a partir de la parte fija y el parametro de modulo-->
			var moduloCompleto = 'dumbo7/administracion/'.concat('<xsl:value-of select="$modulo"/>');
			
			document.buscador.module.value = moduloCompleto;
			document.buscador.submit();
		}
		
		function cambio(idCapa){
			var capa = null;
			if (document.layers) capa = eval("document." + idCapa);
			if (document.all) capa = eval(idCapa + ".style");
			if (document.getElementById) capa = eval('document.getElementById("' + idCapa + '").style');
			if ((capa.visibility == "hidden") || (capa.visibility == "hide")){
				capa.visibility = (document.layers) ? "show" : "visible" ;
			}else{
				capa.visibility = (document.layers) ? "hide" : "hidden" ;
			}
			
			var capa = null;
			if (document.layers) capa = eval("document." + idCapa);
			if (document.all) capa = eval(idCapa + ".style");
			if (document.getElementById) capa = eval('document.getElementById("' + idCapa + '").style');
			if ((capa.visibility == "hidden") || (capa.visibility == "hide")){
				capa.visibility = (document.layers) ? "show" : "visible" ;
			}else{
				capa.visibility = (document.layers) ? "hide" : "hidden" ;
			}
		}
		
		function endBuscar() { buscando = false; document.getElementById('divTexto').innerHTML = '&#160;'; }
		var puntos = 0;
		function writePoints() {
			if (!buscando) return;
			var puntosTxt = '';
			for (i=0; i&lt;puntos; i++) puntosTxt += '.';
			puntos += 1;
			if (puntos>15) puntos=0;
			document.getElementById('divTexto').innerHTML = '&lt;font size="+1" color="red">Buscando'+puntosTxt+'&lt;/font>';
			setTimeout('writePoints()',250);
		}
		function marca(obj,chk,objb) {
			obj.disabled = !chk.checked;
			objb.disabled = chk.checked;
			document.getElementById('lb'+obj.name).disabled = !chk.checked;
			document.getElementById('lb'+objb.name).disabled = chk.checked;
			if (!obj.disabled) obj.focus();
			if (!objb.disabled) objb.focus();
		}
		function copiaPatron() {
			if (document.buscador.ape.disabled) {
				document.buscador.patron.value = document.buscador.cor.value+'@';
				if (document.buscador.patron.value.trim()=='@') document.buscador.patron.value = document.buscador.cor.value;
			} else document.buscador.patron.value = document.buscador.nom.value + "/" + document.buscador.ape.value;
		}
	</SCRIPT>
  </HEAD>
<body onload="document.buscador.ape.focus();">
<br/>
	<form name="buscador" action="{$servlet}" method="post" target="rdo">
	<input type="hidden" name="module"/>
	<input type="hidden" name="patron"/>
	<table class="contout">
		<tr class="peticion">
			<td width="20%"><b>Buscar <xsl:value-of select="$titulo"/></b></td>
			<td id="divTexto">&#160;</td>
		</tr>
		<tr>
		<td colspan="2">Seleccione el criterio de bsqueda:
			<table>
			<tr>
				<td rowspan="2">&#160;</td>
				<td><input type="radio" name="criterio" onclick="marca(document.buscador.cor,this,document.buscador.ape);"/></td>
				<td><label id="lbcor" disabled="true"><b>Correo:</b></label></td>
				<td><input name="cor" size="30" value="" disabled="true"/></td>
				<td rowspan="2">&#160;</td>
			</tr>
			<tr>
				<td><input type="radio" name="criterio" onclick="marca(document.buscador.ape,this,document.buscador.cor);" checked="true"/></td>
				<td><label id="lbape"><b>Nombre y Apellidos:</b></label></td>
				<td>
					<input name="nom" size="20" value=""/>
					<input name="ape" size="40" value=""/>
				</td>
				<td rowspan="2">
				<input class="boton" type="button" value="Buscar" onclick="buscar();"/>&#160;
				<input class="boton" type="button" value="Cerrar" onclick="top.close();"/>&#160;
				</td>
			</tr>
			</table>
		</td>
		</tr>
	</table>
	<iframe name="rdo" src="../vacia.html" width="90%" height="290" frameborder="0" border="0"></iframe>
	</form>
</body>
</HTML>

</xsl:template>
<xsl:template name="cuerpo"/>
</xsl:stylesheet>