<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>
<xsl:param name="menu"/>
<xsl:param name="infCod"/>
<xsl:param name="PendientesFlag"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
	<xsl:call-template name="headComun">
		 <xsl:with-param name="jscript">
			<script LANGUAJE="JavaScript">
				function mostrarError(error){
					alert(error);
				}
				
				function poner_blanco(){
					if(document.nueva.apellidos.value == 'Apellidos'){
						document.nueva.apellidos.value='';
						document.nueva.apellidos.focus();
					}
				}
				
				/*function comprobar_nuevo()
				{
					if (document.nueva.cambia.checked)
					{
							window.opener.document.nueva.module.value='dumbo7/administracion/informaticos.formTraspasar.aceptarNuevo';
							window.window.close();
							window.opener.document.nueva.submit();
						
					}
					if (document.nueva.elimina.checked)
					{
							window.opener.document.nueva.module.value='dumbo7/administracion/informaticos.formTraspasar.aceptarYborrar';
							window.window.close();
							window.opener.document.nueva.submit();
						
					}										
				}*/
				function comprobar_nuevo()
				{
					if (document.nueva.check[0].checked)
					{
							window.opener.document.nueva.module.value='dumbo7/administracion/informaticos.formTraspasar.aceptarNuevo';
							window.window.close();
							window.opener.document.nueva.submit();
						
					}
					if (document.nueva.check[1].checked)
					{
							window.opener.document.nueva.module.value='dumbo7/administracion/informaticos.formTraspasar.aceptarYborrar';
							window.window.close();
							window.opener.document.nueva.submit();
						
					}										
				}
			</script>
		</xsl:with-param>
	 </xsl:call-template>
<body>

	<table  border="0" cellpadding="5" cellspacing="5" width="570" summary="Esta tabla contiene una lista de Informticos">
	<tr><td colspan="2">
		<form action="{$servlet}" METHOD="POST" name="nueva">
		<input type="hidden" name="module" value="dumbo7/administracion/informaticos.formTraspasaElimina.aceptar"/>
		<input type="hidden" name="PendientesFlag" size="20" value="$PendientesFlag" readonly="true"/>
		<table align="center" class="cont" border="0" width="100%" summary="Tabla para crear Informticos">
			<tr><td width="650" class="cabe"><b>Traspaso de tareas</b></td></tr>
			<tr class="administracion">
				<td align="left">
					 <input type="radio" name="check" value="cambia" checked="true"/> Cambio de identificador en todo el sistema y mantener <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informtico'"/></xsl:call-template> actual.<br/>
					 <input type="radio" name="check" value="elimina" /> Cambio de identificador en todo el sistema y eliminar <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informtico'"/></xsl:call-template> actual.<br/>
					 &#160;&#160;&#160;&#160;&#160;&#160;(Al eliminar se traspasarn todas las tareas)
				</td>
			</tr>
			<tr class="administracion">
				<td align="center">						
					<input type="button" class="boton" value="Aceptar" onclick="javascript:comprobar_nuevo()" />&#160;
					<input type="submit" class="boton" value="Cancelar" onclick="window.close()"/>
				</td>
			</tr>		
		</table>
		</form>
			
	</td></tr>
	</table>
	
	<p>&#160;</p>

	</body>
</html>
</xsl:template>
<xsl:template name ="cuerpo">
	
</xsl:template>
</xsl:stylesheet>




