<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>
<xsl:param name="menu"/>
<xsl:param name="infCod"/>
<!--Variables para mantener el filtrado-->
<xsl:param name="flag_filtrado"/>
<xsl:param name="seccionCode"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
	<xsl:call-template name="headComun">
		 <xsl:with-param name="jscript">
			<script LANGUAJE="JavaScript">
				<!--Para que si tenemos un unico campo de texto no haga submit al pulsar enter-->
				function pulsar(e)
				{ 
					tecla = (document.all) ? e.keyCode :e.which; 
					return (tecla!=13); 
				} 
				
				var DatosIncorrectos = true;
				
				function busquedaGenerica(url)
				{
					url = url.concat("&amp;modulo=informaticos.formTraspasar.buscarApellidos");
					idInput = 'InfApe';
					url = url.concat("&amp;tipo=USR");
					newWindow = window.open(url,'_blanck',"width=600,height=400,left=100,top=100,status=no,toolbar=no,menubar=no,location=no");
				}
				function actualiza(v,doc)
				{
					DatosIncorrectos = false;
					document.nueva.infCod.value = v;
					var txt = doc.getElementById(v).innerHTML;
					var n = txt.indexOf('>');
					txt = txt.substring(n+1);
					n = txt.indexOf('&lt;');
					txt = txt.substring(0,n);
					document.getElementById(idInput).innerHTML = txt;
				}
				
				function buscaDNI(DNI)
				{
					var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/informaticos.formTraspasar.buscarDNI&amp;Codigo='+DNI;
			
					http_req = false;
			
					if (window.XMLHttpRequest){
						http_req = new XMLHttpRequest();
						if (http_req.overrideMimeType){
							http_req.overrideMimeType('text/xml');
						}
					}
					else if (window.ActiveXObject){
						try{
							http_req = new ActiveXObject("Msxml2.XMLHTTP");
						}catch (e){
							try{
								http_req = new ActiveXObject("Microsoft.XMLHTTP");
							}catch (e){}
						}
					}
			
					if (!http_req){
						alert('Falla: No es posible crear una instancia XMLHTTP');
						return false;
					}
					http_req.onreadystatechange = resuelveDNI;
					http_req.open('GET', url, true);
					http_req.send(null);
				}
			
				function resuelveDNI()
				{
					if (http_req.readyState == 4){
						if (http_req.status == 200){
							var text = http_req.responseText;
							var n = text.indexOf('&lt;'+'!--');
							if (n>=0) text = text.substring(0,n);
							var m = text.indexOf('.dtd">');
							if (m>=0) text = text.substring(m+6,text.length);
							eval(text);
						}
						else{
							alert('Hubo problemas con la peticin.');
						}
					}
				}//-->
				
				function mostrarError(error)
				{
					alert(error);
				}
				function cerrar_volver()
				{
					document.nueva.module.value='dumbo7/administracion/informaticos.formTraspasar.cancelar';
					document.nueva.submit();
				}
				
				function comprobar_nuevo()
				{
					<!--Rellenamos el flag de pendientes. Si esta activo, solo se traspasaran tareas pendientes.
						(Nota: menos en el caso de traspaso y eliminacion que se traspasaran todas las tareas)-->
					if(document.nueva.Pendientes.checked==true)
						document.nueva.PendientesFlag.value='1';
					else
						document.nueva.PendientesFlag.value='0';
						
						
					if(!DatosIncorrectos)
					{
						DatosIncorrectos = true;
					
						if(document.nueva.infCodActual.value == document.nueva.infCod.value)
						{
							alert("El informtico al que va a traspasar las tareas es el mismo que las contiene. Indique otro informtico.");
							return 0;
						}
						
						document.nueva.compruebaNuevo.value='0';
						<xsl:for-each select="DATA/INFORMATICOS/INFORMATICO">
							var xslCode = '<xsl:value-of select="@CODIGO"/>';
							if (xslCode == document.nueva.infCod.value) 
							{
								document.nueva.compruebaNuevo.value='1';
							}								
						</xsl:for-each>
						//si es un identificador nuevo que no se corresponde con el de ningn informtico
						if(document.nueva.compruebaNuevo.value=='0')
						{	
							var url='?module=dumbo7/administracion/informaticos.formTraspasar.traspasaElimina'
							newWindow = window.open(url,'_blanck',"height=140,width=570,status=no,toolbar=no,menubar=no,location=no,scrollbars=no");
							newWindow.moveTo(self.screen.width/4,self.screen.height/4);
						}
						//si es el identificador de un informtico ya existente
						else
						{
							if (confirm("Desea traspasar las tareas?"))
							{
								document.nueva.module.value='dumbo7/administracion/informaticos.formTraspasar.aceptar';
								document.nueva.submit();
							}
						}
					}
					DatosIncorrectos = true;
				}
			</script>
		</xsl:with-param>
	 </xsl:call-template>
<body>
	
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/INFORMATICOS/USER/@NAME,concat('(',concat(DATA/INFORMATICOS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.3.3</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
	</body>
	</html>
</xsl:template>

<xsl:template name ="cuerpo">
	<xsl:for-each select="DATA/INFORMATICOS">
			<xsl:if test="not(@ERROR='')">
				<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
				</xsl:if>
	</xsl:for-each>
	<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Esta tabla contiene una lista de Informticos">
	<tr><td width="650" colspan="3" class="cab1">&#187;Traspaso de tareas asociadas al <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informtico'"/></xsl:call-template>
		<!--For Para poder mostrar la descripcion en la cabecera de la tabla-->
		<xsl:for-each select="DATA/INFORMATICOS/DATOS_PERSONALES[@IDENTIFICADOR=$infCod]">
			"<xsl:value-of select="@APELLIDOS"/>,&#160;<xsl:value-of select="@NOMBRE"/>"
		</xsl:for-each>
	 </td></tr>
	<tr><td colspan="2">
		<form action="{$servlet}" METHOD="POST" name="nueva">
		<input type="hidden" name="flag_filtrado" value="{$flag_filtrado}"/>
		<xsl:if test="$seccionCode!=''">
			<input type="hidden" name="seccionCode" value="{$seccionCode}"/>
		</xsl:if>
		<input type="hidden" name="module" value="dumbo7/administracion/informaticos.formTraspasar.aceptar"/>
		<input type="hidden" name="infCodActual" size="20" value="{$infCod}" readonly="true"/>
		<input type="hidden" name="PendientesFlag" size="20" value="" readonly="true"/>
		<input type="hidden" name="compruebaNuevo" size="20" value="0" readonly="true"/>
		<table class="cont" border="0" cellpadding="3" cellspacing="1" width="100%" summary="Tabla para crear Informticos">
			<!--Seccin del formulario para introducir los datos del nuevo informtico
			Contiene ayudas para la bsqueda por dni, correo y apellidos. La bsqueda se realiza entre 
			informticos y no informticos-->
			<xsl:for-each select="DATA/INFORMATICOS/DATOS_PERSONALES[@IDENTIFICADOR=$infCod]">
				<tr class="cabe">
					<td align="center" colspan="4"><b>Identificador actual</b></td>
				</tr>
				<tr class="administracion">
					<td  align="left" width="20%">
						<b>Identificador:</b>
					</td>						
					<td align="left" colspan="2">
						<label><xsl:value-of select="@IDENTIFICADOR"/></label>
					</td>
				</tr>
				<tr class="administracion">
					<td  align="left" width="20%">
						<b>Correo:</b>
					</td>
					<td  align="left" colspan="2">
						<label><xsl:value-of select="@EMAIL"/></label>
					</td>
				</tr>
				<tr class="administracion">
					<td align="left" width="20%">
						<b>Apellidos, Nombre:</b>
					</td>								
					<td align="left" colspan="2">
						<label><xsl:value-of select="@APELLIDOS"/>,&#160;<xsl:value-of select="@NOMBRE"/></label>&#160;					
					</td>
				</tr>
			</xsl:for-each>

			<tr class="administracion">
				<td align="center" class="cabe" colspan="4"><b>Nuevo identificador</b></td>
			</tr>
			<tr class="administracion">
				<td align="left" width="20%"><b>Identificador</b>(*)<b>:</b>&#160;&#160;</td>
				<td align="left">
					<input type="text" name="infCod" size="10" maxlength="8" onkeypress="return pulsar(event)" onChange="javascript:buscaDNI(this.value);"/>
					&#160;
					<a href="javascript:busquedaGenerica('?module=dumbo7/administracion/informaticos.index.buscarGenerico');">
						<img id="Busqueda" style="display:inline" border="0" src="../graficos/iconos/ampliar.gif" alt="Realizar Bsqueda"/>
					</a>
				</td>
				<td align="left">
					<input type="checkbox" name="Pendientes" value="pend" checked="true"/>
					&#160;Traspasar slo tareas pendientes.
				</td>
			</tr>
			<tr class="administracion">
				<td align="left" width="15%"></td>
				<td align="left" id="InfApe" colspan="2"></td>
			</tr>

		<tr class="administracion"><td align="left" colspan="4"><font size="-1" color="red">(*) campos obligatorios.</font></td></tr>
		
		<tr class="administracion">
			<td colspan="5" align="center">
			<input type="button" class="boton" value="Aceptar" onclick="javascript:comprobar_nuevo()" />&#160;
			<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar_volver()"/></td>
		</tr>		
		</table>
		</form>
			
	</td></tr>
	</table>
	
	<p>&#160;</p>
	
</xsl:template>
</xsl:stylesheet>
