<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="snoCod"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

	<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
             <SCRIPT LANGUAGE="JavaScript">
                
            </SCRIPT>
         </xsl:with-param>
	   </xsl:call-template>

<body>
		
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/NOTICIAS/USER/@NAME,concat('(',concat(DATA/NOTICIAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>

</xsl:template>

<xsl:template name="cuerpo">

<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Esta tabla contiene una NOTICIA">
<tr><td width="775" colspan="2" class="cab1">&#187;Detalle de noticia "<xsl:value-of select="DATA/NOTICIAS/NOTICIA/@ASUNTO"/>"</td></tr>
<tr><td>
	<form action="{$servlet}" METHOD="POST" name="listado">
		<input type="hidden" name="module" value="dumbo7/administracion/noticias.ListaNoticia.volver"/>
		<table class="cont" id="aplicaciones" border="0" cellpadding="3" cellspacing="1" width="100%">
			<tr>
				<td class="cabe" align="left" colspan="5"><b>Datos de la noticia</b></td>
			</tr>
			<tr class="administracion">
				<td><b><font face="Verdana" size="2">Fecha&#160;creacin</font></b></td>
				<td><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="DATA/NOTICIAS/NOTICIA/@FECHA"/></xsl:call-template></td>
			</tr>
			<tr class="administracion">
				<td><b><font face="Verdana" size="2">Fecha&#160;inicio</font></b></td>
				<td><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="DATA/NOTICIAS/NOTICIA/@FECHA_INI"/></xsl:call-template></td>
			</tr>
			<tr class="administracion">
				<td><b><font face="Verdana" size="2">Fecha&#160;fin</font></b></td>
				<td><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="DATA/NOTICIAS/NOTICIA/@FECHA_FIN"/></xsl:call-template></td>
			</tr>
			<tr class="administracion">
				<td><b><font face="Verdana" size="2">Asunto</font></b></td>
				<td><xsl:value-of select="DATA/NOTICIAS/NOTICIA/@ASUNTO"/></td>
			</tr>
			<tr class="administracion">
				<td><b><font face="Verdana" size="2">Texto</font></b></td>
				<td><xsl:value-of select="DATA/NOTICIAS/NOTICIA/@TEXTO"/></td>
			</tr>
			<tr class="administracion">
				<td><b><font face="Verdana" size="2">URL</font></b></td>
				<td><a title="{DATA/NOTICIAS/NOTICIA/@URL}">
					<!--SI TIENE MENOS DE 85 CARACTERES-->
					<xsl:if test="85>=string-length(DATA/NOTICIAS/NOTICIA/@URL)">								
						<xsl:value-of select="DATA/NOTICIAS/NOTICIA/@URL"/>
					</xsl:if>
					<!--SI TIENE MAS DE 85 CARACTERES-->
					<xsl:if test="string-length(DATA/NOTICIAS/NOTICIA/@URL)>85">
						<xsl:value-of select="concat( substring(DATA/NOTICIAS/NOTICIA/@URL,0,85 ) ,'...')"/>
					</xsl:if>
				</a>
				</td>
			<tr class="administracion">
				<td><b><font face="Verdana" size="2">ndole</font></b></td>
				<td>
					<xsl:if test="DATA/NOTICIAS/NOTICIA/@GENERAL = 'G'">
						General
					</xsl:if>	
					<xsl:if test="DATA/NOTICIAS/NOTICIA/@GENERAL = 'P'">
						Particular
					</xsl:if>
				</td>
			</tr>
			<tr class="administracion">
				<td><b><font face="Verdana" size="2">Carcter</font></b></td>
				<td>
					<xsl:if test="DATA/NOTICIAS/NOTICIA/@CARACTER = 'P'">
						Noticia pblica
					</xsl:if>	
					<xsl:if test="DATA/NOTICIAS/NOTICIA/@CARACTER = 'I'">
						Restringida a <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informticos'"/></xsl:call-template>
					</xsl:if>
				</td>
			</tr>	
		</tr>
		<tr class="administracion" align="center"><td colspan="3"><CENTER><input type="submit" class="boton" value="Volver"/></CENTER></td></tr>
	</table>
	</form>
	</td>
	</tr>
	</table>
	


</xsl:template>
</xsl:stylesheet>
	