<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="snoCod"/>

<xsl:variable name="Fecha"/>


<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">


<html lang="es">
     <xsl:call-template name="headComun">
		 <xsl:with-param name="calendar" select="not(contains($menu,'Inc'))"/>
         <xsl:with-param name="jscript">
			 <script LANGUAJE="JavaScript" src="../js/CompruebaFecha.js"></script>
             <script languaje="JavaScript">
				//Funcin para activar la variable de cambios y as notificarlos (si la variable es false, no se mostrar mensaje de cambios ni se har submit)
				function cambiosRealizados()
				{
					document.modificar.checkCambios.value="true";
				}
				
                function mostrarError(error)
				{
					alert(error);
				}
				
				function CompruebaModificaNoticia()
				{ 
					document.modificar.snoAsunto.value = allTrim(document.modificar.snoAsunto.value);
					document.modificar.snoUrl.value = allTrim(document.modificar.snoUrl.value);
								
					if (document.modificar.snoAsunto.value.length==0)
					{ 
						alert("Tiene que escribir una Asunto") 
						document.modificar.snoAsunto.focus() 
						return 0; 
					}
					if(document.modificar.snoTexto.value.length==0)
					{
						alert("Debe escribir un Texto para la Noticia") 
						document.modificar.snoTexto.focus() 
						return 0;
					}
					if(document.modificar.snoTexto.value.length>500)
					{
						var exceso = document.modificar.snoTexto.value.length - 500;
						alert("Su texto excede en " + exceso + " caracteres el mximo permitido.") 
						document.modificar.snoTexto.focus() 
						return 0;
					}
					//Comprobaciones de las fechas
					if (document.modificar.snoFechaIni.value=="")
					{ 
						alert("Debe introducir una fecha de inicio para la noticia") 
						document.modificar.snoFechaIni.focus() 
						return 0; 
					}
					if (document.modificar.snoFechaFin.value=="")
					{ 
						alert("Debe introducir una fecha de finalizacin para la noticia") 
						document.modificar.snoFechaFin.focus() 
						return 0; 
					}
					var mayor=0;
					diainicio=document.modificar.snoFechaIni.value.substr(0,2);
					mesinicio=document.modificar.snoFechaIni.value.substr(3,2);
					anyoinicio=document.modificar.snoFechaIni.value.substr(6,4);
					diafin=document.modificar.snoFechaFin.value.substr(0,2);
					mesfin=document.modificar.snoFechaFin.value.substr(3,2);
					anyofin=document.modificar.snoFechaFin.value.substr(6,4);
					if (anyoinicio>anyofin){mayor=1;}
					if (anyoinicio=anyofin)
					{
						if (mesinicio>mesfin){mayor=1;}
						if (mesinicio==mesfin)
						{
							if (diainicio>diafin)
							{mayor=1;}
						}
					}
					if (mayor==1)
					{
						alert("Debe introducir una fecha de inicio menor que la fecha de finalizacin") 
						document.modificar.snoFechaIni.focus() 
						return 0;
					}
										
					document.modificar.snoAsunto.value = document.modificar.snoAsunto.value.toUpperCase();
					document.modificar.snoTexto.value = document.modificar.snoTexto.value.toUpperCase();
					//Si no ha habido ningn cambio, no se actualiza la base de datos ni se muestra mensaje de "cambios realizados"
					if(document.modificar.checkCambios.value == "true")
						document.modificar.module.value='dumbo7/administracion/noticias.formModificar.aceptar';
					else
						document.modificar.module.value='dumbo7/administracion/noticias.formModificar.cancelar';
					document.modificar.submit();
				}
				//funciones para eliminar espacios en blanco
				function lTrim(sStr)
				{ 
					while (sStr.charAt(0) == " ")  
					sStr = sStr.substr(1, sStr.length - 1); 
					return sStr; 
				} 
				
				function rTrim(sStr)
				{ 
					while (sStr.charAt(sStr.length - 1) == " ")  
					sStr = sStr.substr(0, sStr.length - 1); 
					return sStr; 
				} 
				
				function allTrim(sStr)
				{ 
					return rTrim(lTrim(sStr)); 
				}
				
				function cerrar_cancelar(){
					document.modificar.module.value='dumbo7/administracion/noticias.formModificar.cancelar';				
					document.modificar.submit();
				}
				//Funciones para calendario.
				function selectDateDesde(calendar, date)
				{
					if (calendar.dateClicked)
					{
						if (document.modificar.snoFechaIni.value == date) document.informes.snoFechaIni.value = '';
						else
						{
							document.modificar.snoFechaIni.value = date;
							//document.modificar.FechasD.value = date;
						};
						calendar.hide();
					}
				}
				function selectDateHasta(calendar, date)
				{
					if (calendar.dateClicked)
					{
						if (document.modificar.snoFechaFin.value == date) document.modificar.snoFechaFin.value = '';
						else
						{
							document.modificar.snoFechaFin.value = date;
							//document.modificar.FechasH.value = date
						}
						calendar.hide();
					}
				}
		     </script>
		  </xsl:with-param>
	   </xsl:call-template>


<body>
	
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/NOTICIAS/USER/@NAME,concat('(',concat(DATA/NOTICIAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.8.2</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/NOTICIAS">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
			</xsl:if>
	</xsl:for-each>
<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" height="16" summary="Modificacin de una Noticia">
	<tr><td width="775" colspan="3" class="cab1">&#187;Modificar noticia
		<!--Para poder mostrar la descripcion en la cabecera de la tabla-->
			"<xsl:value-of select="DATA/NOTICIAS/NOTICIA/@ASUNTO"/>"
	 </td></tr>
	<tr><td colspan="3" align="center">
		<form action="{$servlet}" METHOD="GET" name="modificar">
		<input type="hidden" name="module"/>
		<input type="hidden" name="snoCod" value="{$snoCod}"/>
		<input type="hidden" name="checkCambios" size="20" value="false"/>
		<table class="cont" id="noticias" border="0" cellpadding="3" cellspacing="1" width="100%">
				<xsl:variable name="Fecha"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="DATA/NOTICIAS/NOTICIA/@FECHA"/></xsl:call-template></xsl:variable>
				<input type="hidden" name="snoFecha" value="{$Fecha}"/>
				<tr>
					<td class="cabe" align="left" colspan="5"><b>Datos de la noticia</b></td>
				</tr>
				<tr class="administracion">
					<td align="left">Asunto&#160;(*)</td>
					<td colspan="3" align="left"><input type="text" name="snoAsunto" size="60" maxlength="50" value="{DATA/NOTICIAS/NOTICIA/@ASUNTO}" onChange="javascript:cambiosRealizados();"/></td>
				</tr>
				<tr class="administracion">
					<td>Texto&#160;(*)</td>
					<td colspan="3" align="left"><TEXTAREA ROWS="3" COLS="90" NAME="snoTexto" wrap="VIRTUAL" onChange="javascript:cambiosRealizados();"><xsl:value-of select="DATA/NOTICIAS/NOTICIA/@TEXTO"/></TEXTAREA></td>
				</tr>
				<tr class="administracion">
					<td align="left">Url</td>
					<td colspan="3" align="left"><input type="text" name="snoUrl" size="60" value="{DATA/NOTICIAS/NOTICIA/@URL}" onChange="javascript:cambiosRealizados();"/></td>
				</tr>
				<tr class="administracion">
					<td align="left">Indole&#160;(*)</td>
					<td colspan="3" align="left"><select name="snoIndGen" size="1" onChange="javascript:cambiosRealizados();">
						<xsl:if test="DATA/NOTICIAS/NOTICIA/@GENERAL= 'G'">
							<option value='G'>General</option>						
							<option value='P'>Particular a Sistema</option>
						</xsl:if>	
						<xsl:if test="DATA/NOTICIAS/NOTICIA/@GENERAL = 'P'">
							<option value="P">Particular a Sistema</option>
							<option value="G">General</option>
						</xsl:if>
					</select></td>
				</tr>
				<tr class="administracion">
					<td align="left">Carcter&#160;(*)</td>
					<td colspan="3" align="left"><select name="snoIndCar" size="1" onChange="javascript:cambiosRealizados();">
						<xsl:if test="DATA/NOTICIAS/NOTICIA/@CARACTER= 'I'">
							<option value='I'>Restringida a <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informticos'"/></xsl:call-template></option>						
							<option value='P'>Pblica</option>
						</xsl:if>	
						<xsl:if test="DATA/NOTICIAS/NOTICIA/@CARACTER = 'P'">
							<option value="P">Pblica</option>
							<option value="I">Restringida a <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informticos'"/></xsl:call-template></option>
						</xsl:if>
					</select></td>
				</tr>
				<tr class="administracion">
					<td align="left" width="5%">Fecha&#160;Inicio&#160;</td>
					<td align="left" width="22%">
						<xsl:variable name="fechaIni"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="DATA/NOTICIAS/NOTICIA/@FECHA_INI"/></xsl:call-template></xsl:variable>
						<input type="text" onchange="changeDate(this);cambiosRealizados();" name="snoFechaIni" id="snoFechaIni" size="11" value="{$fechaIni}"/>&#160;
						<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_a"
							style="cursor: pointer; border: 1px solid red;"
							title="Selecciona Fecha"
							onmouseover="this.style.background='red';"
							onmouseout="this.style.background=''"  />
					</td>
							<script type="text/javascript">
								Calendar.setup({
									inputField     :    "snoFechaIni",
									ifFormat       :    "%d/%m/%Y",
									button         :    "f_trigger_a",
									align          :    "Tl",
									onSelect       :    selectDateDesde,
									singleClick    :    false
									});
							</script>
					<td align="left" width="5%">Fecha&#160;Fin&#160;(*)</td>
					<td align="left">
						<xsl:variable name="fechaFin"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="DATA/NOTICIAS/NOTICIA/@FECHA_FIN"/></xsl:call-template></xsl:variable>
						<input type="text" onchange="changeDate(this);cambiosRealizados();" name="snoFechaFin" id="snoFechaFin" size="11" value="{$fechaFin}"/>&#160;
						<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_b"
							style="cursor: pointer; border: 1px solid red;"
							title="Selecciona Fecha"
							onmouseover="this.style.background='red';"
							onmouseout="this.style.background=''"  />
					</td>
							<script type="text/javascript">
								Calendar.setup({
									inputField     :    "snoFechaFin",
									ifFormat       :    "%d/%m/%Y",
									button         :    "f_trigger_b",
									align          :    "Tl",
									onSelect       :    selectDateHasta,
									singleClick    :    false
									});
							</script>
				</tr>
				<tr class="administracion">
					<td align="center" colspan="5">
						<input type="button" class="boton" value="Aceptar" onclick="javascript:CompruebaModificaNoticia()" />&#160;
				        <input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar_cancelar()"/>  
					</td>
				</tr>	
			</table>
		</form>
	</td></tr>
</table>

</xsl:template>
</xsl:stylesheet>
	