<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>
<xsl:variable name="CodigoPrioridad"/>
<xsl:variable name="CodigoTipoTarea"/>
 
<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:template match="XMLROOT">

<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
			<script LANGUAJE="JavaScript">
				function mostrarError(error){
					alert(error);
				}
                function enviar() {
					i = 0;
					while(document.modificarParametros.maxdias.length >i)
					{
						document.modificarParametros.maxdias[i].value = allTrim(document.modificarParametros.maxdias[i].value);
						if(document.modificarParametros.maxdias[i].value.length==0)
						{
							alert("Debe rellenar el campo VACIO")
							document.modificarParametros.maxdias[i].focus() 
							return 0;
						}
						if (isNaN(document.modificarParametros.maxdias[i].value) || document.modificarParametros.maxdias[i].value == "") 
						{
							alert("El formato de Das mximos es numrico, introduce un nmero");
							document.modificarParametros.maxdias[i].select();
							document.modificarParametros.maxdias[i].focus();
							return 0;
						}
						if (document.modificarParametros.maxdias[i].value &lt;= 0) 
						{
							alert("Los das mximos debe ser mayor que 0");
							document.modificarParametros.maxdias[i].select();
							document.modificarParametros.maxdias[i].focus();
							return 0;
						}
						if (document.modificarParametros.maxdias[i].value > 999.9)
						{
							alert("No puede introducir ms de 999.9 das");
							document.modificarParametros.maxdias[i].select();
							document.modificarParametros.maxdias[i].focus();
							return 0;
						}
						i = i+1;
					}		
					document.modificarParametros.module.value='dumbo7/administracion/parametros.ActualizaParametrosMax.GuardarMax'
					document.modificarParametros.submit();
				}
				
				//funciones para eliminar espacios en blanco
				function lTrim(sStr)
				{ 
					while (sStr.charAt(0) == " ")  
					sStr = sStr.substr(1, sStr.length - 1); 
					return sStr; 
				} 
				
				function rTrim(sStr)
				{ 
					while (sStr.charAt(sStr.length - 1) == " ")  
					sStr = sStr.substr(0, sStr.length - 1); 
					return sStr; 
				} 
				
				function allTrim(sStr)
				{ 
					return rTrim(lTrim(sStr)); 
				} 
			</script>
			<script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>
		</xsl:with-param>
	   </xsl:call-template>
<body>
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/PARAMETROS/USER/@NAME,concat('(',concat(DATA/PARAMETROS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.5.2</xsl:with-param>
	</xsl:call-template>
<xsl:call-template name="pieComun"/>
	</body>
	</html>
</xsl:template>

<xsl:template name="cuerpo">
	<xsl:variable name="parametros" select="DATA/PARAMETROS[count(/XMLROOT/DATA/PARAMETROS)]"/>
	
		<xsl:for-each select="DATA/PARAMETROS">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
			</xsl:if>
	</xsl:for-each>

<table align="center" border="0" cellpadding="5" cellspacing="5" width="780" height="16" summary="Esta tabla contiene una lista de Parametros">
	<tr><td width="300" colspan="2" class="cab1">&#187;Parmetros del sistema</td></tr>
	<tr><td>
	<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%">
		<tr>
			<td align="left" class="cabe" colspan="6"><b>Alertas para sistema&#160;(*)</b></td>
		</tr>
		<tr class="administracion">
			<td align="center" colspan="2"><b>Tipos Tareas</b></td>
			<td align="center" colspan="2"><b>Prioridades</b></td>
			<td align="center"><b>Dias Mximos</b></td>
		</tr>
		<tr class="administracion">
			<td align="center"><b>Cdigo</b></td>
			<td align="center"><b>Descripcin</b></td>
			<td align="center"><b>Cdigo</b></td>
			<td align="center"><b>Descripcin</b></td>
			<td align="center">(0.1-999.9)</td>
		</tr>
		
		<form action="{$servlet}" METHOD="GET" name="modificarParametros">
		<input type="hidden" name="module" value=""/>	
		<xsl:for-each select="$parametros/PARAMETROS_MAXIMOS">
			<tr class="administracion" onmouseover="javascript:onMouse(this,'true');" onmouseout="javascript:onMouse(this,'false');">
				<!--Dentro de Parametros maximos no se guarda la descripcion. Para mostrarla, se mapean las prioridades y los tipos tareas-->
				<!--Guardamos los codigos en dos variables para luego poder identificarlas y mostrar su descripcion-->
				<xsl:variable name="CodigoTipoTarea"><xsl:value-of select="@TIPO_TAREA"/></xsl:variable> 
				<xsl:variable name="CodigoPrioridad"><xsl:value-of select="@PRIORIDAD_TAREA"/></xsl:variable>
				<td align="center">
					<input type="hidden" name="tipotareasCod" value="{@TIPO_TAREA}" readonly="true"/>
					<input type="hidden" name="prioridadesCod" value="{@PRIORIDAD_TAREA}" readonly="true"/>
					<xsl:value-of select="@TIPO_TAREA"/>
				</td>
				<xsl:for-each select="../TIPO_TAREA">
						<xsl:if test="(@CODIGO=$CodigoTipoTarea)">
							<td><xsl:value-of select="@DESCRIPCION"/></td>
						</xsl:if>
				</xsl:for-each>
				<td align="center"><xsl:value-of select="@PRIORIDAD_TAREA"/></td>
				<xsl:for-each select="../PRIORIDADES">
						<xsl:if test="(@CODIGO=$CodigoPrioridad)">
							<td><xsl:value-of select="@DESCRIPCION"/></td>
						</xsl:if>
				</xsl:for-each>
				<td align="center"><input  type="text" name="maxdias" size="5" minlength="1" maxlength="5" value="{@DIAS}"/></td>
			</tr>
		</xsl:for-each>
		</form>	
		<tr class="administracion">
			<td align="center" colspan="6">
				<form action="{$servlet}" METHOD="POST" name="volver">
					<INPUT CLASS="boton" TYPE="button" VALUE="Aceptar" OnClick="javascript:enviar()"/>&#160;
					<input type="hidden" name="module" value="dumbo7/administracion/parametros.ActualizaParametrosMax.Volver"/>
					<INPUT CLASS="boton" TYPE="submit" VALUE="Cancelar"/>
				</form>
			</td>
		</tr>
	</table>
	</td></tr>
</table>
</xsl:template>

</xsl:stylesheet>
	