<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="aplCod"/>
<xsl:param name="apfcod"/>

<xsl:variable name="miSeccion"/>
<xsl:variable name="Tarea"/>
<xsl:variable name="Urgencia"/>
<xsl:variable name="Prioridad"/>
<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>
<xsl:variable name="CodigoPrioridad"/>
<xsl:variable name="CodigoTipoTarea"/>
<xsl:variable name="Correo"/>
<!--Parametros para mantener filtro-->
<xsl:param name="flag_filtrado"/>
<xsl:param name="Caracter"/>
<xsl:param name="SeccionCod"/>	

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">


<xsl:variable name="etiqueta" select="DATA/SECCIONES/APARTADOSFICHA[@APFCOD=$apfcod]/@APFETIQUETA"/>
<xsl:variable name="obligatorio" select="DATA/SECCIONES/APARTADOSFICHA[@APFCOD=$apfcod]/@APFINDOBLIGATORIO"/>
<xsl:variable name="apforden" select="DATA/SECCIONES/APARTADOSFICHA[@APFCOD=$apfcod]/@APFORDEN"/>

<input type="hidden" id="apfsiscod" name="apfsiscod" value="{DATA/SECCIONES/APARTADOSFICHA/@APFSISCOD}"/>
<input type="hidden" id="apfseccod" name="apfseccod" value="{DATA/SECCIONES/APARTADOSFICHA/@APFSECCOD}"/>
<input type="hidden" id="apfcod" name="apfcod" value="{$apfcod}"/>

<a name="detalleapart"/>
			<table id="tablaapart" class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" >
	
		<tr>
			<td class="cabe" align="left" colspan="5"><b>Apartado de Ficha</b></td>
		</tr>

		
		<tr>
			<td class="administracion" align="left" width="15%">
				Texto&#160;(*):
			</td>
			<td class="administracion" align="left">
				<input type="text" id="apfetiqueta" name="apfetiqueta" size="65" maxlength="50" value="{$etiqueta}"/>
			</td>
		</tr>
		
		
		
		<tr>
			<td class="administracion" align="left" width="15%">Obligatorio&#160;(*):</td>
			<td class="administracion" align="left">
				<select id="apfindobligatorio" name="apfindobligatorio" size="1">
				<xsl:choose>
				<xsl:when test="$obligatorio='S'">
					<option value="S" selected="">Si</option>
					<option value="N">No</option>
				</xsl:when>
				<xsl:otherwise>
				<option value="S">Si</option>
				<option value="N" selected="">No</option>
				
				</xsl:otherwise>
				</xsl:choose>
				</select>
			</td>
		</tr>
	<tr>
			<td class="administracion" align="left" width="15%">Orden&#160;(*):</td>
			<td class="administracion" align="left">
				<select id="apforden" name="apforden" size="1">
					<xsl:choose>
						<xsl:when test="number($apforden)=0">
							<option value="0" selected="">0</option>
						</xsl:when>
						<xsl:otherwise>
							<option value="0">0</option>
						</xsl:otherwise>
					
					</xsl:choose>
					<xsl:call-template name="orden">
						<xsl:with-param name="numorden" select="number(1)"/>
						<xsl:with-param name="apforden" select="$apforden"/>
					</xsl:call-template>
					
				</select>
			</td>
		</tr>	
		<tr id="botonera" class="administracion">
						<td colspan="5" align="center">
							<input id="nuevoApartado" type="button" class="boton" value="Aceptar" onclick="javascript:guardApartado();"/>&#160;
							<input id="cApart" type="button" class="boton" value="Cancelar" onclick="javascript:cancelaApartado();"/>&#160;
							<input id="eliApart" type="button" class="boton" value="Eliminar" onclick="javascript:eliminaApartado();"/>
						</td>
					</tr>
		
		</table>


						
</xsl:template>


<xsl:template name="cuerpo">
</xsl:template>
<xsl:template name="orden">
<xsl:param name="numorden"/>
<xsl:param name="apforden"/>

	<xsl:if test="count(DATA/SECCIONES/APARTADOSFICHA)>number($numorden)">
		
		<xsl:choose>
			<xsl:when test="$apforden = $numorden">
				<option value="{$numorden}" selected=""><xsl:value-of select="$numorden"/></option>
			</xsl:when>
			
			<xsl:otherwise>
				<option value="{$numorden}"><xsl:value-of select="$numorden"/></option>
			</xsl:otherwise>
		</xsl:choose>
		
			<xsl:call-template name="orden">
				<xsl:with-param name="apforden" select="$apforden"/>
				<xsl:with-param name="numorden" select="number($numorden)+1"/>
			</xsl:call-template>
	</xsl:if>
	

</xsl:template>



</xsl:stylesheet>
	
	