<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="aplCod"/>
<xsl:param name="fgrcod"/>

<xsl:variable name="miSeccion"/>
<xsl:variable name="Tarea"/>
<xsl:variable name="Urgencia"/>
<xsl:variable name="Prioridad"/>
<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>
<xsl:variable name="CodigoPrioridad"/>
<xsl:variable name="CodigoTipoTarea"/>
<xsl:variable name="Correo"/>
<!--Parametros para mantener filtro-->
<xsl:param name="flag_filtrado"/>
<xsl:param name="Caracter"/>
<xsl:param name="SeccionCod"/>	

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">


<input type="hidden" id="apfsiscod" name="fgrsiscod" value=""/>
<input type="hidden" id="apfseccod" name="fgraplcod" value=""/>
<input type="hidden" id="apfcod" name="fgrcod" value=""/>


			<table id="tablaapart" class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" summary="Esta tabla contiene una lista de Noticias de Dumbo">
	
		<tr>
			<td class="cabe" align="left" colspan="5"><b>Apartado de Ficha</b></td>
		</tr>

		
		<tr>
			<td class="administracion" align="left" width="15%">
				Texto&#160;(*):
			</td>
			<td class="administracion" align="left">
				<input type="text" id="apfetiqueta" name="apfetiqueta" size="65" maxlength="50"/>
			</td>
		</tr>
		
		
		
		<tr>
			<td class="administracion" align="left" width="15%">Obligatorio&#160;(*):</td>
			<td class="administracion" align="left">
				<select id="apfindobligatorio" name="apfindobligatorio" size="1">
					<option value="S">Si</option>
					<option value="N">No</option>
				</select>
			</td>
		</tr>
	<tr>
			<td class="administracion" align="left" width="15%">Orden&#160;(*):</td>
			<td class="administracion" align="left">
				<select id="apforden" name="apforden" size="1">
					<option value="0">0</option>
					
					<xsl:call-template name="orden">
						<xsl:with-param name="numorden" select="number(1)"/>
					</xsl:call-template>
					
				</select>
			</td>
		</tr>	
		<tr class="administracion">
						<td colspan="5" align="center">
							<input id="nuevoApartado" type="button" class="boton" value="Aceptar" onclick="javascript:guardApartadon();"/>&#160;
							<input id="cApart" type="button" class="boton" value="Cancelar" onclick="javascript:cancelaApartado();"/>&#160;
							
						</td>
					</tr>
		
		</table>


						
</xsl:template>


<xsl:template name="cuerpo">
</xsl:template>
<xsl:template name="orden">
<xsl:param name="numorden"/>

	<xsl:if test="count(DATA/SECCIONES/APARTADOSFICHA)>=number($numorden)">
		<option value="{$numorden}"><xsl:value-of select="$numorden"/></option>
			<xsl:call-template name="orden">
				<xsl:with-param name="numorden" select="number($numorden)+1"/>
			</xsl:call-template>
	</xsl:if>
	

</xsl:template>






</xsl:stylesheet>
	
	