<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>
<xsl:param name="menu"/>	
<xsl:param name="secCod"/>
<xsl:variable name="parent"/>
<xsl:variable name="Estado"/>
<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">
<html lang="es">

	<xsl:call-template name="headComun"/>
	<script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>
<body>

<script type="text/javascript" src="../js/uitabs/jquery-1.2.3.pack.js"></script>
         	
         	<script type="text/javascript" src="../js/modificarapficha.js"></script>
         	<script src="../js/uitabs/ui.tabs.pack.js" type="text/javascript"></script>
         	<link rel="stylesheet" href="../js/uitabs/ui.tabs.css" type="text/css" media="print, projection, screen"/>
<script LANGUAJE="JavaScript">
		<!--Variables que indican si las busquedas por usuario o por informatico han dado un resultado incorrecto-->
		
		var DatosIncorrectos = false;
		var modo= "consulta";
		var secCod = '<xsl:value-of select="$secCod"/>';
		$(document).ready(function(){
   					$('#container-1 ul').tabs();

  				});
 </script>

	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/SECCIONES/USER/@NAME,concat('(',concat(DATA/SECCIONES/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.4.6</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
	</body>
	</html>
</xsl:template>

<xsl:template name="cuerpo">
					
	<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Esta tabla contiene la descripccin de una seccin">
	<tr><td width="650" colspan="2" class="cab1">&#187;Detalle de seccin 
		<!--For Para poder mostrar la descripcion en la cabecera de la tabal-->
		<xsl:for-each select="DATA/SECCIONES/SECCION">
			<xsl:if test="@CODIGO = $secCod">
				"<xsl:value-of select="@DESCRIPCION"/>"
			</xsl:if>
		</xsl:for-each>
	</td></tr>
	<tr><td colspan="2">
		<form action="{$servlet}" METHOD="POST" name="secci">
		
		<div id="container-1">
            <ul>
                <li><a href="#DATOS"><span>Datos de la seccin</span></a></li>
                <li><a href="#FICHAS"><span>Apartados de las Fichas</span></a></li>
            </ul>
         
		
								
		<div id="DATOS" class="seccion">
		
		
		<xsl:for-each select="DATA/SECCIONES/SECCION">
			<xsl:if test="@CODIGO = $secCod">
			<input type="hidden" name="module" value="dumbo7/administracion/secciones.formSeccionDetalle.volver"/>
			<input type="hidden" name="secCod" size="20" value="{@CODIGO}" readonly="true"/>

			
			
			<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="100%">
			<tr>
				<td class="cabe" align="left" colspan="2"><b>Datos de la seccin</b></td>
			</tr>
			<tr class="administracion">
				<td width="12"><b>Cdigo:</b></td>
				<td><xsl:value-of select="$secCod"/></td>
			</tr>
			<tr class="administracion">
				<td width="12"><b>Padre:</b></td>
				<td>
					<xsl:variable name="parent"><xsl:value-of select="@PADRE"/></xsl:variable> 
					<xsl:variable name="Estado"><xsl:value-of select="@ESTADO"/></xsl:variable> 
					<xsl:choose>
						<xsl:when test="(@CODIGO!=@PADRE)">			
							<xsl:for-each select="../SECCION">
								<xsl:if test="(@CODIGO=$parent)"><!-- and (@ESTADO=$Estado)">-->
									<xsl:value-of select="@DESCRIPCION"/>
								</xsl:if>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise>
							-Seccin Raz-
						</xsl:otherwise>	
					</xsl:choose>
				</td>
			</tr>
			<tr class="administracion">
				<td width="12"><b>Descripcin:</b></td>
				<td><xsl:value-of select="@DESCRIPCION"/></td>
			</tr>
			
			<!--Datos del responsable-->
			<xsl:variable name="respon"><xsl:value-of select="@RESPONSABLE"/></xsl:variable> 
			<xsl:for-each select="../DATOS_PERSONALES[@IDENTIFICADOR=$respon]">
				<tr>
					<td align="left" class="cabe" colspan="2"><b>Datos del responsable</b></td>
				</tr>
				<tr class="administracion">
					<td width="12%"><b>Identificador:</b></td>
					<td>
						<xsl:value-of select="@IDENTIFICADOR"/>&#160;&#160;&#160;&#160;&#160;&#160;
						<b>Correo:</b>&#160;
						<xsl:value-of select="@EMAIL"/>
					</td>
				</tr>
				<tr class="administracion">
					<td>
						<b>Nombre:</b>
					</td>
					<td>
						<xsl:value-of select="@NOMBRE"/>
					</td>
				</tr>
				<tr class="administracion">
					<td>
						<b>Apellidos:</b>
					</td>
					<td>
						<xsl:value-of select="@APELLIDOS"/>
					</td>
				</tr>
			</xsl:for-each>
			</table>
			<!--Operaciones sobre tabla secciones maximos-->
			<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="100%" >
				<tr>
					<td align="left" class="cabe" colspan="6"><b>Alertas para secciones</b></td>
				</tr>
				<tr class="administracion">
					<td align="center" colspan="2"><b>Tipos Tareas</b></td>

					<td align="center" colspan="2"><b>Prioridades</b></td>

					<td align="center"><b>Das Mximos</b></td>
				
				</tr>
				
				<tr class="administracion">
					<td align="center"><b>Cdigo</b></td>
					<td align="center"><b>Descripcin</b></td>
					<td align="center"><b>Cdigo</b></td>
					<td align="center"><b>Descripcin</b></td>
					<td align="center">&#160;</td>
					
				</tr>
				
				<xsl:for-each select="../SECCIONES_MAXIMOS">
					<!--<input type="hidden" name="tipotareasCod" value="{@TIPO_TAREA}" readonly="true"/>
					<input type="hidden" name="prioridadesCod" value="{@PRIORIDAD_TAREA}" readonly="true"/>-->
					<!--Dentro de secciones maximos no se guarda la descripcion. Para mostrarla, se mapean las prioridades y los tipos tareas-->
					<!--Guardamos los codigos en dos variables para luego poder identificarlas y mostrar su descripcion-->
					<xsl:variable name="CodigoTipoTarea"><xsl:value-of select="@TIPO_TAREA"/></xsl:variable> 
					<xsl:variable name="CodigoPrioridad"><xsl:value-of select="@PRIORIDAD_TAREA"/></xsl:variable> 		
					<tr class="administracion" onmouseover="javascript:onMouse(this,'true');" onmouseout="javascript:onMouse(this,'false');">
						<td align="center"><xsl:value-of select="@TIPO_TAREA"/></td>
						<xsl:for-each select="../TIPO_TAREA">
								<xsl:if test="(@CODIGO=$CodigoTipoTarea)">
									<td><xsl:value-of select="@DESCRIPCION"/></td>
								</xsl:if>
						</xsl:for-each>
						<td align="center"><xsl:value-of select="@PRIORIDAD_TAREA"/></td>
						<xsl:for-each select="../PRIORIDAD">
								<xsl:if test="(@CODIGO=$CodigoPrioridad)">
									<td><xsl:value-of select="@DESCRIPCION"/></td>
								</xsl:if>
						</xsl:for-each>
						<td align="center"><xsl:value-of select="@DIAS"/></td>
					</tr>
				</xsl:for-each>
			<tr class="administracion">
				<td colspan="5" align="center">
				<input type="submit" class="boton" value="Volver" onclick="document.secci.module.value='dumbo7/administracion/secciones.formSeccionDetalle.volver'"/></td>
			</tr>				
			</table>
		</xsl:if>
	</xsl:for-each>
	</div>
	
	<div id="FICHAS" class="seccion">
			<div id="tablasin">
		
		</div>
			
			
			<table class="cont">
			<tr class="administracion">
			<td align="center">
			
			
			<input type="submit" class="boton" value="Volver" onclick="document.secci.module.value='dumbo7/administracion/secciones.formSeccionDetalle.volver'"/>
			
			</td>
			</tr>
			</table>


		<div id="tablaCargaApart">
		
		
		
		</div>
			
			
		
		
		</div>
	
	</div>
</form>
</td>
</tr>
</table>

	
	<p>&#160;</p>	
</xsl:template>
</xsl:stylesheet>
	