<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="aplCod"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

	<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
			<script>
				function abrirPopup(url)
				{
					newWindow = window.open(url,'_blanck',"height=230,width=450,status=no,toolbar=no,menubar=no,location=no,scrollbars=no");				
					newWindow.moveTo(self.screen.width/4,self.screen.height/4);
				} 
				function onMouse(objeto,valor)
				{
					if(valor == 'true'){objeto.className = 'administracion2';}
					else{objeto.className = 'administracion';}
				} 
			</script>
         </xsl:with-param>
	   </xsl:call-template>

<body>
		
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/SISTEMAS/USER/@NAME,concat('(',concat(DATA/SISTEMAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.9</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>

</xsl:template>

<xsl:template name="cuerpo">

	<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Esta tabla contiene un listado de INFORMATICOS asociados ">
	<tr><td width="700" colspan="2" class="cab1">&#187;Maestros vinculados a
		<!--For Para poder mostrar la descripcion en la cabecera de la tabla-->
		"<xsl:value-of select="DATA/SISTEMAS/SISTEMA/@DESCRIPCION"/>" </td></tr>
	<tr><td>
		<form action="{$servlet}" METHOD="POST" name="listado">
			<input type="hidden" name="module" value="dumbo7/administracion/sistemas.formListarMaestros.indice"/>
			<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" summary="Tabla para crear seccion">
				<tr class="cabe">
					<td width="30"><b><font face="Verdana" size="2">Cdigo</font></b></td>
					<td width="280"><b><font face="Verdana" size="2">Apellidos, Nombre</font></b></td>
					<td width="100" align="center"><b><font face="Verdana" size="2">Correo</font></b></td>
				</tr>
				<xsl:for-each select="DATA/SISTEMAS/DATOS_PERSONALES">
					<tr class="administracion" onmouseover="javascript:onMouse(this,'true');" onmouseout="javascript:onMouse(this,'false');">
						<!--Datos personales del maestro-->
						<td width="30"><xsl:value-of select="@IDENTIFICADOR"/></td>
						<td width="280">
							<a title="{@APELLIDOS}, {@NOMBRE}"  href="javascript:abrirPopup('?module=dumbo7/inicio.detalleUser&amp;user={@IDENTIFICADOR}')">
								<xsl:value-of select="@APELLIDOS"/>,&#160;<xsl:value-of select="@NOMBRE"/>
							</a>	
						</td>
						<td width="150"><xsl:value-of select="@EMAIL"/></td>
					</tr>
				</xsl:for-each>
	
				<xsl:if test="count(DATA/SISTEMAS/DATOS_PERSONALES)=0">
					<tr class="administracion">
						<td align="center" colspan="5">* No hay Maestros vinculados a esta aplicacin.</td>
					</tr>
				</xsl:if>
				<tr class="administracion" align="center"><td colspan="4"><CENTER><input type="submit" class="boton" value="Volver"/></CENTER></td></tr>
		
			</table>
		</form>
</td></tr>
</table>
</xsl:template>
</xsl:stylesheet>
	