<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>
<xsl:param name="menu"/>	
<xsl:param name="sisCod"/>
<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">
<html lang="es">
	<xsl:call-template name="headComun"/>
	<script>
		function cerrar()
		{
			document.sist.module.value='dumbo7/administracion/sistemas.formSistemaDetalle.volver'
			document.sist.submit();
		}	
	</script>		
		<script language="JavaScript" src="../js/sistemas/CompruebaModificaSistema.js"></script>
<body>
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/SISTEMAS/USER/@NAME,concat('(',concat(DATA/SISTEMAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.9.2</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
	</body>
	</html>
</xsl:template>

<xsl:template name="cuerpo">
					
	<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Esta tabla contiene la descripccin de un sistema">
	<tr><td width="650" colspan="2" class="cab1">&#187;Modificar sistema "<xsl:value-of select="DATA/SISTEMAS/SISTEMA/@DESCRIPCION"/>"

	</td></tr>
	<tr><td colspan="2">
		<form action="{$servlet}" METHOD="POST" name="sist">
			<input type="hidden" name="module" value="dumbo7/administracion/secciones.formSistemaDetalle.volver"/>
			<input type="hidden" name="sisCod" size="20" value="{DATA/SISTEMAS/SISTEMA/@CODIGO}" readonly="true"/>
			<input type="hidden" name="sisIndInt" value="{DATA/SISTEMAS/SISTEMA/@IND_INT}" readonly="true"/>
			
			<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%">
			<tr>
				<td class="cabe" align="left" colspan="5"><b>Datos del sistema</b></td>
			</tr>
			<tr class="administracion">
				<td width="40">Cdigo:</td>
				<td><xsl:value-of select="DATA/SISTEMAS/SISTEMA/@CODIGO"/></td>
			</tr>
			<tr class="administracion">
				<td width="40">Anagrama:</td>
				<td><input type="text" name="sisAnagrama" size="20"  maxlength="15" value="{DATA/SISTEMAS/SISTEMA/@ANAGRAMA}"/></td>
			</tr>
			<tr class="administracion">
				<td width="40">Descripcin:</td>
				<td><input type="text" name="sisDescrip" size="80"  maxlength="250" value="{DATA/SISTEMAS/SISTEMA/@DESCRIPCION}"/></td>
			</tr>
			<tr class="administracion">
				<td width="40">URL:</td>
				<td><input type="text" name="sisUrl" size="80"  maxlength="250" value="{DATA/SISTEMAS/SISTEMA/@URL}"/></td>
			</tr>
			<tr class="administracion">
				<td colspan="2" align="center">
					<input type="button" class="boton" value="Aceptar" onclick="javascript:CompruebaModificaSistema()" />&#160;
					<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar()"/>
				</td>
			</tr>
			</table>
		</form>
		</td>
		</tr>
		</table>

	
	<p>&#160;</p>	
</xsl:template>
</xsl:stylesheet>
	