<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
			<script LANGUAJE="JavaScript">
				function cerrar()
				{
					document.sist.module.value='dumbo7/administracion/sistemas.formNueva.cancelar'
					document.sist.submit();
				}			
				<!--Variables que indican si las busquedas por usuario o por informatico han dado un resultado incorrecto-->
				var DatosIncorrectos = true;
				<!--Busquedas-->
				var idInput = '';
			
				function busquedaGenerica(url)
				{
					url = url.concat("&amp;modulo=sistemas.formNueva.buscarApellidos");
					idInput = 'InfApe';
					url = url.concat("&amp;tipo=USR");
					newWindow = window.open(url,'_blanck',"width=600,height=400,left=100,top=100,status=no,toolbar=no,menubar=no,location=no");
				}
				
				function actualiza(v,doc)
				{
					DatosIncorrectos = false;
					document.sist.secIdRespon.value = v;
					var txt = doc.getElementById(v).innerHTML;
					var n = txt.indexOf('>');
					txt = txt.substring(n+1);
					n = txt.indexOf('&lt;');
					txt = txt.substring(0,n);
					document.getElementById(idInput).innerHTML = txt;
				}
			
				function buscaDNI(DNI)
				{
					var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/sistemas.formNueva.buscarDNI&amp;Codigo='+DNI;
			
					http_req = false;
			
					if (window.XMLHttpRequest){
						http_req = new XMLHttpRequest();
						if (http_req.overrideMimeType){
							http_req.overrideMimeType('text/xml');
						}
					}
					else if (window.ActiveXObject){
						try{
							http_req = new ActiveXObject("Msxml2.XMLHTTP");
						}catch (e){
							try{
								http_req = new ActiveXObject("Microsoft.XMLHTTP");
							}catch (e){}
						}
					}
			
					if (!http_req){
						alert('Falla: No es posible crear una instancia XMLHTTP');
						return false;
					}
					http_req.onreadystatechange = resuelveDNI;
					http_req.open('GET', url, true);
					http_req.send(null);
				}
			
				function resuelveDNI()
				{
					if (http_req.readyState == 4){
						if (http_req.status == 200){
							var text = http_req.responseText;
							var n = text.indexOf('&lt;'+'!--');
							if (n>=0) text = text.substring(0,n);
							var m = text.indexOf('.dtd">');
							if (m>=0) text = text.substring(m+6,text.length);
							eval(text);
						}
						else{
							alert('Hubo problemas con la peticin.');
						}
					}
				}//-->
				
				<!--Comprobacin de datos del formulario-->
				//comprueba que el codigo del nuevo sistema no esta ya en uso
				function buscar_codigo()
				{
					document.sist.sisCod.value = allTrim(document.sist.sisCod.value);
					var string = document.sist.sisCod.value;
					document.sist.sisCod.value = string.toUpperCase();  
					var cont=0;
					<xsl:for-each select="DATA/SISTEMAS/SISTEMA">
						if(document.sist.sisCod.value=='<xsl:value-of select="@CODIGO"/>')
						{
							cont=cont+1;
						
						}
					</xsl:for-each>
					if(cont!=0){
						window.document.sist.sisCod.value="";
						cont=0;
						alert("El cdigo introducido ya existe");
						document.sist.sisCod.focus();
					}
				}
				
				//comprueba que el anagrama del nuevo sistema no esta ya en uso
				function buscar_anagrama()
				{
					document.sist.sisAnagrama.value = allTrim(document.sist.sisAnagrama.value);
					var string = document.sist.sisAnagrama.value;
					document.sist.sisAnagrama.value = string.toUpperCase();  
					var cont=0;
					<xsl:for-each select="DATA/SISTEMAS/SISTEMA">
						if(document.sist.sisAnagrama.value=='<xsl:value-of select="@ANAGRAMA"/>')
						{
							cont=cont+1;
						
						}
					</xsl:for-each>
					if(cont!=0)
					{
						window.document.sist.sisAnagrama.value="";
						cont=0;
						alert("El anagrama introducido ya existe");
						document.sist.sisAnagrama.focus();
					}
				}
				
				
				//Si el sistema es interno, el maestro es obligatorio. Si el sistema es externo, no tiene maestro.
				function compruebaMaestro()
				{
					if(document.sist.sisIndInt.value=="E")
					{
						document.sist.secIdRespon.disabled = true;
					}
					else
					{
						document.sist.secIdRespon.disabled = !document.sist.secIdRespon.disabled;
					}
				}
			</script>
			<script language="JavaScript" src="../js/sistemas/CompruebaAltaSistema.js"></script>
         </xsl:with-param>
	   </xsl:call-template>
<body>
		
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/SISTEMAS/USER/@NAME,concat('(',concat(DATA/SISTEMAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.9.1</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>

</xsl:template>

<xsl:template name="cuerpo">
<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Esta tabla contiene el formulario para la creacin del nuevo sistema">
<tr><td width="150" colspan="2" class="cab1">&#187;Nuevo sistema</td></tr>
<tr><td colspan="2">
	<form action="{$servlet}" METHOD="POST" name="sist">
	
	<input type="hidden" name="ValorRestriccion" value="0"/>
	<input type="hidden" name="module"/>
	<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" summary="Esta tabla contiene el formulario para la creacin del nuevo sistema">
		<tr>
			<td class="cabe" align="left" colspan="5"><b>Datos del sistema</b></td>
		</tr>
		<tr class="administracion">
			<td width="40">Cdigo&#160;(*):</td>
			<td><input type="text" name="sisCod" size="4"  maxlength="3" onChange="buscar_codigo()"/></td>
		</tr>
		<tr class="administracion">
			<td width="40">Anagrama&#160;(*):</td>
			<td><input type="text" name="sisAnagrama" size="20"  maxlength="15" onChange="buscar_anagrama()"/></td>
		</tr>
		<tr class="administracion">
			<td width="40">Descripcin&#160;(*):</td>
			<td><input type="text" name="sisDescrip" size="80"  maxlength="250"/></td>
		</tr>
		<tr class="administracion">
			<td width="40">URL:</td>
			<td><input type="text" name="sisUrl" size="80"  maxlength="250"/></td>
		</tr>
		<tr class="administracion">
			<td colspan="2">(URL obligatoria si el sistema es externo)</td>
		</tr>
		<tr class="administracion">
			<td width="40">Tipo&#160;(*):</td>
			<td>
				<select name="sisIndInt" size="1" onChange="compruebaMaestro()">
					<option value="I">Interno</option>
					<option value="E">Externo</option>
				</select></td>
		</tr>
		
		<!--Datos Personales del primer informtico del sistema (MAESTRO)-->
		<tr>
			<td align="left" class="cabe" colspan="4"><b>Maestro del sistema</b>&#160;<i>(Slo si el sistema es interno)</i></td>
		</tr>
		
		<tr class="administracion">
			<td>Identificador:</td>
			<td>
				<input type="text" name="secIdRespon" size="10" maxlength="8" onChange="javascript:buscaDNI(this.value);"/>
				&#160;
				<a href="javascript:busquedaGenerica('?module=dumbo7/administracion/sistemas.index.buscarGenerico');">
					<img id="Busqueda" style="display:inline" border="0" src="../graficos/iconos/ampliar.gif" alt="Realizar Bsqueda"/>
				</a>
			</td>
		</tr>
		<tr class="administracion">
			<td></td>
			<td id="InfApe"></td>
		</tr>
		
		<tr class="administracion">
			<td colspan="2" align="center">
			<input type="button" class="boton" value="Aceptar" onclick="javascript:CompruebaAltaSistema()" />&#160;
			<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar()"/></td>
		</tr>		
	</table>
	</form>
</td></tr>
</table>

</xsl:template>
</xsl:stylesheet>
	