<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>
<xsl:param name="menu"/>	
<xsl:param name="sisCod"/>
<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">
<html lang="es">

	<xsl:call-template name="headComun"/>

<body>

	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/SISTEMAS/USER/@NAME,concat('(',concat(DATA/SISTEMAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.9</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
	</body>
	</html>
</xsl:template>

<xsl:template name="cuerpo">
					
	<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Esta tabla contiene la descripccin de un sistema">
	<tr><td width="650" colspan="2" class="cab1">&#187;Detalle del sistema "<xsl:value-of select="DATA/SISTEMAS/SISTEMA/@DESCRIPCION"/>"
	</td></tr>
	<tr><td colspan="2">
		<form action="{$servlet}" METHOD="POST" name="sist">
			<input type="hidden" name="module" value="dumbo7/administracion/secciones.formSistemaDetalle.volver"/>
			<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%">
			<tr>
				<td class="cabe" align="left" colspan="5"><b>Datos del sistema</b></td>
			</tr>
			<tr class="administracion">
				<td width="12"><b>Cdigo:</b></td>
				<td><xsl:value-of select="$sisCod"/></td>
			</tr>
			<tr class="administracion">
				<td width="12"><b>Anagrama:</b></td>
				<td><xsl:value-of select="DATA/SISTEMAS/SISTEMA/@ANAGRAMA"/></td>
			</tr>
			<tr class="administracion">
				<td width="12"><b>Descripcin:</b></td>
				<td><xsl:value-of select="DATA/SISTEMAS/SISTEMA/@DESCRIPCION"/></td>
			</tr>
			<tr class="administracion">
				<td width="12"><b>URL:</b></td>
				<td><xsl:value-of select="DATA/SISTEMAS/SISTEMA/@URL"/></td>
			</tr>
			<tr class="administracion">
				<td width="12"><b>Tipo:</b></td>
				<xsl:if test="DATA/SISTEMAS/SISTEMA/@IND_INT='I'">
					<td>Interno</td>
				</xsl:if>
				<xsl:if test="DATA/SISTEMAS/SISTEMA/@IND_INT='E'">
					<td>Externo</td>
				</xsl:if>
			</tr>
			<tr class="administracion">
				<td colspan="2" align="center"><input type="submit" class="boton" value="Volver" onclick="document.sist.module.value='dumbo7/administracion/sistemas.formSistemaDetalle.volver'"/></td>
			</tr>
			</table>
		</form>
		</td>
		</tr>
		</table>

	
	<p>&#160;</p>	
</xsl:template>
</xsl:stylesheet>
	