<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="tipo"/>
<xsl:param name="menu"/>
<xsl:param name="code"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>

<xsl:template match="XMLROOT">
	<xsl:call-template name="headComun">
		<xsl:with-param name="edificios" select="DATA/ZONAS/ESPACIOS"/>
	</xsl:call-template>
	
	<xsl:if test="count(DATA/ZONAS/ESPACIOS)>0">
	<select name="edificiosZona" size="10" multiple="yes" font-size="10px">
		<xsl:for-each select="DATA/ZONAS/ESPACIOS">	
			<xsl:sort select="number(@CODIGO)" data-type="number"/>
   	    	<option value="{@CODIGO}"><xsl:value-of select="@NOMBRE"/></option>
		</xsl:for-each>
	</select>
</xsl:if>

</xsl:template>
<xsl:template name="cuerpo">
</xsl:template>
</xsl:stylesheet>
