<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>	
<xsl:param name="Codigo"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>

<xsl:template match="XMLROOT">
	<xsl:if test="count(DATA/ZONAS/DATOS_PERSONALES[@IDENTIFICADOR=$Codigo])=0">
		document.getElementById("InfApe").innerHTML = '<font color="red"><xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informtico'"/></xsl:call-template> incorrecto!</font>';
		DatosIncorrectos = true;
	</xsl:if>
	<xsl:for-each select="DATA/ZONAS/DATOS_PERSONALES[@IDENTIFICADOR=$Codigo]">
	<xsl:sort select="concat(@APELLIDOS,@NOMBRE)"/>
		DatosIncorrectos = false;
		document.getElementById("InfApe").innerHTML = <xsl:call-template name="entrecomillaDescripcion"><xsl:with-param name="descripcion" select="concat(@APELLIDOS,concat(', ',@NOMBRE))"/></xsl:call-template>;
	</xsl:for-each>
</xsl:template>
<xsl:template name="cuerpo"/>
</xsl:stylesheet>
	