<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="zonCodigo"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
             <SCRIPT LANGUAGE="JavaScript">
				
				function abrirPopup(url)
				{
					newWindow = window.open(url,'_blanck',"height=230,width=450,status=no,toolbar=no,menubar=no,location=no,scrollbars=no");				
					newWindow.moveTo(self.screen.width/4,self.screen.height/4);
				}  
				<!--Para que si tenemos un unico campo de texto no haga submit al pulsar enter-->
				function pulsar(e)
				{ 
					tecla = (document.all) ? e.keyCode :e.which; 
					return (tecla!=13); 
				} 
				function abre(url){
					window.location.href=url;		
				}
							
				function mostrarError(error){
					alert(error);
				}
				
				//Activa/Desactiva el desplegable de prioridad dependiendo de si es responsable o no
                function ActivarDesactivar()
				{
					document.zon.zoninfPrioridad.disabled=!document.zon.zoninfPrioridad.disabled
					if(document.zon.zoninfPrioridad.disabled)
					{
						document.zon.zoninfPrioridad.Value = "";
					}
				}
			
				function EliminarInformatico(url,nombre, apellidos)
				{
					if (confirm("Est seguro de eliminar el informtico: "+ apellidos +", "+ nombre + "?"))
					{
						abre(url);
					}
				}
				
				//devuelve  0--> prioridad ya puesta
				//			1--> prioridad fuera de rango
				//			2--> OK
				function compruebaPrioridad(prio){
					var cont=0;
					<xsl:for-each select="DATA/ZONAS/ZONAS_INFORMATICOS">
						if(prio=='<xsl:value-of select="@PRIORIDAD"/>')
						{
							cont=cont+1;						
						}
					</xsl:for-each>
					if(cont!=0){
						cont=0;
						return 0;	
					}
					if ((prio &lt; 1) || (prio > 99)) return 1;
					return 2;
				}
				
				
				function cerrar_asignar(){

					if (document.zon.zoninfInfCod.value.length==0){ 
						alert("Tiene que indicar un informatico"); 
						document.zon.zoninfInfCod.focus(); 
						return 0; 
					}
					
					if(DatosIncorrectos){
						alert("El informatico introducido no es correcto");
						document.zon.zoninfInfCod.focus(); 
						return 0; 
					}
					
					var cont=0;
					<xsl:for-each select="DATA/ZONAS/DATOS_PERSONALES">
						if(document.zon.zoninfInfCod.value=='<xsl:value-of select="@IDENTIFICADOR"/>')
						{
							cont=cont+1;						
						}
					</xsl:for-each>
					
					if(cont!=0){
						document.zon.zoninfInfCod.focus();
						window.document.zon.zoninfInfCod.value.value="";
						cont=0;
						alert("El cdigo introducido ya existe");	
						return 0;
					}
					
					if (document.zon.zoninfResponsable.value == 'Y') {
						var valor=compruebaPrioridad(document.zon.zoninfPrioridad.value);
						if (valor == 0){
							alert("Esa prioridad ya est asignada, introduzca otra.");
							return;
						}
						else{
							if (valor == 1){
							alert("Prioridad fuera de rango, debe estar entre 1 y 99.");
							return;
							}
						}
					}
					
					document.zon.module.value='dumbo7/administracion/zonas.formZonasInformaticos.aceptar'; 
					document.zon.submit();
				}
				
				<!--Variables que indican si las busquedas por usuario o por informatico han dado un resultado incorrecto-->
				var DatosIncorrectos = true;
				var zonCodigo = '<xsl:value-of select="$zonCodigo"/>';
				
				function busquedaGenerica(url)
				{
					url = url.concat("&amp;modulo=zonas.formZonasInformaticos.buscarApellidos");
					idInput = 'InfApe';
					url = url.concat("&amp;tipo=INF");
					newWindow = window.open(url,'_blanck',"width=600,height=400,left=100,top=100,status=no,toolbar=no,menubar=no,location=no");
				}
				
				function actualiza(v,doc)
				{
					DatosIncorrectos = false;
					document.zon.zoninfInfCod.value = v;
					var txt = doc.getElementById(v).innerHTML;
					var n = txt.indexOf('>');
					txt = txt.substring(n+1);
					n = txt.indexOf('&lt;');
					txt = txt.substring(0,n);
					document.getElementById(idInput).innerHTML = txt;
				}
			
				function buscaDNI(DNI)
				{
					var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/zonas.formZonasInformaticos.buscarDNI&amp;Codigo='+DNI;
			
					http_req = false;
			
					if (window.XMLHttpRequest){
						http_req = new XMLHttpRequest();
						if (http_req.overrideMimeType){
							http_req.overrideMimeType('text/xml');
						}
					}
					else if (window.ActiveXObject){
						try{
							http_req = new ActiveXObject("Msxml2.XMLHTTP");
						}catch (e){
							try{
								http_req = new ActiveXObject("Microsoft.XMLHTTP");
							}catch (e){}
						}
					}
			
					if (!http_req){
						alert('Falla: No es posible crear una instancia XMLHTTP');
						return false;
					}
					http_req.onreadystatechange = resuelveDNI;
					http_req.open('GET', url, true);
					http_req.send(null);
				}
			
				function resuelveDNI()
				{
					if (http_req.readyState == 4){
						if (http_req.status == 200){
							var text = http_req.responseText;
							var n = text.indexOf('&lt;'+'!--');
							if (n>=0) text = text.substring(0,n);
							var m = text.indexOf('.dtd">');
							if (m>=0) text = text.substring(m+6,text.length);
							eval(text);
						}
						else{
							alert('Hubo problemas con la peticin.');
						}
					}
				}//-->
            </SCRIPT>
			<script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>
         </xsl:with-param>
	   </xsl:call-template>


<body>
		
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/ZONAS/USER/@NAME,concat('(',concat(DATA/ZONAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.10.3</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>

</xsl:template>

<xsl:template name="cuerpo">
<xsl:if test="not(DATA/ZONAS/@ERROR='')">
	<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
</xsl:if>

<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Asignacin de Informticos a Zonas">
	<tr><td width="700" colspan="2" class="cab1">&#187;Vincular informticos a
	<!--For Para poder mostrar la zona en la cabecera de la tabla-->
		<xsl:for-each select="DATA/ZONAS/ZONAS">
			<xsl:if test="@CODIGO = $zonCodigo">
				"<xsl:value-of select="@DESCRIPCION"/>"
			</xsl:if>
		</xsl:for-each>
	</td></tr>
	<tr><td colspan="2">
		<form action="{$servlet}" METHOD="POST" name="zon" onsubmit="return false;">
		<input type="hidden" name="zoninfZonCodigo" value="{$zonCodigo}"/>
		<input type="hidden" name="zonCodigo" value="{$zonCodigo}"/>
		<input type="hidden" name="module"/>
		<input type="hidden" name="dni"/>
		<table class="cont" border="0" cellpadding="3" cellspacing="1" width="100%" summary="Asignacin de Informticos a Zonas">
			<SCRIPT>
				var arrayNombres = new Array();
				var arrayApellidos = new Array();
			</SCRIPT>	
			<tr>
				<td class="cabe" width="15%"><b><font face="Verdana" size="2">Id</font></b></td>
				<td class="cabe" width="35%"><b><font face="Verdana" size="2">Apellidos, Nombre</font></b></td>
				<td class="cabe" width="27%" align="center"><b><font face="Verdana" size="2">Email</font></b></td>
				<td class="cabe" width="10%" align="center"><b><font face="Verdana" size="2">Tlf</font></b></td>
				<td class="cabe" width="5%" align="center"><b><font face="Verdana" size="2">Prior.</font></b></td>
				<td class="cabe" width="6%" align="center"><b><font face="Verdana" size="2">Respon</font></b></td>
				<td class="cabe" align="center" colspan="2"></td>
			</tr>

			<xsl:for-each select="DATA/ZONAS/DATOS_PERSONALES">
				<xsl:sort select="@APELLIDOS"/>
				<SCRIPT>
					arrayNombres['<xsl:value-of select="@IDENTIFICADOR"/>'] = "<xsl:value-of select="@NOMBRE"/>";
					arrayApellidos['<xsl:value-of select="@IDENTIFICADOR"/>'] = "<xsl:value-of select="@APELLIDOS"/>";
				</SCRIPT>
				<tr class="administracion" onmouseover="javascript:onMouse(this,'true');" onmouseout="javascript:onMouse(this,'false');">
				
					<xsl:variable name="codInf"><xsl:value-of select="@IDENTIFICADOR"/></xsl:variable> 
					<xsl:for-each select="../ZONAS_INFORMATICOS[@INFORMATICO=$codInf]">
						<xsl:variable name="codZonInf"><xsl:value-of select="@INFORMATICO"/></xsl:variable> 
						<xsl:for-each select="../INFORMATICOS[@CODIGO=$codZonInf]">
							<td width="30"><xsl:value-of select="$codZonInf"/></td>
							<td width="200">
								<a title="{../DATOS_PERSONALES[@IDENTIFICADOR=$codInf]/@APELLIDOS}, {../DATOS_PERSONALES[@IDENTIFICADOR=$codInf]/@NOMBRE}"  href="javascript:abrirPopup('?module=dumbo7/inicio.detalleUser&amp;user={$codInf}')">
									<xsl:value-of select="../DATOS_PERSONALES[@IDENTIFICADOR=$codInf]/@APELLIDOS"/>,&#160;<xsl:value-of select="../DATOS_PERSONALES[@IDENTIFICADOR=$codInf]/@NOMBRE"/>
								</a>	
							</td>
							<td width="150">
								<label title="{../DATOS_PERSONALES[@IDENTIFICADOR=$codZonInf]/@EMAIL}">
									<!--SI TIENE MENOS DE 20 CARACTERES-->
									<xsl:if test="24>=string-length(../DATOS_PERSONALES[@IDENTIFICADOR=$codZonInf]/@EMAIL)">								
										<xsl:value-of select="../DATOS_PERSONALES[@IDENTIFICADOR=$codZonInf]/@EMAIL"/>
									</xsl:if>
									<!--SI TIENE MAS DE 20 CARACTERES-->
									<xsl:if test="string-length(../DATOS_PERSONALES[@IDENTIFICADOR=$codZonInf]/@EMAIL)>24">
										<xsl:value-of select="concat(substring(../DATOS_PERSONALES[@IDENTIFICADOR=$codZonInf]/@EMAIL,0,24) ,'...')"/>
									</xsl:if>
								</label>
							</td>
							<td width="100"><xsl:value-of select="../DATOS_PERSONALES[@IDENTIFICADOR=$codZonInf]/@TELEFONO"/></td>
							<td width="100" align="center"><xsl:value-of select="../ZONAS_INFORMATICOS[@INFORMATICO=$codZonInf]/@PRIORIDAD"/></td>
							<td width="100" align="center">
								<xsl:if test="../ZONAS_INFORMATICOS[@INFORMATICO=$codZonInf]/@RESPONSABLE = 'Y'">
									Si
								</xsl:if>
								<xsl:if test="../ZONAS_INFORMATICOS[@INFORMATICO=$codZonInf]/@RESPONSABLE = 'N'">
									No
								</xsl:if>
							</td>
							<!--Abre un Popup donde se pueden cambiar los atributos del responsable de la zona-->
							<td width="3%"><CENTER><a href="javascript:abrirPopup('?module=dumbo7/administracion/zonas.formZonasInformaticos.modificarResponsable&amp;zonCodigo={$zonCodigo}&amp;infCod={$codInf}')"><img  border="0" src="../graficos/iconos/modificar.gif" alt="Modificar atributos del responsable"/></a></CENTER></td>												
							<!--Una zona no se puede quedar sin informtico responsables. Como mnimo debe haber uno.-->
							<!--Si el informtico es el nico informtico vinculado responsable, no se podr borrar-->
							<xsl:if test="../ZONAS_INFORMATICOS[@INFORMATICO=$codInf]/@RESPONSABLE = 'Y'">						
								<xsl:if test="count(../ZONAS_INFORMATICOS[(@ZONA=$zonCodigo) and (@RESPONSABLE='Y')])>1">
									<td width="3%" height="16"><a href="javascript:EliminarInformatico('?module=dumbo7/administracion/zonas.formZonasInformaticos.eliminarInformatico&amp;zoninfInfCod={$codInf}&amp;zoninfZonCodigo={$zonCodigo}&amp;zonCodigo={$zonCodigo}',arrayNombres['{@CODIGO}'],arrayApellidos['{@CODIGO}'])"><img border="0" src="../graficos/iconos/eliminar.gif" alt="Eliminar"/></a></td>
								</xsl:if>
								<xsl:if test="count(../ZONAS_INFORMATICOS[(@ZONA=$zonCodigo)  and (@RESPONSABLE='Y')])&lt;=1">
									<td width="3%" height="16"><img border="0" src="../graficos/iconos/eliminar_off.gif" alt="Eliminar"/></td>
								</xsl:if>
							</xsl:if>
							<!--Si el informtico vinculado no es responsable, siempre se podr borrar-->
							<xsl:if test="../ZONAS_INFORMATICOS[@INFORMATICO=$codInf]/@RESPONSABLE = 'N'">
								<td width="3%" height="16"><a href="javascript:EliminarInformatico('?module=dumbo7/administracion/zonas.formZonasInformaticos.eliminarInformatico&amp;zoninfInfCod={$codInf}&amp;zoninfZonCodigo={$zonCodigo}&amp;zonCodigo={$zonCodigo}',arrayNombres['{@CODIGO}'],arrayApellidos['{@CODIGO}'])"><img border="0" src="../graficos/iconos/eliminar.gif" alt="Eliminar"/></a></td>
							</xsl:if>
						</xsl:for-each>
					</xsl:for-each>
				</tr>
			</xsl:for-each>
			<xsl:if test="count(DATA/ZONAS/ZONAS_INFORMATICOS[(@ZONA=$zonCodigo)])=0">
				<tr class="administracion">
					<td align="center" colspan="8">* No hay Informticos asociados a esta zona.</td>
				</tr>
			</xsl:if>
			<tr>
				<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" summary="Asignacin de Informticos a Zonas">
					<tr>
						<td class="cabe" align="left" colspan="8"><b>Vincular informtico</b></td>
					</tr>	
					<!--Seccin del formulario para introducir los datos del responsable de la zona.
					Contiene ayudas para la bsqueda por dni, correo y apellidos-->
					<tr>
						<td class="administracion" align="left" width="15%">Identificador:</td>
						<td class="administracion" align="left" width="15%">
							<input type="text" name="zoninfInfCod" size="10" maxlength="8" onChange="javascript:buscaDNI(this.value);"/>
							<a href="javascript:busquedaGenerica('?module=dumbo7/administracion/gruposusuarios.index.buscarGenerico');">
								<img id="Busqueda" border="0" src="../graficos/iconos/ampliar.gif" alt="Realizar Bsqueda"/>&#160;&#160;&#160;
							</a>
						</td>
						<td class="administracion" width="15%" align="left">Responsable:</td>
						<td class="administracion" width="15%">
							<select name="zoninfResponsable" size="1" onChange="javascript:ActivarDesactivar()">
								<option value="N">No</option>
								<option value="Y">S</option>
							</select>
						</td>	
			
						<td class="administracion" width="10%">Prioridad:</td>
						<td class="administracion" width="5%">
							<input type="text" name="zoninfPrioridad" disabled="true"></input>
						</td>
						<td class="administracion" width="25%" align="right">
							<input type="button" class="boton" value="Asignar" onclick="javascript:cerrar_asignar()"/>
						</td>
					</tr>
		
					<tr>
						<td class="administracion" align="left"></td>
						<td class="administracion" align="left" colspan="6" id="InfApe"></td>
					</tr>
					<tr class="administracion">
						<td colspan="7" align="center">
							<input type="button" class="boton" value="Volver" onclick="javascript:abre('?module=dumbo7/administracion/zonas.formZonasInformaticos.cancelar')"/>&#160;
						</td>
					</tr>
				</table>
			</tr>
		</table>
		</form>
	</td></tr>
</table>
<p>&#160;</p>
</xsl:template>
</xsl:stylesheet>
		