<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

	
<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
			<script LANGUAJE="JavaScript">
				function mostrarError(error){
					alert(error);
				}
                 function enviar() {
					document.generar.module.value='dumbo7/alertas.index.genAlertas'
					document.generar.submit();
				}
            </script>
         </xsl:with-param>
	   </xsl:call-template>
<body>
	
	
	<xsl:call-template name="menuComun">
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
	</xsl:call-template>
	
<xsl:call-template name="pieComun"/>
	</body>
	</html>
</xsl:template>

<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/ALERTAS">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
		</xsl:if>
	</xsl:for-each>
	<table align="center" border="0" cellpadding="3" cellspacing="1" width="780" height="16" summary="Opcin para generar alertas manualmente">
		<form action="{$servlet}" METHOD="POST" name="generar">
			<input type="hidden" name="module"/>
			<tr><td width="300" colspan="2" class="cab1">&#187;Generacin de alertas</td></tr>
			<tr><td>
				<table class="cont" id="alertas" border="0" cellpadding="3" cellspacing="1" style="border-collapse: collapse" width="780" height="16" summary="Opcin para generar alertas manualmente">
				<tr class="administracion">
					<td><a href="javascript:enviar()">Generar Alertas</a></td>
					<!--<td colspan="5" align="center"><input type="submit" class="boton" value="Generar Alertas" onclick="document.generar.module.value='dumbo7/alertas.index.genAlertas'" /></td>		-->
				</tr>
				</table>
			</td></tr>
		</form>
	</table>
</xsl:template>

</xsl:stylesheet>
	