<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>

	
<xsl:template match="XMLROOT">
<html lang="es">
<xsl:call-template name="headComun">
	<xsl:with-param name="jscript">
		<script language="JavaScript">
			function enviar() {
				if (document.newSol.aliasCorreo.value.trim()=='') { alert('Debe indicar un Correo.'); return; }
				if (document.newSol.aliasDni.value.trim()=='') { alert('Debe indicar un Dni.'); return; }
				document.newSol.submit();
			}
		</script>
	</xsl:with-param>
</xsl:call-template>
<body>
<xsl:call-template name="menuComun">
	<xsl:with-param name="NAME" select="concat(DATA/ALIAS/USER/@NAME,concat('(',concat(DATA/ALIAS/USER/@LOGIN,')')))"/>
	<xsl:with-param name="MENU" select="DATA/MENU"/>
	<xsl:with-param name="SELECT" select="$menu"/>
	<xsl:with-param name="HELP">administracion.xml#1.12</xsl:with-param>
</xsl:call-template>
<p>&#160;</p>
<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
<br/>
<xsl:variable name="sistema">
	<xsl:choose>
		<xsl:when test="contains($menu,'/')">
			<xsl:value-of select="substring-before($menu,'/')"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$menu"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:variable>
<table align="center" width="80%" cellpadding="0" cellspacing="0">
<tr>
	<td colspan="2">
		<h1>Nuevo Alias de Correo DUMBO</h1>
	</td>
</tr>
<tr>
	<td valign="top">
	</td>
	<td valign="top">
	<table class="cab1">
	<tr><td>&#160;</td><td align="right"><font color="red" size="-1">(*) campos obligatorios.</font></td></tr>
	</table>
	<form method="POST" action="{$servlet}" name="newSol">
		<input type="hidden" name="module" value="dumbo7/alias.crearNuevoAlias"/>
		<input type="hidden" name="aliasSisCod" value="{$sistema}"/>
		<table class="contdet">
		<tr>
			<td class="cabe"><strong>Datos Alias</strong></td>
		</tr>
		<tr>
			<td class="cont">
			<table>
			<tr>
				<td><i>Correo<font color="red" size="-1">(*)</font>:</i></td><td><input type="text" name="aliasCorreo" value="" size="20" maxlength="100"/></td>
			</tr>
			<tr>
				<td><i>Dni<font color="red" size="-1">(*)</font>:</i></td><td><input type="text" name="aliasDni" value="" size="12" maxlength="8" /></td>
			</tr>
			</table>
			</td>
		</tr>
		<tr>
			<td class="cabe" align="center"><input type="button" class="boton" value="Enviar" onClick="enviar();"/></td>
		</tr>
		</table>
	</form>
	</td>
</tr>
</table>
</xsl:template>

</xsl:stylesheet>
	