/*
 * 
 *
 */
package dumbo7.atencion;

import java.io.*;
import java.math.BigDecimal;
import java.util.*;

import javax.servlet.*;
import javax.servlet.http.*;

import org.apache.log4j.*;
import org.hibernate.*;
import org.hibernate.criterion.*;
import dumbo7.*;
import dumbo7.user.*;
import dumbo7.utils.*;
import dumbo7.utils.ldap.LDAPUser;
import dumbo7.utils.ldap.LDAPUtil;
import dumbo7.administracion.aplicaciones.*;
import dumbo7.administracion.categorias.*;
import dumbo7.administracion.secciones.*;
import dumbo7.user.FiltroUsuario;
import atica.frameweb.user.IUser;
import atica.frameweb.utils.*;
import dumbo7.solicitudes.*;

/**
 * @author Universidad de Murcia - ATICA
 *
 */

public class GestorAuxiliar extends GeneralManager {
	
	static Logger logger = Logger.getLogger(GestorAuxiliar.class);
	static String VIGENTE = "V";
	
	public static List getListaSecciones(IUser user,Session conn) throws Exception {
		Criteria ct = conn.createCriteria(D7Secciones.class);
		ct = ct.add(Expression.eq("SecSisCod",user.getDatosMenu().idSelected()));
		ct = ct.add(Expression.eq("SecEstado",VIGENTE));
		return ct.list();
	}

	public static List getListaAplicaciones(IUser user,Session conn) throws Exception {
		Criteria ct = conn.createCriteria(D7Aplicaciones.class);
		ct = ct.add(Expression.eq("AplSisCod",user.getDatosMenu().idSelected()));
		ct = ct.add(Expression.eq("AplEstado",VIGENTE));
		return ct.list();
	}
	
	public static List getListaPrioridades(IUser user,Session conn) throws Exception {
		Criteria ct = conn.createCriteria(D7Prioridades.class);
		ct = ct.add(Expression.eq("PriSisCod",user.getDatosMenu().idSelected()));
		return ct.list();
	}

	public static List getListaCategorias(IUser user,Session conn) throws Exception {
		Criteria ct = conn.createCriteria(D7Categorias.class);
		ct = ct.add(Expression.eq("CatSisCod",user.getDatosMenu().idSelected()));
		ct = ct.add(Expression.eq("CatEstado",VIGENTE));
		return ct.list();
	}
	
}
