<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="selected"/>
<xsl:param name="tarea"/>
<xsl:param name="aplCod"/>
<xsl:param name="CopiaCorreo"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:include href="atica/frameweb/xml/templates/paginable.xsl"/>

<xsl:template match="XMLROOT">

<html lang="es">

	<xsl:call-template name="headComun">
		<xsl:with-param name="calendar" select="true()"/>
		<xsl:with-param name="jscript">
			<SCRIPT LANGUAGE="JavaScript" SRC="../js/utils/formRAsigna.js"></SCRIPT>
			
			<script>
				function enviar(module) 
				{
					document.newSol.module.value = module;
					if (document.newSol.empEmail.value=='-1')
					{
						alert('Debe indicar una empresa.'); 
						return;
					}
					if (texto==null) texto = (document.all)?divTexto.style:document.divTexto;
					texto.visibility = visible;
					document.newSol.submit();
					//top.opener.recargar();
					//window.opener.location.reload();
				}
				function refrescarDatosEmpresa(codigo)
				{
					<xsl:for-each select="DATA/ATENCION/EMPRESA">
						if('<xsl:value-of select="@EMAIL"/>'==codigo)
						{
							this.document.getElementById("L0<xsl:value-of select="@EMAIL"/>").style.display = "block";
							this.document.getElementById("L1<xsl:value-of select="@EMAIL"/>").style.display = "block";
							this.document.getElementById("L2<xsl:value-of select="@EMAIL"/>").style.display = "block";
							this.document.getElementById("Error").style.visibility = "hidden";
						}
						else
						{
							this.document.getElementById("L0<xsl:value-of select="@EMAIL"/>").style.display = "none";
							this.document.getElementById("L1<xsl:value-of select="@EMAIL"/>").style.display = "none";
							this.document.getElementById("L2<xsl:value-of select="@EMAIL"/>").style.display = "none";
						}
					</xsl:for-each>
				}
			</script>
		</xsl:with-param>
	</xsl:call-template>

<body>
	<div ID="divTexto" style="position:absolute; left:70; top:180; width:250; background-color:red; layer-background-color:red; visibility:hidden; color:white;">
		Asignando empresa, espere un momento...
	</div>
	<form name="newSol" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.formEmpresa.asignarEmpresa"/>
	<input type="hidden" name="tarCod" value="{$tarea}"/>
	<br/>
	<table class="contout">
		<tr class="peticion">
			<td><b>Asignacin de empresa a tarea</b></td>
		</tr>
		<tr>
		<td>
		<table width="100%">
		<tr>
			<td colspan="2">
				<b>Aplicacin:&#160;</b><xsl:value-of select="DATA/ATENCION/APLICACION/@DESCRIPCION"/>&#160;(<xsl:value-of select="DATA/ATENCION/APLICACION/@CODIGO"/>)
			</td>
		</tr>
		<tr><td>&#160;</td></tr>
		<tr>
			<td colspan="2">
				<b>Empresas:&#160;</b>
				<!--Si al menos hay una empresa mapeada quiere decir que hay al menos una empresa vinculada a la aplicacin-->
				<xsl:if test="count(DATA/ATENCION/EMPRESA)!=0">
					<xsl:if test="DATA/ATENCION/EMPRESA_MOVIMIENTO_ULTIMO[@TIPO_MOVIMIENTO='D'] or count(DATA/ATENCION/EMPRESA_MOVIMIENTO_ULTIMO)=0">
						<select name="empEmail" size="1" onChange="javascript:refrescarDatosEmpresa(this.options[this.selectedIndex].value)">
							<!--Si la tarea no est vinculada a ninguna empresa, aparece "introduzca una empresa" -->
							<xsl:if test="count(DATA/ATENCION/EMPRESA[@EMAIL=$CopiaCorreo])=0">
								<option value="-1">-Introduzca una empresa-</option>
							</xsl:if>
							<xsl:for-each select="DATA/ATENCION/EMPRESA">
								<xsl:sort select="@NOMBRE"/>
								<xsl:if test="@EMAIL=$CopiaCorreo">
									<option value="{@EMAIL}" selected="true"><xsl:value-of select="@NOMBRE"/></option>	
								</xsl:if>
								<xsl:if test="@EMAIL!=$CopiaCorreo">
									<option value="{@EMAIL}"><xsl:value-of select="@NOMBRE"/></option>	
								</xsl:if>						
							</xsl:for-each>
						</select>&#160;
						<input class="boton" type="button" value="Asignar" onclick="enviar('dumbo7/atencion.formEmpresa.asignarEmpresa');"/>&#160;
						<input type="hidden" name="tarDescripSegui" value="Asignacin de empresa a tarea."/>
					</xsl:if>
					<xsl:if test="DATA/ATENCION/EMPRESA_MOVIMIENTO_ULTIMO[@TIPO_MOVIMIENTO='A']">
						<xsl:for-each select="DATA/ATENCION/EMPRESA[@EMAIL=$CopiaCorreo]">
							<xsl:value-of select="@NOMBRE"/>&#160;
							<input type="hidden" name="empEmail" value="{@EMAIL}"/>
						</xsl:for-each>
						<input class="boton" type="button" value="Desasignar" onclick="enviar('dumbo7/atencion.formEmpresa.desasignarEmpresa');"/>&#160;
						<input type="hidden" name="tarDescripSegui" value="Desasignacin de empresa a tarea."/>
					</xsl:if>
				</xsl:if>
				<!--Si no hay empresas vinculadas a la aplicacin de la tarea-->
				<xsl:if test="count(DATA/ATENCION/EMPRESA)=0">
					<font color="#FF0000">*No&#160;hay&#160;empresas&#160;vinculadas&#160;a&#160;la&#160;aplicacin&#160;</font>
				</xsl:if>
			</td>
		</tr>
		<xsl:for-each select="DATA/ATENCION/EMPRESA">
			<!--Si no es el correo que estaba seleccionado, todo aparece escondido-->
			<xsl:if test="@EMAIL!=$CopiaCorreo">
				<tr id="L0{@EMAIL}" style="display:none"><td>&#160;</td></tr>
				<tr id="L1{@EMAIL}" style="display:none" class="peticion">
					<td>
						<b>Datos de la empresa</b>
					</td>
				</tr>
				<tr id="L2{@EMAIL}" style="display:none">
					<td>
						&#160;<b>Empresa:&#160;</b>
						<xsl:value-of select="@NOMBRE"/>&#160;					
						<br/>
						&#160;<b>CIF:&#160;</b>
						<xsl:value-of select="@CIF"/>&#160;					
						<br/>
						&#160;<b>Correo:&#160;</b><xsl:value-of select="@EMAIL"/>
						<br/>
						<br/>
						&#160;<b>Contactos:&#160;</b>
						<br/>
						<xsl:if test="string-length(@CONTACTO1)=0 and string-length(@CONTACTO2)=0">
							&#160;&#160;*No hay contactos introducidos
						</xsl:if>
						<xsl:if test="string-length(@CONTACTO1)!=0">
							&#160;&#160;<xsl:value-of select="@CONTACTO1"/>&#160;(Tlf:&#160;<xsl:value-of select="@TELEFONO1"/>)
							<br/>
						</xsl:if>
						<xsl:if test="string-length(@CONTACTO2)!=0">
							&#160;&#160;<xsl:value-of select="@CONTACTO2"/>&#160;(Tlf:&#160;<xsl:value-of select="@TELEFONO2"/>)
						</xsl:if>
						<br/>
						&#160;<b>Observaciones:&#160;</b>
						<br/>
						&#160;&#160;<xsl:value-of select="@OBSERVACIONES"/>
					</td>
				</tr>
			</xsl:if>
			<!--Si es el correo que estaba seleccionado, se muestra-->
			<xsl:if test="@EMAIL=$CopiaCorreo">
				<tr id="L0{@EMAIL}"><td>&#160;</td></tr>
				<tr id="L1{@EMAIL}" class="peticion">
					<td>
						<b>Datos de la empresa</b>
					</td>
				</tr>
				<tr id="L2{@EMAIL}">
					<td>
						&#160;<b>Empresa:&#160;</b><xsl:value-of select="@NOMBRE"/>&#160;
						<br/>
						&#160;<b>CIF:&#160;</b>
						<xsl:value-of select="@CIF"/>&#160;					
						<br/>
						&#160;<b>Correo:&#160;</b><xsl:value-of select="@EMAIL"/>
						<br/>
						<br/>
						&#160;<b>Contactos:&#160;</b>
						<br/>
						<xsl:if test="string-length(@CONTACTO1)=0 and string-length(@CONTACTO2)=0">
							&#160;&#160;*No hay contactos introducidos
						</xsl:if>
						<xsl:if test="string-length(@CONTACTO1)!=0">
							&#160;&#160;<xsl:value-of select="@CONTACTO1"/>&#160;(Tlf:&#160;<xsl:value-of select="@TELEFONO1"/>)
							<br/>
						</xsl:if>
						<xsl:if test="string-length(@CONTACTO2)!=0">
							&#160;&#160;<xsl:value-of select="@CONTACTO2"/>&#160;(Tlf:&#160;<xsl:value-of select="@TELEFONO2"/>)
						</xsl:if>
						<br/>
						&#160;<b>Observaciones:&#160;</b>
						<br/>
						&#160;&#160;<xsl:value-of select="@OBSERVACIONES"/>
					</td>
				</tr>
			</xsl:if>
		</xsl:for-each>
		<tr>
			<td colspan="2">
				<!--El correo que contiene la tarea en email copia no pertenece a ninguna de las empresas vinculadas
					a la aplicacin. Podra ser que:
					*Ese correo se introdujera al crear la tarea como "enviar copia"
					*Ese correo se introdujera al vincular una empresa que ya no est vinculada a esa aplicacin
					*Ese correo se introdujera al vincular una empresa vinculada a una aplicacin, pero la tarea ya no est vinculada con esa aplicacin-->
				<xsl:choose>
					<xsl:when test="count(DATA/ATENCION/EMPRESA[@EMAIL=$CopiaCorreo])=0 and $CopiaCorreo!='' and count(DATA/ATENCION/EMPRESA)!=0">
						<label id="Error"><font color="#FF0000">Atencin!, el correo actual no pertenece a ninguna empresa vinculada a la aplicacin.</font></label>					
					</xsl:when>
					<xsl:otherwise>
						<label id="Error" style="visibility:hidden"><font color="#FF0000">Atencin!, el correo actual no pertenece a ninguna empresa vinculada a la aplicacin.</font></label>										
					</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
		<!--Mostramos los movimientos que ha tenido la tarea-->
		<tr class="peticion">
			<td>
				<b>Movimientos de empresas de la tarea</b>
			</td>
		</tr>
		<xsl:if test="count(DATA/ATENCION/EMPRESA_MOVIMIENTO_ULTIMO)=0">
			<tr>
				<td>
					*Esta tarea nunca ha sido asignada a una empresaa
				</td>
			</tr>
		</xsl:if>
		<tr>
			<table width="100%">
				<xsl:for-each select="DATA/ATENCION/EMPRESA_MOVIMIENTO">
					<xsl:sort select="@FECHA_MOVIMIENTO"/>
					<tr>
						<td>
							<xsl:value-of select="@CODIGO"/>
						</td>
						<td>
							<xsl:variable name="emailEmpresa"><xsl:value-of select="@EMAIL"/></xsl:variable>
							<xsl:for-each select="../EMPRESA[@EMAIL=$emailEmpresa]">
								<xsl:value-of select="@NOMBRE"/>
							</xsl:for-each>
						</td>
						<td>
							<xsl:variable name="codigoInformatico"><xsl:value-of select="@INFORMATICO"/></xsl:variable>
							<!--<xsl:for-each select="../DATOS_PERSONALES[@IDENTIFICADOR=$codigoInformatico]">-->
							<xsl:for-each select="../DATOS_PERSONALES/IDENTIFICADOR[.=$codigoInformatico]">
								<xsl:value-of select="../APELLIDOS/."/>, <xsl:value-of select="../NOMBRE/."/>
							</xsl:for-each>
						</td>
						<td>
							<xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="@FECHA_MOVIMIENTO"/></xsl:call-template>
						</td>
						<td>
							<xsl:if test="@TIPO_MOVIMIENTO='A'">
								Asignada
							</xsl:if>
							<xsl:if test="@TIPO_MOVIMIENTO='D'">
								Desasignada
							</xsl:if>
						</td>
					</tr>
				</xsl:for-each>
			</table>
		</tr>
		<tr class="peticion">
			<td align="center"><input class="boton" type="button" value="Cerrar" onclick="javascript:window.close()"/></td>
		</tr>
		</table>
		</td>
		</tr>
	</table>
	</form>
</body>
</html>
</xsl:template>
<xsl:template name="cuerpo"></xsl:template>
</xsl:stylesheet>
	