<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="selected"/>
<xsl:param name="page"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:include href="atica/frameweb/xml/templates/paginable.xsl"/>

<xsl:template match="XMLROOT">

<html lang="es">

	<xsl:call-template name="headComun">
		<xsl:with-param name="calendar" select="true()"/>
		<xsl:with-param name="jscript">
			<SCRIPT LANGUAGE="JavaScript">
				var cod='<xsl:value-of select="(DATA/ATENCION/SOLICITUD/@CODIGO)"/>';
				var pg, tipo;
				function enviar() {
					if (document.f1.tarDescripSegui.value.trim()=='') {
						alert('Debe indicar el texto de seguimiento.'); return;
					}
					//top.opener.cambiaSeguimiento(document.f1.tarDescripSegui.value,window.name);
					document.f1.tarCod.value = top.opener.document.formModSeg.tarCod.value;
					document.f1.selected.value = document.f1.tarCod.value;
					document.f1.tarHorasRes.value = document.f1.tseDedicacion.value;
					document.f1.submit();
				}
				function calculaTotal(){
					var estado='<xsl:value-of select="(DATA/ATENCION/SOLICITUD/@ESTADO)"/>';
					if ((estado=='F') || (estado=='R') || (estado=='N')) return;
					var total='<xsl:value-of select="sum(DATA/ATENCION/SEGUIMIENTO/@DEDICACION)"/>';
					document.f1.horasTotales.value = total;
				}
				function reloadDetail() {
					document.freload.submit();
				}
				function recargar() {
					top.opener.mcod = cod; 
					top.opener.mpag = pg; 
					top.opener.mtip = tipo;
					top.opener.reloadDetail();
				}
				function suprmirAnx(cod,pg,nombre,tipo) {
					var z=nombre.length;
					var wAnx = window.open('../suprimirAnexo.html?cod='+cod+'&amp;nombre='+nombre+'&amp;tipo='+tipo+'&amp;z='+z,'WinAnx','left=100,top=100,height=80,width=400');
					top.opener.mcod = cod; 
					top.opener.mpag = pg; 
					top.opener.mtip = tipo;
				}
			</SCRIPT>
		</xsl:with-param>
	</xsl:call-template>

<body onload="calculaTotal();">
	<form name="freload" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.seguimiento"/>
	<input type="hidden" name="selected" value="{$selected}"/>
	</form>
	<form name="f1" action="{$servlet}" method="post" enctype="multipart/form-data">
	<input type="hidden" name="module" value="dumbo7/atencion.seguimiento.modificar"/>
	<input type="hidden" name="selected" value=""/>
	<input type="hidden" name="tarCod" value=""/>
	<input type="hidden" name="tarHorasRes" value=""/>
	<table class="contout">
	<tr class="peticion"><td colspan="3" align="center"><font size="+1">Cuaderno de Bitcora</font></td></tr>
	<xsl:if test="count(DATA/ATENCION/SEGUIMIENTO)=0">
		<tr><td colspan="3">No hay datos en la bitcora.</td></tr>
	</xsl:if>
	<xsl:if test="count(DATA/ATENCION/SEGUIMIENTO)>0">
		<tr>
			<td><b>Fecha</b></td>
			<td><b>Descripcin</b></td>
		</tr>
	</xsl:if>
	<xsl:for-each select="DATA/ATENCION/SEGUIMIENTO">
	<xsl:sort select="number(@CODIGO)" data-type="number"/>
	<xsl:variable name="usu"><xsl:value-of select="@USUARIO"/></xsl:variable>
	<xsl:variable name="EscritoPorOtraPersona">
		<xsl:choose>
			<xsl:when test="not(../USER/@ID=@USUARIO) and string-length(@USUARIO)>0">
				<xsl:for-each select="../DATOS_TRABAJADORES[@IDENTIFICADOR=$usu]">
					(<xsl:value-of select="@EMAIL"/>)
				</xsl:for-each>
			</xsl:when>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="horas">
		<xsl:choose>
			<xsl:when test="string-length(@DEDICACION)>0">
				(<xsl:value-of select="@DEDICACION"/> horas)
			</xsl:when>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="mcod" select="@CODIGO"/>
		<tr>
			<td><xsl:call-template name="date2String"><xsl:with-param name="fecha"><xsl:value-of select="@FECHA_ALTA"/></xsl:with-param></xsl:call-template><xsl:value-of select="$EscritoPorOtraPersona"/></td>
			<td><div style="white-space: pre-line; /* css-3 */
							white-space: pre-wrap; /* css-2.1 */
							white-space: pre; /* CSS 2 */
							white-space: -moz-pre-wrap !important; /* Mozilla */
							white-space: -pre-wrap; /* Opera 4-6 */
							white-space: -o-pre-wrap; /* Opera 7 */
							word-wrap: break-word; /* Internet Explorer 5.5+ */
							margin-left:0px;
							margin-right:0px;
							text-align:justify;"><xsl:value-of select="@DESCRIPCION"/></div><xsl:value-of select="$horas"/></td>		
		</tr>
		<xsl:if test="count(/XMLROOT/DATA/ATENCION/ANEXOS[@CODE=$mcod])>0">
		<tr>
			<td>&#160;</td>
			<td colspan="2">
				<xsl:for-each select="/XMLROOT/DATA/ATENCION/ANEXOS[@CODE=$mcod]">
					<a href="javascript:top.opener.download('{@CODIGO}','{@FECHA}','{@NOMBRE}','{@TIPO}{$mcod}{@TIPO}');"><xsl:value-of select="@NOMBRE"/>&#160;<xsl:value-of select="@SIZE"/></a>
					&#160;<a title="Eliminar Anexo" href="javascript:suprmirAnx('{@CODIGO}','{@FECHA}','{@NOMBRE}','{@TIPO}{$mcod}{@TIPO}');">[-]</a><br/>
				</xsl:for-each>	
			</td>
		</tr>
		</xsl:if>
	</xsl:for-each>
	<xsl:choose>
		<xsl:when test="(DATA/ATENCION/USER/@ID=DATA/ATENCION/SOLICITUD/@INFORMATICO or count(/XMLROOT/DATA/SECURITY/ACTION[@NAME='modificaOtroSeguimiento']/PROFILE)>0) and not(DATA/ATENCION/SOLICITUD/@ESTADO='F') and not(DATA/ATENCION/SOLICITUD/@ESTADO='R') and not(DATA/ATENCION/SOLICITUD/@ESTADO='N')">
			<tr><td colspan="3">&#160;</td></tr>
			<tr class="peticion"><td colspan="3"><b>Texto Bitcora</b></td></tr>
			<tr class="peticion">
				<td colspan="3" align="center">
					<textarea name="tarDescripSegui" cols="81" rows="6">
					</textarea>
				</td>
			</tr>
			<tr class="peticion">
				<td colspan="3">
					<b>Horas dedicadas parciales:</b>&#160;<input name="tseDedicacion" type="text" size="10"/>&#160;h&#160;&#160;
					<b>Horas totales:</b>&#160;<input name="horasTotales" type="text" size="10" disabled="disabled"/>&#160;h&#160;&#160;
				</td>
			</tr>
			<tr class="peticion">
				<td colspan="3">
					<b>Anexo:</b>&#160;<input name="tarAnexo" type="file" size="66"/>
				</td>
			</tr>
			<tr>
				<td colspan="3" align="center">
					<input class="boton" type="button" onclick="enviar();" value="Enviar"/>&#160;
					<input class="boton" type="button" onclick="recargar();top.close();" value="Cerrar"/>
				</td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<tr><td colspan="3">&#160;</td></tr>
			<tr>
				<td colspan="3" align="center">
					<input class="boton" type="button" onclick="top.close();" value="Cerrar"/>
				</td>
			</tr>
		</xsl:otherwise>
	</xsl:choose>
	</table>
	</form>
</body>
</html>
</xsl:template>
<xsl:template name="cuerpo"></xsl:template>
</xsl:stylesheet>
	