<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:key name="cuenta" match="XMLROOT/DATA/HORARIO/HORARIOS" use="@HORTURCOD"/>
<xsl:template match="XMLROOT">
<html lang="es">
<xsl:call-template name="headComun">
	<xsl:with-param name="jscript">
		<script language="JavaScript">
			function enviar() {
				document.newHor.submit();
			}
		</script>
	</xsl:with-param>
</xsl:call-template>
<body>
<xsl:call-template name="menuComun">
	<xsl:with-param name="NAME" select="concat(DATA/HORARIO/USER/@NAME,concat('(',concat(DATA/HORARIO/USER/@LOGIN,')')))"/>
	<xsl:with-param name="MENU" select="DATA/MENU"/>
	<xsl:with-param name="SELECT" select="$menu"/>
</xsl:call-template>
<p>&#160;</p>
<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">

<form method="POST" action="{$servlet}" name="newHor">
			<input type="hidden" name="module" value="dumbo7/geshorario.geshorario" />
			<input type="hidden" name="dia" value="{DATA/HORARIO/DIA}" />
			<input type="hidden" name="mes" value="{DATA/HORARIO/MES+1}" />
			<input type="hidden" name="anyo" value="{DATA/HORARIO/ANYO}" />
</form>


<table class="contout">
         <tbody><tr class="peticion">
            <td><strong>Resultado</strong>
            </td>
         </tr>
         <tr>
            <td>
            <xsl:choose>
            <xsl:when test="string-length(DATA/HORARIO/@ERROR)>0">
				Se ha producido un error al modificar el estado de ausencia del horario
			</xsl:when>
			<xsl:when test="string-length(DATA/HORARIO/@ERROR)=0">
				Se ha cambiado el estado de la ausencia satisfactoriamente
			</xsl:when>
              </xsl:choose>
              
				<i></i><br/>
                  <center><a href="javascript:document.newHor.submit();">Volver</a>
                  </center>
               <table/>
            </td>
         </tr>
      </tbody>
</table>

</xsl:template>





<xsl:template name="date2String3">
		<xsl:param name="fecha" />
		<xsl:if test="string-length($fecha)>0">
			<xsl:variable name="date"
				select="substring-before($fecha,'T')" />
			<xsl:variable name="hora2"
				select="substring-after(substring-before($fecha,'.'),'T')" />
			<xsl:variable name="hora" select="substring($hora2,1,5)" />
			<xsl:variable name="anyo"
				select="substring-before($date,'-')" />
			<xsl:variable name="mes"
				select="substring-before(substring-after($date,'-'),'-')" />
			<xsl:variable name="dia"
				select="substring-after(substring-after($date,'-'),'-')" />
			<xsl:value-of select="$hora" />
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
	