<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:key name="cuenta" match="XMLROOT/DATA/HORARIO/HORARIOS" use="@HORTURCOD"/>
<xsl:template match="XMLROOT">
<html lang="es">
<xsl:call-template name="headComun">
	<xsl:with-param name="jscript">
	<style type="text/css">@import url(../dumbo7/utils/jscalendar/calendar-win2k-1.css);</style>
	<script src="../dumbo7/utils/jscalendar/calendar.js" type="text/javascript"></script><script src="../dumbo7/utils/jscalendar/lang/calendar-es.js" type="text/javascript"></script><script src="../dumbo7/utils/jscalendar/calendar-setup.js" type="text/javascript"></script><SCRIPT SRC="../js/utils/filtrarInformacion.js" LANGUAGE="JavaScript"></SCRIPT>
		<script language="JavaScript">
	 		function turnos(){
	 			document.newTur.module.value = "dumbo7/geshorario.nuevoTurno";
				document.newTur.submit();
			}

			
			

			function modificarTurno(turno){
				document.newTur.turCod.value=turno
				document.newTur.module.value = "dumbo7/geshorario.cargaTurno";
				document.newTur.submit();
			}
			function modificavision(){

				 document.newTur.turEstado.value = document.f1.Estado.value;
				
				
				document.newTur.turFeciniVigencia.value = document.f1.inicioDesde.value;
				
				document.newTur.module.value = "dumbo7/geshorario.listaTurnos";
				document.newTur.submit();
		
			
			}




		</script>
	</xsl:with-param>
</xsl:call-template>
<body>
<xsl:call-template name="menuComun">
	<xsl:with-param name="NAME" select="concat(DATA/HORARIO/USER/@NAME,concat('(',concat(DATA/HORARIO/USER/@LOGIN,')')))"/>
	<xsl:with-param name="MENU" select="DATA/MENU"/>
	<xsl:with-param name="SELECT" select="$menu"/>
</xsl:call-template>
<p>&#160;</p>
<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
<xsl:variable name="fecha"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="DATA/HORARIO/FECHA"/></xsl:call-template></xsl:variable>
<br/>


<xsl:variable name="sistema">
	<xsl:choose>
		<xsl:when test="contains($menu,'/')">
			<xsl:value-of select="substring-before($menu,'/')"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$menu"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:variable>
	<form name="f1">
<table class="contout" style="background-color:#F2F0E3">
	<tbody><tr>
	<td align="left" class="cab1" style="width:50%">Turnos</td>
	<td align="center" id="tabDet2"></td>



	<td width="20%" style="" align="right">
	Filtros de Turnos:
	</td>
	<td width="20%" style="">

	<input name="inicioHasta" type="hidden" value=""/>
	<input onChange="javascript:modificavision('');" id="ini_desde" size="12" name="inicioDesde" type="text" value="{$fecha}"/>
<img id="trigger_ini_desde" src="../dumbo7/utils/jscalendar/img.gif" style="border: 1px solid red; cursor: pointer;" title="Selecciona Fecha" onmouseover="this.style.background='red';" onmouseout="this.style.background=''"/>

<script type="text/javascript">
		Calendar.setup({
			inputField : "ini_desde",
			ifFormat : "%d/%m/%Y",
			button : "trigger_ini_desde",
			align : "Bl",
			onSelect : selectDateIniDesde,
			singleClick : false
		});
</script>
	
	</td>
	
	<td width="20" style="">
	<select name="Estado">
		<option value="">Todas</option>
		<option value="V">Activas</option>
		<option value="N">No Activas</option>
	</select></td>

	<td width="20" style=""><a href="javascript:modificavision();"><img border="0" src="../graficos/ico_filtro_off.gif" alt="Aplicar Filtros"/></a></td>
<td width="20" style=""><a href="javascript:goMenu('dumbo7/geshorario.nuevoTurno','D7/Ges/GesHorario/GesHorario');">Insertar Turno</a></td>
	</tr>
<tr>
<td colspan="3">

</td>
</tr>
</tbody>
</table>
	</form>



<table class="contout" cellpadding="0" border="0" name="tabla" width="80%" >
	<table class="contout">
	<tr class="cabe">
		<td>
		<strong>
			Hora de Inicio
		</strong>
		</td>
		<td>
		<strong>
			Hora de Fin
		</strong>
		</td>
		<td>
		<strong>
			Nmero de Orejas
		</strong>
		</td>
		<td>
		<strong>
			Fecha de inicio de Vigencia
		</strong>
		</td>
		<td>
		<strong>
			Fecha de fin de Vigencia
		</strong>
		</td>
		<td>
		<strong>
			Est
		</strong>
		</td>
		<td></td>
	
	</tr>
	
		<tbody>
			<xsl:for-each select="DATA/HORARIO/TURNOS">
			<xsl:sort select="substring-after(substring-before(@TURHORAINI,'.'),'T')"/>
			<xsl:variable name="auxiliar" select="number(@TURCOD)" />
			
	<tr>
				<td class="peticion" style="padding-left: 2px;">
					<xsl:call-template name="date2String3">
						<xsl:with-param name="fecha" select="@TURHORAINI" />
					</xsl:call-template>
				</td>
				
				<td class="peticion" style="padding-left: 2px;">
					<xsl:call-template name="date2String3">
						<xsl:with-param name="fecha" select="@TURHORAFIN" />
					</xsl:call-template>
				</td>
				
				<td class="peticion" style="padding-left: 2px;">
					<xsl:value-of select="@TURNUMTECNICOS"/>
				</td>
				
				<td class="peticion" style="padding-left: 2px;">
				<xsl:call-template name="date2String2">
						<xsl:with-param name="fecha" select="@TURFECINIVIGENCIA" />
					</xsl:call-template>
				</td>
				
				<td class="peticion" style="padding-left: 2px;">
				<xsl:call-template name="date2String2">
						<xsl:with-param name="fecha" select="@TURFECFINVIGENCIA" />
					</xsl:call-template>
				</td>
				<td class="peticion" style="padding-left: 2px;">
					
					
					
												<xsl:choose>
								<xsl:when test="@TURESTADO='V'">
								<center>
									<img border="0" src="../graficos/iconos/vigente.gif" alt="Vigente"/>
								</center>
								</xsl:when>
								<xsl:when test="@TURESTADO='N'">
								<center>
									<img border="0" src="../graficos/iconos/no_vigente.gif" alt="Vigente"/>
								</center>
								</xsl:when>
							</xsl:choose>
					
				</td>
				<td class="peticion">
				<center>
<a href="javascript:modificarTurno({@TURCOD})"><img border="0" src="../graficos/iconos/modificar.gif" alt="Modificar Aplicacin"/></a>
</center>
				
				</td>
				
	

		</tr>		
				
		</xsl:for-each>
	</tbody>
</table>
</table>	
<form method="POST" action="{$servlet}" name="calen">
			<input type="hidden" name="module"
				value="dumbo7/geshorario.index2" />
			<input type="hidden" name="mes" value="4" />
			<input type="hidden" name="anyo" value="2005" />
		</form>
		
	<form method="POST" action="{$servlet}" name="newTur">
		<input type="hidden" name="module" value="dumbo7/geshorario.gesTurnos"/>
		<input type="hidden" name="fecha" value="{$fecha}"/>
		<input type="hidden" name="turSisCod" value="{$sistema}"/>
		<input type="hidden" name="turFeciniVigencia" value=""/>
		<input type="hidden" name="turEstado" value=""/>
		<input type="hidden" name="turCod" value=""/>
		

	</form>
	
	
	
</xsl:template>





<xsl:template name="date2String3">
		<xsl:param name="fecha" />
		<xsl:if test="string-length($fecha)>0">
			<xsl:variable name="date"
				select="substring-before($fecha,'T')" />
			<xsl:variable name="hora2"
				select="substring-after(substring-before($fecha,'.'),'T')" />
			<xsl:variable name="hora" select="substring($hora2,1,5)" />
			<xsl:variable name="anyo"
				select="substring-before($date,'-')" />
			<xsl:variable name="mes"
				select="substring-before(substring-after($date,'-'),'-')" />
			<xsl:variable name="dia"
				select="substring-after(substring-after($date,'-'),'-')" />
			<xsl:value-of select="$hora" />
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
	