<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="tipo"/>
<xsl:param name="menu"/>
<xsl:param name="TipoCheck"/>
<xsl:param name="FechasD"/>
<xsl:param name="FechasH"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>

<xsl:template match="XMLROOT">
<html>
<xsl:call-template name="headComun">
	<xsl:with-param name="ERROR" select="DATA/DUMBOS/@ERROR"/>
	<xsl:with-param name="arbol" select="true()"/>
	<xsl:with-param name="calendar" select="true()"/>
	<xsl:with-param name="jscript">
		<SCRIPT LANGUAGE="JavaScript" SRC="/forja/jquery/jquery.js"></SCRIPT>
		<script LANGUAJE="JavaScript" src="../js/CompruebaFecha.js"></script>
		<SCRIPT LANGUAGE="JavaScript" SRC="../js/solicitudes/solicita.js"></SCRIPT>
		<SCRIPT LANGUAGE="JavaScript" SRC="../js/solicitudes/ajax.js"></SCRIPT>
		<SCRIPT LANGUAGE="JavaScript" SRC="../js/utils/buscarDumbo.js"></SCRIPT>
		<SCRIPT LANGUAGE="JavaScript">
		var userDom = '<xsl:value-of select="DATA/DUMBOS/USER/@DOMINIO"/>';
		var srvName = '<xsl:value-of select="$servlet"/>';
		</SCRIPT>
	</xsl:with-param>
</xsl:call-template>
<body onload="document.newSol.code.focus();">
<form name="detalleDumbo" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/gestion/dumbos.datosDumbo"/>
	<input type="hidden" name="code" value=""/>
</form>
<form name="detalleUsr" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.atender.detalleUser"/>
	<input type="hidden" name="user" value=""/>
</form>
<form name="formHist" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.verHistorial"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="selected" value=""/>
</form>
<form name="imprimeDetalle" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.imprimeDetalle"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="selected" value=""/>
</form>
<form name="downAnexo" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.download"/>
	<input type="hidden" name="anexo" value=""/>
</form>
<form name="formSubtar" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/solicitudes.verSubtareas"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="selected" value=""/>
</form>
<form name="formSeg" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.seguimiento"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="selected" value=""/>
</form>
<form name="formModSeg" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.seguimiento.modificar"/>
	<input type="hidden" name="tarCod" value=""/>
	<input type="hidden" name="tarDescripSegui" value=""/>
	<input type="hidden" name="tseDedicacion" value=""/>
	<input type="hidden" name="selected" value=""/>
</form>
	<xsl:call-template name="menuComun">
		<xsl:with-param name="HELP" select="'gestion.xml#1.6'"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="NAME" select="concat(DATA/DUMBOS/USER/@NAME,concat(' (',concat(DATA/DUMBOS/USER/@LOGIN,')')))"/>
	</xsl:call-template>
	<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
<br/>
<form name="newSol" action="{$servlet}" onsubmit="return false;">
<input type="hidden" name="FechasD" value="{$FechasD}"/>
<input type="hidden" name="FechasH" value="{$FechasH}"/>
	<table align="center"  border="0" cellpadding="3" cellspacing="1" style="border-collapse: collapse" width="775" height="16">
		<tr>
			<td>
				<table class="cont" border="0" cellpadding="3" cellspacing="1" width="775" height="16">
					<tr>
						<td align="left" class="cabe" colspan="7"><b>Seleccione el criterio de bsqueda:</b></td>
					</tr>
					<tr>
   						<td>&#160;</td>
						<td width="61"><input type="radio" name="criterio" onclick="marca(document.newSol.code,this,document.newSol.tarUsuCod);visibilidadCriterios()" checked="true"/></td>
						<td width="320"><b>Cdigo dumbo:</b></td>
						<td colspan="2">
							<label id="lbcode"><input id="code" name="code" size="30" value=""/></label>
						</td>
						<td colspan="2">&#160;</td>
					</tr>
  					<tr>
					  	<td>&#160;</td>
					   	<td><input type="radio" name="criterio" onclick="marca(document.newSol.tarUsuCod,this,document.newSol.code);visibilidadCriterios()"/></td>
						<td><b>Usuario solicitante:</b></td>
						<td><label id="lbtarUsuCod"><input id="tarUsuCod" name="tarUsuCod" size="30" value="" onChange="findRequest(this,'solname',true);" disabled="true"/></label></td>
						<td>&#160;<a href="javascript:buscaSolicitante();"><img title="Buscar" src="../graficos/iconos/ampliar.gif" border="0"/></a></td>
					  	<td id="solname" colspan="2">&#160;</td>
					</tr>
					<tr>
						<td colspan="2">&#160;</td>
						<td colspan="2" align="center">
					        <input id="bus" class="boton" type="button" value="Buscar"/>&#160;&#160;
							<input name="button" type="button" class="boton" onClick="javascript:history.back();" value="Cerrar"/>
				        </td>
						<td colspan="3">&#160;</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td>
				<table width="616" id="criterios" bgcolor="#E0EBE6" align="center">
					<!--Frmulario a rellenar para la creacin de informes-->
					<tr class="administracion">
						<td colspan="2">&#160;</td>
						<td width="20">
							<xsl:if test="$TipoCheck='Pe'">
								<input name="TipoCheck" type="radio" value="Pe" checked="true"/>
							</xsl:if>
							<xsl:if test="$TipoCheck!='Pe'">
								<xsl:if test="$TipoCheck='A'">
									<input name="TipoCheck" type="radio" value="Pe"/>
								</xsl:if>
								<xsl:if test="$TipoCheck!='A'">
									<input name="TipoCheck" type="radio" value="R" checked="true"/>
								</xsl:if>
							</xsl:if>
						</td>
						<td>Tareas Pendientes </td>
						<!--comprobamos si el campo ya estaba marcado para que mantenga la opcion seleccionada-->
						<td colspan="3">&#160;</td>
					</tr>
					<tr class="administracion">
						<td colspan="2">&#160;</td>
						<td width="20">
							<xsl:if test="$TipoCheck='A'">
								<input name="TipoCheck" type="radio" value="A" checked="true"/>
							</xsl:if>
							<xsl:if test="$TipoCheck!='A'">
								<input name="TipoCheck" type="radio" value="A"/>
							</xsl:if>
						</td>
						<td>Tareas Anuladas </td>
						<td>&#160;</td>
						<td width="50">Desde:</td>
						<td width="100"><input type="text" onchange="changeDate(this)" name="Fechas" id="f_FecDesde" size="11" value="{$FechasD}"/>
							<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_a"
								style="cursor: pointer; border: 1px solid red;"
								title="Selecciona Fecha"
								onmouseover="this.style.background='red';"
								onmouseout="this.style.background=''"  />
						</td>
								<script type="text/javascript">
									Calendar.setup({
										inputField     :    "f_FecDesde",
										ifFormat       :    "%d/%m/%Y",
										button         :    "f_trigger_a",
										align          :    "Tl",
										onSelect       :    selectDateDesde,
										singleClick    :    false
										});
								</script>
					</tr>		
					<tr class="administracion">
						<td colspan="2">&#160;</td>
						<td width="20">
							<xsl:if test="$TipoCheck='R'">
								<input name="TipoCheck" type="radio" value="R" checked="true"/>
							</xsl:if>
							<xsl:if test="$TipoCheck!='R'">
								<input name="TipoCheck" type="radio" value="R"/>
							</xsl:if>
						</td>
						<td>Tareas Resueltas </td>
						<td>&#160;</td>
						<td width="50">Hasta:</td>
						<td width="100"><input type="text" onchange="changeDate(this)" name="Fechas" id="f_FecHasta" size="11" value="{$FechasH}"/>
							<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_b"
								style="cursor: pointer; border: 1px solid red;"
								title="Selecciona Fecha"
								onmouseover="this.style.background='red';"
								onmouseout="this.style.background=''"/>
						</td>
								<script type="text/javascript">
									Calendar.setup({
									inputField     :    "f_FecHasta",
									ifFormat       :    "%d/%m/%Y",
									button         :    "f_trigger_b",
									align          :    "Tl",
									onSelect       :    selectDateHasta,
									singleClick    :    false
									});
								</script>
					</tr>
					<tr>
						<td colspan="2">&#160;</td>
						<td colspan="5"><font color="red">(*) Por defecto si no se seleccionan fechas aparecen los datos referentes al ltimo mes</font></td>
					</tr>
				</table>
	 		</td>
		</tr>
	</table>
	<left>
		<br/>
		<div id="tablaDetalle"></div>
	</left>
</form>
</xsl:template>
</xsl:stylesheet>