<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name="menuGestionGlobal">
<xsl:param name="link"/>
<form name="pendientes" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/gestion/dumbos.listAtender"/>
	<input type="hidden" name="secname" value="{$secname}"/>
	<input type="hidden" name="aplname" value="{$aplname}"/>
	<input type="hidden" name="infname" value="{$infname}"/>
</form>
<form name="resueltas" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/gestion/dumbos.listAtendidas"/>
	<input type="hidden" name="secname" value="{$secname}"/>
	<input type="hidden" name="aplname" value="{$aplname}"/>
	<input type="hidden" name="infname" value="{$infname}"/>
</form>
	<style type="text/css">
.estilo2 {background-color:#BABAA8;
	color: #FFFFFF;
	font-weight: bold; 
	padding-top: 0px; 
	padding-right: 0px; 
	padding-bottom: 0px; 
	padding-left: 0px; 
	font-size: 10pt; 
	text-align: center;
}
</style>
<table width="100%" cellpadding="0" cellspacing="0">
	<tr><td>&#160;</td></tr>
	<tr><td class="estilo2">GESTIN GLOBAL DE DUMBOS</td></tr>
	<xsl:choose>
		<xsl:when test="string-length($secname)>0">
			<tr><td class="estilo2">Seccin:&#160;<xsl:value-of select="substring-after($secname,$separator)"/></td></tr>
		</xsl:when>
		<xsl:when test="string-length($aplname)>0">
			<tr><td class="estilo2">Aplicacin:&#160;<xsl:value-of select="substring-after($aplname,$separator)"/></td></tr>
		</xsl:when>
		<xsl:when test="string-length($infname)>0">
			<tr><td class="estilo2"><xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informatico'"/></xsl:call-template>:&#160;<xsl:value-of select="substring-after($infname,$separator)"/></td></tr>
		</xsl:when>
	</xsl:choose>
	<tr>
		<td>
			<xsl:choose>
				<xsl:when test="$link='atender'">
					<b>Tareas Pendientes</b>&#160;&#160;
					<a href="javascript:document.resueltas.submit();">Tareas Resueltas</a>
				</xsl:when>
				<xsl:when test="$link='atendidas'">
					<a href="javascript:document.pendientes.submit();">Tareas Pendientes</a>&#160;&#160;
					<b>Tareas Resueltas</b>
				</xsl:when>
				<xsl:otherwise>
					<a href="javascript:document.pendientes.submit();">Tareas Pendientes</a>&#160;&#160;
					<a href="javascript:document.resueltas.submit();">Tareas Resueltas</a>
				</xsl:otherwise>
			</xsl:choose>
		</td>
	</tr>
</table>
</xsl:template>

</xsl:stylesheet>


