<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="selected"/>
<xsl:param name="aplic"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:include href="atica/frameweb/xml/templates/paginable.xsl"/>

<xsl:template match="XMLROOT">

<html lang="es">
	
	<xsl:call-template name="headComun">
		<xsl:with-param name="calendar" select="true()"/>
		<xsl:with-param name="jscript">
			<SCRIPT LANGUAGE="JavaScript">
			</SCRIPT>
		</xsl:with-param>
	</xsl:call-template>

<body>
<xsl:call-template name="menuComun">
	<xsl:with-param name="HELP" select="'gestion.xml#1.4.2'"/>
	<xsl:with-param name="MENU" select="DATA/MENU"/>
	<xsl:with-param name="SELECT" select="$menu"/>
	<xsl:with-param name="NAME" select="concat(DATA/GESTION/USER/@NAME,concat(' (',concat(DATA/GESTION/USER/@LOGIN,')')))"/>
</xsl:call-template>
<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
<form name="gest" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/gestion.colaAplicacion"/>
	<input type="hidden" name="aplname" value=""/>
</form>
<br/>
<form name="f1" action="{$servlet}" method="post">
<input type="hidden" name="module" value="dumbo7/gestion.gestAplicaciones"/>
<input type="hidden" name="menu" value="{$menu}"/>
<table class="contout">
<tr class="peticion">
	<td width="20%"><strong>Gestin Cola Aplicaciones</strong></td>
	<td align="right"><strong>Aplicacin:</strong>&#160;
		<select name="aplic" size="1" onChange="document.f1.submit()">
			<xsl:call-template name="sacaAplicacion">
				<xsl:with-param name="aplicaciones" select="DATA/GESTION"/>
			</xsl:call-template>
		</select>
	</td>
</tr>
<tr>
	<td colspan="2">
		<table cellpadding="0" cellspacing="0">
		</table>
	</td>
</tr>
</table>
</form>
</xsl:template>

<xsl:template name="sacaAplicacion">
<xsl:param name="aplicaciones"/>
		<xsl:for-each select="$aplicaciones/APLICACION[(@ESTADO='V')]">
			<xsl:sort select="@DESCRIPCION"/>
			<xsl:choose>
				<xsl:when test="@CODIGO=$aplic">
					<option value="{@CODIGO}" selected="true">[<xsl:value-of select="@CODIGO"/>] <xsl:value-of select="@DESCRIPCION"/></option>
				</xsl:when>
				<xsl:otherwise>
					<option value="{@CODIGO}">[<xsl:value-of select="@CODIGO"/>] <xsl:value-of select="@DESCRIPCION"/></option>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
</xsl:template>

</xsl:stylesheet>
