<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="ip"/>	

<xsl:template match="XMLROOT">
<HTML>
  <HEAD>
     <TITLE>DUMBO7:&#160;Configuracin&#160;de&#160;RED</TITLE>
	<link REL="stylesheet" HREF="../estilosD.css" TYPE="text/css"/>
	<SCRIPT LANGUAGE="JavaScript"/>
  </HEAD>
<body>
<br/>
	<table class="cont" id="red" border="0" cellpadding="3" cellspacing="1">
		<tr class="cabe">
			<td width="20%"><b>Direccin Ip</b></td>
			<td width="20%"><b>Puerta de enlace</b></td>
			<td width="20%"><b>DNS primario</b></td>
			<td width="20%"><b>DNS secundario</b></td>
			<td width="20%"><b>Mscara de red</b></td>
			<td width="20%"><b>Wins</b></td>
		</tr>
		<tr class="administracion">
			<xsl:if test="count(DATA/DATOS_USUARIOS/DATOS_RED) = 0">
				<td colspan="6" align="center">
					<font color="red">No se ha encontrado configuracin asociada a: <xsl:value-of select="$ip"/></font>
				</td>
			</xsl:if>
			<xsl:if test="count(DATA/DATOS_USUARIOS/DATOS_RED) != 0">
				<td width="20%"><xsl:value-of select="$ip"/></td>
				<td width="20%"><xsl:value-of select="DATA/DATOS_USUARIOS/DATOS_RED/@PUERTA"/></td>
				<td width="20%"><xsl:value-of select="DATA/DATOS_USUARIOS/DATOS_RED/@DNS1"/></td>
				<td width="20%"><xsl:value-of select="DATA/DATOS_USUARIOS/DATOS_RED/@DNS2"/></td>
				<td width="20%"><xsl:value-of select="DATA/DATOS_USUARIOS/DATOS_RED/@MASCARA"/></td>
				<td width="20%"><xsl:value-of select="DATA/DATOS_USUARIOS/DATOS_RED/@WINS"/></td>
			</xsl:if>
		</tr>
		<tr class="administracion">
			<td colspan="6" align="center">
				<input type="button" class="boton" value="Cerrar" onclick="top.close();"/>
			</td>
		</tr>
	</table>
</body>
</HTML>

</xsl:template>
</xsl:stylesheet>
	