<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template name="detail">
	<xsl:param name="selected"/>
	<xsl:param name="busquedaIp"/>
	<xsl:if test="DATA/DATOS_USUARIOS/USUARIO">
		<!--Formulario para poder mostrar el detalle del informtico cuando se estn mostrando las tareas del usuario-->
		<form name="detalleUsr" action="{$servlet}" method="post">
			<input type="hidden" name="module" value="dumbo7/atencion.atender.detalleUser"/>
			<input type="hidden" name="user" value=""/>
		</form>
		<table border="0" align="center" cellpadding="3" cellspacing="1" width="720">
		<tr><td colspan="4">
			<table class="cont" id="metricas" border="0" cellpadding="3" cellspacing="1" width="100%" summary="Esta tabla contiene las mtricas">
				<tr class="cabe">
					<td colspan="2" width="400"><b>Datos Personales en LDAP</b></td>
					<td colspan="2" width="100"><b>Lista Correos</b></td>
				</tr>
				<tr class="administracion">
					<td width="90">
						<b>Identificador:</b>
					</td>
					<td width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@IDENTIFICADOR"/>-<xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@LETRA"/></td>
					<td><b>Correo</b></td>
					<td width="70"><b>Cuenta</b></td>
				</tr>
				<tr class="administracion">
					<td width="90">
						<b>Nombre:</b>
					</td>
					<!--El if y el for-Each son excluyentes o se cumple uno u otro,
						el if se ejecuta si no se encuenta el correo nmero 1.
						Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
						se ejecuta el for-each)-->
					<xsl:if test="1 > count(DATA/DATOS_USUARIOS/CORREO)">
						<td colspan="3" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@NOMBRE"/></td>
					</xsl:if>
					<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 1]">
						<td width="350"><xsl:value-of select="../USUARIO/@NOMBRE"/></td>
						<td id="C1"><xsl:value-of select="@CORREO"/></td>
						<td id="U1" width="70"><xsl:value-of select="@CUENTA"/></td>	
					</xsl:for-each>
				</tr>
				<tr class="administracion">
					<td width="90">
						<b>Apellidos:</b>
					</td>
					<!--El if y el for-Each son excluyentes o se cumple uno u otro,
						el if se ejecuta si no se encuenta el correo nmero 2.
						Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
						se ejecuta el for-each)-->
					<xsl:if test="2 > count(DATA/DATOS_USUARIOS/CORREO)">
						<td colspan="3" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@APELLIDOS"/></td>
					</xsl:if>
					<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 2]">
						<td width="350"><xsl:value-of select="../USUARIO/@APELLIDOS"/></td>
						<td id="C2"><xsl:value-of select="@CORREO"/></td>
						<td id="U2" width="70"><xsl:value-of select="@CUENTA"/></td>	
					</xsl:for-each>
				</tr>
				<tr class="administracion">
					<td width="90">
						<b>Correo Principal:</b>
					</td>
					<!--El if y el for-Each son excluyentes o se cumple uno u otro,
						el if se ejecuta si no se encuenta el correo nmero 3.
						Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
						se ejecuta el for-each)-->
					<xsl:if test="3 > count(DATA/DATOS_USUARIOS/CORREO)">
						<td colspan="3" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@EMAIL"/></td>
					</xsl:if>
					<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 3]">
						<td width="350"><xsl:value-of select="../USUARIO/@EMAIL"/></td>
						<td id="C3"><xsl:value-of select="@CORREO"/></td>
						<td id="U3" width="70"><xsl:value-of select="@CUENTA"/></td>	
					</xsl:for-each>
				</tr>
				<tr class="administracion">
					<td width="90">
						<b>Departamento:</b>
					</td>
					<!--El if y el for-Each son excluyentes o se cumple uno u otro,
						el if se ejecuta si no se encuenta el correo nmero 4.
						Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
						se ejecuta el for-each)-->
					<xsl:if test="4 > count(DATA/DATOS_USUARIOS/CORREO)">
						<td colspan="3" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@DEPTO"/></td>
					</xsl:if>
					<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 4]">
						<td width="350"><xsl:value-of select="../USUARIO/@DEPTO"/></td>
						<td id="C4"><xsl:value-of select="@CORREO"/></td>
						<td id="U4" width="70"><xsl:value-of select="@CUENTA"/></td>	
					</xsl:for-each>
				</tr>
				<tr class="administracion">
					<td width="90">
						<b>Area:</b>
					</td>
					<!--El if y el for-Each son excluyentes o se cumple uno u otro,
						el if se ejecuta si no se encuenta el correo nmero 5.
						Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
						se ejecuta el for-each)-->
					<xsl:if test="5 > count(DATA/DATOS_USUARIOS/CORREO)">
						<td colspan="3" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@AREA"/></td>
					</xsl:if>
					<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 5]">
						<td width="350"><xsl:value-of select="../USUARIO/@AREA"/></td>
						<td id="C5"><xsl:value-of select="@CORREO"/></td>
						<td id="U5" width="70"><xsl:value-of select="@CUENTA"/></td>	
					</xsl:for-each>
				</tr>
				<tr class="administracion">
					<td width="90">
						<b>Tipo personal:</b>
					</td>
					<!--El if y el for-Each son excluyentes o se cumple uno u otro,
						el if se ejecuta si no se encuenta el correo nmero 6.
						Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
						se ejecuta el for-each)-->
					<xsl:if test="6 > count(DATA/DATOS_USUARIOS/CORREO)">
						<td colspan="3" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@TIPO"/></td>
					</xsl:if>
					<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 6]">
						<td width="350"><xsl:value-of select="../USUARIO/@TIPO"/></td>
						<td id="C6"><xsl:value-of select="@CORREO"/></td>
						<td id="U6" width="70"><xsl:value-of select="@CUENTA"/></td>	
					</xsl:for-each>
				</tr>
				<tr class="administracion">
					<td width="90">
						<b>N telefono:</b>
					</td>
					<!--El if y el for-Each son excluyentes o se cumple uno u otro,
						el if se ejecuta si no se encuenta el correo nmero 7.
						Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
						se ejecuta el for-each)-->
					<xsl:if test="7 > count(DATA/DATOS_USUARIOS/CORREO)">
						<td colspan="3" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@TELEFONO"/></td>
					</xsl:if>
					<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 7]">
						<td width="350"><xsl:value-of select="../USUARIO/@TELEFONO"/></td>
						<td id="C7"><xsl:value-of select="@CORREO"/></td>
						<td id="U7" width="70"><xsl:value-of select="@CUENTA"/></td>	
					</xsl:for-each>
				</tr>
				<tr class="administracion">
					<td width="90">
						<b>Categora:</b>
					</td>
					<!--El if y el for-Each son excluyentes o se cumple uno u otro,
						el if se ejecuta si no se encuenta el correo nmero 8.
						Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
						se ejecuta el for-each)-->
					<xsl:if test="8 > count(DATA/DATOS_USUARIOS/CORREO)">
						<td colspan="3" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@CATEGORIA"/></td>
					</xsl:if>
					<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 8]">
						<td width="350"><xsl:value-of select="../USUARIO/@CATEGORIA"/></td>
						<td id="C7"><xsl:value-of select="@CORREO"/></td>
						<td id="U7" width="70"><xsl:value-of select="@CUENTA"/></td>	
					</xsl:for-each>
				</tr>
				<tr class="administracion">
					<td width="90">
						<b>Ubicacin:</b>
					</td>
					<td colspan="3" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@CENTRO"/></td>
					
				</tr>
				<tr class="cabe">
					<td colspan="4"><b>Otros datos del usuario</b></td>
				</tr>
				<tr class="administracion">
					<td width="90">
						<b>Fecha de baja:</b>
					</td>
					<td colspan="3">
						<xsl:call-template name="date2String2">
							<xsl:with-param name="fecha" select="DATA/DATOS_USUARIOS/USUARIO/@FECHA_BAJA"/>
						</xsl:call-template>
					</td>
				</tr>
				<tr class="administracion">
					<td width="90">
						<b>Cargo:</b>
					</td>
					<td colspan="3">
						<xsl:for-each select="DATA/DATOS_USUARIOS/CARGOS[@IDENTIFICADOR = ../USUARIO/@CARGO]">
							<xsl:value-of select="@DESCRIPCION"/>
						</xsl:for-each>
					</td>
				</tr>
				<tr class="administracion">
					<td width="90">
						<b>Notas:</b>
					</td>
					<td colspan="3">
						<pre>
							<xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@NOTAS"/>
						</pre>
					</td>
				</tr>
			</table>
			<table class="cont" border="0" cellpadding="3" cellspacing="1" width="100%" summary="Informacin detallada">
				<tr class="cabe"><td colspan="9"><b>Ordenadores/Impresoras a su cargo</b></td></tr>
				<tr class="administracion">
					<td><b>Host</b></td>
					<td><b>Direccin IP</b></td>
					<td><b>Direccin MAC</b></td>
					<td><b>Roseta</b></td>
					<td><b>Fecha Solicitud</b></td>
					<td><b>Campus</b></td>
					<td></td>
				</tr>
				<xsl:for-each select="DATA/DATOS_USUARIOS/IP">
					<tr class="administracion" onmouseover="javascript:onMouse(this,'true');" onmouseout="javascript:onMouse(this,'false');">
						<td><xsl:value-of select="@HOST"/></td>
						<td><xsl:value-of select="@IP"/></td>
						<td><xsl:value-of select="@MAC"/></td>
						<td><xsl:value-of select="@ROSETA"/></td>
						<td>
							<xsl:call-template name="date2String2">
								<xsl:with-param name="fecha" select="@FECHA_SOLICITUD"/>
							</xsl:call-template>
						</td>
						<td><xsl:value-of select="@CAMPUS"/></td>
						<td width="4%" align="center">
							<a href="javascript:ConfigRed('{@IP}','{@CAMPUS}');">
								<img id="Busqueda" style="display:inline" border="0" src="../graficos/iconos/listar_ico.gif" alt="Configuracin de Red"/>
							</a>
						</td>
					</tr>
				</xsl:for-each>
			</table>
			<table class="cont" border="0" cellpadding="3" cellspacing="1" width="100%" summary="Informacin detallada">
				<tr class="cabe">
					<td colspan="8">
						<b>Tareas asociadas al usuario</b>
					</td>
					<td>
						<a href="javascript:ConsultarHistorico();">
							<img id="historico" style="display:inline" border="0" src="../graficos/iconos/Tarhistorial_ico.gif" alt="Historial" title="Historial de Tareas"/>
						</a>
					</td>
				</tr>
				<tr class="administracion">
					<td><b>Estado</b></td>
					<td><b>Tarea</b></td>
					<td><b>Seccin</b></td>
					<td><b>Aplicacin</b></td>
					<td colspan="2"><b>Asunto</b></td>
					<td><b>Informtico</b></td>
					<td><b>Creada</b></td>
					<td><b>Prio</b></td>
				</tr>
				<xsl:for-each select="DATA/DATOS_USUARIOS/TAREA/TAREAS">
					<tr>
						<xsl:attribute name="class">
							<xsl:choose>
								<xsl:when test="@TIPO_TAREA='I'">incidencia</xsl:when>
								<xsl:when test="@TIPO_TAREA='P'">peticion</xsl:when>
							</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="onmouseover">
							<xsl:choose>
								<xsl:when test="@TIPO_TAREA='I'">javascript:onMouseInc(this,'true');</xsl:when>
								<xsl:when test="@TIPO_TAREA='P'">javascript:onMouse(this,'true');</xsl:when>
							</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="onmouseout">
							<xsl:choose>
								<xsl:when test="@TIPO_TAREA='I'">javascript:onMouseInc(this,'false');</xsl:when>
								<xsl:when test="@TIPO_TAREA='P'">javascript:onMouse(this,'false');</xsl:when>
							</xsl:choose>
						</xsl:attribute>
						<td>
							<img id="Estado" style="display:inline" border="0" src="../graficos/iconos/{@ESTADO}.gif" alt="Estado de Tarea">
								<xsl:attribute name="title"><xsl:choose><xsl:when test="@ESTADO='P'">Pendiente de Asignacin</xsl:when><xsl:when test="@ESTADO='A'">Asignada</xsl:when><xsl:when test="@ESTADO='W'">En Espera</xsl:when><xsl:when test="@ESTADO='X'">Rechazada</xsl:when><xsl:when test="@ESTADO='F'">Resuelta a la Espera de Subtareas</xsl:when></xsl:choose></xsl:attribute>
							</img>	
						</td>
						<td><xsl:value-of select="@CODIGO"/></td>
						<td><xsl:value-of select="../APLICACIONES/@SECCION"/></td>
						<td><xsl:value-of select="@APLICACION"/></td>
						<td colspan="2" title="Descripcin: {@DESCRIPCION}"><xsl:value-of select="@ASUNTO"/></td>
						<td>
							<xsl:choose>
								<xsl:when test="not(@INFORMATICO) and not(@APLICACION)">
									<i>En cola Global</i>
								</xsl:when>
								<xsl:when test="not(@INFORMATICO) and @APLICACION">
									<i>En cola de Aplicaciones</i>
								</xsl:when>
								<xsl:otherwise>
									<a href="javascript:detalleUser('{@INFEMAIL}');">
										<xsl:value-of select="@INFEMAIL"/>
									</a>
								</xsl:otherwise>
							</xsl:choose>
						</td>
						<td>
							<xsl:call-template name="date2String2">
								<xsl:with-param name="fecha" select="@FECHA_CREACION"/>
							</xsl:call-template>
						</td>
						<td align="center">
							<xsl:attribute name="title">
								<xsl:choose>
									<xsl:when test="@PRIORIDAD='C'">Crtica</xsl:when>
									<xsl:when test="@PRIORIDAD='A'">Alta</xsl:when>
									<xsl:when test="@PRIORIDAD='M'">Media</xsl:when>
									<xsl:when test="@PRIORIDAD='B'">Baja</xsl:when>
									<xsl:when test="@PRIORIDAD='P'">Planificada (<xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="@PLANIFICACION"/></xsl:call-template>)</xsl:when>
								</xsl:choose>
							</xsl:attribute>
							<xsl:value-of select="@PRIORIDAD"/>
						</td>
					</tr>
				</xsl:for-each>
			</table>
			<table class="cont" border="0" cellpadding="3" cellspacing="1" width="100%" summary="Informacin detallada">		
				<tr class="administracion">
					<td colspan="9" align="center">
						<xsl:if test="$busquedaIp != 'true'">
							<xsl:if test="count(/XMLROOT/DATA/SECURITY/ACTION[@NAME='ModificaUsuario'])>0">
								<input type="button" class="boton" value="Modificar" onclick="javascript:modifica();"/>
								&#160;&#160;&#160;&#160;
							</xsl:if>
						</xsl:if>
						<input type="button" class="boton" value="Volver" onclick="javascript:clearUsuario();"/>
					</td>
				</tr>	
			</table>
			<img id="incidencia" style="display:inline" border="0" src="../graficos/color_incidencia.gif" alt="Incidencia"/>
			<img id="incidencia" style="display:inline" border="0" src="../graficos/color_peticion.gif" alt="Peticion"/>
		</td></tr>
	</table>
</xsl:if>
<xsl:if test="not(DATA/DATOS_USUARIOS/USUARIO)">
	<table border="0" align="center" cellpadding="3" cellspacing="1" width="720">
		<tr>
			<td colspan="4">
				<center>
					<input type="button" class="boton" value="NuevaBusqueda" onclick="javascript:clearUsuario();"/>
				</center>
			</td>
		</tr>
	</table>
</xsl:if>
</xsl:template>

<!--Detalle del usuarios cuando este se esta modificando-->
<xsl:template name="detailModifica">
	<xsl:param name="selected"/>
	<xsl:param name="notas"/>
	<xsl:param name="cargo"/>
	<xsl:param name="fechaBaja"/>
	<table border="0" align="center" cellpadding="3" cellspacing="1" width="720">
	<form action="{$servlet}" METHOD="POST" name="ModificaUsuario">
		<input type="hidden" name="module" value="dumbo7/gestion/usuarios.index"/>
		<input type="hidden" name="selected" value="{$selected}"/>
		<input type="hidden" name="key"/>
		<input type="hidden" name="ajx"/>
		<!--Correo-->
		<input type="hidden" name="correo"/>
		<input type="hidden" name="cuenta"/>
		<!--Ip-->
		<input type="hidden" name="ip"/>
		<input type="hidden" name="campus"/>
		<input type="hidden" name="host"/>
		<input type="hidden" name="mac"/>
		<input type="hidden" name="roseta"/>
		<input type="hidden" name="fechaSolicitud"/>
		<tr><td colspan="4">
		<table class="cont" id="metricas" border="0" cellpadding="3" cellspacing="1" width="100%" summary="Esta tabla contiene las mtricas">
			<tr class="cabe">
				<td colspan="2" width="400"><b>Datos Personales en LDAP</b></td>
				<td colspan="4" width="100"><b>Lista Correos</b></td>
			</tr>
			<tr class="administracion">
				<td width="90">
					<b>Identificador:<xsl:value-of select="$cargo"/></b>
				</td>
				<td width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@IDENTIFICADOR"/>-<xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@LETRA"/></td>
				<td><b>Correo</b></td>
				<td width="70"><b>Cuenta</b></td>
				<td width="10" colspan="2"></td>
			</tr>
			<tr class="administracion">
				<td width="90">
					<b>Nombre:</b>
				</td>
				<xsl:if test="count(DATA/DATOS_USUARIOS/CORREO) = 0">
					<td width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@NOMBRE"/></td>
					<td><input type="text" name="NuevoCorreo" size="25"/></td>
					<td><input type="text" name="NuevaCuenta" size="15"/></td>
					<td colspan="2" align="center">
						<a href="javascript:nuevoCorreo();">
							<img border="0" src="../graficos/iconos/nuevoCorreo.gif" alt="Nuevo Correo"/>
						</a>
					</td>
				</xsl:if>
				<!--El if y el for-Each son excluyentes o se cumple uno u otro,
					el if se ejecuta si no se encuenta el correo nmero 1.
					Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
					se ejecuta el for-each)-->
				<xsl:if test="1 > count(DATA/DATOS_USUARIOS/CORREO) and count(DATA/DATOS_USUARIOS/CORREO) != 0">
					<td colspan="5" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@NOMBRE"/></td>
				</xsl:if>
				<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 1]">
					<td width="350"><xsl:value-of select="../USUARIO/@NOMBRE"/></td>
					<td id="C1"><xsl:value-of select="@CORREO"/></td>
					<td id="U1" width="70"><xsl:value-of select="@CUENTA"/></td>
					<td width="4%" align="center">
						<a href="javascript:modificarCorreo('{@CORREO}')">
							<img  border="0" src="../graficos/iconos/modificar.gif" alt="Modificar Correo"/>
						</a>
					</td>
					<td width="4%" align="center">
						<a href="javascript:eliminaCorreo('{@CORREO}');">
							<img border="0" src="../graficos/iconos/eliminar.gif" alt="Eliminar Correo"/>
						</a>
					</td>	
				</xsl:for-each>
			</tr>
			<tr class="administracion">
				<td width="90">
					<b>Apellidos:</b>
				</td>
				<xsl:if test="count(DATA/DATOS_USUARIOS/CORREO) = 1">
					<td width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@APELLIDOS"/></td>
					<td><input type="text" name="NuevoCorreo" size="25"/></td>
					<td><input type="text" name="NuevaCuenta" size="15"/></td>
					<td colspan="2" align="center">
						<a href="javascript:nuevoCorreo();">
							<img border="0" src="../graficos/iconos/nuevoCorreo.gif" alt="Nuevo Correo"/>
						</a>
					</td>
				</xsl:if>
				<!--El if y el for-Each son excluyentes o se cumple uno u otro,
					el if se ejecuta si no se encuenta el correo nmero 2.
					Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
					se ejecuta el for-each)-->
				<xsl:if test="2 > count(DATA/DATOS_USUARIOS/CORREO) and count(DATA/DATOS_USUARIOS/CORREO) != 1">
					<td colspan="5" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@APELLIDOS"/></td>
				</xsl:if>
				<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 2]">
					<td width="350"><xsl:value-of select="../USUARIO/@APELLIDOS"/></td>
					<td id="C2"><xsl:value-of select="@CORREO"/></td>
					<td id="U2" width="70"><xsl:value-of select="@CUENTA"/></td>
					<td width="4%" align="center">
						<a href="javascript:modificarCorreo('{@CORREO}')">
							<img  border="0" src="../graficos/iconos/modificar.gif" alt="Modificar Correo"/>
						</a>
					</td>
					<td width="4%" align="center">
						<a href="javascript:eliminaCorreo('{@CORREO}');">
							<img border="0" src="../graficos/iconos/eliminar.gif" alt="Eliminar Correo"/>
						</a>
					</td>			
				</xsl:for-each>
			</tr>
			<tr class="administracion">
				<td width="90">
					<b>Correo Principal:</b>
				</td>
				<xsl:if test="count(DATA/DATOS_USUARIOS/CORREO) = 2">
					<td width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@EMAIL"/></td>
					<td><input type="text" name="NuevoCorreo" size="25"/></td>
					<td><input type="text" name="NuevaCuenta" size="15"/></td>
					<td colspan="2" align="center">
						<a href="javascript:nuevoCorreo();">
							<img border="0" src="../graficos/iconos/nuevoCorreo.gif" alt="Nuevo Correo"/>
						</a>
					</td>
				</xsl:if>
				<!--El if y el for-Each son excluyentes o se cumple uno u otro,
					el if se ejecuta si no se encuenta el correo nmero 3.
					Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
					se ejecuta el for-each)-->
				<xsl:if test="3 > count(DATA/DATOS_USUARIOS/CORREO) and count(DATA/DATOS_USUARIOS/CORREO) != 2">
					<td colspan="5" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@EMAIL"/></td>
				</xsl:if>
				<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 3]">
					<td width="350"><xsl:value-of select="../USUARIO/@EMAIL"/></td>
					<td id="C3"><xsl:value-of select="@CORREO"/></td>
					<td id="U3" width="70"><xsl:value-of select="@CUENTA"/></td>
					<td width="4%" align="center">
						<a href="javascript:modificarCorreo('{@CORREO}')">
							<img  border="0" src="../graficos/iconos/modificar.gif" alt="Modificar Correo"/>
						</a>
					</td>
					<td width="4%" align="center">
						<a href="javascript:eliminaCorreo('{@CORREO}');">
							<img border="0" src="../graficos/iconos/eliminar.gif" alt="Eliminar Correo"/>
						</a>
					</td>			
				</xsl:for-each>
			</tr>
			<tr class="administracion">
				<td width="90">
					<b>Departamento:</b>
				</td>
				<xsl:if test="count(DATA/DATOS_USUARIOS/CORREO) = 3">
					<td width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@DEPTO"/></td>
					<td><input type="text" name="NuevoCorreo" size="25"/></td>
					<td><input type="text" name="NuevaCuenta" size="15"/></td>
					<td colspan="2" align="center">
						<a href="javascript:nuevoCorreo();">
							<img border="0" src="../graficos/iconos/nuevoCorreo.gif" alt="Nuevo Correo"/>
						</a>
					</td>
				</xsl:if>
				<!--El if y el for-Each son excluyentes o se cumple uno u otro,
					el if se ejecuta si no se encuenta el correo nmero 4.
					Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
					se ejecuta el for-each)-->
				<xsl:if test="4 > count(DATA/DATOS_USUARIOS/CORREO) and count(DATA/DATOS_USUARIOS/CORREO) != 3">
					<td colspan="5" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@DEPTO"/></td>
				</xsl:if>
				<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 4]">
					<td width="350"><xsl:value-of select="../USUARIO/@DEPTO"/></td>
					<td id="C4"><xsl:value-of select="@CORREO"/></td>
					<td id="U4" width="70"><xsl:value-of select="@CUENTA"/></td>
					<td width="4%" align="center">
						<a href="javascript:modificarCorreo('{@CORREO}')">
							<img  border="0" src="../graficos/iconos/modificar.gif" alt="Modificar Correo"/>
						</a>
					</td>
					<td width="4%" align="center">
						<a href="javascript:eliminaCorreo('{@CORREO}');">
							<img border="0" src="../graficos/iconos/eliminar.gif" alt="Eliminar Correo"/>
						</a>
					</td>			
				</xsl:for-each>
			</tr>
			<tr class="administracion">
				<td width="90">
					<b>Area:</b>
				</td>
				<xsl:if test="count(DATA/DATOS_USUARIOS/CORREO) = 4">
					<td width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@AREA"/></td>
					<td><input type="text" name="NuevoCorreo" size="25"/></td>
					<td><input type="text" name="NuevaCuenta" size="15"/></td>
					<td colspan="2" align="center">
						<a href="javascript:nuevoCorreo();">
							<img border="0" src="../graficos/iconos/nuevoCorreo.gif" alt="Nuevo Correo"/>
						</a>
					</td>
				</xsl:if>
				<!--El if y el for-Each son excluyentes o se cumple uno u otro,
					el if se ejecuta si no se encuenta el correo nmero 5.
					Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
					se ejecuta el for-each)-->
				<xsl:if test="5 > count(DATA/DATOS_USUARIOS/CORREO) and count(DATA/DATOS_USUARIOS/CORREO) != 4">
					<td colspan="5" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@AREA"/></td>
				</xsl:if>
				<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 5]">
					<td width="350"><xsl:value-of select="../USUARIO/@AREA"/></td>
					<td id="C5"><xsl:value-of select="@CORREO"/></td>
					<td id="U5" width="70"><xsl:value-of select="@CUENTA"/></td>
					<td width="4%" align="center">
						<a href="javascript:modificarCorreo('{@CORREO}')">
							<img  border="0" src="../graficos/iconos/modificar.gif" alt="Modificar Correo"/>
						</a>
					</td>
					<td width="4%" align="center">
						<a href="javascript:eliminaCorreo('{@CORREO}');">
							<img border="0" src="../graficos/iconos/eliminar.gif" alt="Eliminar Correo"/>
						</a>
					</td>			
				</xsl:for-each>
			</tr>
			<tr class="administracion">
				<td width="90">
					<b>Tipo personal:</b>
				</td>
				<xsl:if test="count(DATA/DATOS_USUARIOS/CORREO) = 5">
					<td width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@TIPO"/></td>
					<td><input type="text" name="NuevoCorreo" size="25"/></td>
					<td><input type="text" name="NuevaCuenta" size="15"/></td>
					<td colspan="2" align="center">
						<a href="javascript:nuevoCorreo();">
							<img border="0" src="../graficos/iconos/nuevoCorreo.gif" alt="Nuevo Correo"/>
						</a>
					</td>
				</xsl:if>
				<!--El if y el for-Each son excluyentes o se cumple uno u otro,
					el if se ejecuta si no se encuenta el correo nmero 6.
					Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
					se ejecuta el for-each)-->
				<xsl:if test="6 > count(DATA/DATOS_USUARIOS/CORREO) and count(DATA/DATOS_USUARIOS/CORREO) != 5">
					<td colspan="5" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@TIPO"/></td>
				</xsl:if>
				<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 6]">
					<td width="350"><xsl:value-of select="../USUARIO/@TIPO"/></td>
					<td id="C6"><xsl:value-of select="@CORREO"/></td>
					<td id="U6" width="70"><xsl:value-of select="@CUENTA"/></td>
					<td width="4%" align="center">
						<a href="javascript:modificarCorreo('{@CORREO}')">
							<img  border="0" src="../graficos/iconos/modificar.gif" alt="Modificar Correo"/>
						</a>
					</td>
					<td width="4%" align="center">
						<a href="javascript:eliminaCorreo('{@CORREO}');">
							<img border="0" src="../graficos/iconos/eliminar.gif" alt="Eliminar Correo"/>
						</a>
					</td>		
				</xsl:for-each>
			</tr>
			<tr class="administracion">
				<td width="90">
					<b>N telefono:</b>
				</td>
				<xsl:if test="count(DATA/DATOS_USUARIOS/CORREO) = 6">
					<td width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@TELEFONO"/></td>
					<td><input type="text" name="NuevoCorreo" size="25"/></td>
					<td><input type="text" name="NuevaCuenta" size="15"/></td>
					<td colspan="2" align="center">
						<a href="javascript:nuevoCorreo();">
							<img border="0" src="../graficos/iconos/nuevoCorreo.gif" alt="Nuevo Correo"/>
						</a>
					</td>
				</xsl:if>
				<!--El if y el for-Each son excluyentes o se cumple uno u otro,
					el if se ejecuta si no se encuenta el correo nmero 7.
					Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
					se ejecuta el for-each)-->
				<xsl:if test="7 > count(DATA/DATOS_USUARIOS/CORREO) and count(DATA/DATOS_USUARIOS/CORREO) != 6">
					<td colspan="5" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@TELEFONO"/></td>
				</xsl:if>
				<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 7]">
					<td width="350"><xsl:value-of select="../USUARIO/@TELEFONO"/></td>
					<td id="C7"><xsl:value-of select="@CORREO"/></td>
					<td id="U7" width="70"><xsl:value-of select="@CUENTA"/></td>
					<td width="4%" align="center">
						<a href="javascript:modificarCorreo('{@CORREO}')">
							<img  border="0" src="../graficos/iconos/modificar.gif" alt="Modificar Correo"/>
						</a>
					</td>
					<td width="4%" align="center">
						<a href="javascript:eliminaCorreo('{@CORREO}');">
							<img border="0" src="../graficos/iconos/eliminar.gif" alt="Eliminar Correo"/>
						</a>
					</td>			
				</xsl:for-each>
			</tr>
			<tr class="administracion">
				<td width="90">
					<b>Categora:</b>
				</td>
				<xsl:if test="count(DATA/DATOS_USUARIOS/CORREO) = 7">
					<td width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@CATEGORIA"/></td>
					<td><input type="text" name="NuevoCorreo" size="25"/></td>
					<td><input type="text" name="NuevaCuenta" size="15"/></td>
					<td colspan="2" align="center">
						<a href="javascript:nuevoCorreo();">
							<img border="0" src="../graficos/iconos/nuevoCorreo.gif" alt="Nuevo Correo"/>
						</a>
					</td>
				</xsl:if>
				<!--El if y el for-Each son excluyentes o se cumple uno u otro,
					el if se ejecuta si no se encuenta el correo nmero 8.
					Si encontramos el correo en la posicion indicada lo mostramos junto al campo que toque(entonces
					se ejecuta el for-each)-->
				<xsl:if test="8 > count(DATA/DATOS_USUARIOS/CORREO) and count(DATA/DATOS_USUARIOS/CORREO) != 7">
					<td colspan="5" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@CATEGORIA"/></td>
				</xsl:if>
				<xsl:for-each select="DATA/DATOS_USUARIOS/CORREO[position() = 8]">
					<td width="350"><xsl:value-of select="../USUARIO/@CATEGORIA"/></td>
					<td id="C8"><xsl:value-of select="@CORREO"/></td>
					<td id="U8" width="70"><xsl:value-of select="@CUENTA"/></td>
					<td width="4%" align="center">
						<a href="javascript:modificarCorreo('{@CORREO}')">
							<img  border="0" src="../graficos/iconos/modificar.gif" alt="Modificar Correo"/>
						</a>
					</td>
					<td width="4%" align="center">
						<a href="javascript:eliminaCorreo('{@CORREO}');">
							<img border="0" src="../graficos/iconos/eliminar.gif" alt="Eliminar Correo"/>
						</a>
					</td>			
				</xsl:for-each>
			</tr>
			<tr class="administracion">
				<td width="90">
					<b>Ubicacin:</b>
				</td>
				<td colspan="5" width="350"><xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@CENTRO"/></td>
				
			</tr>
			<tr class="cabe">
				<td colspan="6"><b>Otros datos del usuario</b></td>
			</tr>
			<tr class="administracion">
				<td width="90">
					<b>Fecha de baja:</b>
				</td>
				<td colspan="5">
					<xsl:variable name="fecha">
						<xsl:if test="$fechaBaja = ''">
							<xsl:call-template name="date2String2">
								<xsl:with-param name="fecha" select="DATA/DATOS_USUARIOS/USUARIO/@FECHA_BAJA"/>
							</xsl:call-template>
						</xsl:if>
						<xsl:if test="$fechaBaja != ''">
							<xsl:value-of select="$fechaBaja"/>
						</xsl:if>
					</xsl:variable>	
					<input type="text" onChange="changeDate(this)" name="fechaBaja" id="f_FecBaja" size="11" value="{$fecha}"/>
							<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_a"
								style="cursor: pointer; border: 1px solid red;"
								title="Selecciona Fecha"
								onmouseover="this.style.background='red';"
								onmouseout="this.style.background=''"  />
				</td>
						<script type="text/javascript">
							Calendar.setup({
							inputField     :    "f_FecBaja",
							ifFormat       :    "%d/%m/%Y",
							button         :    "f_trigger_a",
							align          :    "Tl",
							onSelect       :    selectDateBaja,
							singleClick    :    false
						});
								</script>	
				
			</tr>
			<tr class="administracion">
				<td width="90">
					<b>Cargo:</b>
				</td>
				<td colspan="5">
					<select name="cargo" size="1" style="width:220px;" onchange="javascript:estableceCargo(this.options[this.selectedIndex].value);">
						<xsl:if test="$cargo = ''">
							<xsl:if test="DATA/DATOS_USUARIOS/USUARIO/@CARGO">
								<xsl:for-each select="DATA/DATOS_USUARIOS/CARGOS[@IDENTIFICADOR = ../USUARIO/@CARGO]">
									<option value="{@IDENTIFICADOR}"><xsl:value-of select="@DESCRIPCION"/></option>
								</xsl:for-each>
								<option value=""></option>
								<xsl:for-each select="DATA/DATOS_USUARIOS/CARGOS[@IDENTIFICADOR != ../USUARIO/@CARGO]">
									<xsl:sort select="@DESCRIPCION"/>
									<option value="{@IDENTIFICADOR}"><xsl:value-of select="@DESCRIPCION"/></option>
								</xsl:for-each>
							</xsl:if>
							<xsl:if test="not(DATA/DATOS_USUARIOS/USUARIO/@CARGO)">
								<option value=""></option>
								<xsl:for-each select="DATA/DATOS_USUARIOS/CARGOS">
									<xsl:sort select="@DESCRIPCION"/>
									<option value="{@IDENTIFICADOR}"><xsl:value-of select="@DESCRIPCION"/></option>
								</xsl:for-each>
							</xsl:if>
						</xsl:if>
						<xsl:if test="$cargo != ''">
							<xsl:for-each select="DATA/DATOS_USUARIOS/CARGOS[@IDENTIFICADOR = $cargo]">
								<option value="{@IDENTIFICADOR}"><xsl:value-of select="@DESCRIPCION"/></option>
							</xsl:for-each>
							<option value=""></option>
							<xsl:for-each select="DATA/DATOS_USUARIOS/CARGOS[@IDENTIFICADOR != $cargo]">
								<xsl:sort select="@DESCRIPCION"/>
								<option value="{@IDENTIFICADOR}"><xsl:value-of select="@DESCRIPCION"/></option>
							</xsl:for-each>
						</xsl:if>
					</select>
				</td>
			</tr>
			<tr class="administracion">
				<td width="90">
					<b>Notas:</b>
				</td>
				<td colspan="5">
					<TEXTAREA ROWS="3" COLS="80" NAME="notas" onchange="javascript:estableceNotas(this.value);">
						<xsl:if test="$notas = ''">
							<xsl:value-of select="DATA/DATOS_USUARIOS/USUARIO/@NOTAS"/>
						</xsl:if>
						<xsl:if test="not($notas='')">
							<xsl:value-of select="$notas"/>
						</xsl:if>
					</TEXTAREA>
				</td>	
			</tr>
		</table>
		<table class="cont" border="0" cellpadding="3" cellspacing="1" width="100%" summary="Informacin detallada">
			<tr class="cabe"><td colspan="9"><b>Ordenadores/Impresoras a su cargo</b></td></tr>
			<tr class="administracion">
				<td width="100"><b>Host</b></td>
				<td width="50"><b>Direccin&#160;IP</b></td>
				<td width="150"><b>Direccin&#160;MAC</b></td>
				<td width="30"><b>Roseta</b></td>
				<td width="50"><b>Fecha&#160;Solicitud</b></td>
				<td width="50"><b>Campus</b></td>
				<td colspan="2"></td>
			</tr>
			<xsl:for-each select="DATA/DATOS_USUARIOS/IP">
				<tr class="administracion" onmouseover="javascript:onMouse(this,'true');" onmouseout="javascript:onMouse(this,'false');">
					<td width="100"><xsl:value-of select="@HOST"/></td>
					<td width="50"><xsl:value-of select="@IP"/></td>
					<td width="150"><xsl:value-of select="@MAC"/></td>
					<td width="30"><xsl:value-of select="@ROSETA"/></td>
					<td width="50">
						<xsl:call-template name="date2String2">
								<xsl:with-param name="fecha" select="@FECHA_SOLICITUD"/>
						</xsl:call-template>
					</td>
					<td width="50"><xsl:value-of select="@CAMPUS"/></td>
					<td width="4%" align="center">
						<a href="javascript:modificarIp('{@IP}');">
							<img  border="0" src="../graficos/iconos/modificar.gif" alt="Modificar Direccin"/>
						</a>
					</td>
					<td width="4%" align="center">
						<a href="javascript:eliminaIp('{@IP}');">
							<img border="0" src="../graficos/iconos/eliminar.gif" alt="Eliminar Direccin"/>
						</a>
					</td>
				</tr>
			</xsl:for-each>	
			<tr class="administracion">
				<td width="100"><input type="text" name="NuevoHost" maxlength="50"/></td>
				<td width="50"><input type="text" name="NuevaIp" maxlength="15"/></td>
				<td width="150"><input type="text" name="NuevaMac" maxlength="17"/></td>
				<td width="30"><input type="text" name="NuevaRoseta" size="10"/></td>
				<td width="100">
					<input type="text" onChange="changeDate(this)" name="NuevaFechaSolicitud" id="f_FecSolicitud" size="11"/>
					<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_b"
						style="cursor: pointer; border: 1px solid red;"
						title="Selecciona Fecha"
						onmouseover="this.style.background='red';"
						onmouseout="this.style.background=''"  />
				</td>
						<script type="text/javascript">
							Calendar.setup({
							inputField     :    "f_FecSolicitud",
							ifFormat       :    "%d/%m/%Y",
							button         :    "f_trigger_b",
							align          :    "Tl",
							onSelect       :    selectDateSolicitud,
							singleClick    :    false
						});
						</script>
				<td><select name="NuevoCampus" size="1">
						<option value="ALFONSO">Alfonso XIII</option>
						<option value="MURALLA">Muralla del Mar</option>
						<option value="RECTORADO">Rectorado</option>
						<option value="RESICOLAO">Resi A.Colao</option>
						<option value="POLIGONO">Polgono</option>
					</select>				
				</td>
				<td colspan="2" align="center">
					<a href="javascript:nuevaIp();">
						<img border="0" src="../graficos/iconos/nuevaIP.gif" alt="Nueva Direccin"/>
					</a>
				</td>
			</tr>
			<tr class="administracion">
				<td colspan="9" align="center">
					<input type="button" class="boton" value="Actualizar" onclick="javascript:modificaUsuario();"/>
					&#160;&#160;&#160;&#160;
					<input type="button" class="boton" value="Volver" onclick="javascript:consultarUsuario();"/>
				</td>
			</tr>	
		</table>
	</td></tr>
	</form>
</table>
</xsl:template>

</xsl:stylesheet>



