<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:output method="html"/>

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="selected"/>
<xsl:param name="ajx"/>
<xsl:param name="notas"/>
<xsl:param name="cargo"/>
<xsl:param name="fechaBaja"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:include href="dumbo7/gestion/usuarios/html/detalleUser.xsl"/>

<xsl:template match="XMLROOT">
		<html lang="es">
			<xsl:call-template name="headComun">
				<xsl:with-param name="calendar" select="true()"/>
				<xsl:with-param name="ERROR" select="DATA/DATOS_USUARIOS/@ERROR"/>
				 <xsl:with-param name="jscript">
					<script LANGUAJE="JavaScript">
						function mostrarError(error){
							alert(error);
						}
						<!--Javascript para PDF-->
						function abre_PDF(url){
							url = url.concat("&amp;id=");
							url = url.concat(document.GestionUsuarios.UsuCod.value);
							newWindow = window.open(url,'_blanck');
						}
						<!---->
						
						function detalleUser(usr) {
							var w = window.open('about:blank','UserDetail','width=400,height=250,left=100,top=100,scrollbars=yes');
							document.detalleUsr.target = w.name;
							document.detalleUsr.user.value = usr;
							document.detalleUsr.submit();
						}
						function selectDateBaja(calendar, date){
						if (calendar.dateClicked){
							if (document.ModificaUsuario.fechaBaja.value == date) document.ModificaUsuario.fechaBaja.value = '';
								else document.ModificaUsuario.fechaBaja.value = date;
								calendar.hide();
							}
						}
						
						function selectDateSolicitud(calendar, date){
						if (calendar.dateClicked){
							if (document.ModificaUsuario.NuevaFechaSolicitud.value == date) document.NuevaFechaSolicitud.value = '';
								else document.ModificaUsuario.NuevaFechaSolicitud.value = date;
								calendar.hide();
							}
						}
						
						<!--Indica si resultado de la bsqueda ha sido un usuario incorrecto-->
						var incorrecto = false;
						
						var http_req = false;
						var buscaCampo ='';
						var idInput = '';
														
						<!--buscaDNI(), resuelveDNI() son funciones para que al introducir un DNI de un usuario o informatico
							obtienen el nombre y apellidos de este.-->
						function buscaDNI(DNI,val){
							idInput = val;
							if (DNI == ""){
								document.getElementById(idInput).innerHTML = "";
							}
							else{
								var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/gestion/usuarios.formBuscarDNI&amp;dni='+DNI+'&amp;idInput='+val+'&amp;ms='+new Date().getTime();				
																	
								//completaMail(obj);
								
								if (window.XMLHttpRequest) { // Mozilla, Safari,...
								   http_req = new XMLHttpRequest();
								} 
								else if (window.ActiveXObject) { // IE
								   http_req = new ActiveXObject("Microsoft.XMLHTTP");
								}
								
								http_req.onreadystatechange = resuelveDNI;
								http_req.open('GET', url, true);
								http_req.send(null);
							}
						}
					
						function resuelveDNI(){
							if (http_req.readyState == 4){
								if (http_req.status == 200){
									var text = http_req.responseText;
									var n = text.indexOf('&lt;'+'!--');
									if (n>=0) text = text.substring(0,n);
									var m = text.indexOf('.dtd">');
									if (m>=0) text = text.substring(m+6,text.length);
									eval(text);
									if(!incorrecto){
										document.GestionUsuarios.ajx.value = 1;
										document.GestionUsuarios.selected.value = document.GestionUsuarios.UsuCod.value;
										document.GestionUsuarios.submit();
									}
									else{
										if (confirm("El usuario no se encuentra registrado en la aplicacin, desea intentar sincronizarlo a partir de LDAP? ")){
											document.GestionUsuarios.ajx.value = 1;
											document.GestionUsuarios.module.value = 'dumbo7/gestion/usuarios.SincronizaUsu';
											document.GestionUsuarios.selected.value = document.GestionUsuarios.UsuCod.value;
											document.GestionUsuarios.submit();
										}
									}
								}
								else{
									alert('Hubo problemas con la peticin.');
								}
							}
						}
						
						function busquedaGenerica(url,tipo){
							buscaCampo = document.GestionUsuarios.UsuCod;
							idInput = 'UsuApe';
							url = url.concat("&amp;modulo=BuscarUsuario");
							url = url.concat("&amp;tipo="+tipo);
							newWindow = window.open(url,'_blanck',"width=620,height=400,left=100,top=100");
							//newWindow = window.open(url,'_blanck',"width=600,height=400,left=100,top=100,status=no,toolbar=no,menubar=no,location=no");
						}
						function actualiza(v,doc) {
							buscaCampo.value = v;
							var txt = doc.getElementById(v).innerHTML;
							var n = txt.indexOf('>');
							txt = txt.substring(n+1);
							n = txt.indexOf('&lt;');
							txt = txt.substring(0,n);
							document.getElementById(idInput).innerHTML = txt;
							document.GestionUsuarios.ajx.value = 1;
							document.GestionUsuarios.selected.value = document.GestionUsuarios.UsuCod.value;
							document.GestionUsuarios.submit();
						}
						
						function modifica(){
							document.GestionUsuarios.ajx.value = 2;
							document.GestionUsuarios.submit();
						}
						function consultarUsuario(){
							document.GestionUsuarios.ajx.value = 1;
							document.GestionUsuarios.submit();
						}
						function modificarIp(ip){
							var url = '?module=dumbo7/gestion/usuarios.index.modificacion';
							url = url.concat("&amp;tipo=ip");
							url = url.concat("&amp;selected="+document.GestionUsuarios.selected.value);
							url = url.concat("&amp;ip="+ip);
							url = url.concat("&amp;key="+ip);
							newWindow = window.open(url,'_blanck',"width=750,height=150,left=100,top=100,status=no,toolbar=no,menubar=no,location=no");
						}
						function modificarCorreo(correo){
							var url = '?module=dumbo7/gestion/usuarios.index.modificacion';
							url = url.concat("&amp;tipo=correo");
							url = url.concat("&amp;selected="+document.GestionUsuarios.selected.value);
							url = url.concat("&amp;key="+correo);
							url = url.concat("&amp;correo="+correo);
							newWindow = window.open(url,'_blanck',"width=400,height=150,left=100,top=100,status=no,toolbar=no,menubar=no,location=no");
						
						}
						function modificaUsuario(){
							if (confirm("Se va a modificar el usuario, est seguro?")){
								document.ModificaUsuario.ajx.value = 1;
								document.ModificaUsuario.module.value = 'dumbo7/gestion/usuarios.index.modificar';
								document.ModificaUsuario.submit();
							}
						}
						function clearUsuario(){
							document.GestionUsuarios.ajx.value = '';
							document.GestionUsuarios.selected.value = '';
							document.GestionUsuarios.submit();
						}
						function ConfigRed(ip,campus){
							var url = '?module=dumbo7/gestion/usuarios.index.ConfigRed';
							url = url.concat("&amp;ip="+ip);
							url = url.concat("&amp;campus="+campus);
							newWindow = window.open(url,'_blanck',"width=700,height=150,left=100,top=100,status=no,toolbar=no,menubar=no,location=no");
						}
						
						function eliminaIp(ip){
							if (confirm("Est seguro de eliminar la direccion: "+ip+"?")){
									document.ModificaUsuario.ajx.value = 2;
									document.ModificaUsuario.ip.value = ip;
									document.ModificaUsuario.module.value = 'dumbo7/gestion/usuarios.index.eliminaIp';
									document.ModificaUsuario.submit();
								}
						}
						function nuevaIp(){
							if(document.ModificaUsuario.NuevaIp.value != ''){
								if(document.ModificaUsuario.NuevoHost.value != ''){
									document.ModificaUsuario.ajx.value = 2;
									document.ModificaUsuario.module.value = 'dumbo7/gestion/usuarios.index.nuevaIp';
									document.ModificaUsuario.submit();
								}
								else{
									alert("Introduzca el nombre del host");
								}
							}
							else{
								alert("Introduzca la direccin Ip");
							}
						}
						function actualizarIp(key,host,ip,mac,roseta,fecha,campus){
							document.ModificaUsuario.key.value = key;
							document.ModificaUsuario.host.value = host;
							document.ModificaUsuario.ip.value = ip;
							document.ModificaUsuario.mac.value = mac;
							document.ModificaUsuario.roseta.value = roseta;
							document.ModificaUsuario.fechaSolicitud.value = fecha;
							document.ModificaUsuario.campus.value = campus;
							document.ModificaUsuario.ajx.value = 2;
							document.ModificaUsuario.module.value = 'dumbo7/gestion/usuarios.index.actualizarIp';
							document.ModificaUsuario.submit();
						}
						function eliminaCorreo(correo){
							if (confirm("Est seguro de eliminar el correo: "+correo+"?")){
								document.ModificaUsuario.ajx.value = 2;
								document.ModificaUsuario.correo.value = correo;
								document.ModificaUsuario.module.value = 'dumbo7/gestion/usuarios.index.eliminaCorreo';
								document.ModificaUsuario.submit();
							}
						}
						function nuevoCorreo(){
							if(document.ModificaUsuario.NuevoCorreo.value != ''){
								if(document.ModificaUsuario.NuevoCorreo.value.indexOf('@') >0){
									if(document.ModificaUsuario.NuevaCuenta.value != ''){
										document.ModificaUsuario.ajx.value = 2;
										document.ModificaUsuario.module.value = 'dumbo7/gestion/usuarios.index.nuevoCorreo';
										document.ModificaUsuario.submit();
									}
									else{
										alert("Introduzca la cuenta");
									}
								}else{
									alert("El formato del correo debe ser direccion@direccion")
								}
							}
							else{
								alert("Introduzca el correo");
							}
						}
						function actualizarCorreo(key,correo,cuenta){
							document.ModificaUsuario.key.value = key;
							document.ModificaUsuario.correo.value = correo;
							document.ModificaUsuario.cuenta.value = cuenta;
							document.ModificaUsuario.ajx.value = 2;
							document.ModificaUsuario.module.value = 'dumbo7/gestion/usuarios.index.actualizarCorreo';
							document.ModificaUsuario.submit();
						}
						function ConsultarHistorico(){
							var url = '?module=dumbo7/gestion/usuarios.index.HistoricoTareas';
							url = url.concat("&amp;selected=");
							url = url.concat(document.GestionUsuarios.UsuCod.value);
							newWindow = window.open(url,'_blanck',"width=750,height=600,left=100,top=100,status=no,toolbar=no,menubar=no,location=no,scrollbars=yes");
							
						}
					</script>
				<script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>
				<script LANGUAJE="JavaScript" src="../js/usuarios/Calendario.js"></script>
				<script LANGUAJE="JavaScript" src="../js/CompruebaFecha.js"></script>
				</xsl:with-param>
			 </xsl:call-template>
			
			<body>
				<xsl:call-template name="menuComun">
					<xsl:with-param name="NAME" select="concat(DATA/DATOS_USUARIOS/USER/@NAME,concat('(',concat(DATA/DATOS_USUARIOS/USER/@LOGIN,')')))"/>
					<xsl:with-param name="MENU" select="DATA/MENU"/>
					<xsl:with-param name="SELECT" select="$menu"/>
				</xsl:call-template>
				
				<xsl:call-template name="pieComun"/>
			</body>
		</html>
</xsl:template>

<xsl:template name="cuerpo">
		<xsl:for-each select="DATA/DATOS_USUARIOS">
			<xsl:if test="not(@ERROR='')">
				<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
				</xsl:if>
		</xsl:for-each>
	<table border="0" cellpadding="5" align="center" cellspacing="5" width="780" summary="Esta tabla contiene la gestion de usuarios">
	<tr>
		<td width="650" class="cab1">&#187;Gestin Usuarios</td>
		<xsl:if test="$ajx = 1">
			<td width="10" align="center"><b><a href="javascript:abre_PDF('?module=dumbo7/gestion/usuarios.index.informePDF');"><img border="0" src="../graficos/iconos/ico_impresora.gif" alt="Imprimir"/></a></b></td>
		</xsl:if>
	</tr>
	<tr><td colspan="2">
		<form action="{$servlet}" METHOD="POST" name="GestionUsuarios">
			<input type="hidden" name="module" value="dumbo7/gestion/usuarios.index"/>
			<input type="hidden" name="selected" value="{$selected}"/>
			<input type="hidden" name="ajx"/>
			<table class="cont" id="usuarios" border="0" cellpadding="3" cellspacing="1" width="100%" summary="Esta tabla contiene usuarios">
				<xsl:if test="not($ajx = 2 or $ajx = 1)">
					<tr class="administracion">
						<td colspan="2">
							Id Usuario:&#160;&#160;
							<input type="text" name="UsuCod" size="20" maxlength="8" value="{$selected}" onChange="javascript:buscaDNI(this.value,'UsuApe');"/>
							&#160;
							<a href="javascript:busquedaGenerica('?module=dumbo7/gestion/usuarios.index.buscar','USR');">
								<img id="Busqueda" style="display:inline" border="0" src="../graficos/iconos/ampliar.gif" alt="Realizar Bsqueda"/>
							</a>
						</td>
					</tr>		
				</xsl:if>
				<xsl:if test="$ajx = 2 or $ajx = 1">
					<tr class="administracion">
						<td colspan="2">
							Id Usuario:&#160;&#160;
							<input type="text" name="UsuCod" size="20" maxlength="8" value="{$selected}" onChange="javascript:buscaDNI(this.value,'UsuApe');" disabled="true"/>
							&#160;
							<img id="Busqueda" style="display:inline" border="0" src="../graficos/iconos/ampliar.gif" alt="Realizar Bsqueda"/>
						 </td>
					</tr>
				</xsl:if>
				<tr class="administracion">
					<td id="UsuApe"/>
				</tr>
			</table>
		</form>
		<xsl:call-template name="Detalle"/>
	</td></tr>
	</table>
	
</xsl:template>

<xsl:template name="Detalle">
	<xsl:if test="$ajx = '1'">
		<xsl:call-template name="detail">
			<xsl:with-param name="selected" select="$selected"/>
		</xsl:call-template>
	</xsl:if>
	<xsl:if test="$ajx = '2'">
		<xsl:call-template name="detailModifica">
			<xsl:with-param name="selected" select="$selected"/>
			<xsl:with-param name="notas" select="$notas"/>
			<xsl:with-param name="cargo" select="$cargo"/>
			<xsl:with-param name="fechaBaja" select="$fechaBaja"/>
		</xsl:call-template>
		</xsl:if>
</xsl:template>

</xsl:stylesheet>