<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="listado"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">

	<xsl:call-template name="headComun">
		<xsl:with-param name="jscript">
			<SCRIPT LANGUAGE="JavaScript" SRC="../js/utils/personalizarInformacion.js">
				var as = '';
			</SCRIPT>
		</xsl:with-param>
	</xsl:call-template>

<body>
<br/>
<form name="defecto" action="{$servlet}">
	<input type="hidden" name="module" value="dumbo7/informacion.personalizarInformacion.defaultFiltro"/>
	<input type="hidden" name="listado" value="{$listado}"/>
	<input type="hidden" name="save" value=""/>
</form>
<form name="f1" action="{$servlet}">
<input type="hidden" name="module" value="dumbo7/informacion.personalizarInformacion.saveFiltro"/>
<input type="hidden" name="listado" value="{$listado}"/>
<input type="hidden" name="save" value=""/>
<table class="cab1">
<tr><td>Personalizar Informacin: Listado <xsl:value-of select="$listado"/></td></tr>
</table>
<table class="contout">
<tr class="peticion">
	<td colspan="2">
	<table>
		<tr>
			<td><b>Formato:</b></td>
			<td>
				<input type="radio" name="formato" value="T"><xsl:if test="DATA/INFORMACION/FILTRO/@FORMATO='T'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>Tabla&#160;
				<xsl:if test="not($listado='vinculadas')">
				<input type="radio" name="formato" value="L"><xsl:if test="DATA/INFORMACION/FILTRO/@FORMATO='L'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>Lista&#160;
				</xsl:if>
				<!-- <input type="radio" name="formato" value="A"><xsl:if test="DATA/INFORMACION/FILTRO/@FORMATO='A'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>rbol -->
			</td>
			<td colspan="2"><b>Tamao Pgina:</b>&#160;<input type="text" size="5" name="tamPag" value="{DATA/INFORMACION/FILTRO/@TAMPAG}"/></td>
		</tr>
		<xsl:if test="count(/XMLROOT/DATA/SECURITY/ACTION[@NAME='informatico']/PROFILE)>0">
		<tr>
			<td><b>Ver Subtareas:</b></td>
			<td colspan="3">
				<input type="radio" name="subtareas" value="S"><xsl:if test="DATA/INFORMACION/FILTRO/@SUBTAREAS='S'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>Si&#160;
				<!-- <input type="radio" name="subtareas" value="S"><xsl:if test="DATA/INFORMACION/FILTRO/@SUBTAREAS='S'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>1er Nivel&#160; -->
				<input type="radio" name="subtareas" value="N"><xsl:if test="DATA/INFORMACION/FILTRO/@SUBTAREAS='N'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>No
			</td>
		</tr>
		<tr>
			<td><b>Ver Subtareas desplegadas:</b></td>
			<td colspan="3">
				<input type="radio" name="despliegue" value="S"><xsl:if test="DATA/INFORMACION/FILTRO/@DESPLIEGUE='S'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>Si&#160;
				<!-- <input type="radio" name="subtareas" value="S"><xsl:if test="DATA/INFORMACION/FILTRO/@SUBTAREAS='S'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>1er Nivel&#160; -->
				<input type="radio" name="despliegue" value="N"><xsl:if test="DATA/INFORMACION/FILTRO/@DESPLIEGUE='N'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>No
			</td>
		</tr>
		<xsl:if test="($listado='atender') or ($listado='atendidas')">
		<tr>
			<td><b>Ver Filtro Rpido:</b></td>
			<td colspan="3">
				<input type="radio" name="buscador" value="S"><xsl:if test="DATA/INFORMACION/FILTRO/@BUSCADOR='S'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>Si&#160;
				<input type="radio" name="buscador" value="N"><xsl:if test="DATA/INFORMACION/FILTRO/@BUSCADOR='N'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>No
			</td>
		</tr>
		</xsl:if>
		<tr>
			<td><b>Ver Alertas:</b></td>
			<td colspan="3">
				<input type="radio" name="alertas" value="S"><xsl:if test="DATA/INFORMACION/FILTRO/@ALERTAS='S'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>Si&#160;
				<input type="radio" name="alertas" value="N"><xsl:if test="DATA/INFORMACION/FILTRO/@ALERTAS='N'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>No
			</td>
		</tr>
		</xsl:if>
		<tr>
			<td colspan="4">
				<table>
				<tr>
				<td><b>Campos Visualizados:</b></td>
				<td>Campos Disponibles<br/>
					<select name="lista" size="7" multiple="true">
						<xsl:for-each select="DATA/INFORMACION/FILTRO/CAMPOSFILTRO">
							<xsl:sort select="value"/>
							<xsl:variable name="clave" select="key"/>
							<xsl:if test="not(/XMLROOT/DATA/INFORMACION/FILTRO/CAMPOS=key) and (count(../CAMPOSFILTROPROTECTED[key=$clave])=0 or count(/XMLROOT/DATA/SECURITY/ACTION[@NAME='camposInformatico']/PROFILE)>0)">
								<option value="{key}"><xsl:value-of select="value"/></option>
							</xsl:if>
						</xsl:for-each>
					</select>
				</td>
				<td>
					<a href="javascript:incluir();"><img src="../graficos/img/next.gif" border="0" title="Incluir Campo"/></a><br/>
					<a href="javascript:excluir();"><img src="../graficos/img/previous.gif" border="0" title="Excluir Campo"/></a>
				</td>
				<td>Campos Mostrados<br/>
					<select name="campos" size="7" multiple="true">
						<xsl:for-each select="DATA/INFORMACION/FILTRO/CAMPOS">
							<xsl:variable name="cod" select="."/>
							<option value="{.}"><xsl:value-of select="/XMLROOT/DATA/INFORMACION/FILTRO/CAMPOSFILTRO[key=$cod]/value"/></option>
						</xsl:for-each>
					</select>
				</td>
				<td>
					<a href="javascript:subir();"><img src="../graficos/img/up.gif" border="0" title="Poner Delante"/></a><br/>
					<a href="javascript:bajar();"><img src="../graficos/img/down.gif" border="0" title="Poner Detrs"/></a>
				</td>
				</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td><b>Ordenar Por:</b></td>
			<td colspan="3">
				<select name="camposOrden" size="1">
						<xsl:for-each select="DATA/INFORMACION/FILTRO/CAMPOSFILTRO[count(../CAMPOSFILTROPROTECTED[key=current()/key])=0 or count(/XMLROOT/DATA/SECURITY/ACTION[@NAME='camposInformatico']/PROFILE)>0]">
						<xsl:sort select="value"/>
						<xsl:variable name="clave" select="key"/>
						<xsl:if test="count(../CAMPOSFILTROPROTECTED[key=$clave])=0 or count(/XMLROOT/DATA/SECURITY/ACTION[@NAME='camposInformatico']/PROFILE)>0">
							<option value="{key}"><xsl:if test="/XMLROOT/DATA/INFORMACION/FILTRO/CAMPOSORDEN=key"><xsl:attribute name="selected">true</xsl:attribute></xsl:if><xsl:value-of select="value"/></option>
						</xsl:if>
						</xsl:for-each>
				</select>
				&#160;&#160;
				<input type="radio" name="orden" value="A"><xsl:if test="DATA/INFORMACION/FILTRO/@ORDEN='A'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>Ascentende&#160;
				<input type="radio" name="orden" value="D"><xsl:if test="DATA/INFORMACION/FILTRO/@ORDEN='D'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>Descendente&#160;
			</td>
		</tr>
	</table>
</td></tr>
</table>
<br/>
<center>
<input type="button" class="boton" value="Aceptar" onclick="envia();"/>&#160;&#160;
<input type="button" class="boton" onclick="salvar();" value="Guardar"/>&#160;&#160;
<input type="button" class="boton" value="Por Defecto" onclick="porDefecto();"/>&#160;&#160;
<input type="button" class="boton" onclick="top.close();" value="Cancelar"/>
</center>
<br/><br/>
</form>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
</xsl:template>

</xsl:stylesheet>
	