<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>

<xsl:template match="XMLROOT">
<xsl:variable name="inftitles"><xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informaticos'"/></xsl:call-template></xsl:variable>
<xsl:variable name="inftitle"><xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informatico'"/></xsl:call-template></xsl:variable>
<HTML>
  <HEAD>
    <META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
    <META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
    <TITLE>DUMBO7: Lista <xsl:value-of select="$inftitles"/></TITLE>
	<link REL="stylesheet" HREF="../estilosD.css" TYPE="text/css"/>
	<SCRIPT LANGUAGE="JavaScript">
		function detalleUser(usr) {
			var w = window.open('about:blank','UserDetail','width=400,height=300,left=100,top=100,scrollbars=yes');
			document.detalleUsr.target = w.name;
			document.detalleUsr.user.value = usr;
			document.detalleUsr.submit();
		}
	</SCRIPT>
  </HEAD>
  <BODY BGCOLOR="#FFFFFF">
	<form name="detalleUsr" action="{$servlet}" method="post">
		<input type="hidden" name="module" value="dumbo7/inicio.listaInfo.detalleUser"/>
		<input type="hidden" name="user" value=""/>
	</form>
	<br/>
	<table class="contout">
		<tr class="peticion">
			<td colspan="2"><strong><xsl:value-of select="$inftitles"/> Aplicacin:</strong>&#160;<i><xsl:value-of select="DATA/INICIO/@PATRON"/></i></td>
		</tr>
		<tr>
			<td><strong><xsl:value-of select="$inftitle"/></strong></td>
			<td><strong>Nombre</strong></td>
			<!--td><a href="javascript:top.close();">Cerrar</a></td-->
		</tr>
		<xsl:for-each select="DATA/INICIO/INFORMATICOS">
		<xsl:sort select="concat(@APELLIDOS,@NOMBRE)"/>
		<xsl:variable name="id"><xsl:choose><xsl:when test="string-length(@EMAIL)>0"><xsl:value-of select="@EMAIL"/></xsl:when><xsl:otherwise><xsl:value-of select="@DNI"/></xsl:otherwise></xsl:choose></xsl:variable>
		<tr>
			<td><a href="javascript:top.opener.actualiza('{$id}',document);top.close();"><xsl:value-of select="$id"/></a></td>
			<td id="{$id}"><a href="javascript:detalleUser('{$id}');"><xsl:value-of select="@APELLIDOS"/>, <xsl:value-of select="@NOMBRE"/></a></td>
		</tr>
		</xsl:for-each>
		<tr><td colspan="2">&#160;</td></tr>
	</table>
  </BODY>
</HTML>

</xsl:template>
<xsl:template name="cuerpo"/>
</xsl:stylesheet>
	