<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	

<xsl:template match="XMLROOT">
<HTML>
  <HEAD>
    <META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
    <META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
    <TITLE>DUMBO</TITLE>
	<SCRIPT LANGUAGE="JavaScript">
		function cargar() {
		<xsl:choose>
		<xsl:when test="not(DATA/INICIO/@ERROR='')">
			alert('<xsl:value-of select="DATA/INICIO/@ERROR"/>');
			location.href='..';
		</xsl:when>
		<xsl:otherwise>
			document.goform.submit();
		</xsl:otherwise>
		</xsl:choose>
		}
	</SCRIPT>
  </HEAD>
  <BODY BGCOLOR="#FFFFFF" OnLoad="cargar();">
	<FORM NAME="goform" ACTION="{$servlet}" METHOD="POST">
		<xsl:choose>
			<xsl:when test="count(DATA/MENU/ITEM)=1">
				<xsl:choose>
					<xsl:when test="count(DATA/MENU//ITEM[@AUTO])=0">
						<INPUT TYPE="hidden" NAME="module" VALUE="{DATA/MENU/ITEM/@URL}"/>
						<INPUT TYPE="hidden" NAME="menu" VALUE="{DATA/MENU/ITEM/@ID}"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:for-each select="DATA/MENU//ITEM[@AUTO and /XMLROOT/DATA/SECURITY[@MODULE='dumbo7/inicio']/ACTION/@NAME=self::*/@AUTO]">
							<xsl:sort select="number(@AUTO)"/>
							<xsl:if test="position()=1">
								<INPUT TYPE="hidden" NAME="module" VALUE="{@URL}"/>
								<INPUT TYPE="hidden" NAME="menu"><xsl:attribute name="VALUE"><xsl:call-template name="idMenu"><xsl:with-param name="menu" select="."/></xsl:call-template></xsl:attribute></INPUT>
							</xsl:if>
						</xsl:for-each>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<INPUT TYPE="hidden" NAME="module" VALUE="dumbo7/inicio.loginDumbo.goMenu"/>
				<!--
				<xsl:choose>
					<xsl:when test="count(DATA/MENU//ITEM[@AUTO='1'])>0">
						<xsl:for-each select="DATA/MENU//ITEM[@AUTO]">
							<xsl:sort select="number(@AUTO)"/>
							<xsl:if test="position()=1">
								<INPUT TYPE="hidden" NAME="module" VALUE="{@URL}"/>
								<INPUT TYPE="hidden" NAME="menu"><xsl:attribute name="VALUE"><xsl:call-template name="idMenu"><xsl:with-param name="menu" select="."/></xsl:call-template></xsl:attribute></INPUT>
							</xsl:if>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>
						<INPUT TYPE="hidden" NAME="module" VALUE="dumbo7/inicio.loginDumbo.goMenu"/>
					</xsl:otherwise>
				</xsl:choose>
				-->
			</xsl:otherwise>
		</xsl:choose>
	</FORM>
  </BODY>
</HTML>
</xsl:template>

<xsl:template name="idMenu">
<xsl:param name="menu"/>
<xsl:choose>
<xsl:when test="name($menu/..)='ITEM'"><xsl:call-template name="idMenu"><xsl:with-param name="menu" select="$menu/.."/></xsl:call-template>/<xsl:value-of select="$menu/@ID"/></xsl:when>
<xsl:otherwise><xsl:value-of select="$menu/@ID"/></xsl:otherwise>
</xsl:choose>
</xsl:template>

</xsl:stylesheet>
	