<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">

	<xsl:call-template name="headComun">
		<xsl:with-param name="arbol" select="true()"/>
		<xsl:with-param name="ERROR" select="DATA/GESTION/@ERROR"/>
	</xsl:call-template>
	
<body>
<br/>
<xsl:variable name="sistema">
	<xsl:choose>
		<xsl:when test="contains($menu,'/')">
			<xsl:value-of select="substring-before($menu,'/')"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$menu"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:variable>
<table align="center" width="80%" cellpadding="0" cellspacing="0">
<tr>
	<td><h1>Noticias Importantes</h1></td>
	<td align="left">
  		<a href="#" onClick="anula()">SALTAR NOTICIAS</a>
  	</td>
</tr>
<tr>
	<td colspan="2">&#160;</td>
</tr>
<tr>
	<td valign="top">
	<table class="contout">
		<xsl:for-each select="DATA/INICIO/NOTICIA[($sistema='') or (@SISTEMA=$sistema) or (@GENERAL='G')]">
			<tr class="peticion">
				<td><strong><xsl:value-of select="@ASUNTO"/></strong></td>
				<td align="right"><font size="-2">[<xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="@FECHA"/></xsl:call-template>]</font></td>
			</tr>
			<tr>
				<td colspan="2">
					<xsl:value-of select="@TEXTO"/>
					<xsl:if test="string-length(@URL)>0">
					<xsl:choose>
						<xsl:when test="starts-with(@URL,'http://')">
							<a href="{@URL}" target="newWindow_{@CODIGO}"><xsl:value-of select="@URL"/></a>
						</xsl:when>
						<xsl:otherwise>
							<a href="http://{@URL}/" target="newWindow_{@CODIGO}"><xsl:value-of select="@URL"/></a>
						</xsl:otherwise>
					</xsl:choose>
					</xsl:if>
				</td>
			</tr>
			<tr>
				<td colspan="2">&#160;</td>
			</tr>
		</xsl:for-each>
	</table>
	</td>
</tr>
</table>
<p>&#160;</p>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
</xsl:template>

<xsl:template name="idMenu">
<xsl:param name="menu"/>
<xsl:choose>
<xsl:when test="name($menu/..)='ITEM'"><xsl:call-template name="idMenu"><xsl:with-param name="menu" select="$menu/.."/></xsl:call-template>/<xsl:value-of select="$menu/@ID"/></xsl:when>
<xsl:otherwise><xsl:value-of select="$menu/@ID"/></xsl:otherwise>
</xsl:choose>
</xsl:template>

</xsl:stylesheet>
	