package dumbo7.metricas;

import dumbo7.utils.*;

public class Metricas{
	private D7Tareas tarea;
	private Metricas resultado;
	
	private Integer peticiones;
	private Integer incidencias;
	private Integer tareas;
	private Double tmediopeticiones;
	private Double tmedioincidencias;
	private Double tmedio;
	
	private String desglose;
	private String tramo;
	private String params;
	private Integer dias;
	private java.util.Date ultimaEspera;
	private Double desv;
	private java.util.Date fechaAsig;
	
	
	private Double tmedioatenPet;
	private Double tmedioatenInc;
	private Double tmedioatenTar;
	
	private Double tmedioresoPet;
	private Double tmedioresoInc;
	private Double tmedioresoTar;
	
	/**Variable para poder devolver en las querys el nombre y el ID del informatico*/
	private String informaticoID;
	private String informatico;
	
	/**Variable para poder devolver en las querys la denominacin y el ID de la aplicacin*/
	private String aplicacionID;
	private String aplicacion;
	
	private String seccion;
	
	private Integer tarSol;
	private Integer tarResu;
	
	private Integer IncSol;
	private Integer IncResu;
	private Integer PetSol;
	private Integer PetResu;
	
	
	public Metricas(){}
		
	public String getDesglose() {return desglose;}
	public void setDesglose(String desglose) {this.desglose = desglose;}
	
	public String getTramo() {return tramo;}
	public void setTramo(String tramo) {this.tramo = tramo;}
	
	public Integer getIncidencias() {return incidencias;}
	public void setIncidencias(Integer incidencias) {this.incidencias = incidencias;}
	
	public Integer getPeticiones() {return peticiones;}
	public void setPeticiones(Integer peticiones) {this.peticiones = peticiones;}
	
	public Integer getTareas() {return tareas;}
	public void setTareas(Integer suma) {this.tareas = suma;}
	
	public Double getTmedio() {return tmedio;}
	public void setTmedio(Double tmedio) {this.tmedio = tmedio;}
	
	public Double getTmedioincidencias() {return tmedioincidencias;}
	public void setTmedioincidencias(Double tmedioincidencias) {this.tmedioincidencias = tmedioincidencias;}

	/**set y get para el informtico(apellidos,nombre) y su identificador*/
	public String getInformatico() {return informatico;}
	public void setInformatico(String informatico) {this.informatico = informatico;}
	public String getInformaticoID() {return informaticoID;}
	public void setInformaticoID(String informaticoID) {this.informaticoID = informaticoID;}
	
	/**Variables para poder realizar las metricas TOP*/
	public Double getTmediopeticiones() {return tmediopeticiones;}
	public void setTmediopeticiones(Double tmediopeticiones) {this.tmediopeticiones = tmediopeticiones;}
	
	public Double getTmedioresoInc() {return tmedioresoInc;}
	public void setTmedioresoInc(Double tmedioresoInc) {this.tmedioresoInc = tmedioresoInc;}
	
	public Double getTmedioresoPet() {return tmedioresoPet;}
	public void setTmedioresoPet(Double tmedioresoPet) {this.tmedioresoPet = tmedioresoPet;}
	
	public Double getTmedioatenTar() {return tmedioatenTar;}
	public void setTmedioatenTar(Double tmedioatenTar) {this.tmedioatenTar = tmedioatenTar;}
	
	public Double getTmedioatenInc() {return tmedioatenInc;}
	public void setTmedioatenInc(Double tmedioatenInc) {this.tmedioatenInc = tmedioatenInc;}
	
	public Double getTmedioatenPet() {return tmedioatenPet;}
	public void setTmedioatenPet(Double tmedioatenPet) {this.tmedioatenPet = tmedioatenPet;}
	
	public Double getTmedioresoTar() {return tmedioresoTar;}
	public void setTmedioresoTar(Double tmedioresoTar) {this.tmedioresoTar = tmedioresoTar;}
	
	/**Parmetro que puede es usado normalmente para reconocer un conjunto de resultados 
	 * que cumplen con unas condiciones*/
	public String getParams() {return params;}
	public void setParams(String pa) {this.params = pa;}
	
	/**Parmetros utilizados para la metrca por YDias*/
	/**Devuelve la informacin de la tarea*/
	public D7Tareas getTarea() {return tarea;}
	public void setTarea(D7Tareas tar) {this.tarea = tar;}
	
	/**Permite el mapeo de resultado metricas dentro de resultado mtricas*/
	public Metricas getResultado() {return resultado;}
	public void setResultado(Metricas resultado) {this.resultado = resultado;}
	
	/**Devuelve los dias en los que la tarea ha estado activa*/
	public Integer getDias() {return dias;}
	public void setDias(Integer dias) {this.dias = dias;}
	
	/**Se utiliza para conocer de una cierta tarea cual es su fecha de ltimo paso a espera**/
	public java.util.Date getUltimaEspera() {return ultimaEspera;}
	public void setUltimaEspera(java.util.Date ultimaEspera) {this.ultimaEspera = ultimaEspera;}
	
	/** % de desviacin*/
	public Double getDesv() {return desv;}
	public void setDesv(Double desv) {this.desv = desv;}
	
	/**Indica las incidencias y peticiones en estado resuelto*/
	public Integer getIncResu() {return IncResu;}
	public void setIncResu(Integer incResu) {IncResu = incResu;}
	public Integer getPetResu() {return PetResu;}
	public void setPetResu(Integer petResu) {PetResu = petResu;}
	
	/**Indica el n total de incidencias y peticiones solicitadas*/
	public Integer getIncSol() {return IncSol;}
	public void setIncSol(Integer incSol) {IncSol = incSol;}
	public Integer getPetSol() {return PetSol;}
	public void setPetSol(Integer petSol) {PetSol = petSol;}
	
	/**Indica las tareas en estado resuelto*/
	public Integer getTarResu() {return tarResu;}
	public void setTarResu(Integer tarResu) {this.tarResu = tarResu;}
	
	/**Indica el n total de tareas solicitadas*/
	public Integer getTarSol() {return tarSol;}
	public void setTarSol(Integer tarSol) {this.tarSol = tarSol;}
	
	/**Mtodos get y set para la aplicacin(su descripcin) y su identificador.*/
	public String getAplicacion() {return aplicacion;}
	public void setAplicacion(String aplicacion) {this.aplicacion = aplicacion;}
	public String getAplicacionID() {return aplicacionID;}
	public void setAplicacionID(String aplicacionID) {this.aplicacionID = aplicacionID;}
	
	/**Mtodos get y set para guardar la seccin.*/
	public String getSeccion() {return seccion;}
	public void setSeccion(String seccion) {this.seccion = seccion;}
	
	/**Mtodos set y get para guardar la fecha de ltima asignacin*/
	public java.util.Date getFechaAsig() {return fechaAsig;}
	public void setFechaAsig(java.util.Date fechaAsig) {this.fechaAsig = fechaAsig;}
	
	
}