<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:template name="numNodos">
<xsl:param name="ruta"/>
<xsl:param name="base"/>
<xsl:param name="prefijo"/>
<xsl:param name="tipoTar"/>
<xsl:param name="tipoBase"/>
<xsl:param name="tipoResta"/>
<xsl:choose>
	<xsl:when test="string-length($base)>0 and string-length($prefijo)>0 and string-length($tipoTar)>0 and string-length($tipoResta)>0"><xsl:value-of select="sum($ruta[@DESGLOSE = concat(concat($base,$prefijo),substring($tipoBase,string-length(concat($base,$prefijo))+1)) and @PARAMS = $tipoTar]/@TAREAS) - sum($ruta[@DESGLOSE = concat(concat($base,$prefijo),substring($tipoResta,string-length(concat($base,$prefijo))+1)) and @PARAMS = $tipoTar]/@TAREAS)"/></xsl:when>
	<xsl:when test="string-length($base)>0 and string-length($prefijo)>0 and string-length($tipoTar)>0"><xsl:value-of select="sum($ruta[@DESGLOSE = concat(concat($base,$prefijo),substring($tipoBase,string-length(concat($base,$prefijo))+1)) and @PARAMS = $tipoTar]/@TAREAS)"/></xsl:when>
	<xsl:when test="string-length($base)>0 and string-length($prefijo)>0 and string-length($tipoResta)>0"><xsl:value-of select="sum($ruta[@DESGLOSE = concat(concat($base,$prefijo),substring($tipoBase,string-length(concat($base,$prefijo))+1))]/@TAREAS) - sum($ruta[@DESGLOSE = concat(concat($base,$prefijo),substring($tipoResta,string-length(concat($base,$prefijo))+1))]/@TAREAS)"/></xsl:when>
	<xsl:when test="string-length($base)>0 and string-length($prefijo)>0"><xsl:value-of select="sum($ruta[@DESGLOSE = concat(concat($base,$prefijo),substring($tipoBase,string-length(concat($base,$prefijo))+1))]/@TAREAS)"/></xsl:when>
	<xsl:when test="string-length($prefijo)>0 and string-length($tipoTar)>0 and string-length($tipoResta)>0"><xsl:value-of select="sum($ruta[starts-with(@DESGLOSE,concat($tipoBase,$prefijo)) and @PARAMS = $tipoTar]/@TAREAS) - sum($ruta[starts-with(@DESGLOSE,concat($tipoResta,$prefijo)) and @PARAMS = $tipoTar]/@TAREAS)"/></xsl:when>
	<xsl:when test="string-length($prefijo)>0 and string-length($tipoTar)>0"><xsl:value-of select="sum($ruta[starts-with(@DESGLOSE,concat($tipoBase,$prefijo)) and @PARAMS = $tipoTar]/@TAREAS)"/></xsl:when>
	<xsl:when test="string-length($prefijo)>0 and string-length($tipoResta)>0"><xsl:value-of select="sum($ruta[starts-with(@DESGLOSE,concat($tipoBase,$prefijo))]/@TAREAS) - sum($ruta[starts-with(@DESGLOSE,concat($tipoResta,$prefijo))]/@TAREAS)"/></xsl:when>
	<xsl:when test="string-length($prefijo)>0"><xsl:value-of select="sum($ruta[starts-with(@DESGLOSE,concat($tipoBase,$prefijo))]/@TAREAS)"/></xsl:when>
	<xsl:when test="string-length($tipoTar)>0 and string-length($tipoResta)>0"><xsl:value-of select="sum($ruta[starts-with(@DESGLOSE,$tipoBase) and @PARAMS = $tipoTar]/@TAREAS) - sum($ruta[starts-with(@DESGLOSE,$tipoResta) and @PARAMS = $tipoTar]/@TAREAS)"/></xsl:when>
	<xsl:when test="string-length($tipoTar)>0"><xsl:value-of select="sum($ruta[starts-with(@DESGLOSE,$tipoBase) and @PARAMS = $tipoTar]/@TAREAS)"/></xsl:when>
	<xsl:when test="string-length($tipoResta)>0"><xsl:value-of select="sum($ruta[starts-with(@DESGLOSE,$tipoBase)]/@TAREAS) - sum($ruta[starts-with(@DESGLOSE,$tipoResta)]/@TAREAS)"/></xsl:when>
	<xsl:otherwise><xsl:value-of select="sum($ruta[starts-with(@DESGLOSE,$tipoBase)]/@TAREAS)"/></xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="muestraTipoDesglose">
<xsl:param name="nombre"/>
<xsl:param name="ruta"/>	
<xsl:param name="desgl"/>
<xsl:param name="prefijo1" select="''"/>
<xsl:param name="prefijo2" select="''"/>
<xsl:param name="prefijo3" select="''"/>
<xsl:param name="prefijo4" select="''"/>
<xsl:param name="tipoBase"/>
<xsl:param name="tipoResta"/>
<xsl:param name="totalA"/>
<xsl:param name="totalB"/>
<xsl:param name="totalC"/>
	<xsl:variable name="nodosP"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="tipoTar" select="'P'"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:variable>
	<xsl:variable name="nodosI"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="tipoTar" select="'I'"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:variable>
	<xsl:variable name="nodosT"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:variable>
	<xsl:variable name="nodosP1"><xsl:if test="string-length($prefijo1)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo1"/><xsl:with-param name="tipoTar" select="'P'"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
	<xsl:variable name="nodosI1"><xsl:if test="string-length($prefijo1)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo1"/><xsl:with-param name="tipoTar" select="'I'"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
	<xsl:variable name="nodosT1"><xsl:if test="string-length($prefijo1)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo1"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
	<xsl:variable name="nodosP2"><xsl:if test="string-length($prefijo2)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo2"/><xsl:with-param name="tipoTar" select="'P'"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
	<xsl:variable name="nodosI2"><xsl:if test="string-length($prefijo2)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo2"/><xsl:with-param name="tipoTar" select="'I'"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
	<xsl:variable name="nodosT2"><xsl:if test="string-length($prefijo2)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo2"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
	<xsl:variable name="nodosP3"><xsl:if test="string-length($prefijo3)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo3"/><xsl:with-param name="tipoTar" select="'P'"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
	<xsl:variable name="nodosI3"><xsl:if test="string-length($prefijo3)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo3"/><xsl:with-param name="tipoTar" select="'I'"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
	<xsl:variable name="nodosT3"><xsl:if test="string-length($prefijo3)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo3"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
	<xsl:variable name="nodosP4"><xsl:if test="string-length($prefijo4)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo4"/><xsl:with-param name="tipoTar" select="'P'"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
	<xsl:variable name="nodosI4"><xsl:if test="string-length($prefijo4)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo4"/><xsl:with-param name="tipoTar" select="'I'"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
	<xsl:variable name="nodosT4"><xsl:if test="string-length($prefijo4)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo4"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
	<xsl:choose>
		<xsl:when test="string-length($prefijo4)>0">
		<tr class="administracion">
			<xsl:choose>
				<xsl:when test="$desgl='ON'">
					<td align="left"><u><b><xsl:value-of select="$nombre"/></b></u></td>
					<td rowspan="2"><i><b>Total</b></i></td>
				</xsl:when>
				<xsl:otherwise>
					<td rowspan="2"><u><b><xsl:value-of select="$nombre"/></b></u></td>
				</xsl:otherwise>
			</xsl:choose>
			<td><i><b><xsl:value-of select="$prefijo1"/></b></i></td>
			<td align="center"><xsl:value-of select="$nodosI1"/><xsl:if test="string-length($totalA)>0 and not(number($totalA)=0)"> (<xsl:value-of select="ceiling(($nodosI1 div $totalA)*10000) div 100"/>%)</xsl:if></td>
			<td><i><b><xsl:value-of select="$prefijo3"/></b></i></td>
			<td align="center"><xsl:value-of select="$nodosI3"/><xsl:if test="string-length($totalA)>0 and not(number($totalA)=0)"> (<xsl:value-of select="ceiling(($nodosI3 div $totalA)*10000) div 100"/>%)</xsl:if></td>
			<td><i><b><xsl:value-of select="$prefijo1"/></b></i></td>
			<td align="center"><xsl:value-of select="$nodosP1"/><xsl:if test="string-length($totalB)>0 and not(number($totalB)=0)"> (<xsl:value-of select="ceiling(($nodosP1 div $totalB)*10000) div 100"/>%)</xsl:if></td>
			<td><i><b><xsl:value-of select="$prefijo3"/></b></i></td>
			<td align="center"><xsl:value-of select="$nodosP3"/><xsl:if test="string-length($totalB)>0 and not(number($totalB)=0)"> (<xsl:value-of select="ceiling(($nodosP3 div $totalB)*10000) div 100"/>%)</xsl:if></td>
			<td><i><b><xsl:value-of select="$prefijo1"/></b></i></td>
			<td align="center"><xsl:value-of select="$nodosT1"/><xsl:if test="string-length($totalC)>0 and not(number($totalC)=0)"> (<xsl:value-of select="ceiling(($nodosT1 div $totalC)*10000) div 100"/>%)</xsl:if></td>
			<td><i><b><xsl:value-of select="$prefijo3"/></b></i></td>
			<td align="center"><xsl:value-of select="$nodosT3"/><xsl:if test="string-length($totalC)>0 and not(number($totalC)=0)"> (<xsl:value-of select="ceiling(($nodosT3 div $totalC)*10000) div 100"/>%)</xsl:if></td>
		</tr>
		<tr class="administracion">
			<xsl:if test="$desgl='ON'">
				<td align="left">&#160;</td>
			</xsl:if>
			<td><i><b><xsl:value-of select="$prefijo2"/></b></i></td>
			<td align="center"><xsl:value-of select="$nodosI2"/><xsl:if test="string-length($totalA)>0 and not(number($totalA)=0)"> (<xsl:value-of select="ceiling(($nodosI2 div $totalA)*10000) div 100"/>%)</xsl:if></td>
			<td><i><b><xsl:value-of select="$prefijo4"/></b></i></td>
			<td align="center"><xsl:value-of select="$nodosI4"/><xsl:if test="string-length($totalA)>0 and not(number($totalA)=0)"> (<xsl:value-of select="ceiling(($nodosI4 div $totalA)*10000) div 100"/>%)</xsl:if></td>
			<td><i><b><xsl:value-of select="$prefijo2"/></b></i></td>
			<td align="center"><xsl:value-of select="$nodosP2"/><xsl:if test="string-length($totalB)>0 and not(number($totalB)=0)"> (<xsl:value-of select="ceiling(($nodosP2 div $totalB)*10000) div 100"/>%)</xsl:if></td>
			<td><i><b><xsl:value-of select="$prefijo4"/></b></i></td>
			<td align="center"><xsl:value-of select="$nodosP4"/><xsl:if test="string-length($totalB)>0 and not(number($totalB)=0)"> (<xsl:value-of select="ceiling(($nodosP4 div $totalB)*10000) div 100"/>%)</xsl:if></td>
			<td><i><b><xsl:value-of select="$prefijo2"/></b></i></td>
			<td align="center"><xsl:value-of select="$nodosT2"/><xsl:if test="string-length($totalC)>0 and not(number($totalC)=0)"> (<xsl:value-of select="ceiling(($nodosT2 div $totalC)*10000) div 100"/>%)</xsl:if></td>
			<td><i><b><xsl:value-of select="$prefijo4"/></b></i></td>
			<td align="center"><xsl:value-of select="$nodosT4"/><xsl:if test="string-length($totalC)>0 and not(number($totalC)=0)"> (<xsl:value-of select="ceiling(($nodosT4 div $totalC)*10000) div 100"/>%)</xsl:if></td>
		</tr>
		</xsl:when>
		<xsl:when test="string-length($prefijo2)>0">
		<tr class="administracion">
			<xsl:if test="$desgl='ON'">
				<td align="left"><u><b><xsl:value-of select="$nombre"/></b></u></td>
			</xsl:if>
			<td align="left"><xsl:choose><xsl:when test="$desgl='ON'"><i><b>Total</b></i></xsl:when><xsl:otherwise><u><b><xsl:value-of select="$nombre"/></b></u></xsl:otherwise></xsl:choose></td>
			<td colspan="2" align="center"><xsl:value-of select="$nodosI1"/><xsl:if test="string-length($totalA)>0 and not(number($totalA)=0)"> (<xsl:value-of select="ceiling(($nodosI1 div $totalA)*10000) div 100"/>%)</xsl:if></td>
			<td colspan="2" align="center"><xsl:value-of select="$nodosI2"/><xsl:if test="string-length($totalA)>0 and not(number($totalA)=0)"> (<xsl:value-of select="ceiling(($nodosI2 div $totalA)*10000) div 100"/>%)</xsl:if></td>
			<td colspan="2" align="center"><xsl:value-of select="$nodosP1"/><xsl:if test="string-length($totalB)>0 and not(number($totalB)=0)"> (<xsl:value-of select="ceiling(($nodosP1 div $totalB)*10000) div 100"/>%)</xsl:if></td>
			<td colspan="2" align="center"><xsl:value-of select="$nodosP2"/><xsl:if test="string-length($totalB)>0 and not(number($totalB)=0)"> (<xsl:value-of select="ceiling(($nodosP2 div $totalB)*10000) div 100"/>%)</xsl:if></td>
			<td colspan="2" align="center"><xsl:value-of select="$nodosT1"/><xsl:if test="string-length($totalC)>0 and not(number($totalC)=0)"> (<xsl:value-of select="ceiling(($nodosT1 div $totalC)*10000) div 100"/>%)</xsl:if></td>
			<td colspan="2" align="center"><xsl:value-of select="$nodosT2"/><xsl:if test="string-length($totalC)>0 and not(number($totalC)=0)"> (<xsl:value-of select="ceiling(($nodosT2 div $totalC)*10000) div 100"/>%)</xsl:if></td>
		</tr>
		</xsl:when>
		<xsl:otherwise>
		<tr class="administracion">
			<xsl:if test="$desgl='ON'">
				<td align="left"><u><b><xsl:value-of select="$nombre"/></b></u></td>
			</xsl:if>
			<td align="left"><xsl:choose><xsl:when test="$desgl='ON'"><i><b>Total</b></i></xsl:when><xsl:otherwise><u><b><xsl:value-of select="$nombre"/></b></u></xsl:otherwise></xsl:choose></td>
			<td colspan="4" align="center"><xsl:value-of select="$nodosI"/><xsl:if test="string-length($totalA)>0 and not(number($totalA)=0)"> (<xsl:value-of select="ceiling(($nodosI div $totalA)*10000) div 100"/>%)</xsl:if></td>
			<td colspan="4" align="center"><xsl:value-of select="$nodosP"/><xsl:if test="string-length($totalB)>0 and not(number($totalB)=0)"> (<xsl:value-of select="ceiling(($nodosP div $totalB)*10000) div 100"/>%)</xsl:if></td>
			<td colspan="4" align="center"><xsl:value-of select="$nodosT"/><xsl:if test="string-length($totalC)>0 and not(number($totalC)=0)"> (<xsl:value-of select="ceiling(($nodosT div $totalC)*10000) div 100"/>%)</xsl:if></td>
		</tr>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="$desgl='ON'">
	<xsl:for-each select="$ruta[(generate-id() = generate-id(key('kdesg',@DESGLOSE))) and (starts-with(@DESGLOSE,$tipoBase))]">
	<xsl:sort select="@DESGLOSE"/>
	<xsl:variable name="tipoDes" select="@DESGLOSE"/>
	<xsl:variable name="prefi">
		<xsl:if test="string-length($prefijo1)>0">
		<xsl:choose>
			<xsl:when test="count($ruta[@DESGLOSE = concat(concat($tipoBase,$prefijo1),substring($tipoDes,string-length(concat($tipoBase,$prefijo1))+1))])>0"><xsl:value-of select="$prefijo1"/></xsl:when>
			<xsl:when test="count($ruta[@DESGLOSE = concat(concat($tipoBase,$prefijo2),substring($tipoDes,string-length(concat($tipoBase,$prefijo2))+1))])>0"><xsl:value-of select="$prefijo2"/></xsl:when>
			<xsl:when test="count($ruta[@DESGLOSE = concat(concat($tipoBase,$prefijo3),substring($tipoDes,string-length(concat($tipoBase,$prefijo3))+1))])>0"><xsl:value-of select="$prefijo3"/></xsl:when>
			<xsl:when test="count($ruta[@DESGLOSE = concat(concat($tipoBase,$prefijo4),substring($tipoDes,string-length(concat($tipoBase,$prefijo4))+1))])>0"><xsl:value-of select="$prefijo4"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="$prefijo1"/></xsl:otherwise>
		</xsl:choose>
		</xsl:if>
	</xsl:variable>
		<xsl:if test="string-length($prefi)=0 or starts-with($tipoDes,concat($tipoBase,$prefi))">	
			<xsl:variable name="nodosPA"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="tipoTar" select="'P'"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
			<xsl:variable name="nodosIA"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="tipoTar" select="'I'"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
			<xsl:variable name="nodosTA"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
			<xsl:variable name="titul">
					<xsl:choose>
						<xsl:when test="substring-after($tipoDes,$tipoBase)='AP'">Pendientes</xsl:when>
						<xsl:when test="substring-after($tipoDes,$tipoBase)='BW'">En Espera</xsl:when>
						<xsl:when test="substring-after($tipoDes,$tipoBase)='CR'">Resueltas</xsl:when>
						<xsl:when test="substring-after($tipoDes,$tipoBase)='DN'">Anuladas</xsl:when>
						<xsl:when test="substring(substring-after($tipoDes,$tipoBase),2)='AP'">Pendientes</xsl:when>
						<xsl:when test="substring(substring-after($tipoDes,$tipoBase),2)='BW'">En Espera</xsl:when>
						<xsl:when test="substring(substring-after($tipoDes,$tipoBase),2)='CR'">Resueltas</xsl:when>
						<xsl:when test="substring(substring-after($tipoDes,$tipoBase),2)='DN'">Anuladas</xsl:when>
						<xsl:otherwise>Desconocido</xsl:otherwise>
					</xsl:choose>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="string-length($prefijo4)>0">
				<xsl:variable name="nodosPA1"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo1"/><xsl:with-param name="tipoTar" select="'P'"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
				<xsl:variable name="nodosPA2"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo2"/><xsl:with-param name="tipoTar" select="'P'"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
				<xsl:variable name="nodosPA3"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo3"/><xsl:with-param name="tipoTar" select="'P'"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
				<xsl:variable name="nodosPA4"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo4"/><xsl:with-param name="tipoTar" select="'P'"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
				<xsl:variable name="nodosIA1"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo1"/><xsl:with-param name="tipoTar" select="'I'"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
				<xsl:variable name="nodosIA2"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo2"/><xsl:with-param name="tipoTar" select="'I'"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
				<xsl:variable name="nodosIA3"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo3"/><xsl:with-param name="tipoTar" select="'I'"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
				<xsl:variable name="nodosIA4"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo4"/><xsl:with-param name="tipoTar" select="'I'"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
				<xsl:variable name="nodosTA1"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo1"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
				<xsl:variable name="nodosTA2"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo2"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
				<xsl:variable name="nodosTA3"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo3"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
				<xsl:variable name="nodosTA4"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo4"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
				<tr class="administracion">
					<td>&#160;</td>
					<td align="left" rowspan="2"><i><b><xsl:value-of select="$titul"/></b></i></td>
					<td align="left"><i><b><xsl:value-of select="$prefijo1"/></b></i></td>
					<td align="center"><xsl:value-of select="$nodosIA1"/><xsl:if test="not(number($nodosI1)=0)"> (<xsl:value-of select="ceiling(($nodosIA1 div $nodosI1)*10000) div 100"/>%)</xsl:if></td>
					<td align="left"><i><b><xsl:value-of select="$prefijo3"/></b></i></td>
					<td align="center"><xsl:value-of select="$nodosIA3"/><xsl:if test="not(number($nodosI3)=0)"> (<xsl:value-of select="ceiling(($nodosIA3 div $nodosI3)*10000) div 100"/>%)</xsl:if></td>
					<td align="left"><i><b><xsl:value-of select="$prefijo1"/></b></i></td>
					<td align="center"><xsl:value-of select="$nodosPA1"/><xsl:if test="not(number($nodosP1)=0)"> (<xsl:value-of select="ceiling(($nodosPA1 div $nodosP1)*10000) div 100"/>%)</xsl:if></td>
					<td align="left"><i><b><xsl:value-of select="$prefijo3"/></b></i></td>
					<td align="center"><xsl:value-of select="$nodosPA3"/><xsl:if test="not(number($nodosP3)=0)"> (<xsl:value-of select="ceiling(($nodosPA3 div $nodosP3)*10000) div 100"/>%)</xsl:if></td>
					<td align="left"><i><b><xsl:value-of select="$prefijo1"/></b></i></td>
					<td align="center"><xsl:value-of select="$nodosTA1"/><xsl:if test="not(number($nodosT1)=0)"> (<xsl:value-of select="ceiling(($nodosTA1 div $nodosT1)*10000) div 100"/>%)</xsl:if></td>
					<td align="left"><i><b><xsl:value-of select="$prefijo3"/></b></i></td>
					<td align="center"><xsl:value-of select="$nodosTA3"/><xsl:if test="not(number($nodosT3)=0)"> (<xsl:value-of select="ceiling(($nodosTA3 div $nodosT3)*10000) div 100"/>%)</xsl:if></td>
				</tr>
				<tr class="administracion">
					<td>&#160;</td>
					<td align="left"><i><b><xsl:value-of select="$prefijo2"/></b></i></td>
					<td align="center"><xsl:value-of select="$nodosIA2"/><xsl:if test="not(number($nodosI2)=0)"> (<xsl:value-of select="ceiling(($nodosIA2 div $nodosI2)*10000) div 100"/>%)</xsl:if></td>
					<td align="left"><i><b><xsl:value-of select="$prefijo4"/></b></i></td>
					<td align="center"><xsl:value-of select="$nodosIA4"/><xsl:if test="not(number($nodosI4)=0)"> (<xsl:value-of select="ceiling(($nodosIA4 div $nodosI4)*10000) div 100"/>%)</xsl:if></td>
					<td align="left"><i><b><xsl:value-of select="$prefijo2"/></b></i></td>
					<td align="center"><xsl:value-of select="$nodosPA2"/><xsl:if test="not(number($nodosP2)=0)"> (<xsl:value-of select="ceiling(($nodosPA2 div $nodosP2)*10000) div 100"/>%)</xsl:if></td>
					<td align="left"><i><b><xsl:value-of select="$prefijo4"/></b></i></td>
					<td align="center"><xsl:value-of select="$nodosPA4"/><xsl:if test="not(number($nodosP4)=0)"> (<xsl:value-of select="ceiling(($nodosPA4 div $nodosP4)*10000) div 100"/>%)</xsl:if></td>
					<td align="left"><i><b><xsl:value-of select="$prefijo2"/></b></i></td>
					<td align="center"><xsl:value-of select="$nodosTA2"/><xsl:if test="not(number($nodosT2)=0)"> (<xsl:value-of select="ceiling(($nodosTA2 div $nodosT2)*10000) div 100"/>%)</xsl:if></td>
					<td align="left"><i><b><xsl:value-of select="$prefijo4"/></b></i></td>
					<td align="center"><xsl:value-of select="$nodosTA4"/><xsl:if test="not(number($nodosT4)=0)"> (<xsl:value-of select="ceiling(($nodosTA4 div $nodosT4)*10000) div 100"/>%)</xsl:if></td>
				</tr>
				</xsl:when>
				<xsl:when test="string-length($prefijo2)>0">
				<tr class="administracion">
					<td>&#160;</td>
					<td align="left"><i><b><xsl:value-of select="$titul"/></b></i></td>
					<xsl:variable name="nodosPA1"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo1"/><xsl:with-param name="tipoTar" select="'P'"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
					<xsl:variable name="nodosPA2"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo2"/><xsl:with-param name="tipoTar" select="'P'"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
					<xsl:variable name="nodosIA1"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo1"/><xsl:with-param name="tipoTar" select="'I'"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
					<xsl:variable name="nodosIA2"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo2"/><xsl:with-param name="tipoTar" select="'I'"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
					<xsl:variable name="nodosTA1"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo1"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
					<xsl:variable name="nodosTA2"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="base" select="$tipoBase"/><xsl:with-param name="prefijo" select="$prefijo2"/><xsl:with-param name="tipoBase" select="$tipoDes"/><xsl:with-param name="tipoResta"><xsl:if test="string-length($tipoResta)>0"><xsl:value-of select="concat($tipoResta,substring-after($tipoDes,$tipoBase))"/></xsl:if></xsl:with-param></xsl:call-template></xsl:variable>
					<td colspan="2" align="center"><xsl:value-of select="$nodosIA1"/><xsl:if test="not(number($nodosI1)=0)"> (<xsl:value-of select="ceiling(($nodosIA1 div $nodosI1)*10000) div 100"/>%)</xsl:if></td>
					<td colspan="2" align="center"><xsl:value-of select="$nodosIA2"/><xsl:if test="not(number($nodosI2)=0)"> (<xsl:value-of select="ceiling(($nodosIA2 div $nodosI2)*10000) div 100"/>%)</xsl:if></td>
					<td colspan="2" align="center"><xsl:value-of select="$nodosPA1"/><xsl:if test="not(number($nodosP1)=0)"> (<xsl:value-of select="ceiling(($nodosPA1 div $nodosP1)*10000) div 100"/>%)</xsl:if></td>
					<td colspan="2" align="center"><xsl:value-of select="$nodosPA2"/><xsl:if test="not(number($nodosP2)=0)"> (<xsl:value-of select="ceiling(($nodosPA2 div $nodosP2)*10000) div 100"/>%)</xsl:if></td>
					<td colspan="2" align="center"><xsl:value-of select="$nodosTA1"/><xsl:if test="not(number($nodosT1)=0)"> (<xsl:value-of select="ceiling(($nodosTA1 div $nodosT1)*10000) div 100"/>%)</xsl:if></td>
					<td colspan="2" align="center"><xsl:value-of select="$nodosTA2"/><xsl:if test="not(number($nodosT2)=0)"> (<xsl:value-of select="ceiling(($nodosTA2 div $nodosT2)*10000) div 100"/>%)</xsl:if></td>
				</tr>
				</xsl:when>
				<xsl:otherwise>
				<tr class="administracion">
					<td>&#160;</td>
					<td align="left"><i><b><xsl:value-of select="$titul"/></b></i></td>
					<td colspan="4" align="center"><xsl:value-of select="$nodosIA"/><xsl:if test="not(number($nodosI)=0)"> (<xsl:value-of select="ceiling(($nodosIA div $nodosI)*10000) div 100"/>%)</xsl:if></td>
					<td colspan="4" align="center"><xsl:value-of select="$nodosPA"/><xsl:if test="not(number($nodosP)=0)"> (<xsl:value-of select="ceiling(($nodosPA div $nodosP)*10000) div 100"/>%)</xsl:if></td>
					<td colspan="4" align="center"><xsl:value-of select="$nodosTA"/><xsl:if test="not(number($nodosT)=0)"> (<xsl:value-of select="ceiling(($nodosTA div $nodosT)*10000) div 100"/>%)</xsl:if></td>
				</tr>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:for-each>	
	</xsl:if>
</xsl:template>

<xsl:template name="SinDesglose">
<xsl:param name="ruta" select="DATA/METRICAS/RESULTADO_METRICAS"/>	
<xsl:param name="prefijo" select="''"/>
<xsl:param name="desglo"/>
<xsl:param name="tipo"/>
	<xsl:if test="sum($ruta/@TAREAS)>0">
		<table class="cont" border="0" cellpadding="3" cellspacing="1" width="100%" summary="Informacin detallada">
				<tr class="administracion">
					<td align="left"></td>
					<xsl:if test="$desglo='ON'"><td align="center"></td></xsl:if>
					<td colspan="4" align="center"><i><b>Incidencias</b></i></td>
					<td colspan="4" align="center"><i><b>Peticiones</b></i></td>
					<td colspan="4" align="center"><i><b>Tareas</b></i></td>
				</tr>
				<xsl:variable name="totalA" select="sum($ruta[starts-with(@DESGLOSE,concat($prefijo,'Total')) and @PARAMS = 'I']/@TAREAS)"/>
				<xsl:variable name="totalB" select="sum($ruta[starts-with(@DESGLOSE,concat($prefijo,'Total')) and @PARAMS = 'P']/@TAREAS)"/>
				<xsl:variable name="totalC" select="sum($ruta[starts-with(@DESGLOSE,concat($prefijo,'Total'))]/@TAREAS)"/>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Totales'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'Total')"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Internas'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'Inter')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Externas'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'Total')"/>
					<xsl:with-param name="tipoResta" select="concat($prefijo,'Inter')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Externas (Usuarios Externos)'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'Exter')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Pasadas Por Cola Genrica'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'PorColaGen')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Solicitadas Por Usuarios'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'Puestas')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Asignadas Directamente'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'AsigDirecta')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Asignadas Por Cola Aplicaciones'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'PorColaApl')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Asignadas Por Usuarios'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'UsuAsig')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:if test="$tipo='Gestor' or $tipo='Maestro'">
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas No Asignadas'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'NoAsignada')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				</xsl:if>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Dumbos Rpidos'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'DumboRap')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:if test="$tipo='Gestor' or $tipo='Maestro'">
				<tr class="administracion">
					<td align="left">&#160;</td>
					<xsl:if test="$desglo='ON'"><td align="center"></td></xsl:if>
					<td colspan="2" align="center"><i><b>R</b></i></td>
					<td colspan="2" align="center"><i><b>N</b></i></td>
					<td colspan="2" align="center"><i><b>R</b></i></td>
					<td colspan="2" align="center"><i><b>N</b></i></td>
					<td colspan="2" align="center"><i><b>R</b></i></td>
					<td colspan="2" align="center"><i><b>N</b></i></td>
				</tr>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Resueltas Por Orejas'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="prefijo1" select="'R'"/>
					<xsl:with-param name="prefijo2" select="'N'"/>
					<xsl:with-param name="tipoBase" select="'OrejResu'"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				</xsl:if>
				<tr class="administracion">
					<td align="left">&#160;</td>
					<xsl:if test="$desglo='ON'"><td align="center"></td></xsl:if>
					<td colspan="2" align="center"><i><b>U</b></i></td>
					<td colspan="2" align="center"><i><b>N</b></i></td>
					<td colspan="2" align="center"><i><b>U</b></i></td>
					<td colspan="2" align="center"><i><b>N</b></i></td>
					<td colspan="2" align="center"><i><b>U</b></i></td>
					<td colspan="2" align="center"><i><b>N</b></i></td>
				</tr>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Por Urgencia'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="prefijo1" select="'U'"/>
					<xsl:with-param name="prefijo2" select="'N'"/>
					<xsl:with-param name="tipoBase" select="'Urg'"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Planificadas'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'Planif')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Planificadas (Ms de 3 Veces)'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'DosPlanif')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Sin Prioridad'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'SinPrio')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Por Prioridad'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="prefijo1" select="'C'"/>
					<xsl:with-param name="prefijo2" select="'A'"/>
					<xsl:with-param name="prefijo3" select="'M'"/>
					<xsl:with-param name="prefijo4" select="'B'"/>
					<xsl:with-param name="tipoBase" select="'Prio'"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:if test="$tipo='Gestor' or $tipo='Maestro'">
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Sin Asignar'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'SinInfor')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				</xsl:if>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Reasignadas'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'ReasigApl')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Reasignadas (Ms de 2 Veces)'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'DosReasig')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Rechazadas'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'Rechaza')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Rechazadas (Ms de 2 Veces)'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'DosRechazos')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
				<xsl:call-template name="muestraTipoDesglose">
					<xsl:with-param name="nombre" select="'Tareas Que Han Estado En Espera'"/>
					<xsl:with-param name="ruta" select="$ruta"/>
					<xsl:with-param name="desgl" select="$desglo"/>
					<xsl:with-param name="tipoBase" select="concat($prefijo,'Waiting')"/>
					<xsl:with-param name="totalA" select="$totalA"/>
					<xsl:with-param name="totalB" select="$totalB"/>
					<xsl:with-param name="totalC" select="$totalC"/>
				</xsl:call-template>
			</table>
		</xsl:if>
</xsl:template>

<xsl:template name="muestraTipoDesgloseCol">
<xsl:param name="nombre"/>
<xsl:param name="ruta"/>	
<xsl:param name="desgl"/>
<xsl:param name="prefijo1" select="''"/>
<xsl:param name="prefijo2" select="''"/>
<xsl:param name="prefijo3" select="''"/>
<xsl:param name="prefijo4" select="''"/>
<xsl:param name="tipoBase"/>
<xsl:param name="tipoResta"/>
<xsl:param name="totalC"/>
	<xsl:variable name="nodosT"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:variable>
	<xsl:variable name="nodosT1"><xsl:if test="string-length($prefijo1)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo1"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
	<xsl:variable name="nodosT2"><xsl:if test="string-length($prefijo2)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo2"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
	<xsl:variable name="nodosT3"><xsl:if test="string-length($prefijo3)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo3"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
	<xsl:variable name="nodosT4"><xsl:if test="string-length($prefijo4)>0"><xsl:call-template name="numNodos"><xsl:with-param name="ruta" select="$ruta"/><xsl:with-param name="prefijo" select="$prefijo4"/><xsl:with-param name="tipoBase" select="$tipoBase"/><xsl:with-param name="tipoResta" select="$tipoResta"/></xsl:call-template></xsl:if></xsl:variable>
		<xsl:choose>
			<xsl:when test="string-length($prefijo4)>0">
				<td align="center"><xsl:value-of select="$nodosT1"/><xsl:if test="string-length($totalC)>0 and not(number($totalC)=0)"> (<xsl:value-of select="ceiling(($nodosT1 div $totalC)*10000) div 100"/>%)</xsl:if></td>
				<td align="center"><xsl:value-of select="$nodosT2"/><xsl:if test="string-length($totalC)>0 and not(number($totalC)=0)"> (<xsl:value-of select="ceiling(($nodosT2 div $totalC)*10000) div 100"/>%)</xsl:if></td>
				<td align="center"><xsl:value-of select="$nodosT3"/><xsl:if test="string-length($totalC)>0 and not(number($totalC)=0)"> (<xsl:value-of select="ceiling(($nodosT3 div $totalC)*10000) div 100"/>%)</xsl:if></td>
				<td align="center"><xsl:value-of select="$nodosT4"/><xsl:if test="string-length($totalC)>0 and not(number($totalC)=0)"> (<xsl:value-of select="ceiling(($nodosT4 div $totalC)*10000) div 100"/>%)</xsl:if></td>
			</xsl:when>
			<xsl:when test="string-length($prefijo2)>0">
				<td align="center"><xsl:value-of select="$nodosT1"/><xsl:if test="string-length($totalC)>0 and not(number($totalC)=0)"> (<xsl:value-of select="ceiling(($nodosT1 div $totalC)*10000) div 100"/>%)</xsl:if></td>
				<td align="center"><xsl:value-of select="$nodosT2"/><xsl:if test="string-length($totalC)>0 and not(number($totalC)=0)"> (<xsl:value-of select="ceiling(($nodosT2 div $totalC)*10000) div 100"/>%)</xsl:if></td>
			</xsl:when>
			<xsl:otherwise>
				<td align="center"><xsl:value-of select="$nodosT"/><xsl:if test="string-length($totalC)>0 and not(number($totalC)=0)"> (<xsl:value-of select="ceiling(($nodosT div $totalC)*10000) div 100"/>%)</xsl:if></td>
			</xsl:otherwise>
		</xsl:choose>
</xsl:template>

<xsl:template name="ConDesglose">
<xsl:param name="ruta" select="DATA/METRICAS/RESULTADO_METRICAS"/>	
<xsl:param name="prefijo" select="''"/>
<xsl:param name="desglo"/>
<xsl:param name="tipo"/>
	<xsl:if test="sum($ruta/@TAREAS)>0">
		<xsl:variable name="totalC" select="sum($ruta[starts-with(@DESGLOSE,concat($prefijo,'Total'))]/@TAREAS)"/>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'Total')"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'Inter')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'Total')"/>
			<xsl:with-param name="tipoResta" select="concat($prefijo,'Inter')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'Exter')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'PorColaGen')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'Puestas')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'AsigDirecta')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'PorColaApl')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'UsuAsig')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:if test="$tipo='Gestor' or $tipo='Maestro'">
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'NoAsignada')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		</xsl:if>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'DumboRap')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:if test="$tipo='Gestor' or $tipo='Maestro'">
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="prefijo1" select="'R'"/>
			<xsl:with-param name="prefijo2" select="'N'"/>
			<xsl:with-param name="tipoBase" select="'OrejResu'"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		</xsl:if>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="prefijo1" select="'U'"/>
			<xsl:with-param name="prefijo2" select="'N'"/>
			<xsl:with-param name="tipoBase" select="'Urg'"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'Planif')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'DosPlanif')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'SinPrio')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="prefijo1" select="'C'"/>
			<xsl:with-param name="prefijo2" select="'A'"/>
			<xsl:with-param name="prefijo3" select="'M'"/>
			<xsl:with-param name="prefijo4" select="'B'"/>
			<xsl:with-param name="tipoBase" select="'Prio'"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:if test="$tipo='Gestor' or $tipo='Maestro'">
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'SinInfor')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		</xsl:if>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'ReasigApl')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'DosReasig')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'Rechaza')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'DosRechazos')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
		<xsl:call-template name="muestraTipoDesgloseCol">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desgl" select="$desglo"/>
			<xsl:with-param name="tipoBase" select="concat($prefijo,'Waiting')"/>
			<xsl:with-param name="totalC" select="$totalC"/>
		</xsl:call-template>
	</xsl:if>
</xsl:template>

<xsl:template name="ColumnasDesglose">
<xsl:param name="ruta"/>
<xsl:param name="desglo"/>
<xsl:param name="prefijo"/>
<xsl:param name="fila"/>
<xsl:param name="txt"/>
<xsl:param name="tipo"/>
<xsl:choose>
	<xsl:when test="$fila='0'">
		<tr class="administracion">
		<td rowspan="2"><b><xsl:value-of select="$txt"/></b></td>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Totales'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Internas'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Externas'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Externas (U.Externos)'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Pasadas Por Cola Genrica'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Solicitadas Por Usuarios'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Asignadas Directamente'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Asignadas Por Cola Aplicaciones'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Asignadas Por Usuarios'"/></xsl:call-template>
		<xsl:if test="$tipo='Gestor' or $tipo='Maestro'">
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas No Asignadas'"/></xsl:call-template>
		</xsl:if>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Dumbos Rpidos'"/></xsl:call-template>
		<xsl:if test="$tipo='Gestor' or $tipo='Maestro'">
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Resueltas Por Orejas'"/><xsl:with-param name="col" select="'2'"/></xsl:call-template>
		</xsl:if>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Por Urgencia'"/><xsl:with-param name="col" select="'2'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Planificadas'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Planificadas (Ms de 3 Veces)'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Sin Prioridad'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Por Prioridad'"/><xsl:with-param name="col" select="'4'"/></xsl:call-template>
		<xsl:if test="$tipo='Gestor' or $tipo='Maestro'">
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Sin Asignar'"/></xsl:call-template>
		</xsl:if>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Reasignadas'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Reasignadas (Ms de 2 Veces)'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Rechazadas'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Rechazadas (Ms de 2 veces)'"/></xsl:call-template>
		<xsl:call-template name="simple"><xsl:with-param name="txt" select="'Tareas Que Han Estado En Espera'"/></xsl:call-template>
		</tr>
	</xsl:when>
	<xsl:when test="$fila='2'">
		<tr class="administracion">
		<xsl:call-template name="doble"><xsl:with-param name="tipo" select="'RN'"/></xsl:call-template>
		<xsl:call-template name="doble"><xsl:with-param name="tipo" select="'UN'"/></xsl:call-template>
		<xsl:call-template name="doble"><xsl:with-param name="tipo" select="'CAMB'"/></xsl:call-template>
		</tr>
	</xsl:when>
	<xsl:otherwise>
		<xsl:call-template name="ConDesglose">
			<xsl:with-param name="ruta" select="$ruta"/>
			<xsl:with-param name="desglo" select="$desglo"/>
			<xsl:with-param name="tipo" select="$tipo"/>
		</xsl:call-template>
	</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="doble">
<xsl:param name="tipo"/>	
<xsl:choose>
	<xsl:when test="$tipo='RN'">
		<td align="center"><i>R</i></td>
		<td align="center"><i>N</i></td>
	</xsl:when>
	<xsl:when test="$tipo='UN'">
		<td align="center"><i>U</i></td>
		<td align="center"><i>N</i></td>
	</xsl:when>
	<xsl:when test="$tipo='CAMB'">
		<td align="center"><i>C</i></td>
		<td align="center"><i>A</i></td>
		<td align="center"><i>M</i></td>
		<td align="center"><i>B</i></td>
	</xsl:when>
</xsl:choose>
</xsl:template>

<xsl:template name="simple">
<xsl:param name="col"/>	
<xsl:param name="txt"/>
<xsl:choose>
	<xsl:when test="string-length($col)>0">
		<td align="center" colspan="{$col}"><b><xsl:value-of select="$txt"/></b></td>
	</xsl:when>
	<xsl:otherwise>
		<td align="center" rowspan="2"><b><xsl:value-of select="$txt"/></b></td>
	</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="cuerpo"/>

</xsl:stylesheet>
