<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>
<xsl:param name="menu"/>
<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>

<xsl:template match="XMLROOT">
<HTML>
  <HEAD>
    <META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
    <META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
    <TITLE>DUMBO7: Buscar <xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informtico'"/></xsl:call-template></TITLE>
	<link REL="stylesheet" HREF="../estilosD.css" TYPE="text/css"/>
	<SCRIPT LANGUAGE="JavaScript">
		function detalleUser(usr) {
			var w = window.open('about:blank','UserDetail','width=400,height=300,left=100,top=100,scrollbars=yes');
			document.detalleUsr.target = w.name;
			document.detalleUsr.user.value = usr;
			document.detalleUsr.submit();
		}
	</SCRIPT>
  </HEAD>
  <BODY class="littlebody" OnLoad="top.endBuscar();">
	<form name="detalleUsr" action="{$servlet}" method="post">
		<input type="hidden" name="module" value="dumbo7/atencion.atender.detalleUser"/>
		<input type="hidden" name="user" value=""/>
	</form>
	<table class="contout">
		<tr class="peticion">
			<td>&#160;</td>
			<td><strong><xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informtico'"/></xsl:call-template></strong></td>
			<td><strong>Nombre</strong></td>
			<td>&#160;</td>
		</tr>
		<tr>
			<td colspan="4">Resultados de buscar: <i><xsl:value-of select="DATA/METRICAS/@PATRON"/></i> (<xsl:value-of select="count(DATA/METRICAS/INFORMATICO)"/> Coincidencias)</td>
		</tr>
		<xsl:if test="string-length(DATA/METRICAS/@ERROR)>0">
		<tr>
			<td colspan="4"><b><xsl:value-of select="DATA/METRICAS/@ERROR"/></b></td>
		</tr>
		</xsl:if>
		<xsl:for-each select="DATA/METRICAS/INFORMATICO">
		<xsl:sort select="concat(@APELLIDOS,@NOMBRE)"/>
		<xsl:variable name="id"><xsl:value-of select="@IDENTIFICADOR"/></xsl:variable>
		<tr>
			<td>[<xsl:value-of select="position()"/>]</td>
			<td><a href="javascript:top.opener.actualiza('{$id}',document);top.close();"><xsl:choose><xsl:when test="string-length(@EMAIL)>0"><xsl:value-of select="@EMAIL"/></xsl:when><xsl:otherwise><xsl:value-of select="@IDENTIFICADOR"/></xsl:otherwise></xsl:choose></a></td>
			<td id="{$id}"><a href="javascript:top.opener.actualiza('{$id}',document);top.close();"><xsl:value-of select="@APELLIDOS"/>, <xsl:value-of select="@NOMBRE"/></a></td>
			<td id="{$id}">[<a href="javascript:detalleUser('{$id}');">+</a>]</td>
		</tr>
		</xsl:for-each>
		<tr class="peticion"><td colspan="4">&#160;</td></tr>
	</table>
  </BODY>
</HTML>

</xsl:template>
<xsl:template name ="cuerpo"/>
</xsl:stylesheet>
	