<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:output method="text"/>
<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="idInput"/>

<xsl:template match="XMLROOT">
		<xsl:if test="count(DATA/METRICAS/USUARIO)=0">
			<xsl:if test="$idInput = 'InfApe'">
				document.getElementById("<xsl:value-of select="$idInput"/>").innerHTML = '<font color="red"><xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informtico'"/></xsl:call-template> Incorrecto!</font>';
				DatosIncorrectosInf = true;
			</xsl:if>
			<xsl:if test="$idInput = 'UsuApe'">
				document.getElementById("<xsl:value-of select="$idInput"/>").innerHTML = '<font color="red">Usuario Incorrecto!</font>';
				DatosIncorrectosUsu = true;
			</xsl:if>
		</xsl:if>
		<xsl:for-each select="DATA/METRICAS/USUARIO">
		<xsl:sort select="concat(@APELLIDOS,@NOMBRE)"/>
			<xsl:if test="$idInput = 'InfApe'">
				DatosIncorrectosInf = false;
			</xsl:if>
			<xsl:if test="$idInput = 'UsuApe'">
				DatosIncorrectosUsu = false;
			</xsl:if>
			document.getElementById("<xsl:value-of select="$idInput"/>").innerHTML = <xsl:call-template name="entrecomillaDescripcion"><xsl:with-param name="descripcion" select="concat(concat(@APELLIDOS,',&#160;'),@NOMBRE)"/></xsl:call-template>;
		</xsl:for-each>
</xsl:template>
<xsl:template name="cuerpo"/>
</xsl:stylesheet>