<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<!--Include para los template que se encargan de jerarquizar el select de secciones-->
<xsl:include href="dumbo7/metricas/html/ArbolEnSelect.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
	<xsl:call-template name="headComun">
		 <xsl:with-param name="calendar" select="not(contains($menu,'Inc'))"/>
		 <xsl:with-param name="jscript">
			<script LANGUAJE="JavaScript">
				function mostrarError(error){
					alert(error);
				}
				<!--Permite que el llegar el foco al final de la pgina vuelva al primer elemento de nuevo-->
				function renuevaTab(){
					document.metricas.SecCod.focus();
				}
				
				<!--Inicio:Filtro de SECCIONES-->
				function SecFiltroOn(){
						if(document.metricas.SecDescrip.value != ""){
							document.metricas.SecDescrip.disabled = !document.metricas.SecDescrip.disabled;
							document.metricas.EstadoSec.disabled = !document.metricas.EstadoSec.disabled;
							document.metricas.SecFiltroIcoOFF.style.display = "none";
							document.metricas.SecFiltroIcoON.style.display = "";
							<!--Elimino todo el contenido del select de SECCIONES-->
							for(i=0;i&lt;document.metricas.SecCod.length;i++){
								document.metricas.SecCod.remove(i);
							}
							document.metricas.SecCod.length = 0;
							<!--Siempre se aade la primera lnea de vaco por esto i empieza por 1-->
							document.metricas.SecCod.options[0] = new Option('&lt;-- Sin Filtro -->','')
							var i = 1;
							var string = document.metricas.SecDescrip.value;
							document.metricas.SecDescrip.value = string.toUpperCase();
							if(document.metricas.EstadoSec.options[document.metricas.EstadoSec.selectedIndex].value == 'V'){
								<xsl:for-each select="DATA/METRICAS/SECCION[@ESTADO = 'V']">
									<xsl:sort select="@DESCRIPCION"/>
									if('<xsl:value-of select="@DESCRIPCION"/>'.indexOf(string.toUpperCase()) >= 0){
										document.metricas.SecCod.options[i] = new Option('<xsl:value-of select="@DESCRIPCION"/>','<xsl:value-of select="@CODIGO"/>');
										i = i +1;	
									}
								</xsl:for-each>
							}
							else{
								<xsl:for-each select="DATA/METRICAS/SECCION">
									<xsl:sort select="@DESCRIPCION"/>
									if('<xsl:value-of select="@DESCRIPCION"/>'.indexOf(string.toUpperCase()) >= 0){
										document.metricas.SecCod.options[i] = new Option('<xsl:value-of select="@DESCRIPCION"/>','<xsl:value-of select="@CODIGO"/>');
										i = i +1;	
									}
								</xsl:for-each>
							}
						}
						else{
							alert("Debe introducir algn patron para el filtro");
						}
					}
									
					function SecFiltroOff(){
							document.metricas.SecDescrip.disabled = !document.metricas.SecDescrip.disabled;
							document.metricas.EstadoSec.disabled = !document.metricas.EstadoSec.disabled;
							document.metricas.SecDescrip.value= "";
							document.metricas.SecFiltroIcoOFF.style.display = "";
							document.metricas.SecFiltroIcoON.style.display = "none";
							<!--Elimino todo el contenido del select de SECCIONES-->
							for(i=0;i&lt;document.metricas.SecCod.length;i++){
								document.metricas.SecCod.remove(i);
							}
							document.metricas.SecCod.length = 0;
							<!--Siempre se aade la primera lnea de vaco por esto i empieza por 1-->
							document.metricas.SecCod.options[0] = new Option('&lt;-- Sin Filtro -->','')
							var i = 1;
							var string = document.metricas.SecDescrip.value;
							document.metricas.SecDescrip.value = string.toUpperCase();
							if(document.metricas.EstadoSec.options[document.metricas.EstadoSec.selectedIndex].value == 'V'){
								<xsl:for-each select="DATA/METRICAS/SECCION[@ESTADO = 'V']">
									<xsl:sort select="@DESCRIPCION"/>
										document.metricas.SecCod.options[i] = new Option('<xsl:value-of select="@DESCRIPCION"/>','<xsl:value-of select="@CODIGO"/>');
										i = i +1;	
								</xsl:for-each>
							}
							else{
								<xsl:for-each select="DATA/METRICAS/SECCION">
									<xsl:sort select="@DESCRIPCION"/>
										document.metricas.SecCod.options[i] = new Option('<xsl:value-of select="@DESCRIPCION"/>','<xsl:value-of select="@CODIGO"/>');
										i = i +1;	
								</xsl:for-each>
							}
					}
					function ChangeEstateSec(estado){
						if(estado == 'V'){
							<!--Estableces la longitud del select puesto que la conoces a priori-->
							<xsl:variable name="SECcantidadV" select="count(DATA/METRICAS/SECCION[@ESTADO = 'V'])"/>
							document.metricas.SecCod.length = <xsl:value-of select="$SECcantidadV +1"/>; 
							document.metricas.SecCod.options[0] = new Option('&lt;-- Sin Filtro -->','');
							var i = 1;
							<xsl:for-each select="DATA/METRICAS/SECCION[@ESTADO = 'V']">
								<xsl:sort select="@DESCRIPCION"/>
									document.metricas.SecCod.options[i] = new Option('<xsl:value-of select="@DESCRIPCION"/>','<xsl:value-of select="@CODIGO"/>');
									i = i+1;
							</xsl:for-each>
						}
						else{
							<!--Estableces la longitud del select puesto que la conoces a priori-->
							<xsl:variable name="SECcantidadN" select="count(DATA/METRICAS/SECCION)"/>
							document.metricas.SecCod.length = <xsl:value-of select="$SECcantidadN +1"/>; 
							document.metricas.SecCod.options[0] = new Option('&lt;-- Sin Filtro -->','');
							var i = 1;
							<xsl:for-each select="DATA/METRICAS/SECCION">
								<xsl:sort select="@DESCRIPCION"/>
									document.metricas.SecCod.options[i] = new Option('<xsl:value-of select="@DESCRIPCION"/>','<xsl:value-of select="@CODIGO"/>');
									i = i+1;
							</xsl:for-each>
						}
					}
				<!--fin:Filtro de SECCIONES-->
				
				function enviarResultados(url){
					if( document.metricas.NumDias.value &lt;= 0 ){
						alert("El nmero de das deber ser mayor que 0!");
						return 0;
					}
					
					//Permite llamar a una pgina y otra en funcion de si se est realizando desglose o no!!!
					if(document.metricas.desglose.checked == true){
						url = url.concat("ResultadoDesglose");
						url = url.concat("&amp;Desglose=sec");
					}
					else{
						url = url.concat("Resultado")
						url = url.concat("&amp;Desglose=NO");
					}	
					
					//Indicas el perfil del que ha generado la metrica (GESTOR O MAESTRO)
					url = url.concat("&amp;perfil=Maestro")
					
					if(document.metricas.Fechas[0].value != ""){
						url = url.concat("&amp;FechaDesde=");
						url = url.concat(document.metricas.Fechas[0].value);
					}
					else{
						url = url.concat("&amp;FechaDesde=DD/MM/AAAA");
					}
					if(document.metricas.Fechas[1].value != ""){
						url = url.concat("&amp;FechaHasta=");
						url = url.concat(document.metricas.Fechas[1].value);
					}
					else{
						url = url.concat("&amp;FechaHasta=DD/MM/AAAA");
					}
				
					
					url = url.concat("&amp;SecCod=");
					url = url.concat(document.metricas.SecCod.value);
					
					url = url.concat("&amp;NumDias=");
					url = url.concat(document.metricas.NumDias.value);
												
					newWindow = window.open(url,'_blanck',"height=700,width=785,status=no,toolbar=no,menubar=no,location=no,scrollbars=1");
					newWindow.moveTo(50,0);
				}
			</script>
			<script LANGUAJE="JavaScript" src="../js/metricas/Calendario.js"></script>
			<script LANGUAJE="JavaScript" src="../js/CompruebaFecha.js"></script>
			<script LANGUAJE="JavaScript" src="../js/metricas/selectDisabled.js"></script>
		</xsl:with-param>
	 </xsl:call-template>

<body>

	<xsl:call-template name="menuComun">
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="NAME" select="concat(DATA/METRICAS/USER/@NAME,concat('(',concat(DATA/METRICAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">metricas.xml#1.3.5</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
	</body>
	</html>
</xsl:template>

<xsl:template name="cuerpo">
			
		<xsl:for-each select="DATA/METRICAS">
			<xsl:if test="not(@ERROR='')">
				<script>mostarError('<xsl:value-of select="@ERROR"/>')</script>
				</xsl:if>
		</xsl:for-each>

	<table border="0" cellpadding="5" align="center" cellspacing="5" width="780">
	<tr><td width="650" class="cab1">&#187;Mtrica +Y das (Maestro)</td></tr>
	<tr><td colspan="2">
	<form action="{$servlet}" METHOD="POST" name="metricas">
		<input type="hidden" name="module" value = "dumbo7/metricas/ydias.formYdiasMaestro"/>
		<table class="cont" id="metricas" border="0" cellpadding="3" cellspacing="1" width="100%" summary="Esta tabla contiene las mtricas">
		<tr class="cabe">
			<td width="450" colspan="2"><b>Parmetros</b></td>
			<td width="150" colspan="2"><b>Periodo</b></td>
		</tr>
		<tr class="administracion">
			<!--Seleccin de seccion. Se podrn seleccionar o 'TODAS' o una seccion en concreto (en este caso se filtra)-->
			<td width="18%">
				Seccin:
			</td>
			<td width="60%">
			<select tabindex="1" name="SecCod" size="1" style="width:220px;">
					<option value=''>&lt;-- Sin Filtro --></option>
					<!--<xsl:for-each select="DATA/METRICAS/SECCION[@ESTADO = 'V']">
						<xsl:sort select="@DESCRIPCION"/>
						<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
					</xsl:for-each>-->
					<xsl:call-template name="muestraSeccionMaestro">
						<xsl:with-param name="nodo" select="DATA/METRICAS"/>
					</xsl:call-template>
				</select>
				&#160;&#160;
				<input tabindex="2" type="text" name="SecDescrip" size="10"/>
				&#160;
				<a href="javascript:SecFiltroOn()"><img id="SecFiltroIcoOFF" style="display:inline" border="0" src="../graficos/iconos/ico_filtroOff.gif" alt="Aplicar Filtrado"/></a>
				<a href="javascript:SecFiltroOff()"><img id="SecFiltroIcoON" style="display:none" border="0" src="../graficos/iconos/ico_filtroOn.gif" alt="Deshacer Filtrado"/></a>
				&#160;<select tabindex="3" name="EstadoSec" size="1" onChange="javascript:ChangeEstateSec(this.options[this.selectedIndex].value)">
						<option value='V' select = "true">Vigentes</option>
						<option value='T'>Todas</option>
					  </select>
			</td>
			<!--Seleccin fecha de inicio de la mtrica-->
			<td width="7%">Desde:&#160;&#160;</td>
			<td width="15%">
			<input tabindex="5" type="text" onChange="changeDate(this)" name="Fechas" id="f_FecDesde" size="11" value=""/>
							<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_a"
								style="cursor: pointer; border: 1px solid red;"
								title="Selecciona Fecha"
								onmouseover="this.style.background='red';"
								onmouseout="this.style.background=''"  />
			</td>
								<script type="text/javascript">
									Calendar.setup({
										inputField     :    "f_FecDesde",
										ifFormat       :    "%d/%m/%Y",
										button         :    "f_trigger_a",
										align          :    "Tl",
										onSelect       :    selectDateDesde,
										singleClick    :    false
										});
								</script>	
			
		</tr>
		<tr class="administracion">
			<!--Seleccin de categora Se podrn seleccionar o 'TODAS' o una categora en concreto (en este caso se filtra)-->
			<td>
				N&#160;de&#160;das:
			</td>
			<td>
				<input tabindex="4" type="text" name="NumDias" size="10" value="10"/>
			</td>
			<!--Seleccin fecha de fin de la mtrica-->
			<td width="150">Hasta:&#160;&#160;</td>
			<td>
				<input tabindex="6" type="text" onChange="changeDate(this)" name="Fechas" id="f_FecHasta" size="11" value = ""/>
						<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_b"
							style="cursor: pointer; border: 1px solid red;"
							title="Selecciona Fecha"
							onmouseover="this.style.background='red';"
							onmouseout="this.style.background=''"/>
			</td>
							<script type="text/javascript">
								Calendar.setup({
								inputField     :    "f_FecHasta",
								ifFormat       :    "%d/%m/%Y",
								button         :    "f_trigger_b",
								align          :    "Tl",
								onSelect       :    selectDateHasta,
								singleClick    :    false
								});
			</script>
		</tr>

		<table class="cont" id="metricas" border="0" cellpadding="3" cellspacing="1" width="100%" summary="Esta tabla contiene las mtricas">
		<!--Seleccin del modo de representacin de datos-->
		<tr class="cabe">
			<td align="left"><b>Presentacin de datos</b></td>
		</tr>
		<tr class="administracion">
			<td width="200">
				&#160;&#160;&#160;&#160;<input name="desglose" type="Checkbox" />&#160;&#160;Desglosar&#160;por&#160;Seccin
			</td>
		</tr>
		<tr class="administracion">
		<td align="center">
			<input tabindex="7" type="button" class="boton" value="Resultados" onclick="javascript:enviarResultados('?module=dumbo7/metricas/ydias.formYdiasMaestro.');"/>
				&#160;&#160;&#160;&#160;
			<input tabindex="8" type="button" class="boton" value="Limpiar Formulario" onblur="renuevaTab()" onclick="javascript:document.metricas.submit();"/>
		</td>
		</tr>
		</table>
	</table>
	</form>
	</td></tr>
	</table>
	
</xsl:template>

</xsl:stylesheet>