<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:variable name="codigo"/>
<xsl:variable name="infCod"/>
	
<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
			<script LANGUAJE="JavaScript">
				function mostrarError(error){
					alert(error);
				}
				function EnviarEmail(url){
					if(document.notificacion.TarCod[document.notificacion.TarCod.selectedIndex].value != "NINGUNA"){
						document.notificacion.module.value = url;
						document.notificacion.submit();
					}
					else{
						alert("Debe Seleccionar una TAREA");	
					}
				}
			</script>
		</xsl:with-param>
	   </xsl:call-template>

<body>
	<xsl:call-template name="menuComun">
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
	</body>

	</html>
</xsl:template>

<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/NOTIFICACIONES">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
			</xsl:if>
	</xsl:for-each>
<table border="0" cellpadding="5" cellspacing="5" width="780" height="16" summary="Esta tabla contiene una lista de Aplicaciones">
	<tr><td width="300" colspan="3">LISTA DE NOTIFICACIONES POSIBLES</td></tr>
	<form action="{$servlet}" METHOD="POST" name="notificacion">
		<input type="hidden" name="module"/>
		
		
			<tr><td colspan="3">
			<b>Eleccin de Tarea:</b>
			<select name="TarCod" size="1">
				<option value="NINGUNA">- - - - - - - </option>
				<xsl:for-each select="DATA/NOTIFICACIONES/TAREAS">
					<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
				</xsl:for-each>	
			</select>
			
			<b>Eleccin de Informatico:</b>
			<select name="InfCod" size="1">
				<option value="NINGUNA">- - - - - - - </option>
				<xsl:for-each select="DATA/NOTIFICACIONES/INFORMATICO">
					<option value="{@CODIGO}"><xsl:value-of select="@CODIGO"/></option>
				</xsl:for-each>	
			</select>
			
			
		</td></tr>
		<tr><td align="center" colspan="3"><b>USUARIO</b></td></tr>
		<tr>
			<!--<td><input type="submit" class="boton" value="Notificacion Usuario Asignacion" onclick="javascript:document.notificacion.module.value='dumbo7/notificaciones.index.NotUsuAsig'"/></td>-->
			<!-- <a href="JavaScript:CambiarEstado('{$servlet}?module=dumbo7/administracion/categorias.index.cambiar&amp;catCod={@CODIGO}','NO VIGENTE')-->
			<!--	<td><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotUsuAsig&amp;tarCod={}');">Notificacion_Usuario_Asignacion</a></td>-->
			<td><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotUsuAsig');">Notificacion_Usuario_Asignacion</a></td>
			<td><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotUsuEsp');">Notificacion_Usuario_Espera</a></td> 
			<td><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotUsuAnu');">Notificacion_Usuario_Anulacion</a></td>
		</tr>
		<tr> 
			<td><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotUsuReas');">Notificacion_Usuario_Reasignacin</a></td>
			<td><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotUsuReac');">Notificacion_Usuario_Reactivacin</a></td>
			<td><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotUsuReso');">Notificacion_Usuario_Resolucin</a></td>
			<td><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotUsuInfor');">Notificacion_Usuario_Informe</a></td>
		 </tr>
		<tr><td colspan="2"><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotUsuResoTlf');">Notificacion_Usuario_Resolucin_Telefnica</a></td></tr>
		
		<tr><td align="center" colspan="3"><b>INFORMATICO</b></td></tr>	
		<tr>
			<td><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotInfAsig');">Notificacion_Informtico_Asignacion</a></td>
			<td><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotInfCamb');">Notificacion_Informtico_Cambio</a></td>
			<td><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotInfAnu');">Notificacion_Informtico_Anulacion</a></td>
    	</tr>
		
		<tr>
			<td><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotInfReas');">Notificacion_Informtico_RE-Asignacion</a></td>
			<td><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotInfReac');">Notificacion_Informtico_Reactivacin</a></td>
		</tr>
		<tr>
			<td><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotUsuPlanif');">Notificacion_Usuario_Planificacin</a></td>
			<td><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotInfRech');">Notificacion_Informtico_Rechazo</a></td>
		</tr>		
		
		<tr><td colspan="2"><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotInfRechPasoEspera');">Notificacion_Informtico_Rechazo_Paso_A_Espera</a></td></tr>
		<tr><td colspan="2"><a href="javascript:EnviarEmail('dumbo7/notificaciones.index.NotInfReacAnu');">Notificacion_Informtico_Reactivacin_Anulacion</a></td></tr>
		
	</form>
</table>
</xsl:template>

</xsl:stylesheet>
	