<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:variable name="codigo"/>
<xsl:variable name="infCod"/>
	
<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
	<xsl:call-template name="headComun">
		<xsl:with-param name="ERROR" select="DATA/NOTIFICACIONES/@ERROR"/>
	</xsl:call-template>
<body>
	<xsl:call-template name="menuComun">
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">notificaciones.xml#7.2</xsl:with-param>
	</xsl:call-template>

	<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
	<br/>
	<table>
		<tr><td>&#160;</td><td><b>Resultado Carga Plantillas</b></td></tr>
		<tr><td>&#160;</td><td><hr width="100%"/></td></tr>
		<tr><td>&#160;</td><td><pre><xsl:value-of select="DATA/NOTIFICACIONES/MENSAJE"/></pre></td></tr>
	</table>
</xsl:template>

</xsl:stylesheet>
	