<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:variable name="codigo"/>
<xsl:variable name="infCod"/>
	
<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
   <xsl:call-template name="headComun">
		<xsl:with-param name="ERROR" select="DATA/NOTIFICACIONES/@ERROR"/>
   </xsl:call-template>

<body>
	<xsl:call-template name="menuComun">
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">notificaciones.xml#7.4</xsl:with-param>
	</xsl:call-template>
	<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
	<br/>
	<table class="cab1">
		<tr>
			<td>Informe de tareas quincenal</td>
		</tr>
	</table>
	<form name="" action="{$servlet}">
	<input type="hidden" name="module" value="dumbo7/notificaciones.rechazarInforme"/>
	<table class="contout" width="60%">
		<tr class="titulo">
			<td><input type="radio" name="informe" value="S"><xsl:if test="DATA/NOTIFICACIONES/MENSAJE='S'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>Habilitar el envo quincenal del informe de tareas pendientes.</td>
		</tr>
		<tr class="titulo">
			<td><input type="radio" name="informe" value="N"><xsl:if test="DATA/NOTIFICACIONES/MENSAJE='N'"><xsl:attribute name="checked">true</xsl:attribute></xsl:if></input>Deshabilitar el envo quincenal del informe de tareas pendientes.</td>
		</tr>
		<tr>
			<td><input class="boton" type="submit" value="Aceptar"/></td>
		</tr>
	</table>
	</form>
</xsl:template>

</xsl:stylesheet>
	