<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="selected"/>
<xsl:param name="tarea"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:include href="atica/frameweb/xml/templates/paginable.xsl"/>

	
<xsl:template match="XMLROOT">
<html lang="es">
<xsl:call-template name="headComun">
	<xsl:with-param name="jscript">
		<SCRIPT LANGUAGE="JavaScript" SRC="../js/utils/cola.js"></SCRIPT>
		<SCRIPT LANGUAGE="JavaScript" SRC="/forja/jquery/jquery.js"></SCRIPT>
		<SCRIPT LANGUAGE="JavaScript">
			$(document).ready(function(){
        		$("div#edificios").load("<xsl:value-of select="$servlet"/>",{module:"dumbo7/solicitudes.datosEdificio", code:document.newSol.ZonaCod.options[0].value});		
        			$("select[@name=ZonaCod]").change(function(){
						codigo = $(this).val(); 
						$("div#edificios").load("<xsl:value-of select="$servlet"/>",{module:"dumbo7/solicitudes.datosEdificio", code:codigo});		
				});
			});
			
			function devolver_datos(codigo,nombre){
				top.opener.document.newSol.tarEDUbicacion.value = codigo;
				top.opener.document.newSol.desed.value = nombre;
				top.close();
			}
		</SCRIPT>
		</xsl:with-param>
	</xsl:call-template>
<body>
	<form name="newSol" action="{$servlet}" method="post" onsubmit="return false;">
	<table class="contout">
		<tr class="peticion">
			<td colspan="2"><b>Seleccione una ubicacin</b></td>
		</tr>
		<tr>
		<td>
		<table>
		<tr>
		<td align="center">
			<table cellpadding="0" cellspacing="0">
			<tr class="incidencia">
				<td>
					ZONAS&#160;:
					<select name="ZonaCod" size="1">
						<xsl:call-template name="muestraZona">
							<xsl:with-param name="nodo" select="DATA/SOLICITUDES"/>
						</xsl:call-template>
					</select>&#160;
				</td>
			</tr>
			</table>
		</td>
		</tr>
		<tr>
		<td class="administracion" colspan="4">
				Edificios asociados a la zona seleccionada:
				<div id="edificios">
				</div>
			</td>
		</tr>
		</table>
		</td>
		</tr>
	</table>
	</form>
</body>
</html>
</xsl:template>
<!--Plantillas para recorrer las diferentes zonas -->
<xsl:template name="muestraZona">
	<xsl:param name="nodo"/>
   	<xsl:for-each select="DATA/SOLICITUDES/ZONAS_REALES">	
			<xsl:sort select="number(@CODIGO)" data-type="number"/>
   	    	<option value="{@CODIGO}"><xsl:value-of select="@NOMBRE"/></option>
		</xsl:for-each>
</xsl:template>
<xsl:template name="cuerpo"></xsl:template>
</xsl:stylesheet>
