<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">

	<xsl:call-template name="headComun"/>

<body>
<xsl:call-template name="menuComun">
	<xsl:with-param name="MENU" select="DATA/MENU"/>
	<xsl:with-param name="SELECT" select="$menu"/>
</xsl:call-template>
<p>&#160;</p>
<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
<form name="otra" action="{$servlet}" method="post">
<input type="hidden" name="module" value="dumbo7/solicitudes.solicita"/>
<input type="hidden" name="menu" value="{$menu}"/>
</form>
<br/>
<table class="contout">
<tr class="peticion"><td><strong>Resultado</strong></td></tr>
<tr><td>
	<table>
		<xsl:choose>
			<xsl:when test="DATA/SOLICITUDES/@ERROR=''">
				Su solicitud ha sido registrada correctamente:&#160;
				<i><xsl:value-of select="DATA/SOLICITUDES/@MESSAGE"/></i>
				<br/><center><a href="javascript:document.otra.submit();">Solicitar Otro Dumbo Rpido</a></center>
			</xsl:when>
			<xsl:otherwise>
				Su solicitud no ha podido registrarse debido a un problema:&#160;
				<i><font color="red"><xsl:value-of select="DATA/SOLICITUDES/@ERROR"/></font></i>
				<br/><center><a href="javascript:history.back();">Volver</a></center>
			</xsl:otherwise>
		</xsl:choose>
	</table>
</td></tr>
</table>
</xsl:template>

</xsl:stylesheet>
	