<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>	
<xsl:param name="selected"/>	
<xsl:param name="page"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:include href="dumbo7/utils/xsl/detail.xsl"/>
<xsl:include href="atica/frameweb/xml/templates/paginable.xsl"/>

<xsl:template match="XMLROOT">

<html lang="es">

	<xsl:call-template name="headComun">
		<xsl:with-param name="calendar" select="true()"/>
		<xsl:with-param name="arbol" select="true()"/>
		<xsl:with-param name="jscript">
			<SCRIPT LANGUAGE="JavaScript">
			</SCRIPT>
		</xsl:with-param>
	</xsl:call-template>

<body>
<ul class="tree">
	<li class="closed">Solicitudes Por Resolver
		<ul>
			<xsl:for-each select="DATA/SOLICITUDES[1]/PAGINAS/ITEM">
				<li><a href="#"><xsl:value-of select="@ASUNTO"/></a></li>
			</xsl:for-each>
			<xsl:if test="count(DATA/SOLICITUDES[1]/PAGINAS/ITEM)>0">
				<li>
					<xsl:call-template name="PIE-LISTA-SIMPLE">
						<xsl:with-param name="DATOS" select="DATA/SOLICITUDES[1]/PAGINAS"/>
					</xsl:call-template>
				</li>
			</xsl:if>
			<xsl:if test="count(DATA/SOLICITUDES[1]/PAGINAS/ITEM)=0">
				<li><i>No Dispone de Solicitudes Por Resolver</i></li>
			</xsl:if>
		</ul>	
	</li>
	<li class="closed">Solicitudes Resueltas
		<ul>
			<xsl:for-each select="DATA/SOLICITUDES[2]/PAGINAS/ITEM">
				<li><a href="#"><xsl:value-of select="@ASUNTO"/></a></li>
			</xsl:for-each>
			<xsl:if test="count(DATA/SOLICITUDES[2]/PAGINAS/ITEM)>0">
				<li>
					<xsl:call-template name="PIE-LISTA-SIMPLE">
						<xsl:with-param name="DATOS" select="DATA/SOLICITUDES[2]/PAGINAS"/>
					</xsl:call-template>
				</li>
			</xsl:if>
			<xsl:if test="count(DATA/SOLICITUDES[2]/PAGINAS/ITEM)=0">
				<li><i>No Dispone de Solicitudes Resueltas</i></li>
			</xsl:if>
		</ul>	
	</li>
	<xsl:if test="count(DATA/SECURITY[@MODULE='dumbo7/solicitudes']/ACTION[@NAME='programadas'])>0">
	<li class="closed">Solicitudes Programadas
		<ul>
			<xsl:for-each select="DATA/SOLICITUDES[3]/PAGINAS/ITEM">
				<li><a href="#"><xsl:value-of select="@ASUNTO"/></a></li>
			</xsl:for-each>
			<xsl:if test="count(DATA/SOLICITUDES[3]/PAGINAS/ITEM)>0">
				<li>
					<xsl:call-template name="PIE-LISTA-SIMPLE">
						<xsl:with-param name="DATOS" select="DATA/SOLICITUDES[3]/PAGINAS"/>
					</xsl:call-template>
				</li>
			</xsl:if>
			<xsl:if test="count(DATA/SOLICITUDES[3]/PAGINAS/ITEM)=0">
				<li><i>No Dispone de Solicitudes Programadas</i></li>
			</xsl:if>
		</ul>	
	</li>
	</xsl:if>
</ul>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
</xsl:template>
</xsl:stylesheet>
	