package dumbo7.utils;

import dumbo7.utils.base.BaseD7AliasCorreo;

/**
 * This is the object class that relates to the DUMBO.D7_PARAMETROS table.
 * Any customizations belong here.
 */
public class D7AliasCorreo extends BaseD7AliasCorreo {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7AliasCorreo () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7AliasCorreo (
		java.lang.String _aliasSisCod,
		java.lang.String _aliasCorreo) {

		super (
			_aliasSisCod,
			_aliasCorreo);
	}

	/**
	 * Constructor for required fields
	 */
	public D7AliasCorreo (
		java.lang.String _aliasSisCod,
		java.lang.String _aliasCorreo,
		dumbo7.utils.D7Sistemas _sistema) {

		super (
			_aliasSisCod,
			_aliasCorreo,
			_sistema);
	}
/*[CONSTRUCTOR MARKER END]*/
}