package dumbo7.utils;

import dumbo7.utils.base.BaseD7AplicacionesFichas;


/**
 * This is the object class that relates to the DUMBO.D7_ZONAS_INFORMATICOS table.
 * Any customizations belong here.
 */
public class D7AplicacionesFichas extends BaseD7AplicacionesFichas {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7AplicacionesFichas () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7AplicacionesFichas (
			java.lang.String ficsiscod,
			java.lang.String ficaplcod,
			java.lang.Integer ficapfcod){

		super (
				ficsiscod,
				ficaplcod,
				ficapfcod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7AplicacionesFichas (
			java.lang.String ficsiscod,
			java.lang.String ficaplcod,
			java.lang.Integer ficapfcod,
			java.lang.String ficapftexto,
			java.lang.String ficseccod,
			java.util.Date ficfecactualiza) {

		super (
				ficsiscod,
				ficaplcod,
				ficapfcod,
				ficapftexto,
				ficseccod,
				ficfecactualiza);
	}
/*[CONSTRUCTOR MARKER END]*/
	

}