package dumbo7.utils;

import dumbo7.utils.base.BaseD7AplicacionesMaximos;

/**
 * This is the object class that relates to the DUMBO.D7_APLICACIONES_MAXIMOS table.
 * Any customizations belong here.
 */
public class D7AplicacionesMaximos extends BaseD7AplicacionesMaximos {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7AplicacionesMaximos () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7AplicacionesMaximos (
		java.lang.String _amaSisCod,
		java.lang.String _amaTipCod,
		java.lang.String _amaPriCod,
		java.lang.String _amaAplCod) {

		super (
			_amaSisCod,
			_amaTipCod,
			_amaPriCod,
			_amaAplCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7AplicacionesMaximos (
		java.lang.String _amaSisCod,
		java.lang.String _amaTipCod,
		java.lang.String _amaPriCod,
		java.lang.String _amaAplCod,
		dumbo7.utils.D7Sistemas _sistema,
		java.math.BigDecimal _amaDias) {

		super (
			_amaSisCod,
			_amaTipCod,
			_amaPriCod,
			_amaAplCod,
			_sistema,
			_amaDias);
	}
/*[CONSTRUCTOR MARKER END]*/
}