package dumbo7.utils;

import dumbo7.utils.base.BaseD7AplicacionesParametros;

/**
 * This is the object class that relates to the DUMBO.D7_APLICACIONES_PARAMETROS table.
 * Any customizations belong here.
 */
public class D7AplicacionesParametros extends BaseD7AplicacionesParametros {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7AplicacionesParametros () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7AplicacionesParametros (
		java.lang.String _apaSisCod,
		java.lang.String _apaAplCod,
		java.lang.String _apaTipCod) {

		super (
			_apaSisCod,
			_apaAplCod,
			_apaTipCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7AplicacionesParametros (
		java.lang.String _apaSisCod,
		java.lang.String _apaAplCod,
		java.lang.String _apaTipCod,
		dumbo7.utils.D7Sistemas _sistema) {

		super (
			_apaSisCod,
			_apaAplCod,
			_apaTipCod,
			_sistema);
	}
/*[CONSTRUCTOR MARKER END]*/
}