package dumbo7.utils;

import dumbo7.utils.base.BaseD7Categorias;

/**
 * This is the object class that relates to the DUMBO.D7_CATEGORIAS table.
 * Any customizations belong here.
 */
public class D7Categorias extends BaseD7Categorias {

	public static Integer CAT_DUMBO_RAPIDO_INC = new Integer(-1);
	public static Integer CAT_DUMBO_RAPIDO_PET = new Integer(0);
	
/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7Categorias () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7Categorias (
		java.lang.String _catSisCod,
		java.lang.Integer _catCod) {

		super (
			_catSisCod,
			_catCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7Categorias (
		java.lang.String _catSisCod,
		java.lang.Integer _catCod,
		dumbo7.utils.D7Sistemas _sistema,
		dumbo7.utils.D7TiposTareas _tipoTarea,
		dumbo7.utils.D7Secciones _seccion,
		dumbo7.utils.D7Categorias _catPadre,
		java.lang.String _catDescrip,
		java.lang.String _catEstado,
		java.lang.String _catSecCod,
		java.lang.String _catTipCod) {

		super (
			_catSisCod,
			_catCod,
			_sistema,
			_tipoTarea,
			_seccion,
			_catPadre,
			_catDescrip,
			_catEstado,
			_catSecCod,
			_catTipCod);
	}
/*[CONSTRUCTOR MARKER END]*/
	
	public D7Categorias clonarCategoria() {
		D7Categorias mc = new D7Categorias();
		mc.setCatCod(this.getCatCod());
		mc.setCatDescrip(this.getCatDescrip());
		mc.setCatEstado(this.getCatEstado());
		mc.setCatSisCod(this.getCatSisCod());
		mc.setCatSecCod(this.getCatSecCod());
		mc.setCatCatCod(this.getCatCatCod());
		mc.setCatTipCod(this.getCatTipCod());
		mc.setCatTiempoEst(this.getCatTiempoEst());
		return mc;
	}
	
}