package dumbo7.utils;

import dumbo7.utils.base.BaseD7DatosTrabajador;

/**
 * This is the object class that relates to the DUMBO.D7_DATOS_PERSONALES table.
 * Any customizations belong here.
 */
public class D7DatosTrabajador extends BaseD7DatosTrabajador {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7DatosTrabajador () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7DatosTrabajador (java.lang.String _datIdentificador) {
		super(_datIdentificador);
	}

	/**
	 * Constructor for required fields
	 */
	public D7DatosTrabajador (
		java.lang.String _datIdentificador,
		java.lang.String _datLetra,
		java.lang.String _datApellidos,
		java.lang.String _datNombre,
		java.lang.String _datEmail) {

		super (
			_datIdentificador,
			_datLetra,
			_datApellidos,
			_datNombre,
			_datEmail);
	}

/*[CONSTRUCTOR MARKER END]*/
	
	protected java.util.Vector responsable = new java.util.Vector();
	public void addResponsable(String s) { responsable.addElement(s); }
	public java.util.Vector getResponsable() { return responsable; }
	
}