package dumbo7.utils;

import dumbo7.utils.base.BaseD7Empresas;

/**
 * This is the object class that relates to the DUMBO.D7_EMPRESAS table.
 * Any customizations belong here.
 */
public class D7Empresas extends BaseD7Empresas {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7Empresas () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7Empresas (
			java.lang.String _empSiscod,
			java.lang.String _empEmail) {

		super (
				_empSiscod,
				_empEmail);
	}

	/**
	 * Constructor for required fields
	 */
	public D7Empresas (
		java.lang.String _empSiscod,
		java.lang.String _empEmail,
		dumbo7.utils.D7Sistemas _sistema,
		java.lang.String _empNombre,
		java.lang.String _empCIF,
		java.lang.String _empDireccion,
		java.lang.String _empPoblacion,
		java.lang.String _empProvincia,
		java.lang.String _empCodigoPostal,
		java.lang.String _empContacto1,
		java.lang.String _empTelefono1,
		java.lang.String _empContacto2,
		java.lang.String _empTelefono2,
		java.lang.String _empObservaciones) {

		super (
				_empSiscod,
				_empEmail,
				_sistema,
				_empNombre,
				_empCIF,
				_empDireccion,
				_empPoblacion,
				_empProvincia,
				_empCodigoPostal,
				_empContacto1,
				_empTelefono1,
				_empContacto2,
				_empTelefono2,
				_empObservaciones);
	}
/*[CONSTRUCTOR MARKER END]*/
}