package dumbo7.utils;

import dumbo7.utils.base.BaseD7EmpresasAplicaciones;

/**
 * This is the object class that relates to the DUMBO.D7_APLICACIONES_INFORMATICOS table.
 * Any customizations belong here.
 */
public class D7EmpresasAplicaciones extends BaseD7EmpresasAplicaciones {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7EmpresasAplicaciones () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7EmpresasAplicaciones (
		java.lang.String _eapEmpEmail,
		java.lang.String _eapSisCod,
		java.lang.String _eapAplCod) {

		super (
				_eapEmpEmail,
				_eapSisCod,
				_eapAplCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7EmpresasAplicaciones (
		java.lang.String _eapEmpEmail,
		java.lang.String _eapSisCod,
		java.lang.String _eapAplCod,
		dumbo7.utils.D7Empresas _empresa,
		dumbo7.utils.D7Sistemas _sistema,
		dumbo7.utils.D7Aplicaciones _aplicacion) {

		super (
			_eapEmpEmail,
			_eapSisCod,
			_eapAplCod,
			_empresa,
			_sistema,
			_aplicacion);
	}
/*[CONSTRUCTOR MARKER END]*/
	
}