package dumbo7.utils;

import dumbo7.utils.base.BaseD7EmpresasMovimientos;

/**
 * This is the object class that relates to the DUMBO.D7_APLICACIONES_INFORMATICOS table.
 * Any customizations belong here.
 */
public class D7EmpresasMovimientos extends BaseD7EmpresasMovimientos {
	
	public static final String ASIGNADA = "A";
	public static final String DESASIGNADA = "D";

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7EmpresasMovimientos () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7EmpresasMovimientos (
		java.lang.String _emoSisCod,
		java.lang.Integer _emoTarCod,
		java.lang.Integer _emoCod) {

		super (
				_emoSisCod,
				_emoTarCod,
				_emoCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7EmpresasMovimientos (
		java.lang.String _emoSisCod,
		java.lang.Integer _emoTarCod,
		java.lang.Integer _emoCod,
		dumbo7.utils.D7Empresas _empresa,
		dumbo7.utils.D7Sistemas _sistema,
		dumbo7.utils.D7Tareas _tarea,
		java.lang.String _emoEmpEmail,
		java.lang.String _emoInfCod,
		java.util.Date _emoFechaMov,
		java.lang.String _emoTipoMov,
		java.lang.String _emoDescripMov) {

		super (
				_emoSisCod,
				_emoTarCod,
				_emoCod,
			_empresa,
			_sistema,
			_tarea,
			_emoEmpEmail,
			_emoInfCod,
			_emoFechaMov,
			_emoTipoMov,
			_emoDescripMov);
	}
/*[CONSTRUCTOR MARKER END]*/
	
}