package dumbo7.utils;

import dumbo7.utils.base.BaseD7GruposCostes;

/**
 * This is the object class that relates to the DUMBO.D7_GRUPOS_COSTES table.
 * Any customizations belong here.
 */
public class D7GruposCostes extends BaseD7GruposCostes {

	public static String GRUPO_INICIAL = "INI";
	
/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7GruposCostes () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7GruposCostes (
		java.lang.String _gcoSisCod,
		java.lang.String _gcoCod) {

		super (
			_gcoSisCod,
			_gcoCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7GruposCostes (
		java.lang.String _gcoSisCod,
		java.lang.String _gcoCod,
		dumbo7.utils.D7Sistemas _sistema) {

		super (
			_gcoSisCod,
			_gcoCod,
			_sistema);
	}
/*[CONSTRUCTOR MARKER END]*/
}