package dumbo7.utils;

import dumbo7.utils.base.BaseD7Horarios;

/**
 * This is the object class that relates to the DUMBO.D7_ZONAS_INFORMATICOS table.
 * Any customizations belong here.
 */
public class D7Horarios extends BaseD7Horarios {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7Horarios () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7Horarios (
			java.lang.String _horSisCod,
			java.lang.Integer _horTurCod,
			java.lang.String _horInfCod,
			java.util.Date _horFecha){

		super (
				_horSisCod,
				_horTurCod,
				_horInfCod,
				_horFecha);
	}

	/**
	 * Constructor for required fields
	 */
	public D7Horarios (
			java.lang.String _horSisCod,
			java.lang.Integer _horTurCod,
			java.lang.String _horInfCod,
			java.util.Date _horFecha,
			java.lang.String _horTipo,
			java.util.Date _horFecmodif,
			java.lang.String _horUsuCod,
			java.lang.String _horAusencia,
			java.lang.String _horMotivo) {

		super (
				_horSisCod,
				_horTurCod,
				_horInfCod,
				_horFecha,
				_horTipo,
				_horFecmodif,
				_horUsuCod,
				_horAusencia,
				_horMotivo);
	}
/*[CONSTRUCTOR MARKER END]*/
	

}