package dumbo7.utils;

import dumbo7.utils.base.BaseD7Parametros;

/**
 * This is the object class that relates to the DUMBO.D7_PARAMETROS table.
 * Any customizations belong here.
 */
public class D7Parametros extends BaseD7Parametros {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7Parametros () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7Parametros (
		java.lang.String _parSisCod,
		java.lang.String _parParametro) {

		super (
			_parSisCod,
			_parParametro);
	}

	/**
	 * Constructor for required fields
	 */
	public D7Parametros (
		java.lang.String _parSisCod,
		java.lang.String _parParametro,
		dumbo7.utils.D7Sistemas _sistema) {

		super (
			_parSisCod,
			_parParametro,
			_sistema);
	}
/*[CONSTRUCTOR MARKER END]*/
}