package dumbo7.utils;

import dumbo7.utils.base.BaseD7ParametrosMaximos;

/**
 * This is the object class that relates to the DUMBO.D7_PARAMETROS_MAXIMOS table.
 * Any customizations belong here.
 */
public class D7ParametrosMaximos extends BaseD7ParametrosMaximos {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7ParametrosMaximos () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7ParametrosMaximos (
		java.lang.String _pmxSisCod,
		java.lang.String _pmxTipCod,
		java.lang.String _pmxPriCod) {

		super (
			_pmxSisCod,
			_pmxTipCod,
			_pmxPriCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7ParametrosMaximos (
		java.lang.String _pmxSisCod,
		java.lang.String _pmxTipCod,
		java.lang.String _pmxPriCod,
		dumbo7.utils.D7Sistemas _sistema,
		java.math.BigDecimal _pmxDias) {

		super (
			_pmxSisCod,
			_pmxTipCod,
			_pmxPriCod,
			_sistema,
			_pmxDias);
	}
/*[CONSTRUCTOR MARKER END]*/
}