package dumbo7.utils;

import dumbo7.utils.base.BaseD7Plantillas;

/**
 * This is the object class that relates to the DUMBO.D7_PLANTILLAS table.
 * Any customizations belong here.
 */
public class D7Plantillas extends BaseD7Plantillas {

	
/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7Plantillas () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7Plantillas (
			java.lang.String _plaSisCod,
			java.lang.Integer _plaCod) {
		super (
			_plaSisCod,
			_plaCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7Plantillas (
			java.lang.String _plaSisCod,
			java.lang.Integer _plaCod,
			dumbo7.utils.D7Sistemas _sistema,
			java.lang.String _plaNombre,
			java.lang.String _plaInterna,
			java.lang.String _plaSolDumbo,
			java.lang.String _plaEstado,
			java.lang.String _plaAplCod,
			java.lang.String _plaURL) {

		super (
			_plaSisCod,
			_plaCod,
			_sistema,
			_plaNombre,
			_plaInterna,
			_plaSolDumbo,
			_plaEstado,
			_plaAplCod,
			_plaURL);
	}
/*[CONSTRUCTOR MARKER END]*/
}