package dumbo7.utils;

import dumbo7.utils.base.BaseD7Prioridades;

/**
 * This is the object class that relates to the DUMBO.D7_PRIORIDADES table.
 * Any customizations belong here.
 */
public class D7Prioridades extends BaseD7Prioridades {

	public static final String ALTA = "A";
	public static final String MEDIA = "M";
	public static final String BAJA = "B";
	public static final String CRITICA = "C";
	public static final String PLANIFICACION = "P";
	
/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7Prioridades () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7Prioridades (
		java.lang.String _priSisCod,
		java.lang.String _priCod) {

		super (
			_priSisCod,
			_priCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7Prioridades (
		java.lang.String _priSisCod,
		java.lang.String _priCod,
		dumbo7.utils.D7Sistemas _sistema,
		java.lang.String _priDescrip) {

		super (
			_priSisCod,
			_priCod,
			_sistema,
			_priDescrip);
	}
/*[CONSTRUCTOR MARKER END]*/
}