package dumbo7.utils;

import dumbo7.utils.base.BaseD7Secciones;

/**
 * This is the object class that relates to the DUMBO.D7_SECCIONES table.
 * Any customizations belong here.
 */
public class D7Secciones extends BaseD7Secciones {

	public static String SECCION_INICIAL = "INI";
	
/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7Secciones () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7Secciones (
		java.lang.String _secSisCod,
		java.lang.String _secCod) {

		super (
			_secSisCod,
			_secCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7Secciones (
		java.lang.String _secSisCod,
		java.lang.String _secCod,
		dumbo7.utils.D7Sistemas _sistema,
		dumbo7.utils.D7Secciones _secPadre,
		java.lang.String _secIdRespon,
		java.lang.String _secDescrip,
		java.lang.String _secEstado,
		java.lang.String _secSecCod) {

		super (
			_secSisCod,
			_secCod,
			_sistema,
			_secPadre,
			_secIdRespon,
			_secDescrip,
			_secEstado,
			_secSecCod);
	}
/*[CONSTRUCTOR MARKER END]*/
	
	public D7Secciones clonarSeccion() {
		D7Secciones ms = new D7Secciones();
		ms.setSecCod(this.getSecCod());
		ms.setSecDescrip(this.getSecDescrip());
		ms.setSecEstado(this.getSecEstado());
		ms.setSecSisCod(this.getSecSisCod());
		ms.setSecSecCod(this.getSecSecCod());
		ms.setSecIdRespon(this.getSecIdRespon());
		return ms;
	}
	
	
}