package dumbo7.utils;

import dumbo7.utils.base.BaseD7SeccionesMaximos;

/**
 * This is the object class that relates to the DUMBO.D7_SECCIONES_MAXIMOS table.
 * Any customizations belong here.
 */
public class D7SeccionesMaximos extends BaseD7SeccionesMaximos {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7SeccionesMaximos () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7SeccionesMaximos (
		java.lang.String _maxSisCod,
		java.lang.String _maxTipCod,
		java.lang.String _maxPriCod,
		java.lang.String _maxSecCod) {

		super (
			_maxSisCod,
			_maxTipCod,
			_maxPriCod,
			_maxSecCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7SeccionesMaximos (
		java.lang.String _maxSisCod,
		java.lang.String _maxTipCod,
		java.lang.String _maxPriCod,
		java.lang.String _maxSecCod,
		dumbo7.utils.D7Sistemas _sistema,
		java.math.BigDecimal _maxDias) {

		super (
			_maxSisCod,
			_maxTipCod,
			_maxPriCod,
			_maxSecCod,
			_sistema,
			_maxDias);
	}
/*[CONSTRUCTOR MARKER END]*/
}