package dumbo7.utils;

import dumbo7.utils.base.BaseD7SistemasNoticias;

/**
 * This is the object class that relates to the DUMBO.D7_SISTEMAS_NOTICIAS table.
 * Any customizations belong here.
 */
public class D7SistemasNoticias extends BaseD7SistemasNoticias {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7SistemasNoticias () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7SistemasNoticias (
		java.lang.String _snoSisCod,
		java.lang.Integer _snoCod) {

		super (
			_snoSisCod,
			_snoCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7SistemasNoticias (
		java.lang.String _snoSisCod,
		java.lang.Integer _snoCod,
		dumbo7.utils.D7Sistemas _sistema,
		java.lang.String _snoIndGen,
		java.util.Date _snoFecha,
		java.lang.String _snoAsunto,
		java.lang.String _snoTexto,
		java.util.Date _snoFechaIni,
		java.util.Date _snoFechaFin) {

		super (
			_snoSisCod,
			_snoCod,
			_sistema,
			_snoIndGen,
			_snoFecha,
			_snoAsunto,
			_snoTexto,
			_snoFechaIni,
			_snoFechaFin);
	}
/*[CONSTRUCTOR MARKER END]*/
}