package dumbo7.utils;

import dumbo7.utils.base.BaseD7TareasVinculadas;

/**
 * This is the object class that relates to the DUMBO.D7_TAREAS_VINCULADAS table.
 * Any customizations belong here.
 */
public class D7TareasVinculadas extends BaseD7TareasVinculadas {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7TareasVinculadas () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7TareasVinculadas (
		java.lang.String _tviSisCod,
		java.lang.Integer _tviTarCod,
		java.lang.Integer _tviVincTarCod) {

		super (
			_tviSisCod,
			_tviTarCod,
			_tviVincTarCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7TareasVinculadas (
		java.lang.String _tviSisCod,
		java.lang.Integer _tviTarCod,
		java.lang.Integer _tviVincTarCod,
		dumbo7.utils.D7Sistemas _sistema,
		dumbo7.utils.D7Tareas _tareaProblema,
		dumbo7.utils.D7Tareas _tareaVinculada) {

		super (
			_tviSisCod,
			_tviTarCod,
			_tviVincTarCod,
			_sistema,
			_tareaProblema,
			_tareaVinculada);
	}
/*[CONSTRUCTOR MARKER END]*/
}