package dumbo7.utils;

import dumbo7.utils.base.BaseD7ZonasEdificios;

/**
 * This is the object class that relates to the DUMBO.D7_ZONAS_EDIFICIOS table.
 * Any customizations belong here.
 */
public class D7ZonasEdificios extends BaseD7ZonasEdificios {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7ZonasEdificios () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7ZonasEdificios (
		java.lang.String zonedSisCod,
		java.lang.Integer zonedZonCodigo,
		java.lang.String zonedEdCodigo) {

		super (
			zonedSisCod,
			zonedZonCodigo,
			zonedEdCodigo);
	}

	/**
	 * Constructor for required fields
	 */
	public D7ZonasEdificios (
		java.lang.String zonedSisCod,
		java.lang.Integer zonedZonCodigo,
		java.lang.String zonedEdCodigo,
		dumbo7.utils.D7Sistemas _sistema,
		dumbo7.utils.D7Zonas zona,
		java.util.List espacios) {

		super (
			zonedSisCod,
			zonedZonCodigo,
			zonedEdCodigo,
			_sistema,
			zona,
			espacios);
	}
/*[CONSTRUCTOR MARKER END]*/
}