package dumbo7.utils.base;

import java.io.Serializable;

public abstract class BaseD7ClavesNotificaciones  implements Serializable {

	public static String PROP_CLN_CADENA = "ClnCadena";
	public static String PROP_CLN_SIS_COD = "ClnSisCod";
	public static String PROP_CLN_TAR_COD = "ClnTarCod";
	public static String PROP_CLD_FECHA = "ClnFecha";
	public static String PROP_CLN_OPERACION = "ClnOperacion";


	private int hashCode = Integer.MIN_VALUE;

	// primary key
	private java.lang.String _clnCadena;

	// fields
	private java.lang.String _clnSisCod;
	private java.lang.Integer _clnTarCod;
	private java.util.Date _clnFecha;
	private java.lang.String _clnOperacion;


	// constructors
	public BaseD7ClavesNotificaciones () {
		initialize();
	}

	public BaseD7ClavesNotificaciones (java.lang.String _clnCadena) {
		this.setClnCadena(_clnCadena);
		initialize();
	}

	public BaseD7ClavesNotificaciones (
		java.lang.String _clnCadena,
		java.lang.String _clnSisCod,
		java.lang.Integer _clnTarCod,
		java.util.Date _clnFecha,
		java.lang.String _clnOperacion) {

		this.setClnCadena(_clnCadena);
		this.setClnSisCod(_clnSisCod);
		this.setClnTarCod(_clnTarCod);
		this.setClnFecha(_clnFecha);
		this.setClnOperacion(_clnOperacion);
		initialize();
	}

	protected void initialize () {}


	public java.lang.String getClnCadena () {
		return _clnCadena;
	}

	public void setClnCadena (java.lang.String _clnCadena) {
		this._clnCadena = _clnCadena;
		this.hashCode = Integer.MIN_VALUE;
	}

	public java.lang.String getClnSisCod () {
		return _clnSisCod;
	}

	public void setClnSisCod (java.lang.String _clnSisCod) {
		this._clnSisCod = _clnSisCod;
	}

	public java.lang.Integer getClnTarCod () {
		return _clnTarCod;
	}

	public void setClnTarCod (java.lang.Integer _clnTarCod) {
		this._clnTarCod = _clnTarCod;
	}

	public java.util.Date getClnFecha () {
		return _clnFecha;
	}

	public void setClnFecha (java.util.Date _clnFecha) {
		this._clnFecha = _clnFecha;
	}

	public java.lang.String getClnOperacion () {
		return _clnOperacion;
	}

	public void setClnOperacion (java.lang.String _clnOperacion) {
		this._clnOperacion = _clnOperacion;
	}

	public boolean equals (Object obj) {
		if (null == obj) return false;
		if (!(obj instanceof dumbo7.utils.base.BaseD7ClavesNotificaciones)) return false;
		else {
			dumbo7.utils.base.BaseD7ClavesNotificaciones mObj = (dumbo7.utils.base.BaseD7ClavesNotificaciones) obj;
			if (null == this.getClnCadena() || null == mObj.getClnCadena()) return false;
			else return (this.getClnCadena().equals(mObj.getClnCadena()));
		}
	}


	public int hashCode () {
		if (Integer.MIN_VALUE == this.hashCode) {
			if (null == this.getClnCadena()) return super.hashCode();
			else {
				String hashStr = this.getClass().getName() + ":" + this.getClnCadena().hashCode();
				this.hashCode = hashStr.hashCode();
			}
		}
		return this.hashCode;
	}


	public String toString () {
		return super.toString();
	}

}