<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:key name="aplPorGrupos" match="APLICACION" use="@PADRE"/>

<xsl:template name="showDetalleTarea">
<xsl:param name="pagesize"/>
<xsl:param name="baseList"/>
<xsl:param name="printList"/>
<xsl:param name="detailinput"/>
<SCRIPT LANGUAGE="JavaScript" SRC="../js/utils/showDetalleTarea.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
	var baseList = '<xsl:value-of select="$baseList"/>';
</SCRIPT>
<form name="formSubtar" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.listAtender.verSubtareas"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="selected" value="{$selected}"/>
</form>
<form name="formModSeg" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.seguimiento.modificar"/>
	<input type="hidden" name="tarCod" value="{$selected}"/>
	<input type="hidden" name="tarDescripSegui" value=""/>
	<input type="hidden" name="tseDedicacion" value=""/>
	<input type="hidden" name="selected" value="{$selected}"/>
</form>
<form name="formModBitacora" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.modificarMiBitacora"/>
	<input type="hidden" name="tarCod" value="{$selected}"/>
	<input type="hidden" name="tarDescripSegui" value=""/>
	<input type="hidden" name="tseDedicacion" value=""/>
	<input type="hidden" name="tarHorasRes" value=""/>
	<input type="hidden" name="selected" value="{$selected}"/>
</form>	
<form name="formSeg" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.listAtender.seguimiento"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="selected" value="{$selected}"/>
</form>
<form name="formHist" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.verHistorial"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="selected" value="{$selected}"/>
</form>
<form name="imprimeDetalle" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.imprimeDetalle"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="selected" value="{$selected}"/>
</form>
<form name="imprimeListado" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="{$printList}"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="selected" value="{$selected}"/>
	<input type="hidden" name="page" value="{$page}"/>
	<input type="hidden" name="pagesize" value="{$pagesize}"/>
	<xsl:copy-of select="$detailinput"/>
</form>
<form name="downAnexo" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.download"/>
	<input type="hidden" name="anexo" value=""/>
</form>
<form name="buscador" action="{$servlet}" method="post">
	<input type="hidden" name="module" value=""/>
	<input type="hidden" name="patron" value=""/>
	<input type="hidden" name="aplcod" value=""/>
</form>
</xsl:template>

<xsl:template name="filtrarListado">
<xsl:param name="pagesize"/>	
<xsl:param name="list"/>
<xsl:param name="reload"/>
<xsl:param name="reloadinput"/>
<SCRIPT LANGUAGE="JavaScript" SRC="../js/utils/filtrarListado.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="/forja/jquery/jquery.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
	var miListado = '<xsl:value-of select="$list"/>';
	function recargarPage(n) {
		<xsl:if test="string-length($selected)>0">
			if (n!='<xsl:value-of select="$page"/>') {
				top.document.recargaPage.page.value = n; 
				top.document.recargaPage.submit(); 
				<!-- document.recargaPage.page.value = n; 
				document.recargaPage.submit(); -->
			}
		</xsl:if>
	}
	function vincular() {
		document.newSol.module.value='dumbo7/gestion.saveVinculadas'; 
		document.newSol.submit();
	}
</SCRIPT>
<form name="formFilt" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/informacion.filtrarInformacion"/>
	<input type="hidden" name="listado" value="{$list}"/>
	<xsl:copy-of select="$reloadinput"/>
</form>	
<form name="formPer" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/informacion.personalizarInformacion"/>
	<input type="hidden" name="listado" value="{$list}"/>
</form>	
<!-- <form name="formFiltSimple" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/informacion.busquedaRapida"/>
	<input type="hidden" name="listado" value="{$list}"/>
	<xsl:copy-of select="$reloadinput"/>
</form> -->	
<form name="formFiltVinc" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/informacion.filtrarInformacion"/>
	<input type="hidden" name="listado" value="vinculadas"/>
</form>	
<form name="formPerVinc" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/informacion.personalizarInformacion"/>
	<input type="hidden" name="listado" value="vinculadas"/>
</form>	

<form name="recarga" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="{$reload}"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input value="" name="selected" type="hidden"/>
	<input value="" name="page" type="hidden"/>
	<input value="{$pagesize}" name="pagesize" type="hidden"/>
	<input type="hidden" name="numItem" value="{$numItem}"/>
	<xsl:copy-of select="$reloadinput"/>
</form>
<form method="post" action="{$servlet}" name="recargaPage">
	<input value="{$reload}" name="module" type="hidden"/>
	<input value="{$menu}" name="menu" type="hidden"/>
	<input value="" name="page" type="hidden"/>
	<input value="{$pagesize}" name="pagesize" type="hidden"/>
</form>
</xsl:template>
<xsl:template name="showManageTarea">
<xsl:param name="SOLICITUD"/>
<xsl:param name="GRUPOS"/>
<xsl:param name="listado"/>
<xsl:param name="detailinput"/>
<SCRIPT LANGUAGE="JavaScript" SRC="../js/utils/showManageTarea.js"></SCRIPT>
<script LANGUAGE="JavaScript" SRC="/forja/jqueryPlugins/tablesorter/jquery.tablesorter.js"></script>
<SCRIPT LANGUAGE="JavaScript">
	var srvName = '<xsl:value-of select="$servlet"/>';
	var listadoName = '<xsl:value-of select="$listado"/>';
	var menuName = '<xsl:value-of select="$menu"/>';
	var pagesizeName = '<xsl:value-of select="$GRUPOS/FILTRO/@TAMPAG"/>';
	var precioHora = <xsl:choose><xsl:when test="count($GRUPOS/GRUPOCOSTE[@COSTE])>0"><xsl:value-of select="$GRUPOS/GRUPOCOSTE/@COSTE"/></xsl:when><xsl:otherwise>''</xsl:otherwise></xsl:choose>;
		
	$(document).ready(function(){
		$("#miTabla").tableSorter({
		});
	});		
	<xsl:if test="string-length($selected)>0">
		selectImg = 'img<xsl:value-of select="$selected"/>';
		selectData = '&#160;';
	</xsl:if>
	window.onload=cargaCalendar;
	<xsl:if test="$SOLICITUD/@SUBTAREASNOFIN='S'">tieneSubTareas = true;</xsl:if>
</SCRIPT>
<form name="formReact" METHOD="POST" action="{$servlet}" ENCTYPE="multipart/form-data">
	<input type="hidden" name="module" value="{$listado}.reactivar"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="page" value="{$page}"/>
	<input type="hidden" name="pagesize" value="{$GRUPOS/FILTRO/@TAMPAG}"/>
	<input type="hidden" name="tarCod" value="{$selected}"/>
	<input type="hidden" name="tarDescripSegui" value="{$selected}"/>
	<xsl:copy-of select="$detailinput"/>
</form>
<form name="formRechazo" METHOD="POST" action="{$servlet}" ENCTYPE="multipart/form-data">
	<input type="hidden" name="module" value="{$listado}.rechazar"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="page" value="{$page}"/>
	<input type="hidden" name="pagesize" value="{$GRUPOS/FILTRO/@TAMPAG}"/>
	<input type="hidden" name="tarCod" value="{$selected}"/>
	<input type="hidden" name="tarDescripSegui" value="{$selected}"/>
	<xsl:copy-of select="$detailinput"/>
</form>
<form name="formCambiaSis" METHOD="POST" action="{$servlet}" ENCTYPE="multipart/form-data">
	<input type="hidden" name="module" value="{$listado}.cambiarSistema"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="page" value="{$page}"/>
	<input type="hidden" name="pagesize" value="{$GRUPOS/FILTRO/@TAMPAG}"/>
	<input type="hidden" name="tarCod" value="{$selected}"/>
	<input type="hidden" name="tarSisCod" value=""/>
	<input type="hidden" name="tarDescripSegui" value=""/>
	<xsl:copy-of select="$detailinput"/>
</form>
<form name="formAnula" action="{$servlet}" method="post" ENCTYPE="multipart/form-data">
	<input type="hidden" name="module" value="{$listado}.anularTarea"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="page" value="{$page}"/>
	<input type="hidden" name="pagesize" value="{$GRUPOS/FILTRO/@TAMPAG}"/>
	<input type="hidden" name="tarCod" value="{$selected}"/>
	<input type="hidden" name="tarDescripSegui" value=""/>
	<xsl:copy-of select="$detailinput"/>
</form>
<form name="formDevol" action="{$servlet}" method="post" ENCTYPE="multipart/form-data">
	<input type="hidden" name="module" value="{$listado}.devolverTarea"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="page" value="{$page}"/>
	<input type="hidden" name="pagesize" value="{$GRUPOS/FILTRO/@TAMPAG}"/>
	<input type="hidden" name="tarCod" value="{$selected}"/>
	<input type="hidden" name="tarDescripSegui" value=""/>
	<input type="hidden" name="tarDescrip" value=""/>
	<xsl:copy-of select="$detailinput"/>
</form>
<form name="formPriCat" action="{$servlet}" method="post" ENCTYPE="multipart/form-data">
	<input type="hidden" name="module" value=""/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="page" value="{$page}"/>
	<input type="hidden" name="pagesize" value="{$GRUPOS/FILTRO/@TAMPAG}"/>
	<input type="hidden" name="selected" value="{$selected}"/>
	<input type="hidden" name="tarCod" value="{$selected}"/>
	<input type="hidden" name="tarPriCod" value=""/>
	<input type="hidden" name="tarCatCod" value=""/>
	<input type="hidden" name="tarAplCod" value=""/>
	<input type="hidden" name="tarPlanif" value=""/>
	<input type="hidden" name="tarDescripSegui" value=""/>
	<input type="hidden" name="tarDescrip" value=""/>
	<xsl:copy-of select="$detailinput"/>
</form>
<form name="formFin" action="{$servlet}" method="post" ENCTYPE="multipart/form-data">
	<input type="hidden" name="module" value="{$listado}.finalizar"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="page" value="{$page}"/>
	<input type="hidden" name="pagesize" value="{$GRUPOS/FILTRO/@TAMPAG}"/>
	<input type="hidden" name="tarCod" value="{$selected}"/>
	<input type="hidden" name="tarDescripSegui" value=""/>
	<input type="hidden" name="tarCosteEco" value="0"/>
	<input type="hidden" name="tarCosteMat" value="0"/>
	<input type="hidden" name="tarHorasRes" value="0"/>
	<input type="hidden" name="tarEstado" value="R"/>
	<input type="hidden" name="motivo" value=""/>
	<input type="hidden" name="coste" value=""/>
	<input type="hidden" name="material" value=""/>
	<input type="hidden" name="horas" value=""/>
	<input type="hidden" name="anexo" value=""/>
	<input type="hidden" name="tarPriCod" value=""/>
	<input type="hidden" name="tarCatCod" value=""/>
	<input type="hidden" name="tarAplCod" value=""/>
	<input type="hidden" name="tarPlanif" value=""/>
	<input type="hidden" name="tarDescrip" value=""/>
	<input type="hidden" name="tarEmailCopia" value=""/>
	<input type="hidden" name="numItem" value=""/>
	<xsl:copy-of select="$detailinput"/>
</form>
<form name="subtarea" action="{$servlet}" method="post" ENCTYPE="multipart/form-data">
	<input type="hidden" name="module" value="{$listado}.crearSubtarea"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="selected" value="{$selected}"/>
	<input type="hidden" name="page" value="{$page}"/>
	<input type="hidden" name="pagesize" value="{$GRUPOS/FILTRO/@TAMPAG}"/>
	<input type="hidden" name="subtarea" value="{$selected}"/>
	<input type="hidden" name="tipTarea" value="{$SOLICITUD/@TIPO_TAREA}"/>
	<input type="hidden" name="moduleInicial" value="{$listado}"/>
	<input type="hidden" name="tarCod" value=""/>
	<input type="hidden" name="tarPriCod" value=""/>
	<input type="hidden" name="tarCatCod" value=""/>
	<input type="hidden" name="tarAplCod" value=""/>
	<input type="hidden" name="tarPlanif" value=""/>
	<input type="hidden" name="tarDescripSegui" value=""/>
	<input type="hidden" name="usrlog" value=""/>
	<xsl:copy-of select="$detailinput"/>
</form>
<form name="formWait" action="{$servlet}" method="post" ENCTYPE="multipart/form-data">
	<input type="hidden" name="module" value=""/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="selected" value="{$selected}"/>
	<input type="hidden" name="page" value="{$page}"/>
	<input type="hidden" name="pagesize" value="{$GRUPOS/FILTRO/@TAMPAG}"/>
	<input type="hidden" name="tarCod" value="{$selected}"/>
	<input type="hidden" name="tarDescripSegui" value=""/>
	<input type="hidden" name="tarPriCod" value=""/>
	<input type="hidden" name="tarCatCod" value=""/>
	<input type="hidden" name="tarAplCod" value=""/>
	<input type="hidden" name="tarPlanif" value=""/>
	<input type="hidden" name="tarDescrip" value=""/>
	<xsl:copy-of select="$detailinput"/>
</form>
<form name="detalle" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="{$listado}"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="selected" value=""/>
	<input type="hidden" name="page" value=""/>
	<input type="hidden" name="pagesize" value="{$GRUPOS/FILTRO/@TAMPAG}"/>
	<xsl:copy-of select="$detailinput"/>
</form>
<form name="reasig" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="{$listado}.reasigna"/>
	<input type="hidden" name="tarea" value="{$SOLICITUD/@CODIGO}"/>
	<input type="hidden" name="aplCod" value="{$SOLICITUD/@APLICACION}"/>
	<input type="hidden" name="aplDes" value="{$SOLICITUD/../APLICACION[@ESTADO='V' and @CODIGO=$SOLICITUD/@APLICACION]/@DESCRIPCION}"/>
	<input type="hidden" name="caduca" value="{$SOLICITUD/@CADUCADA}"/>
	<input type="hidden" name="tarDescrip" value=""/>
	<input type="hidden" name="tarUsuCod" value=""/>
	<input type="hidden" name="numItem" value=""/>
	<xsl:copy-of select="$detailinput"/>
</form>
<form name="frmModifica" action="{$servlet}" method="post" ENCTYPE="multipart/form-data">
	<input type="hidden" name="module" value="{$listado}.modificar"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="page" value="{$page}"/>
	<input type="hidden" name="pagesize" value="{$GRUPOS/FILTRO/@TAMPAG}"/>
	<input type="hidden" name="selected" value="{$selected}"/>
	<input type="hidden" name="tarCod" value="{$selected}"/>
	<input type="hidden" name="tarDescrip" value=""/>
	<input type="hidden" name="tarDescripSegui" value=""/>
	<xsl:copy-of select="$detailinput"/>
</form>
<form name="tramita" action="{$servlet}" method="post" ENCTYPE="multipart/form-data">
	<input type="hidden" name="module" value="{$listado}.tramitar"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="page" value="{$page}"/>
	<input type="hidden" name="pagesize" value="{$GRUPOS/FILTRO/@TAMPAG}"/>
	<input type="hidden" name="tarCod" value="{$selected}"/>
	<input type="hidden" name="tarAplCod" value=""/>
	<input type="hidden" name="tarDescrip" value=""/>
	<input type="hidden" name="tarDescripSegui" value=""/>
	<input type="hidden" name="tarEDUbicacion" value=""/>
	<xsl:copy-of select="$detailinput"/>
</form>
<form name="asigname" action="{$servlet}#detalle" method="post" ENCTYPE="multipart/form-data">
	<input type="hidden" name="module" value="{$listado}.asignarme"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="page" value="{$page}"/>
	<input type="hidden" name="pagesize" value="{$GRUPOS/FILTRO/@TAMPAG}"/>
	<input type="hidden" name="tarCod" value="{$selected}"/>
	<input type="hidden" name="tarAplCod" value=""/>
	<input type="hidden" name="selected" value="{$selected}"/>
	<xsl:copy-of select="$detailinput"/>
</form>
<form name="resolve" action="{$servlet}" method="post" ENCTYPE="multipart/form-data">
	<input type="hidden" name="module" value="{$listado}.resolve"/>
	<input type="hidden" name="menu" value="{$menu}/Soli/Rap"/>
	<input type="hidden" name="page" value="{$page}"/>
	<input type="hidden" name="pagesize" value="{$GRUPOS/FILTRO/@TAMPAG}"/>
	<!-- <input type="hidden" name="tarCod" value="{$selected}"/> -->
	<input type="hidden" name="tarCod" value="{$SOLICITUD/@CODIGO}"/>
	<input type="hidden" name="tarAplCod" value=""/>
	<input type="hidden" name="usrtar" value=""/>
	<input type="hidden" name="usrlog" value=""/>
	<input type="hidden" name="asuntotar" value=""/>
	<input type="hidden" name="textotar" value=""/>
	<input type="hidden" name="apltar" value=""/>
	<xsl:copy-of select="$detailinput"/>
</form>
<!--  <form name="formVincu" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="{$listado}.vinculadas"/>
	<input type="hidden" name="menu" value="{$menu}"/>
	<input type="hidden" name="selected" value="{$selected}"/>
	<xsl:copy-of select="$detailinput"/>
</form>-->
</xsl:template>
<xsl:template name="detailTarea">
<xsl:param name="nodo"/>
<xsl:param name="tipoDetalle"/>
<xsl:param name="goModule"/>
<xsl:variable name="claseTarea">
<xsl:choose>
	<xsl:when test="$nodo/SOLICITUD/@TIPO_TAREA='P'">Peticin</xsl:when>
	<xsl:when test="$nodo/SOLICITUD/@TIPO_TAREA='I'">Incidencia</xsl:when>
	<xsl:when test="$nodo/SOLICITUD/@TIPO_TAREA='B'">Problema</xsl:when>
	<xsl:when test="$nodo/SOLICITUD/@TIPO_TAREA='A'">Programada</xsl:when>
	<xsl:when test="$nodo/SOLICITUD/@TIPO_TAREA='R'">Dumbo Rpido</xsl:when>
	<xsl:otherwise>Tipo <xsl:value-of select="$nodo/SOLICITUD/@TIPO_TAREA"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:if test="$nodo/SOLICITUD/@SUBTAREASNOFIN='S'"><subtareas value="S"/></xsl:if>
<xsl:if test="$nodo/SOLICITUD/@CADUCADA='S'"><caducada value="S"/></xsl:if>
<xsl:if test="$nodo/SOLICITUD/@TOTALES"><subtareas total="{$nodo/SOLICITUD/@TOTALES}"/></xsl:if>
<table class="cab1det">
<tr>
	<td align="left" width="1%"><img src="../graficos/iconos/{$nodo/SOLICITUD/@ESTADO}.gif"/></td>
	<td align="left" width="70%" valing="top">Detalle Tarea:&#160;<i><xsl:value-of select="$claseTarea"/></i></td>
	<td align="right" width="100%"><a href="javascript:printDetalle();"><img title="Imprimir Tarea" src="../graficos/iconos/imprimir_ico.gif" border="0"/></a>&#160;&#160;<a href="javascript:verHistorial();"><img title="Ver Historial" src="../graficos/iconos/historial_ico.gif" border="0"/></a>&#160;&#160;<xsl:if test="not($tipoDetalle='pendientes' or $tipoDetalle='resueltas')"><a href="javascript:verSeguimiento();"><img title="Ver Bitcora" src="../graficos/iconos/seguimiento_ico.gif" border="0"/></a>&#160;&#160;<a href="javascript:verSubTareas();"><img title="Ver Subtareas" src="../graficos/iconos/subtarea_ico.gif" border="0"/></a>&#160;&#160;</xsl:if></td>
</tr>
</table>
<FORM NAME="newSol" ACTION="{$servlet}" METHOD="POST" OnSubmit="return false;">
	<INPUT TYPE="hidden" NAME="module" VALUE="{$goModule}"/>
	<INPUT TYPE="hidden" NAME="menu" VALUE="{$menu}"/>
	<INPUT TYPE="hidden" NAME="selected" VALUE="{$selected}"/>
	<INPUT TYPE="hidden" NAME="tarCod" VALUE="{$selected}"/>
	<INPUT TYPE="hidden" NAME="tarUsuCod" VALUE="{$nodo/SOLICITUD/@USUARIO}"/>
	<INPUT TYPE="hidden" NAME="tarInfCod" VALUE="{$nodo/SOLICITUD/@INFORMATICO}"/>
	<INPUT TYPE="hidden" NAME="tarTipCod" VALUE="{$nodo/SOLICITUD/@TIPO_TAREA}"/>
	<INPUT TYPE="hidden" NAME="tarUsuEmail" VALUE="{$nodo/SOLICITUD/@USUEMAIL}"/>
	<INPUT TYPE="hidden" NAME="vinculadas" VALUE=""/>
	<!--<input type="hidden" name="numItem" value=""/>-->
<table class="contdet">
	<xsl:for-each select="$nodo/SOLICITUD">
	<xsl:variable name="TipoSolicitante">
		<xsl:choose>
			<xsl:when test="string-length(../DATOSTRABAJADOR/@TIPO)>0">
				(<xsl:value-of select="../DATOSTRABAJADOR/@TIPO"/>)
			</xsl:when>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="SolicInformatico">
		<xsl:choose>
			<xsl:when test="count(../INFORMATICOS[@CODIGO=../SOLICITUD/@USUARIO])>0">
				(<xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informatico'"/></xsl:call-template>)
			</xsl:when>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="UsuInformatico">
		<xsl:choose>
			<xsl:when test="count(../INFORMATICOS[@CODIGO=../USER/@ID])>0">S</xsl:when>
			<xsl:otherwise>N</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="Bloqueo">
		<xsl:choose>
			<xsl:when test="($tipoDetalle='generica' and @BLOQUEADO='S')">(Este parte ya est abierto por otra persona)</xsl:when>
			<xsl:otherwise></xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<xsl:variable name="accionTarea">
		<xsl:choose>
			<xsl:when test="($tipoDetalle='atender' or $tipoDetalle='globalAtender') and (@ESTADO='A' or @ESTADO='W' or @ESTADO='X') and (@INFORMATICO=../USER/@ID or $tipoDetalle='globalAtender') and (@TIPO_TAREA='P' or @TIPO_TAREA='I')">
				atender
			</xsl:when>
			<xsl:when test="(@ESTADO='A' or @ESTADO='W' or @ESTADO='X' or @ESTADO='P') and (@USUARIO=../USER/@ID) and ($tipoDetalle='pendientes')">
				pendiente
			</xsl:when>
			<xsl:when test="($tipoDetalle='atendidas' or $tipoDetalle='globalAtendidas') and (@INFORMATICO=../USER/@ID or $tipoDetalle='globalAtendidas') and (@ESTADO='R' or @ESTADO='F')">
				atendida
			</xsl:when>
			<xsl:when test="($tipoDetalle='resueltas') and (@USUARIO=../USER/@ID) and (@ESTADO='R' or @ESTADO='F')">
				resuelta
			</xsl:when>
			<xsl:when test="($tipoDetalle='programadas') and not(@ESTADO='N') and (@TIPO_TAREA='A')">
				programada
			</xsl:when>
			<xsl:when test="($tipoDetalle='generica') and (@TIPO_TAREA='P' or @TIPO_TAREA='I') and (@ESTADO='P')">
				generica
			</xsl:when>
			<xsl:when test="($tipoDetalle='problemas') and (@TIPO_TAREA='B')">
				problema
			</xsl:when>
			<xsl:when test="@ESTADO='N' and ( (@INFORMATICO=../USER/@ID and $tipoDetalle='atender') or (@USUARIO=../USER/@ID and $tipoDetalle='pendientes'))">
				anulada
			</xsl:when>
			<xsl:when test="($tipoDetalle='aplicacion') and (@TIPO_TAREA='P' or @TIPO_TAREA='I') and (@ESTADO='P')">
				aplicacion
			</xsl:when>
		</xsl:choose>
	</xsl:variable>
		<tr class="cabe"><td><strong>Datos Tarea&#160;&#160;&#160;<xsl:value-of select="$Bloqueo"/></strong></td></tr>
		<tr class="cont">
			<td>
				<i>&#183;&#160;C&#243;digo:</i>&#160;<xsl:value-of select="@CODIGO"/>&#160;&#160;<xsl:if test="string-length(@PADRE)>0">(<xsl:value-of select="@PADRE"/>)&#160;&#160;</xsl:if>
				<i>&#160;Fecha:</i>&#160;<xsl:call-template name="date2String"><xsl:with-param name="fecha"><xsl:value-of select="@FECHA_CREACION"/></xsl:with-param></xsl:call-template><br/>
				<i>&#160;Solicitante:</i>&#160;<xsl:value-of select="@USUNOMBRE"/>&#160;(<xsl:value-of select="@USUEMAIL"/>)<xsl:value-of select="$TipoSolicitante"/><xsl:value-of select="$SolicInformatico"/><br/>
				<i>&#160;Tlfn.Contacto:</i>&#160;<xsl:value-of select="@TELEFONO"/>&#160;&#160;
				<i>&#160;Ubicacin:</i>&#160;<xsl:if test="string-length(@UBICACION)>0"><xsl:value-of select="@UBICACION"/></xsl:if><br/>
				<i>&#160;<xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informatico'"/></xsl:call-template>:</i>&#160;<xsl:if test="string-length(@INFEMAIL)>0"><xsl:value-of select="@INFNOMBRE"/>&#160;(<xsl:value-of select="@INFEMAIL"/>)</xsl:if>
			</td>
		</tr>
		<tr class="cabe"><td><strong>Informacin Tarea</strong></td></tr>
		<tr class="cont">
		<td>
			<table>
		<tr class="cont">
			<td>
				<i>&#160;Asunto:</i>&#160;<xsl:value-of select="@ASUNTO"/><input type="hidden" name="tarAsunHidden" value="{@ASUNTO}"/>
			</td>
		</tr>
		<tr class="cont">
			<td>
				<i>&#160;Texto Tarea:</i>
				<xsl:choose>
					<xsl:when test="($tipoDetalle='pendientes') or ($tipoDetalle='generica') or ($tipoDetalle='aplicacion') or (not(@ESTADO='R') and @USUARIO=../USER/@ID and not($tipoDetalle='problemas'))">
						<br/><TEXTAREA NAME="tarDescrip" COLS="143" ROWS="10"><xsl:value-of select="@DESCRIPCION"/></TEXTAREA>
					</xsl:when>
					<xsl:otherwise>
						<input type="hidden" name="tarDescrip" value=""/>
						<br/>
						<div style="padding-left:0.2cm;padding-top:0.2cm;width:730px;height:230px;overflow:auto;background-color: #FFFFD9;">
							<pre><xsl:value-of select="@DESCRIPCION"/></pre>
						</div>
					</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
		<xsl:if test="normalize-space($accionTarea)='pendiente'">
		<tr class="cont">
			<td>
				<i>&#160;Texto Seguimiento:</i>
				<br/>
				<div style="padding-left:0.2cm;padding-top:0.2cm;width:730px;height:80px;overflow:auto;background-color: #FFFFD9;">
						<pre><xsl:value-of select="@DESCRIPCION_SEGUIMIENTO"/></pre>
				</div>
			</td>
		</tr>
		</xsl:if>
		<tr class="cont">
			<td>
				<i>&#160;Urgencia:</i>&#160;
				<xsl:choose>
					<xsl:when test="$tipoDetalle='pendientes'">
						<SELECT NAME="tarUrgencia" SIZE="1">
							<OPTION VALUE="N"><xsl:if test="@URGENCIA='N'"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>No Urgente</OPTION>
							<OPTION VALUE="U"><xsl:if test="@URGENCIA='U'"><xsl:attribute name="selected">true</xsl:attribute></xsl:if>Urgente</OPTION>
						</SELECT>
					</xsl:when>
					<xsl:otherwise>
						<xsl:if test="@URGENCIA='N'">No Urgente</xsl:if>
						<xsl:if test="@URGENCIA='U'">Urgente</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="not(@TIPO_TAREA='I')">
				&#160;&#160;
				<i>&#160;Fecha Max. Resol.:</i>&#160;
					<xsl:choose>
						<xsl:when test="normalize-space($accionTarea)='pendiente'">
							<input type="text" name="tarFecmaxResol" id="f_tarFecmaxResol" onChange="changeDate(this,'La Fecha Mxima de Resolucin ')"><xsl:attribute name="value"><xsl:call-template name="date2String2"><xsl:with-param name="fecha"><xsl:value-of select="@FECHA_MAX_RESOLUCION"/></xsl:with-param></xsl:call-template></xsl:attribute></input>
							<img src="../graficos/iconos/calendario_ico.gif" id="f_trigger_a"
							style="cursor: pointer; border: 1px solid red;"
							title="Selecciona Fecha Mxima de Resolucin"
							onmouseover="this.style.background='red';"
							onmouseout="this.style.background=''"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="date2String2"><xsl:with-param name="fecha"><xsl:value-of select="@FECHA_MAX_RESOLUCION"/></xsl:with-param></xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:if>
				&#160;&#160;
				<span id="emc"><i>&#160;Copia:</i>&#160;<xsl:value-of select="translate(@EMAIL_COPIA,',',' ')"/></span>				
			</td>
		</tr>
		<tr class="cont">
			<xsl:variable name="cod"><xsl:value-of select="@CODIGO"/></xsl:variable>
			<td><xsl:choose>
					<xsl:when test="count(../ANEXOS[@TIPO='S'])>0">
						<table>
						<tr>
							<td valign="top"><i>Anexos</i><br/>
							<xsl:for-each select="../ANEXOS[@CODIGO=$cod and @TIPO='S']">
								<xsl:sort select="@NOMBRE"/>
								<a href="javascript:download('{@CODIGO}','{@FECHA}','{@NOMBRE}','');"><xsl:value-of select="@NOMBRE"/>&#160;<xsl:value-of select="@SIZE"/></a><br/> 
							</xsl:for-each>
							<xsl:if test="normalize-space($accionTarea)='pendiente'">
								<br/><a href="javascript:mostrarAnx('{@CODIGO}','{$page}','{@TIPO_TAREA}','S');">Aadir Anexo</a><br/>
							</xsl:if>
							</td>
							<td valign="top">
							<xsl:if test="count(../ANEXOS[@CODIGO!=$cod and @TIPO='S'])>0">
								<i>Anexos Tarea Padre:</i><br/>
								<xsl:for-each select="../ANEXOS[@CODIGO!=$cod and @TIPO='S']">
									<xsl:sort select="@CODIGO"/>
									<xsl:sort select="@NOMBRE"/>
									<a href="javascript:download('{@CODIGO}','{@FECHA}','{@NOMBRE}','');"><xsl:value-of select="@NOMBRE"/>&#160;<xsl:value-of select="@SIZE"/></a><br/> 
								</xsl:for-each>
							</xsl:if>
							</td>
						</tr>
						</table>
					</xsl:when>
					<xsl:otherwise>
						<i>&#160;Anexos:</i>&#160;&#160;<xsl:if test="normalize-space($accionTarea)='pendiente'"><a href="javascript:mostrarAnx('{@CODIGO}','{$page}','{@TIPO_TAREA}','S');">Aadir Anexo</a></xsl:if>
					</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
		<xsl:if test="normalize-space($accionTarea)='pendiente'">
			<tr class="cont">
				<td align="right"><input type="button" class="boton" value="Aplicar Cambios" OnClick="modificarSolicitud();"/></td>
			</tr>
		</xsl:if>
		<xsl:if test="(not(@ESTADO='R') and @USUARIO=../USER/@ID) and not(normalize-space($accionTarea))='pendiente'">
			<tr class="cont">
				<td align="right"><input type="button" class="boton" value="Aplicar Cambios" OnClick="modificarSubtarea();"/></td>
			</tr>
		</xsl:if>
		
		<xsl:if test="normalize-space($accionTarea)='aplicacion'">
			<tr class="cont">
				<td align="right"><input type="button" class="boton" value="Aplicar Cambios" OnClick="modificarColaAplicacion();"/></td>
			</tr>
		</xsl:if>
		</table>
		</td>
		</tr>
		<xsl:if test="normalize-space($accionTarea)!='pendiente'">
		<tr class="cabe"><td><strong>Gestin Tarea</strong></td></tr>
		<tr class="cont">
		<td>
		<table>
		<tr class="cont">
			<td>
				<table>
				<tr>
				<td align="right"><i>&#160;Aplicacin:</i></td>
				<td>
				<xsl:choose>
					<xsl:when test="$tipoDetalle='generica'">
						<INPUT TYPE="hidden" NAME="tarDniUsu" VALUE="{@USUARIO}"/>
						<INPUT TYPE="hidden" NAME="tarAplTAsg" VALUE="-1"/>
						<input type="hidden" name="tarAplCod" value="{@APLICACION}"/>
						<input type="hidden" id="desapl_hidden" name="desapl_ID" value=""/> 
						<input type="hidden" id="aplCodIn" name="aplCodIn" value=""/> 
						<input type="text" id="desapl" name="desapl" value="" onchange="CambiaDeApl(this,event)" size="60" maxlength="100"/>&#160;<a href="javascript:buscaAplicaciones();"><img title="Buscar Aplicaciones" src="../graficos/iconos/ampliar.gif" border="0"/></a>
						<div id="listaapls"></div>
						<div id="ubid"></div>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="app"><xsl:value-of select="@APLICACION"/></xsl:variable>
						<xsl:for-each select="../APLICACION[@ESTADO='V']">
							<xsl:sort select="@DESCRIPCION"/>
							<xsl:if test="@CODIGO=$app">
								<xsl:value-of select="@DESCRIPCION"/>
								<input type="hidden" name="tarAplCod" value="{@CODIGO}"/>
							</xsl:if>
						</xsl:for-each>
					</xsl:otherwise>
				</xsl:choose>
				</td>
				</tr>
				</table>
			</td>
		</tr>
		<tr class="cont">
			<td><i>&#160;&#160;&#160;Categora:</i>&#160;
			<xsl:choose>
				<xsl:when test="normalize-space($accionTarea)='atender' or normalize-space($accionTarea)='problema'">
					<xsl:variable name="cat"><xsl:value-of select="@CATEGORIA"/></xsl:variable>
					<xsl:variable name="tipotarea"><xsl:value-of select="@TIPO_TAREA"/></xsl:variable>
					<xsl:variable name="app"><xsl:value-of select="@APLICACION"/></xsl:variable>
					<xsl:variable name="seccionok"><xsl:value-of select="../APLICACION[@CODIGO=$app]/@SECCION"/></xsl:variable>
					<select size="1" name="tarCatCod" onchange="aplicaPendiente(this)">
					<xsl:if test="string-length($cat)=0"><option value="-1" selected="true">&lt;-- Sin Categoria Asignada --></option></xsl:if>
					<xsl:call-template name="muestraCategoria">
						<xsl:with-param name="nodo" select=".."/>
						<xsl:with-param name="seccionok" select="../SECCION[@CODIGO=$seccionok]"/>
						<xsl:with-param name="tipotarea" select="$tipotarea"/>
						<xsl:with-param name="cat" select="$cat"/>
					</xsl:call-template>
					</select>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="cat"><xsl:value-of select="@CATEGORIA"/></xsl:variable>
					<xsl:choose>
						<xsl:when test="string-length($cat)=0">Sin Categora Asignada</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="../CATEGORIA[@CODIGO=$cat]/@DESCRIPCION"/>
						</xsl:otherwise>
					</xsl:choose>	
				</xsl:otherwise>
			</xsl:choose>
			</td>
		</tr>
		<tr class="cont">
			<td>
				<xsl:choose>
					<xsl:when test="normalize-space($accionTarea)='aplicacion' or normalize-space($accionTarea)='resuelta' or normalize-space($accionTarea)='atendida'">
					<i>&#160;&#160;&#160;Texto&#160;Seguimiento:</i><br/>
					<div style="padding-left:0.2cm;padding-top:0.2cm;width:730px;height:80px;overflow:auto;background-color: #FFFFD9;">
							<pre><xsl:value-of select="@DESCRIPCION_SEGUIMIENTO"/></pre>
					</div>
					</xsl:when>
					<!-- Si el user es informtico el texto de seguimiento se divide en dos textos-->
					<xsl:otherwise>
						<xsl:if test="($UsuInformatico='N')">
							<i>&#160;&#160;&#160;Texto&#160;Seguimiento:</i><br/>
							<textarea name="tarDescripSegui" rows="8" cols="143" onchange="aplicaPendiente(this)" onfocus="saveTexto(this)">
								<xsl:if test="string-length(@DESCRIPCION_SEGUIMIENTO)=0">&#160;</xsl:if><xsl:value-of select="@DESCRIPCION_SEGUIMIENTO"/>
							</textarea>
						</xsl:if>
						<xsl:if test="($UsuInformatico='S')">
							<table border="1">
								<tr>
									<td><strong>Dirigido al usuario:</strong></td>
									<td><strong>Dirigido al informtico:</strong></td>
								</tr>
								<tr><td valign="top">
									<table>
										<tr>
											<td><i>&#160;Texto&#160;Seguimiento:</i></td>
										</tr>
										<tr>
											<td>
												<table>
													<tr>
														<td>
															<xsl:value-of select="@DESCRIPCION_SEGUIMIENTO"/><br/>
														</td>
													</tr>
													<tr>
														<td>
															<textarea name="tarDescripSegui" rows="7" cols="75" onchange="aplicaPendiente(this)" onfocus="saveTexto(this)"/>
														</td>
													</tr>
												</table>
											</td>
										</tr>
										<tr class="cont">
											<td valign="top">
												<xsl:variable name="cod"><xsl:value-of select="@CODIGO"/></xsl:variable>
												<xsl:choose>
													<xsl:when test="count(../ANEXOS[@TIPO='P'])>0">
														<table>
															<tr>
																<td valign="top"><i>Anexos Pblicos</i><br/>
																	<xsl:for-each select="../ANEXOS[@CODIGO=$cod and (@TIPO='P')]">
																		<xsl:sort select="@NOMBRE"/>
																		<a href="javascript:download('{@CODIGO}','{@FECHA}','{@NOMBRE}','{@TIPO}');"><xsl:value-of select="@NOMBRE"/>&#160;<xsl:value-of select="@SIZE"/></a>
																		&#160;<a title="Eliminar Anexo" href="javascript:suprmirAnx('{@CODIGO}','{@FECHA}','{@NOMBRE}','{@TIPO}');">[-]</a><br/>
																	</xsl:for-each>
																	<xsl:if test="normalize-space($accionTarea)='atender'">
																		<br/><a href="javascript:mostrarAnx('{@CODIGO}','{$page}','{@TIPO_TAREA}','P');">Aadir Anexo</a><br/>
																	</xsl:if>
																</td>
																<td valign="top">
																	<xsl:if test="count(../ANEXOS[@CODIGO!=$cod and (@TIPO='P')])>0">
																		<i>Anexos Pblicos Tarea Padre</i><br/>
																		<xsl:for-each select="../ANEXOS[@CODIGO!=$cod and (@TIPO='P')]">
																			<xsl:sort select="@CODIGO"/>
																			<xsl:sort select="@NOMBRE"/>
																			<a href="javascript:download('{@CODIGO}','{@FECHA}','{@NOMBRE}','{@TIPO}');"><xsl:value-of select="@NOMBRE"/>&#160;<xsl:value-of select="@SIZE"/></a>
																			&#160;<a title="Eliminar Anexo" href="javascript:suprmirAnx('{@CODIGO}','{@FECHA}','{@NOMBRE}','{@TIPO}');">[-]</a><br/>
																		</xsl:for-each>
																	</xsl:if>
																</td>
															</tr>
														</table>
													</xsl:when>
													<xsl:otherwise>
														<i>&#160;Anexos Pblicos:</i>&#160;&#160;<xsl:if test="normalize-space($accionTarea)='atender' or normalize-space($accionTarea)='problema'"><a href="javascript:mostrarAnx('{@CODIGO}','{$page}','{@TIPO_TAREA}','P');">Aadir Anexo</a></xsl:if>
													</xsl:otherwise>
												</xsl:choose>
											</td>
										</tr>
									</table>
								</td>
								<td valign="top">
									<table>
										<tr>
											<td><i>&#160;&#160;Texto&#160;Bitcora:</i></td>
											<td align="right"><a href="javascript:verSeguimiento();">Abrir Bitcora</a></td>
										</tr>
										<tr>
											<td colspan="2" valign="top">
												<xsl:variable name="mcod" select="../SEGUIMIENTO/@CODIGO"/>
												<table>
													<tr><td>
														<xsl:call-template name="date2String"><xsl:with-param name="fecha"><xsl:value-of select="../SEGUIMIENTO/@FECHA_ALTA"/></xsl:with-param></xsl:call-template>
														&#160;<xsl:value-of select="../SEGUIMIENTO/@DESCRIPCION"/><br/>
														<xsl:if test="string-length(../SEGUIMIENTO/@DEDICACION)>0">&#160;(<xsl:value-of select="../SEGUIMIENTO/@DEDICACION"/>&#160;horas)</xsl:if>
														<xsl:if test="count(../ANEXOS[@CODE=$mcod])>0">
															<xsl:for-each select="../ANEXOS[@CODE=$mcod]">
																<br/><a href="javascript:download('{@CODIGO}','{@FECHA}','{@NOMBRE}','{@TIPO}{$mcod}{@TIPO}');"><xsl:value-of select="@NOMBRE"/>&#160;<xsl:value-of select="@SIZE"/></a>
																&#160;<a title="Eliminar Anexo" href="javascript:suprmirAnx('{@CODIGO}','{@FECHA}','{@NOMBRE}','{@TIPO}{$mcod}{@TIPO}');">[-]</a>
															</xsl:for-each>
														</xsl:if>
													</td></tr>
													<tr><td>
														<textarea name="nuevaBitacora" rows="7" cols="75" onchange="saveBitacora();"/>
													</td></tr>
												</table>
											</td>
										</tr>
										<tr class="cont">
											<td colspan="2" align="left">
												<i>&#160;Horas:</i>&#160;
												<input name="tseDedicacion" type="text" size="6"/>&#160;&#160;
												<xsl:variable name="mcod" select="../SEGUIMIENTO/@CODIGO"/>
												<xsl:variable name="mcod1">
													<xsl:if test="count(../SEGUIMIENTO)>0"><xsl:value-of select="$mcod+1"/></xsl:if>
													<xsl:if test="count(../SEGUIMIENTO)=0">0</xsl:if>		
												</xsl:variable>									
																									
												<xsl:if test="normalize-space($accionTarea)='atender' or normalize-space($accionTarea)='problema'"><a href="javascript:mostrarAnx('{@CODIGO}','{$page}','{@TIPO_TAREA}','O'+'{$mcod1}');">Aadir Anexo bitcora</a></xsl:if><br/>
												<xsl:if test="count(../ANEXOS[@CODE=$mcod1])>0">
													<xsl:for-each select="../ANEXOS[@CODE=$mcod1]">
														<a href="javascript:download('{@CODIGO}','{@FECHA}','{@NOMBRE}','{@TIPO}{$mcod}{@TIPO}');"><xsl:value-of select="@NOMBRE"/>&#160;<xsl:value-of select="@SIZE"/></a><br/>
														<!-- &#160;<a title="Eliminar Anexo" href="javascript:suprmirAnx('{@CODIGO}','{@FECHA}','{@NOMBRE}','{@TIPO}{$mcod}{@TIPO}');">[-]</a>-->
													</xsl:for-each>
													<br/><i>Estos anexos no se incluirn en bitcora hasta que no escriba texto en la bitcora.</i>
												</xsl:if>
											</td>
										</tr>
										<!-- <tr>
											<td colspan="2" align="right">
												<input type="button" class="boton" value="Aadir en Bitcora" onclick="anadeBitacora();"/>&#160;
											</td>
										</tr>-->
									</table>
								</td></tr>
							</table>
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
		</table>
		</td></tr>
		</xsl:if>
		<xsl:if test="normalize-space($accionTarea)='aplicacion' or normalize-space($accionTarea)='resuelta' or normalize-space($accionTarea)='atendida' or ($UsuInformatico)='N'">			
			<tr class="cont">
				<td valign="top">
					<xsl:variable name="cod"><xsl:value-of select="@CODIGO"/></xsl:variable>
					<xsl:choose>
						<xsl:when test="count(../ANEXOS[@TIPO='P'])>0">
							<table>
								<tr>
									<td valign="top"><i>Anexos Pblicos</i><br/>
										<xsl:for-each select="../ANEXOS[@CODIGO=$cod and (@TIPO='P')]">
											<xsl:sort select="@NOMBRE"/>
											<a href="javascript:download('{@CODIGO}','{@FECHA}','{@NOMBRE}','{@TIPO}');"><xsl:value-of select="@NOMBRE"/>&#160;<xsl:value-of select="@SIZE"/></a>
											&#160;<a title="Eliminar Anexo" href="javascript:suprmirAnx('{@CODIGO}','{@FECHA}','{@NOMBRE}','{@TIPO}');">[-]</a><br/>
										</xsl:for-each>
										<xsl:if test="normalize-space($accionTarea)='atender'">
											<br/><a href="javascript:mostrarAnx('{@CODIGO}','{$page}','{@TIPO_TAREA}','P');">Aadir Anexo</a><br/>
										</xsl:if>
									</td>
									<td valign="top">
										<xsl:if test="count(../ANEXOS[@CODIGO!=$cod and (@TIPO='P')])>0">
											<i>Anexos Pblicos Tarea Padre</i><br/>
											<xsl:for-each select="../ANEXOS[@CODIGO!=$cod and (@TIPO='P')]">
												<xsl:sort select="@CODIGO"/>
												<xsl:sort select="@NOMBRE"/>
												<a href="javascript:download('{@CODIGO}','{@FECHA}','{@NOMBRE}','{@TIPO}');"><xsl:value-of select="@NOMBRE"/>&#160;<xsl:value-of select="@SIZE"/></a>
												&#160;<a title="Eliminar Anexo" href="javascript:suprmirAnx('{@CODIGO}','{@FECHA}','{@NOMBRE}','{@TIPO}');">[-]</a><br/>
											</xsl:for-each>
										</xsl:if>
									</td>
								</tr>
							</table>
						</xsl:when>
						<xsl:otherwise>
							<i>&#160;&#160;&#160;Anexos Pblicos:</i>&#160;&#160;<xsl:if test="normalize-space($accionTarea)='atender'"><a href="javascript:mostrarAnx('{@CODIGO}','{$page}','{@TIPO_TAREA}','P');">Aadir Anexo</a></xsl:if>
						</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			</xsl:if >
			<tr class="cont">
			<xsl:if test="not(normalize-space($tipoDetalle)='pendientes') and not(normalize-space($tipoDetalle)='resueltas')">
				<td><i>&#160;&#160;&#160;Prioridad: </i>&#160;
					<xsl:choose>
						<xsl:when test="normalize-space($accionTarea)='atender' or normalize-space($accionTarea)='problema'">
							<xsl:variable name="pri"><xsl:value-of select="@PRIORIDAD"/></xsl:variable>
							<select size="1" name="tarPriCod" onchange="aplicaPendiente(this)">
								<xsl:if test="string-length($pri)=0"><option value="-1" selected="true">&lt;-- Sin Prioridad Asignada --></option></xsl:if>
								<xsl:for-each select="../PRIORIDAD">
									<xsl:sort select="@DESCRIPCION"/>
									<option value="{@CODIGO}"><xsl:if test="@CODIGO=$pri"><xsl:attribute name="selected">true</xsl:attribute></xsl:if><xsl:value-of select="@DESCRIPCION"/></option>
								</xsl:for-each>
							</select>
						</xsl:when>
						<xsl:otherwise>
							<xsl:variable name="pri"><xsl:value-of select="@PRIORIDAD"/></xsl:variable>
							<xsl:choose>
								<xsl:when test="string-length($pri)=0">Sin Prioridad Asignada</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="../PRIORIDAD[@CODIGO=$pri]/@DESCRIPCION"/>
								</xsl:otherwise>
							</xsl:choose>	
						</xsl:otherwise>
					</xsl:choose>
					<label id="fpr"><xsl:attribute name="style"><xsl:if test="not(@PRIORIDAD) or (@PRIORIDAD!='P')">display:none;</xsl:if></xsl:attribute>&#160;&#160;<i>&#160;Fecha Prevista:</i>&#160;
						<xsl:if test="normalize-space($accionTarea)='generica'">
							<tr class="cont">
								<td><input type="button" class="boton" value="Aplicar Cambios" OnClick="modificarGenerica();"/></td>
							</tr>
						</xsl:if>
						<xsl:choose>
							<xsl:when test="normalize-space($accionTarea)='atender' or normalize-space($accionTarea)='problema' or normalize-space($accionTarea)='aplicacion'">
								<input type="text" name="tarPlanif" id="f_tarPlanif" onChange="changeDate(this,'La Fecha Prevista de Resolucin ')"><xsl:attribute name="value"><xsl:call-template name="date2String2"><xsl:with-param name="fecha"><xsl:value-of select="@PLANIFICACION"/></xsl:with-param></xsl:call-template></xsl:attribute></input>
								<img src="../graficos/iconos/calendario_ico.gif" id="f_trigger_c"
								style="cursor: pointer; border: 1px solid red;"
								title="Selecciona Fecha Prevista de Fin"
								onmouseover="this.style.background='red';"
								onmouseout="this.style.background=''"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="date2String2"><xsl:with-param name="fecha"><xsl:value-of select="@PLANIFICACION"/></xsl:with-param></xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
					</label>
					<xsl:if test="(@ESTADO='R' or @ESTADO='F')">
						&#160;<i>&#160;Fecha Fin:</i>&#160;
						<xsl:call-template name="date2String"><xsl:with-param name="fecha"><xsl:value-of select="@FECHA_FIN"/></xsl:with-param></xsl:call-template>
					</xsl:if>
					<xsl:if test="normalize-space($accionTarea)='atender' or normalize-space($accionTarea)='problema'">
						&#160;<input type="button" class="boton" value="Aplicar Cambios" OnClick="modificarTarea();"/>
					</xsl:if>
				</td>
				</xsl:if>
				<xsl:if test="normalize-space($tipoDetalle)='resueltas'">
					<td>
						&#160;&#160;<i>&#160;Fecha Fin:</i>&#160;
						<xsl:call-template name="date2String"><xsl:with-param name="fecha"><xsl:value-of select="@FECHA_FIN"/></xsl:with-param></xsl:call-template>
					</td>
				</xsl:if>
			</tr>
		<xsl:if test="@TIPO_TAREA='A'">
			<xsl:variable name="fechini"><xsl:call-template name="date2String"><xsl:with-param name="fecha"><xsl:value-of select="../PROGRAMACION/@FECHA_INICIO"/></xsl:with-param></xsl:call-template></xsl:variable>
			<xsl:variable name="fechfin"><xsl:call-template name="date2String"><xsl:with-param name="fecha"><xsl:value-of select="../PROGRAMACION/@FECHA_FIN"/></xsl:with-param></xsl:call-template></xsl:variable>
		<tr><td class="cabe"><strong>Temporizacin de Tarea</strong></td></tr>
		<tr class="cont">
			<td>
				<i>&#160;Inicio:</i>&#160;<xsl:value-of select="$fechini"/>
				<i>&#160;Intervalo Horas:</i>&#160;<xsl:value-of select="../PROGRAMACION/@INTERVALO_HORAS"/>
				<i>&#160;Subtareas Generadas:</i>&#160;
				<xsl:choose>
					<xsl:when test="string-length(../PROGRAMACION/@TAREAS_GENERADAS)>0">
						<xsl:value-of select="../PROGRAMACION/@TAREAS_GENERADAS"/>
					</xsl:when>
					<xsl:otherwise>0</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
		<tr class="cont">
			<td>
				<i>&#160;Fin:</i>&#160;<xsl:value-of select="$fechfin"/>
				<i>&#160;Tareas Fin de Semana:</i>&#160;<xsl:value-of select="../PROGRAMACION/@FINDESEMANA"/>
			</td>
		</tr>
		</xsl:if>
		<xsl:if test="(@ESTADO='R')">
			<xsl:variable name="hrs"><xsl:choose><xsl:when test="string-length(@HORAS_RESOLUCION)>0"><xsl:value-of select="floor(number(@HORAS_RESOLUCION))"/> Hora(s) y <xsl:value-of select="round(60*(round((number(@HORAS_RESOLUCION)-floor(number(@HORAS_RESOLUCION)))*100) div 100))"/> Minutos.</xsl:when><xsl:otherwise>0 Horas.</xsl:otherwise></xsl:choose></xsl:variable>
			<xsl:variable name="cmat"><xsl:choose><xsl:when test="string-length(@COSTE_MATERIAL)>0"><xsl:value-of select="@COSTE_MATERIAL"/> Euros</xsl:when><xsl:otherwise>&#160;</xsl:otherwise></xsl:choose></xsl:variable>
			<xsl:variable name="ceco"><xsl:choose><xsl:when test="string-length(@COSTE_ECONOMICO)>0"><xsl:value-of select="@COSTE_ECONOMICO"/> Euros</xsl:when><xsl:otherwise>&#160;</xsl:otherwise></xsl:choose></xsl:variable>
		<tr><td class="cabe"><strong>Resolucin de Tarea</strong></td></tr>
		<tr class="cont">
			<td>
				<i>&#160;Texto&#160;Solucin:</i><br/>
				<div style="padding-left:0.2cm;padding-top:0.2cm;width:730px;height:80px;overflow:auto;background-color: #FFFFD9;">
						<pre><xsl:value-of select="../MOVIMIENTO/@DESCRIPCION_MOVIMIENTO"/></pre>
				</div>
			</td>
		</tr>
		<tr class="cont">
			<td>
				<i>&#160;Horas Empleadas:</i>&#160;<xsl:value-of select="$hrs"/>
				<i>&#160;Coste Econmico:</i>&#160;<xsl:value-of select="$ceco"/>
				<i>&#160;Coste Material:</i>&#160;<xsl:value-of select="$cmat"/>
			</td>
		</tr>
		</xsl:if>
		<xsl:if test="count(./ALERTA)>0 and $nodo/FILTRO/@ALERTAS='S' and not(normalize-space($accionTarea)='pendiente') and not(normalize-space($accionTarea)='resuelta')">
		<tr><td class="cabe"><strong>Listado de Alertas</strong></td></tr>
		<xsl:for-each select="./ALERTA">
		<xsl:sort select="@NIVEL"/>
			<tr class="cont">
				<td>
					<i>&#160;Fecha:</i>&#160;<xsl:call-template name="date2String2"><xsl:with-param name="fecha"><xsl:value-of select="@FECHA_ALERTA"/></xsl:with-param></xsl:call-template>
					<i>&#160;Nivel:</i>&#160;<xsl:value-of select="@NIVEL"/>
				</td>
			</tr>
		</xsl:for-each>
		</xsl:if>
			<tr><td>&#160;</td></tr>
			<xsl:choose>
			<!-- Listado Atender -->
			<xsl:when test="normalize-space($accionTarea)='atender'">
			<tr><td>
			<table width="100%">
			<tr>
				<td>
					<table width="100%" class="cont">
						<tr><td align="center" colspan="2"><b><u>Ubicar Tarea</u></b></td></tr>
						<tr><td></td><td><a href="javascript:saveTexto(document.newSol.tarDescripSegui);reasignar();">Reasignar Tarea</a></td></tr>
						<xsl:if test="not(@ESTADO='X')">
							<tr><td></td><td><a href="javascript:anular();">Anular</a></td></tr>
						</xsl:if>
						<xsl:if test="not(@ESTADO='W') and not(@ESTADO='X')">
							<tr><td></td><td><a href="javascript:saveTexto(document.newSol.tarDescripSegui);devolver();">Devolver a la Cola</a></td></tr>
						</xsl:if>
					</table>
				</td>
				<td>
					<table width="100%" class="cont">
						<tr><td align="center" colspan="2"><b><u>Gestionar Tarea</u></b></td></tr>
						<xsl:choose>
							<xsl:when test="@TIPO_TAREA='P'">
								<tr><td></td><td><a href="javascript:espera('motivoIncidencia.html','pasarla a incidencia');">Es Incidencia</a></td></tr>
							</xsl:when>
							<xsl:otherwise>
								<tr><td></td><td><a href="javascript:espera('motivoPeticion.html','pasarla a petici&amp;oacute;n');">Es Peticin</a></td></tr>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="@ESTADO='W'">
								<tr><td></td><td><a href="javascript:espera('motivoNoWait.html','finalizar la espera');">Fin de Espera</a></td></tr>
							</xsl:when>
							<xsl:otherwise>
								<tr><td></td><td><a href="javascript:espera('motivoWait.html','pasarla a espera');">Pasar a Espera</a></td></tr>
							</xsl:otherwise>
						</xsl:choose>
						<tr><td></td><td><a href="javascript:nuevaSubtarea();">Crear Subtarea</a></td></tr>
					</table>
				</td>
				<td valign="top">
					<table width="100%" class="cont">
						<tr><td align="center" colspan="2"><b><u>Finalizar Tarea</u></b></td></tr>
						<tr><td></td><td><a href="javascript:finalizaTarea();">Finalizar Tarea</a></td></tr>
						<tr><td colspan="2">&#160;</td></tr>
						<tr><td colspan="2">&#160;</td></tr>
					</table>
				</td>
			</tr>
			</table>
			</td>
			</tr>
			</xsl:when>
			<!-- Listado Anuladas -->
			<xsl:when test="normalize-space($accionTarea)='anulada'">
			<tr>
				<td align="center">
					<INPUT CLASS="boton" TYPE="button" VALUE="Reactivar" OnClick="reactivar();"/>
				</td>
			</tr>
			</xsl:when>
			<!-- Listado Solicitudes Pendientes -->
			<xsl:when test="normalize-space($accionTarea)='pendiente'">
			<tr>
				<td align="center">
					<xsl:if test="@ESTADO='W'">
						<INPUT CLASS="boton" TYPE="button" VALUE="Fin Espera" OnClick="espera('motivoNoWait.html','pasarla a espera');"/>&#160;
						<INPUT CLASS="boton" TYPE="button" VALUE="Rechazo Espera" OnClick="espera('motivoRechazoWait.html','rechazar la espera');"/>&#160;
					</xsl:if>
					<INPUT CLASS="boton" TYPE="button" VALUE="Anular" OnClick="anular();"/>&#160;&#160;
				</td>
			</tr>
			</xsl:when>
			<!-- Listado Solicitudes Resueltas -->
			<xsl:when test="normalize-space($accionTarea)='resuelta' or (@ESTADO='R' and @USUARIO=../USER/@ID)">
			<tr>
				<td align="center">
					<INPUT CLASS="boton" TYPE="button" VALUE="Rechazar" OnClick="rechazar('{@PUEDERECHAZAR}');"/>
				</td>
			</tr>
			</xsl:when>
			<!-- Listado Programadas -->
			<xsl:when test="normalize-space($accionTarea)='programada'">
			<tr>
				<td align="center">
					<INPUT CLASS="boton" TYPE="button" VALUE="Anular" OnClick="anular();"/>
				</td>
			</tr>
			</xsl:when>
			<!-- Listado Cola Generica -->
			<xsl:when test="normalize-space($accionTarea)='generica'">
			<tr>
				<td align="center">
					<INPUT CLASS="boton" TYPE="button" VALUE="Cambiar Sistema" OnClick="cambiarSistema();"/>&#160;
					<INPUT CLASS="boton" TYPE="button" VALUE="Tramitar" OnClick="tramitar();"/>&#160;
					<INPUT CLASS="boton" TYPE="button" VALUE="Resolver" OnClick="resolver('{@USUEMAIL}','{$selected}','{../USER/@ID}','{@USUARIO}');"/>&#160;
					<INPUT CLASS="boton" TYPE="button" VALUE="Anular" OnClick="anular();"/>
				</td>
			</tr>
			</xsl:when>
			<!-- Listado Cola Aplicacion -->
			<xsl:when test="normalize-space($accionTarea)='aplicacion'">
			<tr>
				<td align="center">
					<INPUT CLASS="boton" TYPE="button" VALUE="Asignar" OnClick="reasignar();"/>&#160;
					<INPUT CLASS="boton" TYPE="button" VALUE="Devolver a Cola Genrica" OnClick="devolver();"/>&#160;
					<INPUT CLASS="boton" TYPE="button" VALUE="Anular" OnClick="anular();"/>&#160;
					<INPUT CLASS="boton" TYPE="button" VALUE="Asignar a mi" OnClick="asignarme('{@CODIGO}','{../USER/@ID}','{@USUARIO}');"/>
				</td>
			</tr>
			</xsl:when>
			<!-- Listado Cola Problemas -->
			<xsl:when test="normalize-space($accionTarea)='problema'">
			<tr>
				<td align="center">
					<input class="boton" type="button" value="Ver Tareas Vinculadas/Vincular tareas" OnClick="verVinculadas('{@CODIGO}','{@APLICACION}')"/>&#160;
					<INPUT CLASS="boton" TYPE="button" VALUE="Crear SubTarea" OnClick="crearSubTarea();"/>&#160;
					<INPUT CLASS="boton" TYPE="button" VALUE="Anular" OnClick="anular();"/>&#160;
					<INPUT CLASS="boton" TYPE="button" VALUE="Finalizar" OnClick="finalizaProblema('{@INFEMAIL}');"/>&#160;
				</td>
			</tr>
			<tr id="tarVk" style="display:none;"><td class="cont">
			<table width="100%">
			<tr>
				<td align="right">
					<a href="javascript:filtrarVinculadas();"><img name="filt" src="../graficos/iconos/filtrar_ico.gif" border="0" title="Filtrar Informacin (Filtro No Activo)"/></a>&#160;
					<a href="javascript:personalizarVinculadas();"><img name="pers" src="../graficos/iconos/personalizar_ico.gif" border="0" title="Personalizar Informacin Mostrada (No Activo)"/></a>&#160;
				</td>
			</tr>
			<tr id="miBusqV" style="display:none;" colspan="5"><td colspan="5" class="cont">
				<tr colspan="5">
					<td colspan="5">
						<iframe name="busquedaV" id="busquedaV" align="center" style="display:none;" width="800" height="190" frameborder="0" scrolling="NO"></iframe>
					</td>
				</tr>
			</td></tr>
			<tr>
				<td>
					<iframe name="listadoProvk" id="listadoProvk" src="../vacia.html" width="100%" height="150" frameborder="0"></iframe>
				</td>
			</tr>
			<tr><td align="center">
				<INPUT CLASS="boton" TYPE="button" VALUE="Vincular" OnClick="vincular();"/>
			</td></tr>
			</table>
			</td></tr>
			</xsl:when>
			</xsl:choose>
			<tr><td>&#160;</td></tr>
	</xsl:for-each>
</table>
</FORM>
</xsl:template>

<xsl:template name="muestraCategoria">
<xsl:param name="nodo"/>
<xsl:param name="cat"/>	
<xsl:param name="tipotarea"/>
<xsl:param name="seccionok"/>
	<xsl:for-each select="$nodo/CATEGORIA[@ESTADO='V' and @TIPO_TAREA=$tipotarea and  @SECCION=$seccionok/@CODIGO and (not(@PADRE) or (@PADRE=@CODIGO))]">
		<xsl:sort select="@DESCRIPCION"/>
		<option value="{@CODIGO}"><xsl:if test="@CODIGO=$cat"><xsl:attribute name="selected">true</xsl:attribute></xsl:if><xsl:value-of select="@DESCRIPCION"/></option>
		<xsl:call-template name="sacaSubCategoria">
			<xsl:with-param name="tipotarea" select="$tipotarea"/>
			<xsl:with-param name="seccionok" select="$seccionok/@CODIGO"/>
			<xsl:with-param name="cat" select="$cat"/>
			<xsl:with-param name="categoria" select="."/>
			<xsl:with-param name="espacio" select="'&#160;&#160;'"/>
		</xsl:call-template>
	</xsl:for-each>
	<xsl:for-each select="$nodo/CATEGORIA[(not(@ESTADO='V') or not(@TIPO_TAREA=$tipotarea) or  not(@SECCION=$seccionok/@CODIGO)) and (not(@PADRE) or (@PADRE=@CODIGO))]">
		<xsl:sort select="@DESCRIPCION"/>
		<xsl:call-template name="sacaSubCategoria">
			<xsl:with-param name="tipotarea" select="$tipotarea"/>
			<xsl:with-param name="seccionok" select="$seccionok/@CODIGO"/>
			<xsl:with-param name="cat" select="$cat"/>
			<xsl:with-param name="categoria" select="."/>
			<xsl:with-param name="espacio" select="''"/>
		</xsl:call-template>
	</xsl:for-each>
	<xsl:if test="count($nodo/CATEGORIA) > 0 and not($seccionok/@CODIGO=$seccionok/@PADRE)">
		<xsl:call-template name="muestraCategoria">
			<xsl:with-param name="nodo" select="$nodo"/>
			<xsl:with-param name="cat" select="$cat"/>
			<xsl:with-param name="tipotarea" select="$tipotarea"/>
			<xsl:with-param name="seccionok" select="$nodo/SECCION[@CODIGO=$seccionok/@PADRE]"/>
		</xsl:call-template>	
	</xsl:if>
</xsl:template>


<xsl:template name="sacaSubCategoria">
<xsl:param name="categoria"/>
<xsl:param name="tipotarea"/>
<xsl:param name="seccionok"/>
<xsl:param name="cat"/>
<xsl:param name="espacio"/>
	<xsl:variable name="code" select="$categoria/@CODIGO"/>
	<xsl:for-each select="$categoria/../CATEGORIA[@ESTADO='V' and @TIPO_TAREA=$tipotarea and  @SECCION=$seccionok and @PADRE=$code and not(@CODIGO=$code)]">
		<xsl:sort select="@DESCRIPCION"/>
		<option value="{@CODIGO}"><xsl:if test="@CODIGO=$cat"><xsl:attribute name="selected">true</xsl:attribute></xsl:if><xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/></option>
		<xsl:call-template name="sacaSubCategoria">
			<xsl:with-param name="tipotarea" select="$tipotarea"/>
			<xsl:with-param name="seccionok" select="$seccionok"/>
			<xsl:with-param name="cat" select="$cat"/>
			<xsl:with-param name="categoria" select="."/>
			<xsl:with-param name="espacio" select="concat($espacio,'&#160;&#160;')"/>
		</xsl:call-template>
	</xsl:for-each>
	<xsl:for-each select="$categoria/../CATEGORIA[(not(@ESTADO='V') or not(@TIPO_TAREA=$tipotarea) or  not(@SECCION=$seccionok)) and @PADRE=$code and not(@CODIGO=$code)]">
		<xsl:sort select="@DESCRIPCION"/>
		<xsl:call-template name="sacaSubCategoria">
			<xsl:with-param name="tipotarea" select="$tipotarea"/>
			<xsl:with-param name="seccionok" select="$seccionok"/>
			<xsl:with-param name="cat" select="$cat"/>
			<xsl:with-param name="categoria" select="."/>
			<xsl:with-param name="espacio" select="''"/>
		</xsl:call-template>
	</xsl:for-each>
	
</xsl:template>

<xsl:template name="showPieCabecera">
<xsl:param name="titulo"/>
<table class="cab1">
<tr>
	<td>
		<img src="../graficos/color_incidencia.gif" title="Incidencia" /> 
		<img src="../graficos/color_peticion.gif" title="Peticin" width="75" height="25" />
		<xsl:if test="contains($titulo,'prob')">
			<img src="../graficos/color_problema.gif" title="Problema" width="75" height="25" /> 
		</xsl:if>
		<xsl:if test="contains($titulo,'prog')">
			<img src="../graficos/color_programada.gif" title="Programada" width="75" height="25" /> 
		</xsl:if>
	</td>
</tr>
</table>

</xsl:template>

<xsl:template name="showCabecera">
<xsl:param name="codigo"/>
<xsl:param name="dynamic" select="'on'"/>
<xsl:param name="titulo"/>
<xsl:param name="filtro"/>
<xsl:param name="colaApl"/>
<br/>&#160;<br/>
<FORM NAME="misTareas" ACTION="{$servlet}" METHOD="POST" OnSubmit="return false;">
	<input type="hidden" name="module" value="dumbo7/gestion.asignarmeTareas"/>
	<input type="hidden" name="tareas" value=""/>
</FORM>
<table class="cab1">
<tr>
	<td align="left">&#160;&#187;&#160;<xsl:value-of select="$titulo"/>&#160;<xsl:copy-of select="$codigo"/></td>
	<td id="tabDet2" align="center">&#160;</td>
	<td align="right">
		<xsl:if test="$colaApl='colaAplicaciones'">
			<a href="javascript:asignarmeTareas();"><img src="../graficos/iconos/A.gif" border="0" title="Asignarme las tareas seleccionadas"/></a>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="$filtro/@EMPTY='true'">
				<a href="javascript:filtrar();"><img src="../graficos/iconos/filtrar_ico.gif" border="0" title="Filtrar Informacin (Filtro No Activo)"/></a>
			</xsl:when>
			<xsl:when test="$dynamic='on'">
				<a href="javascript:filtrar();"><img src="../graficos/iconos/filtrar_icon.gif" border="0" title="Filtrar Informacin (Filtro Activo)" onmouseover="document.getElementById('filde').style.display='';" onmouseout="document.getElementById('filde').style.display='none';"/></a>
			</xsl:when> 
			<xsl:otherwise>
				<a href="javascript:filtrar();"><img src="../graficos/iconos/filtrar_icon.gif" border="0" title="Filtrar Informacin (Filtro Activo)"/></a>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="$filtro/@FORMAT='true'">
				<a href="javascript:personalizar();"><img src="../graficos/iconos/personalizar_ico.gif" border="0" title="Personalizar Informacin Mostrada (Activo)"/></a>
			</xsl:when>
			<xsl:otherwise>
				<a href="javascript:personalizar();"><img src="../graficos/iconos/personalizar_icon.gif" border="0" title="Personalizar Informacin Mostrada (No Activo)"/></a>
			</xsl:otherwise>
		</xsl:choose>
		<a href="javascript:printListado();"><img src="../graficos/iconos/imprimir_ico.gif" border="0" title="Imprimir Listado"/></a>
	</td>
</tr>
<xsl:if test="not($filtro/@EMPTY='true')">
<tr id="filde"><xsl:attribute name="style"><xsl:if test="$dynamic='on'">display:none;</xsl:if></xsl:attribute>
	<td colspan="3">
		<table class="cont">
			<tr>
				<xsl:if test="$filtro/@SOLO_DUMBO_RAPIDO='S' or count($filtro/TIPO_TAREA)>0">
				<td><b>Tipo tareas:</b>&#160;
						<xsl:choose>
						<xsl:when test="$filtro/@SOLO_DUMBO_RAPIDO='S'">Slo Dumbo Rpido&#160;</xsl:when>
						<xsl:otherwise>
						<xsl:for-each select="$filtro/TIPO_TAREA">
							<xsl:if test=".='P'">Peticin&#160;</xsl:if>
							<xsl:if test=".='I'">Incidencia&#160;</xsl:if>
							<xsl:if test=".='B'">Problema&#160;</xsl:if>
							<xsl:if test=".='A'">Programada&#160;</xsl:if>
						</xsl:for-each>
						</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:if>
				<xsl:if test="count($filtro/ESTADO_TAREA)>0">
				<td><b>Estado tarea:</b>&#160;
						<xsl:for-each select="$filtro/ESTADO_TAREA">
							<xsl:if test=".='A'">Asignada&#160;</xsl:if>
							<xsl:if test=".='W'">En Espera&#160;</xsl:if>
							<xsl:if test=".='X'">Rechazada&#160;</xsl:if>
							<xsl:if test=".='P'">Pendiente&#160;</xsl:if>
							<xsl:if test=".='R'">Resuelta&#160;</xsl:if>
							<xsl:if test=".='N'">Anulada&#160;</xsl:if>
						</xsl:for-each>
					</td>
				</xsl:if>
				<xsl:if test="count($filtro/APLICACIONES)>0">
					<td><b>Aplicacin:</b>&#160;
						<xsl:if test="count($filtro[APLICACIONES='S'])>0">
							<xsl:choose>
								<xsl:when test="count($filtro[APLICACIONES='N'])>0">
									Sin Aplicacin o Cualquier Aplicacin
								</xsl:when>
								<xsl:otherwise>
									Cualquier Aplicacin
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
						<xsl:if test="count($filtro[APLICACIONES='S'])=0">
							<xsl:for-each select="$filtro/APLICACIONES">
								<xsl:choose>
									<xsl:when test=".='N'">
										Sin Aplicacin
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="."/>&#160;
									</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</xsl:if>
					</td>
				</xsl:if>
			</tr>
			<tr>
				<xsl:if test="count($filtro/URGENCIA)>0">
				<td><b>Urgencia:</b>&#160;
						<xsl:choose>
							<xsl:when test="count($filtro/URGENCIA)=3">
								Cualquiera
							</xsl:when>
							<xsl:otherwise>
								<xsl:for-each select="$filtro/URGENCIA">
									<xsl:if test=".='U'">Urgente&#160;</xsl:if>
									<xsl:if test=".='N'">No Urgente&#160;</xsl:if>
									<xsl:if test=".='S'">Sin Urgencia&#160;</xsl:if>
								</xsl:for-each>
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:if>
				<xsl:if test="count($filtro/PRIORIDAD)>0">
				<td><b>Prioridad:</b>&#160;
						<xsl:choose>
							<xsl:when test="count($filtro/PRIORIDAD)=6">
								Cualquiera
							</xsl:when>
							<xsl:otherwise>
								<xsl:for-each select="$filtro/PRIORIDAD">
									<xsl:if test=".='A'">Alta&#160;</xsl:if>
									<xsl:if test=".='M'">Media&#160;</xsl:if>
									<xsl:if test=".='B'">Baja&#160;</xsl:if>
									<xsl:if test=".='C'">Crtica&#160;</xsl:if>
									<xsl:if test=".='P'">Planificada&#160;</xsl:if>
									<xsl:if test=".='N'">Sin Prioridad&#160;</xsl:if>
								</xsl:for-each>
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:if>
				<xsl:if test="string-length($filtro/@INICIO_DESDE)>0 or string-length($filtro/@INICIO_HASTA)>0">
				<td><b>Fecha Inicio:</b>&#160;
						De:<xsl:call-template name="date2String2"><xsl:with-param name="fecha"><xsl:value-of select="$filtro/@INICIO_DESDE"/></xsl:with-param></xsl:call-template>&#160;
						A:<xsl:call-template name="date2String2"><xsl:with-param name="fecha"><xsl:value-of select="$filtro/@INICIO_HASTA"/></xsl:with-param></xsl:call-template>
						&#160;
					</td>
				</xsl:if>
				<xsl:if test="string-length($filtro/@FIN_DESDE)>0 or string-length($filtro/@FIN_HASTA)>0">
				<td><b>Fecha Fin:</b>&#160;
						De:<xsl:call-template name="date2String2"><xsl:with-param name="fecha"><xsl:value-of select="$filtro/@FIN_DESDE"/></xsl:with-param></xsl:call-template>&#160;
						A:<xsl:call-template name="date2String2"><xsl:with-param name="fecha"><xsl:value-of select="$filtro/@FIN_HASTA"/></xsl:with-param></xsl:call-template>
						&#160;
					</td>
				</xsl:if>
			</tr>
			<tr>
				<xsl:if test="string-length($filtro/@SOLICITANTE)>0">
				<td><b>Usuario:</b>&#160;<xsl:value-of select="$filtro/@SOLICITANTE"/></td>
				</xsl:if>
				<xsl:if test="string-length($filtro/@INFORMATICO)>0">
				<td><b><xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informatico'"/></xsl:call-template>:</b>&#160;<xsl:value-of select="$filtro/@INFORMATICO"/></td>
				</xsl:if>
				<xsl:if test="string-length($filtro/@ASUNTO)>0">
				<td><b>Asunto:</b>&#160;<xsl:value-of select="$filtro/@ASUNTO"/></td>
				</xsl:if>
				<xsl:if test="string-length($filtro/@TEXTO)>0">
				<td><b>Texto:</b>&#160;<xsl:value-of select="$filtro/@TEXTO"/></td>
				</xsl:if>
				<xsl:if test="string-length($filtro/@CODIGO)>0">
				<td><b>Cdigo:</b>&#160;<xsl:value-of select="$filtro/@CODIGO"/></td>
				</xsl:if>
			</tr>
		</table>
	</td>
</tr>
</xsl:if>
</table>
</xsl:template>


<xsl:template name="showColumn">
<xsl:param name="columna"/>
<xsl:param name="fila"/>
<xsl:param name="guion"/>
<xsl:param name="name"/>
<xsl:param name="estilo"/>

<xsl:if test="$columna='ESTADO'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<img src="../graficos/iconos/{$fila/@ESTADO}.gif"><xsl:attribute name="title"><xsl:choose><xsl:when test="$fila/@ESTADO='P'">Pendiente de Asignacin</xsl:when><xsl:when test="$fila/@ESTADO='A'">Asignada</xsl:when><xsl:when test="$fila/@ESTADO='W'">En Espera</xsl:when><xsl:when test="$fila/@ESTADO='X'">Rechazada</xsl:when><xsl:when test="$fila/@ESTADO='R'">Resuelta</xsl:when><xsl:when test="$fila/@ESTADO='F'">Resuelta a la Espera de Subtareas</xsl:when><xsl:when test="$fila/@ESTADO='N'">Anulada</xsl:when></xsl:choose></xsl:attribute></img>
	</td>
</xsl:if>
<xsl:if test="$columna='CODIGO'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:value-of select="$fila/@CODIGO"/>
	</td>
</xsl:if>
<xsl:if test="$columna='APLICACIONDESC'">
	<td title="{$fila/@APLICACIONDESC}"><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:value-of select="$fila/@APLICACION"/>
	</td>
</xsl:if>
<xsl:if test="$columna='ASUNTO'">
	<td>
		<xsl:attribute name="title">
			<xsl:choose>
				<xsl:when test="string-length($fila/@SOLUCION)>0">Descripcin: <xsl:value-of select="$fila/@DESCRIPCION"/>&#xD;Solucin:<xsl:value-of select="$fila/@SOLUCION"/></xsl:when>
				<xsl:otherwise>Descripcin: <xsl:value-of select="$fila/@DESCRIPCION"/></xsl:otherwise>
			</xsl:choose>
		</xsl:attribute>
		<xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<xsl:choose>
			<xsl:when test="contains($menu,'Ges/ColaGen')"><a class="importante" href="javascript:select('{$fila/@CODIGO}','{$page}','{$fila/@TIPO_TAREA}','',true)"><xsl:value-of select="$fila/@ASUNTO"/></a></xsl:when>
			<xsl:otherwise><a class="importante" href="javascript:select('{$fila/@CODIGO}','{$page}','{$fila/@TIPO_TAREA}')"><xsl:value-of select="$fila/@ASUNTO"/></a></xsl:otherwise>
		</xsl:choose>
	</td>
		
</xsl:if>
<xsl:variable name="uppercase">ABCDEFGHIJKLMNOPQRSTUVWXYZ</xsl:variable>
<xsl:variable name="lowercase">abcdefghijklmnopqrstuvwxyz</xsl:variable>
<xsl:if test="$columna='USUEMAIL'">
	<xsl:variable name="correo"><xsl:value-of select="$fila/@USUEMAIL"/></xsl:variable>
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<a title="{$fila/@USUEMAIL}" href="javascript:detalleUser('{$fila/@USUEMAIL}');"><xsl:value-of select="substring-before(translate($correo, $lowercase, $uppercase),'@')"></xsl:value-of></a>
	</td>
</xsl:if>
<xsl:if test="$columna='INFEMAIL'">
	<xsl:variable name="correo"><xsl:value-of select="$fila/@INFEMAIL"/></xsl:variable>
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:choose><xsl:when test="string-length($fila/@INFORMATICO)=0">Por Asignar</xsl:when><xsl:otherwise><a title="{$fila/@INFEMAIL}" href="javascript:detalleUser('{$fila/@INFEMAIL}');"><xsl:value-of select="substring-before(translate($correo, $lowercase, $uppercase),'@')"></xsl:value-of></a></xsl:otherwise></xsl:choose>
	</td>
</xsl:if>
<xsl:if test="$columna='FECHA_CREACION'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:call-template name="date2String2"><xsl:with-param name="fecha"><xsl:value-of select="$fila/@FECHA_CREACION"/></xsl:with-param></xsl:call-template>
	</td>
</xsl:if>	
<xsl:if test="$columna='URGENCIA'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:choose>
			<xsl:when test="$fila/@URGENCIA='U'">Urgente</xsl:when>
			<xsl:otherwise>No Urgente</xsl:otherwise>
		</xsl:choose>
	</td>
</xsl:if>
<xsl:if test="$columna='CATEGORIA'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:value-of select="$fila/@CATEGORIADESC"/>
	</td>
</xsl:if>
<xsl:if test="$columna='PRIORIDAD'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:value-of select="$fila/@PRIORIDADDESC"/>
	</td>
</xsl:if>
<xsl:if test="$columna='EMAIL_COPIA'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:choose>
			<xsl:when test="string-length($fila/@EMAIL_COPIA)>30"><xsl:value-of select="substring($fila/@EMAIL_COPIA,1,30)"/>...</xsl:when>
			<xsl:otherwise><xsl:value-of select="$fila/@EMAIL_COPIA"/></xsl:otherwise>
		</xsl:choose>
	</td>
</xsl:if>
<xsl:if test="$columna='DESCRIPCION'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:choose>
			<xsl:when test="string-length($fila/@DESCRIPCION)>50"><xsl:value-of select="substring($fila/@DESCRIPCION,1,50)"/>...</xsl:when>
			<xsl:otherwise><xsl:value-of select="$fila/@DESCRIPCION"/></xsl:otherwise>
		</xsl:choose>
		
	</td>
</xsl:if>
<xsl:if test="$columna='FECHA_MAX_RESOLUCION'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:call-template name="date2String2"><xsl:with-param name="fecha"><xsl:value-of select="$fila/@FECHA_MAX_RESOLUCION"/></xsl:with-param></xsl:call-template>
	</td>
</xsl:if>
<xsl:if test="$columna='UBICACION'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:choose>
			<xsl:when test="string-length($fila/@UBICACION)>50"><xsl:value-of select="substring($fila/@UBICACION,1,50)"/>...</xsl:when>
			<xsl:otherwise><xsl:value-of select="$fila/@UBICACION"/></xsl:otherwise>
		</xsl:choose>
	</td>
</xsl:if>
<xsl:if test="$columna='FECHA_FIN'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:call-template name="date2String2"><xsl:with-param name="fecha"><xsl:value-of select="$fila/@FECHA_FIN"/></xsl:with-param></xsl:call-template>
	</td>
</xsl:if>
<xsl:if test="$columna='PLANIFICACION'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:call-template name="date2String2"><xsl:with-param name="fecha"><xsl:value-of select="$fila/@PLANIFICACION"/></xsl:with-param></xsl:call-template>
	</td>
</xsl:if>
<xsl:if test="$columna='DESCRIPCION_SEGUIMIENTO'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:choose>
			<xsl:when test="string-length($fila/@DESCRIPCION_SEGUIMIENTO)>50"><xsl:value-of select="substring($fila/@DESCRIPCION_SEGUIMIENTO,1,50)"/>...</xsl:when>
			<xsl:otherwise><xsl:value-of select="$fila/@DESCRIPCION_SEGUIMIENTO"/></xsl:otherwise>
		</xsl:choose>
	</td>
</xsl:if>
<xsl:if test="$columna='HORAS_RESOLUCION'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:call-template name="floatToHours"><xsl:with-param name="float" select="$fila/@HORAS_RESOLUCION"/></xsl:call-template>
	</td>
</xsl:if>
<xsl:if test="$columna='COSTE_ECONOMICO'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:value-of select="$fila/@COSTE_ECONOMICO"/>Eur.
	</td>
</xsl:if>
<xsl:if test="$columna='COSTE_MATERIALES'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:choose><xsl:when test="string-length($fila/@COSTE_MATERIALES)=0">0</xsl:when><xsl:otherwise><xsl:value-of select="$fila/@COSTE_MATERIALES"/></xsl:otherwise></xsl:choose> Eur.
	</td>
</xsl:if>
<xsl:if test="$columna='FECHA_ALERTA'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<!-- xsl:call-template name="subtareaShow"><xsl:with-param name="guion" select="$guion"/></xsl:call-template -->
		<xsl:call-template name="date2String2"><xsl:with-param name="fecha"><xsl:value-of select="$fila/@FECHA_ALERTA"/></xsl:with-param></xsl:call-template>
	</td>
</xsl:if>
<xsl:if test="$columna='SOLUCION'">
	<td><xsl:if test="string-length($estilo)>0"><xsl:attribute name="class"><xsl:value-of select="$estilo"/></xsl:attribute></xsl:if>
		<xsl:attribute name="style">padding-left: <xsl:value-of select="(string-length($guion)+1)*(string-length($guion)+1)*2"/>px;</xsl:attribute>
		<xsl:if test="string-length($name)>0"><img id="img.arb.{$name}" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, 'arb.{$name}');"/></xsl:if>
		<xsl:if test="string-length($guion)>0 and string-length($name)=0"><img src="../dumbo7/utils/table/vacio.gif"/></xsl:if>
		<xsl:choose>
			<xsl:when test="string-length($fila/@SOLUCION)>50"><xsl:value-of select="substring($fila/@SOLUCION,1,50)"/>...</xsl:when>
			<xsl:otherwise><xsl:value-of select="$fila/@SOLUCION"/></xsl:otherwise>
		</xsl:choose>
	</td>
</xsl:if>
</xsl:template>

<xsl:template name="subtareaShow">
<xsl:param name="guion"/>
<xsl:choose>
	<xsl:when test="string-length($guion)>0"><xsl:value-of select="translate($guion,'-','&#160;')"/><img src="../graficos/iconos/ico_subtar.gif"/></xsl:when>
	<xsl:otherwise></xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="detailUser">
<xsl:param name="filt"/>
<xsl:param name="target"/>
<SCRIPT LANGUAGE="JavaScript">
	var desplegar='<xsl:value-of select="$filt/@DESPLIEGUE"/>';
	function detalleUser(usr) {
		var w = window.open('about:blank','UserDetail','width=400,height=300,left=100,top=100,scrollbars=yes');
		document.detalleUsr.target = w.name;
		document.detalleUsr.user.value = usr;
		document.detalleUsr.submit();
	}
</SCRIPT>
<form name="detalleUsr" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="{$target}"/>
	<input type="hidden" name="user" value=""/>
</form>
</xsl:template>

</xsl:stylesheet>


