<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name="headComun">
<xsl:param name="ERROR"/>
<xsl:param name="calendar"/>
<xsl:param name="arbol"/>
<xsl:param name="jscript"/>
<head>
<meta name="AUTHOR" content="rea de las Tecnologas de la Informacin y las Comunicaciones Aplicadas de la Universidad de Murcia"/>
<meta name="DESCRIPTION" content="rea de las Tecnologas de la Informacin y las Comunicaciones Aplicadas. Vicerrectorado de Informacin, Comunicacin e Innovacin"/>
<meta http-equiv="Content-Language" content="es"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
<meta name="KEYWORDS" content="Universidad,Informtica,Tecnologas,University,Informatic,Technologies"/>
<META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
<META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
<title>DUMBO7. rea de Tecnologas de la Informacin y las Comunicaciones Aplicadas de la Universidad de Murcia</title>
<link REL="stylesheet" HREF="../estilosD.css" TYPE="text/css"/>
<script type="text/javascript">
		var srvName = '<xsl:value-of select="$servlet"/>';
		<xsl:if test="string-length($ERROR)>0">
			alert(<xsl:call-template name="entrecomillaDescripcion"><xsl:with-param name="descripcion" select="normalize-space($ERROR)"/></xsl:call-template>);
		</xsl:if>
</script>
<script type="text/javascript" src="../js/utils/utils.js"></script>
<xsl:if test="$calendar">
	<style type="text/css">@import url(../dumbo7/utils/jscalendar/calendar-win2k-1.css);</style>
	<script type="text/javascript" src="../dumbo7/utils/jscalendar/calendar.js"></script>
	<script type="text/javascript" src="../dumbo7/utils/jscalendar/lang/calendar-es.js"></script>
	<script type="text/javascript" src="../dumbo7/utils/jscalendar/calendar-setup.js"></script>
</xsl:if>
<xsl:if test="$arbol">
	<style type="text/css">@import url(../dumbo7/utils/table/tree.css);</style>
	<script type="text/javascript" src="../dumbo7/utils/table/tree.js"></script>
	<script type="text/javascript" language="JavaScript">localname='<xsl:value-of select="$arbol"/>';</script>
</xsl:if>
<xsl:if test="string-length($jscript)>0">
	<xsl:copy-of select="$jscript"/>
</xsl:if>
</head>
</xsl:template>

<xsl:template name="calculaSize">
<xsl:param name="items"/>
<xsl:for-each select="$items/ITEM">
<xsl:if test="count(preceding-sibling::*[string-length(@NAME)>string-length(current()/@NAME)])=0 and count(following-sibling::*[string-length(@NAME)>=string-length(current()/@NAME)])=0">
<xsl:value-of select="string-length(current()/@NAME)*8"/>
</xsl:if>
</xsl:for-each>
</xsl:template>

<xsl:template name="menuComun">
<xsl:param name="NOTSHOW"/>
<xsl:param name="HELP" select="''"/>
<xsl:param name="MENU"/>
<xsl:param name="SELECT" select="'none'"/>
<xsl:param name="NAME"/>
<xsl:variable name="helpurl"><xsl:choose><xsl:when test="string-length($HELP)>0"><xsl:value-of select="$servlet"/>?module=dumbo7/ayuda.index&amp;help=<xsl:value-of select="$HELP"/></xsl:when><xsl:otherwise><xsl:value-of select="$servlet"/>?module=dumbo7/ayuda.indexAll</xsl:otherwise></xsl:choose></xsl:variable>
<xsl:if test="not($NOTSHOW) or string-length($NOTSHOW)=0">
<script type='text/javascript' src='../dumbo7/utils/menu/menu_base.js'></script>
<script type='text/javascript' src='../dumbo7/utils/menu/menu_com.js'></script>
</xsl:if>
<script type='text/javascript' src='../js/utils/menu.js'></script>
<SCRIPT LANGUAGE="JavaScript">
	var srvName = '<xsl:value-of select="$servlet"/>';
	<xsl:if test="not($NOTSHOW) or string-length($NOTSHOW)=0">
	<xsl:choose>
		<xsl:when test="string-length($menu)>0">
			var NoOffFirstLineMenus=<xsl:value-of select="count($MENU/ITEM[starts-with($menu,@ID)]/ITEM)"/><xsl:if test="count($MENU/ITEM)>1">+1</xsl:if>;
			<xsl:call-template name="subMenu">
				<xsl:with-param name="SUBMENU" select="$MENU/ITEM[starts-with($menu,@ID)]"/>
				<xsl:with-param name="MENUNAME" select="$MENU/ITEM[starts-with($menu,@ID)]/@ID"/>
				<xsl:with-param name="offset"/>
				<xsl:with-param name="nivel" select="'1'"/>
				<xsl:with-param name="showBack" select="count($MENU/ITEM)"/>
				<xsl:with-param name="size"><xsl:call-template name="calculaSize"><xsl:with-param name="items" select="$MENU/ITEM[starts-with($menu,@ID)]"/></xsl:call-template></xsl:with-param>
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			var NoOffFirstLineMenus=<xsl:value-of select="count($MENU/ITEM)"/>;
			<xsl:call-template name="subMenu">
				<xsl:with-param name="SUBMENU" select="$MENU"/>
				<xsl:with-param name="MENUNAME"/>
				<xsl:with-param name="offset"/>
				<xsl:with-param name="nivel" select="'0'"/>
				<xsl:with-param name="showBack" select="count($MENU/ITEM)"/>
				<xsl:with-param name="size"><xsl:call-template name="calculaSize"><xsl:with-param name="items" select="$MENU"/></xsl:call-template></xsl:with-param>
			</xsl:call-template>
		</xsl:otherwise>
	</xsl:choose>
	</xsl:if>
</SCRIPT>
<FORM NAME="selMenu" ACTION="{$servlet}" METHOD="POST">
	<INPUT TYPE="hidden" NAME="module" VALUE=""/>
	<INPUT TYPE="hidden" NAME="menu" VALUE=""/>
</FORM>
<FORM NAME="goform" ACTION="{$servlet}" METHOD="POST">
	<INPUT TYPE="hidden" NAME="module" VALUE="dumbo7/inicio.loginDumbo.goMenu"/>
	<INPUT TYPE="hidden" NAME="menu" VALUE=""/>
</FORM>
<xsl:choose>	
<xsl:when test="count($MENU/ITEM)>0">
<table id="tcab">
	<tr>
		<td><a href="http://www.um.es/"><img src="../graficos/cabiz.jpg" title="Universidad de Murcia" width="476" height="70" border="0"/></a></td>
		<td width="100%">&#160;</td>
		<xsl:choose>
		<xsl:when test="string-length($menu)>0">
			<td><a href="javascript:goMenu('{$MENU/ITEM[starts-with($menu,@ID)]/@URL}','{$MENU/ITEM[starts-with($menu,@ID)]/@ID}');"><img src="../graficos/dumbo{$MENU/ITEM[starts-with($menu,@ID)]/@ID}.jpg" title="Dumbo" width="200" height="70" border="0"/></a></td>
		</xsl:when>
		<xsl:otherwise>
			<td><a href="javascript:goHome();"><img src="../graficos/cabder.jpg" title="Dumbo" width="200" height="70" border="0"/></a></td>
		</xsl:otherwise>
		</xsl:choose>
	</tr>
</table>
 <xsl:if test="count($MENU/ITEM[(contains($SELECT,'/') and (@ID=substring-before($SELECT,'/'))) or (@ID=$SELECT)])=0">
 <!-- AQUI ES PORQUE NO HAY SISTEMA -->
  <table class="menupal">
	  <tr>
		<td width="99%">&#160;</td>
		<td width="1%" align="right">
			<table cellpadding="0" cellspacing="0">
				<tr>
					<td valign="bottom"><a target="help" href="{$helpurl}"><img border="0" src="../graficos/iconos/ico_ayuda_consultas_1.gif" title="Ayuda"/></a></td>
					<td valign="bottom">&#160;<a href="../index.html"><img border="0" src="../graficos/iconos/salir.gif" title="Salir"/></a></td>
					<td valign="bottom">&#160;<a href="mailto:{/XMLROOT/DATA//USER/CORREO[key='DEF']/value}" target="suge"><img border="0" src="../graficos/iconos/ico_ayuda_reclamacionesw.gif" title="Buzn de Sugerencias o Quejas"/></a></td>
				</tr>
			</table>
		</td>
	  </tr>
  </table>
  <table class="menupal2">
	<tr><td align="right"></td></tr>
  </table>
  <table class="est">
  <tr><td align="right" colspan="2"><xsl:if test="not($NAME='')"><xsl:value-of select="$NAME"/></xsl:if></td></tr>
  </table>
 </xsl:if>
</xsl:when>
<xsl:otherwise>
<table id="tcab">
	<tr>
		<td><a href="http://www.um.es/"><img src="../graficos/cabiz.jpg" title="Universidad de Murcia" width="476" height="70" border="0"/></a></td>
		<td width="100%">&#160;</td>
		<td><a href="javascript:goHome();"><img src="../graficos/cabder.jpg" title="Dumbo" width="200" height="70" border="0"/></a></td>
	</tr>
</table>
<center>
 <!-- AQUI ES PORQUE NO HAY SESION -->
<table>
	<tr><td><font color="red" size="+1"><b>SU SESIN HA EXPIRADO, VUELVA A CONECTARSE.</b></font></td></tr>
</table>
</center>
</xsl:otherwise>
</xsl:choose>
<xsl:if test="count($MENU/ITEM[(contains($SELECT,'/') and (@ID=substring-before($SELECT,'/'))) or (@ID=$SELECT)]/ITEM)>0">
<!-- AQUI ES PORQUE HAY SISTEMA -->
<xsl:variable name="si"><xsl:choose><xsl:when test="contains($SELECT,'/')"><xsl:value-of select="substring-before($SELECT,'/')"/></xsl:when><xsl:otherwise><xsl:value-of select="$SELECT"/></xsl:otherwise></xsl:choose></xsl:variable>
  <table class="menupal">
	  <tr>
		<td width="99%">&#160;</td>
		<td align="right">
			<table>
				<tr>
					<td valign="bottom" id="icoMin" style="display:none"><a href="javascript:minim();"><img border="0" src="../graficos/iconos/ico_minimiza.gif" title="Minimiza"/></a></td>
					<td valign="bottom" id="icoMax"><a href="javascript:maxim();"><img border="0" src="../graficos/iconos/ico_maximiza.gif" title="Maximiza"/></a></td>
					<td valign="bottom"><a target="help" href="{$helpurl}"><img border="0" src="../graficos/iconos/ico_ayuda_consultas_1.gif" title="Ayuda"/></a></td>
					<td valign="bottom">&#160;<a href="../index.html"><img border="0" src="../graficos/iconos/salir.gif" title="Salir"/></a></td>
					<td valign="bottom">&#160;<a href="mailto:{/XMLROOT/DATA//USER/CORREO[key='DEF']/value}" target="suge"><img border="0" src="../graficos/iconos/ico_ayuda_reclamacionesw.gif" title="Buzn de Sugerencias o Quejas" align="top"/></a></td>
				</tr>
			</table>
		</td>
	  </tr>
  </table>
  <table class="menupal2">
	<tr><td align="right"></td></tr>
  </table>
  <table class="est">
  <tr>
	<td width="1%">&#160;</td>
	<td align="left"><xsl:call-template name="showMigas"><xsl:with-param name="MENU" select="$MENU"/><xsl:with-param name="ruta" select="$SELECT"/></xsl:call-template>&#160;</td>
	<td align="right"><xsl:if test="not($NAME='')"><xsl:value-of select="$NAME"/></xsl:if></td>
  </tr>
</table>
</xsl:if>
<xsl:if test="count($MENU/ITEM)>0">
<xsl:call-template name="cuerpo"/>
</xsl:if>
</xsl:template>

<xsl:template name="subMenu">
<xsl:param name="SUBMENU"/>
<xsl:param name="MENUNAME"/>
<xsl:param name="offset"/>
<xsl:param name="size"/>
<xsl:param name="showBack"/>
<xsl:param name="nivel" select="'2'"/>
	<xsl:variable name="valorOffset"><xsl:choose><xsl:when test="string-length($offset)>0"><xsl:value-of select="$offset"/>_</xsl:when><xsl:otherwise></xsl:otherwise></xsl:choose></xsl:variable>
	<xsl:for-each select="$SUBMENU/ITEM">
		<xsl:variable name="valorMenu">
			<xsl:choose>
				<xsl:when test="string-length($MENUNAME)>0">
					<xsl:value-of select="concat($MENUNAME,concat('/',@ID))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="@ID"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
		  <xsl:when test="count(.//ITEM)!=1">
			<xsl:variable name="realSize"><xsl:choose><xsl:when test="$nivel='2'"><xsl:value-of select="$size"/></xsl:when><xsl:otherwise><xsl:value-of select="(string-length(@NAME)*8)"/></xsl:otherwise></xsl:choose></xsl:variable>
			<xsl:choose>
			<xsl:when test="string-length(@URL)>0">
				Menu<xsl:value-of select="$valorOffset"/><xsl:value-of select="position()"/>=new Array("<xsl:value-of select="@NAME"/>","javascript:goMenu('<xsl:value-of select="@URL"/>','<xsl:value-of select="$valorMenu"/>');","",<xsl:value-of select="count(./ITEM)"/>,20,<xsl:value-of select="$realSize"/>);
			</xsl:when>
			<xsl:otherwise>
				Menu<xsl:value-of select="$valorOffset"/><xsl:value-of select="position()"/>=new Array("<xsl:value-of select="@NAME"/>","","",<xsl:value-of select="count(./ITEM)"/>,20,<xsl:value-of select="$realSize"/>);
			</xsl:otherwise>
			</xsl:choose>
			<xsl:variable name="newSize"><xsl:call-template name="calculaSize"><xsl:with-param name="items" select="."/></xsl:call-template></xsl:variable>
			<xsl:call-template name="subMenu">
				<xsl:with-param name="SUBMENU" select="."/>
				<xsl:with-param name="MENUNAME" select="$valorMenu"/>
				<xsl:with-param name="offset" select="concat($valorOffset,position())"/>
				<xsl:with-param name="size"><xsl:choose><xsl:when test="number($newSize)>number($realSize)"><xsl:value-of select="$newSize"/></xsl:when><xsl:otherwise><xsl:value-of select="$realSize"/></xsl:otherwise></xsl:choose></xsl:with-param>
			</xsl:call-template>
		  </xsl:when>
		  <xsl:otherwise>
			<xsl:variable name="realSize"><xsl:choose><xsl:when test="$nivel='2'"><xsl:value-of select="$size"/></xsl:when><xsl:otherwise><xsl:value-of select="(string-length(concat(concat(@NAME,'&#160;'),./ITEM/@NAME))*8)"/></xsl:otherwise></xsl:choose></xsl:variable>
			Menu<xsl:value-of select="$valorOffset"/><xsl:value-of select="position()"/>=new Array("<xsl:value-of select="@NAME"/>&#160;<xsl:value-of select="./ITEM/@NAME"/>","javascript:goMenu('<xsl:value-of select="./ITEM/@URL"/>','<xsl:value-of select="concat(concat($valorMenu,'/'),./ITEM/@ID)"/>');","",0,20,<xsl:value-of select="$realSize"/>);
		  </xsl:otherwise>
		</xsl:choose>	
	</xsl:for-each>
	<xsl:variable name="realSize"><xsl:choose><xsl:when test="$nivel='2'"><xsl:value-of select="$size"/></xsl:when><xsl:otherwise><xsl:value-of select="string-length('Inicio')*7"/></xsl:otherwise></xsl:choose></xsl:variable>
	<xsl:if test="($nivel='1') and ($showBack>1)">
		Menu<xsl:value-of select="$valorOffset"/><xsl:value-of select="count($SUBMENU/ITEM)+1"/>=new Array("Inicio","javascript:goHome();","",0,20,<xsl:value-of select="$realSize"/>);
	</xsl:if>
</xsl:template>

<xsl:template name="showMigas">
<xsl:param name="MENU"/>
<xsl:param name="MENUNAME"/>
<xsl:param name="ruta"/>
	<xsl:for-each select="$MENU/ITEM">
		<xsl:variable name="valorMenu">
			<xsl:choose>
				<xsl:when test="string-length($MENUNAME)>0">
					<xsl:value-of select="concat($MENUNAME,concat('/',@ID))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="@ID"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:if test="(contains($ruta,'/') and (@ID=substring-before($ruta,'/'))) or (@ID=$ruta)">
			<xsl:choose>
			<xsl:when test="string-length(@URL)>0">
			&#187;&#160;<a><xsl:attribute name="href">javascript:goMenu('<xsl:value-of select="@URL"/>','<xsl:value-of select="$valorMenu"/>');</xsl:attribute><xsl:value-of select="@NAME"/></a><xsl:call-template name="showMigas"><xsl:with-param name="ruta" select="substring-after($ruta,'/')"/><xsl:with-param name="MENU" select="."/><xsl:with-param name="MENUNAME" select="$valorMenu"/></xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
			&#187;&#160;<xsl:value-of select="@NAME"/><xsl:call-template name="showMigas"><xsl:with-param name="ruta" select="substring-after($ruta,'/')"/><xsl:with-param name="MENU" select="."/><xsl:with-param name="MENUNAME" select="$valorMenu"/></xsl:call-template>
			</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:for-each>
</xsl:template>


<xsl:template name="pieComun">
<table border="0" cellpadding="0" cellspacing="0" width="100%" summary="Esta tabla contiene iconos con enlaces a buscar, imprimir y otras utilidades, adems de un enlace a ATICA">
  <tr><td colspan="2">&#160;</td></tr>
  <tr>
    <td class="fondotdverde" width="100%" colspan="2"></td>
  </tr>
  <tr>
    <td class="pie">&#160;(C) Universidad de Murcia - <a href="http://www.um.es/atica" title="rea de Tecnologas de la Informacin y las Comunicaciones Aplicadas">ATICA</a></td>
  </tr>
</table>
</xsl:template>

<xsl:template name="date2String">
<xsl:param name="fecha"/>
<xsl:if test="string-length($fecha)>0">
<xsl:variable name="date" select="substring-before($fecha,'T')"/>
<xsl:variable name="hora" select="substring-after(substring-before($fecha,'.'),'T')"/>
<xsl:variable name="anyo" select="substring-before($date,'-')"/>
<xsl:variable name="mes" select="substring-before(substring-after($date,'-'),'-')"/>
<xsl:variable name="dia" select="substring-after(substring-after($date,'-'),'-')"/>
<xsl:value-of select="$dia"/>/<xsl:value-of select="$mes"/>/<xsl:value-of select="$anyo"/>&#160;<xsl:value-of select="$hora"/>
</xsl:if>
</xsl:template>

<xsl:template name="date2String2">
<xsl:param name="fecha"/>
<xsl:if test="string-length($fecha)>0">
<xsl:variable name="date" select="substring-before($fecha,'T')"/>
<xsl:variable name="hora" select="substring-after(substring-before($fecha,'.'),'T')"/>
<xsl:variable name="anyo" select="substring-before($date,'-')"/>
<xsl:variable name="mes" select="substring-before(substring-after($date,'-'),'-')"/>
<xsl:variable name="dia" select="substring-after(substring-after($date,'-'),'-')"/>
<xsl:value-of select="$dia"/>/<xsl:value-of select="$mes"/>/<xsl:value-of select="$anyo"/>
</xsl:if>
</xsl:template>

<xsl:template name="floatToHours">
<xsl:param name="float"/>
<xsl:choose><xsl:when test="string-length($float)>0"><xsl:value-of select="floor(number($float))"/>:<xsl:value-of select="round((number($float)-floor(number($float)))*60)"/></xsl:when><xsl:otherwise><xsl:value-of select="$float"/></xsl:otherwise></xsl:choose>
</xsl:template>

<xsl:template name="traduce">
<xsl:param name="id"/>
<xsl:choose>
	<xsl:when test="count(/XMLROOT/DICTIONARY[contains(@LANGUAGE,concat('_',substring-before($menu,'/')))]/KEY[@NAME=$id])>0">
		<xsl:value-of select="/XMLROOT/DICTIONARY[contains(@LANGUAGE,concat('_',substring-before($menu,'/')))]/KEY[@NAME=$id]/@VALUE"/>
	</xsl:when>
	<xsl:when test="count(/XMLROOT/DICTIONARY[not(contains(@LANGUAGE,'_'))]/KEY[@NAME=$id])>0">
		<xsl:value-of select="/XMLROOT/DICTIONARY[not(contains(@LANGUAGE,'_'))]/KEY[@NAME=$id]/@VALUE"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$id"/>
	</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template name="entrecomillaDescripcion">
<xsl:param name="descripcion"/>
	<xsl:variable name="comilla">'</xsl:variable>
	<xsl:choose>
		<xsl:when test="contains($descripcion,$comilla)">
			"<xsl:call-template name="sinIntros"><xsl:with-param name="cad" select="$descripcion"/></xsl:call-template>"
		</xsl:when>
		<xsl:otherwise>
			'<xsl:call-template name="sinIntros"><xsl:with-param name="cad" select="$descripcion"/></xsl:call-template>'
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="sinIntros">
	<xsl:param name="cad"/>
	<xsl:choose>
		<xsl:when test="contains($cad,'&#13;')">
			<xsl:call-template name="sinIntros"><xsl:with-param name="cad"><xsl:value-of select="concat(substring($cad,1,string-length(substring-before($cad,'&#13;'))-1),'&lt;br>',substring($cad,string-length(substring-before($cad,'&#13;'))+3))"/></xsl:with-param></xsl:call-template>
		</xsl:when>
		<xsl:otherwise><xsl:value-of select="$cad"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>
