<!--Funciones para comprobar los formatos de fecha correctos-->
function changeDate(obj,hora) {
	var fecha = new Array();
	var f = obj.value;
	if (f.trim()=='') { obj.value = ''; return; }
	var h = '';
	var expfb = /^[0-9]{1,2}\/[0-9]{1,2}\/[0-9]{2,4}( [0-9]{1,2}\:[0-9]{1,2}){0,1}$/;
	var expfs = /^[0-9]{6,8}( [0-9]{1,2}\:[0-9]{1,2}){0,1}$/;
	if (f.indexOf(' ')>0) {
		if (hora) {
			h = f.substring(f.indexOf(' ')+1);
			f = f.substring(0,f.indexOf(' '));
		} else f = f.substring(0,f.indexOf(' '));
	}
	if (expfb.test(f) || expfs.test(f)) {
	   if (expfb.test(f)) {
		var d = f.substring(0,f.indexOf('/'));
		if (d.length==1) d = '0'+d;
		fecha[0] = d;
		f = f.substring(f.indexOf('/')+1);
		var m = f.substring(0,f.indexOf('/'));
		if (m.length==1) m = '0'+m;
		fecha[1] = m;
		var a = f.substring(f.indexOf('/')+1);
		if (a.length==2) a = '20'+a;
		if (a.length==3) a = '2'+a;
		fecha[2] = a;
	   }
	   if (expfs.test(f)) {
		fecha[0] = f.substring(0,2);
		fecha[1] = f.substring(2,4);
		fecha[2] = f.substring(4);
		if (fecha[2].length==2) fecha[2] = '20'+fecha[2];
		if (fecha[2].length==3) fecha[2] = '2'+fecha[2];
	   }
	   if (trataFecha(fecha)) { errorFecha(obj,hora); return; }
	   if (h.length>0 && trataHora(fecha,h)) { errorFecha(obj,hora); return; }
	   obj.value = fecha[0]+'/'+fecha[1]+'/'+fecha[2];
	   if (fecha[3]!=null) obj.value += ' '+fecha[3]+':'+fecha[4];
	} else {
		errorFecha(obj,hora);
	}
}

function errorFecha(obj,hora) {
	   if (hora) alert('Escriba una fecha y hora correcta.');
	   else alert('Escriba una fecha correcta.');
	   obj.value = '';
	   obj.focus();
}
function trataHora(fecha,h) {
	fecha[3] = h.substring(0,h.indexOf(':'));
	if (fecha[3].length==1) fecha[3] = '0'+fecha[3];
	fecha[4] = h.substring(h.indexOf(':')+1);
	if (fecha[4].length==1) fecha[4] = '0'+fecha[4];
	if (fecha[3]>23) return true;
	if (fecha[4]>59) return true;
	return false;
}

function trataFecha(fecha) {
	if (fecha[0]>Date._MD[fecha[1]-1]) return true;
	if (fecha[1]==0 || fecha[1]>12) return true;
	return false;
}
