function replaceAll(str, strFind, strReplace)
{
	while (str.indexOf(strFind) > -1)
	{
		str = str.replace(strFind, strReplace);
	}
	return str;
}

var CodeThatEditors=[],tmt,selection="";
function CEditor(id,def)
{	var t=this;
	t.id=(Def(id))?id:CodeThat.newID();
	t.def=(Def(id))?def:{};
	CodeThatEditors[t.id]=t;
	t.isRTF=(Def(document.execCommand));
	t.isPrompt=1;t.text='';
	t.command='';
	t.style=
	{
		width:400,
		height:200,
		defaultClass:
		{
			bordercolor:"#efefe0",
			borderstyle:"inset",
			borderwidth:1
		}
	};
	t.tb=
	{
		height:60,
		bgcolor:'#ffffff',
		defaultClass:{Color:"#000000"},
		buttons : [
		{
			name:"bold",
			text:"Bold",
			img_on:
			{
				src:'img/post_button_bold.gif',
				width:22,
				height:22
			}
		},
		{
			name:"italic",
			text:"Italic",
			img_on:
			{
				src:'img/post_button_italic.gif',
				width:22,
				height:22
			}
		},
		{
			name:"underline",
			text:"Underline",
			img_on:
			{
				src:'img/post_button_underline.gif',
				width:22,
				height:22
			}
		},
		{
			name:"justifyleft",
			text:"Align left",
			img_on:
			{
				src:'img/post_button_left_just.gif',
				width:22,
				height:22
			}
		},
		{
			name:"justifycenter",
			text:"Align center",
			img_on:
			{
				src:'img/post_button_centre.gif',
				width:22,
				height:22
			}
		},
		{
			name:"justifyright",
			text:"Align right",
			img_on:
			{
				src:'img/post_button_right_just.gif',
				width:22,
				height:22
			}
		},
		{
			name:"preview",
			text:"Preview",
			img_on:
			{
				src:'img/post_button_preview.gif',
				width:20,
				height:20
			}
		}],
		styletext:"Style",
		styles : [
		{
			tag:"span",
			text:"Normal"
		},
		{
			tag:"h1",
			text:"Heading 1"
		},
		{
			tag:"h2",
			text:"Heading 2"
		},
		{
			tag:"h3",
			text:"Heading 3"
		},
		{
			tag:"h4",
			text:"Heading 4"
		},
		{
			tag:"h5",
			text:"Heading 5"
		},
		{
			tag:"h6",
			text:"Heading 6"
		},
		{
			tag:"pre",
			text:"Formatted"
		},
		{
			tag:"p",
			text:"Paragraph"
		}],
		fonttext:"Font",
		fonts : [
		{
			name:"Arial,Helvetica,sans-serif",text:"Arial"
		},
		{
			name:"Courier New,Courier,mono",text:"Courier New"
		},
		{
			name:"Times New Roman,Times,serif",text:"Times New Roman"
		},
		{
			name:"Verdana,Arial,Helvetica,sans-serif",text:"Verdana"
		},
		{
			name:"Tahoma,sans-serif",text:"Tahoma"
		},
		{
			name:"Comic Sans MS,sans-serif",text:"Comic Sans MS"
		}],
		tagstext:"Tags",
		tags : [
		{
			name:"#tagPrueba1#",
			text:"#tagPrueba1#"
		},
		{
			name:"#tagPrueba2#",
			text:"#tagPrueba2#"
		}],
		fontsizetext:"Font size",
		fontsizes:[1,2,3,4,5,6,7],
		prompts : [
		{
			name:"1",
			text:"Prompt Mode"
		},
		{
			name:"0",text:"Basic Mode"
		}
		]};
		t.pallete=[['FFFFFF','FFCCCC','FFCC99','FFFF99','FFFFCC','99FF99','99FFFF','CCFFFF','CCCCFF','FFCCFF'],['CCCCCC','FF6666','FF9966','FFFF66','FFFF33','66FF99','33FFFF','66FFFF','9999FF','FF99FF'],['C0C0C0','FF0000','FF9900','FFCC66','FFFF00','33FF33','66CCCC','33CCFF','6666CC','CC66CC'],['999999','CC0000','FF6600','FFCC33','FFCC00','33CC00','00CCCC','3366FF','6633FF','CC33CC'],['666666','990000','CC6600','CC9933','999900','009900','339999','3333FF','6600CC','993399'],['333333','660000','993300','996633','666600','006600','336666','000099','333399','663366'],['000000','330000','663300','663333','333300','003300','003333','000066','330099','330033']];};{var CEp=CEditor.prototype;CEp.getID=function(id){
return id+this.id;};CEp.create=(typeof CodeThat.gets=='function'&&CodeThat.gets())?function(){var t=this,style="",css="",cssName="",i,j,b={},imgs=[];if(Def(t.def.toolBar))b=t.def.toolBar;for(i in b)if(Def(i)&&Def(b[i])&&i!="prompts")t.tb[i]=b[i];if(Def(t.def.style))t.style=t.def.style;style+=t.makeStyle(t.tb,"defaultClass","tb");style+=t.makeStyle(t.style,"defaultClass","e");if(Def(style))dw("<style>"+style+"</style>");b=t.tb.buttons;for(i=0;Def(b)&&i<b.length;i++)for(j in b[i])if(j.indexOf("img")>-1&&Def(b[i][j]))imgs[imgs.length]=b[i][j].src;for(i=0;i<imgs.length;i++)CodeThat.preload(imgs[i]);t.initPallete();t.text=t.def.text;if(Def(t.tb.fonts))t.tb.fonts.length=3;b=t.text;j=0;css=0;for(i=0;i<b.length;i++){switch(b.charAt(i)){case "<":css=1;break;case ">":css=0;break;default:if(!css)j++;};/*if(j>500)break;*/};t.text=b.substr(0,i);t.paint();}:function(){
return;};CEp.getText=function(){var t=this,o,id=t.getID("cnt"),text="";if(t.isRTF){if(ua.ie)o=window.frames[id].document;else o=document.getElementById(id).contentWindow.document;text=o.body.innerHTML;}else{o=document.forms[t.id].elements[id];text=o.value;}t.text=text;
return text;};CEp.setText=function(){var t=this,id=t.getID("cnt"),o=CodeThat.findElement(id),d,w="";if(Undef(o))
return;if(Def(t.def.style.contentStyle))w="<link href=\""+t.def.style.contentStyle+"\" rel=stylesheet type=text/css>";if(t.isRTF){if(ua.ie)frames[id].document.designMode='on';else document.getElementById(id).contentDocument.designMode='on';eval("try {"+"	if (Def(document.getElementById(id).contentWindow)) d = document.getElementById(id).contentWindow.document;"+"	else d = window.frames[id].document;"+"	d.open(); d.write('<html><head><title>CodeThatEditorContainer</title><base href=\"' + window.location.href + '\">' + w + '</head><body>' + t.text + '</body></html>'); d.close();"+"	if (Def(tmt)) window.clearTimeout(tmt);"+"}catch(e){"+"	tmt = window.setTimeout(\"CodeThatEditors['\" + t.id + \"'].setText()\", 200);"+"};");}else{o.value=t.text;};};CEp.makeStyle=function(obj,param,cssName){var css="";if(Def(css=makeCssClass(obj[param]))){cssName=makeNameUnique(cssName);obj[param]=cssName;css="\n."+cssName+"{"+css+"}";}else obj[param]="";
return css;};CEp.getContainer=function(){var t=this,HTML="",style=((ua.nn4)?" cols="+t.style.width/10+" rows="+t.style.height/20:"style=\"width:"+t.style.width+"px;height:"+t.style.height+"px;\" class=\""+t.style.defaultClass+"\"");if(t.isRTF){HTML+="<iframe width=\""+t.style.width+"\" height=\""+t.style.height+"\" id=\""+t.getID("cnt")+"\"></iframe>";}else{HTML+="<form name=\""+t.id+"\"><textarea name=\""+t.getID("cnt")+"\" id=\""+t.getID("cnt")+"\" "+style+">"+t.text+"</textarea></form>";};
return HTML;};

CEp.tbToHTML=function(cnt)
{
	var t=this,b,HTML="",i,img,a;
	if(!t.tb.height)
	return HTML;
	if(t.isRTF)
	{
		b=t.tb.styles;
		if(Def(b))
		{
			HTML+="<select id=\"formatblock\" unselectable onChange=\"if (this.selectedIndex>0) CodeThatEditors['"+t.id+"'].execCommand(this.id, this.value); this.selectedIndex=0;\"><option>"+t.tb.styletext+"</option>";
			for(i=0;i<b.length;i++)
			{
				HTML+="<option value=\"<"+b[i].tag+">\">"+b[i].text+"</option>";
			};
			HTML+="</select>";
		};
		b=t.tb.fonts;
		if(Def(b))
		{
			HTML+="<select id=\"fontname\" unselectable onChange=\"if (this.selectedIndex>0) CodeThatEditors['"+t.id+"'].execCommand(this.id, this.value); this.selectedIndex=0;\"><option value=\"font\">"+t.tb.fonttext+"</option>";
			for(i=0;i<b.length;i++)
			{
				HTML+="<option value=\""+b[i].name+"\">"+b[i].text+"</option>";
			};
			HTML+="</select>";
		};
		b=t.tb.tags;
		if(Def(b))
		{
			HTML+="<select id=\"tagname\" unselectable onChange=\"if (this.selectedIndex>0) CodeThatEditors['"+t.id+"'].execCommand(this.id, this.value); this.selectedIndex=0;\"><option value=\"tag\">"+t.tb.tagstext+"</option>";
			for(i=0;i<b.length;i++)
			{
				HTML+="<option value=\""+b[i].name+"\">"+b[i].text+"</option>";
			};
			HTML+="</select>";
		};
		b=t.tb.fontsizes;if(Def(b))
		{
			HTML+="<select id=\"fontsize\" unselectable onChange=\"if (this.selectedIndex>0) CodeThatEditors['"+t.id+"'].execCommand(this.id, this.value); this.selectedIndex=0;\"><option value=\"size\">"+t.tb.fontsizetext+"</option>";
			for(i=0;i<b.length;i++)
			{
				HTML+="<option value=\""+b[i]+"\">"+b[i]+"</option>";
			};
			HTML+="</select>";
		};
		HTML+="<br>";
		b=t.tb.buttons;
		for(i=0;Def(b)&&i<b.length;i++)
		{
			if(ua.moz&&(b[i].name=="copy"||b[i].name=="paste"||b[i].name=="cut")||b[i].name=="preview")
				continue;
			if(b[i].name!="bold"&&b[i].name!="italic"&&b[i].name!="underline"&&b[i].name!="justifyright"&&b[i].name!="justifycenter"&&b[i].name!="justifyleft")
				continue;
			img=b[i].text;if(Def(b[i].img_on))
			{
				b[i].img_on.id=b[i].name;
				b[i].img_on.border=0;
				img=makeImgTag(b[i].img_on,b[i].text);
				a=" onMouseOver=\"document.images['"+b[i].name+"'].src='"+b[i].img_on.src+"'\"";
			};
			if(Def(b[i].img_off))
			{
				b[i].img_off.id=b[i].name;
				b[i].img_off.border=0;img=makeImgTag(b[i].img_off,b[i].text);
				a+=" onMouseOut=\"document.images['"+b[i].name+"'].src='"+b[i].img_off.src+"'\"";
			}
			else
			{
				a="";
			};
			HTML+="<a unselectable href=\"javascript:CodeThatEditors['"+t.id+"'].execCommand('"+b[i].name+"')\" "+a+" title='"+b[i].text+"'>"+img+"</a>";
		};
	}
	else
	{
		b=t.tb.prompts;
		if(Def(b))
		{
			HTML+="<select id=\"promptmode\" onChange=\"CodeThatEditors['"+t.id+"'].isPrompt=parseInt(this.value);\">";
			for(i=0;i<b.length;i++)
			{
				HTML+="<option value=\""+b[i].name+"\">"+b[i].text+"</option>";
			};
			HTML+="</select>";
		};
		b=t.tb.fonts;
		if(Def(b))
		{
			HTML+="<select id=\"fontname\" unselectable onChange=\"if (this.selectedIndex>0) CodeThatEditors['"+t.id+"'].addCode(this.id, this.options[this.selectedIndex].value);; this.selectedIndex=0;\"><option value=\"font\">"+t.tb.fonttext+"</option>";
			for(i=0;i<b.length;i++)
			{
				HTML+="<option value=\""+b[i].name+"\">"+b[i].text+"</option>";
			};
			HTML+="</select>";
		};
		b=t.tb.tags;
		if(Def(b))
		{
			HTML+="<select id=\"tagname\" unselectable onChange=\"if (this.selectedIndex>0) CodeThatEditors['"+t.id+"'].addCode(this.id, this.options[this.selectedIndex].value); this.selectedIndex=0;\"><option value=\"tag\">"+t.tb.tagstext+"</option>";
			for(i=0;i<b.length;i++)
			{
				HTML+="<option value=\""+b[i]+"\">"+b[i]+"</option>";
			};
			HTML+="</select>";
		};
		b=t.tb.fontsizes;
		if(Def(b))
		{
			HTML+="<select id=\"fontsize\" unselectable onChange=\"if (this.selectedIndex>0) CodeThatEditors['"+t.id+"'].addCode(this.id, this.options[this.selectedIndex].value); this.selectedIndex=0;\"><option value=\"size\">"+t.tb.fontsizetext+"</option>";
			for(i=0;i<b.length;i++)
			{
				HTML+="<option value=\""+b[i]+"\">"+b[i]+"</option>";
			};
			HTML+="</select>";
		};
		HTML+="<br>";
		b=t.tb.buttons;
		for(i=0;Def(b)&&i<b.length;i++)
		{
			if(b[i].name!="bold"&&b[i].name!="italic"&&b[i].name!="underline"&&b[i].name!="justifyright"&&b[i].name!="justifycenter"&&b[i].name!="justifyleft")continue;if(b[i].name=="copy"||b[i].name=="paste"||b[i].name=="cut"||b[i].name=="outdent"||b[i].name=="indent"||b[i].name=="justifyleft"||b[i].name=="justifyright"||b[i].name=="insertorderedlist"||b[i].name=="insertunorderedlist")
				continue;
			img=b[i].text;
			if(Def(b[i].img_on))
			{
				b[i].img_on.id=b[i].name;
				b[i].img_on.border=0;
				img=makeImgTag(b[i].img_on,b[i].text);
				a=" onMouseOver=\"document.images['"+b[i].name+"'].src='"+b[i].img_on.src+"'\"";
			};
			if(Def(b[i].img_off))
			{
				b[i].img_off.id=b[i].name;
				b[i].img_off.border=0;
				img=makeImgTag(b[i].img_off,b[i].text);
				a+=" onMouseOut=\"document.images['"+b[i].name+"'].src='"+b[i].img_off.src+"'\"";
			}
			else
			{
				a="";
			};
			HTML+="<a href=\"javascript:CodeThatEditors['"+t.id+"'].addCode('"+b[i].name+"')\" "+a+">"+img+"</a>";
		};
	};
	if(ua.nn4)
		HTML="<form>"+HTML+"</form>";
	if(Def(HTML)&&Def(cnt)&&cnt)
		HTML="<div id=\""+t.getID("tb")+"\" style=\"width:"+(pI(t.style.width)+((ua.ie)?0:4))+";height:"+t.tb.height+";background-color:"+t.tb.bgcolor+"\" class=\""+t.tb.defaultClass+"\">"+HTML+"</div>";
	return HTML;
	};

CEp.preview=function()
{
	var w=window.open("","p","location=0, scrollbars=yes, status=1, resizable=yes, top=10, left=10, width=400, height=400, menubar=0, toolbar=0");
	w.document.open();
	w.document.write("<html><head><title>Preview Text</title></head><body marginheight=0 marginwidth=0 leftmargin=0 topmargin=0 bottommargin=0 rightmargin=0><table width=100%><tr><td valign=top>"+document.forms[this.id].elements[this.getID("cnt")].value+"</td></tr><tr><th style='font-family:Tahoma,Arial;font-size:12px;'><br><br><br><br><a href='javascript:window.close();'>Close window</a></th></tr></table></body></html>");w.document.close();
	w.focus();
};

CEp.execCommand=function(command,value)
{
	var t=this,id=t.getID("cnt"),o=document.getElementById(id).contentWindow;
	if(Undef(o))o=window.frames[id];
	t.showPallete(0,0,0);
	t.command=command;
	switch(command)
	{
		case "createlink":
			var uri=prompt("Enter URL:","http://");
			o.document.execCommand('Unlink',false,null);
			o.document.execCommand(command,false,uri);
			break;
		case "forecolor":
		case "backcolor":
			s=o.document.selection;
			if(Undef(value))
			{
				if(s!=null)rng=s.createRange();
				if(Def(document.getElementById(id).contentWindow))
					t.showPallete(1,parseInt(CT_getTop(t.getID("tb")))+t.tb.height-10,parseInt(CT_getLeft(command))+10);
				else
					t.showPallete(1,parseInt(CT_getTop(t.getID("tb")))+t.tb.height-10,parseInt(20+t.style.width));
			}
			else
			{
				if(s!=null)
				{
					var newRng=s.createRange();
					newRng=rng;
					newRng.select();
				}
				o.document.execCommand(command,false,value);
			};
			break;
		case "addimage":
			var uri=prompt("Enter Image URL:","http://");
			if(Def(uri))
			{
				o.focus();
				o.document.execCommand('InsertImage',false,uri);
			};
			break;
		case "tagname":
			o.focus();
			o.document.execCommand('InsertInputText',false,false); //inserta <INPUT id=false>
			var texto = this.getText();
			texto = replaceAll(texto,'<INPUT id=false>',value);
			this.text = texto;
			this.setText();
			break;
		default:
			o.focus();
			o.document.execCommand(command,false,value);
	};
	o.focus();
};

CEp.addCode=function(command,value)
{
	var t=this,id=t.getID("cnt"),o=CodeThat.findElement(id),code,text="",insertCode,top,left;
	t.showPallete(0,0,0);
	t.command=command;
	if(Undef(o))
		o=document.forms[t.id].elements[t.getID("cnt")];
	switch(command)
	{
		case "preview":
			t.preview();
			break;
		case "createlink":
			var uri=prompt("Enter URL:","http://");
			code="A";
			text="Set text for hyperlink";
			if(Def(uri))
			{
				if(t.isPrompt)
				{
					insertCode=prompt(text+":\n<"+code+">text</"+code+">",selection);
					if((insertCode!=null)&&(insertCode!=""))
					{
						o.value+="<a href='"+uri+"'>"+insertCode+"</a>";
					}
				}
				else
				{
					o.value+="\n<a href=\""+uri+"\"></a>";
				};
			};
			break;
		case "forecolor":
			text="Set font color";
		case "backcolor":
			if(text=="")
				text="Set background color";
				code="FONT";
				if(Undef(value))
				{
					if(ua.nn4||ua.oldOpera)
					{
						top=10;
						left=t.style.width+((ua.nn4)?0:20);
					}
					else
					{
						top=parseInt(CT_getTop(t.getID("tb")))+t.tb.height-10;
						left=parseInt(CT_getLeft(command))+10;
					}
					t.showPallete(1,top,left);
				}
				else
				{
					if(t.isPrompt)
					{
						insertCode=prompt(text+":\n<"+code+">text</"+code+">",selection);
						if((insertCode!=null)&&(insertCode!=""))
						{
							o.value+="<"+code+((command=="forecolor")?" color='"+value+"'":" style='background-color:"+value+"'")+">"+insertCode+"</"+code+">";
						}
					}
				else
				{
					o.value+="<"+code+((command=="forecolor")?" color='"+value+"'":" style='background-color:"+value+"'")+"></"+code+">";
				};
			};
			break;
		case "addimage":
			var uri=prompt("Enter Image URL:","http://");
			if(Def(uri))
			{
				o.value+="\n<img src=\""+uri+"\">";
			};
			break;
		case "tagname":
			alert("tagname en addcode");
			break;
		case "fontname":
			text="Set font name";
		case "fontsize":
			if(text=="")
				text="Set font size";code="FONT";
				if(t.isPrompt)
				{
					insertCode=prompt(text+":\n<"+code+">text</"+code+">",selection);
					if((insertCode!=null)&&(insertCode!=""))
					{
						o.value+="<"+code+((command=="fontname")?" face='"+value+"'":" size='"+value+"'")+">"+insertCode+"</"+code+">";
					}
				}
				else
				{
					o.value+="<"+code+((command=="fontname")?" face='"+value+"'":" size='"+value+"'")+"></"+code+">";
				};
				break;
			default:
				switch(command)
				{
					case "bold":
						code="b";
						text="Set "+command;
						break;
					case "italic":
						code="i";
						text="Set "+command;
						break;
					case "underline":
						code="u";
						text="Set "+command;
						break;
					case "justifycenter":
						code="center";
						text="Set "+command;
						break;
					default:
						code="p";
						text="Set "+command;
						break;
				};
				if(t.isPrompt)
				{
					insertCode=prompt(text+":\n<"+code+">text</"+code+">",selection);
					if((insertCode!=null)&&(insertCode!=""))
					{
						o.value+="<"+code+">"+insertCode+"</"+code+">";
					}
				}
				else
				{
					o.value+="<"+code+"></"+code+">";
				};
	};
	o.focus();
};

CEp.paint=function()
{
	var t=this,o=CodeThat.findElement(t.getID("cnt")),i;
	if(Undef(o))
	{
		dw(t.tbToHTML(1));
		dw(t.getContainer());
		if(ua.moz)
			tmt=window.setTimeout("CodeThatEditors['"+t.id+"'].setText()",250);
		else t.setText();
	};
};

CEp.getTDPallete=function(clr)
{
	var HTML="",t=this;
	if(this.isRTF)
		HTML="<a href=\"javascript:CodeThatEditors['"+t.id+"'].execCommand(CodeThatEditors['"+t.id+"'].command, '#"+clr+"')\"><img src=\"img/1x1.gif\" width=20 height=20 border=0></a>";
	else
		HTML="<a href=\"javascript:CodeThatEditors['"+t.id+"'].addCode(CodeThatEditors['"+t.id+"'].command, '#"+clr+"')\"><img src=\"img/1x1.gif\" width=20 height=20 border=0></a>";
	HTML="\n<td bgcolor=\"#"+clr+"\" width=\"20\" height=\"20\">"+HTML+"</td>";
	return HTML;
};

CEp.initPallete=function(){var t=this,i,j;var HTML="<div id=\""+t.getID("pt")+"\" style=\"position:absolute;top:10;left:10;width:200;height:200;visibility:hidden;"+((ua.nn4||ua.oldOpera)?"":"display:none;")+"\"><table border=1 cellpadding=0 cellspacing=1>";for(i=0;i<t.pallete.length;i++){HTML+="<tr>";for(j=0;j<t.pallete[i].length;j++){HTML+=t.getTDPallete(t.pallete[i][j]);};HTML+="</tr>";};HTML+="</table></div>";dw(HTML);};CEp.showPallete=function(v,t,l){var o=CodeThat.findElement(this.getID("pt"));if(Def(o)){if(ua.nn4){if(!v&&o.visibility=='hide')
return;if(v)o.visibility="visible";else o.visibility="hide";o.top=(Def(t))?t:50;o.left=(Def(l))?l:0;
return;};if(!v&&o.style.display=='none')
return;if(v){o.style.visibility='visible';o.style.display='block';}else{o.style.visibility='hidden';o.style.display='none';};o.style.top=(Def(t))?t:50;o.style.left=(Def(l))?l:0;};};};function makeRE(text){var special=["\\","/",".","^","+","*","?","$","|","(",")","{","}"],i;for(i=0;i<special.length;i++)text=text.replace(new RegExp("\\"+special[i],"ig"),"\\"+special[i]);
return text;};function makeCssClass(style){var cssClass="",obj=null;if(Def(style)&&style.constructor!=String){var attr=["border-width","border-color","border-style","background-color","background-image","background-repeat","color","font-family","font-style","font-weight","font-size","text-align","text-decoration","vertical-align","padding","cursor"];for(z=0;z<attr.length;z++){obj=eval("style."+attr[z].replace(new RegExp("-"),""));if(Def(obj))cssClass+=attr[z]+":"+obj+";";};};
return cssClass;};function makeImgTag(img,alt){var HTML="",obj=null;if(Def(img)){var attr=["src","width","height","border","alt","id"];if(Undef(img.alt))img.alt=alt;for(z=0;z<attr.length;z++){obj=eval("img."+attr[z]);if(Def(obj))HTML+=attr[z]+"=\""+obj+"\" ";};HTML="<img "+HTML+">";obj=new Image();obj.src=img.src;}else{HTML=alt;};
return HTML;};function makeNameUnique(name){
return name+CodeThat.newID();};