var visible = (document.all)?"visible":"show";
var texto = null;

function Aplicacion(c,d,t,p,u) {
	this.codigo = c;
	this.descripcion = d;
	this.caracter = t;
	this.padre = p;
	this.urg = u;
}
function Seccion(c,d) {
	this.codigo = c;
	this.descripcion = d;
	this.subsecciones = new Array();
	this.aplicaciones = new Array();
	this.addSubSeccion = addSubSeccion;
	this.addAplicacion = addAplicacion;
	this.tieneAplicaciones = tieneAplicaciones;
}
function addSubSeccion(s) { this.subsecciones[this.subsecciones.length] = s; }
function addAplicacion(a) { this.aplicaciones[this.aplicaciones.length] = a; }
function tieneAplicaciones() {
	if (this.aplicaciones.length>0) {
		for (var g=0; g<this.aplicaciones.length; g++) {
			if (isMostrable(this.aplicaciones[g])) return true;
		}
	}
	for (var h=0; h<this.subsecciones.length; h++) {
		if (this.subsecciones[h].tieneAplicaciones()) return true;
	}
	return false;
}

function muestraAplicaciones() {
	lines = '';
	var sel = document.newSol.seccionCod;
	var obj = document.getElementById("listaApl");
	var sec = sel.options[sel.selectedIndex].value;
	obj.innerHTML = '';
	cargaAplicacionesSeccion(sec,secciones,0,'arb.',0);
	if (lines=='') lines = '<tr><td>No se han encontrado aplicaciones.</td></tr>';
	obj.innerHTML = '<table>'+lines+'</table>';
	do_onload_exp();
}

var lines = '';
function writeLine(line) {
	lines += line;
}

function cambiaSeccionFiltro() {
	var flt = document.newSol.filtro.value.trim();
	if (flt.length==0) muestraAplicaciones();
	if (flt.length<3) return;
	muestraAplicaciones();
}

function cargaAplicacionesSeccion(sec,sections,padd,cidd,sub) {
	var j=sub+1;
	for (var k=0; k<sections.length; k++) {
		if (sections[k].codigo==sec || sec=='-1') {
			// Esta es la seccion
			if (sections[k].tieneAplicaciones()) {
				var miid = cidd+''+j;
				var nuevaLinea = '<tr id="'+miid+'" class="switchcontent">'+
					       '<td width="1%" style="padding-left: '+(padd/4)+'cm;"><img id="img.'+miid+'" src="../dumbo7/utils/table/minus.gif" class="showstate" onClick="expandcontent(this, \''+miid+'\');"/></td>'+
					       '<td class="listas" style="padding-left: '+(padd/4)+'cm;"><b>'+sections[k].descripcion+'</b></td>'+
						  '</tr>';
				var aplic = sections[k].aplicaciones;
				var sj = 1;
				for (var l=0; l<aplic.length; l++) {
					var saplic = new Array();
					getSubAplicacionesSecciones(aplic[l],secciones,saplic);
					if (isMostrable(aplic[l]) || saplic.length>0) {
						if (saplic.length>0) {
							var nuevaSubLinea = '<tr id="'+miid+'.'+sj+'">'+
										'<td width="1%" style="padding-left: '+(padd/4)+'cm;">&nbsp;</td>'+
										'<td style="padding-left: '+(padd/4)+'cm;"><b>'+aplic[l].descripcion+'</b></td>'+
									  '</tr>';
							for (var l2=0; l2<saplic.length; l2++) {
								if (isMostrable(aplic[l]) || isMostrable(saplic[l2])) {
									if (nuevaLinea!='') { writeLine(nuevaLinea); nuevaLinea=''; }
									if (nuevaSubLinea!='') { writeLine(nuevaSubLinea); nuevaSubLinea=''; sj++; }
									writeLine('<tr id="'+miid+'.'+sj+'">'+
												'<td width="1%" style="padding-left: '+(padd/4)+0.2+'cm;">&nbsp;</td>'+
												'<td style="padding-left: '+((padd/4)+0.2)+'cm;"><a href="javascript:top.opener.CambiaMiApl(\''+saplic[l2].codigo+'-'+saplic[l2].urg+'\',\''+sinComillas(saplic[l2].descripcion)+'\');top.close();">'+saplic[l2].descripcion+'</a></td>'+
											  '</tr>');
									sj++;
								}
							}
						} else if (aplic[l].padre=='' && isMostrable(aplic[l])) {
							if (nuevaLinea!='') { writeLine(nuevaLinea); nuevaLinea=''; }
							writeLine('<tr id="'+miid+'.'+sj+'">'+
										'<td width="1%" style="padding-left: '+(padd/4)+'cm;">&nbsp;</td>'+
										'<td style="padding-left: '+(padd/4)+'cm;"><a href="javascript:top.opener.CambiaMiApl(\''+aplic[l].codigo+'-'+aplic[l].urg+'\',\''+sinComillas(aplic[l].descripcion)+'\');top.close();">'+aplic[l].descripcion+'</a></td>'+
									  '</tr>');
							sj++;
						}
					}
				}
				if (nuevaLinea=='') j++;
				cargaAplicacionesSeccion('-1',sections[k].subsecciones,padd+1,miid+'.',sj-1);
			}
		} else cargaAplicacionesSeccion(sec,sections[k].subsecciones,padd,cidd,0);
	}
}

function sinComillas(txt) {
	var st = txt;
	var i = txt.indexOf('\'');
	if (i>=0) {
		st = txt.substring(0,i)+'\\\'';
		st += sinComillas(txt.substring(i+1));
	}
	return st;
}

function getSubAplicacionesSecciones(ap,secs,nap) {
	for (var ks=0; ks<secs.length; ks++) {
		var aplic = secs[ks].aplicaciones;
		for (var l=0; l<aplic.length; l++) {
			if (aplic[l].padre==ap.codigo.substring(0,ap.codigo.length-1)) nap[nap.length] = aplic[l];
		}
		getSubAplicacionesSecciones(ap,secs[ks].subsecciones,nap);
	}
}

function isMostrable(ap) {
	if (document.newSol.internas[0].checked) return inFiltro(ap);
	if ((ap.caracter=='') || (ap.caracter=='E')) return inFiltro(ap);
	return false;
}
function inFiltro(ap) {
	if (document.newSol.filtro.value.trim()=='' || document.newSol.filtro.value.trim().length<3) return true;
	return (ap.descripcion.toLowerCase().indexOf(document.newSol.filtro.value.trim().toLowerCase())>=0);
}
function cambiaFoco() { document.newSol.seccionCod.focus(); }
