/**
*
*	Servlet de Control de Estadsticas
*
* @ author	Juan Jos Meroo Snchez
* @ date 21/11/2000
* @ version	1.0
*/
package atica.frameweb.estadisticas;

import java.util.*;
import atica.frameweb.utils.*;

public class TablaEstadistica implements IMetaObject {
	public String className = "";
 	public Hashtable estadisticas = new Hashtable(20);
	
	public TablaEstadistica() {}
	public TablaEstadistica(String cn) { className = cn; }
	
	public String getClassName() { return className; }
	
	public void pararCrono(long time,String modulo,String operacion,String nxt) {
		Estadistica sta = (Estadistica) estadisticas.get(modulo);
		if (sta==null) {
			sta = new Estadistica(modulo);
			estadisticas.put(modulo,sta);
		}
		sta.add(time,getName(operacion,nxt)+".[Total]");
	}
	
	public void pararCronoDataBase(long time,String modulo,String operacion,String nxt) {
		Estadistica sta = (Estadistica) estadisticas.get(modulo);
		if (sta==null) {
			sta = new Estadistica(modulo);
			estadisticas.put(modulo,sta);
		}
		sta.add(time,getName(operacion,nxt+".[DB]"));
	}
	
	public void pararCronoResponse(long time,String modulo,String operacion,String nxt) {
		Estadistica sta = (Estadistica) estadisticas.get(modulo);
		if (sta==null) {
			sta = new Estadistica(modulo);
			estadisticas.put(modulo,sta);
		}
		sta.add(time,getName(operacion,nxt)+".[OUT]");
	}
	
	private String getName(String op,String nxt) {
		if ((nxt==null) || (nxt.equals(""))) return op;
		return op+"."+nxt;
	}

	/**
	**
	**	Mtodo de Visualizacin por el WEB
	**
	***/
	
}