/*
 * Created on 12-feb-2005
 *
 */
package atica.frameweb.manager;

import java.io.*;
import org.apache.log4j.*;

/**
 * @author Juan Jos Meroo Snchez
 *
 * Logger Para Evitar System.out
 * 
 */
public class ManagerLogger extends PrintStream {
	
	static Logger logger = HttpServletManager.logger;
	
	public ManagerLogger(OutputStream out) {
		super(out);
	}
	
	//---------------------------------------------
	// Evita que la gente escriba System.out/err
	//---------------------------------------------
	
	public void println(String s) {
		// Mensajes Por Defecto
		if (s.startsWith("[")) super.println(s);
		else logger.fatal("Utiliza un Logger para enviar mensajes al log.");
	}
	
	public void print(String s) {
		// Mensajes Por Nivel
		// Salen si el nivel lo permite
		if (s.startsWith("[")) super.print(s);
		else logger.fatal("Utiliza un Logger para enviar mensajes al log.");
	}
	
}
