/*
 * Created on 23-feb-2005
 *
 */
package atica.frameweb.output;

import java.util.Vector;
import javax.servlet.*;
import javax.servlet.http.*;
import org.w3c.dom.Node;
import atica.frameweb.manager.*;
import atica.frameweb.user.menu.IDataMenu;
import atica.frameweb.utils.IDictionary;

/**
 * @author Universidad de Murcia
 *
 * Interfaz que deben implementar todos los Serializadores
 * 
 */
public interface IOutput {

	public void sendResponse(ClassLoader cl,String logLevel,ServletContext srvCtx,HttpServletRequest request,HttpServletResponse response) throws ManagerException;
	public void setContentType(String c);
	public void setFileNode(Node n);
	public void setDictionary(IDictionary d);
	public void setDataMenu(IDataMenu d);
	public void setEjecutedObjects(Vector v);
	public void setEjecutedModules(Vector v);
	public void setManagerModule(ManagerModule m);
	
}
