<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
<xsl:param name="servlet"/>	
<xsl:template match="XMLROOT">
  <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <fo:layout-master-set>
      <fo:simple-page-master master-name="simple"
                             page-height="29.7cm" 
                             page-width="21cm"
                             margin-top="1cm" 
                             margin-bottom="1cm" 
                             margin-left="2cm" 
                             margin-right="1.5cm">
        <fo:region-before extent="4cm"/>
        <fo:region-after extent="4cm"/>
        <fo:region-body margin-top="4.1cm"
                        margin-bottom="4.1cm"/>
      </fo:simple-page-master>
    </fo:layout-master-set>

    <fo:page-sequence master-reference="simple">
      <!-- cabecera -->
      <fo:static-content flow-name="xsl-region-before">
        <fo:block font-size="10pt" text-align="left" space-after.optimum="3pt">
			Cabecera Documento
		</fo:block>
      </fo:static-content>

      <!-- pie de pgina -->
      <fo:static-content flow-name="xsl-region-after">
        <fo:block font-size="10pt" text-align="end">Pgina <fo:page-number/></fo:block>
      </fo:static-content>

      <fo:flow flow-name="xsl-region-body">

        <fo:block font-size="16pt"
                  font-family="sans-serif"
                  line-height="16pt"
                  space-after.optimum="16pt"
                  text-align="center">
          &#160;Mi Primer Documento
        </fo:block>

      </fo:flow>
    </fo:page-sequence>
  </fo:root>
</xsl:template>
</xsl:stylesheet>
	