<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="MODULE">
<HTML>
  <HEAD>
    <META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
    <META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
    <TITLE>Documentacin FrameWeb</TITLE>
    <STYLE TYPE="text/css">
    <![CDATA[
	<!-- Tipos de Enlaces -->

	A {text-decoration:none; color:blue; font-family:Verdana,Arial; font-size:8pt; font-weight:bold;}

	<!-- Tipos de Titulos -->

	.titulo1 { font-size: 12pt; font-family: Verdana; font-weight: bold; text-transform: capitalize; background-color: white; color: darkblue; display: inline;}

	<!-- Tipos de Tabla -->

	.tabla TD { font-size: 10pt; font-family: Verdana; color: black; background-color: #FFFFFF; }
	.tabla TD.titulo { font-size: 10px; font-family: Verdana; color: white; background-color: #11709F; font-weight:bold; }
	.tabla TD.titulo1 { font-size: 12pt; font-family: Arial; font-weight: bold; text-transform: uppercase; background-color: white; color: #006699;}
	.tabla TD.fila0 { font-size: 10px; font-family: Verdana; color: black; background-color: #B9DCFF; }
	.tabla TD.fila1 { font-size: 10px; font-family: Verdana; color: black; background-color: #EFF7FF;}

	]]>
    </STYLE>
  </HEAD>
  <BODY BGCOLOR="#FFFFFF">
   <CENTER><DIV CLASS="titulo1">Accesos Mdulo:</DIV><DIV CLASS="titulo2"><xsl:value-of select="@PACKAGE"/></DIV></CENTER><BR/>
    <FORM NAME="bck" ACTION="{$servlet}" METHOD="POST">
		<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showAccess.back"/>
		<INPUT TYPE="hidden" NAME="docModule" VALUE="{@PACKAGE}"/>
	</FORM>
	<A HREF="javascript:document.bck.submit();">[Volver]</A>
   <DIV CLASS="tabla">
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD CLASS="titulo">ROLES PERMITIDOS</TD></TR>
	<xsl:if test="count(ROLE)=0">
		<TR><TD CLASS="fila{position() mod 2}">Permitido para Todos</TD></TR>
	</xsl:if>
	<xsl:for-each select="ROLE">
	<xsl:sort select="@NOMBRE" case-order="lower-first"/>
		<TR><TD CLASS="fila{position() mod 2}"><xsl:value-of select="@NAME"/></TD></TR>
	</xsl:for-each>
	<TR><TD>&#160;</TD></TR>
	<TR><TD CLASS="titulo">OPERACIONES PROTEGIDAS</TD></TR>
	<xsl:for-each select="ACTION">
	<xsl:sort select="@NAME" case-order="lower-first"/>
		<TR><TD CLASS="fila{position() mod 2}">
			<B><A HREF="?module=atica/frameweb/documentacion.showAccess.showAction&amp;docModule={../@PACKAGE}&amp;docOperation={@NAME}"><xsl:value-of select="@NAME"/></A></B>
			<xsl:if test="count(DESCRIPTION)>0">
				&#160;&#160;<xsl:value-of select="DESCRIPTION/."/>
			</xsl:if>
		</TD></TR>
		<TR><TD>
		<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0">
		<xsl:for-each select="ROLE">
		<xsl:sort select="@NAME" case-order="lower-first"/>
			<TR><TD><xsl:value-of select="@NAME"/></TD></TR>
		</xsl:for-each>
		</TABLE>
		</TD></TR>
		<TR><TD>&#160;</TD></TR>
	</xsl:for-each>
	<TR><TD>&#160;</TD></TR>
   </TABLE>
   </DIV>
  </BODY>
</HTML>
</xsl:template>

</xsl:stylesheet>
	