PROMPT -- CREO TABLA DEPARTAMENTOS_DUMBO --;
CREATE TABLE DUMBO.DEPARTAMENTOS_DUMBO
(
  DEP_CODIGO  VARCHAR2(4 BYTE),
  DEP_NOMBRE  VARCHAR2(100 BYTE),
  CONSTRAINT PK_DEP PRIMARY KEY (DEP_CODIGO)
    USING INDEX 
    TABLESPACE DUMBO
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          40K
                NEXT             40K
                MINEXTENTS       1
                MAXEXTENTS       505
                PCTINCREASE      50
                FREELISTS        1
                FREELIST GROUPS  1
               )
)
TABLESPACE DUMBO
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          40K
            NEXT             40K
            MINEXTENTS       1
            MAXEXTENTS       505
            PCTINCREASE      50
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL;

COMMENT ON TABLE DUMBO.DEPARTAMENTOS_DUMBO IS 'Tabla de departamentos de la universidad.';

COMMENT ON COLUMN DUMBO.DEPARTAMENTOS_DUMBO.DEP_CODIGO IS 'Codigo del departamento.';

COMMENT ON COLUMN DUMBO.DEPARTAMENTOS_DUMBO.DEP_NOMBRE IS 'Nombre del departamento.';

GRANT SELECT ON  DUMBO.DEPARTAMENTOS_DUMBO TO JV_DUMBO;
