PROMPT -- CREO LA TABLA D7_PIQUES_EXTERNOS --;
CREATE TABLE DUMBO.D7_PIQUES_EXTERNOS
(
  PIQ_DNI	VARCHAR2(8 BYTE), 
  PIQ_FECHAHORA DATE, 
  PIQ_ENTSAL	VARCHAR2(1 BYTE),
  CONSTRAINT PK_PIQ PRIMARY KEY (PIQ_DNI,PIQ_FECHAHORA)
    USING INDEX 
    TABLESPACE DUMBO
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          40K
                NEXT             40K
                MINEXTENTS       1
                MAXEXTENTS       505
                PCTINCREASE      50
                FREELISTS        1
                FREELIST GROUPS  1
               )
)
TABLESPACE DUMBO
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          40K
            NEXT             40K
            MINEXTENTS       1
            MAXEXTENTS       505
            PCTINCREASE      50
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL;

COMMENT ON TABLE DUMBO.D7_PIQUES_EXTERNOS IS 'Tabla que almacena las horas fichadas por los empleados de oreja.';

COMMENT ON COLUMN DUMBO.D7_PIQUES_EXTERNOS.PIQ_DNI IS 'Dni del empleado.';

COMMENT ON COLUMN DUMBO.D7_PIQUES_EXTERNOS.PIQ_FECHAHORA IS 'Fecha del pique.';

COMMENT ON COLUMN DUMBO.D7_PIQUES_EXTERNOS.PIQ_ENTSAL IS 'Indica si se trata de una (E)ntrada  (S)alida.';

GRANT SELECT ON  DUMBO.D7_PIQUES_EXTERNOS TO JV_DUMBO;
