package dumbo7;

import java.io.IOException;
import java.io.InputStream;

import javax.servlet.*;
import javax.servlet.http.*;

import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.methods.GetMethod;


public class DumboProxy extends HttpServlet {

	private static int MAX = 4096;
	
	public void service(HttpServletRequest req, HttpServletResponse res)
			throws ServletException, IOException {
		
		String ctxPath = req.getContextPath();
		String PREFIJO = this.getInitParameter("path");
		String PROXY_URL = this.getInitParameter("destino");
		String inicio = ctxPath+PREFIJO;
		String url = req.getRequestURI()+"?"+req.getQueryString();
		url = PROXY_URL+url.substring(inicio.length());
		ServletOutputStream out = res.getOutputStream();
		
		try {
			
			HttpClient httpclient = new HttpClient();
			GetMethod httpget = new GetMethod(url); 
			 
			try { 
				byte [] bytes = new byte[MAX];
			    httpclient.executeMethod(httpget);
			    // Paso el las cabeceras
			    res.setContentType(httpget.getResponseHeader("content-type").getValue());
			    //res.setCharacterEncoding(httpget.getResponseCharSet());
			    res.setContentLength((int)httpget.getResponseContentLength());
			    // Paso el Contenido
			    InputStream in = httpget.getResponseBodyAsStream();
			    int n = in.read(bytes,0,MAX);
			    while (n>=0) {
			    	out.write(bytes,0,n); out.flush();
			    	n = in.read(bytes,0,MAX);
			    }
			    
			} catch (Exception e) {
				out.println("Exception: "+e);
				out.println("Error: Conectando a: "+url);
			} finally {
			    httpget.releaseConnection();
			}		
			
		} catch (Exception ex) {
			out.println("ExceptionB: "+ex);
			out.println("Error: Conectando a: "+url);
		}
		
		out.flush(); out.close();
		
	}
	
}
