<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="aplCod"/>

<xsl:variable name="miSeccion"/>
<xsl:variable name="Tarea"/>
<xsl:variable name="Urgencia"/>
<xsl:variable name="Prioridad"/>
<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>
<xsl:variable name="CodigoPrioridad"/>
<xsl:variable name="CodigoTipoTarea"/>
<xsl:variable name="Correo"/>
<!--Parametros para mantener filtro-->
<xsl:param name="flag_filtrado"/>
<xsl:param name="Caracter"/>
<xsl:param name="SeccionCod"/>	

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">


<xsl:choose>
<xsl:when test="count(DATA/APLICACIONES/APARTADOS)>0">

<table id="tablafaqs2" class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="100%" >
		<tbody>	
				<tr id="estructura2">
					<td style="margin-left:30" class="cabe" align="left" colspan="2" width="30%"><b>FAQS</b></td><td colspan="2" class="cabe" align="left" width="30%">  Filtrar por:<input id="filtrofaq2" name="textofil2" type="text" onchange="javascript:filtrocon();"/><select id="vigentefaq2" name="fvigen2" onchange="javascript:vigenciacon();">
					<option value="V">Vigente</option>
					<option value="N"> No Vigente</option>
					<option value="">Todos</option>
					</select></td>
					
					
					
		
				</tr>
		<xsl:for-each select="DATA/APLICACIONES/APARTADOS[(string-length(@FGRFGRCOD)=0) or (@FGRFGRCOD='0')]">
			<xsl:sort select="@FGRORDEN"/>
			<tr class="administracion">
			
			<td vigencia="{@FGRESTADO}" width="1%" class="padre" id="{@FGRCOD}" prof="1" padre="{@FGRFGRCOD}"><img style="display: none;" border="0" class="plus" src="../dumbo7/utils/table/carpetaCerrada.gif"/><img border="0" class="minus" src="../dumbo7/utils/table/carpetaAbierta.gif"/></td>
			<td colspan="2" width="99%">
			
			
			<xsl:value-of select="@FGRTEXTO"/>
		
		
			</td>
			
			    
			
			<td width="1%">
			<xsl:choose>
				<xsl:when test="@FGRESTADO = 'N'">
				N
				</xsl:when>
				
				<xsl:otherwise>
				V
				</xsl:otherwise>
			
			
			</xsl:choose>
			
			</td>
			
			</tr>
			
			<xsl:call-template name="carpetarecursiva2">
					<xsl:with-param name="profundo" select="number(1)" />
					<xsl:with-param name="codigo" select="@FGRCOD"/>
			</xsl:call-template>

		</xsl:for-each>
					<xsl:variable name="profundo" select="number(1)" />
					<xsl:variable name="codigo" select="@FGRCOD"/>
						


<xsl:for-each select="../FAQS[@FAQFGRCOD = $codigo]">
<xsl:sort select="@FAQORDEN"/>
<tr class="administracion">
<td vigencia="{@FAQESTADO}" style="padding-left: {15* (number($profundo))}px;" class="hijo" detalle="{@FAQTEXTO}" id="{@FAQCOD}" prof="{$profundo+1}" padre="{@FAQFGRCOD}">

<img border="0" class="fichero" src="../dumbo7/utils/table/file.gif"/></td><td colspan="2"><a style="text-align:left; background:none" href="javascript:muestrafaq({@FAQCOD})"><xsl:value-of select="@FAQASUNTO"/></a>
</td>
<td>
			<xsl:choose>
				<xsl:when test="@FAQESTADO = 'N'">
				N
				</xsl:when>
				
				<xsl:otherwise>
				V
				</xsl:otherwise>
			
			
			</xsl:choose>
</td>
</tr>


</xsl:for-each>



			</tbody>	
			</table>	
		</xsl:when>
		<xsl:otherwise>
		
		<table id="tablafaqs2" class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="100%" >
		<tbody>	
				<tr id="estructura2">
					<td style="margin-left:30" class="cabe" align="left" colspan="2" width="30%"><b>FAQS</b>
					<input name="textofil2" type="hidden" id="textofil2"/>
					<input name="fvigen2" type="hidden" id="vigentefaq2"/>
					</td>
					
					
					
					
		
				</tr>
				<tr class="incidencia">
					<td><center>la aplicacion no tiene Faqs</center></td>
				</tr>
			</tbody>
		</table>
		
			
		</xsl:otherwise>
		
	</xsl:choose>						
</xsl:template>


<xsl:template name="cuerpo">
</xsl:template>

<xsl:template name="carpetarecursiva2">
<xsl:param name="profundo"/>
<xsl:param name="codigo"/>

<xsl:for-each select="../APARTADOS[@FGRFGRCOD = $codigo]">
<xsl:sort select="@FGRORDEN"/>
<tr class="administracion">
			<td  vigencia="{@FGRESTADO}" class="padre" id="{@FGRCOD}" prof="{$profundo + 1}" style="padding-left: {15* number($profundo)}px;" padre="{@FGRFGRCOD}"><img style="display: none;" border="0" class="plus" src="../dumbo7/utils/table/carpetaCerrada.gif"/><img border="0" class="minus" src="../dumbo7/utils/table/carpetaAbierta.gif"/></td>
			<td width="99%" colspan="2">
			<xsl:value-of select="@FGRTEXTO"/>
			</td>
			
			 
			
				<td>
				<xsl:choose>
					<xsl:when test="@FGRESTADO = 'N'">
					N
					</xsl:when>
					<xsl:otherwise>
					V
					</xsl:otherwise>
				</xsl:choose>
				
				</td>
			
			
			
			
			
			</tr>

			<xsl:call-template name="carpetarecursiva2">
					<xsl:with-param name="profundo" select="number($profundo)+1" />
					<xsl:with-param name="codigo" select="@FGRCOD"/>
			</xsl:call-template>


</xsl:for-each>
<xsl:for-each select="../FAQS[@FAQFGRCOD = $codigo]">
<xsl:sort select="@FAQORDEN"/>
<tr class="administracion">
<td vigencia="{@FAQESTADO}" style="padding-left: {15* (number($profundo))}px;" class="hijo" id="{@FAQCOD}" prof="{$profundo+1}" padre="{@FAQFGRCOD}">

<img border="0" class="fichero" src="../dumbo7/utils/table/file.gif"/></td><td colspan="2"><a style="text-align:left; background:none" href="javascript:muestrafaq({@FAQCOD})"><xsl:value-of select="@FAQASUNTO"/></a>
</td>
<td>
			<xsl:choose>
				<xsl:when test="@FAQESTADO = 'N'">
				N
				</xsl:when>
				
				<xsl:otherwise>
				V
				</xsl:otherwise>
			
			
			</xsl:choose>
</td>
</tr>


</xsl:for-each>

</xsl:template>









</xsl:stylesheet>
	
	