<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="aplCod"/>

<xsl:variable name="miSeccion"/>
<xsl:variable name="Tarea"/>
<xsl:variable name="Urgencia"/>
<xsl:variable name="Prioridad"/>
<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>
<xsl:variable name="CodigoPrioridad"/>
<xsl:variable name="CodigoTipoTarea"/>
<xsl:variable name="Correo"/>
<!--Parametros para mantener filtro-->
<xsl:param name="flag_filtrado"/>
<xsl:param name="Caracter"/>
<xsl:param name="SeccionCod"/>	

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">



<table id="tablafaqs" class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="100%" >
		<tbody>	
				<tr id="estructura">
					<td style="margin-left:30" class="cabe" align="left" colspan="2" width="30%"><b>Estructura de FAQ</b></td><td colspan="2" class="cabe" align="left" width="30%">  Filtrar por:<input id="filtrofaq" name="textofil" type="text" onchange="javascript:filtrosin();"/><select id="vigentefaq" name="fvigen" onchange="javascript:vigenciasin();">
					<option value="V">Vigente</option>
					<option value="N"> No Vigente</option>
					<option value="">Todos</option>
					</select></td>
					
					
					
		
				</tr>
		<xsl:for-each select="DATA/APLICACIONES/APARTADOS[(string-length(@FGRFGRCOD)=0) or (@FGRFGRCOD='0')]">
			<xsl:sort select="@FGRORDEN"/>
			<tr class="administracion">
			
			<td vigencia="{@FGRESTADO}" width="1%" class="padre" id="{@FGRCOD}" prof="1" padre="{@FGRFGRCOD}"><img style="display: none;" border="0" class="plus" src="../dumbo7/utils/table/carpetaCerrada.gif"/><img border="0" class="minus" src="../dumbo7/utils/table/carpetaAbierta.gif"/></td>
			<td colspan="2" width="99%">
			
			<a style="text-align:left; background:none" href="javascript:muestraApartado({@FGRCOD})">
			<xsl:value-of select="@FGRTEXTO"/></a>
		
		
			</td>
			
			    
			
			<td width="1%">
			<xsl:choose>
				<xsl:when test="@FGRESTADO = 'N'">
				N
				</xsl:when>
				
				<xsl:otherwise>
				V
				</xsl:otherwise>
			
			
			</xsl:choose>
			
			</td>
			
			</tr>
			
			<xsl:call-template name="carpetarecursiva">
					<xsl:with-param name="profundo" select="number(1)" />
					<xsl:with-param name="codigo" select="@FGRCOD"/>
			</xsl:call-template>

		</xsl:for-each>
					<xsl:variable name="profundo" select="number(1)" />
					<xsl:variable name="codigo" select="@FGRCOD"/>
						





			</tbody>	
			</table>							
</xsl:template>


<xsl:template name="cuerpo">
</xsl:template>


<xsl:template name="carpetarecursiva">
<xsl:param name="profundo"/>
<xsl:param name="codigo"/>

<xsl:for-each select="../APARTADOS[@FGRFGRCOD = $codigo]">
<xsl:sort select="@FGRORDEN"/>
<tr class="administracion">
			<td  vigencia="{@FGRESTADO}" class="padre" id="{@FGRCOD}" prof="{$profundo + 1}" style="padding-left: {15* number($profundo)}px;" padre="{@FGRFGRCOD}"><img style="display: none;" border="0" class="plus" src="../dumbo7/utils/table/carpetaCerrada.gif"/><img border="0" class="minus" src="../dumbo7/utils/table/carpetaAbierta.gif"/></td>
			<td width="99%" colspan="2">
			<a style="text-align:left; background:none" href="javascript:muestraApartado({@FGRCOD})"><xsl:value-of select="@FGRTEXTO"/></a>
			</td>
			
			 
			
				<td>
				<xsl:choose>
					<xsl:when test="@FGRESTADO = 'N'">
					N
					</xsl:when>
					<xsl:otherwise>
					V
					</xsl:otherwise>
				</xsl:choose>
				
				</td>
			
			
			
			
			
			</tr>

			<xsl:call-template name="carpetarecursiva">
					<xsl:with-param name="profundo" select="number($profundo)+1" />
					<xsl:with-param name="codigo" select="@FGRCOD"/>
			</xsl:call-template>


</xsl:for-each>


</xsl:template>










</xsl:stylesheet>
	
	