<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="aplCod"/>
<xsl:param name="pestanya"/>

<xsl:variable name="miSeccion"/>
<xsl:variable name="Tarea"/>
<xsl:variable name="Urgencia"/>
<xsl:variable name="Prioridad"/>
<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>
<xsl:variable name="CodigoPrioridad"/>
<xsl:variable name="CodigoTipoTarea"/>
<xsl:variable name="Correo"/>
<!--Parametros para mantener filtro-->
<xsl:param name="flag_filtrado"/>
<xsl:param name="Caracter"/>
<xsl:param name="SeccionCod"/>	

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">


<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
         	
         	<script type="text/javascript" src="../js/uitabs/jquery-1.2.3.pack.js"></script>
         	<script type="text/javascript" src="../js/modificar.js"></script>
         	<script type="text/javascript" src="../js/buscafaq.js"></script>
         	<script type="text/javascript" src="../js/filtrar.js"></script>
         	<script src="../js/uitabs/ui.tabs.pack.js" type="text/javascript"></script>
         	<link rel="stylesheet" href="../js/uitabs/ui.tabs.css" type="text/css" media="print, projection, screen"/>
         	
             <script languaje="JavaScript">
             var srvName = '<xsl:value-of select="$servlet"/>';
             var aplCod = '<xsl:value-of select="$aplCod"/>';
             var modo = "busca";
             $(document).ready(function(){
   					$('#container-1 ul').tabs();
   				});
             

				
            </script>
			<script language="JavaScript" src="../js/aplicaciones/CompruebaModificaAplicacion.js"></script>
			<script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>
         </xsl:with-param>
	   </xsl:call-template>


<body>
	
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/APLICACIONES/USER/@NAME,concat('(',concat(DATA/APLICACIONES/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.1.2</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/APLICACIONES">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
			</xsl:if>
	</xsl:for-each>

<form action="{$servlet}" METHOD="POST" name="apli">
<input type="hidden" name="pestanya" value="0"/>
<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" height="16" summary="Modificacin de una Aplicacion">
	<tr><td width="100%" colspan="3" class="cab1">&#187;Buscar FAQS o Fichas  

					

		
	 </td></tr>
	<tr>
		<td colspan="3">
		<!--Parametro para saber cuando asignas un informatico que no tienes que volver al index sino al modificar-->
		<!--<input type="hidden" name="tipo" value="volver"/>-->
	
	
	<table width="775" height="16" cellspacing="1" cellpadding="3" border="0" class="cont">
                     <tbody><tr>
                        <td align="left" colspan="7" class="cabe"><b>Seleccione el criterio de bsqueda:</b>
                        </td>
                     </tr>
                     <tr>
                        <td></td>
                        <td width="61"><input type="radio" checked="true"  name="criterio" onclick="javascript:marca(document.apli.texto, document.apli.code, 1);" value="A" />
                        </td>
                        <td width="320"><b>Aplicacin:</b>
                        </td>
                        <td colspan="2"><label id="lbcode"><input value="" size="30" name="code" id="code" onkeypress="presskey(event);"/>
                        <a href="javascript:buscaAplicaciones();"><img border="0" title="Buscar Aplicaciones" src="../graficos/iconos/ampliar.gif"/></a>
                           </label>
                        </td>
                        <td colspan="2"></td>
                     </tr>
                     <tr>
                        <td></td>
                        <td><input type="radio" name="criterio" onclick="javascript:marca(document.apli.code , document.apli.texto, 2);" value="T"/>
                        </td>
                        <td><b>Faq o Ficha:</b>
                        </td>
                        <td><label id="lbtarUsuCod"><input disabled="true" value="" size="30" name="texto" id="texto" onkeypress="presskey(event);"/>
                           </label>
                        </td>
                        <td>
                        </td>
                        <td colspan="2" id="solname"></td>
                     </tr>
                     <tr>
                        <td colspan="2"></td>
                        <td align="center" colspan="2"><input type="button" value="Buscar" class="boton" id="bus" onclick="javascript:buscar();"/>
							<input type="button" value="Cerrar" onclick="javascript:history.back();" class="boton" name="button"/>
                        </td>
                        <td colspan="3"></td>
                     </tr>
                  </tbody></table>
<tr>
<td>
<div id="cotenedorbusqueda" class="cotenedorbusqueda">


</div>
	



</td>


</tr>
<tr>
<td>	
	<div id="container-1" style="display: none;">
            <ul>
                
                <li><a href="#FAQS"><span>Faqs</span></a></li>
                <li><a href="#FICHAS"><span>Ficha</span></a></li>
            </ul>
        <div id="FAQS" class="seccion">
			<div id="tablacon">
			
			</div>
			
			<div id="tablacargafaq">
			
			</div>
		</div>
		<div id="FICHAS" class="seccion">
		
		<div id="cabezafichas">
			
			</div>
		
		<div id="apartfichas">
			
			</div>
		
		</div>
		
		</div>
</td>

</tr>


	
	</td></tr>
	
</table>
</form>
</xsl:template>

<!--Plantillas para recorrer las diferentes secciones indexandolas-->






















</xsl:stylesheet>
	