<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="aplCod"/>
<xsl:param name="fgrcod"/>

<xsl:variable name="miSeccion"/>
<xsl:variable name="Tarea"/>
<xsl:variable name="Urgencia"/>
<xsl:variable name="Prioridad"/>
<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>
<xsl:variable name="CodigoPrioridad"/>
<xsl:variable name="CodigoTipoTarea"/>
<xsl:variable name="Correo"/>
<!--Parametros para mantener filtro-->
<xsl:param name="flag_filtrado"/>
<xsl:param name="Caracter"/>
<xsl:param name="SeccionCod"/>	

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">


<input type="hidden" id="faqsiscod" name="faqsiscod" value="{DATA/APLICACIONES/FAQS/@FAQSISCOD}"/>
<input type="hidden" id="faqaplcod" name="faqaplcod" value="{DATA/APLICACIONES/FAQS/@FAQAPLCOD}"/>
<input type="hidden" id="faqcod" name="faqcod" value="{DATA/APLICACIONES/FAQS/@FAQCOD}"/>
<input type="hidden" id="faqfgrold" name="faqcod" value="{DATA/APLICACIONES/FAQS/@FAQFGRCOD}"/>
<a name="detallefaq"/>
			<table id="tablafaq" class="cont" cellpadding="3" cellspacing="1" width="100%">
			
			<tr>
				<td colspan="4" class="cabe" style="border-collapse: collapse" align="left"><b>FAQS</b></td>
			</tr>
			
		<tr>
			<td class="administracion" align="left" width="15%">
				Asunto&#160;(*):
			</td>
			<td class="administracion" align="left">
				<input id="faqasunto" type="text" name="faqasunto" size="100" maxlength="230" value="{DATA/APLICACIONES/FAQS/@FAQASUNTO}"/>
			</td>
		</tr>
			
			<tr>
			<td class="administracion" align="left" width="15%">
				Texto&#160;(*):
			</td>
				<td class="administracion" align="left">
					<TEXTAREA id="faqtexto" ROWS="10" COLS="100" NAME="faqtexto" wrap="VIRTUAL" onkeypress="javascript:cambiostexto();"><xsl:value-of select="DATA/APLICACIONES/FAQS/@FAQTEXTO"/></TEXTAREA>
					
				</td>
			</tr>
			<tr>
			<td class="administracion"></td>
			<td class="administracion">
			<div id="contador">100/4000</div>
			</td>
			</tr>
			
		<tr>
			<td class="administracion" align="left" width="15%">Apartado&#160;(*):</td>
			<td class="administracion" align="left">
				<select id="faqfgrcod" name="faqfgrcod" size="1" onchange="javascript:cambiacarpetafaq();">
					<option id="op2estructura" value="0">-Raiz-</option>
					
					
					
					
					
		<xsl:for-each select="DATA/APLICACIONES/APARTADOS[(string-length(@FGRFGRCOD)=0) or (@FGRFGRCOD='0')]">
			<xsl:sort select="@FGRORDEN"/>
		
			<xsl:choose>
			<xsl:when test="@FGRCOD = ../FAQS/@FAQFGRCOD">
			<option value="{@FGRCOD}" selected="">
			
			<xsl:value-of select="@FGRTEXTO"/></option>
			</xsl:when>
			<xsl:otherwise>
			<option value="{@FGRCOD}">
			
			<xsl:value-of select="@FGRTEXTO"/></option>
			</xsl:otherwise>
			</xsl:choose>
			
			<xsl:call-template name="optionrecursiva">
					<xsl:with-param name="profundo" select="number(1)" />
					<xsl:with-param name="codigo" select="@FGRCOD"/>
			</xsl:call-template>

		</xsl:for-each>
					
					
					
					
					
					
					
					
					
					
					
					
					
					
					
					
					
					
				</select>
			</td>
		</tr>
		<tr>
			<td class="administracion" align="left" width="15%">Orden&#160;(*):</td>
			<td class="administracion" align="left">
				<select id="faqorden" name="faqorden" size="1">
					
					<xsl:call-template name="ordenar">
						<xsl:with-param name="profundo" select="number(0)" />
					</xsl:call-template>
					
				</select>
			</td>
		</tr>
		
		
		
		
			<tr>
			<td class="administracion" align="left" width="15%">Estado&#160;(*):</td>
			<td class="administracion" align="left">
				<select id="faqestado" name="faqestado" size="1">
					
				<xsl:choose>
				<xsl:when test="DATA/APLICACIONES/FAQS/@FAQESTADO = 'V'">
					
					<option value="V" selected="">Vigente</option>
					<option value="N">No Vigente</option>
				</xsl:when>
				<xsl:otherwise>
					<option value="V">Vigente</option>
					<option value="N" selected="">No Vigente</option>
				
				</xsl:otherwise>
				</xsl:choose>
				
				</select>
			</td>
			</tr>
			
	<tr class="administracion" id="botonera">
						<td colspan="5" align="center">
			
							<input id="nuevafaq" type="button" class="boton" value="Aceptar"  onclick="javascript:guardfaq();" />&#160;
							<input type="button" class="boton" value="Cancelar"  onclick="javascript:cancelafaq();" />&#160;
							<input type="button" class="boton" value="Eliminar"  onclick="javascript:eliminafaq();" />
						</td>
					</tr>
			
		
			<!--Operaciones sobre tabla APLICACIONES maximos (para alertas)-->
			<!--Tabla D7Aplicaciones_Maximos-->
			

		</table>


						
</xsl:template>


<xsl:template name="cuerpo">
</xsl:template>

<xsl:template name="optionrecursiva">
<xsl:param name="profundo"/>
<xsl:param name="codigo"/>


<xsl:for-each select="../APARTADOS[@FGRFGRCOD = $codigo]">
<xsl:sort select="@FGRORDEN"/>


		
			
			
			<xsl:choose>
			
				<xsl:when test="@FGRCOD=../FAQS/@FAQFGRCOD">
					<option value="{@FGRCOD}" selected="">
					<xsl:call-template name="tabular">
							<xsl:with-param name="profundo" select="number($profundo)" />
							<xsl:with-param name="tabulado" select="number(1)+1"/>
					</xsl:call-template>
					<xsl:value-of select="@FGRTEXTO"/></option>
					
		
					<xsl:call-template name="optionrecursiva">
							<xsl:with-param name="profundo" select="number($profundo)+1" />
							<xsl:with-param name="codigo" select="@FGRCOD"/>
					</xsl:call-template>
				</xsl:when>
				<xsl:otherwise>
					<option value="{@FGRCOD}">
					<xsl:call-template name="tabular">
							<xsl:with-param name="profundo" select="number($profundo)" />
							<xsl:with-param name="tabulado" select="number(1)+1"/>
					</xsl:call-template>
					<xsl:value-of select="@FGRTEXTO"/></option>
					
		
					<xsl:call-template name="optionrecursiva">
							<xsl:with-param name="profundo" select="number($profundo)+1" />
							<xsl:with-param name="codigo" select="@FGRCOD"/>
					</xsl:call-template>
				
				</xsl:otherwise>
			</xsl:choose>
			

</xsl:for-each>



</xsl:template>

<xsl:template name="tabular">

<xsl:param name="profundo"/>
<xsl:param name="tabulado"/>
			&#160;&#160;&#160;
			<xsl:if test="$profundo>= $tabulado">
			<xsl:call-template name="tabular">
					<xsl:with-param name="profundo" select="$profundo" />
					<xsl:with-param name="tabulado" select="number($tabulado)+1"/>
			</xsl:call-template>
			</xsl:if>

</xsl:template>

<xsl:template name="ordenar">

<xsl:param name="profundo"/>



			<xsl:choose>
				<xsl:when test="$profundo=DATA/APLICACIONES/FAQS/@FAQORDEN">
					<option selected="" value="{$profundo}"><xsl:value-of select="$profundo"/></option>
				</xsl:when>
				<xsl:otherwise>
					<option value="{$profundo}"><xsl:value-of select="$profundo"/></option>
				</xsl:otherwise>
			</xsl:choose>
			 
			<xsl:if test="number(DATA/APLICACIONES/NUMHIJOS)>number($profundo)+1">
			
			<xsl:call-template name="ordenar">
					<xsl:with-param name="profundo" select="number($profundo)+1" />
			</xsl:call-template>
			</xsl:if>

</xsl:template>




</xsl:stylesheet>
	
	