<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="aplCod"/>
<xsl:param name="pestanya"/>

<xsl:variable name="miSeccion"/>
<xsl:variable name="Tarea"/>
<xsl:variable name="Urgencia"/>
<xsl:variable name="Prioridad"/>
<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>
<xsl:variable name="CodigoPrioridad"/>
<xsl:variable name="CodigoTipoTarea"/>
<xsl:variable name="Correo"/>
<!--Parametros para mantener filtro-->
<xsl:param name="flag_filtrado"/>
<xsl:param name="Caracter"/>
<xsl:param name="SeccionCod"/>	

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">


<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
         	
         	<script type="text/javascript" src="../js/uitabs/jquery-1.2.3.pack.js"></script>
         	<script type="text/javascript" src="../js/aplicaciones.js"></script>
         	<script type="text/javascript" src="../js/faqResponsable.js"></script>
         	
         	<script src="../js/uitabs/ui.tabs.pack.js" type="text/javascript"></script>
         	<link rel="stylesheet" href="../js/uitabs/ui.tabs.css" type="text/css" media="print, projection, screen"/>
         	
             <script languaje="JavaScript">
             var srvName = '<xsl:value-of select="$servlet"/>';
             var aplCod = '<xsl:value-of select="$aplCod"/>';
             
               $(document).ready(function(){
               inicio();
   					$('#container-1 ul').tabs();
   					
   					<xsl:choose>
                	<xsl:when test="$pestanya=''">
                $("#container-1 ul").tabs("select", 0);
                	</xsl:when>
                	<xsl:otherwise>
                $("#container-1 ul").tabs("select", <xsl:value-of select="$pestanya"/>);                	</xsl:otherwise>
                </xsl:choose>
                
                

  				});
            $(function() {
                
                
                
                
                
            });
					

            	
            	
				
				
				
				<!--buscaSeccion(), resuelveSeccion() son funciones para que al seleccionar una seccion para la aplicacion
					se obtenga de los secciones maximos el numero maximo de dias como ayuda.-->
			
				
				
				
			
				

				            </script>
			<script language="JavaScript" src="../js/aplicaciones/CompruebaModificaAplicacion.js"></script>
			<script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>
         </xsl:with-param>
	   </xsl:call-template>


<body>
	
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/APLICACIONES/USER/@NAME,concat('(',concat(DATA/APLICACIONES/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.1.2</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/APLICACIONES">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
			</xsl:if>
	</xsl:for-each>

<form action="{$servlet}" METHOD="POST" name="apli">
<input type="hidden" name="pestanya" value="0"/>
<input type="hidden" name="module" value=""/>
<input type="hidden" name="aplCod" value=""/>
<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" height="16" summary="Modificacin de una Aplicacion">
	<tr><td width="100%" colspan="3" class="cab1">&#187;Faqs aplicacines  
		<!--For Para poder mostrar la descripcion en la cabecera de la tabla-->
					

		
	 </td></tr>
	<tr>
		<td colspan="3">
		<!--Parametro para saber cuando asignas un informatico que no tienes que volver al index sino al modificar-->
		<!--<input type="hidden" name="tipo" value="volver"/>-->
		
		 <table class="cont">
		 	<tbody>
		 	<tr class="cabe">
		 	<td></td>
		 		<td>Cdigo</td>
		 		<td>Descripcin</td>
		 	</tr>
		 	<xsl:for-each select="DATA/APLICACIONES/APLICACION[count(@PADRE)=0]">
		 	<xsl:sort select="@CODIGO"/>
		 			
		 		<tr class="incidencia">
		 		<xsl:variable name="padre" select="@CODIGO"/>
		 		<td>
					<xsl:if test="count(../APLICACION[@PADRE=$padre])>0">
					<xsl:attribute name="class">padre</xsl:attribute>
				</xsl:if>
		
		
		<xsl:if test="count(../APLICACION[@PADRE=$padre])!=0">
		<center>
		
		<img border="0" src="../dumbo7/utils/table/plus.gif" class="plus"/>
		<img border="0" src="../dumbo7/utils/table/minus.gif" class="minus" style="display: none;"/>
		</center>
		</xsl:if>
		</td>
		
		 		
		 		
		 		
		 		<xsl:variable name="codigo" select="@CODIGO"/>
		 		<xsl:variable name="secci" select="@SECCION"/>
		 		<td ><xsl:value-of select="@CODIGO"/></td>
		 		
		 		
		 		<xsl:choose>
		 		
		 		<xsl:when test="count(../APLICACIONES_INFORMATICOS[@APLICACION = $codigo])>0 or count(../SECCION[@CODIGO = $secci])>0">
		 		<td><a href="javascript:faqaplcod('{@CODIGO}');"><xsl:value-of select="@DESCRIPCION"/></a></td>
		 		</xsl:when>
		 		<xsl:otherwise>
		 		<td><xsl:value-of select="@DESCRIPCION"/></td>
		 		</xsl:otherwise>
		 		
		 		</xsl:choose>
		 		</tr>
		 		<xsl:call-template name="aplicacionhija">
		 			<xsl:with-param name="padre" select="@CODIGO"/>
		 		</xsl:call-template>
		 	
		 	</xsl:for-each>
		 	</tbody>
		 
		 </table>
	
	</td></tr>
	
</table>
</form>
</xsl:template>

<!--Plantillas para recorrer las diferentes secciones indexandolas-->
<xsl:template name="muestraSeccion">
<xsl:param name="nodo"/>
<xsl:param name="seccion_actual"/><!--Seccion a la que esta vinculada originalmente-->
    <xsl:for-each select="$nodo/SECCION[@CODIGO=@PADRE]"><!--Buscamos nodos padres-->
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V' and @CODIGO!=$seccion_actual">
	        <option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
		<xsl:if test="@ESTADO='V' and @CODIGO=$seccion_actual">
	        <option value="{@CODIGO}" selected="true"><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
        <xsl:call-template name="sacaSubSeccion">
            <xsl:with-param name="seccion" select="$nodo"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="seccion_actual" select="$seccion_actual"/>
            <xsl:with-param name="espacio" select="'&#160;&#160;'"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

<xsl:template name="sacaSubSeccion">
<xsl:param name="seccion"/>
<xsl:param name="codigo_padre"/>
<xsl:param name="espacio"/>
<xsl:param name="seccion_actual"/><!--Seccion a la que esta vinculada originalmente-->
    <xsl:for-each select="$seccion/SECCION[@PADRE=$codigo_padre and @PADRE!=@CODIGO]"><!--Buscamos hijos-->
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V' and @CODIGO!=$seccion_actual">
	        <option value="{@CODIGO}"><xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
		<xsl:if test="@ESTADO='V' and @CODIGO=$seccion_actual">
	        <option value="{@CODIGO}" selected="true"><xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
        <xsl:call-template name="sacaSubSeccion">
            <xsl:with-param name="seccion" select="$seccion"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="seccion_actual" select="$seccion_actual"/>
            <xsl:with-param name="espacio" select="concat($espacio,'&#160;&#160;')"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

<!--Plantillas para recorrer las diferentes secciones indexandolas para JAVASCRIPT-->
<xsl:template name="muestraSeccionJS">
<xsl:param name="nodo"/>
    <xsl:for-each select="$nodo/SECCION[@CODIGO=@PADRE]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V'">
			document.apli.aplSecCod.length = document.apli.aplSecCod.length + 1;
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].value = '<xsl:value-of select="@CODIGO"/>';
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].text = <xsl:variable name="comilla">'</xsl:variable><xsl:choose><xsl:when test="contains(@DESCRIPCION,$comilla)">"<xsl:value-of select="@DESCRIPCION"/>"</xsl:when><xsl:otherwise>'<xsl:value-of select="@DESCRIPCION"/>'</xsl:otherwise></xsl:choose>;
		</xsl:if>
        <xsl:call-template name="sacaSubSeccionJS">
            <xsl:with-param name="seccion" select="$nodo"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="'&#160;&#160;'"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

<xsl:template name="sacaSubSeccionJS">
<xsl:param name="seccion"/>
<xsl:param name="codigo_padre"/>
<xsl:param name="espacio"/>
    <xsl:for-each select="$seccion/SECCION[@PADRE=$codigo_padre and @PADRE!=@CODIGO]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V'">
	        document.apli.aplSecCod.length = document.apli.aplSecCod.length + 1;
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].value = '<xsl:value-of select="@CODIGO"/>';
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].text = <xsl:variable name="comilla">'</xsl:variable><xsl:choose><xsl:when test="contains(@DESCRIPCION,$comilla)">"<xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/>"</xsl:when><xsl:otherwise>'<xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/>'</xsl:otherwise></xsl:choose>;
		</xsl:if>
        <xsl:call-template name="sacaSubSeccionJS">
            <xsl:with-param name="seccion" select="$seccion"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="concat($espacio,'&#160;&#160;')"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>
<xsl:template name="carpetarecursiva">
<xsl:param name="profundo"/>
<xsl:param name="codigo"/>

<xsl:for-each select="../APARTADOS[@FGRFGRCOD = $codigo]">
<xsl:sort select="@FGRORDEN"/>
<tr class="administracion">
			<td  vigencia="{@FGRESTADO}" class="padre" id="{@FGRCOD}" prof="{$profundo + 1}" style="padding-left: {15* number($profundo)}px;" padre="{@FGRFGRCOD}"><img style="display: none;" border="0" class="plus" src="../dumbo7/utils/table/carpetaCerrada.gif"/><img border="0" class="minus" src="../dumbo7/utils/table/carpetaAbierta.gif"/></td>
			<td width="99%" colspan="2">
			<a style="text-align:left; background:none" href="javascript:mostrarapartado('{@FGRTEXTO}',{@FGRFGRCOD},{@FGRORDEN}, '{@FGRESTADO}','{@FGRSISCOD}',{@FGRCOD})"><xsl:value-of select="@FGRTEXTO"/></a>
			</td>
			
			 
			
				<td>
				<xsl:choose>
					<xsl:when test="@FGRESTADO = 'N'">
					<img border="0" alt="No Vigente" src="../graficos/iconos/no_vigente.gif"/>
					</xsl:when>
					<xsl:otherwise>
						<img border="0" alt="Vigente" src="../graficos/iconos/vigente.gif"/>
					</xsl:otherwise>
				</xsl:choose>
				
				</td>
			
			
			
			
			
			</tr>

			<xsl:call-template name="carpetarecursiva">
					<xsl:with-param name="profundo" select="number($profundo)+1" />
					<xsl:with-param name="codigo" select="@FGRCOD"/>
			</xsl:call-template>


</xsl:for-each>


</xsl:template>

<xsl:template name="carpetarecursiva2">
<xsl:param name="profundo"/>
<xsl:param name="codigo"/>

<xsl:for-each select="../APARTADOS[@FGRFGRCOD = $codigo]">
<xsl:sort select="@FGRORDEN"/>
<tr class="administracion">
			<td  vigencia="{@FGRESTADO}" class="padre" id="{@FGRCOD}" prof="{$profundo + 1}" style="padding-left: {15* number($profundo)}px;" padre="{@FGRFGRCOD}"><img style="display: none;" border="0" class="plus" src="../dumbo7/utils/table/carpetaCerrada.gif"/><img border="0" class="minus" src="../dumbo7/utils/table/carpetaAbierta.gif"/></td>
			<td width="99%" colspan="2">
			<xsl:value-of select="@FGRTEXTO"/>
			</td>
			
			 
			
				<td>
				<xsl:choose>
					<xsl:when test="@FGRESTADO = 'N'">
					<img border="0" alt="No Vigente" src="../graficos/iconos/no_vigente.gif"/>
					</xsl:when>
					<xsl:otherwise>
						<img border="0" alt="Vigente" src="../graficos/iconos/vigente.gif"/>
					</xsl:otherwise>
				</xsl:choose>
				
				</td>
			
			
			
			
			
			</tr>

			<xsl:call-template name="carpetarecursiva2">
					<xsl:with-param name="profundo" select="number($profundo)+1" />
					<xsl:with-param name="codigo" select="@FGRCOD"/>
			</xsl:call-template>


</xsl:for-each>
<xsl:for-each select="../FAQS[@FAQFGRCOD = $codigo]">
<xsl:sort select="@FAQORDEN"/>
<tr class="administracion">
<td vigencia="{@FAQESTADO}" style="padding-left: {15* (number($profundo))}px;" class="hijo" id="1" prof="{$profundo+1}" padre="{@FAQFGRCOD}">

<img border="0" class="fichero" src="../dumbo7/utils/table/file.gif"/></td><td colspan="2"><a style="text-align:left; background:none" href="javascript:mostrarfaq('{@FAQASUNTO}','{@FAQTEXTO}',{@FAQFGRCOD},'{@FAQORDEN}','{@FAQESTADO}','{@FAQSISCOD}',{@FAQCOD},'{@FAQAPLCOD}')"><xsl:value-of select="@FAQASUNTO"/></a>
</td>
<td>
			<xsl:choose>
				<xsl:when test="@FAQESTADO = 'N'">
				<img border="0" alt="No Vigente" src="../graficos/iconos/no_vigente.gif"/>
				</xsl:when>
				
				<xsl:otherwise>
					<img border="0" alt="Vigente" src="../graficos/iconos/vigente.gif"/>
				</xsl:otherwise>
			
			
			</xsl:choose>
</td>
</tr>


</xsl:for-each>

</xsl:template>



<xsl:template name="tabular">

<xsl:param name="profundo"/>
<xsl:param name="tabulado"/>
			&#160;&#160;&#160;
			<xsl:if test="$profundo>= $tabulado">
			<xsl:call-template name="tabular">
					<xsl:with-param name="profundo" select="$profundo" />
					<xsl:with-param name="tabulado" select="number($tabulado)+1"/>
			</xsl:call-template>
			</xsl:if>

</xsl:template>


<xsl:template name="aplicacionhija">
<xsl:param name="padre"/>


<xsl:for-each select="../APLICACION[@PADRE = $padre]">

		
			
			
			<tr class="peticion" style="display: none;">
				<td class="hijo"></td>
				<td ><xsl:value-of select="@CODIGO"/></td>
		 		<td><a href="javascript:faqaplcod('{@CODIGO}');"><xsl:value-of select="@DESCRIPCION"/></a></td>
				
			</tr>
		

</xsl:for-each>



</xsl:template>








</xsl:stylesheet>
	