<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="aplCod"/>
<xsl:param name="pestanya"/>

<xsl:variable name="miSeccion"/>
<xsl:variable name="Tarea"/>
<xsl:variable name="Urgencia"/>
<xsl:variable name="Prioridad"/>
<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>
<xsl:variable name="CodigoPrioridad"/>
<xsl:variable name="CodigoTipoTarea"/>
<xsl:variable name="Correo"/>
<!--Parametros para mantener filtro-->
<xsl:param name="flag_filtrado"/>
<xsl:param name="Caracter"/>
<xsl:param name="SeccionCod"/>	

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">


<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
         	
         	<script type="text/javascript" src="../js/uitabs/jquery-1.2.3.pack.js"></script>
         	<script type="text/javascript" src="../js/modificar.js"></script>
         	<script type="text/javascript" src="../js/filtrar.js"></script>
         	<script src="../js/uitabs/ui.tabs.pack.js" type="text/javascript"></script>
         	<script language="javascript" type="text/javascript" src="../js/tinymce/jscripts/tiny_mce/tiny_mce.js"></script>
<script language="javascript" type="text/javascript">

    tinyMCE.init({
	theme : "advanced",
	mode : "none",
	plugins : "paste",
	theme_advanced_buttons3_add : "pasteword",
	paste_create_paragraphs : false,
	paste_create_linebreaks : false,
	paste_use_dialog : false,
	paste_auto_cleanup_on_paste : true,
	paste_convert_middot_lists : false,
	paste_unindented_list_class : "unindentedList",
	paste_convert_headers_to_strong : true,
	paste_insert_word_content_callback : "convertWord"
});
    
    
   function convertWord(type, content) {
	switch (type) {
		// Gets executed before the built in logic performes it's cleanups
		case "before":
			//content = content.toLowerCase(); // Some dummy logic
			break;

		// Gets executed after the built in logic performes it's cleanups
		case "after":
			//content = content.toLowerCase(); // Some dummy logic
			break;
	}

	return content;
} 
    
    

</script>
         	<link rel="stylesheet" href="../js/uitabs/ui.tabs.css" type="text/css" media="print, projection, screen"/>
         	
             <script languaje="JavaScript">
             var srvName = '<xsl:value-of select="$servlet"/>';
             var aplCod = '<xsl:value-of select="$aplCod"/>';
             var secCod = '<xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@SECCION"/>';
             var modo= "modifica";
               $(document).ready(function(){
   					$('#container-1 ul').tabs();
   					
   					<xsl:choose>
                	<xsl:when test="$pestanya=''">
                $("#container-1 ul").tabs("select", 0);
                	</xsl:when>
                	<xsl:otherwise>
                $("#container-1 ul").tabs("select", <xsl:value-of select="$pestanya"/>);                	</xsl:otherwise>
                </xsl:choose>
                cargaarbolsin('');
                cargaarbolcon('');
                cargaFichares();
                


  				});
  				function cerrar(){
					document.apli.module.value='dumbo7/administracion/aplicaciones.faqResponsable'; 
					document.apli.submit();
				}
            $(function() {
                
                
                
                
                
            });
				var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/aplicaciones.buscaSeccion&amp;code=';            		
				var pintacorreovar = '<xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@TIPO_ASIGNACION"/>';
				var url2 = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/aplicaciones.compruebaResponsables&amp;code=';
			    	

            	
            	
				
				
				
				<!--buscaSeccion(), resuelveSeccion() son funciones para que al seleccionar una seccion para la aplicacion
					se obtenga de los secciones maximos el numero maximo de dias como ayuda.-->
			
				
				
				
			
				
				//Las aplicaciones hijas tienen que depender de la misma seccin (o alguna de sus subsecciones) que 
				//la seccin a la que depende la aplicacin padre.
				function compruebaPadre(code)
				{
					cambiosRealizados();
					var i=0;
					for(i=0;i&lt;document.apli.aplSecCod.length;i++)
					{
						document.apli.aplSecCod.options[i].value = "";
						document.apli.aplSecCod.options[i].text = "";
					}
					document.apli.aplSecCod.length = 0;
					//Si el codigo no es , no es una categoria raiz. Tenemos que restringir la seleccion	
					if(code!='')
					{
						document.apli.aplSecCod.length = document.apli.aplSecCod.length + 1;
						document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].value = '';
						document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].text = '-Introduzca una seccion-';
						<xsl:for-each select="DATA/APLICACIONES/APLICACION">
							if(code=='<xsl:value-of select="@CODIGO"/>')
							{
								<xsl:variable name="seccioncod"><xsl:value-of select="@SECCION"/></xsl:variable>
								<xsl:for-each select="../SECCION[@CODIGO=$seccioncod]">
									document.apli.aplSecCod.length = document.apli.aplSecCod.length + 1;
									document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].value = '<xsl:value-of select="@CODIGO"/>';
									document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].text = <xsl:call-template name="entrecomillaDescripcion"><xsl:with-param name="descripcion" select="@DESCRIPCION"/></xsl:call-template>;
								</xsl:for-each>
								<xsl:call-template name="sacaSubSeccionJS">
									<xsl:with-param name="seccion" select=".."/>
									<xsl:with-param name="codigo_padre" select="@SECCION"/>
									<xsl:with-param name="espacio" select="'&#160;&#160;'"/>
								</xsl:call-template>
	
							}
						</xsl:for-each>
					}
					else //Si el codigo es '', podemos seleccionar cualquier seccion y cualquier tipo tarea
					{
						document.apli.aplSecCod.length = document.apli.aplSecCod.length + 1;
						document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].value = '';
						document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].text = '-Introduzca una seccion-';
						<xsl:call-template name="muestraSeccionJS">
							<xsl:with-param name="nodo" select="DATA/APLICACIONES"/>
						</xsl:call-template>
					}
					compruebaResponsables(code);
				}
				
            </script>
			<script language="JavaScript" src="../js/aplicaciones/CompruebaModificaAplicacion.js"></script>
			<script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>
         </xsl:with-param>
	   </xsl:call-template>


<body>
	
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/APLICACIONES/USER/@NAME,concat('(',concat(DATA/APLICACIONES/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.1.2</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/APLICACIONES">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
			</xsl:if>
	</xsl:for-each>

<form action="{$servlet}" METHOD="POST" name="apli">
<input type="hidden" name="pestanya" value="0"/>
<input type="hidden" name="module" value="0"/>
<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" height="16" summary="Modificacin de una Aplicacion">
	<tr><td width="100%" colspan="3" class="cab1">&#187;Faqs aplicacin  
		<!--For Para poder mostrar la descripcion en la cabecera de la tabla-->
					
				"<xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@DESCRIPCION"/>"
		
	 </td></tr>
	<tr>
		<td colspan="3">
		<!--Parametro para saber cuando asignas un informatico que no tienes que volver al index sino al modificar-->
		<!--<input type="hidden" name="tipo" value="volver"/>-->
		
		 <div id="container-1">
            <ul>
                
                <li><a href="#ESTRUCTURA"><span>Estructura de Faqs</span></a></li>
                <li><a href="#FAQS"><span>Faqs</span></a></li>
                <li><a href="#FICHAS"><span>Ficha</span></a></li>
            </ul>
	<div id="ESTRUCTURA" class="seccion">
		<div id="tablasin">
		
		</div>
			
			
			<table class="cont">
			<tr class="administracion">
			<td align="center">
			
			<input id="cApart" type="button" class="boton" value="Nuevo Apartado" onclick="javascript:nuevoapartado();"/>
			&#160;<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar()"/>
			
			</td>
			</tr>
			</table>


		<div id="tablaCargaApart">
		
		
		
		</div>
		

						</div>
		
						
						
		<div id="FAQS"  class="seccion">
		
		
		<div id="tablacon">
		
		</div>
		<table class="cont">
			<tr class="administracion">
			<td align="center">
			
			<input id="cApart" type="button" class="boton" value="Nueva Faq" onclick="javascript:nuevotemario();"/>
			&#160;<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar()"/>
			</td>
			</tr>
			</table>

		<div id="tablacargafaq">
		
		</div>

		</div>
		<div id="FICHAS" class="seccion">
		
			<table class="cont">
			<tbody>
				<tr class="cabe">
					<td colspan="2">Ficha de Aplicacion</td>
					
				</tr>
				<tr class="administracion">
					<td>Cdigo de Aplicacin</td>
					<td><xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@CODIGO"/></td>
				</tr>
				<tr class="administracion">
					<td width="15%">Descripcin</td>
					<td>
					<input type="text" name="aplDescrip" size="65" maxlength="50" value="{DATA/APLICACIONES/APLICACIONSEL/@DESCRIPCION}"/></td>
				</tr>
				<tr class="administracion">
					<td>Detalle</td>
					<td>
					<textarea rows="5" cols="100" name="aplDetalle" wrap="VIRTUAL" ><xsl:value-of select="DATA/APLICACIONES/APLICACIONSEL/@DETALLE"/>
					</textarea>
					</td>
				</tr>
				<tr class="administracion">
					<td>Url</td>
					<td>
					<input type="text" name="url" value="{DATA/APLICACIONES/APLICACIONSEL/@URL}" size="65" maxlength="250"/>
					</td>
				</tr>
				<tr class="administracion">
					<td>Url informativa</td>
					<td>
					<input type="text" name="urlinfo" value="{DATA/APLICACIONES/APLICACIONSEL/@URLINFO}" size="65" maxlength="250"/>
					</td>
				</tr>
			</tbody>
			
			
			</table>
			<div id="apartfichas">
			
			</div>

		</div>
		
	</div>
	
	</td></tr>
	
</table>
</form>
</xsl:template>

<!--Plantillas para recorrer las diferentes secciones indexandolas-->
<xsl:template name="muestraSeccion">
<xsl:param name="nodo"/>
<xsl:param name="seccion_actual"/><!--Seccion a la que esta vinculada originalmente-->
    <xsl:for-each select="$nodo/SECCION[@CODIGO=@PADRE]"><!--Buscamos nodos padres-->
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V' and @CODIGO!=$seccion_actual">
	        <option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
		<xsl:if test="@ESTADO='V' and @CODIGO=$seccion_actual">
	        <option value="{@CODIGO}" selected="true"><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
        <xsl:call-template name="sacaSubSeccion">
            <xsl:with-param name="seccion" select="$nodo"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="seccion_actual" select="$seccion_actual"/>
            <xsl:with-param name="espacio" select="'&#160;&#160;'"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

<xsl:template name="sacaSubSeccion">
<xsl:param name="seccion"/>
<xsl:param name="codigo_padre"/>
<xsl:param name="espacio"/>
<xsl:param name="seccion_actual"/><!--Seccion a la que esta vinculada originalmente-->
    <xsl:for-each select="$seccion/SECCION[@PADRE=$codigo_padre and @PADRE!=@CODIGO]"><!--Buscamos hijos-->
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V' and @CODIGO!=$seccion_actual">
	        <option value="{@CODIGO}"><xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
		<xsl:if test="@ESTADO='V' and @CODIGO=$seccion_actual">
	        <option value="{@CODIGO}" selected="true"><xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
        <xsl:call-template name="sacaSubSeccion">
            <xsl:with-param name="seccion" select="$seccion"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="seccion_actual" select="$seccion_actual"/>
            <xsl:with-param name="espacio" select="concat($espacio,'&#160;&#160;')"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

<!--Plantillas para recorrer las diferentes secciones indexandolas para JAVASCRIPT-->
<xsl:template name="muestraSeccionJS">
<xsl:param name="nodo"/>
    <xsl:for-each select="$nodo/SECCION[@CODIGO=@PADRE]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V'">
			document.apli.aplSecCod.length = document.apli.aplSecCod.length + 1;
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].value = '<xsl:value-of select="@CODIGO"/>';
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].text = <xsl:variable name="comilla">'</xsl:variable><xsl:choose><xsl:when test="contains(@DESCRIPCION,$comilla)">"<xsl:value-of select="@DESCRIPCION"/>"</xsl:when><xsl:otherwise>'<xsl:value-of select="@DESCRIPCION"/>'</xsl:otherwise></xsl:choose>;
		</xsl:if>
        <xsl:call-template name="sacaSubSeccionJS">
            <xsl:with-param name="seccion" select="$nodo"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="'&#160;&#160;'"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

<xsl:template name="sacaSubSeccionJS">
<xsl:param name="seccion"/>
<xsl:param name="codigo_padre"/>
<xsl:param name="espacio"/>
    <xsl:for-each select="$seccion/SECCION[@PADRE=$codigo_padre and @PADRE!=@CODIGO]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V'">
	        document.apli.aplSecCod.length = document.apli.aplSecCod.length + 1;
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].value = '<xsl:value-of select="@CODIGO"/>';
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].text = <xsl:variable name="comilla">'</xsl:variable><xsl:choose><xsl:when test="contains(@DESCRIPCION,$comilla)">"<xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/>"</xsl:when><xsl:otherwise>'<xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/>'</xsl:otherwise></xsl:choose>;
		</xsl:if>
        <xsl:call-template name="sacaSubSeccionJS">
            <xsl:with-param name="seccion" select="$seccion"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="concat($espacio,'&#160;&#160;')"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>
<xsl:template name="carpetarecursiva">
<xsl:param name="profundo"/>
<xsl:param name="codigo"/>

<xsl:for-each select="../APARTADOS[@FGRFGRCOD = $codigo]">
<xsl:sort select="@FGRORDEN"/>
<tr class="administracion">
			<td  vigencia="{@FGRESTADO}" class="padre" id="{@FGRCOD}" prof="{$profundo + 1}" style="padding-left: {15* number($profundo)}px;" padre="{@FGRFGRCOD}"><img style="display: none;" border="0" class="plus" src="../dumbo7/utils/table/carpetaCerrada.gif"/><img border="0" class="minus" src="../dumbo7/utils/table/carpetaAbierta.gif"/></td>
			<td width="99%" colspan="2">
			<a style="text-align:left; background:none" href="javascript:mostrarapartado('{@FGRTEXTO}',{@FGRFGRCOD},{@FGRORDEN}, '{@FGRESTADO}','{@FGRSISCOD}',{@FGRCOD})"><xsl:value-of select="@FGRTEXTO"/></a>
			</td>
			
			 
			
				<td>
				<xsl:choose>
					<xsl:when test="@FGRESTADO = 'N'">
					<img border="0" alt="No Vigente" src="../graficos/iconos/no_vigente.gif"/>
					</xsl:when>
					<xsl:otherwise>
						<img border="0" alt="Vigente" src="../graficos/iconos/vigente.gif"/>
					</xsl:otherwise>
				</xsl:choose>
				
				</td>
			
			
			
			
			
			</tr>

			<xsl:call-template name="carpetarecursiva">
					<xsl:with-param name="profundo" select="number($profundo)+1" />
					<xsl:with-param name="codigo" select="@FGRCOD"/>
			</xsl:call-template>


</xsl:for-each>


</xsl:template>

<xsl:template name="carpetarecursiva2">
<xsl:param name="profundo"/>
<xsl:param name="codigo"/>

<xsl:for-each select="../APARTADOS[@FGRFGRCOD = $codigo]">
<xsl:sort select="@FGRORDEN"/>
<tr class="administracion">
			<td  vigencia="{@FGRESTADO}" class="padre" id="{@FGRCOD}" prof="{$profundo + 1}" style="padding-left: {15* number($profundo)}px;" padre="{@FGRFGRCOD}"><img style="display: none;" border="0" class="plus" src="../dumbo7/utils/table/carpetaCerrada.gif"/><img border="0" class="minus" src="../dumbo7/utils/table/carpetaAbierta.gif"/></td>
			<td width="99%" colspan="2">
			<xsl:value-of select="@FGRTEXTO"/>
			</td>
			
			 
			
				<td>
				<xsl:choose>
					<xsl:when test="@FGRESTADO = 'N'">
					<img border="0" alt="No Vigente" src="../graficos/iconos/no_vigente.gif"/>
					</xsl:when>
					<xsl:otherwise>
						<img border="0" alt="Vigente" src="../graficos/iconos/vigente.gif"/>
					</xsl:otherwise>
				</xsl:choose>
				
				</td>
			
			
			
			
			
			</tr>

			<xsl:call-template name="carpetarecursiva2">
					<xsl:with-param name="profundo" select="number($profundo)+1" />
					<xsl:with-param name="codigo" select="@FGRCOD"/>
			</xsl:call-template>


</xsl:for-each>
<xsl:for-each select="../FAQS[@FAQFGRCOD = $codigo]">
<xsl:sort select="@FAQORDEN"/>
<tr class="administracion">
<td vigencia="{@FAQESTADO}" style="padding-left: {15* (number($profundo))}px;" class="hijo" id="1" prof="{$profundo+1}" padre="{@FAQFGRCOD}">

<img border="0" class="fichero" src="../dumbo7/utils/table/file.gif"/></td><td colspan="2"><a style="text-align:left; background:none" href="javascript:mostrarfaq('{@FAQASUNTO}','{@FAQTEXTO}',{@FAQFGRCOD},'{@FAQORDEN}','{@FAQESTADO}','{@FAQSISCOD}',{@FAQCOD},'{@FAQAPLCOD}')"><xsl:value-of select="@FAQASUNTO"/></a>
</td>
<td>
			<xsl:choose>
				<xsl:when test="@FAQESTADO = 'N'">
				<img border="0" alt="No Vigente" src="../graficos/iconos/no_vigente.gif"/>
				</xsl:when>
				
				<xsl:otherwise>
					<img border="0" alt="Vigente" src="../graficos/iconos/vigente.gif"/>
				</xsl:otherwise>
			
			
			</xsl:choose>
</td>
</tr>


</xsl:for-each>

</xsl:template>



<xsl:template name="tabular">

<xsl:param name="profundo"/>
<xsl:param name="tabulado"/>
			&#160;&#160;&#160;
			<xsl:if test="$profundo>= $tabulado">
			<xsl:call-template name="tabular">
					<xsl:with-param name="profundo" select="$profundo" />
					<xsl:with-param name="tabulado" select="number($tabulado)+1"/>
			</xsl:call-template>
			</xsl:if>

</xsl:template>


<xsl:template name="optionrecursiva">
<xsl:param name="profundo"/>
<xsl:param name="codigo"/>

<xsl:for-each select="../APARTADOS[@FGRFGRCOD = $codigo]">
<xsl:sort select="@FGRORDEN"/>


			
			
			
			
			<option value="{@FGRCOD}">
			<xsl:call-template name="tabular">
					<xsl:with-param name="profundo" select="number($profundo)" />
					<xsl:with-param name="tabulado" select="number(1)+1"/>
			</xsl:call-template>
			<xsl:value-of select="@FGRTEXTO"/></option>
			

			<xsl:call-template name="optionrecursiva">
					<xsl:with-param name="profundo" select="number($profundo)+1" />
					<xsl:with-param name="codigo" select="@FGRCOD"/>
			</xsl:call-template>


</xsl:for-each>



</xsl:template>








</xsl:stylesheet>
	