<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>
<!--Parametros para mantener filtro-->
<xsl:param name="flag_filtrado"/>
<xsl:param name="Caracter"/>
<xsl:param name="SeccionCod"/>	

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
         <script type="text/javascript" src="../js/uitabs/jquery-1.2.3.pack.js"></script>
         <script type="text/javascript" src="../js/Nueva.js"></script>
         <script type="text/javascript" src="../js/faqs.js"></script>
         <script src="../js/uitabs/ui.tabs.pack.js" type="text/javascript"></script>
         	<link rel="stylesheet" href="../js/uitabs/ui.tabs.css" type="text/css" media="print, projection, screen"/>
         	<script language="javascript" type="text/javascript" src="../js/tinymce/jscripts/tiny_mce/tiny_mce.js"></script>
<script language="javascript" type="text/javascript">

    tinyMCE.init({
	theme : "advanced",
	mode : "none",
	plugins : "paste",
	theme_advanced_buttons3_add : "pasteword",
	paste_create_paragraphs : false,
	paste_create_linebreaks : false,
	paste_use_dialog : false,
	paste_auto_cleanup_on_paste : true,
	paste_convert_middot_lists : false,
	paste_unindented_list_class : "unindentedList",
	paste_convert_headers_to_strong : true,
	paste_insert_word_content_callback : "convertWord"
});
    
    
   function convertWord(type, content) {
	switch (type) {
		// Gets executed before the built in logic performes it's cleanups
		case "before":
			//content = content.toLowerCase(); // Some dummy logic
			break;

		// Gets executed after the built in logic performes it's cleanups
		case "after":
			//content = content.toLowerCase(); // Some dummy logic
			break;
	}

	return content;
} 
    
    

</script>
			<script LANGUAJE="JavaScript">

    		
    			
    	$(function() {
                $('#container-1 ul').tabs();
                
               $("#aplPadreAplCod").change();
                $('#container-1').tabs("select", 0);
            });		
    			
    			var srvName = '<xsl:value-of select="$servlet"/>';
    			var http_req = false;
			
			
				<!--buscaSeccion(), resuelveSeccion() son funciones para que al seleccionar una seccion para la aplicacion
					se obtenga de los secciones maximos el numero maximo de dias como ayuda.-->
				function buscaSeccion(code)
				 {
				 cargaFicha(code);
					var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/aplicaciones.buscaSeccion&amp;code='+code;
			
					http_req = false;
			
					if (window.XMLHttpRequest)
					{
						http_req = new XMLHttpRequest();
						if (http_req.overrideMimeType)
						{
							http_req.overrideMimeType('text/xml');
						}
					}
					else if (window.ActiveXObject)
					{
						try
						{
							http_req = new ActiveXObject("Msxml2.XMLHTTP");
						}
						catch (e)
						{
							try
							{
								http_req = new ActiveXObject("Microsoft.XMLHTTP");
							}
							catch (e)
							{}
						}
					}
			
					if (!http_req)
					{
						alert('Falla: No es posible crear una instancia XMLHTTP');
						return false;
					}
					http_req.onreadystatechange = resuelveSeccion;
					http_req.open('GET', url, true);
					http_req.send(null);
			
				}
			
				function resuelveSeccion()
				{
					if (http_req.readyState == 4)
					{
						if (http_req.status == 200)
						{
							var text = http_req.responseText;
							var n = text.indexOf('&lt;'+'!--');
							if (n>=0) text = text.substring(0,n);
							var m = text.indexOf('.dtd">');
							if (m>=0) text = text.substring(m+6,text.length);
							eval(text);
						}
						else
						{
							alert('Hubo problemas con la peticin.');
						}
					}
				}

																
				function mostrarError(error){
					alert(error);
				}
				
				<!--Nmero mximo de responsables por aplicacin. Ver formAsignarInformaticos para que existe coherencia.-->
				var MAX_RESPONSABLES = 99;
				var indice = 0;	
					
				<!--Funciones para la bsqueda de informticos-->
				//Funciones para multiregistro, para aadir ms de un responsable
				//No se permiten ms responsable que MAX_RESPONSABLES
				function addResp(id)
				{
					
					if( indice + 1 > MAX_RESPONSABLES)
					{
						alert("No se pueden aadir ms de "+MAX_RESPONSABLES+" responsables");
					}
					else
					{
						var lon=document.apli.responsables.length;
						for(var i=0; i&lt;lon; i++)
						{
							if(document.apli.responsables.options[i].value==id)
							{ 
								document.apli.ainInfCod.value="";
								document.getElementById("InfApe").innerHTML ='';
								alert('El responsable ya existe.');
								return;
							}
						}
												
						if (id=='') { alert('Introduzca un usuario.'); return; }
						if (DatosIncorrectos==true) { alert('Introduzca un usuario correcto.'); return; }
						var indice1 = indice + 1;
						
						var opt = new Option('['+ indice1 +'] ' + document.getElementById("InfApe").innerHTML);
						document.getElementById("InfApe").innerHTML ='';
						//var opt = new Option('['+ indice1 +'] '+ape+', '+nom);
						
						opt.value = id;
						document.apli.responsables.options[indice] = opt;
						indice++;
						
						document.apli.ainInfCod.value="";
					}
					DatosIncorrectos = true;
				}
								
				function delResp(obj)
				{
					var insel = obj.selectedIndex;
					if (insel&lt;0) { alert('Seleccione un responsable.'); return; }
					var sel = obj.options[insel].value;
					if (sel=='-1') { alert('No hay responsables para eliminar.'); return; }
					while (insel>=0)
					{
						delUnResp(obj);
						insel = obj.selectedIndex;
					}
				}
								
				function delUnResp(obj)
				{
					var insel = obj.selectedIndex;
					if (indice==1)
					{
						var opt = new Option('&lt;-- Aada aqu los responsables -->');
						opt.value = '-1';
						obj.options[0] = opt;
						obj.length = indice;
						indice = 0;
					}
					else
					{
						for (var i=insel; i&lt;indice-1; i++)
						{
							var incremento = i + 1;
							//var opt = new Option(obj.options[i+1].text);
							var opt = new Option('['+incremento+']' +obj.options[i+1].text.substring(3,obj.options[i+1].text.length));
							opt.value = obj.options[i+1].value;
							opt.selected = obj.options[i+1].selected;
							obj.options[i] = opt;
						}
						obj.length = indice-1;
						indice = obj.length;
					}
				}
				
				<!--Funciones para mover registros dentro de un select-->
				function subir()
				{
					if(document.apli.responsables.options.selectedIndex>0)
					{
						moverUp(document.apli.responsables.options);
					}
				}
				
				function bajar()
				{
					if(document.apli.responsables.options.selectedIndex &lt; document.apli.responsables.options.length - 1)
					{
						moverDw(document.apli.responsables.options,false);
					}
				}
				
				function moverUp(orgOpt)
				{
					var origen = new Array();
					var cont = 0;
					var optionPrevia = null;
					for (i=0; i&lt;orgOpt.length; i++)
					{
						if (orgOpt[i].selected)
						{
							//Hay que modificar la prioridad. Al subir se decrementa en 1 la prioridad (no puede ser menor que 1)
							origen[cont] = new Option('['+orgOpt.selectedIndex+']' +orgOpt[i].text.substring(3,orgOpt[i].text.length));
							origen[cont].value = orgOpt[i].value;
							origen[cont].selected = orgOpt[i].selected;
							cont++;
							if (i==orgOpt.length-1) origen[cont] = optionPrevia;
						}
						else
						{
							if (optionPrevia!=null)
							{
								origen[cont] = optionPrevia;
								cont++;
								optionPrevia = null;
							}
							//Busca el que est delante del seleccionado. Se debe incrementar el ndice
							if ((i&lt;orgOpt.length-1) &amp;&amp; orgOpt[i+1].selected)
							{
								var indiceInc = orgOpt.selectedIndex + 1;
								optionPrevia = new Option('['+indiceInc+']' +orgOpt[i].text.substring(3,orgOpt[i].text.length));
							}
							else
							{
								origen[cont] = new Option(orgOpt[i].text);
								origen[cont].value = orgOpt[i].value;
								origen[cont].selected = orgOpt[i].selected;
								cont++;
							}
						}
					}
					orgOpt.length = origen.length;
					for (i=0; i&lt;origen.length; i++) {
						orgOpt[i] = origen[i];
					}
				}

				function moverDw(orgOpt)
				{
					var origen = new Array();
					var cont = 0;
					var optionPrevia = null;
					for (i=orgOpt.length-1; i>=0; i--)
					{
						if (orgOpt[i].selected)
						{
							//Hay que modificar la prioridad. Al bajar se incrementa en 1 la prioridad
							var indiceInc = orgOpt.selectedIndex + 2;
							origen[cont] = new Option('['+indiceInc+']' +orgOpt[i].text.substring(3,orgOpt[i].text.length));
							origen[cont].value = orgOpt[i].value;
							origen[cont].selected = orgOpt[i].selected;
							cont++;
							if (i==0) origen[cont] = optionPrevia;
						}
						else
						{
							if (optionPrevia!=null)
							{
								origen[cont] = optionPrevia;
								cont++;
								optionPrevia = null;
							}
							//Busca el que est delante del seleccionado. Se debe incrementar el ndice
							if ((i>0) &amp;&amp; orgOpt[i-1].selected)
							{
								//optionPrevia = orgOpt[i];
								var indiceInc = orgOpt.selectedIndex + 1;
								optionPrevia = new Option('['+indiceInc+']' +orgOpt[i].text.substring(3,orgOpt[i].text.length));
							}
							else
							{
								origen[cont] = new Option(orgOpt[i].text);
								origen[cont].value = orgOpt[i].value;
								origen[cont].selected = orgOpt[i].selected;
								cont++;
							}
						}
					}
					orgOpt.length = origen.length;
					var cont = origen.length-1;
					for (i=0; i&lt;origen.length; i++) {
						orgOpt[cont] = origen[i];
						cont--;
					}
				}
				
				<!--Funciones para las bsquedas-->
				
				<!--Variables que indican si las busquedas por usuario o por informatico han dado un resultado incorrecto-->
				var DatosIncorrectos = true;
				
				function busquedaGenerica(url)
				{
					url = url.concat("&amp;modulo=aplicaciones.formNueva.buscarApellidos");
					idInput = 'InfApe';
					url = url.concat("&amp;tipo=INF");
					newWindow = window.open(url,'_blanck',"width=600,height=400,left=100,top=100,status=no,toolbar=no,menubar=no,location=no");
				}
				
				function actualiza(v,doc)
				{
					DatosIncorrectos = false;
					document.apli.ainInfCod.value = v;
					var txt = doc.getElementById(v).innerHTML;
					var n = txt.indexOf('>');
					txt = txt.substring(n+1);
					n = txt.indexOf('&lt;');
					txt = txt.substring(0,n);
					document.getElementById(idInput).innerHTML = txt;
				}
			
				function buscaDNI(DNI)
				{
					var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/aplicaciones.formNueva.buscarDNI&amp;Codigo='+DNI;
			
					http_req = false;
			
					if (window.XMLHttpRequest){
						http_req = new XMLHttpRequest();
						if (http_req.overrideMimeType){
							http_req.overrideMimeType('text/xml');
						}
					}
					else if (window.ActiveXObject){
						try{
							http_req = new ActiveXObject("Msxml2.XMLHTTP");
						}catch (e){
							try{
								http_req = new ActiveXObject("Microsoft.XMLHTTP");
							}catch (e){}
						}
					}
			
					if (!http_req){
						alert('Falla: No es posible crear una instancia XMLHTTP');
						return false;
					}
					http_req.onreadystatechange = resuelveDNI;
					http_req.open('GET', url, true);
					http_req.send(null);
				}
			
				function resuelveDNI()
				{
					if (http_req.readyState == 4){
						if (http_req.status == 200){
							var text = http_req.responseText;
							var n = text.indexOf('&lt;'+'!--');
							if (n>=0) text = text.substring(0,n);
							var m = text.indexOf('.dtd">');
							if (m>=0) text = text.substring(m+6,text.length);
							eval(text);
						}
						else{
							alert('Hubo problemas con la peticin.');
						}
					}
				}//-->
				
				
								
			//Las aplicaciones hijas tienen que depender de la misma seccin (o alguna de sus subsecciones) que 
		    //la seccin a la que depende la aplicacin padre.
			
			$(document).ready(function(){
            	$("select[@name=aplTipoAsig]").change(function(){ 
					pintaCorreo($(this).val());
				});
			});
			function pintaCorreo(codigo){
				if (codigo=='R'){
   					document.apli.aplCorreoResp.disabled=false;
   					document.apli.aplCorreoInf.disabled=true;
				}else{
					if (codigo=='C'){
						document.apli.aplCorreoInf.disabled=false;
						document.apli.aplCorreoResp.disabled=true;
					}else{
						document.apli.aplCorreoResp.disabled=true;
						document.apli.aplCorreoInf.disabled=true;
					}
				}
			}
		 </script>
             <script language="JavaScript" src="../js/aplicaciones/CompruebaAlta.js"></script>
			 <script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>
         </xsl:with-param>
	   </xsl:call-template>
<body>
		
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/APLICACIONES/USER/@NAME,concat('(',concat(DATA/APLICACIONES/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.1.1</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>

</xsl:template>

<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/APLICACIONES">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
			</xsl:if>
	</xsl:for-each>
<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Esta tabla contiene una lista de Aplicaciones">

<tr><td width="150" colspan="2" class="cab1">&#187;Nueva aplicacin</td></tr>
<tr><td colspan="2">
	<form id="apli" action="{$servlet}" METHOD="POST" name="apli">	
	<input type="hidden" name="module"/>
	<input type="hidden" name="dni"/>
	<input type="hidden" name="flag_filtrado" value="{$flag_filtrado}"/>
	<!--Caracter o Seccion pueden ser nulos, si lo son no han de introducirse en el formulario para que el filtro 
		funcione correctamente.-->
	<xsl:if test="$Caracter!=''">
		<input type="hidden" name="Caracter" value="{$Caracter}"/>	
	</xsl:if>
	<xsl:if test="$SeccionCod!=''">
		<input type="hidden" name="SeccionCod" value="{$SeccionCod}"/>
	</xsl:if>
	
	
	<div id="container-1">
	<ul>
                <li><a href="#DATOS"><span>Datos de la aplicacion</span></a></li>
                <li><a href="#ESTRUCTURA"><span>Estructura de Faqs</span></a></li>
                <li><a href="#FAQS"><span>Faqs</span></a></li>
                <li><a href="#FICHAS"><span>Ficha</span></a></li>
                
            </ul>
	<div id="DATOS" class="seccion">	
	<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" summary="Esta tabla contiene una lista de Noticias de Dumbo">
	
		<tr>
			<td class="cabe" align="left" colspan="5"><b>Datos de la aplicacin</b></td>
		</tr>
		<tr>
			<td class="administracion" align="left" width="15%">
				Cdigo&#160;(*):
			</td>
			<td class="administracion" align="left">
				<input id="aplCod" type="text" name="aplCod" size="13" maxlength="10" />
			</td>
		</tr>
		<tr>
			<td class="administracion" align="left" width="15%">
				Descripcin&#160;(*):
			</td>
			<td class="administracion" align="left">
				<input type="text" name="aplDescrip" size="65" maxlength="50" onchange="javascript:cambiaficha(this, 'daplicacion')"/>
			</td>
		</tr>
		<tr>
			<td class="administracion" align="left" width="15%">
				Detalle&#160;(*):
			</td>
			<td class="administracion" align="left">
				<TEXTAREA ROWS="5" COLS="100" NAME="aplDetalle" wrap="VIRTUAL" onchange="javascript:cambiaficha(this, 'detalleapli')"/>
			</td>
		</tr>
		<tr>
			<td class="administracion" align="left" width="15%">Aplicacin Padre&#160;:</td>
			<td class="administracion" align="left">
				<select id="aplPadreAplCod" name="aplPadreAplCod" size="1">
					<option value="">-Aplicacin raz-</option>
					<xsl:for-each select="DATA/APLICACIONES/APLICACION">
						<xsl:sort select="@CODIGO"/>
						<option value="{@CODIGO}"><xsl:value-of select="@CODIGO"/>&#160;-&#160;<xsl:value-of select="@DESCRIPCION"/></option>	
					</xsl:for-each>
				</select>
			</td>		
		</tr>
		<tr>
			<td class="administracion" align="left" width="15%">Caracter&#160;(*):</td>
			<td class="administracion" align="left">
				<select name="aplCaracter" size="1">
					<option value="">-Introduzca un carcter-</option>
					<option value="I">Interno</option>
					<option value="E">Externo</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="administracion" align="left" width="15%">Seccin&#160;(*):</td>
			<td class="administracion" align="left">
			<div id="aplSecCod">
				<select  name="aplSecCod" size="1" onchange="buscaSeccion(this.options[this.selectedIndex].value);">
					<option value="">-Introduzca una seccin-</option>
						<!--Llamamos a la plantilla para indexar las secciones.-->
						
				</select>
				</div>
			</td>		
		</tr>
		<tr>
			<td class="administracion" align="left" width="15%">Tipo de Asignacin&#160;(*):</td>
			<td class="administracion" align="left">
				<select name="aplTipoAsig" size="1">
					<option value="">-Introduzca un tipo de asignacin-</option>
					<option value="R">Asignacion a Responsable</option>
					<option value="P">Pesos</option>
					<option value="C">Por cola de aplicaciones</option>
					<option value="U">Por ubicacin</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="administracion" align="left" width="15%">Estado&#160;(*):</td>
			<td class="administracion" align="left">
				<select name="aplEstado" size="1">
					<option value="V">Vigente</option>
					<option value="N">No Vigente</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="administracion" align="left" width="15%">Mandar correo a responsable(s):</td>
			<td class="administracion" align="left" colspan="2">
				<select name="aplCorreoResp" size="1" disabled="true">
					<option value='N'>No</option>
					<option value='S' selected="true">Si</option>						
				</select>
				<font color="red"> Slo para Asignacin a responsable</font>
			</td>
		</tr>
		<tr>
			<td class="administracion" align="left" width="15%">Mandar correo a informticos:</td>
			<td class="administracion" align="left" colspan="2">
				<select name="aplCorreoInf" size="1" disabled="true">
					<option value='N' selected="true">No</option>
					<option value='S'>Si</option>						
				</select>
				<font color="red"> Slo para Asignacin Por cola de aplicaciones</font>
			</td>
		</tr>
		
		<tr>
				<td class="administracion" align="left" width="15%">Url
				</td>
									
				<td class="administracion" align="left" colspan="2"> 
				<input type="text" name="url" value="" size="65" maxlength="250" onchange="javascript:cambiaficha(this, 'urlapli')"/>
				</td>
				
				</tr>
				<tr>
				<td class="administracion" align="left" width="15%">Url informativa
				</td>
									
				<td class="administracion" align="left" colspan="2"> 
				<input type="text" name="urlinfo" value="" size="65" maxlength="250" onchange="javascript:cambiaficha(this, 'urlinfoapli')"/>
				</td>
				
				</tr>
		
		<tr>
			<td class="administracion" align="left" colspan="4">
				<table border="0">
					<!--Se muestran dinmicamente los tipos de tarea-->
					<xsl:for-each select="DATA/APLICACIONES/TIPO_TAREA[@CODIGO='I' or @CODIGO='P']">
						<tr>							
							<!--Variable para almacenar los tipos de tarea y despues poder identificarlos-->
							<input type="hidden" name="apliParam" value="{@CODIGO}" readonly="true"/>
							<td class="administracion" width="80"><b><xsl:value-of select="@DESCRIPCION"/></b></td>
							<td class="administracion" colspan="2">
								&#160;Urgente por defecto:&#160;&#160;&#160;
								<select name="apaUrgencia" size="1">
									<option value="">-Sin Urgencia-</option>
									<option value="N">No</option>
									<option value="U">S</option>
									
								</select>								
							</td>
							<td class="administracion" colspan="2">	 
							
							&#160;&#160;&#160;Prioridad por defecto:
					&#160;&#160;&#160;<select name="apaPrioridad" size="1">
						
						<option value="">-Sin Prioridad-</option>
						<xsl:for-each select="../PRIORIDADES">
							<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
						</xsl:for-each>
					</select>
				</td>
			</tr>
		</xsl:for-each>
	</table>
</td>
		</tr>
		</table>
		<table class="cont" cellpadding="3" cellspacing="1" width="100%">
			<!--Seccin del formulario para introducir los datos del responsable de la aplicacin.
				Contiene ayudas para la bsqueda por dni, correo y apellidos-->
			<tr>
				<td colspan="4" class="cabe" style="border-collapse: collapse" align="left"><b>Datos del Responsable&#160;(*)</b></td>
			</tr>
			<tr>
				<td class="administracion" align="left" width="15%">Identificador:</td>
				<td class="administracion" align="left">
					<input type="text" name="ainInfCod" size="10" maxlength="8" onChange="javascript:buscaDNI(this.value);"/>
					&#160;
					<a href="javascript:busquedaGenerica('?module=dumbo7/administracion/gruposusuarios.index.buscarGenerico');">
						<img id="Busqueda" style="display:inline" border="0" src="../graficos/iconos/ampliar.gif" alt="Realizar Bsqueda"/>&#160;&#160;&#160;
					</a>
					<input onclick="javascript:addResp(document.apli.ainInfCod.value)" value="Aadir" class="boton" type="button"/>
				</td>
			</tr>
			<tr>
				<td class="administracion" align="left"></td>
				<td class="administracion" align="left" id="InfApe"></td>
			</tr>
	
			<tr>
				<td class="administracion" align="left" colspan="4">Responsables (<font size="1">[prioridad] Apellidos, Nombre</font>):</td>
			</tr>
			<tr>
				<td class="administracion" align="left" colspan="4">
					<table>
						<tr>
							<td class="administracion">
								<select name="responsables" size="6" multiple="yes">
									<option value="-1">&lt;-- Aada aqu los responsables --></option>
								</select>
							</td>
							<td class="administracion">
								<a href="javascript:subir();"><img src="../graficos/img/up.gif" border="0" alt="Poner Delante"/></a><br/><br/><br/>
								<a href="javascript:bajar();"><img src="../graficos/img/down.gif" border="0" alt="Poner Detrs"/></a>
							</td>
						</tr>
						<tr>
							<td class="administracion" align="center">
								<input type="button" class="boton" onclick="delResp(document.apli.responsables);" value="Eliminar"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		
			<!--Operaciones sobre tabla APLICACIONES maximos (para alertas)-->
			<!--Tabla D7Aplicaciones_Maximos-->
			

		</table>
		<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="100%" >	
				<tr>
					<td class="cabe" align="left" colspan="5"><b>Alertas para aplicaciones (*)</b></td>
				</tr>
				<tr>
					<tr>
						<td class="administracion" align="center" colspan="2"><b>Tipos Tareas</b></td>
						<td class="administracion" align="center" colspan="2"><b>Prioridades</b></td>
						<td class="administracion" align="center"><b>Das Mximos</b></td>
					</tr>
					<tr>
						<td class="administracion" align="center"><b>Cdigo</b></td>
						<td class="administracion" align="center"><b>Descripcin</b></td>
						<td class="administracion" align="center"><b>Cdigo</b></td>
						<td class="administracion" align="center"><b>Descripcin</b></td>
						<td class="administracion" align="center">(0.1-999.9)</td>
					</tr>
				
					<xsl:for-each select="DATA/APLICACIONES/TIPO_TAREA">
						<xsl:variable name="tipotareacod"><xsl:value-of select="@CODIGO"/></xsl:variable> 
						<xsl:variable name="tipotareades"><xsl:value-of select="@DESCRIPCION"/></xsl:variable> 
						
						<xsl:for-each select="../PRIORIDADES">
							<tr class="administracion"  onmouseover="javascript:onMouse(this,'true');" onmouseout="javascript:onMouse(this,'false');">
								<td align="center">
									<input type="hidden" name="tipotareasCod" value="{$tipotareacod}" readonly="true"/>
									<input type="hidden" name="prioridadesCod" value="{@CODIGO}" readonly="true"/>
									<xsl:value-of select="$tipotareacod"/>
								</td>
								<td><xsl:value-of select="$tipotareades"/></td>
								<td align="center"><xsl:value-of select="@CODIGO"/></td>
								<td><xsl:value-of select="@DESCRIPCION"/></td>
								<td align="center">
									<input  type="text" name="maxdias" size="5" minlength="1" maxlength="5" value="1"/>
								</td>
							</tr>
						</xsl:for-each>
					</xsl:for-each>
							</tr>
			</table>
			
			<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="100%" >	
		
		



				
				


					<tr class="administracion"><td align="left" colspan="5"><font size="-1" color="red">(*) campos obligatorios.</font></td></tr>
		
					<tr class="administracion">
						<td colspan="5" align="center">
							<input type="button" class="boton" value="Aceptar" onclick="javascript:CompruebaAltaAplicacion()" />&#160;
							<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar()"/>
						</td>
				
					</tr>	
				
			</table>	
			
			
		</div>
		<div id="ESTRUCTURA" class="seccion">
		<table id="tablaapar" class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="100%" >	
				<tr id="estructura"><td style="margin-left:30" class="cabe" align="left" colspan="4" width="30%"><b>Estructura de FAQ</b></td></tr>


		
						
				
			</table>
			
				<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="100%" >	
				

		


				
				


					
		
						
				
			</table>
			
						<table class="cont">
			<tr class="administracion">
			<td align="center">
			
			<input id="cApart" type="button" class="boton" value="Nuevo Apartado" onclick="javascript:nuevoapartado();"/>
			&#160;<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar()"/>
			
			</td>
			</tr>
			</table>
			
			<table id ="tablaapart" style="display:none" class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" summary="Esta tabla contiene una lista de Noticias de Dumbo">
	
		<tr>
			<td class="cabe" align="left" colspan="5"><b>Alta de Apartado de FAQS</b></td>
		</tr>

		
		<tr>
			<td class="administracion" align="left" width="15%">
				Apartado&#160;(*):
			</td>
			<td class="administracion" align="left">
				<input type="text" name="aparttexto" size="100" maxlength="230"/>
			</td>
		</tr>
		
		<tr>
			<td class="administracion" align="left" width="15%">Apartado Padre&#160;:</td>
			<td class="administracion" align="left">
			<input type="hidden" name="fgrfgrold" size="65" maxlength="50" value=""/>
				<select id="fgrfgrcod" name="apartpadre" size="1" onchange="javascript:cambiacarpetafgr();">
					<option id="opestructura" value="0">-Raz-</option>
				</select>
			</td>		
		</tr>
		
		<tr>
			<td class="administracion" align="left" width="15%">Orden&#160;(*):</td>
			<td class="administracion" align="left">
				<select id="fgrorden" name="apartorden" size="1">
					<option value="0">0</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="administracion" align="left" width="15%">Estado&#160;(*):</td>
			<td class="administracion" align="left">
				<select id="apartestado" name="apartestado" size="1">
					<option value="V">Vigente</option>
					<option value="N">No Vigente</option>
				</select>
			</td>
		</tr>
		
		<tr class="administracion">
						<td colspan="5" align="center">
							<input id="aceptaapartado"  type="button" class="boton" value="Aceptar" onclick="javascript:gnuevoApartado();"/>&#160;
							<input id="cancelaapartado" type="button" class="boton" value="Cancelar" onclick="javascript:cancelaApartado();"/>&#160;
							<input id="eliminaapartado" type="button" class="boton" value="Eliminar" onclick="javascript:eliminapartado();"/>&#160;
							
						</td>
					</tr>
		
		</table>
			
		</div>
		
<div id="FAQS"  class="seccion">
			<table id="tablafaq" class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="100%" >	
				<tr id="estructura">
					<td class="cabe" align="left" colspan="5"><b>FAQS</b></td>
				</tr>
			</table>

	<table class="cont">
			<tr class="administracion">
			<td align="center">
			
			<input id="cApart" type="button" class="boton" value="Nueva Faq" onclick="javascript:nuevotemario();"/>&#160;
			<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar()"/>
			</td>
			</tr>
			</table>


		<table id="contenidofaq" style="display:none" class="cont" cellpadding="3" cellspacing="1" width="100%">
			
			<tr>
				<td colspan="4" class="cabe" style="border-collapse: collapse" align="left"><b>FAQS</b></td>
			</tr>
			
		<tr>
			<td class="administracion" align="left" width="15%">
				Asunto&#160;(*):
			</td>
			<td class="administracion" align="left">
				<input type="text" name="asunto" size="100" maxlength="230"/>
			</td>
		</tr>
			
			<tr>
			<td class="administracion" align="left" width="15%">
				Texto&#160;(*):
			</td>
				<td class="administracion" align="left">
					<TEXTAREA ROWS="5" COLS="100" NAME="texto" wrap="VIRTUAL"/>
				</td>
			</tr>
			
		<tr>
			<td class="administracion" align="left" width="15%">Apartado&#160;(*):</td>
			<td class="administracion" align="left">
			<input type="hidden" name="faqfgrold" size="65" maxlength="50" value=""/>
				<select id="faqfgrcod" name="faqpadre" size="1" onchange="javascript:cambiacarpetafaq();">
					<option id="op2estructura" value="0">-Raiz-</option>
				</select>
			</td>
		</tr>
		<tr>
			<td class="administracion" align="left" width="15%">Orden&#160;(*):</td>
			<td class="administracion" align="left">
				<select id="faqorden" name="orden" size="1">
					<option value="0">0</option>
					
				</select>
			</td>
		</tr>
		
		
		
		
			<tr>
			<td class="administracion" align="left" width="15%">Estado&#160;(*):</td>
			<td class="administracion" align="left">
				<select id="faqestado" name="estado" size="1">
					<option value="V">Vigente</option>
					<option value="N">No Vigente</option>
				</select>
			</td>
			</tr>
	<tr class="administracion">
						<td colspan="5" align="center">
						<input id="aceptafaq" type="button" class="boton" value="Aceptar" onclick="javascript:gnuevafaq();"/>&#160;
						<input id="cfaq" type="button" class="boton" value="Cancelar" onclick="javascript:cancelafaq();"/>&#160;
						<input id="eliminafaq" type="button" class="boton" value="Eliminar" onclick="javascript:eliminafaq();"/>&#160;					
							
						</td>
					</tr>
			
		
			<!--Operaciones sobre tabla APLICACIONES maximos (para alertas)-->
			<!--Tabla D7Aplicaciones_Maximos-->
			

		</table>

		</div>
		
		
		<div id="FICHAS" class="seccion">
		
			<table class="cont">
			<tbody>
				<tr class="cabe">
					<td colspan="2">Ficha de Aplicacion</td>
					
				</tr>
				<tr class="administracion">
					<td>Cdigo de Aplicacin</td>
					<td id="caplicacion"></td>
				</tr>
				<tr class="administracion">
					<td width="15%">Descripcin</td>
					<td id="daplicacion"></td>
				</tr>
				<tr class="administracion">
					<td>Detalle</td>
					<td id="detalleapli"></td>
				</tr>
				<tr class="administracion">
					<td>Url</td>
					<td id="urlapli"></td>
				</tr>
				<tr class="administracion">
					<td>Url informativa</td>
					<td id="urlinfoapli"></td>
				</tr>
			</tbody>
			
			
			</table>
			<div id="apartfichas">
			
			</div>

		</div>
		
		
		
		</div>
			
		
	</form>


</td></tr>

</table>

</xsl:template>



















<!--Plantillas para recorrer las diferentes secciones indexandolas-->
<xsl:template name="muestraSeccion">
<xsl:param name="nodo"/>
    <xsl:for-each select="$nodo/SECCION[@CODIGO=@PADRE]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V'">
	        <option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
        <xsl:call-template name="sacaSubSeccion">
            <xsl:with-param name="seccion" select="$nodo"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="'&#160;&#160;'"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

<xsl:template name="sacaSubSeccion">
<xsl:param name="seccion"/>
<xsl:param name="codigo_padre"/>
<xsl:param name="espacio"/>
    <xsl:for-each select="$seccion/SECCION[@PADRE=$codigo_padre and @PADRE!=@CODIGO]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V'">
	        <option value="{@CODIGO}"><xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
        <xsl:call-template name="sacaSubSeccion">
            <xsl:with-param name="seccion" select="$seccion"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="concat($espacio,'&#160;&#160;')"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>












<!--Plantillas para recorrer las diferentes secciones indexandolas para JAVASCRIPT-->
<xsl:template name="muestraSeccionJS">
<xsl:param name="nodo"/>
    <xsl:for-each select="$nodo/SECCION[@CODIGO=@PADRE]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V'">
			document.apli.aplSecCod.length = document.apli.aplSecCod.length + 1;
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].value = '<xsl:value-of select="@CODIGO"/>';
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].text = '<xsl:value-of select="@DESCRIPCION"/>';
		</xsl:if>
        <xsl:call-template name="sacaSubSeccionJS">
            <xsl:with-param name="seccion" select="$nodo"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="'&#160;&#160;'"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>
<xsl:template name="sacaSubSeccionJS">
<xsl:param name="seccion"/>
<xsl:param name="codigo_padre"/>
<xsl:param name="espacio"/>
    <xsl:for-each select="$seccion/SECCION[@PADRE=$codigo_padre and @PADRE!=@CODIGO]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V'">
	        document.apli.aplSecCod.length = document.apli.aplSecCod.length + 1;
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].value = '<xsl:value-of select="@CODIGO"/>';
			document.apli.aplSecCod.options[document.apli.aplSecCod.length-1].text = '<xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/>';
		</xsl:if>
        <xsl:call-template name="sacaSubSeccionJS">
            <xsl:with-param name="seccion" select="$seccion"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="concat($espacio,'&#160;&#160;')"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
	