<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	

<xsl:param name="modulo"/>
<xsl:param name="einInfCod"/>
<xsl:param name="einEmpCod"/>

<xsl:template match="XMLROOT">
<HTML>
	<script>
	//Actualizamos los datos modificados
	function actualizar()
	{
		url = '?module=dumbo7/administracion/empresas.popupModificar.actualizar';
		url = url.concat("&amp;einInfCod=");
		url = url.concat(document.empresa.einInfCod.value);
		url = url.concat("&amp;empEmail=");
		url = url.concat(document.empresa.einEmpCod.value);
		url = url.concat("&amp;einEmpCod=");
		url = url.concat(document.empresa.einEmpCod.value);
		url = url.concat("&amp;einAsignaEmpresa=");
		url = url.concat(document.empresa.einAsignaEmpresa.value);

		window.opener.location.href=url;
		window.close();
	}
	</script>
  <HEAD>
    <META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
    <META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
    <TITLE>DUMBO7: Modificar Asginacin Empresas</TITLE>
	<link REL="stylesheet" HREF="../estilosD.css" TYPE="text/css"/>
  </HEAD>
<body>
<center>
	<form name="empresa" action="{$servlet}" METHOD="POST">
	<input type="hidden" name="module"/>
	<input type="hidden" name="einInfCod" value="{$einInfCod}"/>
	<input type="hidden" name="einEmpCod" value="{$einEmpCod}"/>
	
	<table class="contout" width="90%">
		<tr class="peticion"><td colspan="5" align="left"><b>Detalle Usuario:&#160;</b><i><xsl:value-of select="DATA/EMPRESAS/DATOS_PERSONALES/@EMAIL"/></i></td></tr>
		<tr>
			<td align="left">
				<b>Id:</b></td><td align="left" colspan="4"><xsl:value-of select="DATA/EMPRESAS/DATOS_PERSONALES/@IDENTIFICADOR"/>
			</td>
		</tr>
		<tr>
			<td align="left"><b>Nombre:</b></td><td align="left" colspan="4"><xsl:value-of select="DATA/EMPRESAS/DATOS_PERSONALES/@APELLIDOS"/>,&#160;<xsl:value-of select="DATA/EMPRESAS/DATOS_PERSONALES/@NOMBRE"/></td>
		</tr>
		<tr>
			<td align="left"><b>Email:</b></td><td align="left" colspan="4"><xsl:value-of select="DATA/EMPRESAS/DATOS_PERSONALES/@EMAIL"/></td>
		</tr>
		<tr>
			<td align="left"><b>Telefono:</b></td><td align="left" colspan="4"><xsl:value-of select="DATA/EMPRESAS/DATOS_PERSONALES/@TELEFONO"/></td>
		</tr>
		<tr>
				<td width="10%" align="left"><b>Prioridad:</b></td>
			<td width="30%" align="left">
				<!--Si es responsable, aparece activada de forma inicial la prioridad-->
				<xsl:for-each select="DATA/EMPRESAS/INFORMATICO_VINCULADO[@INFORMATICO=$einInfCod]">
					<xsl:if test="@ASIGNA_EMPRESA='S'">
						<select name="einAsignaEmpresa">
							<option value="S">Si</option>
							<option value="N">No</option>
						</select>
					</xsl:if>
					<!--Si no es responsable, aparece desactivada de forma inicial la prioridad-->
					<xsl:if test="@ASIGNA_EMPRESA='N'">
						<select name="einAsignaEmpresa">
							<option value="N">No</option>
							<option value="S">Si</option>
						</select>
					</xsl:if>
				</xsl:for-each>
			</td>
			<td width="10%" align="right">
				<input type="button" class="boton" value="Actualizar" onclick="javascript:actualizar()"/>
			</td>
		</tr>
		<tr><td colspan="5">&#160;</td></tr>
		<tr><td colspan="5" align="center">
			<input class="boton" type="button" value="Cerrar" onclick="top.close();"/>&#160;
		</td></tr>
	</table>
	</form>
</center>
</body>
</HTML>

</xsl:template>
</xsl:stylesheet>
	