<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name ="select"/>
<xsl:param name="gcoCod"/>
<xsl:param name="menu"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
	<xsl:call-template name="headComun">
    </xsl:call-template>
<body>

	
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/GRUPOS_COSTES/USER/@NAME,concat('(',concat(DATA/GRUPOS_COSTES/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.6</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
	</body>
	</html>
</xsl:template>

<xsl:template name="cuerpo">
<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Tabla para crear gruposcostes">
<tr><td width="100%" colspan="2" class="cab1">&#187;Detalle del grupo de coste
		<!--For Para poder mostrar la descripcion en la cabecera de la tabal-->
		<xsl:for-each select="DATA/GRUPOS_COSTES/GRUPO_COSTE[@CODIGO=$gcoCod]">			
				&quot;<xsl:value-of select="@DESCRIPCION"/>&quot; 			
		</xsl:for-each>
	</td></tr>
<tr><td colspan="2">
	<form action="{$servlet}" METHOD="POST" name="detalle">
	<xsl:for-each select="DATA/GRUPOS_COSTES/GRUPO_COSTE">
		<xsl:if test="@CODIGO = $gcoCod">
		<input type="hidden" name="module" value="dumbo7/administracion/gruposcostes.formModificar.aceptar"/>
		<input type="hidden" name="gcoCod" size="20" value="{@CODIGO}" readonly="true"/>
		<input type="hidden" name="gcoEstado" size="1" value="{@ESTADO}" readonly="true"/>
		<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%">
			<tr>
				<td class="cabe" align="left" colspan="5"><b>Datos del grupo</b></td>
			</tr>
			<tr class="administracion">
				<td width="110"><b>Codigo:</b></td>
				<td width="700"><xsl:value-of select="$gcoCod"/></td>
			</tr>
			<tr class="administracion">
				<td width="110"><b>Descripcion:</b></td>
				<td width="700"><xsl:value-of select="@DESCRIPCION"/></td>
			</tr>
			<tr class="administracion">
				<td width="110"><b>Coste/hora:</b></td>			
				<td width="700"><xsl:value-of select="@COSTE"/>(eeee.cc)</td>
			</tr>
			<tr class="administracion">
				<td width="110"><b>Horas:</b></td>
				<td width="700"><xsl:value-of select="@HORAS"/>(h.mm)</td>
			</tr>
			<tr class="administracion">
				<td colspan="2" align="center">
					<input type="submit" class="boton" value="Volver" onclick="javascript:document.detalle.module.value='dumbo7/administracion/gruposcostes.formCostesDetalle.volver'"/>
				</td>
			</tr>			
	</table>
	</xsl:if>
	</xsl:for-each>
	</form>
</td></tr>
</table>

<p>&#160;</p>
<p>&#160;</p>
<p>&#160;</p>

</xsl:template>
</xsl:stylesheet>

