<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="gruCod"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

	<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
             <SCRIPT LANGUAGE="JavaScript">
				function abrirPopup(url)
				{
					newWindow = window.open(url,'_blanck',"height=230,width=450,status=no,toolbar=no,menubar=no,location=no,scrollbars=no");				
					newWindow.moveTo(self.screen.width/4,self.screen.height/4);
				}  
            </SCRIPT>
			<script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>
         </xsl:with-param>
	   </xsl:call-template>

<body>
		
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/GRUPOS_USUARIOS/USER/@NAME,concat('(',concat(DATA/GRUPOS_USUARIOS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>

</xsl:template>

<xsl:template name="cuerpo">

<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Esta tabla contiene usuarios">
<tr><td width="650" colspan="2" class="cab1">&#187;Usuarios asociados al grupo
	<!--For Para poder mostrar la descripcion en la cabecera de la tabla-->
		<xsl:for-each select="DATA/GRUPOS_USUARIOS/GRUPO_USUARIO[@CODIGO=$gruCod]">
				&quot; <xsl:value-of select="@DESCRIPCION"/>&quot; 
		</xsl:for-each>
</td></tr>
<tr><td>
	<form action="{$servlet}" METHOD="POST" name="listado">
		<input type="hidden" name="module" value="dumbo7/administracion/gruposusuarios.formListarUsuarios.volver"/>
		<table class="cont" id="gruposusuarios" border="0" cellpadding="3" cellspacing="1" width="100%">
			<tr class="cabe">
				<td width="50" height="16"><b><font face="Verdana" size="2">Cdigo</font></b></td>
				<td width="500"><b><font face="Verdana" size="2">Apellidos, Nombre</font></b></td>
				<td width="150"><b><font face="Verdana" size="2">Email</font></b></td>
				<td width="100"><b><font face="Verdana" size="2">Tlf</font></b></td>
			</tr>
			<xsl:for-each select="DATA/GRUPOS_USUARIOS/DATOS_PERSONALES">
				<xsl:sort select="@APELLIDOS"/>
				<xsl:variable name="codUsu"><xsl:value-of select="@IDENTIFICADOR"/></xsl:variable> 
			<xsl:for-each select="../USUARIO_GRUPO[@USUARIO=$codUsu]">
				<xsl:if test="@GRUPO = $gruCod">		
						<xsl:for-each select="../DATOS_PERSONALES[@IDENTIFICADOR=$codUsu]">
							<tr class="administracion" onmouseover="javascript:onMouse(this,'true');" onmouseout="javascript:onMouse(this,'false');">
								<td width="250"><xsl:value-of select="@IDENTIFICADOR"/>-<xsl:value-of select="@LETRA"/></td>
								<td width="880">
									<a title="{../DATOS_PERSONALES[@IDENTIFICADOR=$codUsu]/@APELLIDOS}, {../DATOS_PERSONALES[@IDENTIFICADOR=$codUsu]/@NOMBRE}"  href="javascript:abrirPopup('?module=dumbo7/inicio.detalleUser&amp;user={$codUsu}')">
										<xsl:value-of select="../DATOS_PERSONALES[@IDENTIFICADOR=$codUsu]/@APELLIDOS"/>,&#160;<xsl:value-of select="../DATOS_PERSONALES[@IDENTIFICADOR=$codUsu]/@NOMBRE"/>
									</a>	
								</td>
								
								<td width="350"><xsl:value-of select="@EMAIL"/></td>
								<td width="150"><xsl:value-of select="@TELEFONO"/></td>
							</tr>
						</xsl:for-each>				
				</xsl:if>
			</xsl:for-each>
			</xsl:for-each>
			
			<xsl:if test="count(DATA/GRUPOS_USUARIOS/USUARIO_GRUPO[(@GRUPO=$gruCod)])=0">
				<tr class="administracion">
					<td align="center" colspan="4">* No hay Usuarios Asociados.</td>
				</tr>
			</xsl:if>
			
			
			<!--mostramos los subgrupos-->
			<!--For Para poder mostrar la descripcion en la cabecera de la tabla-->
			<xsl:for-each select="DATA/GRUPOS_USUARIOS/GRUPO_USUARIO">
				<xsl:if test="(@CODIGO!=$gruCod)">
					<tr><td width="650" colspan="4" class="cabe">&#187;Usuarios asociados al subgrupo 
					"<xsl:value-of select="@DESCRIPCION"/>"
					</td></tr>
					<xsl:variable name="codHijo"><xsl:value-of select="@CODIGO"/></xsl:variable> 
										
					<xsl:for-each select="../DATOS_PERSONALES">
						<xsl:sort select="@APELLIDOS"/>
						<xsl:variable name="codUsu"><xsl:value-of select="@IDENTIFICADOR"/></xsl:variable> 
						<xsl:for-each select="../USUARIO_GRUPO[@USUARIO=$codUsu]">
							<xsl:if test="@GRUPO = $codHijo">							
								<xsl:for-each select="../DATOS_PERSONALES[@IDENTIFICADOR=$codUsu]">
									<tr class="administracion" onmouseover="javascript:onMouse(this,'true');" onmouseout="javascript:onMouse(this,'false');">
									<td width="250"><xsl:value-of select="@IDENTIFICADOR"/>-<xsl:value-of select="@LETRA"/></td>
									<td width="880">
										<a title="{../DATOS_PERSONALES[@IDENTIFICADOR=$codUsu]/@APELLIDOS}, {../DATOS_PERSONALES[@IDENTIFICADOR=$codUsu]/@NOMBRE}"  href="javascript:abrirPopup('?module=dumbo7/inicio.detalleUser&amp;user={$codUsu}')">
											<xsl:value-of select="../DATOS_PERSONALES[@IDENTIFICADOR=$codUsu]/@APELLIDOS"/>,&#160;<xsl:value-of select="../DATOS_PERSONALES[@IDENTIFICADOR=$codUsu]/@NOMBRE"/>
										</a>	
								</td>
								
								<td width="350"><xsl:value-of select="@EMAIL"/></td>
								<td width="150"><xsl:value-of select="@TELEFONO"/></td>
							</tr>
						</xsl:for-each>				
				</xsl:if>
			</xsl:for-each>
			</xsl:for-each>
			</xsl:if>
			</xsl:for-each>
			<tr class="administracion" align="center"><td colspan="4"><CENTER><input type="submit" class="boton" value="Volver"/></CENTER></td></tr>
	</table>
	</form>
	</td>
	</tr>
	</table>
	


</xsl:template>
</xsl:stylesheet>
	