<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name ="select"/>
<xsl:param name ="menu"/>


<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
	<xsl:call-template name="headComun">
		 <xsl:with-param name="jscript">
			<script LANGUAJE="JavaScript">
				var indice = 0;	
				function mostrarError(error)
				{
					alert(error);
				}

				function cerrar_cancelar()
				{
					document.nueva.module.value='dumbo7/administracion/gruposusuarios.formNueva.cancelar';				
					document.nueva.submit();
				} 

				<!--Funciones para multiregistro, para aadir ms de un responsable-->
				function addResp(id)
				{
					
					var lon=document.nueva.listaUsuarios.length;
					for(var i=0; i&lt;lon; i++)
					{
						if(document.nueva.listaUsuarios.options[i].value==id)
						{ 
							document.nueva.infCod.value="";
							alert('El responsable ya existe.');
							return;
						}
					}
					
					if (id=='') { alert('Introduzca un usuario.'); return; }
					if (DatosIncorrectos==true) { alert('Introduzca un usuario correcto.'); return; }
					
					var indice1 = indice + 1;

					var opt = new Option(document.getElementById("InfApe").innerHTML);
					document.getElementById("InfApe").innerHTML ='';
					//var opt = new Option(ape+', '+nom);
					
					opt.value = id;
					document.nueva.listaUsuarios.options[indice] = opt;
					indice++;
					
					document.nueva.infCod.value="";
				}
								
				function delResp(obj)
				{
					var insel = obj.selectedIndex;
					if (insel&lt;0) { alert('Seleccione un responsable.'); return; }
					var sel = obj.options[insel].value;
					if (sel=='-1') { alert('No hay usuarios para eliminar.'); return; }
					while (insel>=0)
					{
						delUnResp(obj);
						insel = obj.selectedIndex;
					}
				}
								
				function delUnResp(obj)
				{
					var insel = obj.selectedIndex;
					if (indice==1)
					{
						var opt = new Option('&lt;-- Aada aqu los usuarios -->');
						opt.value = '-1';
						obj.options[0] = opt;
						obj.length = indice;
						indice = 0;
					}
					else
					{
						for (var i=insel; i&lt;indice-1; i++)
						{
							var opt = new Option(obj.options[i+1].text);
							opt.value = obj.options[i+1].value;
							opt.selected = obj.options[i+1].selected;
							obj.options[i] = opt;
						}
						obj.length = indice-1;
						indice = obj.length;
					}
				}
				
				<!--Funciones para mover registros dentro de un select-->
				/*function subir()
				{
					if(document.nueva.listaUsuarios.options.selectedIndex>0)
					{
						moverUp(document.nueva.listaUsuarios.options);
					}
				}
				
				function bajar()
				{
					if(document.nueva.listaUsuarios.options.selectedIndex &lt; document.nueva.listaUsuarios.options.length)
					{
						moverDw(document.nueva.listaUsuarios.options,false);
					}
				}
				
				function moverUp(orgOpt)
				{
					var origen = new Array();
					var cont = 0;
					var optionPrevia = null;
					for (i=0; i&lt;orgOpt.length; i++)
					{
						if (orgOpt[i].selected)
						{
							
							origen[cont] = new Option(orgOpt[i].text);
							origen[cont].value = orgOpt[i].value;
							origen[cont].selected = orgOpt[i].selected;
							cont++;
							if (i==orgOpt.length-1) origen[cont] = optionPrevia;
						}
						else
						{
							if (optionPrevia!=null)
							{
								origen[cont] = optionPrevia;
								cont++;
								optionPrevia = null;
							}
							//Busca el que est delante del seleccionado. Se debe incrementar el ndice
							if ((i&lt;orgOpt.length-1) &amp;&amp; orgOpt[i+1].selected)
							{
								optionPrevia = new Option(orgOpt[i].text);
							}
							else
							{
								origen[cont] = new Option(orgOpt[i].text);
								origen[cont].value = orgOpt[i].value;
								origen[cont].selected = orgOpt[i].selected;
								cont++;
							}
						}
					}
					orgOpt.length = origen.length;
					for (i=0; i&lt;origen.length; i++) {
						orgOpt[i] = origen[i];
					}
				}

				function moverDw(orgOpt)
				{
					var origen = new Array();
					var cont = 0;
					var optionPrevia = null;
					for (i=orgOpt.length-1; i>=0; i--)
					{
						if (orgOpt[i].selected)
						{
							origen[cont] = new Option(orgOpt[i].text);
							origen[cont].value = orgOpt[i].value;
							origen[cont].selected = orgOpt[i].selected;
							cont++;
							if (i==0) origen[cont] = optionPrevia;
						}
						else
						{
							if (optionPrevia!=null)
							{
								origen[cont] = optionPrevia;
								cont++;
								optionPrevia = null;
							}
							//Busca el que est delante del seleccionado. Se debe incrementar el ndice
							if ((i>0) &amp;&amp; orgOpt[i-1].selected)
							{
								optionPrevia = new Option(orgOpt[i].text);
							}
							else
							{
								origen[cont] = new Option(orgOpt[i].text);
								origen[cont].value = orgOpt[i].value;
								origen[cont].selected = orgOpt[i].selected;
								cont++;
							}
						}
					}
					orgOpt.length = origen.length;
					var cont = origen.length-1;
					for (i=0; i&lt;origen.length; i++) {
						orgOpt[cont] = origen[i];
						cont--;
					}
				}*/
				
				<!--Funciones para las bsquedas-->
				
				<!--Variables que indican si las busquedas por usuario o por informatico han dado un resultado incorrecto-->
				var DatosIncorrectos = true;
				
				function busquedaGenerica(url)
				{
					url = url.concat("&amp;modulo=gruposusuarios.formNueva.buscarApellidos");
					idInput = 'InfApe';
					url = url.concat("&amp;tipo=USR");
					newWindow = window.open(url,'_blanck',"width=600,height=400,left=100,top=100,status=no,toolbar=no,menubar=no,location=no");
				}
				
				function actualiza(v,doc)
				{
					DatosIncorrectos = false;
					document.nueva.infCod.value = v;
					var txt = doc.getElementById(v).innerHTML;
					var n = txt.indexOf('>');
					txt = txt.substring(n+1);
					n = txt.indexOf('&lt;');
					txt = txt.substring(0,n);
					document.getElementById(idInput).innerHTML = txt;
				}
			
				function buscaDNI(DNI)
				{
					var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/gruposusuarios.formNueva.buscarDNI&amp;Codigo='+DNI;
			
					http_req = false;
			
					if (window.XMLHttpRequest){
						http_req = new XMLHttpRequest();
						if (http_req.overrideMimeType){
							http_req.overrideMimeType('text/xml');
						}
					}
					else if (window.ActiveXObject){
						try{
							http_req = new ActiveXObject("Msxml2.XMLHTTP");
						}catch (e){
							try{
								http_req = new ActiveXObject("Microsoft.XMLHTTP");
							}catch (e){}
						}
					}
			
					if (!http_req){
						alert('Falla: No es posible crear una instancia XMLHTTP');
						return false;
					}
					http_req.onreadystatechange = resuelveDNI;
					http_req.open('GET', url, true);
					http_req.send(null);
				}
			
				function resuelveDNI()
				{
					if (http_req.readyState == 4){
						if (http_req.status == 200){
							var text = http_req.responseText;
							var n = text.indexOf('&lt;'+'!--');
							if (n>=0) text = text.substring(0,n);
							var m = text.indexOf('.dtd">');
							if (m>=0) text = text.substring(m+6,text.length);
							eval(text);
						}
						else{
							alert('Hubo problemas con la peticin.');
						}
					}
				}//-->
				
				
				
				function buscar_codigo(){
					document.nueva.gruCod.value = allTrim(document.nueva.gruCod.value);	
					var string = document.nueva.gruCod.value;
					document.nueva.gruCod.value = string.toUpperCase();  
					var cont=0;
					<xsl:for-each select="DATA/GRUPOS_USUARIOS/GRUPO_USUARIO">
						if(document.nueva.gruCod.value=='<xsl:value-of select="@CODIGO"/>')
						{
							cont=cont+1;						
						}
					</xsl:for-each>
					
					if(cont!=0){
						document.nueva.gruCod.focus();
						window.document.nueva.gruCod.value="";
						cont=0;
						alert("El cdigo introducido no es correcto o ya existe");	
					}
				}
			</script>
			<script LANGUAJE="JavaScript" src="../js/gruposusuarios/CompruebaAltaGrupoUsuarios.js"></script>
		</xsl:with-param>
	 </xsl:call-template>
<body>

	
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/GRUPOS_USUARIOS/USER/@NAME,concat('(',concat(DATA/GRUPOS_USUARIOS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.7.1</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
	</body>
	</html>
</xsl:template>
<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/GRUPOS_USUARIOS">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
			</xsl:if>
	</xsl:for-each>

<table align="center" border="0" cellpadding="5" cellspacing="5" width="780" summary="Tabla para crear grupos de usuarios">
<tr><td width="250" colspan="2" class="cab1">&#187;Nuevo grupo de usuarios</td></tr>
<tr><td colspan="2">
	<form action="{$servlet}" METHOD="POST" name="nueva">
	<input type="hidden" name="module"/>
	<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" summary="Tabla para crear grupo de usuario">
		<tr>
			<td class="cabe" align="left" colspan="5"><b>Datos del grupo</b></td>
		</tr>
		<tr class="administracion">
			<td width="15%">Cdigo&#160;(*):</td>
			<td><input type="text" name="gruCod" size="3" maxlength="3" onChange="buscar_codigo()" /></td>
		</tr>
		
		<tr class="administracion">
			<td width="15%">Descripcion&#160;(*):</td>
			<td><input type="text" name="gruDescrip" size="31" maxlength="30"/></td>
		</tr>
		
		<tr class="administracion">
			<td width="15%">Padre:</td>
			<td>
				<select name="gruCodCod" size="1">
					<option value='-Grupo Raiz-'>-Grupo Raz-</option>
					<!--Llamamos a la plantilla para mostrar indexados los grupos de usuarios-->
					<xsl:call-template name="muestraGrupo">
					<xsl:with-param name="nodo" select="DATA/GRUPOS_USUARIOS"/>
					</xsl:call-template>
				</select>
			</td>
		</tr>
		
		<tr>
		
		<!--Seccin del formulario para introducir los datos del responsable de la aplicacin.
		Contiene ayudas para la bsqueda por dni, correo y apellidos-->
		<tr>
			<td align="left" class="cabe" colspan="4"><b>Miembros del grupo</b></td>
		</tr>
		<tr class="administracion">
			<td>Identificador:</td>
			<td>
				<input type="text" name="infCod" size="10" maxlength="8" onChange="javascript:buscaDNI(this.value);"/>
				&#160;
				<a href="javascript:busquedaGenerica('?module=dumbo7/administracion/gruposusuarios.index.buscarGenerico');">
					<img id="Busqueda" style="display:inline" border="0" src="../graficos/iconos/ampliar.gif" alt="Realizar Bsqueda"/>&#160;&#160;&#160;
					<input onclick="javascript:addResp(document.nueva.infCod.value)" value="Aadir" class="boton" type="button"/>
				</a>
			</td>
		</tr>
		<tr class="administracion">
			<td></td>
			<td id="InfApe"></td>
		</tr>
		
		<tr class="administracion">
			<td colspan="4">Miembros del Grupo:</td>
		</tr>
		<tr class="administracion">
			<td colspan="4">
				<table>
					<tr class="administracion">
						<td>
							<select name="listaUsuarios" size="6" multiple="yes">
								<option value="-1">&lt;-- Aada aqu los usuarios --></option>
							</select>
						</td>
					</tr>
					<tr class="administracion">
						<td align="center">
							<input type="button" class="boton" onclick="delResp(document.nueva.listaUsuarios);" value="Eliminar"/>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		</tr>
		
		<tr class="administracion"><td colspan="4"><font size="-1" color="red">(*) campos obligatorios.</font></td></tr>
		<tr class="administracion">
			<td colspan="5" align="center">
				<input type="button" class="boton" value="Aceptar" onclick="javascript:CompruebaAltaGrupoUsuarios()" />&#160;
				<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar_cancelar()"/>
			</td>			
		</tr>

	</table>
	</form>
</td></tr>
</table>
<p>&#160;</p>
</xsl:template>

<!--Plantillas para recorrer los diferentes grupos de usuarios indexandolos-->
<xsl:template name="muestraGrupo">
<xsl:param name="nodo"/>
    <xsl:for-each select="$nodo/GRUPO_USUARIO [@CODIGO=@PADRE]">
        <xsl:sort select="@DESCRIPCION"/>
		<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
	    <xsl:call-template name="sacaSubGrupo">
            <xsl:with-param name="grupo" select="$nodo"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="'&#160;&#160;'"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

<xsl:template name="sacaSubGrupo">
<xsl:param name="grupo"/>
<xsl:param name="codigo_padre"/>
<xsl:param name="espacio"/>
    <xsl:for-each select="$grupo/GRUPO_USUARIO[@PADRE=$codigo_padre and @PADRE!=@CODIGO]">
        <xsl:sort select="@DESCRIPCION"/>
        <option value="{@CODIGO}"><xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/></option>
        <xsl:call-template name="sacaSubGrupo">
            <xsl:with-param name="grupo" select="$grupo"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="concat($espacio,'&#160;&#160;')"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

</xsl:stylesheet>

