<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
     <xsl:call-template name="headComun">
		<xsl:with-param name="calendar" select="not(contains($menu,'Inc'))"/>
        <xsl:with-param name="jscript">
			<script LANGUAJE="JavaScript" src="../js/CompruebaFecha.js"></script>
			<script LANGUAJE="JavaScript">
				function mostrarError(error){
					alert(error);
				}
				function CompruebaAltaNoticia()
				{ 
					document.nueva.snoAsunto.value = allTrim(document.nueva.snoAsunto.value);
					document.nueva.snoUrl.value = allTrim(document.nueva.snoUrl.value);
													
					if (document.nueva.snoAsunto.value.length==0)
					{ 
						alert("Tiene que escribir un Asunto") 
						document.nueva.snoAsunto.focus() 
						return 0; 
					}
					
					if(document.nueva.snoAsunto.value.length>50)
					{
						alert("Tiene que escribir un Asunto inferior a 50 caracteres") 
						document.nueva.snoAsunto.focus() 
						return 0;
					}
					if(document.nueva.snoTexto.value.length>500)
					{
						var exceso = document.nueva.snoTexto.value.length - 500;
						alert("Su texto excede en " + exceso + " caracteres el mximo permitido.") 
						document.nueva.snoTexto.focus() 
						return 0;
					}
					
					if(document.nueva.snoTexto.value.length==0)
					{
						alert("Debe escribir un Texto para la Noticia") 
						document.nueva.snoTexto.focus() 
						return 0;
					}
					if (document.nueva.snoIndGen.value=="")
					{ 
						alert("Debe introducir una ndole para la noticia") 
						document.nueva.snoIndGen.focus() 
						return 0; 
					}
					if (document.nueva.snoIndCar.value=="")
					{ 
						alert("Debe introducir un carcter para la noticia") 
						document.nueva.snoIndCar.focus() 
						return 0; 
					}
					//Comprobaciones de las fechas
					if (document.nueva.snoFechaIni.value=="")
					{ 
						alert("Debe introducir una fecha de inicio para la noticia") 
						document.nueva.snoFechaIni.focus() 
						return 0; 
					}
					if (document.nueva.snoFechaFin.value=="")
					{ 
						alert("Debe introducir una fecha de finalizacin para la noticia") 
						document.nueva.snoFechaFin.focus() 
						return 0; 
					}
					
					var mayor=0;
					
					diainicio=document.nueva.snoFechaIni.value.substr(0,2);
					mesinicio=document.nueva.snoFechaIni.value.substr(3,2);
					anyoinicio=document.nueva.snoFechaIni.value.substr(6,4);
					diafin=document.nueva.snoFechaFin.value.substr(0,2);
					mesfin=document.nueva.snoFechaFin.value.substr(3,2);
					anyofin=document.nueva.snoFechaFin.value.substr(6,4);
					
					if (anyoinicio>anyofin){mayor=1;}
					if (anyoinicio==anyofin)
					{
						if (mesinicio>mesfin){mayor=1;}
						if (mesinicio==mesfin)
						{
							if (diainicio>diafin)
							{mayor=1;}
						}
					}
					if (mayor==1)
					{
						alert("Debe introducir una fecha de inicio menor que la fecha de finalizacin") 
						document.nueva.snoFechaIni.focus() 
						return 0;
					}
										
					document.nueva.snoAsunto.value = document.nueva.snoAsunto.value.toUpperCase();
					document.nueva.snoTexto.value = document.nueva.snoTexto.value.toUpperCase();
					document.nueva.module.value='dumbo7/administracion/noticias.formNueva.aceptar';
					document.nueva.submit();
				}
				
				//funciones para eliminar espacios en blanco
				function lTrim(sStr)
				{ 
					while (sStr.charAt(0) == " ")  
					sStr = sStr.substr(1, sStr.length - 1); 
					return sStr; 
				} 
				
				function rTrim(sStr)
				{ 
					while (sStr.charAt(sStr.length - 1) == " ")  
					sStr = sStr.substr(0, sStr.length - 1); 
					return sStr; 
				} 
				
				function allTrim(sStr)
				{ 
					return rTrim(lTrim(sStr)); 
				}
				
				function cerrar_cancelar(){
					document.nueva.module.value='dumbo7/administracion/noticias.formNueva.cancelar';				
					document.nueva.submit();
				}
				//Funciones para calendario.
				function selectDateDesde(calendar, date)
				{
					if (calendar.dateClicked)
					{
						if (document.nueva.snoFechaIni.value == date) document.informes.snoFechaIni.value = '';
						else
						{
							document.nueva.snoFechaIni.value = date;
							//document.nueva.FechasD.value = date;
						};
						calendar.hide();
					}
				}
				function selectDateHasta(calendar, date)
				{
					if (calendar.dateClicked)
					{
						if (document.nueva.snoFechaFin.value == date) document.nueva.snoFechaFin.value = '';
						else
						{
							document.nueva.snoFechaFin.value = date;
							//document.nueva.FechasH.value = date
						}
						calendar.hide();
					}
				}
			</script>
          </xsl:with-param>
	   </xsl:call-template>
<body>
		
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/NOTICIAS/USER/@NAME,concat('(',concat(DATA/NOTICIAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.8.1</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>

</xsl:template>

<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/NOTICIAS">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
			</xsl:if>
	</xsl:for-each>
<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Esta tabla contiene una lista de Aplicaciones">
<tr><td width="150" colspan="2" class="cab1">&#187;Nueva noticia</td></tr>
<tr><td colspan="2" align="center">
	<form action="{$servlet}" METHOD="POST" name="nueva">
	<input type="hidden" name="module"/>
	<table class="cont" border="0" cellpadding="3" cellspacing="1" width="90%" summary="Esta tabla contiene una lista de Noticias de Dumbo">
		<tr>
			<td class="cabe" align="left" colspan="5"><b>Datos de la noticia</b></td>
		</tr>
		<tr class="administracion">
			<td align="left">Asunto&#160;(*)</td>
			<td colspan="3" align="left"><input type="text" name="snoAsunto" size="60" maxlength="50"/></td>
		</tr>
		<tr class="administracion">
			<td align="left">Texto&#160;(*)</td>
			<td colspan="3" align="left"><TEXTAREA ROWS="3" COLS="90" NAME="snoTexto" wrap="VIRTUAL"/></td>
		</tr>
		<tr class="administracion">
			<td align="left">Url</td>
			<td colspan="3" align="left"><input type="text" name="snoUrl" size="60" maxlength="250"/></td>
		</tr>
		<tr class="administracion">
			<td align="left">Indole&#160;(*)</td>
			<td colspan="3" align="left">
				<select name="snoIndGen" size="1">
					<option value="">-Introduzca ndole-</option>
					<option value="G">General</option>
					<option value="P">Particular a Sistema</option>
				</select>
			</td>
		</tr>
		<tr class="administracion">
			<td align="left">Carcter&#160;(*)</td>
			<td colspan="3" align="left">
				<select name="snoIndCar" size="1">
					<option value="">-Introduzca carcter-</option>
					<option value="P">Pblica</option>
					<option value="I">Restringida a <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informticos'"/></xsl:call-template></option>
				</select>
			</td>
		</tr>
		<tr class="administracion">
			<td align="left" width="5%">Fecha&#160;Inicio&#160;(*)</td>
			<td align="left" width="22%">
				<input type="text" onchange="changeDate(this)" name="snoFechaIni" id="snoFechaIni" size="11"/>&#160;
				<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_a"
					style="cursor: pointer; border: 1px solid red;"
					title="Selecciona Fecha"
					onmouseover="this.style.background='red';"
					onmouseout="this.style.background=''"  />
			</td>
					<script type="text/javascript">
						Calendar.setup({
							inputField     :    "snoFechaIni",
							ifFormat       :    "%d/%m/%Y",
							button         :    "f_trigger_a",
							align          :    "Tl",
							onSelect       :    selectDateDesde,
							singleClick    :    false
							});
					</script>
			<td align="left" width="5%">Fecha&#160;Fin&#160;(*)</td>
			<td align="left">
				<input type="text" onchange="changeDate(this)" name="snoFechaFin" id="snoFechaFin" size="11"/>&#160;
				<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_b"
					style="cursor: pointer; border: 1px solid red;"
					title="Selecciona Fecha"
					onmouseover="this.style.background='red';"
					onmouseout="this.style.background=''"  />
			</td>
					<script type="text/javascript">
						Calendar.setup({
							inputField     :    "snoFechaFin",
							ifFormat       :    "%d/%m/%Y",
							button         :    "f_trigger_b",
							align          :    "Tl",
							onSelect       :    selectDateHasta,
							singleClick    :    false
							});
					</script>
		</tr>
		<tr align="left" class="administracion"><td colspan="4"><font size="-1" color="red">(*) campos obligatorios.</font></td></tr>
		<tr class="administracion">
			<td colspan="7" align="center">
				<input type="button" class="boton" value="Aceptar" onclick="javascript:CompruebaAltaNoticia()" />&#160;
				<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar_cancelar()"/>
			</td>
		</tr>	
	</table>
	</form>
</td></tr>
</table>

</xsl:template>
</xsl:stylesheet>
	