/*
 * 
 *
 */
package dumbo7.administracion.secciones;

import dumbo7.utils.*;
import dumbo7.utils.ldap.LDAPUser;
import dumbo7.utils.ldap.LDAPUtil;
import dumbo7.administracion.*;
import dumbo7.administracion.aplicaciones.ApartadosFaqs;

import org.hibernate.*;
import org.hibernate.criterion.Expression;

import atica.frameweb.query.*;
import java.sql.*;
import java.util.*;
import java.util.Date;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.net.URLDecoder;
/**
 * @author Universidad de Murcia - ATICA
 *
 */

public class GestorSecciones extends GestorAdministracion {
	
	public GestorSecciones() {}
	
	//Cdigo de Gestor de Grupo para todos los sistemas
	private static String codigoGestor = "11";
	
	//Variables necesarias para crear los registros Secciones_Maximos
	protected String [] priCod,ttarCod,maxdias,datos,aplCod,aplSecCod,codSeccion;
	//protected String [] Sel,DNI;
	
	
	//Las listas son necesarias para el mapeo (hace return de estas variables en los metodos get)
	protected List secciones = null;
	protected List prioridades = null;
	protected List tipostareas = null;
	protected List seccionesmaximos = null;
	protected List parametrosMaximos = null;
	protected List informaticos = null;
	protected List datosPersonales = null;
	protected List categorias = null;
	protected List Aplicaciones = null;
	protected List d7apartados = null;
	private Integer codigo;
	private ApartadosFichas apartados;
	//Listado de las subsecciones
	protected Vector subSecciones = null;
	
	//Guardamos booleanos para ver que  cual se graba y cual se modifica
	private Vector seccionesmaximosUpdate = new Vector();
	
	
	private D7Secciones seccion = null;
	
	private String codigoNuevaSeccion = null;//Se usa tanto para crear nuevas secciones como para hacer update
	
	public void saveApartadosFichas(Session conn) {
		try{
	D7SeccionesApartFichas grupoactual;
	
	if(d7apartados.size()>0){
	for(int i = 0; i < d7apartados.size(); i++){
		
		grupoactual =(D7SeccionesApartFichas)d7apartados.get(i);
		grupoactual.setApfseccod(codigoNuevaSeccion);
		grupoactual.setApfsiscod(user.getDatosMenu().idSelected());
		saveApartado(conn, grupoactual);
		
		
	}
	}
	

	
		}catch (Exception ex){
		
		}
	
	
}
	public void setApartados(ApartadosFichas entrada){
		
		
		apartados = entrada;
		
		d7apartados = apartados.pasarApartados();
		
	}
	
	public void removeApartado(Session conn,D7SeccionesApartFichas al){
		try {
			
			
			
			
			
			
			Criteria ct2 = conn.createCriteria(D7AplicacionesFichas.class);
			ct2 =ct2.add(Expression.eq("ficapfcod", al.getApfcod()));
			ct2 =ct2.add(Expression.eq("ficseccod", al.getApfseccod()));
			ct2 =ct2.add(Expression.eq("ficsiscod",al.getApfsiscod()));
			
			List l2 = ct2.list();
			if (l2!=null && l2.size()>0) {
			
				setErrorMessage("Apartado Contine Fichas asociadas");	
			}else{
			
			Criteria ct3 = conn.createCriteria(D7SeccionesApartFichas.class);
			
			ct3 = ct3.add(Expression.eq("apfsiscod",al.getApfsiscod()));
			ct3 = ct3.add(Expression.eq("apfseccod",al.getApfseccod()));
			ct3 = ct3.add(Expression.eq("apfcod",al.getApfcod()));
			
			
			List l3 = ct3.list();
			
			if (l3!=null && l3.size()>0) {
				Transaction tx = conn.beginTransaction();
				conn.delete(l3.get(0));
				tx.commit();
				setErrorMessage("Apartado Eliminado correctamente");
			}else{
				setErrorMessage("No se puedo Eliminar el Apartado contacte con el administrador");
			
			
				
				
				
			}
			
			
			
				
				
				
			}
			
		} catch (Exception ex) {
			setErrorMessage("Eliminar Apartado: "+ex);
		}
	}

	
	public void saveApartado(Session conn, D7SeccionesApartFichas grupo){
		String qry="";
		
		grupo.setApfetiqueta(URLDecoder.decode(grupo.getApfetiqueta()));
		int largo=0;
		try{
			
			
			if (grupo.getApfcod()==null){
				
				int cod = 0;
				PreparedStatement pstmt = null;
				ResultSet rs = null;
				qry = "SELECT MAX(APF_COD) FROM DUMBO.D7_SECCIONES_APART_FICHAS WHERE APF_SIS_COD='" + user.getDatosMenu().idSelected()+ "' AND APF_SEC_COD='"+ grupo.getApfseccod()+"'";
				pstmt = conn.connection().prepareStatement(qry);
				rs = pstmt.executeQuery();
				if(rs.next()){
					cod = rs.getInt(1)+1;
					codigo=new Integer(cod);
					grupo.setApfcod(new Integer(cod));
					
				}
				Transaction tx = conn.beginTransaction();
				grupo.setApfsiscod(user.getDatosMenu().idSelected());
				
				conn.save(grupo);
				tx.commit();
				
				
				
			}else{
				
				
				Criteria ct = conn.createCriteria(D7SeccionesApartFichas.class);
				
				ct = ct.add(Expression.eq("apfsiscod",grupo.getApfsiscod()));
				ct = ct.add(Expression.eq("apfseccod",grupo.getApfseccod()));
				ct = ct.add(Expression.sql("apf_cod="+grupo.getApfcod().toString()+" "));
				List l = ct.list();
				
				if(l!=null && l.size()>0){
					
					Transaction tx = conn.beginTransaction();
					D7SeccionesApartFichas aux = (D7SeccionesApartFichas)l.get(0);
					if(!grupo.getApfcod().equals("")){
			
						
						aux.setApfetiqueta(grupo.getApfetiqueta());
						aux.setApfindobligatorio(grupo.getApfindobligatorio());
						
						
						
						
						
						/*if((!aux.getApforden().equals(grupo.getApforden()))){
							D7SeccionesApartFichas aux2 = new D7SeccionesApartFichas();
							aux2.setApfcod(aux.getApfcod());
							aux2.setApfseccod(aux.getApfseccod());
							aux2.setApfsiscod(aux.getApfsiscod());
							aux2.setApforden(aux.getApforden());
							modificarorden(conn,aux2,grupo);
						}*/
						
						
						aux.setApforden(grupo.getApforden());
						
						conn.saveOrUpdate(aux);
						tx.commit();
					}
					
					
					
				}else{
					
			Transaction tx = conn.beginTransaction();
			grupo.setApfsiscod(user.getDatosMenu().idSelected());
			conn.save(grupo);
			tx.commit();
					
					
				}
							
				
				
				
			}
			
			setErrorMessage("Se aadieron los datos correctamente");
			
		}catch (Exception ex){
			setErrorMessage("Save Apartado:" + ex+ ";"+ qry +" largo: "+largo);
		}
	}
	public void modificarorden(Session conn, D7SeccionesApartFichas auxiliar, D7SeccionesApartFichas grupo){
		String qry="";
		try{
			
			
							
				Criteria ct = conn.createCriteria(D7SeccionesApartFichas.class);
				Transaction tx = conn.beginTransaction();
				D7SeccionesApartFichas aux;
				List l;
				int i;
				
					if(auxiliar.getApforden().intValue()> grupo.getApforden().intValue()){
					ct = ct.add(Expression.eq("apfsiscod",auxiliar.getApfsiscod()));
					ct = ct.add(Expression.eq("apfseccod",auxiliar.getApfseccod()));
					ct = ct.add(Expression.sql("apf_orden>="+grupo.getApforden().toString()+" AND apf_orden<="+auxiliar.getApforden().toString()+" "));
					l = ct.list();
					
					for(i=0; i<l.size();i++){
						aux = (D7SeccionesApartFichas)l.get(i);	
						aux.setApforden(new Integer(aux.getApforden().intValue()+1));
						conn.saveOrUpdate(aux);
					
						}
					
					}
					ct = conn.createCriteria(D7AplicacionesFaqs.class);
					ct = ct.add(Expression.eq("apfsiscod",grupo.getApfsiscod()));
					ct = ct.add(Expression.eq("apfseccod",grupo.getApfseccod()));
					ct = ct.add(Expression.sql("apf_orden<="+grupo.getApforden().toString()+" AND apf_orden>="+auxiliar.getApforden().toString()+" "));
					l = ct.list();
					
					for(i=0; i<l.size();i++){
						aux = (D7SeccionesApartFichas)l.get(i);	
						aux.setApforden(new Integer(aux.getApforden().intValue()-1));
						conn.saveOrUpdate(aux);
					
						}
		
				
						
					tx.commit();
			
			
			
		}catch (Exception ex){
			setErrorMessage("Modifica orden faq:" + ex+ ";"+ qry );
		}
	}

	
	
	
	
	
	public void listaApartados(Session conn, D7Secciones seccion) {
		try {
			
		//	Query q = conn.createQuery(getQuery("DiasFestivos"));
		//	diasFestivos  = (List)q.list();

			
			
			
			
			Criteria ct = conn.createCriteria(D7SeccionesApartFichas.class);

			ct = ct.add(Expression.eq("apfseccod", seccion.getSecCod()));
			ct = ct.add(Expression.eq("apfsiscod", user.getDatosMenu().idSelected()));
			


			
			d7apartados = ct.list();			
		} catch (Exception ex) {
			setErrorMessage("Listado de apartados de fichas: "+((ex.getCause()!=null)?ex.getCause():ex));
		}
		
	}

	
	
	
	//Devuelve todos los datos personales de todos los informticos
	
	
	
	public void listaDatosPersonales(Session conn)
	{
		try
		{
			Query q = conn.createQuery(getQuery("AllDatosPersonales"));
			q = q.setString("sist",user.getDatosMenu().idSelected());
			datosPersonales  = (List)q.list();
		}
		catch (Exception ex)
		{
			logger.error(ex.getMessage());
		}
	}
	//Bsqueda a partir de los datos introducidos por setDatos
	public void listaDatosPersonalesSeleccion(Session conn)
	{
		try
		{
			if (datos[0].indexOf("@")>0)
			{
				datosPersonales = new ArrayList();
			    datos[0] = datos[0].substring(0,datos[0].length()-1);
			    Vector v = LDAPUtil.findUsersByMail(datos[0]+"*");
			    Enumeration en = v.elements();
			    while (en.hasMoreElements()) {
			          // Hasta aqu vamos bien, saca los tios del LDAP con correo como el del patrn.
			          LDAPUser ldu = (LDAPUser)en.nextElement();
			          Query q = conn.createQuery(getQuery("DatosPersonalesDNI"));
			          q = q.setString("sist",user.getDatosMenu().idSelected());
			          q = q.setString("dat",ldu.getDni());
			          if(!q.list().isEmpty()){
			          	datosPersonales.add(q.list().get(0));
			          }
			    }  
			}
			else
			{
				String patron = datos[0];
				Query q = conn.createQuery(getQuery("DatosPersonales"));
				String nom = patron.substring(0, patron.indexOf("/"));
				String ape = patron.substring(patron.indexOf("/")+1, patron.length());
				q = q.setString("nom","%"+nom+"%");
				q = q.setString("ape","%"+ape+"%");
				q = q.setString("sist",user.getDatosMenu().idSelected());
				datosPersonales  = (List)q.list();
			}
		}
		catch (Exception ex)
		{
			logger.error(ex.getMessage());
		}
	}
	
	public void listaDatosPersonalesDNI(Session conn, String Codigo)
	{
		try
		{
			Query q = conn.createQuery(getQuery("DatosPersonalesDNI"));
			q = q.setString("dat",Codigo);
			q = q.setString("sist",user.getDatosMenu().idSelected());
			datosPersonales  = (List)q.list();
		}
		catch (Exception ex)
		{
			logger.error(ex.getMessage());
		}
	}
	public void listaDatosPersonalesResponsable(Session conn,D7Secciones sec)
	{
		try
		{
			Query q = conn.createQuery(getQuery("DatosPersonalesResponsable"));
			q = q.setString("sist",user.getDatosMenu().idSelected());
			q = q.setString("sec",sec.getSecCod());
			datosPersonales  = (List)q.list();
		}
		catch (Exception ex)
		{
			logger.error(ex.getMessage());
		}
	}
	//Lista todas las secciones
	public void listaSecciones(Session conn)
	{
		try
		{
			Query q = conn.createQuery(getQuery("AllSecciones"));
			q = q.setString("sist",user.getDatosMenu().idSelected());
			secciones  = (List)q.list();
			
		}
		catch (Exception ex)
		{
			logger.error(ex.getMessage());user.getDatosMenu().idSelected();
		}
	}

	//Lista todas las subsecciones de una seccion
	public void listaSubsecciones(Session conn,D7Secciones sec)
	{
		PreparedStatement pstmt;
		subSecciones = new Vector();

		try
		{
			String q = getQuery("subSecciones");
			
			q = q.replaceAll(":sist",user.getDatosMenu().idSelected());
			q = q.replaceAll(":sec",sec.getSecCod());
			pstmt = conn.connection().prepareStatement(q);
			ResultSet rs = pstmt.executeQuery();
			
			while (rs.next())
			{
	 	    	D7Secciones secci = new D7Secciones();
	 	    	secci.setSecSisCod(rs.getString(1));
	 	    	secci.setSecCod(rs.getString(2));
	 	    	secci.setSecDescrip(rs.getString(3));
	 	    	secci.setSecIdRespon(rs.getString(4));
	 	    	secci.setSecSecCod(rs.getString(5));
	 	    	secci.setSecEstado(rs.getString(6));
	 	    	subSecciones.add(secci);
	 	    }
	 	    rs.close();
	 	    pstmt.close();
		}
		catch (Exception ex)
		{
			setErrorMessage("Error al listar secciones.");
			System.out.println(ex);
		}
	}
	//Lista todas las secciones, menos las que se encuentran en el vector subSecciones.
	//Una seccion padre no puede pasar a depender de ninguna de las secciones que dependen de ella directa o indirectamente
	public void listaSeccionesRestriccion(Session conn)
	{
		String cadena = new String();
		//Recogemos los cdigos de las secciones
		for(int i=0;i<subSecciones.size();i++)
		{
			cadena = cadena + "'" + ((D7Secciones)subSecciones.get(i)).getSecCod() + "'" + ",";
		}
		if(cadena.length()!=0)
		{
			cadena = cadena.substring(0,cadena.length()-1);//Eliminamos la ltima coma
			try
			{
				Query q = conn.createQuery(getQuery("SeccionesRestriccion").replaceAll(":secciones","("+cadena+")"));
				q = q.setString("sist",user.getDatosMenu().idSelected());
				secciones  = (List)q.list();
			}
			catch (Exception ex)
			{
				logger.error(ex.getMessage());user.getDatosMenu().idSelected();
			}
		}
		else
		{
			//Si no tiene subsecciones puede depender de cualquier seccion
			listaSecciones(conn);
		}
	}
		
	public void listaInformaticos(Session conn){
		try
		{
			Query q = conn.createQuery(getQuery("AllInformaticos"));
			q = q.setString("sist",user.getDatosMenu().idSelected());
			informaticos  = (List)q.list();
		}
		catch (Exception ex)
		{
			logger.error(ex.getMessage());
		}
	}
	
	public void listaCategorias(Session conn){
		try
		{
			Query q = conn.createQuery(getQuery("AllCategorias"));
			q = q.setString("sist",user.getDatosMenu().idSelected());
			categorias  = (List)q.list();
		}
		catch (Exception ex)
		{
			logger.error(ex.getMessage());
		}
	}
	
	
	public void listaPrioridades(Session conn){
		try
		{
			Query q = conn.createQuery(getQuery("AllPrioridades"));
			q = q.setString("sist",user.getDatosMenu().idSelected());
			prioridades  = (List)q.list();
		}
		catch (Exception ex)
		{
			logger.error(ex.getMessage());
		}
	}
	
	public void listaTipoTareas(Session conn){
		try
		{
			//tipostareas = (conn.createQuery("from tipoTarea in class dumbo7.utils.D7TiposTareas where tipoTarea.TipSisCod = :sist").setString("sist",user.getDatosMenu().idSelected())).list();
			Query q = conn.createQuery(getQuery("TipoTareas"));
			q = q.setString("sist",user.getDatosMenu().idSelected());
			tipostareas  = (List)q.list();
		}
		catch (Exception ex)
		{
			logger.error(ex.getMessage());
		}
	}
	
	public void listaAplicaciones(Session conn)
	{
		//Debe mediante el config mapear todas las aplicaciones asociadas. para despues en el formListarAplicaciones
		//mediante el secCod que se coge desde la url entonces sacar solo las que esten asociadas a esa seccion.
		//Aplicaciones = (conn.createQuery("from aplicacion in class dumbo7.utils.D7Aplicaciones where aplicacion.AplSisCod = :sist").setString("sist",user.getDatosMenu().idSelected())).list();
		try
		{
			Query q = conn.createQuery(getQuery("AllAplicaciones"));
			q = q.setString("sist",user.getDatosMenu().idSelected());
			Aplicaciones = (List)q.list();
		}
		catch(Exception ex)
		{
			setErrorMessage("GestorSecciones: "+ex);
		}
	}
	//Listamos todas las aplicaciones vinculadas a una seccion :sec
	public void listaAplicacionesSeccion(Session conn, D7Secciones sec)
	{
		try
		{
			Query q = conn.createQuery(getQuery("AplicacionesSeccion"));
			q = q.setString("sist",user.getDatosMenu().idSelected());
			q = q.setString("sec",sec.getSecCod());
			Aplicaciones = (List)q.list();
		}
		catch(Exception ex)
		{
			setErrorMessage("GestorSecciones: "+ex);
		}
	}
		
	public void listaSeccionesMaximos(Session conn,D7Secciones sec)
	{
		D7SeccionesMaximos sm;
				
		sm = new D7SeccionesMaximos();
				
		try
		{
			//query que devuelve todas las secciones_maximos que hay creadas para una seccin incidencia/peticion
			Query q1 = conn.createQuery(getQuery("SeccionesMaximos"));
			q1 = q1.setString("sist",user.getDatosMenu().idSelected());
			q1 = q1.setString("cod",sec.getSecCod());
			seccionesmaximos  = (List)q1.list();
			
			
		}
		catch(Exception ex)
		{
			setErrorMessage("Error al listar secciones maximos");
		}
	}
	public void listaParametrosMaximos(Session conn)
	{
		try
		{
			//query que devuelve todas las secciones_maximos que hay creadas para una seccin incidencia/peticion
			Query q1 = conn.createQuery(getQuery("ParametrosMaximos"));
			q1 = q1.setString("sist",user.getDatosMenu().idSelected());
			parametrosMaximos  = (List)q1.list();
		}
		catch(Exception ex)
		{
			System.out.println("Excepcion " + ex);
			setErrorMessage("Error al listar parametros maximos");
		}
	}

	//Metodos get necesarios para el mapeo
	public List getSecciones() { return secciones; }
	public List getInformaticos() { return informaticos; }
	public List getPrioridades() { return prioridades; }
	public Integer getCodigo(){return codigo;}
	public List getTipotareas() { return tipostareas; }
	public List getSeccionesmaximos() { return seccionesmaximos; }
	public List getParametrosmaximos() { return parametrosMaximos; }
	public List getD7apartados(){return d7apartados;}
	public List getAplicaciones() {return Aplicaciones;}
	public List getDatosPersonales() { return datosPersonales; }
	public List getCategorias() { return categorias; }

	
	//Metodos para obtener de las tablas en la web los datos
	//Se pasan en arrays de strings por columnas (prioridadCod,prioridadDes,...)
	public void setPrioridadesCod(String [] priCod) {
	    this.priCod = priCod;
	}
	public void setTipoTareasCod(String [] ttarCod) {
	    this.ttarCod= ttarCod;
	}
	public void setMaxDias(String [] maxdias) {
	    this.maxdias = maxdias;
	}
	//Mtodo para fijar los apellidos para realizar la bsqueda del informtico
	public void setDatos(String [] datos)
	{
		this.datos = datos;
	}
	//La variable Sel puede ser 1 o 2.
	//Si Sel=1, la bsqueda se debe de realizar por DNI (la variable DNI contendra un identificador)
	//Si Sel=2, la bsqueda se debe de realizar por Correo (la variable DNI contendra un correo)
	/*public void setSel(String [] Sel)
	{
		this.Sel = Sel;
	}*/
	//Mtodo para fijar el DNI para realizar la bsqueda del informtico
	/*public void setDNI(String [] DNI)
	{
		this.DNI = DNI;
	}*/
	//Mtodo para fijar las aplicaciones formListarAplicaciones
	public void setAplicaciones(String [] aplCod)
	{
		this.aplCod = aplCod;
	}
//	Mtodo para fijar las aplicaciones formListarAplicaciones
	public void setSecciones(String [] aplSecCod)
	{
		this.aplSecCod = aplSecCod;
	}

//	Mtodo para fijar las aplicaciones formListarAplicaciones
	public void setCodigoSecciones(String [] codSeccion)
	{
		this.codSeccion = codSeccion;
	}
	
	public void setSeccion(Session conn,D7Secciones sec) {
		PreparedStatement pstmt = null;
		ResultSet rs = null;
				
		int codigo = 0;

		//Para poder crear entradas donde el padre y el hijo sea la misma seccion
		if(sec.getSecSecCod().equals("-Seccion Raiz-"))
			sec.setSecSecCod(""+sec.getSecCod());
			
		seccion = sec;
		seccion.setSecSisCod(user.getDatosMenu().idSelected());
	}

	//metodos comunes para secciones_maximos 
	public void savesm(Session conn,D7SeccionesMaximos sm)
	{
		try
		{
			conn.save(sm);
			conn.flush();
			conn.connection().commit();
		}
		catch(Exception e)
		{
			setErrorMessage("Error al crear seccin. Compruebe que los datos introducidos son los correctos.");
		}
	}
	public void updatesm(Session conn,D7SeccionesMaximos sm)
	{
		try
		{
			conn.update(sm);
			conn.flush();
			conn.connection().commit();
		}
		catch(Exception e)
		{
			setErrorMessage("Error al crear seccin. Compruebe que los datos introducidos son los correctos.");
		}
	}
	
	//Tras haber hecho todos los metodos set() relacionados con Secciones_Maximos
	//Se debe de crear una tabla Secciones_Maximos por cada linea del array.
	public void createSeccionesMaximos(Session conn)
	{
		D7SeccionesMaximos [] secMax=new D7SeccionesMaximos[priCod.length];
		for(int i=0; i < priCod.length ; i++)
		{
			secMax[i] = new D7SeccionesMaximos();
			secMax[i].setMaxSisCod(user.getDatosMenu().idSelected());
			secMax[i].setMaxSecCod(codigoNuevaSeccion);
			secMax[i].setMaxTipCod(ttarCod[i]);
			secMax[i].setMaxPriCod(priCod[i]);
			secMax[i].setMaxDias(new BigDecimal(maxdias[i]));
			
			savesm(conn,secMax[i]);
		}
		
		secMax = null;
	}
	public void updateSeccionesMaximos(Session conn)
	{
		D7SeccionesMaximos [] secMax=new D7SeccionesMaximos[priCod.length];

		for(int i=0; i < priCod.length ; i++)
		{
			secMax[i] = new D7SeccionesMaximos();
			secMax[i].setMaxSisCod(user.getDatosMenu().idSelected());
			secMax[i].setMaxSecCod(codigoNuevaSeccion);
			secMax[i].setMaxTipCod(ttarCod[i]);
			secMax[i].setMaxPriCod(priCod[i]);
			secMax[i].setMaxDias(new BigDecimal(maxdias[i]));
				
			updatesm(conn,secMax[i]);
		}
		
		secMax = null;
	}

	//Tras haber hecho todos los metodos set() relacionados con Secciones
	//Se debe de crear una tabla Secciones por cada linea del array.
	public void saveSeccion(Session conn)
	{
		List perfiles;
		try {
			if(seccion == null){
				setErrorMessage("NO SE HAN INTRODUCIDO TODOS LOS CAMPOS");
			}
			else
			{
				conn.save(seccion);
				conn.flush();
				conn.connection().commit();
				codigoNuevaSeccion = seccion.getSecCod();
				
				//Al responsable de la seccin se le debe activar el perfil de Gestor de grupo
				Query q = conn.createQuery(getQuery("PerfilGestorInformatico"));
				q = q.setString("sist",user.getDatosMenu().idSelected());
				q = q.setString("inf",seccion.getSecIdRespon());
				q = q.setString("cod",codigoGestor);
				perfiles  = (List)q.list();
				if (perfiles.size()== 0)
				{	
					D7InformaticosPerfiles ip = new D7InformaticosPerfiles();
					ip.setIpeInfCod(seccion.getSecIdRespon());
					ip.setIpePerCod(codigoGestor);
					ip.setIpeSisCod(user.getDatosMenu().idSelected());
					conn.save(ip);
					conn.flush();
					conn.connection().commit();
				}
				seccion = null;
				setErrorMessage("La seccin ha sido creada correctamente.");
				
				
			}
		}
		catch (Exception ex)
		{
			setErrorMessage("Error al crear seccin. Compruebe que los datos introducidos son los correctos.");
			removeSeccion(conn,seccion);
		}
	}
	
	public void removeSeccion(Session conn, D7Secciones sec)
	{
		List D7S_Max = null;
		Transaction tx = null;
		
		try
		{
			//Comenzamos la transaccin para borrar
			tx = conn.beginTransaction();
				Query q1 = conn.createQuery(getQuery("SeccionesMaximos"));
				q1 = q1.setString("sist",user.getDatosMenu().idSelected());
				q1 = q1.setString("cod",sec.getSecCod());
				D7S_Max  = (List)q1.list();
				
				Query q2 = conn.createQuery(getQuery("UnaSeccion"));
				q2 = q2.setString("sist",user.getDatosMenu().idSelected());
				q2 = q2.setString("cod",sec.getSecCod());
				secciones = (List)q2.list();
				
				//Elimino los maximos asociados a la seccion
				Iterator it = D7S_Max.iterator();
				while(it.hasNext()){
					D7SeccionesMaximos Sec_Max = ((D7SeccionesMaximos)it.next());
					conn.delete(Sec_Max);
				}
				D7S_Max = null;
				
				//Elimino la seccion
				seccion = (D7Secciones) secciones.get(0);//Si hemos recargado la pagina despues de haber borrado salta excepcion nullpointer
				conn.delete(seccion);
				
				//Comprobar que el responsable de la seccin no es responsable de nada ms para eliminar su perfil de gestor de grupo
				eliminaPerfilGestor(conn,seccion.getSecIdRespon());
				
				//Elimino la seccin para que no se mape aun despues de haberla eliminado
				secciones.remove(seccion);
				
			tx.commit();
			
			setErrorMessage("La seccin ha sido eliminada correctamente.");
		}
		catch (IndexOutOfBoundsException nex)
		{
			secciones.remove(seccion);
			setErrorMessage("No se puede eliminar una Seccin que no existe (ERROR al Recargar).");
			tx.rollback();
		}
		catch (Exception ex)
		{
			secciones.remove(seccion);
			setErrorMessage("No se pudo eliminar la seccin " + seccion.getSecCod()+ ". Existen dependencias con: Aplicaciones  Categoras  " + user.traduce("dumbo7/administracion/secciones","Informticos",user.getDatosMenu().idSelected()));
			tx.rollback();
		}
	}
	

	public void updateSeccion(Session conn, D7Secciones sec) {
		List padre,perfiles;
		D7Secciones padreSec;
		
		codigoNuevaSeccion = sec.getSecCod();//Para updateSeccionesMaximos
		sec.setSecSisCod(user.getDatosMenu().idSelected());
		//Si la seccion no se esta referenciando a si misma, se hace el update simplemente
		//sin hacer la query puesto que esto da problemas por querer almacenar
		//un objeto en base de datos y haberlo sacado de ella anteriormente mediante la query
		try
		{
			//OBTENER LA SECCION SIN MODIFICAR PARA SABER QUIEN ERA EL RESPONSABLE
			D7Secciones SeccionSinModificar = obtenerSeccion(conn,sec);
						
			String responSeccionSinModificar = SeccionSinModificar.getSecIdRespon();
			
			//Como slo puedo hacer update del objeto que obtuve de la base de datos (SeccionSinModificar) paso
			//todos los datos nuevos de sec a SeccionSinModificar para actualizar la seccin.
			SeccionSinModificar.setSecDescrip(sec.getSecDescrip());
			SeccionSinModificar.setSecEstado(sec.getSecEstado());
			SeccionSinModificar.setSecIdRespon(sec.getSecIdRespon());
			SeccionSinModificar.setSecSecCod(sec.getSecSecCod());
			conn.update(SeccionSinModificar);
			
			conn.flush();
			conn.connection().commit();
			
			//Al moficar la seccin puede que cambisemos el responsable.
			//Si cambiamos el responsable y este ya no es responsable de aplicacin ni de ninguna otra seccin deja de ser responsable de grupo
			eliminaPerfilGestor(conn,responSeccionSinModificar);
			
			//Al responsable de la seccin se le debe activar el perfil de Gestor de grupo
			Query q = conn.createQuery(getQuery("PerfilGestorInformatico"));
			q = q.setString("sist",user.getDatosMenu().idSelected());
			q = q.setString("inf",sec.getSecIdRespon());
			q = q.setString("cod",codigoGestor);
			perfiles  = (List)q.list();
			if (perfiles.size()== 0)
			{	
				D7InformaticosPerfiles ip = new D7InformaticosPerfiles();
				ip.setIpeInfCod(sec.getSecIdRespon());
				ip.setIpePerCod(codigoGestor);
				ip.setIpeSisCod(user.getDatosMenu().idSelected());
				conn.save(ip);
				conn.flush();
				conn.connection().commit();
			}
			setErrorMessage("La seccin ha sido modificada correctamente.");
		}
		catch (Exception ex)
		{
			setErrorMessage("GestorSecciones: "+ex);
		}
	}

	//Mtodo para obtener el cdigo de la seccin sin modificar a partir de la seccin modificada que la va a sustituir
	public D7Secciones obtenerSeccion(Session conn, D7Secciones sec)
	{
		List seccion;
		D7Secciones seccionSinModificar = null;
		try
		{
			Query q = conn.createQuery(getQuery("UnaSeccion"));
			q = q.setString("sist",user.getDatosMenu().idSelected());
			q = q.setString("cod",sec.getSecCod());
			seccion = (List)q.list();
			seccionSinModificar = (D7Secciones) seccion.get(0);
		}
		catch(Exception e){setErrorMessage("Error al obtener seccin sin modificar");}
		
		return seccionSinModificar;
	}
	
	//Mtodo que comprueba si el Informtico est asociado a alguna seccin o alguna aplicacin.
	//En caso negativo, se le eliminar el perfil de gestor de grupo
	//Nota: No hace commit(), se incluye dentro de una transaccin y lanza excepcin si se produce error.
	public void eliminaPerfilGestor(Session conn, String responsable) throws Exception
	{
		List seccionesRespon, aplicacionesRespon, perfilesRespon=null;
		try
		{	
			Query q1 = conn.createQuery(getQuery("CompruebaResponsableSeccion"));
			q1 = q1.setString("sist",user.getDatosMenu().idSelected());
			q1 = q1.setString("inf",responsable);
			seccionesRespon  = (List)q1.list();
			
			Query q2 = conn.createQuery(getQuery("CompruebaResponsableAplicacion"));
			q2 = q2.setString("sist",user.getDatosMenu().idSelected());
			q2 = q2.setString("inf",responsable);
			aplicacionesRespon  = (List)q2.list();
			
			Query q3 = conn.createQuery(getQuery("InformaticoPerfiles"));
			q3 = q3.setString("sist",user.getDatosMenu().idSelected());
			q3 = q3.setString("inf",responsable);
			//Si era responsable de aplicacion o seccion y solo tiene un perfil, este es el perfil gestor y no se debe eliminar
			perfilesRespon  = (List)q3.list();
			
//			Si ambos listados dieron como resultado 0, el infomtico no es responsable de ninguna seccin o aplicacin.
			//Se puede eliminar su perfil de gestor de grupo (codigoGestor="11")
			if( (seccionesRespon.size() == 0) && (aplicacionesRespon.size() == 0) && (perfilesRespon.size()) != 1)
			{
				for (int i = 0; i<perfilesRespon.size();i++)
				{
					if( ((D7InformaticosPerfiles)perfilesRespon.get(i)).getIpePerCod().equals(codigoGestor))
					{
						conn.delete(((D7InformaticosPerfiles)perfilesRespon.get(i)));
						conn.flush();
						conn.connection().commit();
					}
				}
			}
			/*if( (seccionesRespon.size() == 0) && (aplicacionesRespon.size() == 0))
			{
				D7InformaticosPerfiles ip = new D7InformaticosPerfiles();
				ip.setIpeInfCod(responsable);
				ip.setIpeSisCod(user.getDatosMenu().idSelected());
				ip.setIpePerCod(codigoGestor);
				conn.delete(ip);
			}*/
		}
		catch(Exception e)
		{
			throw new Exception("Error al eliminar perfil de Gestor de grupo. Ver aplicaciones vinculadas a seccin");
		}
	}
	
	//Metodo que cambia el estado de una seccion al contrario (V->N y N->V)
	public void changeState(Session conn, D7Secciones sec)
	{
		sec.setSecSisCod(user.getDatosMenu().idSelected());
		seccion=sec;
		
		try
		{
			Query q = conn.createQuery(getQuery("UnaSeccion"));
			q = q.setString("sist",user.getDatosMenu().idSelected());
			q = q.setString("cod",seccion.getSecCod());
			secciones = (List)q.list();
			
			seccion = (D7Secciones) secciones.get(0);
			
			if (seccion.getSecEstado().equals("V"))
			{
				seccion.setSecEstado("N");
				compruebaVinculos(conn,sec);
			}
			else
				seccion.setSecEstado("V");
				conn.update(seccion);
				conn.flush();
				conn.connection().commit();
				//Elimino la seccin para que no se mape aun despues de haberle cambiado el estado,
				//Esto error solo ocurre cuando una seccin es su padre debido a las condiciones de la primera llamada recursiva
				secciones.remove(seccion);
		}
		catch (Exception ex)
		{
			setErrorMessage("GestorSecciones: "+ex);
		}
	}
	//Comprueba si una seccin tiene vinculos con aplicaciones o categorias. Si es as, mapea un mensaje de error.
	public void compruebaVinculos (Session conn, D7Secciones sec)
	{
		List apli, cat, inf;
		
		try
		{
			Query q1 = conn.createQuery(getQuery("SeccionAplicaciones"));
			q1 = q1.setString("sist",user.getDatosMenu().idSelected());
			q1 = q1.setString("sec",sec.getSecCod());
			apli  = (List)q1.list();

			Query q2 = conn.createQuery(getQuery("SeccionCategorias"));
			q2 = q2.setString("sist",user.getDatosMenu().idSelected());
			q2 = q2.setString("sec",sec.getSecCod());
			cat  = (List)q2.list();
			
			Query q3 = conn.createQuery(getQuery("SeccionInformaticos"));
			q2 = q3.setString("sist",user.getDatosMenu().idSelected());
			q2 = q3.setString("inf",sec.getSecCod());
			inf  = (List)q3.list();
			
						
			if( (apli.size()!=0) && (cat.size()!=0) && (inf.size()!=0))
			{
				setErrorMessage("Atencin!, La seccin a la que acaba de cambiar el estado tiene informticos, aplicaciones y categoras vinculadas.");
			}
			else if((apli.size()!=0) && (cat.size()!=0))
			{
				setErrorMessage("Atencin!, La seccin a la que acaba de cambiar el estado tiene aplicaciones y categoras vinculadas.");
			}
			else if((apli.size()!=0) && (inf.size()!=0))
			{
				setErrorMessage("Atencin!, La seccin a la que acaba de cambiar el estado tiene aplicaciones e informticos vinculados.");
			}
			else if((cat.size()!=0) && (inf.size()!=0))
			{
				setErrorMessage("Atencin!, La seccin a la que acaba de cambiar el estado tiene categoras e informticos vinculados.");
			}
			else if(inf.size()!=0)
			{
				setErrorMessage("Atencin!, La seccin a la que acaba de cambiar el estado tiene informticos vinculados.");
			}
			else if(apli.size()!=0)
			{
				setErrorMessage("Atencin!, La seccin a la que acaba de cambiar el estado tiene aplicaciones vinculadas.");
			}
			else if( cat.size()!=0)
			{
				setErrorMessage("Atencin!, La seccin a la que acaba de cambiar el estado tiene categoras vinculadas.");
			}
			
			apli = null;
			cat = null;
			inf = null;
		}
		catch(Exception ex)
		{
			//No es importante mostrar nada en esta excepcin. El mtodo es slo para informar.
		}
	}
	
	
//	Listado de un informtico	
	public void listaInformaticoDatos(Session conn, D7Informaticos inf)
	{
		try
		{
			Query q = conn.createQuery(getQuery("DatosPersonalesUnInformatico"));
			q = q.setString("dat",inf.getInfCod());
			datosPersonales  = (List)q.list();
		}
		catch (Exception ex)
		{
			logger.error(ex.getMessage());
		}
	}
	
	public void cambiarSeccion(String aplCod, String codSeccion,Session conn)throws Exception
	{
		try{
			
			
			Query q = conn.createQuery(getQuery("Aplicacion"));
			q = q.setString("id",aplCod);
			q = q.setString("sist",user.getDatosMenu().idSelected());
			List apli  = (List)q.list();
			
			D7Aplicaciones aplicac = (D7Aplicaciones) apli.get(0);
			aplicac.setAplSecCod(codSeccion);
			
			conn.update(aplicac);
			aplicac=null;
		}
		catch (Exception ex)
		{
			throw new Exception ("Error al cambiar la seccin asociada a la aplicacin ");
		}
	}
	
	/**MODIFICACION DE APLICACIONES*/
	public void updateAplicacion(Session conn)
	
	{	int cont_max;
		if(aplSecCod==null)
			cont_max=0;
		else
			cont_max=aplSecCod.length;
			int cont=0;
		Transaction tx = null;
		try 
		{	
			//Creamos transaccin para poder hacer revert si hubo erro en alg mtodo
			tx = conn.beginTransaction();
				if(aplCod!=null){
					for(int i=0;i<aplCod.length;i++)
					{
						/*if(this.codSeccion[i].equals("0"))
							System.out.println("es cero, no modifico");
						else*/
						if(!this.codSeccion[i].equals("0"))
						{
							if((cont<=cont_max)&&(cont_max!=0))
							{
								cambiarSeccion(aplCod[i],this.aplSecCod[cont], conn);
								cont++;								
							}
						}
					}
				}
				tx.commit();
				if(cont!=0)
				{
					cont=0;
					setErrorMessage("Se ha cambiado la seccion vinculada a las aplicaciones");
				}
		}
		catch (Exception ex)
		{
			setErrorMessage("Error Secciones: " + ex.toString());
			tx.rollback();  
		}
	}
}
