<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>
<xsl:param name="menu"/>	
<xsl:param name="secCod"/>
<xsl:variable name="parent"/>
<xsl:variable name="Estado"/>
<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">
<html lang="es">

	<xsl:call-template name="headComun"/>

<body>
<script type="text/javascript" src="../js/uitabs/jquery-1.2.3.pack.js"></script>

         	
         	<script type="text/javascript" src="../js/modificarapficha.js"></script>
         	<script src="../js/uitabs/ui.tabs.pack.js" type="text/javascript"></script>
         	<link rel="stylesheet" href="../js/uitabs/ui.tabs.css" type="text/css" media="print, projection, screen"/>
	<script LANGUAJE="JavaScript" src="../js/secciones/CompruebaModificaSeccion.js"/>
	<script LANGUAJE="JavaScript">
		<!--Variables que indican si las busquedas por usuario o por informatico han dado un resultado incorrecto-->
		var secCod = '<xsl:value-of select="$secCod"/>';
		var DatosIncorrectos = false;
		var modo= "modifica";
		$(document).ready(function(){
   					$('#container-1 ul').tabs();

  				});
		
		
		//Funcin para activar la variable de cambios y as notificarlos (si la variable es false, no se mostrar mensaje de cambios ni se har submit)
		function cambiosRealizados()
		{
			document.secci.checkCambios.value="true";
		}
		
		<!--Busquedas-->
		var idInput = '';
	
		function busquedaGenerica(url)
		{
			url = url.concat("&amp;modulo=secciones.formModificar.buscarApellidos");
			idInput = 'InfApe';
			url = url.concat("&amp;tipo=INF");
			newWindow = window.open(url,'_blanck',"width=600,height=400,left=100,top=100,status=no,toolbar=no,menubar=no,location=no");
		}
		
		function actualiza(v,doc)
		{
			cambiosRealizados();
			DatosIncorrectos = false;
			document.secci.secIdRespon.value = v;
			var txt = doc.getElementById(v).innerHTML;
			var n = txt.indexOf('>');
			txt = txt.substring(n+1);
			n = txt.indexOf('&lt;');
			txt = txt.substring(0,n);
			document.getElementById(idInput).innerHTML = txt;
		}
	
		function buscaDNI(DNI)
		{
			cambiosRealizados();
			var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/secciones.formModificar.buscarDNI&amp;Codigo='+DNI;
			
			http_req = false;
	
			if (window.XMLHttpRequest){
				http_req = new XMLHttpRequest();
				if (http_req.overrideMimeType){
					http_req.overrideMimeType('text/xml');
				}
			}
			else if (window.ActiveXObject){
				try{
					http_req = new ActiveXObject("Msxml2.XMLHTTP");
				}catch (e){
					try{
						http_req = new ActiveXObject("Microsoft.XMLHTTP");
					}catch (e){}
				}
			}
	
			if (!http_req){
				alert('Falla: No es posible crear una instancia XMLHTTP');
				return false;
			}
			http_req.onreadystatechange = resuelveDNI;
			http_req.open('GET', url, true);
			http_req.send(null);
		}
	
		function resuelveDNI()
		{
			if (http_req.readyState == 4){
				if (http_req.status == 200){
					var text = http_req.responseText;
					var n = text.indexOf('&lt;'+'!--');
					if (n>=0) text = text.substring(0,n);
					var m = text.indexOf('.dtd">');
					if (m>=0) text = text.substring(m+6,text.length);
					eval(text);
				}
				else{
					alert('Hubo problemas con la peticin.');
				}
			}
		}
		
		function estableceFoco(f)
		{
			FOCO = f;
		}

		function cerrar_cancelar(){	
			document.secci.module.value='dumbo7/administracion/secciones.formModificar.cancelar';
			document.secci.submit();
		}
	</script>
	<script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>

	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/SECCIONES/USER/@NAME,concat('(',concat(DATA/SECCIONES/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.4.3</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
	</body>
	</html>
</xsl:template>

<xsl:template name="cuerpo">
					
	<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Esta tabla contiene una seccion">
	<tr><td width="650" colspan="2" class="cab1">&#187;Modificar seccin
		<!--For Para poder mostrar la descripcion en la cabecera de la tabal-->
		<xsl:for-each select="DATA/SECCIONES/SECCION">
			<xsl:if test="@CODIGO = $secCod">
				"<xsl:value-of select="@DESCRIPCION"/>"
			</xsl:if>
		</xsl:for-each>
	</td></tr>
	<tr><td colspan="2">
		<form action="{$servlet}" METHOD="POST" name="secci">
			<div id="container-1">
            <ul>
                <li><a href="#DATOS"><span>Datos de la seccin</span></a></li>
                <li><a href="#FICHAS"><span>Apartados de las Fichas</span></a></li>
            </ul>
         
		
								
		<div id="DATOS" class="seccion">
		<xsl:for-each select="DATA/SECCIONES/SECCION">
			<xsl:if test="@CODIGO = $secCod">
			<input type="hidden" name="module" value="dumbo7/administracion/secciones.formModificar.aceptar"/>
			<input type="hidden" name="secCod" size="20" value="{@CODIGO}" readonly="true"/>
			<input type="hidden" name="checkCambios" size="20" value="false"/>
			<input type="hidden" name="secEstado" size="1" value="{@ESTADO}" readonly="true"/>
		
			
			
			<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%">
			<tr>
				<td class="cabe" align="left" colspan="5"><b>Datos de la seccin</b></td>
			</tr>
			<tr class="administracion">
				<td width="15%">Cdigo&#160;(*):</td>
				<td><xsl:value-of select="$secCod"/></td>
			</tr>
			<tr class="administracion">
				<td width="15%">Descripcin&#160;(*):</td>
				<td><input type="text" name="secDescrip" size="70" maxlength="50" value="{@DESCRIPCION}" onChange="javascript:cambiosRealizados();"/></td>
			</tr>
			<tr class="administracion">
				<td width="15%">Padre:</td>
				<td>
					<select name="secSecCod" size="1" onChange="javascript:cambiosRealizados();">
						<!--Si ms adelante no se encuentra una seccin padre, quedar como selected seccion raiz, ya que es su propio padre-->
						<option value="{$secCod}" selected="true">-Seccin Raz-</option>
						<!--Llamamos a la plantilla para indexar las secciones-->
						<xsl:call-template name="muestraSeccion">
						<xsl:with-param name="nodo" select=".."/>
						<xsl:with-param name="padre_seccion_modificar" select="@PADRE"/>
						<xsl:with-param name="seccion_modificar" select="$secCod"/>								
						</xsl:call-template>
					</select>
				</td>
			</tr>
			
			<!--Seccin del formulario para introducir los datos del responsable de la seccin
			Contiene ayudas para la bsqueda por dni, correo y apellidos-->
			<xsl:variable name="respon"><xsl:value-of select="@RESPONSABLE"/></xsl:variable>
			<xsl:for-each select="../DATOS_PERSONALES[@IDENTIFICADOR=$respon]">
				<tr class="administracion">
					<td>Responsable:</td>
					<td>
						<input type="text" name="secIdRespon" size="10" maxlength="8" value="{@IDENTIFICADOR}" onChange="javascript:buscaDNI(this.value);"/>
						&#160;
						<a href="javascript:busquedaGenerica('?module=dumbo7/administracion/secciones.index.buscarGenerico');">
							<img id="Busqueda" style="display:inline" border="0" src="../graficos/iconos/ampliar.gif" alt="Realizar Bsqueda"/>
						</a>
					</td>
				</tr>
				<tr class="administracion">
					<td></td>
					<td id="InfApe"><xsl:value-of select="@APELLIDOS"/>,&#160;<xsl:value-of select="@APELLIDOS"/></td>
				</tr>				
			</xsl:for-each>
			</table>
			<!--Operaciones sobre tabla secciones maximos-->
			<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" >	
				<tr class="cabe">
					<td align="left" class="cabe" colspan="6"><b>Alertas para secciones&#160;(*)</b></td>
				</tr>
				<tr class="administracion">
					<td align="center" colspan="2"><b>Tipos Taras</b></td>
					<td align="center" colspan="2"><b>Prioridades</b></td>
					<td align="center"><b>Dias Mximos</b></td>
				</tr>
				<tr class="administracion">
					<td align="center"><b>Cdigo</b></td>
					<td align="center"><b>Descripcin</b></td>
					<td align="center"><b>Cdigo</b></td>
					<td align="center"><b>Descripcin</b></td>
					<td align="center">(0.1-999.9)</td>
				</tr>
				<xsl:for-each select="../SECCIONES_MAXIMOS">
					<tr class="administracion" onmouseover="javascript:onMouse(this,'true');" onmouseout="javascript:onMouse(this,'false');">
						<!--Dentro de secciones maximos no se guarda la descripcion. Para mostrarla, se mapean las prioridades y los tipos tareas-->
						<!--Guardamos los codigos en dos variables para luego poder identificarlas y mostrar su descripcion-->
						<xsl:variable name="CodigoTipoTarea"><xsl:value-of select="@TIPO_TAREA"/></xsl:variable> 
						<xsl:variable name="CodigoPrioridad"><xsl:value-of select="@PRIORIDAD_TAREA"/></xsl:variable> 		
						<td align="center">
							<input type="hidden" name="tipotareasCod" value="{@TIPO_TAREA}" readonly="true" onChange="javascript:cambiosRealizados();"/>
							<input type="hidden" name="prioridadesCod" value="{@PRIORIDAD_TAREA}" readonly="true" onChange="javascript:cambiosRealizados();"/>
							<xsl:value-of select="@TIPO_TAREA"/>
						</td>
						<xsl:for-each select="../TIPO_TAREA">
								<xsl:if test="(@CODIGO=$CodigoTipoTarea)">
									<td><xsl:value-of select="@DESCRIPCION"/></td>
								</xsl:if>
						</xsl:for-each>
						<td align="center"><xsl:value-of select="@PRIORIDAD_TAREA"/></td>
						<xsl:for-each select="../PRIORIDAD">
								<xsl:if test="(@CODIGO=$CodigoPrioridad)">
									<td><xsl:value-of select="@DESCRIPCION"/></td>
								</xsl:if>
						</xsl:for-each>
						<td align="center"><input  type="text" name="maxdias" size="5" minlength="1" maxlength="5" value="{@DIAS}" onChange="javascript:cambiosRealizados();"/></td>
					</tr>
				</xsl:for-each>

			<tr class="administracion"><td colspan="5"><font size="-1" color="red">(*) campos obligatorios.</font></td></tr>
			<tr class="administracion">
				<td colspan="5" align="center">
				<input type="button" class="boton" value="Aceptar" onclick="javascript:CompruebaModificaSeccion()" />&#160;
				<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar_cancelar()"/></td>
			</tr>				
		
			</table>
		</xsl:if>
		</xsl:for-each>
		</div>
		<div id="FICHAS" class="seccion">
			<div id="tablasin">
		
		</div>
			
			
			<table class="cont">
			<tr class="administracion">
			<td align="center">
			
			<input id="cApart" type="button" class="boton" value="Nuevo Apartado" onclick="javascript:nuevoapartado();"/>
			&#160;<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar_cancelar();"/>
			
			</td>
			</tr>
			</table>


		<div id="tablaCargaApart">
		
		
		
		</div>
			
			
		
		
		</div>
		</div>
		</form>
		</td>
		</tr>
		</table>

	<p>&#160;</p>	
</xsl:template>

<!--Plantillas para recorrer las diferentes secciones indexandolas-->
<xsl:template name="muestraSeccion">
<xsl:param name="nodo"/>
<xsl:param name="padre_seccion_modificar"/><!--El padre que tiene debe aparecer seleccionado por defecto-->
<xsl:param name="seccion_modificar"/><!--La propia seccion no debe aparecer-->
    <xsl:for-each select="$nodo/SECCION[@CODIGO=@PADRE]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V' and @CODIGO!=$seccion_modificar and @CODIGO!=$padre_seccion_modificar">
	        <option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
		<xsl:if test="@ESTADO='V' and @CODIGO!=$seccion_modificar and @CODIGO=$padre_seccion_modificar">
	        <option value="{@CODIGO}" selected="true"><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
        <xsl:call-template name="sacaSubSeccion">
			<xsl:with-param name="padre_seccion_modificar" select="$padre_seccion_modificar"/>
			<xsl:with-param name="seccion_modificar" select="$seccion_modificar"/>		
            <xsl:with-param name="seccion" select="$nodo"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="'&#160;&#160;'"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

<xsl:template name="sacaSubSeccion">
<xsl:param name="seccion"/>
<xsl:param name="codigo_padre"/>
<xsl:param name="padre_seccion_modificar"/><!--La seccin padre ya sale seleccionada por defecto-->
<xsl:param name="seccion_modificar"/><!--el codigo de la propia seccion no aparece-->
<xsl:param name="espacio"/>
    <xsl:for-each select="$seccion/SECCION[@PADRE=$codigo_padre and @PADRE!=@CODIGO]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V' and @CODIGO!=$seccion_modificar and @CODIGO!=$padre_seccion_modificar">
	        <option value="{@CODIGO}"><xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
		<xsl:if test="@ESTADO='V' and @CODIGO!=$seccion_modificar and @CODIGO=$padre_seccion_modificar">
	        <option value="{@CODIGO}" selected="true"><xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
        <xsl:call-template name="sacaSubSeccion">
			<xsl:with-param name="padre_seccion_modificar" select="$padre_seccion_modificar"/>
			<xsl:with-param name="seccion_modificar" select="$seccion_modificar"/>		
            <xsl:with-param name="seccion" select="$seccion"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="concat($espacio,'&#160;&#160;')"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
	