<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>
<xsl:param name="menu"/>	
<xsl:param name ="select"/>
<xsl:variable name="tipotareacod"/>
<xsl:variable name="tipotareades"/>


<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">

<xsl:call-template name="headComun">
	<xsl:with-param name="jscript">
	
	<script type="text/javascript" src="../js/uitabs/jquery-1.2.3.pack.js"></script>
         	
         	<script type="text/javascript" src="../js/apartfichas.js"></script>
         	<script src="../js/uitabs/ui.tabs.pack.js" type="text/javascript"></script>
         	<link rel="stylesheet" href="../js/uitabs/ui.tabs.css" type="text/css" media="print, projection, screen"/>
         	
	
	
		<script LANGUAJE="JavaScript">
			<!--Variables que indican si las busquedas por usuario o por informatico han dado un resultado incorrecto-->
			var DatosIncorrectos = true;
			<!--Busquedas-->
				var idInput = '';
				$(document).ready(function(){
   					$('#container-1 ul').tabs();

  				});		
				function busquedaGenerica(url)
				{
					url = url.concat("&amp;modulo=secciones.formNueva.buscarApellidos");
					idInput = 'InfApe';
					url = url.concat("&amp;tipo=INF");
					newWindow = window.open(url,'_blanck',"width=600,height=400,left=100,top=100,status=no,toolbar=no,menubar=no,location=no");
				}
				
				function actualiza(v,doc)
				{
					DatosIncorrectos = false;
					document.secci.secIdRespon.value = v;
					var txt = doc.getElementById(v).innerHTML;
					var n = txt.indexOf('>');
					txt = txt.substring(n+1);
					n = txt.indexOf('&lt;');
					txt = txt.substring(0,n);
					document.getElementById(idInput).innerHTML = txt;
				}
			
				function buscaDNI(DNI)
				{
					var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/secciones.formNueva.buscarDNI&amp;Codigo='+DNI;
			
					http_req = false;
			
					if (window.XMLHttpRequest){
						http_req = new XMLHttpRequest();
						if (http_req.overrideMimeType){
							http_req.overrideMimeType('text/xml');
						}
					}
					else if (window.ActiveXObject){
						try{
							http_req = new ActiveXObject("Msxml2.XMLHTTP");
						}catch (e){
							try{
								http_req = new ActiveXObject("Microsoft.XMLHTTP");
							}catch (e){}
						}
					}
			
					if (!http_req){
						alert('Falla: No es posible crear una instancia XMLHTTP');
						return false;
					}
					http_req.onreadystatechange = resuelveDNI;
					http_req.open('GET', url, true);
					http_req.send(null);
				}
			
				function resuelveDNI()
				{
					if (http_req.readyState == 4){
						if (http_req.status == 200){
							var text = http_req.responseText;
							var n = text.indexOf('&lt;'+'!--');
							if (n>=0) text = text.substring(0,n);
							var m = text.indexOf('.dtd">');
							if (m>=0) text = text.substring(m+6,text.length);
							eval(text);
						}
						else{
							alert('Hubo problemas con la peticin.');
						}
					}
				}//-->
			
			<!--Busquedas-->
			function mostrarError(error)
			{
				alert(error);
			}

			

			function buscar_codigo()
			{
						
				document.secci.secCod.value = allTrim(document.secci.secCod.value);
				var string = document.secci.secCod.value;
				document.secci.secCod.value = string.toUpperCase();  
				var cont=0;
				<xsl:for-each select="DATA/SECCIONES/SECCION">
					if(document.secci.secCod.value=='<xsl:value-of select="@CODIGO"/>')
					{
						cont=cont+1;
					
					}
				</xsl:for-each>
				
				if(cont!=0){
					window.document.secci.secCod.value="";
					document.secci.secCod.focus();
					cont=0;
					alert("El cdigo introducido no es correcto o ya existe");
					
				}
			}
		</script>
		<script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>
		<script language="JavaScript" src="../js/secciones/CompruebaAltaSeccion.js"></script>
	</xsl:with-param>
</xsl:call-template>

<body>

	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/SECCIONES/USER/@NAME,concat('(',concat(DATA/SECCIONES/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.4.1</xsl:with-param>
	</xsl:call-template>


<xsl:call-template name="pieComun"/>
	</body>
	</html>
</xsl:template>

<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/SECCIONES">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
			</xsl:if>
	</xsl:for-each>
	<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Tabla para crear seccion">
	<tr><td width="450" colspan="2" class="cab1">&#187;Nueva seccin</td></tr>
	<tr><td colspan="2">
		<form action="{$servlet}" METHOD="POST" name="secci" id="secci">
		<input type="hidden" name="module"/>
<div id="container-1">
            <ul>
                <li><a href="#DATOS"><span>Datos de la seccin</span></a></li>
                <li><a href="#FICHAS"><span>Apartados de las Fichas</span></a></li>
            </ul>
         
		
								
		<div id="DATOS" class="seccion">


		<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" summary="Tabla para crear seccion">
			<tr>
				<td class="cabe" align="left" colspan="5"><b>Datos de la seccin</b></td>
			</tr>
			<tr class="administracion">
				<td width="15%">Cdigo&#160;(*):</td>
				<td>
					<input type="text" name="secCod" size="3" maxlength="3" onChange="buscar_codigo()" />
				</td>

			</tr>
			<tr class="administracion">
				<td width="15%">Descripcin&#160;(*):</td>
				<td><input type="text" name="secDescrip" size="51" maxlength="50"/></td>
			</tr>
			<tr class="administracion">
				<td width="15%">Padre:</td>
				<td>
					<select name="secSecCod" size="1">
						<option value='-Seccion Raiz-'>-Seccin Raz-</option>
						<!--Llamamos a la plantilla para indexar las categoras.-->
						<xsl:call-template name="muestraSeccion">
							<xsl:with-param name="nodo" select="DATA/SECCIONES"/>
						</xsl:call-template>
					</select>
				</td>
			</tr>
			<tr class="administracion">
				<td width="15%">Estado&#160;(*):</td>
				<td><select name="secEstado" size="1"><option value="V">Vigente</option><option value="N">No&#160;Vigente</option></select></td>
			</tr>
			
			<!--Seccin del formulario para introducir los datos del responsable de la seccin
			Contiene ayudas para la bsqueda por dni, correo y apellidos-->
			<tr class="administracion">
				<td>Responsable:</td>
				<td>
					<input type="text" name="secIdRespon" size="10" maxlength="8" onChange="javascript:buscaDNI(this.value);"/>
					&#160;
					<a href="javascript:busquedaGenerica('?module=dumbo7/administracion/secciones.index.buscarGenerico');">
						<img id="Busqueda" style="display:inline" border="0" src="../graficos/iconos/ampliar.gif" alt="Realizar Bsqueda"/>
					</a>
				</td>
			</tr>
			<tr class="administracion">
				<td></td>
				<td id="InfApe"></td>
			</tr>
			<!--Operaciones sobre tabla secciones maximos-->
			
		</table>
		<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" >
				<tr>
					<td align="left" class="cabe" colspan="6"><b>Alertas para secciones&#160;(*)</b></td>
				</tr>
				<tr class="administracion">
					<td align="center" colspan="2"><b>Tipos Tareas</b></td>
					<td align="center" colspan="2"><b>Prioridades</b></td>
					<td align="center"><b>Das Mximos</b></td>
				</tr>
				
				<tr class="administracion">
					<td align="center"><b>Cdigo</b></td>
					<td align="center"><b>Descripcin</b></td>
					<td align="center"><b>Cdigo</b></td>
					<td align="center"><b>Descripcin</b></td>
					<td align="center">(0.1-999.9)</td>
				</tr>
			
				<!--Si no existen parmetros mximos es porque no se han introducido en la administracin de 
					parmetros. Avisamos y redireccionamos hacia el mdulo de administracin de parmetros-->
				<xsl:if test="count(DATA/SECCIONES/PARAMETROS_MAXIMOS)=0">
					<script>
						alert("Atencin!. No se han introducido los parmetros generales del sistema. Se le redireccionar a la administracin de parmetros para que pueda modificar los das mximos para alertas generales.");
						window.location.href='?module=dumbo7/administracion/parametros.index';
					</script>
				</xsl:if>
				<!--Como valores por defecto colocamos los parametros por defecto-->
				<xsl:for-each select="DATA/SECCIONES/PARAMETROS_MAXIMOS">
					<tr class="administracion" onmouseover="javascript:onMouse(this,'true');" onmouseout="javascript:onMouse(this,'false');">
						<xsl:variable name="tipotareacod"><xsl:value-of select="@TIPO_TAREA"/></xsl:variable> 
						<xsl:variable name="prioridadcod"><xsl:value-of select="@PRIORIDAD_TAREA"/></xsl:variable> 
						<xsl:for-each select="../TIPO_TAREA[@CODIGO=$tipotareacod]">
							<td align="center"><xsl:value-of select="@CODIGO"/></td>
							<td><xsl:value-of select="@DESCRIPCION"/></td>
						</xsl:for-each>
						<xsl:for-each select="../PRIORIDAD[@CODIGO=$prioridadcod]">
							<td align="center"><xsl:value-of select="@CODIGO"/></td>
							<td><xsl:value-of select="@DESCRIPCION"/></td>
						</xsl:for-each>
						<td align="center">
							<input type="hidden" name="tipotareasCod" value="{@TIPO_TAREA}" readonly="true"/>
							<input type="hidden" name="prioridadesCod" value="{@PRIORIDAD_TAREA}" readonly="true"/>
							<input  type="text" name="maxdias" size="5" minlength="1" maxlength="5" value="{@DIAS}"/>
						</td>
					</tr>
				</xsl:for-each>
			<tr class="administracion"><td colspan="5"><font size="-1" color="red">(*) campos obligatorios.</font></td></tr>
			<tr class="administracion">
				<td colspan="5" align="center">
				<input type="button" class="boton" value="Aceptar" onclick="javascript:CompruebaAltaSeccion()" />&#160;
				<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar_cancelar()"/></td>
			</tr>				
			</table>
		
		</div>
		
		
		<div id="FICHAS" class="seccion">
		<table id="tablaapar" class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="100%" >	
				<tr id="estructura"><td style="margin-left:30" class="cabe" align="left" colspan="4" width="30%"><b>Apartados de Fichas</b></td></tr>


		
						
				
			</table>
			
			
			
			<table class="cont">
			<tr class="administracion">
			<td align="center">
			
			<input id="cApart" type="button" class="boton" value="Nuevo Apartado" onclick="javascript:nuevoapartado();"/>
			&#160;<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar_cancelar();"/>
			
			</td>
			</tr>
			</table>


		<div id="tablaCargaApart">
		
		
		
		
		
		<table width="90%" cellspacing="1" cellpadding="3" border="0" align="center" id="tablaapart" class="cont" style="display:none">
			<tbody>
			<tr>
				<td align="left" class="cabe" colspan="5"><b>Apartado de Ficha</b></td>
			</tr>
			<tr>
				<td width="15%" align="left" class="administracion">
					Texto(*):
				</td>
				<td align="left" class="administracion">
					<input type="text" id="apfetiqueta" name="etiqueta" size="65" maxlength="50"/>
				</td>
			</tr>
			<tr>
				<td width="15%" align="left" class="administracion">Obligatorio(*):</td>
				<td align="left" class="administracion">
					<select id="apfindobligatorio" name="obligatorio" size="1">
						<option value="S">Si</option>
						<option value="N">No</option>
					</select>
				</td>
			</tr>
			<tr>
				<td width="15%" align="left" class="administracion">Orden(*):</td>
				<td align="left" class="administracion">
					<select id="apforden" name="orden" size="1">
						<option value="0">0</option>

					</select>
				</td>
			</tr>
			<tr class="administracion">
				<td align="center" colspan="5">
					<input type="button" id="nuevoApartado" class="boton" value="Aceptar" onclick="javascript:guardApartadon();"/>
					<input type="button" id="cApart" class="boton" value="Cancelar" onclick="javascript:cancelaApartado();"/>
					<input type="button" id="eliminaapartado" class="boton" value="Eliminar" onclick="javascript:eliminapartado();"/>
							
				</td>
</tr>
</tbody></table>

		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		</div>
			
			
		
		
		</div>
		
		</div>
		</form>
	</td></tr>
	</table>
	<p>&#160;</p>	
	
</xsl:template>

<!--Plantillas para recorrer las diferentes secciones indexandolas-->
<xsl:template name="muestraSeccion">
<xsl:param name="nodo"/>
    <xsl:for-each select="$nodo/SECCION[@CODIGO=@PADRE]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V'">
	        <option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
        <xsl:call-template name="sacaSubSeccion">
            <xsl:with-param name="seccion" select="$nodo"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="'&#160;&#160;'"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

<xsl:template name="sacaSubSeccion">
<xsl:param name="seccion"/>
<xsl:param name="codigo_padre"/>
<xsl:param name="espacio"/>
    <xsl:for-each select="$seccion/SECCION[@PADRE=$codigo_padre and @PADRE!=@CODIGO]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V'">
	        <option value="{@CODIGO}"><xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:if>
        <xsl:call-template name="sacaSubSeccion">
            <xsl:with-param name="seccion" select="$seccion"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="concat($espacio,'&#160;&#160;')"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

</xsl:stylesheet>

