<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="zonCodigo"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
             <script languaje="JavaScript">
				var http_req = false;
			
				function resuelve()
				{
					if (http_req.readyState == 4)
					{
						if (http_req.status == 200)
						{
							var text = http_req.responseText;
							var n = text.indexOf('&lt;'+'!--');
							if (n>=0) text = text.substring(0,n);
							var m = text.indexOf('.dtd">');
							if (m>=0) text = text.substring(m+6,text.length);
							eval(text);
						}
						else
						{
							alert('Hubo problemas con la peticin.');
						}
					}
				}//No borrar este comentario... -->
				
				//compruebaInformaticos consulta si hay ms de un informtico en una zona. Realizando
				//una llamada por medio de AJAX a compruebaInformaticos.xsl
				function compruebaInformaticos(code)
				{
					var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/zonas.compruebaInformaticos&amp;code='+code;
			
					http_req = false;
			
					if (window.XMLHttpRequest)
					{
						http_req = new XMLHttpRequest();
						if (http_req.overrideMimeType)
						{
							http_req.overrideMimeType('text/xml');
						}
					}
					else if (window.ActiveXObject)
					{
						try
						{
							http_req = new ActiveXObject("Msxml2.XMLHTTP");
						}
						catch (e)
						{
							try
							{
								http_req = new ActiveXObject("Microsoft.XMLHTTP");
							}
							catch (e)
							{}
						}
					}
			
					if (!http_req)
					{
						alert('Falla: No es posible crear una instancia XMLHTTP');
						return false;
					}
					http_req.onreadystatechange = resuelve;
					http_req.open('GET', url, true);
					http_req.send(null);
			
				}
				
                function mostrarError(error){
					alert(error);
				}
				function cerrar(){
					document.zon.module.value='dumbo7/administracion/zonas.formModificar.cancelar'; 
					document.zon.submit();
				}
				
				function lTrim(sStr){ 
     				while (sStr.charAt(0) == " ")  
     					sStr = sStr.substr(1, sStr.length - 1); 
     				return sStr; 
    			} 

    			function rTrim(sStr){ 
     				while (sStr.charAt(sStr.length - 1) == " ")  
      					sStr = sStr.substr(0, sStr.length - 1); 
     				return sStr; 
    			} 

    			function allTrim(sStr){ 
     				return rTrim(lTrim(sStr)); 
    			} 

				function CompruebaModificaZona(){
				
					document.zon.zonDescripcion.value = allTrim(document.zon.zonDescripcion.value);
					
					if (document.zon.zonDescripcion.value.length==0){ 
						alert("Tiene que escribir una Descripcin") 	
						document.zon.zonDescripcion.focus() 
						return 0; 
					}
					if(document.zon.zonDescripcion.value.length>80){
						alert("El campo descripcin puede contener 80 caracteres como mximo") 
						document.zon.zonDescripcion.focus() 
						return 0;
					}
					document.zon.zonDescripcion.value = document.zon.zonDescripcion.value.toUpperCase();
					document.zon.module.value='dumbo7/administracion/zonas.formModificar.aceptar';
					document.zon.submit();
				}
				
            </script>
			<script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>
         </xsl:with-param>
	   </xsl:call-template>
<body>
	
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/ZONAS/USER/@NAME,concat('(',concat(DATA/ZONAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.10.2</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
	<xsl:if test="not(DATA/ZONAS/@ERROR='')">
	<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
</xsl:if>
<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" height="16" summary="Modificacin de una zona">
	<tr><td width="100%" colspan="3" class="cab1">&#187;Modificar zona </td></tr>
	<tr>
		<td colspan="3">
		<table class="cont" align="center" id="zonas" border="0" cellpadding="3" cellspacing="1" width="90%">
		<tr>
			<td class="cabe" align="left" colspan="5"><b>Datos de la zona</b></td>
		</tr>
		<form action="{$servlet}" METHOD="POST" name="zon">	
		<input type="hidden" name="module"/>
			<input type="hidden" name="zonCodigo" value="{$zonCodigo}"/>
		<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" summary="Esta tabla contiene una lista de zonas">
			<tr class="administracion">
					<td align="left" width="12">Cdigo&#160;:</td>
					<td align="left" colspan="2" disabled="true"><xsl:value-of select="$zonCodigo"/></td>
			</tr>
			<xsl:for-each select="DATA/ZONAS/ZONAS[@CODIGO = $zonCodigo]">
				<tr class="administracion">
					<td align="left" width="20">Descripcin&#160;(*):</td>
					<td align="left" colspan="2"><input type="text" name="zonDescripcion" value="{@DESCRIPCION}" size="65" maxlength="50"/></td>
				</tr>
			</xsl:for-each>
			<tr class="administracion">
				<td colspan="5" align="center">
				<input type="button" class="boton" value="Aceptar" onclick="javascript:CompruebaModificaZona()"/>&#160;
				<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar()"/></td>
			</tr>
		</table>
			</form>	
	</table>
	</td></tr>
</table>
</xsl:template>
</xsl:stylesheet>
	