<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
     <xsl:call-template name="headComun">
         <xsl:with-param name="jscript">
         	<SCRIPT LANGUAGE="JavaScript" SRC="/forja/jquery/jquery.js"></SCRIPT>
         	<script LANGUAJE="JavaScript">
         	
         	$(document).ready(function(){
            		$("div#edificios").load("<xsl:value-of select="$servlet"/>",{module:"dumbo7/administracion/zonas.datosEdificio", code:document.zon.ZonaCod.options[0].value});		
            		$("select[@name=ZonaCod]").change(function(){
						codigo = $(this).val(); 
						$("div#edificios").load("<xsl:value-of select="$servlet"/>",{module:"dumbo7/administracion/zonas.datosEdificio", code:codigo});		
					});
				});
				
         	
         		//Activa/Desactiva el desplegable de prioridad dependiendo de si es responsable o no
                function ActivarDesactivar()
				{
					document.zon.zoninfPrioridad.disabled=!document.zon.zoninfPrioridad.disabled
					if(document.zon.zoninfPrioridad.disabled)
					{
						document.zon.zoninfPrioridad.Value = "";
					}
				}
				
         		var http_req = false;
         	
         		function mostrarError(error){
					alert(error);
				}
				
				function cerrar(){
					document.zon.module.value='dumbo7/administracion/zonas.formNueva.cancelar'; 
					document.zon.submit();
				}
				
				function esNumero(objeto){
  					if (parseInt(objeto.value,10) != objeto.value ){
        				objeto.value = "";
        				objeto.focus();
        				return 1;
    				}
    				return 0;
				}
				
				
				function buscar_codigo(){
					var num=esNumero(document.zon.zonCodigo);
					if (num==1){
						alert("El cdigo debe ser numerico");
						return;
					}
					document.zon.zonCodigo.value = allTrim(document.zon.zonCodigo.value);	
					var string = document.zon.zonCodigo.value;
					document.zon.zonCodigo.value = string.toUpperCase();  
					var cont=0;
					<xsl:for-each select="DATA/ZONAS/ZONAS">
						if(document.zon.zonCodigo.value=='<xsl:value-of select="@CODIGO"/>')
						{
							cont=cont+1;						
						}
					</xsl:for-each>
					
					if(cont!=0){
						document.zon.zonCodigo.focus();
						window.document.zon.zonCodigo.value="";
						cont=0;
						alert("El cdigo introducido no es correcto o ya existe");	
					}
				}
				
				//devuelve  0--> prioridad ya puesta
				//			1--> prioridad fuera de rango
				//			2--> OK
				function compruebaPrioridad(prio){
					var cont=0;
					
					for (var i=0; i&lt;document.zon.informZona.length; i++){
						var elemento=document.zon.informZona.options[i].value.split('-');
					 	if(elemento[2]==prio){
							cont=cont+1;						
						}
					}
					if(cont!=0){
						cont=0;
						return 0;	
					}
					if ((prio &lt; 1) || (prio > 99)) return 1;
					return 2;
				}
				
				function actualiza(v,doc)
				{
					DatosIncorrectos = false;
					document.zon.zoninfInfCod.value = v;
					var txt = doc.getElementById(v).innerHTML;
					var n = txt.indexOf('>');
					txt = txt.substring(n+1);
					n = txt.indexOf('&lt;');
					txt = txt.substring(0,n);
					document.getElementById(idInput).innerHTML = txt;
				}
				
				function buscaDNI(DNI)
				{
					var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/zonas.formNueva.buscarDNI&amp;Codigo='+DNI;
			
					http_req = false;
			
					if (window.XMLHttpRequest){
						http_req = new XMLHttpRequest();
						if (http_req.overrideMimeType){
							http_req.overrideMimeType('text/xml');
						}
					}
					else if (window.ActiveXObject){
						try{
							http_req = new ActiveXObject("Msxml2.XMLHTTP");
						}catch (e){
							try{
								http_req = new ActiveXObject("Microsoft.XMLHTTP");
							}catch (e){}
						}
					}
			
					if (!http_req){
						alert('Falla: No es posible crear una instancia XMLHTTP');
						return false;
					}
					http_req.onreadystatechange = resuelveDNI;
					http_req.open('GET', url, true);
					http_req.send(null);
				}
				function resuelveDNI()
				{
					if (http_req.readyState == 4){
						if (http_req.status == 200){
							var text = http_req.responseText;
							var n = text.indexOf('&lt;'+'!--');
							if (n>=0) text = text.substring(0,n);
							var m = text.indexOf('.dtd">');
							if (m>=0) text = text.substring(m+6,text.length);
							eval(text);
						}
						else{
							alert('Hubo problemas con la peticin.');
						}
					}
				}//-->
				<!--Variables que indican si las busquedas por usuario o por informatico han dado un resultado incorrecto-->
				var DatosIncorrectos = true;
				
				function busquedaGenerica(url)
				{
					url = url.concat("&amp;modulo=zonas.formNueva.buscarApellidos");
					idInput = 'InfApe';
					url = url.concat("&amp;tipo=INF");
					newWindow = window.open(url,'_blanck',"width=600,height=400,left=100,top=100,status=no,toolbar=no,menubar=no,location=no");
				}
				
				var indice = 0;	
				//Funciones para multiregistro, para aadir ms de un informatico
				function addInf(id,resp,prio)
				{
				
					var lon=document.zon.informZona.length;
					for(var i=0; i&lt;lon; i++)
					{
						var elemento=document.zon.informZona.options[i].value.split('-');
						if(elemento[0]==id)
						{ 
							document.zon.zoninfInfCod.value="";
							document.getElementById("InfApe").innerHTML ='';
							alert('El informatico ya existe.');
							return;
						}
					}
						
					if (resp == 'Y') {
						resp='- Si -';
						var valor=compruebaPrioridad(prio);
						if (valor == 0){
							alert("Esa prioridad ya est asignada, introduzca otra.");
							return;
						}
						else{
							if (valor == 1){
							alert("Prioridad fuera de rango, debe estar entre 1 y 99.");
							return;
							}
						}
					}else{ 
						resp='- No -';
						prio=0;
					}
										
					if (id=='') { alert('Introduzca un usuario.'); return; }
					if (DatosIncorrectos==true) { alert('Introduzca un usuario correcto.'); return; }
					var indice1 = indice + 1;
					
					var opt = new Option('['+ indice1 +'] ' + document.getElementById("InfApe").innerHTML + ' ' + resp + ' ' + prio);
					opt = opt;
					
					document.getElementById("InfApe").innerHTML ='';
					opt.value = id + resp + prio;
					document.zon.informZona.options[indice] = opt;
					indice++;
						
					document.zon.zoninfInfCod.value="";
					DatosIncorrectos = true;
				}
								
				function delInf(obj)
				{
					var insel = obj.selectedIndex;
					if (insel&lt;0) { alert('Seleccione un informatico.'); return; }
					var sel = obj.options[insel].value;
					if (sel=='-1') { alert('No hay informaticos para eliminar.'); return; }
					while (insel>=0)
					{
						delUnInf(obj);
						insel = obj.selectedIndex;
					}
				}
								
				function delUnInf(obj)
				{
					var insel = obj.selectedIndex;
					if (indice==1)
					{
						var opt = new Option('&lt;-- Aada aqu los informaticos -->');
						opt.value = '-1';
						obj.options[0] = opt;
						obj.length = indice;
						indice = 0;
					}
					else
					{
						for (var i=insel; i&lt;indice-1; i++)
						{
							var incremento = i + 1;
							//var opt = new Option(obj.options[i+1].text);
							var opt = new Option('['+incremento+']' +obj.options[i+1].text.substring(3,obj.options[i+1].text.length));
							
							opt.value = obj.options[i+1].value;
							opt.selected = obj.options[i+1].selected;
							obj.options[i] = opt;
						}
						obj.length = indice-1;
						indice = obj.length;
					}
				}
				
				var indice2=0;
				function addEd()
				{
					var fromList = document.zon.edificiosZona;
					if (fromList.selectedIndex&lt;0) { alert('Seleccione un edificio.'); return; }
					
					for ( i = 0; i &lt;= fromList.length-1;i++) {
    					if (fromList.options[i].selected) {
    						var txt = fromList.options[i].text;
    						var sel = fromList.options[i].value;
    						var lon=document.zon.edificiosZona2.length;
    						fromList.options[i].selected=false;
    						for(var j=0; j&lt;lon; j++){
								if(document.zon.edificiosZona2.options[j].value==sel){ 
									alert('El edificio ya est aadido.');
									return;
								}
							}
							if (lon==1){
								if (document.zon.edificiosZona2.options[0].value=='-1')	lon=0;
							} 
							document.zon.edificiosZona2.options[lon] = new Option( txt, sel);			
							indice2++;
						}
					}
				}
			
				function delEd(obj)
				{
					var insel = obj.selectedIndex;
					if (insel&lt;0) { alert('Seleccione un edificio para borrar.'); return; }
					var sel = obj.options[insel].value;
					if (sel=='-1') { alert('No hay edificios para eliminar.'); return; }
					while (insel>=0)
					{
						delUnEd(obj);
						insel = obj.selectedIndex;
					}
				}
								
				function delUnEd(obj)
				{
					var insel = obj.selectedIndex;
					if (indice2==1)
					{
						var opt = new Option('&lt;-- Aada aqu los edificios -->');
						opt.value = '-1';
						obj.options[0] = opt;
						obj.length = indice2;
						indice2 = 0;
					}
					else
					{
						for (var i=insel; i&lt;indice2-1; i++)
						{
							var incremento = i + 1;
							var txt2 = obj.options[incremento].text;
							var sel2 = obj.options[incremento].value;
							var opt = new Option(txt2);
							opt.value = sel2;
							opt.selected = obj.options[i+1].selected;
							obj.options[i] = opt;
						}
						obj.length = indice2-1;
						indice2 = obj.length;
					}
				}
				
				function CompruebaAltaZona()
				{
					document.zon.zonCodigo.value = allTrim(document.zon.zonCodigo.value);
					document.zon.zonDescripcion.value = allTrim(document.zon.zonDescripcion.value);
					
					if (document.zon.zonCodigo.value.length==0)
					{ 
						alert("Tiene que escribir un Cdigo") 
						document.zon.zonCodigo.focus() 
						return 0; 
					}
					if (document.zon.zonDescripcion.value.length==0){ 
						alert("Tiene que escribir una Descripcin") 	
						document.zon.zonDescripcion.focus() 
						return 0; 
					}
					if(document.zon.zonDescripcion.value.length>80){
						alert("El campo descripcin puede contener 80 caracteres como mximo") 
						document.zon.zonDescripcion.focus() 
						return 0;
					}
	
					document.zon.zonDescripcion.value = document.zon.zonDescripcion.value.toUpperCase();				
					document.zon.module.value='dumbo7/administracion/zonas.formNueva.aceptar';
					
					//Recorremos todo el registro y los seleccionamos todos antes de mandarlo con el submit
					for (var i=0; i&lt;document.zon.informZona.length; i++){
					 	document.zon.informZona.options[i].selected=true;
					 	document.zon.informZona.options[i].value = allTrim(document.zon.informZona.options[i].value);
					}
					//Recorremos todo el registro y los seleccionamos todos antes de mandarlo con el submit
					for (var i=0; i&lt;document.zon.edificiosZona2.length; i++){
					 	document.zon.edificiosZona2.options[i].selected=true;
					}
					
					document.zon.submit();
					}
				
					function lTrim(sStr){ 
	 					while (sStr.charAt(0) == " ")  
  							sStr = sStr.substr(1, sStr.length - 1); 
 						return sStr; 
					} 

					function rTrim(sStr){ 
						while (sStr.charAt(sStr.length - 1) == " ")  
  							sStr = sStr.substr(0, sStr.length - 1); 
 						return sStr; 
					} 

					function allTrim(sStr){ 
						return rTrim(lTrim(sStr)); 
					} 
				
			</script>
			 <script LANGUAJE="JavaScript" src="../js/OnMouse.js"></script>
         </xsl:with-param>
	   </xsl:call-template>
<body>
		
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/ZONAS/USER/@NAME,concat('(',concat(DATA/ZONAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">administracion.xml#1.10.1</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
</body>
</html>

</xsl:template>

<xsl:template name="cuerpo">
<xsl:if test="not(DATA/ZONAS/@ERROR='')">
	<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
</xsl:if>

<table align="center" border="0" cellpadding="5" cellspacing="5" width="775" summary="Esta tabla contiene una lista de zonas">
<tr><td width="150" colspan="2" class="cab1">&#187;Nueva zona</td></tr>
<tr><td colspan="2">
	<form action="{$servlet}" METHOD="POST" name="zon">	
		<input type="hidden" name="module"/>
		<input type="hidden" name="dni"/>
	
		<table class="cont" align="center" border="0" cellpadding="3" cellspacing="1" width="90%" summary="Esta tabla contiene una lista zonas">
			<tr>
				<td class="cabe" align="left" colspan="5"><b>Datos de la zona (*)</b></td>
			</tr>
			<tr>
				<td class="administracion" align="left" width="15%">
					Cdigo&#160;:
				</td>
				<td class="administracion" align="left">
					<input type="text" name="zonCodigo" size="13" maxlength="10" onChange="buscar_codigo()" />
				</td>
			</tr>
			<tr>
				<td class="administracion" align="left" width="15%">
					Descripcin&#160;:
				</td>
				<td class="administracion" align="left">
					<input type="text" name="zonDescripcion" size="65" maxlength="80"/>
				</td>
			</tr>
		</table>
		<table class="cont" cellpadding="3" cellspacing="1" width="100%">
			<!--Seccin del formulario para introducir los datos de los informaticos de la zona.
				Contiene ayudas para la bsqueda por dni, correo y apellidos-->
			<tr>
				<td colspan="20" class="cabe" style="border-collapse: collapse" align="left"><b>Vincular informaticos&#160;</b></td>
			</tr>
			<tr>
						<td class="administracion" align="left" width="15%">Identificador:</td>
						<td class="administracion" align="left" width="15%" colspan="2">
							<input type="text" name="zoninfInfCod" size="10" maxlength="8" onChange="javascript:buscaDNI(this.value);"/>
							&#160;
							<a href="javascript:busquedaGenerica('?module=dumbo7/administracion/gruposusuarios.index.buscarGenerico');">
								<img id="Busqueda" border="0" src="../graficos/iconos/ampliar.gif" alt="Realizar Bsqueda"/>&#160;&#160;&#160;
							</a>
						</td>
						<td class="administracion" width="15%" align="left" colspan="2">Responsable:</td>
						<td class="administracion" width="5%">
							<select name="zoninfResponsable" size="1" onChange="javascript:ActivarDesactivar()">
								<option value="N">No</option>
								<option value="Y">S</option>
							</select>
						</td>	
			
						<td class="administracion" width="10%">Prioridad:</td>
						<td class="administracion" width="5%">
							<input type="text" name="zoninfPrioridad" disabled="true"></input>
						</td>
						<td class="administracion" width="25%" align="right" colspan="12">
							<input onclick="javascript:addInf(document.zon.zoninfInfCod.value,document.zon.zoninfResponsable.value,document.zon.zoninfPrioridad.value)" value="Aadir" class="boton" type="button"/>
						</td>
					</tr>
			<tr>
				<td class="administracion" align="left"></td>
				<td class="administracion" align="left" id="InfApe" colspan="20"></td>
			</tr>
	
			<tr>
				<td class="administracion" align="left" colspan="20">Informaticos (<font size="1">Apellidos, Nombre - Responsable - Prioridad</font>):</td>
			</tr>
			<tr>
				<td class="administracion" align="left" colspan="20">
					<table>
						<tr>
							<td class="administracion" align="left" colspan="30">
								<select name="informZona" size="10" multiple="yes">
									<option value="-1">&lt;-- Aada aqu los informaticos --></option>
								</select>
							</td>
						</tr>
						<tr>
							<td class="administracion" align="center">
								<input type="button" class="boton" onclick="delInf(document.zon.informZona);" value="Eliminar"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td class="cabe" align="left" colspan="20"><b>Vincular edificios</b></td>
			</tr>	
			<tr>
				<tr>
					<td class="administracion" align="left" colspan="30">
						ZONAS&#160;:
						<select name="ZonaCod" size="1">
							<xsl:call-template name="muestraZona">
								<xsl:with-param name="nodo" select="DATA/ZONAS"/>
							</xsl:call-template>
						</select>&#160;
						<!--  <div id="zonasReales">
						</div>-->
					</td>
				</tr>
				<tr>
					<td class="administracion" colspan="4">
						Edificios asociados a la zona seleccionada:
						<div id="edificios">
						</div>
					</td>
					<td class="administracion" colspan="4">
						<input onclick="javascript:addEd()" value="Aadir" class="boton" type="button"/>
					</td>
					<td class="administracion" colspan="4">
						Edificios aadidos a la zona:
						<select name="edificiosZona2" size="10" multiple="yes" font-size="10px">
							<option value="-1">&lt;-- No se han aadido edificios --></option>
						</select>
					</td>
					<td class="administracion" colspan="4">
						<input onclick="javascript:delEd(document.zon.edificiosZona2)" value="Eliminar" class="boton" type="button"/>
					</td>
				</tr>
			</tr>
			<tr class="administracion"><td align="left" colspan="20"><font size="-1" color="red">(*) campos obligatorios.</font></td></tr>
			<tr class="administracion">
				<td colspan="20" align="center">
					<input type="button" class="boton" value="Aceptar" onclick="javascript:CompruebaAltaZona()" />&#160;
					<input type="button" class="boton" value="Cancelar" onclick="javascript:cerrar()"/>
				</td>
			</tr>	
		</table>
	</form>
	</td>
</tr>
</table>
</xsl:template>
<!--Plantillas para recorrer las diferentes zonas -->
<xsl:template name="muestraZona">
	<xsl:param name="nodo"/>
   	<xsl:for-each select="DATA/ZONAS/ZONAS_REALES">	
			<xsl:sort select="number(@CODIGO)" data-type="number"/>
   	    	<option value="{@CODIGO}"><xsl:value-of select="@NOMBRE"/></option>
		</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
	