<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<!--Formulario para Gestores (Nivel Alertas 2). Slo se mostrarn Alertas de ste nivel-->
<xsl:param name="Nivel"><xsl:value-of select="2"/></xsl:param>
<!--Include para los template que se encargan de jerarquizar el select de categoras-->
<xsl:include href="dumbo7/metricas/html/ArbolEnSelect.xsl"/>	

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="NivelAlertas"/>
<xsl:param name="TipoCheck"/>
<xsl:param name="Historico"/>
<xsl:param name="FechasD"/>
<xsl:param name="FechasH"/>
<xsl:param name="ordenarApl"/>
<xsl:param name="ordenarSec"/>
<xsl:param name="restringirSec"/>
<xsl:param name="restringirApl"/>
<xsl:param name="TarAplCod"/>
<xsl:param name="TarSecCod"/>
<xsl:param name="flag_resultados"/><!--Flag para que nada mas entrar a la pagina no aparezca "sin resultados"-->	

	
<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
     <xsl:call-template name="headComun">
		<xsl:with-param name="calendar" select="not(contains($menu,'Inc'))"/>
		<xsl:with-param name="jscript">
			<script LANGUAJE="JavaScript" src="../js/CompruebaFecha.js"></script>
			<script LANGUAJE="JavaScript">
			
				function cargaInfo(codTar){
					var w = window.open('about:blank','DetalleDumbo','width=800,height=600,left=100,top=100,scrollbars=yes');
					document.detalleDumbo.target = w.name;
					document.detalleDumbo.code.value = codTar;
					document.detalleDumbo.submit();
				}
				
				function mostrarError(error){
					alert(error);
				}
                function selectDateDesde(calendar, date) {
					if (calendar.dateClicked) {
						if (document.informes.Fechas[0].value == date) document.informes.Fechas[0].value = '';
						else{
						 document.informes.Fechas[0].value = date;
						  document.informes.FechasD.value = date;
						};
						calendar.hide();
						}
				}
				function selectDateHasta(calendar, date) {
					if (calendar.dateClicked) {
						if (document.informes.Fechas[1].value == date) document.informes.Fechas[1].value = '';
						else{
						  document.informes.Fechas[1].value = date;
						  document.informes.FechasH.value = date
						 }
						calendar.hide();
						}
				}
				function EnviarAPDF(url){
					url = url.concat("&amp;NivelAlertas=");
					url = url.concat(document.informes.NivelAlertas.value);
					if(document.informes.TipoCheck[1].checked==true){
					
					url = url.concat("&amp;TipoCheck=Pl");

					}
					else{
					url = url.concat("&amp;TipoCheck=Pe");
					

					}
			
					if(document.informes.Historico.checked == true){
						url = url.concat("&amp;Historico=");
						url = url.concat(document.informes.Historico.value);
					}
					url = url.concat("&amp;FechasD=");
					url = url.concat(document.informes.Fechas[0].value);
					
					url = url.concat("&amp;FechasH=");
					url = url.concat(document.informes.Fechas[1].value);
					
					url = url.concat("&amp;Fechas=");
					url = url.concat(document.informes.Fechas[0].value);
					url = url.concat("&amp;Fechas=");
					url = url.concat(document.informes.Fechas[1].value);
					<!--if(document.informes.noresueltas.checked == true){
						url = url.concat("&amp;noresueltas=");
						url = url.concat(document.informes.noresueltas.value);
					}-->
					if(document.informes.ordenarApl.checked == true){
						url = url.concat("&amp;ordenarApl=");
						url = url.concat(document.informes.ordenarApl.value);
					}
					if(document.informes.ordenarSec.checked == true){
						url = url.concat("&amp;ordenarSec=");
						url = url.concat(document.informes.ordenarSec.value);
					}
					if(document.informes.restringirApl.checked == true){
						url = url.concat("&amp;restringirApl=");
						url = url.concat(document.informes.restringirApl.value);
						url = url.concat("&amp;TarAplCod=");
						url = url.concat(document.informes.TarAplCod.value);
						}
					if(document.informes.restringirSec.checked == true){
						url = url.concat("&amp;restringirSec=");
						url = url.concat(document.informes.restringirSec.value);
						url = url.concat("&amp;TarSecCod=");
						url = url.concat(document.informes.TarSecCod.value);
						
						}
					//if(newWindow != null){newWindow.close();}
					newWindow = window.open(url,'_blanck');
				}
            </script>
			<!--Javascript para simular en internet explorer (y tambien valido para los demas exploradores) un option dissabled
			dentro de un select.-->
			<script>
				window.onload = function()
				{
					if (document.getElementsByTagName)
					{
						var s = document.getElementsByTagName("select");
				
						if (s.length > 0)
						{
							window.select_current = new Array();
				
							for (var i=0, select; select = s[i]; i++)
							{
								select.onfocus = function(){ window.select_current[this.id] = this.selectedIndex; }
								select.onchange = function(){ restore(this); }
								emulate(select);
							}
						}
					}
				}
				
				function restore(e)
				{
					if (e.options[e.selectedIndex].disabled)
					{
						e.selectedIndex = window.select_current[e.id];
					}
				}
				
				function emulate(e) 
				{
					for (var i=0, option; option = e.options[i]; i++)
					{
						if (option.disabled)
						{
							option.style.color = "graytext";
						}
						else
						{
							option.style.color = "menutext";
						}
					}
				}
			</script>
		</xsl:with-param>
	   </xsl:call-template>
<body>
	<!--Si se quiere realizar una bsqueda por histrico, no se puede ordenar por aplicacin, ya que se ordena por fecha de alerta-->
	<!--Igual a la inversa. Adems, si se quiere listar slo las alertas de una aplicacin debe estar activa la opcin de ordenar por aplicacin-->
	<script>
		function ActivarDesactivarOrdenarApl(){
			document.informes.restringirApl.disabled=!document.informes.restringirApl.disabled
			if(document.informes.restringirApl.disabled)
			{
				document.informes.restringirApl.Value = "";
				document.informes.restringirApl.checked = false;
				document.informes.TarAplCod.disabled = true;
				document.informes.ordenarSec.disabled = false;
			}
			else
			{
				document.informes.ordenarSec.checked = false;
				document.informes.ordenarSec.disabled = true;
				document.informes.restringirSec.checked = false;
				document.informes.restringirSec.disabled = true;
			}
			
		}
		
		function ActivarDesactivarRestringirApl(){
			document.informes.TarAplCod.disabled=!document.informes.TarAplCod.disabled
		}
		
		function ActivarDesactivarOrdenarSec(){
			document.informes.restringirSec.disabled=!document.informes.restringirSec.disabled
			if(document.informes.restringirSec.disabled)
			{
				document.informes.restringirSec.Value = "";
				document.informes.restringirSec.checked = false;
				document.informes.TarSecCod.disabled = true;
				document.informes.ordenarApl.disabled = false;
			}
			else
			{
				document.informes.ordenarApl.checked = false;
				document.informes.ordenarApl.disabled = true;
				document.informes.restringirApl.checked = false;
				document.informes.restringirApl.disabled = true;
			}
			
		}
		
		function ActivarDesactivarRestringirSec(){
			document.informes.TarSecCod.disabled=!document.informes.TarSecCod.disabled
		}
		
		<!--Opcin 0 para HTML, opcin 1 para PDF-->
		function comprueba_presentacion(url,opcion)
		{
			if(!document.informes.TarAplCod.disabled || !document.informes.TarSecCod.disabled)
			{
				if( (document.informes.TarAplCod.value != '-1' &amp;&amp; !document.informes.TarAplCod.disabled) || (document.informes.TarSecCod.value != '-1' &amp;&amp; !document.informes.TarSecCod.disabled))
				{
					if(opcion==0)
					{
						document.informes.flag_resultados.value='1';
						document.informes.module.value=url;
						document.informes.submit();
					}
					else
					{
						EnviarAPDF(url);
					}
				}
				else if(document.informes.TarAplCod.value == '-1' &amp;&amp; !document.informes.TarAplCod.disabled)
				{
					alert("Introduzca una aplicacin para filtrado.")
				}
				else if(document.informes.TarSecCod.value == '-1' &amp;&amp; !document.informes.TarSecCod.disabled)
				{
					alert("Introduzca una seccin para filtrado.")
				}
			}
			else
			{
				if(opcion==0)
				{
					document.informes.flag_resultados.value='1';
					document.informes.module.value=url;
					document.informes.submit();
				}
				else
				{
					EnviarAPDF(url);
				}
			}
		}
		function download(tarea,fecha,file,tipo) {
			document.downAnexo.anexo.value = fecha.substring(3,5)+'-'+fecha.substring(6,10)+'/'+tipo+'AnexoTarea_'+tarea.trim()+'_'+file.trim();
			document.downAnexo.submit();
		}
	</script>
	<form name="detalleDumbo" action="{$servlet}" method="post">
		<input type="hidden" name="module" value="dumbo7/alertas.datosDumbo"/>
		<input type="hidden" name="code" value=""/>
	</form>
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/ALERTAS/USER/@NAME,concat('(',concat(DATA/ALERTAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">alertas.xml#9.2</xsl:with-param>
	</xsl:call-template>
	
<xsl:call-template name="pieComun"/>
	</body>
	</html>
</xsl:template>

<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/ALERTAS">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
		</xsl:if>
	</xsl:for-each>
	<table align="center" border="0" cellpadding="3" cellspacing="1" width="775" height="16" summary="Esta tabla contiene informes de alertas">
		<tr><td width="300" colspan="2" class="cab1">&#187;Informe de alertas (Gestor)</td></tr>
		<tr><td>
		<form action="{$servlet}" METHOD="GET" name="informes">
		<input type="hidden" name="module" value="dumbo7/alertas.index.informesGestor"/>
		<input type="hidden" name="NivelAlertas" value="{$Nivel}"/>
		<input type="hidden" name="FechasD" value="{$FechasD}"/>
		<input type="hidden" name="FechasH" value="{$FechasH}"/>
		<input type="hidden" name="flag_resultados" value="{$flag_resultados}"/>
			<table class="cont" id="informes" border="0" cellpadding="3" cellspacing="1" style="border-collapse: collapse" width="775" height="16" summary="Esta tabla contiene informes de alertas">
				<tr>
					<td align="left" class="cabe" colspan="5"><b>Parmetros para la seleccin de datos</b></td>
				</tr>
				<!--Frmulario a rellenar para la creacin de informes-->
				<tr class="administracion">
					<td width="20">
						<xsl:if test="$TipoCheck='Pe'">
							<input name="TipoCheck" type="radio" value="Pe" checked="true"/>
						</xsl:if>
						<xsl:if test="$TipoCheck!='Pe'">
							<xsl:if test="$TipoCheck='Pl'">
								<input name="TipoCheck" type="radio" value="Pe"/>
							</xsl:if>
							<!--Si no hay ninguna seleccionada por defecto se pone Pe-->
							<xsl:if test="$TipoCheck!='Pl'">
								<input name="TipoCheck" type="radio" value="Pe" checked="true"/>
							</xsl:if>
						</xsl:if>
					</td>
					<td width="300">
						Tareas Pendientes
					</td>
					
					<!--comprobamos si el campo ya estaba marcado para que mantenga la opcion seleccionada-->
					<td width="20">
						
						<xsl:if test="$Historico='hist'"><input type="checkbox" name="Historico" value="hist" checked="true"/></xsl:if>
						<!--Si hay un campo ordenar seleccionado, historico no puede seleccionarse-->
						<xsl:if test="$Historico!='hist'">
							<input type="checkbox" name="Historico" value="hist"/>
						</xsl:if>
					</td>
					
					<td width="40" colspan="2">
						Histrico
					</td>
				</tr>
				<tr class="administracion">
					<td width="20">
						
						<xsl:if test="$TipoCheck='Pl'">
							<input name="TipoCheck" type="radio" value="Pl" checked="true"/>
						</xsl:if>
						<xsl:if test="$TipoCheck!='Pl'">
							<input name="TipoCheck" type="radio" value="Pl"/>
						</xsl:if>
					</td>
					<td width="300">
						Tareas Planificadas
					</td>
					<td>&#160;</td>
					<td width="40">Desde:</td>
					<td width="300"><input type="text" onchange="changeDate(this)" name="Fechas" id="f_FecDesde" size="11" value="{$FechasD}"/>
						<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_a"
							style="cursor: pointer; border: 1px solid red;"
							title="Selecciona Fecha"
							onmouseover="this.style.background='red';"
							onmouseout="this.style.background=''"  />
					</td>
							<script type="text/javascript">
								Calendar.setup({
									inputField     :    "f_FecDesde",
									ifFormat       :    "%d/%m/%Y",
									button         :    "f_trigger_a",
									align          :    "Tl",
									onSelect       :    selectDateDesde,
									singleClick    :    false
									});
							</script>
				</tr>		
				<tr class="administracion">
					<td width="20">&#160;</td>
					<td width="300">&#160;</td>
					<td>&#160;</td>
					<td width="40">Hasta:</td>
					<td width="300"><input type="text" onchange="changeDate(this)" name="Fechas" id="f_FecHasta"  size="11" value="{$FechasH}"/>
						<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_b"
							style="cursor: pointer; border: 1px solid red;"
							title="Selecciona Fecha"
							onmouseover="this.style.background='red';"
							onmouseout="this.style.background=''"/>
					</td>
							<script type="text/javascript">
								Calendar.setup({
								inputField     :    "f_FecHasta",
								ifFormat       :    "%d/%m/%Y",
								button         :    "f_trigger_b",
								align          :    "Tl",
								onSelect       :    selectDateHasta,
								singleClick    :    false
								});
							</script>
				</tr>
				<tr class="cabe">
					<td align="left" colspan="5"><b>Presentacin de datos</b></td>
				</tr>
				<tr class="administracion">
					<!--comprobamos si el campo ya estaba marcado para que mantenga la opcion seleccionada-->
					<!--<td width="20">
						<xsl:if test="$noresueltas='res'"><input type="checkbox" name="noresueltas" value="res" checked="true"/></xsl:if>
						<xsl:if test="$noresueltas!='res'"><input type="checkbox" name="noresueltas" value="res"/></xsl:if>
					</td>-->
					<!--<td width="300">No mostrar alertas de tareas resueltas</td>-->
					<td><!--comprobamos si el campo ya estaba marcado para que mantenga la opcion seleccionada-->
						
						<xsl:if test="$ordenarApl='ord'">
							<input type="checkbox" name="ordenarApl" value="ord" checked="true" onClick="javascript:ActivarDesactivarOrdenarApl()"/>
						</xsl:if>
						<!--Si no esta seleccionado ordenar por aplicacion-->
						<xsl:if test="$ordenarApl!='ord'">
							<!--Si no esta seleccionado ordenar por seccion, se puede seleccionar ordenar por aplicacion-->
							<xsl:if test="$ordenarSec!='ord'">
								<input type="checkbox" name="ordenarApl" value="ord" onClick="javascript:ActivarDesactivarOrdenarApl()"/>
							</xsl:if>
							<!--Si esta seleccionado ordenar por seccion, no se puede seleccionar ordenar por aplicacion-->
							<xsl:if test="$ordenarSec='ord'">
								<input type="checkbox" name="ordenarApl" value="ord" disabled="true" onClick="javascript:ActivarDesactivarOrdenarApl()"/>
							</xsl:if>
							<!--<xsl:if test="$Historico='hist'">
								<input type="checkbox" name="ordenarApl" value="ord" disabled="true" onClick="javascript:ActivarDesactivarOrdenarApl()"/>
							</xsl:if>-->
							<!--Si no hay ninguno seleccionado puede seleccionarse-->
							<!--<xsl:if test="$Historico=''">
								<xsl:if test="$ordenarSec=''">
									<input type="checkbox" name="ordenarApl" value="ord" onClick="javascript:ActivarDesactivarOrdenarApl()"/>
								</xsl:if>
							</xsl:if>-->
						</xsl:if>
						
					</td>
					<td>
						Ordenar por aplicacin
					</td>
					<td>
						<!--comprobamos si el campo ya estaba marcado para que mantenga la opcion seleccionada-->
						<xsl:if test="$ordenarSec='ord'"><input type="checkbox" name="ordenarSec" value="ord" checked="true" onClick="javascript:ActivarDesactivarOrdenarSec()"/></xsl:if>
							<!--Si no esta seleccionado ordenar por seccion-->						
							<xsl:if test="$ordenarSec!='ord'">
								<!--Si no esta seleccionado ordenar por apli o historico,  se puede seleccionar ordenar por seccion-->
								<xsl:if test="$ordenarApl!='ord'">
									<input type="checkbox" name="ordenarSec" value="ord" onClick="javascript:ActivarDesactivarOrdenarSec()"/>
								</xsl:if>
								<!--Si esta seleccionado ordenar por apli o historico, no se puede seleccionar ordenar por seccion-->
								<xsl:if test="$ordenarApl='ord'">
									<input type="checkbox" name="ordenarSec" value="ord" disabled="true" onClick="javascript:ActivarDesactivarOrdenarSec()"/>
								</xsl:if>
						</xsl:if>
					</td>
					<td colspan="2">
						Agrupar por seccin
					</td>
				</tr>
				<tr class="administracion">
					<td><!--comprobamos si el campo ya estaba marcado para que mantenga la opcion seleccionada-->
						<xsl:if test="$restringirApl='hist'"><input type="checkbox" name="restringirApl" value="hist" checked="true" onClick="javascript:ActivarDesactivarRestringirApl()"/></xsl:if>
						<!--Si tenemos seleccionada la opcin de ordenar por aplicacin tiene que estar la opcion de restringir disabled=false para poder-->
						<xsl:if test="$ordenarApl='ord'">
							<xsl:if test="$restringirApl!='hist'">
								<input type="checkbox" name="restringirApl" value="hist" onClick="javascript:ActivarDesactivarRestringirApl()"/>
							</xsl:if>
						</xsl:if>
						
						<xsl:if test="$ordenarApl!='ord'">
							<xsl:if test="$restringirApl!='hist'">
								<input type="checkbox" name="restringirApl" value="hist" disabled="true" onClick="javascript:ActivarDesactivarRestringirApl()"/>
							</xsl:if>
						</xsl:if>
					</td><!--comprobamos si el campo ya estaba marcado para que mantenga la opcion seleccionada-->
					<td>
						Filtrar&#160;aplicacin:&#160;
						<xsl:if test="$restringirApl='hist'">
							<select name="TarAplCod" size="1" style="width:260px;">
								<xsl:call-template name="muestraAplicaciones">
									<xsl:with-param name="nodo" select="DATA/ALERTAS"/>
									<xsl:with-param name="espacio" select="'&#160;'"/>
								</xsl:call-template>
								<!--<xsl:for-each select="DATA/ALERTAS/APLICACION">
									<xsl:if test="@CODIGO=$TarAplCod">
										<option value="{@CODIGO}" selected="true">
											<xsl:value-of select="@CODIGO"/>
										</option>
									</xsl:if>
									<xsl:if test="@CODIGO!=$TarAplCod">
										<option value="{@CODIGO}" >
											<xsl:value-of select="@CODIGO"/>
										</option>
									</xsl:if>
								</xsl:for-each>-->
							</select>
							<script>
								for (var i=0, option; option = document.informes.TarAplCod.options[i]; i++)
								{
									if (option.value == '<xsl:value-of select="$TarAplCod"/>')
									{
										option.selected = true;
									}
								}
							</script>
						</xsl:if>
						
						<xsl:if test="$restringirApl!='hist'">
							<select name="TarAplCod" size="1" style="width:260px;" disabled="true">
								<option value="-1">-Introduzca una aplicacin-</option>
								<xsl:call-template name="muestraAplicaciones">
									<xsl:with-param name="nodo" select="DATA/ALERTAS"/>
									<xsl:with-param name="espacio" select="'&#160;'"/>
								</xsl:call-template>
								<!--<xsl:for-each select="DATA/ALERTAS/APLICACION">
									<option value="{@CODIGO}">
										<xsl:value-of select="@CODIGO"/>
									</option>
								</xsl:for-each>-->
							</select>
						</xsl:if>
					</td>
					<td>
						<!--comprobamos si el campo ya estaba marcado para que mantenga la opcion seleccionada-->
						<xsl:if test="$restringirSec='hist'"><input type="checkbox" name="restringirSec" value="hist" checked="true" onClick="javascript:ActivarDesactivarRestringirSec()"/></xsl:if>
						<!--Si tenemos seleccionada la opcin de ordenar por seccion tiene que estar la opcion de restringir disabled=false para poder seleccionarla-->
						<xsl:if test="$ordenarSec='ord'">
							<xsl:if test="$restringirSec!='hist'">
								<input type="checkbox" name="restringirSec" value="hist" onClick="javascript:ActivarDesactivarRestringirSec()"/>
							</xsl:if>
						</xsl:if>
						
						<xsl:if test="$ordenarSec!='ord'">
							<xsl:if test="$restringirSec!='hist'">
								<input type="checkbox" name="restringirSec" value="hist" disabled="true" onClick="javascript:ActivarDesactivarRestringirSec()"/>
							</xsl:if>
						</xsl:if>

					</td>
					<td colspan="2">
						Filtrar seccin: &#160;&#160;
						<xsl:if test="$restringirSec='hist'">
							<select name="TarSecCod" size="1">
								<option value='-1'>-Introduzca una seccin-</option>
									<!--Llamamos a la plantilla para indexar las secciones.-->
									<xsl:call-template name="muestraSeccionTabulada">
										<xsl:with-param name="nodo" select="DATA/ALERTAS"/>
										<xsl:with-param name="seccion_seleccionada" select="$TarSecCod"/>
									</xsl:call-template>
							</select>
						</xsl:if>
						<xsl:if test="$restringirSec!='hist'">
							<select name="TarSecCod" size="1" disabled="true">
								<option value='-1'>-Introduzca una seccin-</option>
									<!--Llamamos a la plantilla para indexar las secciones.-->
									<xsl:call-template name="muestraSeccionTabulada">
										<xsl:with-param name="nodo" select="DATA/ALERTAS"/>
										<xsl:with-param name="seccion_seleccionada" select="$TarSecCod"/>
										
									</xsl:call-template>
							</select>
						</xsl:if>
					</td>
				</tr>
				<tr class="administracion"> 
					<td colspan="5" align="center"><input type="button" class="boton" value="generar HTML" onclick="javascript:comprueba_presentacion('dumbo7/alertas.index.genInformeGestor',0)"/>
					&#160;<input type="button" class="boton" value="generar PDF" onclick="javascript:comprueba_presentacion('?module=dumbo7/alertas.index.PDFGestor',1);"/></td>
				</tr>
				
				<!--Si al realizar una peticin de informe no devuelve ningn resultado o se entra por primera vez a la pgina, se muestra el mensaje "Sin Resultados"-->
				<xsl:if test="count(DATA/ALERTAS/TAREAS)= 0 and $flag_resultados=1">	
					<tr class="administracion"><td colspan="5"><CENTER>Sin Resultados</CENTER></td></tr>
				</xsl:if>
				<!--Si hay resultados se muestran a continuacin del botn "generar"-->
			</table>
			
			<!--TABLA PARA LOS RESULTADOS DE LA BUSQUEDA-->
			<table class="cont" id="resultados" border="0" cellpadding="3" cellspacing="1" style="border-collapse: collapse" width="780" height="16" summary="Esta tabla contiene informes de alertas">
				
				<!--INFORMES DE ALERTAS DE TAREAS PENDIENTES Y PLANIFICADAS SIN AGRUPACIN POR SECCION
					(Solo difieren en un en el campo Prioridad, para pendientes, y Fecha Prevista Resolucion, para planificadas)-->
				<xsl:if test="count(DATA/ALERTAS/TAREAS)!= 0 and $ordenarSec!='ord'">
					<tr class="cabe">
						<td colspan="8">
							<b>Resultados de la consulta</b>
						</td>
					</tr>
					<tr class="cabeAlertas">
						<td width="100"><strong>Aplicacin</strong></td>
						<td colspan="2"><strong><xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informtico'"/></xsl:call-template></strong></td>
						<td colspan="2"><strong>Solicitante</strong></td>
						<td width="80"><strong>F. Solicitud</strong></td>
						<td width="90"><strong>F. Asignacin</strong></td>
						<td width="80"><strong>F. Alarma</strong></td>
					</tr>
					<tr class="cabeAlertas">
						<td width="100"><strong>Cdigo</strong></td>
						<td colspan="4"><strong>Asunto</strong></td>
						<td width="80"><strong>Estado</strong></td>
						<td width="90"><strong>Tipo Tarea</strong></td>
						<xsl:if test="$TipoCheck='Pl'">
							<td width="80"><strong>F. Prevista Resolucin</strong></td>
						</xsl:if>
						<xsl:if test="$TipoCheck='Pe'">
							<td width="80"><strong>Prioridad</strong></td>
						</xsl:if>
					</tr>
					<xsl:for-each select="DATA/ALERTAS/TAREAS">
						<tr class="administracion">
							<!--Se va a mostrar la descripcin de la aplicacin en vez del cdigo (mayor claridad)-->
							<!--<xsl:variable name="CodigoAplicacion"><xsl:value-of select="TAREAS/@APLICACION"/></xsl:variable> 
							<xsl:for-each select="../../ALERTAS/APLICACION">
								<xsl:if test="@CODIGO=$CodigoAplicacion">
									<td colspan="2">
										<xsl:value-of select="@DESCRIPCION"/>
									</td>							
								</xsl:if>
							</xsl:for-each>-->
							<!--Vamos a mostrar el cdigo de la aplicacin en vez de la descripcin-->
							<!--Atencin!, he dejado el mapeo por si hay cambio de opinin y se quiere la descripcin-->
							<td>
								<xsl:value-of select="TAREAS/@APLICACION"/>
							</td>
							<td colspan="2">
								<xsl:value-of select="DATOSPERSONALES/@APELLIDOS"/>,&#160;<xsl:value-of select="DATOSPERSONALES/@NOMBRE"/>
							</td>
							<!--Buscamos los datos personales del solicitante (solo se mapean los datos personales de los solicitantes de las tareas)-->
							<xsl:variable name="CodigoUsuario"><xsl:value-of select="TAREAS/@USUARIO"/></xsl:variable> 
							<xsl:for-each select="../../ALERTAS/DATOS_PERSONALES">
								<xsl:if test="@IDENTIFICADOR=$CodigoUsuario">
									<td colspan="2" class="celdapaipucMet">
										<xsl:value-of select="@APELLIDOS"/>,&#160;<xsl:value-of select="@NOMBRE"/>
									</td>							
								</xsl:if>
							</xsl:for-each>
							<td class="celdapaipucMet_7pt" align="center"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="TAREAS/@FECHA_CREACION"/></xsl:call-template></td>
							<!--Mostramos el ultimo movimiento de la tarea-->
							<xsl:variable name="CodigoTarea"><xsl:value-of select="TAREAS/@CODIGO"/></xsl:variable>
							<xsl:if test="count(../../ALERTAS/MOVIMIENTOS[@TAREA=$CodigoTarea])=0">
								<td align="center">
									Sin asignar
								</td>
							</xsl:if> 
							<xsl:for-each select="../../ALERTAS/MOVIMIENTOS">
								<xsl:if test="@TAREA=$CodigoTarea">
									<td class="celdapaipucMet_7pt" align="center">
										<xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="@FECHA"/></xsl:call-template>
									</td>							
								</xsl:if>
							</xsl:for-each>
							<td class="celdapaipucMet_7pt" align="center"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="TAREAS_ALERTAS/@FECHA_ALERTA"/></xsl:call-template></td>
						</tr>
						
							<tr class="administracion">
								<td>
								<a title="Mostrar informacin sobre tarea" href="javascript:cargaInfo({TAREAS/@CODIGO})">
									<xsl:value-of select="TAREAS/@CODIGO"/>
								</a>	
							</td>
							<td colspan="4" class="celdapaipucMet"><xsl:value-of select="TAREAS/@ASUNTO"/></td>
								<!--6 estados posibles:
										-P:Pendiente Asignacin		-A:Asignada 	-W:En estado de espera
										-N:Anulada		-R:Resuelta		-X:Rechazada -F:Finalizado con subtareas -->
								<!--Son todos los estados, pero en realidad, a la hora de generar alertas solo 
									se generan de las que se encuentran en estado asignado o rechazado-->
								<xsl:choose>
									<xsl:when test="TAREAS/@ESTADO='P'">
										<td class="celdapaipucMet_7pt" align="center">
											<img  border="0" src="../graficos/iconos/pendiente_ico.gif" alt="Pendiente de asignacin"/>
										</td>
									</xsl:when>
									<xsl:when test="TAREAS/@ESTADO='A'">
										<td class="celdapaipucMet_7pt" align="center">
											<img  border="0" src="../graficos/iconos/asignada_ico.gif" alt="Asignada"/>
										</td>															
									</xsl:when>
									<xsl:when test="TAREAS/@ESTADO='W'">
										<td class="celdapaipucMet_7pt" align="center">
											<img  border="0" src="../graficos/iconos/espera_ico.gif" alt="En espera"/>
										</td>													
									</xsl:when>
									<xsl:when test="TAREAS/@ESTADO='N'">
										<td class="celdapaipucMet_7pt" align="center">
											<img  border="0" src="../graficos/iconos/N.gif" alt="Anulada"/>
										</td>		
									</xsl:when>
									<xsl:when test="TAREAS/@ESTADO='R'">
										<td class="celdapaipucMet_7pt" align="center">
											<img  border="0" src="../graficos/iconos/resuelta_ico.gif" alt="Resuelta"/>
										</td>	
									</xsl:when>
									<xsl:when test="TAREAS/@ESTADO='X'">
										<td class="celdapaipucMet_7pt" align="center">
											<img  border="0" src="../graficos/iconos/rechazada_ico.gif" alt="Rechazada"/>
										</td>	
									</xsl:when>
									<xsl:when test="TAREAS/@ESTADO='F'">
										<td class="celdapaipucMet_7pt" align="center">
											<img  border="0" src="../graficos/iconos/F.gif" alt="Resuelta con subtareas"/>
										</td>	
									</xsl:when>
								</xsl:choose>
								<td class="celdapaipucMet_7pt" align="center"><xsl:value-of select="TAREAS/@TIPO_TAREA"/></td>
								<xsl:if test="$TipoCheck='Pl'">
									<td colspan="3" class="celdapaipucMet_7pt" align="center">
										<xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="TAREAS/@PLANIFICACION"/></xsl:call-template>
									</td>
								</xsl:if>
								<xsl:if test="$TipoCheck='Pe'">
									<td class="celdapaipucMet_7pt" colspan="3">
										<xsl:variable name="prioridad"><xsl:value-of select="TAREAS/@PRIORIDAD"/></xsl:variable>
										<xsl:if test="count(../../ALERTAS/PRIORIDAD[@CODIGO = $prioridad])= 0">	
											Sin prioridad
										</xsl:if>
										<xsl:for-each select="../../ALERTAS/PRIORIDAD[@CODIGO = $prioridad]">
											<xsl:value-of select="@DESCRIPCION"/>
										</xsl:for-each>
									</td>
								</xsl:if>
							</tr>
						<tr class="lineaResultados"><td colspan="8"><hr width="100%"></hr></td></tr>
					</xsl:for-each>
				</xsl:if>
				
				<!--INFORMES DE ALERTAS DE TAREAS PENDIENTES Y PLANIFICADAS CON AGRUPACIN POR SECCION-->
				<xsl:if test="count(DATA/ALERTAS/TAREAS)!= 0 and $ordenarSec='ord'">
					<tr class="cabe">
						<td colspan="8">
							<b>Resultados de la consulta</b>
						</td>
					</tr>
					<xsl:call-template name="muestraSeccion">
						<xsl:with-param name="nodo" select="DATA/ALERTAS"/>
					</xsl:call-template>
				</xsl:if>
			</table>
		</form>
		</td></tr>
	</table>
</xsl:template>

<!--PLANTILLAS PARA LA ORDENACION DE SECCIONES-->
<!--Plantillas para recorrer las diferentes secciones indexandolas dentro de un select-->
<xsl:template name="muestraSeccionTabulada">
<xsl:param name="nodo"/>
<xsl:param name="seccion_seleccionada"/>
    <xsl:for-each select="$nodo/SECCION[@CODIGO=@PADRE]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:if test="@ESTADO='V' and @CODIGO!=$seccion_seleccionada">
			<xsl:variable name="sec_cod"><xsl:value-of select="@CODIGO"/></xsl:variable>
			<xsl:if test="count($nodo/SECCION_RESPONSABLE[@CODIGO=$sec_cod])=0">
			<!--Si la descripcin tiene menos de 30 caracteres-->
				<xsl:if test="30>=string-length(@DESCRIPCION)">
					<option disabled="disabled"><xsl:value-of select="@DESCRIPCION"/></option>
				</xsl:if>
				<!--Si la descripcin tiene ms de 30 caracteres-->
				<xsl:if test="string-length(@DESCRIPCION)>30">
					<option disabled="disabled"><xsl:value-of select="concat(substring(@DESCRIPCION,0,30),'...')"/></option>
				</xsl:if>
			</xsl:if>
			<xsl:if test="count($nodo/SECCION_RESPONSABLE[@CODIGO=$sec_cod])!=0">
				<option value="{@CODIGO}">
					<!--Si la descripcin tiene menos de 30 caracteres-->
					<xsl:if test="30>=string-length(@DESCRIPCION)">								
						<xsl:value-of select="@DESCRIPCION"/>
					</xsl:if>
					<!--Si la descripcin tiene ms de 30 caracteres-->
					<xsl:if test="string-length(@DESCRIPCION)>30">
						<xsl:value-of select="concat(substring(@DESCRIPCION,0,30),'...')"/>
					</xsl:if>
				</option>
			</xsl:if>
		</xsl:if>
		<xsl:if test="@ESTADO='V' and @CODIGO=$seccion_seleccionada">
	        <option value="{@CODIGO}" selected="true">
				<!--Si la descripcin tiene menos de 30 caracteres-->
				<xsl:if test="30>=string-length(@DESCRIPCION)">								
					<xsl:value-of select="@DESCRIPCION"/>
				</xsl:if>
				<!--Si la descripcin tiene ms de 30 caracteres-->
				<xsl:if test="string-length(@DESCRIPCION)>30">
					<xsl:value-of select="concat(substring(@DESCRIPCION,0,30),'...')"/>
				</xsl:if>
	        </option>
		</xsl:if>
        <xsl:call-template name="sacaSubSeccionTabulada">
			<xsl:with-param name="seccion_seleccionada" select="$seccion_seleccionada"/>
            <xsl:with-param name="seccion" select="$nodo"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="'&#160;&#160;'"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

<xsl:template name="sacaSubSeccionTabulada">
<xsl:param name="seccion_seleccionada"/>
<xsl:param name="seccion"/>
<xsl:param name="codigo_padre"/>
<xsl:param name="espacio"/>
    <xsl:for-each select="$seccion/SECCION[@PADRE=$codigo_padre and @PADRE!=@CODIGO]">
        <xsl:sort select="@DESCRIPCION"/>
		<xsl:variable name="seccion_descripcion"><xsl:value-of select="concat($espacio,@DESCRIPCION)"/></xsl:variable>
		<xsl:if test="@ESTADO='V' and @CODIGO!=$seccion_seleccionada">
			<xsl:variable name="sec_cod"><xsl:value-of select="@CODIGO"/></xsl:variable>
			<xsl:if test="count($seccion/SECCION_RESPONSABLE[@CODIGO=$sec_cod])=0">
					<!--Si la descripcin, con los espacios, tiene menos de 30 caracteres-->
					<xsl:if test="30>=string-length($seccion_descripcion)">
						<option disabled="disabled"><xsl:value-of select="$seccion_descripcion"/></option>
					</xsl:if>
					<!--Si la descripcin, con los espacios, tiene ms de 30 caracteres-->
					<xsl:if test="string-length($seccion_descripcion)>30">
						<option disabled="disabled"><xsl:value-of select="concat(substring($seccion_descripcion,0,30),'...')"/></option>
					</xsl:if>
			</xsl:if>
			<xsl:if test="count($seccion/SECCION_RESPONSABLE[@CODIGO=$sec_cod])!=0">
				<option value="{@CODIGO}">
					<!--Si la descripcin, con los espacios, tiene menos de 30 caracteres-->
					<xsl:if test="30>=string-length($seccion_descripcion)">								
						<xsl:value-of select="$seccion_descripcion"/>
					</xsl:if>
					<!--Si la descripcin, con los espacios, tiene ms de 30 caracteres-->
					<xsl:if test="string-length($seccion_descripcion)>30">
						<xsl:value-of select="concat(substring($seccion_descripcion,0,30),'...')"/>
					</xsl:if>
				</option>
			</xsl:if>
		</xsl:if>
		<xsl:if test="@ESTADO='V' and @CODIGO=$seccion_seleccionada">
			<option value="{@CODIGO}" selected="true">
				<!--Si la descripcin, con los espacios, tiene menos de 30 caracteres-->
				<xsl:if test="30>=string-length($seccion_descripcion)">								
					<xsl:value-of select="$seccion_descripcion"/>
				</xsl:if>
				<!--Si la descripcin, con los espacios, tiene ms de 30 caracteres-->
				<xsl:if test="string-length($seccion_descripcion)>30">
					<xsl:value-of select="concat(substring($seccion_descripcion,0,30),'...')"/>
				</xsl:if>
			</option>
		</xsl:if>
        <xsl:call-template name="sacaSubSeccionTabulada">
            <xsl:with-param name="seccion_seleccionada" select="$seccion_seleccionada"/>
            <xsl:with-param name="seccion" select="$seccion"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="concat($espacio,'&#160;&#160;')"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>

<!--Plantillas para recorrer las diferentes secciones indexandolas-->
<!--Estas plantillas (muestraSeccion,sacaSubseccion,muestraAlertasSeccion) se utilizan en el caso de que se desee
	agrupar por seccion. Es muy parecido a cuando no se agrupa por seccion, pero vara el recorrido de los nodos-->
<xsl:template name="muestraSeccion">
<xsl:param name="nodo"/>
	<xsl:for-each select="$nodo/SECCION[@CODIGO=@PADRE]">
		<xsl:variable name="seccion_descripcion"><xsl:value-of select="concat('SECCION: ',@DESCRIPCION)"/></xsl:variable>
		<xsl:call-template name="muestraAlertasSeccion">
			<xsl:with-param name="seccionCod" select="@CODIGO"/>
			<xsl:with-param name="seccionDescrip" select="$seccion_descripcion"/>
			<xsl:with-param name="nodo" select="$nodo"/>
		</xsl:call-template>
		<xsl:call-template name="sacaSubSeccion">
			<xsl:with-param name="seccion" select="$nodo"/>
			<xsl:with-param name="codigo_padre" select="@CODIGO"/>
			<xsl:with-param name="espacio" select="'&#160;&#160;SUBSECCION: '"/>
		</xsl:call-template>
	</xsl:for-each>
</xsl:template>

<xsl:template name="sacaSubSeccion">
<xsl:param name="seccion"/>
<xsl:param name="codigo_padre"/>
<xsl:param name="espacio"/>
    <xsl:for-each select="$seccion/SECCION[@PADRE=$codigo_padre and @PADRE!=@CODIGO]">
		<xsl:variable name="seccion_descripcion"><xsl:value-of select="concat($espacio,@DESCRIPCION)"/></xsl:variable>

		<xsl:call-template name="muestraAlertasSeccion">
			<xsl:with-param name="seccionCod" select="@CODIGO"/>
			<xsl:with-param name="seccionDescrip" select="$seccion_descripcion"/>
			<xsl:with-param name="nodo" select="$seccion"/>
		</xsl:call-template>
		<xsl:call-template name="sacaSubSeccion">
            <xsl:with-param name="seccion" select="$seccion"/>
            <xsl:with-param name="codigo_padre" select="@CODIGO"/>
            <xsl:with-param name="espacio" select="concat('&#160;&#160;',$espacio)"/>
        </xsl:call-template>
    </xsl:for-each>
</xsl:template>
<!--muestra las alertas agrunpandolas por seccion-->
<xsl:template name="muestraAlertasSeccion">
<xsl:param name="seccionCod"/>
<xsl:param name="seccionDescrip"/>
<xsl:param name="nodo"/>
		<xsl:if test="count($nodo/TAREAS/APLICACIONES[@SECCION = $seccionCod])!=0">
			<tr class="cabeAlertas">
				<td colspan="8">
					<b><xsl:value-of select="$seccionDescrip"/></b>
				</td>
			</tr>
			<tr class="cabeAlertas">
				<td width="100"><strong>Aplicacin</strong></td>
				<td colspan="2"><strong><xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informtico'"/></xsl:call-template></strong></td>
				<td colspan="2"><strong>Solicitante</strong></td>
				<td width="80"><strong>F. Solicitud</strong></td>
				<td width="90"><strong>F. Asignacin</strong></td>
				<td width="80"><strong>F. Alarma</strong></td>
			</tr>
			<tr class="cabeAlertas">
				<td width="100"><strong>Cdigo</strong></td>
				<td colspan="4"><strong>Asunto</strong></td>
				<td width="80"><strong>Estado</strong></td>
				<td width="90"><strong>Tipo Tarea</strong></td>
				<xsl:if test="$TipoCheck='Pl'">
					<td width="80"><strong>F. Prevista Resolucin</strong></td>
				</xsl:if>
				<xsl:if test="$TipoCheck='Pe'">
					<td width="80"><strong>Prioridad</strong></td>
				</xsl:if>
			</tr>
		</xsl:if>	
		<xsl:for-each select="$nodo/TAREAS/APLICACIONES[@SECCION = $seccionCod]/..">
			<xsl:variable name="CodigoAplicacion"><xsl:value-of select="TAREAS/@APLICACION"/></xsl:variable> 
			<tr class="administracion">
			<!--Se va a mostrar la descripcin de la aplicacin en vez del cdigo (mayor claridad)-->
			<!--<xsl:variable name="CodigoAplicacion"><xsl:value-of select="TAREAS/@APLICACION"/></xsl:variable> 
			<xsl:for-each select="../../ALERTAS/APLICACION">
				<xsl:if test="@CODIGO=$CodigoAplicacion">
					<td colspan="2">
						<xsl:value-of select="@DESCRIPCION"/>
					</td>							
				</xsl:if>
			</xsl:for-each>-->
			<!--Vamos a mostrar el cdigo de la aplicacin en vez de la descripcin-->
			<!--Atencin!, he dejado el mapeo por si hay cambio de opinin y se quiere la descripcin-->
			<td>
				<xsl:value-of select="TAREAS/@APLICACION"/>
			</td>
			<td colspan="2">
				<xsl:value-of select="DATOSPERSONALES/@APELLIDOS"/>,&#160;<xsl:value-of select="DATOSPERSONALES/@NOMBRE"/>
			</td>
			<!--Buscamos los datos personales del solicitante (solo se mapean los datos personales de los solicitantes de las tareas)-->
			<xsl:variable name="CodigoUsuario"><xsl:value-of select="TAREAS/@USUARIO"/></xsl:variable> 
			<xsl:for-each select="../../ALERTAS/DATOS_PERSONALES">
				<xsl:if test="@IDENTIFICADOR=$CodigoUsuario">
					<td colspan="2" class="celdapaipucMet">
						<xsl:value-of select="@APELLIDOS"/>,&#160;<xsl:value-of select="@NOMBRE"/>
					</td>							
				</xsl:if>
			</xsl:for-each>
			<td class="celdapaipucMet_7pt" align="center"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="TAREAS/@FECHA_CREACION"/></xsl:call-template></td>
			<!--Mostramos el ultimo movimiento de la tarea-->
			<xsl:variable name="CodigoTarea"><xsl:value-of select="TAREAS/@CODIGO"/></xsl:variable>
			<xsl:if test="count(../../ALERTAS/MOVIMIENTOS[@TAREA=$CodigoTarea])=0">
				<td align="center">
					Sin asignar
				</td>
			</xsl:if> 
			<xsl:for-each select="../../ALERTAS/MOVIMIENTOS">
				<xsl:if test="@TAREA=$CodigoTarea">
					<td class="celdapaipucMet_7pt" align="center">
						<xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="@FECHA"/></xsl:call-template>
					</td>							
				</xsl:if>
			</xsl:for-each>
			<td class="celdapaipucMet_7pt" align="center"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="TAREAS_ALERTAS/@FECHA_ALERTA"/></xsl:call-template></td>
		</tr>
			<tr class="administracion">
				<td>
					<a title="Mostrar informacin sobre tarea" href="javascript:cargaInfo({TAREAS/@CODIGO})">
						<xsl:value-of select="TAREAS/@CODIGO"/>
					</a>	
				</td>
				<td colspan="4" class="celdapaipucMet"><xsl:value-of select="TAREAS/@ASUNTO"/></td>
				<!--6 estados posibles:
						-P:Pendiente Asignacin		-A:Asignada 	-W:En estado de espera
						-N:Anulada		-R:Resuelta		-X:Rechazada -F:Finalizado con subtareas -->
				<!--Son todos los estados, pero en realidad, a la hora de generar alertas solo 
					se generan de las que se encuentran en estado asignado o rechazado-->
				<xsl:choose>
					<xsl:when test="TAREAS/@ESTADO='P'">
						<td class="celdapaipucMet_7pt" align="center">
							<img  border="0" src="../graficos/iconos/pendiente_ico.gif" alt="Pendiente de asignacin"/>
						</td>
					</xsl:when>
					<xsl:when test="TAREAS/@ESTADO='A'">
						<td class="celdapaipucMet_7pt" align="center">
							<img  border="0" src="../graficos/iconos/asignada_ico.gif" alt="Asignada"/>
						</td>															
					</xsl:when>
					<xsl:when test="TAREAS/@ESTADO='W'">
						<td class="celdapaipucMet_7pt" align="center">
							<img  border="0" src="../graficos/iconos/espera_ico.gif" alt="En espera"/>
						</td>													
					</xsl:when>
					<xsl:when test="TAREAS/@ESTADO='N'">
						<td class="celdapaipucMet_7pt" align="center">
							<img  border="0" src="../graficos/iconos/N.gif" alt="Anulada"/>
						</td>		
					</xsl:when>
					<xsl:when test="TAREAS/@ESTADO='R'">
						<td class="celdapaipucMet_7pt" align="center">
							<img  border="0" src="../graficos/iconos/resuelta_ico.gif" alt="Resuelta"/>
						</td>	
					</xsl:when>
					<xsl:when test="TAREAS/@ESTADO='X'">
						<td class="celdapaipucMet_7pt" align="center">
							<img  border="0" src="../graficos/iconos/rechazada_ico.gif" alt="Rechazada"/>
						</td>	
					</xsl:when>
					<xsl:when test="TAREAS/@ESTADO='F'">
						<td class="celdapaipucMet_7pt" align="center">
							<img  border="0" src="../graficos/iconos/F.gif" alt="Resuelta con subtareas"/>
						</td>	
					</xsl:when>
				</xsl:choose>
				<td class="celdapaipucMet_7pt" align="center"><xsl:value-of select="TAREAS/@TIPO_TAREA"/></td>
				<xsl:if test="$TipoCheck='Pl'">
					<td colspan="3" class="celdapaipucMet_7pt" align="center">
						<xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="TAREAS/@PLANIFICACION"/></xsl:call-template>
					</td>
				</xsl:if>
				<xsl:if test="$TipoCheck='Pe'">
					<td class="celdapaipucMet_7pt" colspan="3">
						<xsl:variable name="prioridad"><xsl:value-of select="TAREAS/@PRIORIDAD"/></xsl:variable>
						<xsl:if test="count(../../ALERTAS/PRIORIDAD[@CODIGO = $prioridad])= 0">	
							Sin prioridad
						</xsl:if>
						<xsl:for-each select="../../ALERTAS/PRIORIDAD[@CODIGO = $prioridad]">
							<xsl:value-of select="@DESCRIPCION"/>
						</xsl:for-each>
					</td>
				</xsl:if>
			</tr>
		<tr class="lineaResultados"><td colspan="8"><hr width="100%"></hr></td></tr>
	</xsl:for-each>
</xsl:template>

</xsl:stylesheet>
