<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<!--Formulario para Informticos (Nivel Alertas 1). Slo se mostrarn Alertas de ste nivel-->
<xsl:param name="Nivel"><xsl:value-of select="1"/></xsl:param>
<!--Include para los template que se encargan de jerarquizar el select de categoras-->
<xsl:include href="dumbo7/metricas/html/ArbolEnSelect.xsl"/>	

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="nivelAlertas"/>
<xsl:param name="NivelAlertas"/>
<xsl:param name="TipoCheck"/>
<xsl:param name="Historico"/>
<xsl:param name="FechasD"/>
<xsl:param name="FechasH"/>
<xsl:param name="ordenar"/>
<xsl:param name="restringir"/>
<xsl:param name="TarAplCod"/>
<xsl:param name="flag_resultados"/><!--Flag para que nada mas entrar a la pagina no aparezca "sin resultados"-->
	
<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
	
<xsl:template match="XMLROOT">

<html lang="es">
     <xsl:call-template name="headComun">
        <xsl:with-param name="calendar" select="not(contains($menu,'Inc'))"/>
		 <xsl:with-param name="jscript">
			<script LANGUAJE="JavaScript" src="../js/CompruebaFecha.js"></script>
			<SCRIPT LANGUAGE="JavaScript" SRC="/forja/jquery/jquery.js"></SCRIPT>
			<script LANGUAJE="JavaScript">
			
				function cargaInfo(codTar){
					var w = window.open('about:blank','DetalleDumbo','width=800,height=600,left=100,top=100,scrollbars=yes');
					document.detalleDumbo.target = w.name;
					document.detalleDumbo.code.value = codTar;
					document.detalleDumbo.submit();
				}
												
				function mostrarError(error){
					alert(error);
				}
				function selectDateDesde(calendar, date) {
					if (calendar.dateClicked) {
						if (document.informes.Fechas[0].value == date) document.informes.Fechas[0].value = '';
						else{
						 document.informes.Fechas[0].value = date;
						  document.informes.FechasD.value = date;
						};
						calendar.hide();
						}
				}
				function selectDateHasta(calendar, date) {
					if (calendar.dateClicked) {
						if (document.informes.Fechas[1].value == date) document.informes.Fechas[1].value = '';
						else{
						  document.informes.Fechas[1].value = date;
						  document.informes.FechasH.value = date
						 }
						calendar.hide();
						}
				}
								
				function EnviarAPDF(url){
					url = url.concat("&amp;NivelAlertas=");
					url = url.concat(document.informes.NivelAlertas.value);
					if(document.informes.TipoCheck[1].checked==true){
					
					url = url.concat("&amp;TipoCheck=Pl");

					}
					else{
					url = url.concat("&amp;TipoCheck=Pe");
					
					}
					
					if(document.informes.Historico.checked == true){
						url = url.concat("&amp;Historico=");
						url = url.concat(document.informes.Historico.value);
					}
					url = url.concat("&amp;FechasD=");
					url = url.concat(document.informes.FechasD.value);
					
					url = url.concat("&amp;FechasH=");
					url = url.concat(document.informes.FechasH.value);
					
					url = url.concat("&amp;Fechas=");
					url = url.concat(document.informes.FechasD.value);
					url = url.concat("&amp;Fechas=");
					url = url.concat(document.informes.FechasH.value);
					
					if(document.informes.ordenar.checked == true){
						url = url.concat("&amp;ordenar=");
						url = url.concat(document.informes.ordenar.value);
					}
					if(document.informes.restringir.checked == true){
						url = url.concat("&amp;restringir=");
						url = url.concat(document.informes.restringir.value);
						url = url.concat("&amp;TarAplCod=");
						url = url.concat(document.informes.TarAplCod.value);
						}
					//if(newWindow != null){newWindow.close();}
					newWindow = window.open(url,'_blanck');
				}
			</script>
		</xsl:with-param>
	   </xsl:call-template>
<body>
	<!--Si se quiere realizar una bsqueda por histrico, no se puede ordenar por aplicacin, ya que se ordena por fecha de alerta-->
	<!--Igual a la inversa. Adems, si se quiere listar slo las alertas de una aplicacin debe estar activa la opcin de ordenar por aplicacin-->
	<script>
		function ActivarDesactivarHistorico()
		{
		}
		function ActivarDesactivarOrdenar(){
			document.informes.restringir.disabled=!document.informes.restringir.disabled
			if(document.informes.restringir.disabled)
			{
				document.informes.restringir.Value = "";
				document.informes.restringir.checked = false;
				document.informes.TarAplCod.disabled = true;
			}
						
		}
		function ActivarDesactivarRestringir()
		{
			document.informes.TarAplCod.disabled=!document.informes.TarAplCod.disabled
		}
		<!--Opcin 0 para HTML, opcin 1 para PDF-->
		function comprueba_presentacion(url,opcion)
		{
			if(!document.informes.TarAplCod.disabled)
			{
				if(document.informes.TarAplCod.value != '-1')
				{
					if(opcion==0)
					{
						document.informes.flag_resultados.value='1';
						document.informes.module.value=url;
						document.informes.submit();
					}
					else
					{
						EnviarAPDF(url);
					}
				}
				else
				{
					alert("Introduzca una aplicacin para filtrado.")
				}
			}
			else
			{
				if(opcion==0)
				{
					document.informes.flag_resultados.value='1';
					document.informes.module.value=url;
					document.informes.submit();
				}
				else
				{
					EnviarAPDF(url);
				}
			}
		}
		
		function download(tarea,fecha,file,tipo) {
			document.downAnexo.anexo.value = fecha.substring(3,5)+'-'+fecha.substring(6,10)+'/'+tipo+'AnexoTarea_'+tarea.trim()+'_'+file.trim();
			document.downAnexo.submit();
		}
		
	</script>
	
<form name="detalleDumbo" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/alertas.datosDumbo"/>
	<input type="hidden" name="code" value=""/>
</form>
	<xsl:call-template name="menuComun">
		<xsl:with-param name="NAME" select="concat(DATA/ALERTAS/USER/@NAME,concat('(',concat(DATA/ALERTAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">alertas.xml#9.1</xsl:with-param>
	</xsl:call-template>
	
<xsl:call-template name="pieComun"/>
	</body>
	</html>
</xsl:template>

<xsl:template name="cuerpo">
	<xsl:for-each select="DATA/ALERTAS">
		<xsl:if test="not(@ERROR='')">
			<script>mostrarError('<xsl:value-of select="@ERROR"/>')</script>
		</xsl:if>
	</xsl:for-each>
	<table align="center" border="0" cellpadding="3" cellspacing="1" width="775" height="16" summary="Esta tabla contiene informes de alertas">
		<tr><td width="300" colspan="2" class="cab1">&#187;Informe de alertas (<xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informtico'"/></xsl:call-template>)</td></tr>
		<tr><td>
		<form action="{$servlet}" METHOD="GET" name="informes">
		<input type="hidden" name="module" value="dumbo7/alertas.index.informesInformatico"/>
		<input type="hidden" name="NivelAlertas" value="{$Nivel}"/>
		<input type="hidden" name="FechasD" value="{$FechasD}"/>
		<input type="hidden" name="FechasH" value="{$FechasH}"/>
		<input type="hidden" name="flag_resultados" value="{$flag_resultados}"/>
		<table class="cont" id="informes" border="0" cellpadding="3" cellspacing="1" style="border-collapse: collapse" width="775" height="16" summary="Esta tabla contiene informes de alertas">
				<tr>
					<td align="left" class="cabe" colspan="5"><b>Parmetros para la seleccin de datos</b></td>
				</tr>
				<!--Frmulario a rellenar para la creacin de informes-->
				<tr class="administracion">
					<td width="20">
						<xsl:if test="$TipoCheck='Pe'">
							<input name="TipoCheck" type="radio" value="Pe" checked="true"/>
						</xsl:if>
						<xsl:if test="$TipoCheck!='Pe'">
							<xsl:if test="$TipoCheck='Pl'">
								<input name="TipoCheck" type="radio" value="Pe"/>
							</xsl:if>
							<!--Si no hay ninguna seleccionada por defecto se pone Pe-->
							<xsl:if test="$TipoCheck!='Pl'">
								<input name="TipoCheck" type="radio" value="Pe" checked="true"/>
							</xsl:if>
						</xsl:if>
					</td>
					<td width="300">
						Tareas Pendientes
					</td>
					<!--comprobamos si el campo ya estaba marcado para que mantenga la opcion seleccionada-->
					<td width="20">
						
						<xsl:if test="$Historico='hist'">
							<input type="checkbox" name="Historico" value="hist" checked="true" onClick="javascript:ActivarDesactivarHistorico()"/>
						</xsl:if>
						<!--Si hay un campo ordenar seleccionado, historico no puede seleccionarse-->
						<xsl:if test="$Historico!='hist'">
							<input type="checkbox" name="Historico" value="hist" onClick="javascript:ActivarDesactivarHistorico()"/>
						</xsl:if>
					</td>
					<td width="40" colspan="2">
						Histrico
					</td>
				</tr>
				<tr class="administracion">
					<td width="20">
						
						<xsl:if test="$TipoCheck='Pl'">
							<input name="TipoCheck" type="radio" value="Pl" checked="true"/>
						</xsl:if>
						<xsl:if test="$TipoCheck!='Pl'">
							<input name="TipoCheck" type="radio" value="Pl"/>
						</xsl:if>
					</td>
					<td width="300">
						Tareas Planificadas
					</td>
					<td>&#160;</td>
					<td width="40">Desde:</td>
					<td width="300"><input type="text" onchange="changeDate(this)" name="Fechas" id="f_FecDesde" size="11" value="{$FechasD}"/>
						<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_a"
							style="cursor: pointer; border: 1px solid red;"
							title="Selecciona Fecha"
							onmouseover="this.style.background='red';"
							onmouseout="this.style.background=''"  />
					</td>
							<script type="text/javascript">
								Calendar.setup({
									inputField     :    "f_FecDesde",
									ifFormat       :    "%d/%m/%Y",
									button         :    "f_trigger_a",
									align          :    "Tl",
									onSelect       :    selectDateDesde,
									singleClick    :    false
									});
							</script>
			
					</tr>		
				<tr class="administracion">
					<td width="20">&#160;</td>
					<td width="300">&#160;</td>
					<td>&#160;</td>
					<td width="40">Hasta:</td>
					<td width="300"><input type="text" onchange="changeDate(this)" name="Fechas" id="f_FecHasta" size="11" value="{$FechasH}"/>
						<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_b"
							style="cursor: pointer; border: 1px solid red;"
							title="Selecciona Fecha"
							onmouseover="this.style.background='red';"
							onmouseout="this.style.background=''"/>
					</td>
							<script type="text/javascript">
								Calendar.setup({
								inputField     :    "f_FecHasta",
								ifFormat       :    "%d/%m/%Y",
								button         :    "f_trigger_b",
								align          :    "Tl",
								onSelect       :    selectDateHasta,
								singleClick    :    false
								});
							</script>
							
						
				</tr>
				<tr>
					<td align="left" class="cabe" colspan="5"><b>Presentacin de datos</b></td>
				</tr>
				<tr class="administracion">
					<!--comprobamos si el campo ya estaba marcado para que mantenga la opcion seleccionada-->
					<td>
						<xsl:if test="$ordenar='ord'">
							<input type="checkbox" name="ordenar" value="ord" checked="true" onClick="javascript:ActivarDesactivarOrdenar()"/>
						</xsl:if>
						<!--Si no esta seleccionado ordenar por aplicacion-->
						<xsl:if test="$ordenar!='ord'">
								<input type="checkbox" name="ordenar" value="ord" onClick="javascript:ActivarDesactivarOrdenar()"/>
						</xsl:if>
						
					</td>
					<td colspan="4">
						Ordenar por aplicaciones
					</td>
				</tr>
				<tr class="administracion">
					<td><!--comprobamos si el campo ya estaba marcado para que mantenga la opcion seleccionada-->
						<xsl:if test="$restringir='rest'"><input type="checkbox" name="restringir" value="rest" checked="true" onClick="javascript:ActivarDesactivarRestringir()"/></xsl:if>
						<!--Si tenemos seleccionada la opcin de ordenar por aplicacin tiene que estar la opcion de restringir disabled=false para poder-->
						<xsl:if test="$ordenar='ord'">
							<xsl:if test="$restringir!='rest'">
								<input type="checkbox" name="restringir" value="rest" onClick="javascript:ActivarDesactivarRestringir()"/>
							</xsl:if>
						</xsl:if>
						
						<xsl:if test="$ordenar!='ord'">
							<xsl:if test="$restringir!='rest'">
								<input type="checkbox" name="restringir" value="rest" disabled="true" onClick="javascript:ActivarDesactivarRestringir()"/>
							</xsl:if>
						</xsl:if>
					</td><!--comprobamos si el campo ya estaba marcado para que mantenga la opcion seleccionada-->
					<td colspan="4">
						Filtrar aplicacin: &#160;
						<xsl:if test="$restringir='rest'">
							<select name="TarAplCod" size="1">
								<xsl:for-each select="DATA/ALERTAS/APLICACION_VINCULADA[not(@PADRE)]">
									<xsl:sort select="@DESCRIPCION"/>
									<xsl:variable name="aplPadre" select="@CODIGO"></xsl:variable>
									<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
									<xsl:for-each select="../APLICACION_VINCULADA[@PADRE = $aplPadre]">
										<option value="{@CODIGO}">&#160;&#160;<xsl:value-of select="@DESCRIPCION"/></option>
									</xsl:for-each>
								</xsl:for-each>
								<xsl:for-each select="DATA/ALERTAS/APLICACION_VINCULADA[@PADRE]">
									<xsl:variable name="aplPadre" select="@PADRE"></xsl:variable>
									<xsl:if test="count(../APLICACION_VINCULADA[(@CODIGO=$aplPadre)])=0">
											<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
									</xsl:if>
								</xsl:for-each>
								<!--<xsl:for-each select="DATA/ALERTAS/APLICACION_VINCULADA">
									<xsl:if test="@CODIGO=$TarAplCod">
										<option value="{@CODIGO}" selected="true">
											<xsl:value-of select="@CODIGO"/>
										</option>
									</xsl:if>
									<xsl:if test="@CODIGO!=$TarAplCod">
										<option value="{@CODIGO}" >
											<xsl:value-of select="@CODIGO"/>
										</option>
									</xsl:if>
								</xsl:for-each>-->
							</select>
							<script>
								for (var i=0, option; option = document.informes.TarAplCod.options[i]; i++)
								{
									if (option.value == '<xsl:value-of select="$TarAplCod"/>')
									{
										option.selected = true;
									}
								}
							</script>
						</xsl:if>
						<!--Si el campo no estaba marcado-->
						<xsl:if test="$restringir!='rest'">
							<select name="TarAplCod" size="1" disabled="true" >
								<option value="-1">-Introduzca una aplicacin-</option>
									<xsl:for-each select="DATA/ALERTAS/APLICACION_VINCULADA[not(@PADRE)]">
										<xsl:sort select="@DESCRIPCION"/>
										<xsl:variable name="aplPadre" select="@CODIGO"></xsl:variable>
										<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
										<xsl:for-each select="../APLICACION_VINCULADA[@PADRE = $aplPadre]">
											<option value="{@CODIGO}">&#160;&#160;<xsl:value-of select="@DESCRIPCION"/></option>
										</xsl:for-each>
									</xsl:for-each>
									<xsl:for-each select="DATA/ALERTAS/APLICACION_VINCULADA[@PADRE]">
										<xsl:variable name="aplPadre" select="@PADRE"></xsl:variable>
										<xsl:if test="count(../APLICACION_VINCULADA[(@CODIGO=$aplPadre)])=0">
											<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
										</xsl:if>
									</xsl:for-each>
								<!--<xsl:for-each select="DATA/ALERTAS/APLICACION_VINCULADA">
									<option value="{@CODIGO}">
										<xsl:value-of select="@CODIGO"/>
									</option>
								</xsl:for-each>-->
							</select>
						</xsl:if>
					</td>
				</tr>
				<tr class="administracion">
					<td colspan="5" align="center"><input type="button" class="boton" value="generar HTML" onclick="javascript:comprueba_presentacion('dumbo7/alertas.index.genInformeInformatico',0)"/>
					&#160;<input type="button" class="boton" value="generar PDF" onclick="javascript:comprueba_presentacion('?module=dumbo7/alertas.index.PDFInformatico',1);"/></td>
				</tr>
				
				<!--Si al realizar una peticin de informe no devuelve ningn resultado o se entra por primera vez a la pgina, se muestra el mensaje "Sin Resultados"-->
				
				<xsl:if test="count(DATA/ALERTAS/TAREAS)= 0 and $flag_resultados=1">	
						<tr class="administracion"><td colspan="5"><CENTER>Sin Resultados</CENTER></td></tr>
				</xsl:if>
				<!--Si hay resultados se muestran a continuacin del botn "generar"-->
			</table>
			
			<!--*************TABLA PARA LOS RESULTADOS DE LA BUSQUEDA****************-->
			<table class="cont" id="resultados" border="0" cellpadding="3" cellspacing="1" style="border-collapse: collapse" width="780" height="16" summary="Esta tabla contiene informes de alertas">
							
				<!--INFORMES DE ALERTAS DE TAREAS PENDIENTES-->
				<xsl:if test="count(DATA/ALERTAS/TAREAS)!= 0 and $TipoCheck='Pe'">
					<tr class="cabe">
						<td colspan="8">
							<b>Resultados de la consulta</b>
						</td>
					</tr>
					<!--primer encabezado para pendientes-->
					<tr class="cabeAlertas">
						<td width="76"><strong>Cdigo</strong></td>
						<td width="60"><strong>Tipo</strong></td>
						<td width="60"><strong>Prioridad</strong></td>
						<td width="170"><strong>Estado</strong></td>
						<td width="100"><strong>F.Solicitud</strong></td>
						<td width="100"><strong>F.Asignacin</strong></td>
						<td width="100"><strong>F.Alarma</strong></td>
						<td width="62"><strong>N.alarmas</strong></td>
					</tr>
					<!--segundo encabezado para pendientes-->
					<tr class="cabeAlertas">
					<!--El segundo encabezado solo se debe mostrar para el primer resultado-->
						<td>&#160;</td>
						<td colspan="2"><strong>Aplicacin</strong></td>
						<td colspan="2"><strong>Solicitante</strong></td>
						<td colspan="3"><strong>Asunto</strong></td>
					</tr>
					<xsl:for-each select="DATA/ALERTAS/TAREAS">
						<tr class="administracion">
							<!--No hace falta haber hecho mapeo de TAREAS_ALERTAS, ya que me lo devuelve directamente despues de la consulta-->
							<!--  <td align="center"><xsl:value-of select="TAREAS/@CODIGO"/></td>-->
							<td>
								<a title="Mostrar informacin sobre tarea" href="javascript:cargaInfo({TAREAS/@CODIGO})">
									<xsl:value-of select="TAREAS/@CODIGO"/>
								</a>	
							</td>
							<td align="center"><xsl:value-of select="TAREAS/@TIPO_TAREA"/></td>
							<td align="center">
								<xsl:variable name="prioridad"><xsl:value-of select="TAREAS/@PRIORIDAD"/></xsl:variable>
								<xsl:if test="count(../../ALERTAS/PRIORIDAD[@CODIGO = $prioridad])= 0">	
									Sin prioridad
								</xsl:if>
								<xsl:for-each select="../../ALERTAS/PRIORIDAD[@CODIGO = $prioridad]">
									<xsl:value-of select="@DESCRIPCION"/>
								</xsl:for-each>
							</td>
							<!--6 estados posibles:
									-P:Pendiente Asignacin		-A:Asignada 	-W:En estado de espera
									-N:Anulada		-R:Resuelta		-X:Rechazada -F:Finalizado con subtareas -->
							<!--Son todos los estados, pero en realidad, a la hora de generar alertas solo 
								se generan de las que se encuentran en estado asignado o rechazado-->
							<xsl:choose>
								<xsl:when test="TAREAS/@ESTADO='P'">
									<td width="100" align="center">
										<img  border="0" src="../graficos/iconos/pendiente_ico.gif" alt="Pendiente de asignacin"/>
									</td>
								</xsl:when>
								<xsl:when test="TAREAS/@ESTADO='A'">
									<td width="100" align="center">
										<img  border="0" src="../graficos/iconos/asignada_ico.gif" alt="Asignada"/>
									</td>															
								</xsl:when>
								<xsl:when test="TAREAS/@ESTADO='W'">
									<td width="100" align="center">
										<img  border="0" src="../graficos/iconos/espera_ico.gif" alt="En espera"/>
									</td>													
								</xsl:when>
								<xsl:when test="TAREAS/@ESTADO='N'">
									<td width="100" align="center">
										<img  border="0" src="../graficos/iconos/N.gif" alt="Anulada"/>
									</td>		
								</xsl:when>
								<xsl:when test="TAREAS/@ESTADO='R'">
									<td width="100" align="center">
										<img  border="0" src="../graficos/iconos/resuelta_ico.gif" alt="Resuelta"/>
									</td>	
								</xsl:when>
								<xsl:when test="TAREAS/@ESTADO='X'">
									<td width="100" align="center">
										<img  border="0" src="../graficos/iconos/rechazada_ico.gif" alt="Rechazada"/>
									</td>	
								</xsl:when>
								<xsl:when test="TAREAS/@ESTADO='F'">
									<td width="100" align="center">
										<img  border="0" src="../graficos/iconos/F.gif" alt="Resuelta con subtareas"/>
									</td>	
								</xsl:when>
							</xsl:choose>
							<td align="center"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="TAREAS/@FECHA_CREACION"/></xsl:call-template></td>
							
							<!--Mostramos el ultimo movimiento de la tarea, aunque puede que la tarea no este asignada y no tenga ningun movimiento-->
							<xsl:variable name="CodigoTarea"><xsl:value-of select="TAREAS/@CODIGO"/></xsl:variable> 
							<xsl:if test="count(../../ALERTAS/MOVIMIENTOS[@TAREA=$CodigoTarea])=0">
								<td align="center">
									Sin asignar
								</td>
							</xsl:if>
							<xsl:for-each select="../../ALERTAS/MOVIMIENTOS">
								<xsl:if test="@TAREA=$CodigoTarea">
									<td align="center">
										<xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="@FECHA"/></xsl:call-template>
									</td>							
								</xsl:if>
							</xsl:for-each>
							<td align="center"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="TAREAS_ALERTAS/@FECHA_ALERTA"/></xsl:call-template></td>
							<!--Mostramos el nivel de la alerta de mayor nivel de la tarea-->
							<xsl:for-each select="../../ALERTAS/ALERTA_MAXNIVEL ">
								<xsl:if test="@TAREA=$CodigoTarea">
									<td align="center">
										<xsl:value-of select="@NIVEL"/>
									</td>							
								</xsl:if>
							</xsl:for-each>
						</tr>
						<tr class="administracion">
							<td>&#160;</td>
							<!--Se va a mostrar la descripcin de la aplicacin en vez del cdigo (mayor claridad)-->
							<!--<xsl:variable name="CodigoAplicacion"><xsl:value-of select="TAREAS/@APLICACION"/></xsl:variable> 
							<xsl:for-each select="../../ALERTAS/APLICACION">
								<xsl:if test="@CODIGO=$CodigoAplicacion">
									<td colspan="2" class="celdapaipucMet">
										<xsl:value-of select="@DESCRIPCION"/>
									</td>							
								</xsl:if>
							</xsl:for-each>-->

							<!--Vamos a mostrar el cdigo de la aplicacin en vez de la descripcin-->
							<!--Atencin!, he dejado el mapeo por si hay cambio de opinin y se quiere la descripcin-->
							<td colspan="2" class="celdapaipucMet"><xsl:value-of select="TAREAS/@APLICACION"/></td>
							
							<!--Buscamos los datos personales del solicitante (solo se mapean los datos personales de los solicitantes de las tareas)-->
							<xsl:variable name="CodigoUsuario"><xsl:value-of select="TAREAS/@USUARIO"/></xsl:variable> 
							<xsl:for-each select="../../ALERTAS/DATOS_PERSONALES">
								<xsl:if test="@IDENTIFICADOR=$CodigoUsuario">
									<td colspan="2" class="celdapaipucMet">
										<xsl:value-of select="@APELLIDOS"/>,&#160;<xsl:value-of select="@NOMBRE"/>
									</td>							
								</xsl:if>
							</xsl:for-each>
							<td colspan="3" class="celdapaipucMet"><xsl:value-of select="TAREAS/@ASUNTO"/></td>
						</tr>
						<tr class="lineaResultados"><td colspan="8"><hr width="100%"></hr></td></tr>
					</xsl:for-each>
				</xsl:if>
				
				<!--INFORMES DE ALERTAS DE TAREAS PLANIFICADAS-->
				<xsl:if test="count(DATA/ALERTAS/TAREAS)!= 0 and $TipoCheck='Pl'">	
					<tr class="cabe">
						<td colspan="8">
							<b>Resultados de la consulta</b>
						</td>
					</tr>
					<!--primer encabezado para pendientes-->
					<tr class="cabeAlertas">
						<td width="76"><strong>Cdigo</strong></td>
						<td idth="60"><strong>Tipo</strong></td>
						<td width="50"><strong>Estado</strong></td>
						<td width="120"><strong>F.Solicitud</strong></td>
						<td width="120"><strong>F.Asignacin</strong></td>
						<td width="120"><strong>F. Prevista resolucin</strong></td>
						<td width="120"><strong>F.Alarma</strong></td>
						<td width="62"><strong>N.alarmas</strong></td>
					</tr>
					<tr class="cabeAlertas">
					<!--El segundo encabezado solo se debe mostrar para el primer resultado-->
						<td>&#160;</td>
						<td colspan="2"><strong>Aplicacin</strong></td>
						<td colspan="2"><strong>Solicitante</strong></td>
						<td colspan="3"><strong>Asunto</strong></td>
					</tr>
					<xsl:for-each select="DATA/ALERTAS/TAREAS">
						<tr class="administracion">
							<!--No hace falta haber hecho mapeo de TAREAS_ALERTAS, ya que me lo devuelve directamente despues de la consulta-->
							<!--  <td align="center"><xsl:value-of select="TAREAS/@CODIGO"/></td>-->
							<td>
								<a title="Mostrar informacin sobre tarea" href="javascript:cargaInfo({TAREAS/@CODIGO})">
									<xsl:value-of select="TAREAS/@CODIGO"/>
								</a>	
							</td>
							<td align="center"><xsl:value-of select="TAREAS/@TIPO_TAREA"/></td>
							<!--6 estados posibles:
									-P:Pendiente Asignacin		-A:Asignada 	-W:En estado de espera
									-N:Anulada		-R:Resuelta		-X:Rechazada -F:Finalizado con subtareas -->
							<!--Son todos los estados, pero en realidad, a la hora de generar alertas solo 
								se generan de las que se encuentran en estado asignado o rechazado-->
							<xsl:choose>
								<xsl:when test="TAREAS/@ESTADO='P'">
									<td align="center">
										<img  border="0" src="../graficos/iconos/pendiente_ico.gif" alt="Pendiente de asignacin"/>
									</td>
								</xsl:when>
								<xsl:when test="TAREAS/@ESTADO='A'">
									<td align="center">
										<img  border="0" src="../graficos/iconos/asignada_ico.gif" alt="Asignada"/>
									</td>															
								</xsl:when>
								<xsl:when test="TAREAS/@ESTADO='W'">
									<td align="center">
										<img  border="0" src="../graficos/iconos/espera_ico.gif" alt="En espera"/>
									</td>													
								</xsl:when>
								<xsl:when test="TAREAS/@ESTADO='N'">
									<td align="center">
										<img  border="0" src="../graficos/iconos/N.gif" alt="Anulada"/>
									</td>		
								</xsl:when>
								<xsl:when test="TAREAS/@ESTADO='R'">
									<td align="center">
										<img  border="0" src="../graficos/iconos/resuelta_ico.gif" alt="Resuelta"/>
									</td>	
								</xsl:when>
								<xsl:when test="TAREAS/@ESTADO='X'">
									<td align="center">
										<img  border="0" src="../graficos/iconos/rechazada_ico.gif" alt="Rechazada"/>
									</td>	
								</xsl:when>
								<xsl:when test="TAREAS/@ESTADO='F'">
									<td align="center">
										<img  border="0" src="../graficos/iconos/F.gif" alt="Resuelta con subtareas"/>
									</td>	
								</xsl:when>
							</xsl:choose>
							<td align="center"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="TAREAS/@FECHA_CREACION"/></xsl:call-template></td>
							<!--Mostramos el ultimo movimiento de la tarea-->
							<xsl:variable name="CodigoTarea"><xsl:value-of select="TAREAS/@CODIGO"/></xsl:variable>
							<xsl:if test="count(../../ALERTAS/MOVIMIENTOS[@TAREA=$CodigoTarea])=0">
								<td align="center">
									Sin asignar
								</td>
							</xsl:if>
							<xsl:for-each select="../../ALERTAS/MOVIMIENTOS">
								<xsl:if test="@TAREA=$CodigoTarea">
									<td align="center">
										<xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="@FECHA"/></xsl:call-template>
									</td>							
								</xsl:if>
							</xsl:for-each>
							<td align="center"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="TAREAS/@PLANIFICACION"/></xsl:call-template></td>
							<td align="center"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="TAREAS_ALERTAS/@FECHA_ALERTA"/></xsl:call-template></td>
							<!--Mostramos el nivel de la alerta de mayor nivel de la tarea-->
							<xsl:for-each select="../../ALERTAS/ALERTA_MAXNIVEL ">
								<xsl:if test="@TAREA=$CodigoTarea">
									<td align="center">
										<xsl:value-of select="@NIVEL"/>
									</td>							
								</xsl:if>
							</xsl:for-each>
						</tr>
						
						<tr class="administracion">
							<td>&#160;</td>
							<!--Se va a mostrar la descripcin de la aplicacin en vez del cdigo (mayor claridad)-->
							<!--<xsl:variable name="CodigoAplicacion"><xsl:value-of select="TAREAS/@APLICACION"/></xsl:variable> 
							<xsl:for-each select="../../ALERTAS/APLICACION">
								<xsl:if test="@CODIGO=$CodigoAplicacion">
									<td colspan="2" class="celdapaipucMet">
										<xsl:value-of select="@DESCRIPCION"/>
									</td>							
								</xsl:if>
							</xsl:for-each>-->
							
							<!--Vamos a mostrar el cdigo de la aplicacin en vez de la descripcin-->
							<!--Atencin!, he dejado el mapeo por si hay cambio de opinin y se quiere la descripcin-->
							<td colspan="2" class="celdapaipucMet"><xsl:value-of select="TAREAS/@APLICACION"/></td>
							
							<!--Buscamos los datos personales del solicitante (solo se mapean los datos personales de los solicitantes de las tareas)-->
							<xsl:variable name="CodigoUsuario"><xsl:value-of select="TAREAS/@USUARIO"/></xsl:variable> 
							<xsl:for-each select="../../ALERTAS/DATOS_PERSONALES">
								<xsl:if test="@IDENTIFICADOR=$CodigoUsuario">
									<td colspan="2" class="celdapaipucMet">
										<xsl:value-of select="@APELLIDOS"/>,&#160;<xsl:value-of select="@NOMBRE"/>
									</td>							
								</xsl:if>
							</xsl:for-each>
							<td colspan="3" class="celdapaipucMet"><xsl:value-of select="TAREAS/@ASUNTO"/></td>
						</tr>
						<tr class="lineaResultados"><td colspan="8"><hr width="100%"></hr></td></tr>
					</xsl:for-each>
				</xsl:if>
			</table>
		</form>
		</td></tr>
	</table>
</xsl:template>

</xsl:stylesheet>
	