<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="selected"/>
<xsl:param name="page"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:include href="atica/frameweb/xml/templates/paginable.xsl"/>

<xsl:template match="XMLROOT">

<html lang="es">

	<xsl:call-template name="headComun">
		<xsl:with-param name="calendar" select="true()"/>
		<xsl:with-param name="jscript">
			<SCRIPT LANGUAGE="JavaScript">
				<xsl:choose>
					<xsl:when test="string-length(DATA/ATENCION/@ERROR)>0">
					function reload() {
						alert('<xsl:value-of select="DATA/ATENCION/@ERROR"/>');	
						top.close();
					}
					</xsl:when>
					<xsl:otherwise>
					function reload() {
						alert('La empresa ha sido asignada correctamente.');
						top.opener.recargar();
						top.close();
					}
					</xsl:otherwise>
				</xsl:choose>
			</SCRIPT>
		</xsl:with-param>
	</xsl:call-template>

<body onload="reload();">
</body>
</html>

</xsl:template>

<xsl:template name="cuerpo"/>

</xsl:stylesheet>
	