<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="selected"/>
<xsl:param name="caduca" select="'S'"/>
<xsl:param name="tarea"/>
<xsl:param name="numItem"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:include href="atica/frameweb/xml/templates/paginable.xsl"/>

<xsl:template match="XMLROOT">
<xsl:variable name="aplPerm">MIGRACION</xsl:variable>	
<html lang="es">

	<xsl:call-template name="headComun">
		<xsl:with-param name="calendar" select="true()"/>
		<xsl:with-param name="jscript">
			<link REL="stylesheet" HREF="../js/solicitudes/ajax.css" TYPE="text/css"/>
			<SCRIPT LANGUAGE="JavaScript" SRC="../js/solicitudes/ajax.js"></SCRIPT>
			<SCRIPT LANGUAGE="JavaScript" SRC="../js/solicitudes/ajax-dynamic-list.js"></SCRIPT>
			<SCRIPT LANGUAGE="JavaScript" SRC="../js/utils/formRAsigna.js"></SCRIPT>
			<SCRIPT LANGUAGE="JavaScript">
				var srvName = '<xsl:value-of select="$servlet"/>';
				var inf = '<xsl:call-template name="traduce"><xsl:with-param name="id" select="'informatico'"/></xsl:call-template>';
				var infs = '<xsl:call-template name="traduce"><xsl:with-param name="id" select="'informaticos'"/></xsl:call-template>';
				var userDom = '<xsl:value-of select="DATA/ATENCION/USER/@DOMINIO"/>';
				var miApp = '<xsl:value-of select="DATA/ATENCION/RESPONSABLES[1]/@APLICACION"/>';
				var miSeccion = '<xsl:value-of select="DATA/ATENCION/USER/SECCION[starts-with($menu,concat(key,'/'))]/value"/>';
				var isResp = false;
				<xsl:if test="(count(DATA/ATENCION/RESPONSABLES[@INFORMATICO=/XMLROOT/DATA/ATENCION/USER/@ID])>0) or (DATA/ATENCION/RESPONSABLES/@APLICACION=$aplPerm)">
				isResp = true;
				</xsl:if>
				var isResp2 = false;
			   <xsl:if test="(count(DATA/ATENCION/RESPONSABLES[@INFORMATICO=/XMLROOT/DATA/ATENCION/USER/@ID])>0) or (DATA/ATENCION/RESPONSABLES/@APLICACION=$aplPerm)">
				isResp2 = true;
			   </xsl:if>
			</SCRIPT>
		</xsl:with-param>
	</xsl:call-template>

<body><xsl:if test="not($caduca='S') or not(count(DATA/ATENCION/RESPONSABLES[@INFORMATICO=/XMLROOT/DATA/ATENCION/USER/@ID])=0) or DATA/ATENCION/RESPONSABLES/@APLICACION=$aplPerm"><xsl:attribute name="onload">selectApp('<xsl:value-of select="DATA/ATENCION/RESPONSABLES[1]/@APLICACION"/>');</xsl:attribute></xsl:if>
	<div ID="divTexto" style="position:absolute; left:70; top:180; width:250; background-color:red; layer-background-color:red; visibility:hidden; color:white;">
		Reasignando tarea, espere un momento...
	</div>
	<form name="buscador" action="{$servlet}" method="get">
		<input type="hidden" name="module" value="dumbo7/atencion.formReasigna.buscarInformatico"/>
		<input type="hidden" name="patron" value=""/>
		<input type="hidden" name="aplcod" value=""/>
	</form>
	<form name="newSol" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="dumbo7/atencion.formReasigna.reasignar"/>
	<input type="hidden" name="tarCod" value="{$tarea}"/>
	<input type="hidden" name="tarPriCod" value=""/>
	<input type="hidden" name="tarCatCod" value=""/>
	<input type="hidden" name="tarPlanif" value=""/>
	<input type="hidden" name="tarDescrip" value=""/>
	<input type="hidden" name="tarUsuCod" value="{DATA/ATENCION/SOLICITUD/@USUEMAIL}"/>
	<input type="hidden" name="numItem" value="{$numItem}"/>
	<br/>
	<table class="contout">
		<tr class="peticion">
		<xsl:choose>
			<xsl:when test="($caduca='S') and count(DATA/ATENCION/RESPONSABLES[@INFORMATICO=/XMLROOT/DATA/ATENCION/USER/@ID])=0 and not(DATA/ATENCION/RESPONSABLES/@APLICACION=$aplPerm)">
				<td colspan="2"><b>Tarea con antigedad superior a la permitida para ser reasignada.</b></td>
			</xsl:when>
			<xsl:otherwise>
				<td colspan="2"><b>Seleccione una Aplicacin o <xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informatico'"/></xsl:call-template></b></td>
			</xsl:otherwise>
		</xsl:choose>
		</tr>
		<tr>
		<td>
		<table>
		<xsl:choose>
			<xsl:when test="($caduca='S') and count(DATA/ATENCION/RESPONSABLES[@INFORMATICO=/XMLROOT/DATA/ATENCION/USER/@ID])=0 and not(DATA/ATENCION/RESPONSABLES/@APLICACION=$aplPerm)">
				<tr>
				<td><b>Responsable Aplicacin:</b></td>
				<td>
					<select name="tarInfCod" size="1">
						<option value="-1">&lt;-- Seleccione Un Responsable --></option>
						<xsl:for-each select="DATA/ATENCION/RESPONSABLES">
							<option value="{@EMAIL}"><xsl:value-of select="@EMAIL"/></option>
						</xsl:for-each>
					</select>
					<input type="hidden" name="tarAplCod" value="{substring(DATA/ATENCION/RESPONSABLES[1]/@APLICACION,1,string-length(DATA/ATENCION/RESPONSABLES[1]/@APLICACION)-1)}"/>
				</td>
				</tr>
			</xsl:when>
			<xsl:otherwise>
				<tr>
				<td><b>Aplicacin:</b></td>
				<td>
					<INPUT TYPE="hidden" NAME="tarEDUbicacion" VALUE="{DATA/ATENCION/SOLICITANTE/CENTRO}"/>
					<INPUT TYPE="hidden" NAME="tarDniUsu" VALUE="0"/>
					<INPUT TYPE="hidden" NAME="tarAplTAsg" VALUE="-1"/>
					<input type="hidden" id="tarAplCod" name="tarAplCod" value=""/> 
					<input type="hidden" id="desapl_hidden" name="desapl_ID" value=""/> 
					<input type="hidden" id="aplCodIn" name="aplCodIn" value=""/> 
					<input type="text" id="desapl" name="desapl" value="" onchange="CambiaDeApl(this,event);return false;" size="60" maxlength="100"/>&#160;<a href="javascript:buscaAplicaciones();"><img title="Buscar Aplicaciones" src="../graficos/iconos/ampliar.gif" border="0"/></a>
					<div id="listaapls"></div>
					<div id="ubid"></div>
				</td>
				</tr>
				<tr>
				<td><b><xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informatico'"/></xsl:call-template>:</b></td>
				<td>
					<input type="text" name="tarInfCod" value="" size="20" onChange="cambiaInfo(this);return false;"/>&#160;<a href="javascript:buscaInformatico();"><img title="Buscar" src="../graficos/iconos/ampliar.gif" border="0"/></a>
				</td>
				</tr>
				<tr><td>&#160;</td><td id="infname">&#160;</td></tr>
			</xsl:otherwise>
		</xsl:choose>
		<tr>
			<td colspan="2"><b>Motivo:</b></td>
			</tr>
			<tr>
			<td colspan="2">
				<textarea name="tarDescripSegui" rows="5" cols="70"></textarea>
			</td>
		</tr>
		</table>
		</td>
		</tr>
		<tr>
			<td colspan="2" align="center">
				<input class="boton" type="button" value="Reasignar" onclick="enviar();"/>
			</td>
		</tr>
		<tr>
			<td colspan="2">&#160;</td>
		</tr>
		<tr>
		<xsl:choose>
		<xsl:when test="($caduca='S') and count(DATA/ATENCION/RESPONSABLES[@INFORMATICO=/XMLROOT/DATA/ATENCION/USER/@ID])=0 and not(DATA/ATENCION/RESPONSABLES/@APLICACION=$aplPerm)">
			<td colspan="2"><i><b>Nota:</b></i>&#160;La tarea lleva asignada/reasignada ms das de los permitidos, slo puede reasignarla a un responsable de aplicacin.</td>
		</xsl:when>
		<xsl:when test="count(DATA/ATENCION/RESPONSABLES[@INFORMATICO=/XMLROOT/DATA/ATENCION/USER/@ID])>0">
			<td colspan="2"><i><b>Nota:</b></i>&#160;Usted es Responsable de Aplicacin, puede reasignar la tarea <xsl:if test="$caduca='S'">aunque haya pasado el tiempo mximo</xsl:if>, indicando otra aplicacin distinta, o escogiendo otro <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informatico'"/></xsl:call-template>&#160;.</td>
		</xsl:when>
		<xsl:otherwise>
			<td colspan="2"><i><b>Nota:</b></i>&#160;Puede reasignar la tarea, indicando otra aplicacin distinta, o escogiendo otro <xsl:call-template name="traduce"><xsl:with-param name="id" select="'informatico'"/></xsl:call-template>&#160;dentro de la aplicacin asignada.</td>
		</xsl:otherwise>
		</xsl:choose>
		</tr>
		<tr class="peticion">
			<td colspan="2">&#160;</td>
		</tr>
	</table>
	</form>
</body>
</html>
</xsl:template>
<xsl:template name="cuerpo"></xsl:template>
</xsl:stylesheet>
	