<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:fo="http://www.w3.org/1999/XSL/Format"
  xmlns:str="http://xsltsl.org/string">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="selected"/>
<xsl:param name="page"/>

<xsl:include href="dumbo7/utils/xsl/printUtils.xsl"/>
<xsl:include href="dumbo7/utils/xsl/printDetail.xsl"/>

<xsl:template match="XMLROOT">
  <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
    <fo:layout-master-set>
      <fo:simple-page-master master-name="simple"
                             page-height="29.7cm" 
                             page-width="21cm"
                             margin-top="1cm" 
                             margin-bottom="1cm" 
                             margin-left="1.5cm" 
                             margin-right="1.5cm">
        <fo:region-before extent="1cm"/>
        <fo:region-after extent="1cm"/>
        <fo:region-body margin-top="1cm"
                        margin-bottom="1.5cm"/>
      </fo:simple-page-master>
    </fo:layout-master-set>

    <fo:page-sequence master-reference="simple">
      <!-- cabecera -->
	  <xsl:call-template name="headComun">
		<xsl:with-param name="title" select="'DUMBO: Detalle De Tarea'"/>
	  </xsl:call-template>
      <!-- pie de pgina -->
	  <xsl:call-template name="pieComun">
		<xsl:with-param name="title" select="'DUMBO: Detalle De Tarea'"/>
	  </xsl:call-template>

      <fo:flow flow-name="xsl-region-body">
		<xsl:call-template name="detailPrint">
			<xsl:with-param name="solicitudes" select="DATA/ATENCION"/>
		</xsl:call-template>
      </fo:flow>
    </fo:page-sequence>
  </fo:root>
</xsl:template>

</xsl:stylesheet>
	
