<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="selected"/>
<xsl:param name="page"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:include href="atica/frameweb/xml/templates/paginable.xsl"/>

<xsl:template match="XMLROOT">

<html lang="es">

	<xsl:call-template name="headComun">
		<xsl:with-param name="calendar" select="true()"/>
		<xsl:with-param name="jscript">
			<SCRIPT LANGUAGE="JavaScript">
			</SCRIPT>
		</xsl:with-param>
	</xsl:call-template>

<body>
	<table class="contout">
	<tr class="peticion"><td colspan="6" align="center"><font size="+1">Historial Tarea</font></td></tr>
	<xsl:if test="count(DATA/ATENCION/MOVIMIENTO)=0">
		<tr><td colspan="6">La Tarea No ha sufrido cambios desde que fue creada.</td></tr>
	</xsl:if>
	<xsl:if test="count(DATA/ATENCION/MOVIMIENTO)>0">
		<tr>
			<td><b>Infor.</b></td>
			<td><b>Fecha</b></td>
			<td><b>Tipo</b></td>
			<td><b>Descripcin</b></td>
			<td><b>Valor Anterior</b></td>
			<td><b>Valor Nuevo</b></td>
		</tr>
	</xsl:if>
	<xsl:for-each select="DATA/ATENCION/MOVIMIENTO[@TIPO_MOVIMIENTO='U' or @TIPO_MOVIMIENTO='R' or @TIPO_MOVIMIENTO='M' or count(/XMLROOT/DATA/SECURITY/ACTION[@NAME='historialCompleto']/PROFILE)>0]">
	<xsl:sort select="number(@CODIGO)" data-type="number"/>
		<tr>
			<td><xsl:value-of select="@EMAIL"/></td>
			<td><xsl:call-template name="date2String"><xsl:with-param name="fecha"><xsl:value-of select="@FECHA"/></xsl:with-param></xsl:call-template></td>
			<td align="center">
				<xsl:choose>
					<xsl:when test="@TIPO_MOVIMIENTO='U'">Asignacin Tarea</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='A'">Anulacin Tarea</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='C'">Cambio Categora</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='D'">Cambio Prioridad</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='O'">Cambio Aplicacin</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='L'">Cambio Fecha Planif.</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='V'">Devolucin Tarea</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='F'">Finaliza Tarea</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='I'">Cambio a Incidencia</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='P'">Cambio a Peticin</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='W'">Inicio Estado Espera</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='N'">Fin Estado Espera</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='R'">Reasignacin Tarea</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='X'">Rechazo Tarea</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='M'">Modificacin Tarea</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='T'">Reactivacin Tarea</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='K'">Rechazo Paso a Espera</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='S'">Solicitud Tarea</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='UD' or @TIPO_MOVIMIENTO='UI' or @TIPO_MOVIMIENTO='UGD' or @TIPO_MOVIMIENTO='UAD'">Asignacin Tarea</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='RDG' or @TIPO_MOVIMIENTO='RAG'">Asignacin Cola Genrica</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='UGA' or @TIPO_MOVIMIENTO='RA'">Asignacin Cola Aplic.</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='RD' or @TIPO_MOVIMIENTO='RI'">Reasignacin Tarea</xsl:when>
					<xsl:when test="@TIPO_MOVIMIENTO='XS'">Cambio de sistema</xsl:when>
					<xsl:otherwise>Otro(<xsl:value-of select="@TIPO_MOVIMIENTO"/>)</xsl:otherwise>
				</xsl:choose>
			</td>
			<td><xsl:choose>
				<xsl:when test="@TIPO_MOVIMIENTO='R'"></xsl:when>
				<xsl:otherwise><xsl:value-of select="@DESCRIPCION_MOVIMIENTO"/></xsl:otherwise>
			</xsl:choose></td>
			<td><xsl:value-of select="@VALOR_ANTERIOR"/></td>
			<td><xsl:value-of select="@VALOR_NUEVO"/></td>
		</tr>
	</xsl:for-each>
	<tr><td colspan="6">&#160;</td></tr>
	<tr>
		<td colspan="6" align="center"><input class="boton" type="button" onclick="top.close();" value="Cerrar"/></td>
	</tr>
	</table>

</body>
</html>
</xsl:template>
<xsl:template name="cuerpo"></xsl:template>
</xsl:stylesheet>
	