<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:key name="cuenta" match="XMLROOT/DATA/HORARIO/HORARIOS" use="@HORTURCOD"/>
<xsl:template match="XMLROOT">
<html lang="es">
<xsl:call-template name="headComun">
	<xsl:with-param name="jscript">
	<style type="text/css">@import url(../dumbo7/utils/jscalendar/calendar-win2k-1.css);</style>
	<script src="../dumbo7/utils/jscalendar/calendar.js" type="text/javascript"></script><script src="../dumbo7/utils/jscalendar/lang/calendar-es.js" type="text/javascript"></script><script src="../dumbo7/utils/jscalendar/calendar-setup.js" type="text/javascript"></script><SCRIPT SRC="../js/utils/filtrarInformacion.js" LANGUAGE="JavaScript"></SCRIPT>
	
		<script language="JavaScript">
			function enviar() {
			
			document.f1.turEstado.value = document.f1.turEstado2.value;
			document.f1.turFeciniVigencia.value = document.f1.inicioDesde.value;
			document.f1.turFecfinVigencia.value = document.f1.inicioHasta.value;
			document.f1.turHoraini.value = document.f1.horaini.value + ":" + document.f1.minini.value + ":00";
			document.f1.turHorafin.value = document.f1.horafin.value + ":" + document.f1.minfin.value + ":00";
			
				if(document.f1.turNumTecnicos.value>0){
					if(document.f1.horaini.value==document.f1.horafin.value){
						if(document.f1.minfin.value > document.f1.minini.value){
							document.f1.submit();
						}else{
						alert('la hora de fin debe de ser mayor que la de inicio');
						}
					}else{
						if(document.f1.horafin.value > document.f1.horaini.value){
							document.f1.submit();
						}else{
					alert('la hora de fin debe de ser mayor que la de inicio');
					}
					}
				
				}else{
				alert('Debe haber por lo menos 1 tecnico');
				}
				
				
				
			}
			function enviar2(mes, anyo) {
							document.calen.mes.value = mes;
							document.calen.anyo.value = anyo;
							document.calen.submit(); 
			}
			


			
		</script>
	</xsl:with-param>
</xsl:call-template>
<body>
<xsl:call-template name="menuComun">
	<xsl:with-param name="NAME" select="concat(DATA/HORARIO/USER/@NAME,concat('(',concat(DATA/HORARIO/USER/@LOGIN,')')))"/>
	<xsl:with-param name="MENU" select="DATA/MENU"/>
	<xsl:with-param name="SELECT" select="$menu"/>
</xsl:call-template>
<p>&#160;</p>
<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
<br/>


<xsl:variable name="sistema">

		

	<xsl:choose>
		<xsl:when test="contains($menu,'/')">
			<xsl:value-of select="substring-before($menu,'/')"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$menu"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:variable>
<table align="center" width="80%">
<tbody>
<tr>
<td style="no">
<a href="javascript:goMenu('dumbo7/geshorario.listaTurnos','D7/Ges/GesHorario/GesTurnos')" style="no">>>Volver</a>
</td>
<td>

<table class="cab1" style="width:100%">
	
	<tr>
	
<td>&#160;</td><td align="right"><font color="red" size="-1">(*) campos obligatorios.</font></td></tr>
	</table>

</td>


</tr>
</tbody>
</table>

<table align="center" width="100%" cellpadding="0" cellspacing="0">




<tr>
	<td valign="top">
	</td>
	<td valign="top">

	
		
<form method="POST" action="{$servlet}" name="calen">
			<input type="hidden" name="module"
				value="dumbo7/geshorario.index2" />
			<input type="hidden" name="mes" value="4" />
			<input type="hidden" name="anyo" value="2005" />
		</form>
	
	<form method="POST" action="{$servlet}" name="newTur">
	<input type="hidden" name="module" value="dumbo7/geshorario.gesTurnos"/>
	</form>
	
	<form method="POST" action="{$servlet}" name="f1">
	<xsl:variable name="fecha"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="DATA/HORARIO/TURNOS/@TURFECINIVIGENCIA"/></xsl:call-template></xsl:variable>
	<xsl:variable name="fecha2"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="DATA/HORARIO/TURNOS/@TURFECFINVIGENCIA"/></xsl:call-template></xsl:variable>
	<xsl:variable name="hora"><xsl:call-template name="date2String3"><xsl:with-param name="fecha" select="DATA/HORARIO/TURNOS/@TURHORAINI"/></xsl:call-template></xsl:variable>
	<xsl:variable name="hora2"><xsl:call-template name="date2String3"><xsl:with-param name="fecha" select="DATA/HORARIO/TURNOS/@TURHORAFIN"/></xsl:call-template></xsl:variable>
	<xsl:variable name="hini" select="substring-before($hora,':')"/>
	<xsl:variable name="mini" select="substring-after($hora,':')"/>
	<xsl:variable name="hfin" select="substring-before($hora2,':')"/>
	<xsl:variable name="mfin" select="substring-after($hora2,':')"/>
		<input type="hidden" name="module" value="dumbo7/geshorario.guardaTurnos"/>
		<input type="hidden" name="turSisCod" value="{$sistema}"/>
		<input type="hidden" name="turCod" value="{DATA/HORARIO/TURNOS/@TURCOD}"/>
		<input type="hidden" name="turHoraini" value=""/>
		<input type="hidden" name="turHorafin" value=""/>
		<input type="hidden" name="turFeciniVigencia" value="{$fecha}"/>
		<input type="hidden" name="turFecfinVigencia" value="{$fecha}"/>
				<input type="hidden" name="turEstado" value="{DATA/HORARIO/TURNOS/@TURESTADO}"/>
		<table class="contdet">
		<tr>
			<td class="cabe"><strong>Nuevo Turno</strong></td>
		</tr>
		<tr>
			<td class="cont">
	
	
				<table>
			<tr>
				<td><b>Numero de tcnicos</b><font color="red" size="-1">(*)</font>:</td><td>
<input type="text" name="turNumTecnicos" value="{DATA/HORARIO/TURNOS/@TURNUMTECNICOS}" size="20" maxlength="100"/>

</td>


			</tr>
<tr>


<td><b>Fecha inicio vigencia del turno:</b><font color="red" size="-1">(*)</font>:</td><td colspan="3">

				<input onChange="changeDate(this)" id="ini_desde" size="12" name="inicioDesde" type="text" value="{$fecha}"/>
<img id="trigger_ini_desde" src="../dumbo7/utils/jscalendar/img.gif" style="border: 1px solid red; cursor: pointer;" title="Selecciona Fecha" onmouseover="this.style.background='red';" onmouseout="this.style.background=''"/>
<script type="text/javascript">
		Calendar.setup({
			inputField : "ini_desde",
			ifFormat : "%d/%m/%Y",
			button : "trigger_ini_desde",
			align : "Tl",
			onSelect : selectDateIniDesde,
			singleClick : false
		});
</script>
</td>
<td>

				<b>Fecha fin vigencia del turno</b>:<input onChange="changeDate(this)" id="ini_hasta" size="12" name="inicioHasta" type="text" value="{$fecha2}"/>
				<img onmouseout="this.style.background=''" onmouseover="this.style.background='red';" title="Selecciona Fecha" style="cursor: pointer; border: 1px solid red;" id="trigger_ini_hasta" src="../dumbo7/utils/jscalendar/img.gif"/><script type="text/javascript">
					Calendar.setup({
						inputField     :    "ini_hasta",
						ifFormat       :    "%d/%m/%Y",
						button         :    "trigger_ini_hasta",
						align          :    "Tl",
						onSelect       :    selectDateIniHasta,
						singleClick    :    false
					});
				</script></td>







</tr>

<tr>
	<td>
	<b>Hora de inicio</b><font color="red" size="-1">(*)</font>:
	</td>
	<td>
	<select size="1" name="horaini">
	<xsl:choose>
	<xsl:when test="$hini='08'">
		<option value="08" selected="">08</option>
	</xsl:when>
	
	<xsl:when test="$hini!='08'">
		<option value="08" >08</option>
	</xsl:when>
	
	</xsl:choose>
	
	<xsl:choose>
	<xsl:when test="$hini='09'">
		<option value="09" selected="">09</option>
	</xsl:when>
	
	<xsl:when test="$hini!='09'">
		<option value="09" >09</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hini='10'">
		<option value="10" selected="">10</option>
	</xsl:when>
	
	<xsl:when test="$hini!='10'">
		<option value="10" >10</option>
	</xsl:when>
	
	</xsl:choose>
	
<xsl:choose>
	<xsl:when test="$hini='11'">
		<option value="11" selected="">11</option>
	</xsl:when>
	
	<xsl:when test="$hini!='11'">
		<option value="11" >11</option>
	</xsl:when>
	
	</xsl:choose>	
	

		<xsl:choose>
	<xsl:when test="$hini='12'">
		<option value="12" selected="">12</option>
	</xsl:when>
	
	<xsl:when test="$hini!='12'">
		<option value="12" >12</option>
	</xsl:when>
	
	</xsl:choose>
		
		
		<xsl:choose>
	<xsl:when test="$hini='13'">
		<option value="13" selected="">13</option>
	</xsl:when>
	
	<xsl:when test="$hini!='13'">
		<option value="08" >13</option>
	</xsl:when>
	
	</xsl:choose>
		
		<xsl:choose>
	<xsl:when test="$hini='14'">
		<option value="14" selected="">14</option>
	</xsl:when>
	
	<xsl:when test="$hini!='14'">
		<option value="14" >14</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hini='15'">
		<option value="15" selected="">15</option>
	</xsl:when>
	
	<xsl:when test="$hini!='15'">
		<option value="15" >15</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hini='16'">
		<option value="16" selected="">16</option>
	</xsl:when>
	
	<xsl:when test="$hini!='16'">
		<option value="16" >16</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hini='17'">
		<option value="17" selected="">17</option>
	</xsl:when>
	
	<xsl:when test="$hini!='17'">
		<option value="17" >17</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hini='18'">
		<option value="18" selected="">18</option>
	</xsl:when>
	
	<xsl:when test="$hini!='18'">
		<option value="18" >18</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hini='19'">
		<option value="19" selected="">19</option>
	</xsl:when>
	
	<xsl:when test="$hini!='19'">
		<option value="19" >19</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hini='20'">
		<option value="20" selected="">20</option>
	</xsl:when>
	
	<xsl:when test="$hini!='20'">
		<option value="20" >20</option>
	</xsl:when>
	
	</xsl:choose>
<xsl:choose>
	<xsl:when test="$hini='21'">
		<option value="21" selected="">21</option>
	</xsl:when>
	
	<xsl:when test="$hini!='21'">
		<option value="21" >21</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hini='22'">
		<option value="22" selected="">22</option>
	</xsl:when>
	
	<xsl:when test="$hini!='22'">
		<option value="22" >22</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hini='23'">
		<option value="23" selected="">23</option>
	</xsl:when>
	
	<xsl:when test="$hini!='23'">
		<option value="23" >23</option>
	</xsl:when>
	
	</xsl:choose>
  </select>
  
  <select size="1" name="minini">
  	<xsl:choose>
	<xsl:when test="$mini='00'">
		<option value="00" selected="">00</option>
	</xsl:when>
	<xsl:when test="$mini!='00'">
		<option value="00">00</option>
	</xsl:when>
	</xsl:choose>
  	<xsl:choose>
	<xsl:when test="$mini='05'">
		<option value="05" selected="">05</option>
	</xsl:when>
	<xsl:when test="$mini!='05'">
		<option value="05">05</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mini='10'">
		<option value="10" selected="">10</option>
	</xsl:when>
	<xsl:when test="$mini!='10'">
		<option value="10">10</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mini='15'">
		<option value="15" selected="">15</option>
	</xsl:when>
	<xsl:when test="$mini!='15'">
		<option value="15">15</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mini='20'">
		<option value="20" selected="">20</option>
	</xsl:when>
	<xsl:when test="$mini!='20'">
		<option value="20">20</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mini='25'">
		<option value="25" selected="">25</option>
	</xsl:when>
	<xsl:when test="$mini!='25'">
		<option value="25">25</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mini='30'">
		<option value="30" selected="">30</option>
	</xsl:when>
	<xsl:when test="$mini!='30'">
		<option value="30">30</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mini='35'">
		<option value="35" selected="">35</option>
	</xsl:when>
	<xsl:when test="$mini!='35'">
		<option value="35">35</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mini='40'">
		<option value="40" selected="">40</option>
	</xsl:when>
	<xsl:when test="$mini!='40'">
		<option value="40">40</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mini='45'">
		<option value="45" selected="">45</option>
	</xsl:when>
	<xsl:when test="$mini!='45'">
		<option value="45">45</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mini='50'">
		<option value="50" selected="">50</option>
	</xsl:when>
	<xsl:when test="$mini!='50'">
		<option value="50">50</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mini='55'">
		<option value="55" selected="">55</option>
	</xsl:when>
	<xsl:when test="$mini!='55'">
		<option value="55">55</option>
	</xsl:when>
	</xsl:choose>
  </select>
	</td>

</tr>


<tr>
	<td><strong>
	Hora de fin
	</strong><font color="red" size="-1">(*)</font>:
	</td>
	<td>
	<select size="1" name="horafin">
			<xsl:choose>
	<xsl:when test="$hfin='08'">
		<option value="08" selected="">08</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='08'">
		<option value="08" >08</option>
	</xsl:when>
	
	</xsl:choose>
	
	<xsl:choose>
	<xsl:when test="$hfin='09'">
		<option value="09" selected="">09</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='09'">
		<option value="09" >09</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hfin='10'">
		<option value="10" selected="">10</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='10'">
		<option value="10" >10</option>
	</xsl:when>
	
	</xsl:choose>
	
<xsl:choose>
	<xsl:when test="$hfin='11'">
		<option value="11" selected="">11</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='11'">
		<option value="11" >11</option>
	</xsl:when>
	
	</xsl:choose>	
	

		<xsl:choose>
	<xsl:when test="$hfin='12'">
		<option value="12" selected="">12</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='12'">
		<option value="12" >12</option>
	</xsl:when>
	
	</xsl:choose>
		
		
		<xsl:choose>
	<xsl:when test="$hfin='13'">
		<option value="13" selected="">13</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='13'">
		<option value="08" >13</option>
	</xsl:when>
	
	</xsl:choose>
		
		<xsl:choose>
	<xsl:when test="$hfin='14'">
		<option value="14" selected="">14</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='14'">
		<option value="14" >14</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hfin='15'">
		<option value="15" selected="">15</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='15'">
		<option value="15" >15</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hfin='16'">
		<option value="16" selected="">16</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='16'">
		<option value="16" >16</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hfin='17'">
		<option value="17" selected="">17</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='17'">
		<option value="17" >17</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hfin='18'">
		<option value="18" selected="">18</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='18'">
		<option value="18" >18</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hfin='19'">
		<option value="19" selected="">19</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='19'">
		<option value="19" >19</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hfin='20'">
		<option value="20" selected="">20</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='20'">
		<option value="20" >20</option>
	</xsl:when>
	
	</xsl:choose>
<xsl:choose>
	<xsl:when test="$hfin='21'">
		<option value="21" selected="">21</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='21'">
		<option value="21" >21</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hfin='22'">
		<option value="22" selected="">22</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='22'">
		<option value="22" >22</option>
	</xsl:when>
	
	</xsl:choose>
		<xsl:choose>
	<xsl:when test="$hfin='23'">
		<option value="23" selected="">23</option>
	</xsl:when>
	
	<xsl:when test="$hfin!='23'">
		<option value="23" >23</option>
	</xsl:when>
	
	</xsl:choose>
  </select>
  
  <select onchange="cambiaTiempo();" size="1" name="minfin">
	<xsl:choose>
	<xsl:when test="$mfin='00'">
		<option value="00" selected="">00</option>
	</xsl:when>
	<xsl:when test="$mfin!='00'">
		<option value="00">00</option>
	</xsl:when>
	</xsl:choose>
  	<xsl:choose>
	<xsl:when test="$mfin='05'">
		<option value="05" selected="">05</option>
	</xsl:when>
	<xsl:when test="$mfin!='05'">
		<option value="05">05</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mfin='10'">
		<option value="10" selected="">10</option>
	</xsl:when>
	<xsl:when test="$mfin!='10'">
		<option value="10">10</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mfin='15'">
		<option value="15" selected="">15</option>
	</xsl:when>
	<xsl:when test="$mfin!='15'">
		<option value="15">15</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mfin='20'">
		<option value="20" selected="">20</option>
	</xsl:when>
	<xsl:when test="$mfin!='20'">
		<option value="20">20</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mfin='25'">
		<option value="25" selected="">25</option>
	</xsl:when>
	<xsl:when test="$mfin!='25'">
		<option value="25">25</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mfin='30'">
		<option value="30" selected="">30</option>
	</xsl:when>
	<xsl:when test="$mfin!='30'">
		<option value="30">30</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mfin='35'">
		<option value="35" selected="">35</option>
	</xsl:when>
	<xsl:when test="$mfin!='35'">
		<option value="35">35</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mfin='40'">
		<option value="40" selected="">40</option>
	</xsl:when>
	<xsl:when test="$mfin!='40'">
		<option value="40">40</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mfin='45'">
		<option value="45" selected="">45</option>
	</xsl:when>
	<xsl:when test="$mfin!='45'">
		<option value="45">45</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mfin='50'">
		<option value="50" selected="">50</option>
	</xsl:when>
	<xsl:when test="$mfin!='50'">
		<option value="50">50</option>
	</xsl:when>
	</xsl:choose>
	  	<xsl:choose>
	<xsl:when test="$mfin='55'">
		<option value="55" selected="">55</option>
	</xsl:when>
	<xsl:when test="$mfin!='55'">
		<option value="55">55</option>
	</xsl:when>
	</xsl:choose>
  </select>
	</td>

</tr>
<tr>
<td>
<b>
Vigencia
</b><font color="red" size="-1">(*)</font>:
</td>
<td>
<select name="turEstado2">
<xsl:choose>
	<xsl:when test="DATA/HORARIO/TURNOS/@TURESTADO='V'">
		<option value="V" selected="">Vigente</option>
		<option value="N">No Vigente</option>
	</xsl:when>
	<xsl:when test="DATA/HORARIO/TURNOS/@TURESTADO='N'">
		<option value="N" selected="">No Vigente</option>
		<option value="V">Vigente</option>
	</xsl:when>
	<xsl:otherwise>
		<option value="V" selected="">Vigente</option>
		<option value="N">No Vigente</option>
	</xsl:otherwise>
</xsl:choose>

	</select>


</td>
</tr>
			
<tr>
	
  


</tr>

		</table>
		</td>
		</tr>
		<tr>
			<td class="cabe" align="center">
			<input type="button" class="boton" value="Aceptar" onClick="javascript:enviar();"/>
			<input type="button" class="boton" value="Cancelar" onClick="goMenu('dumbo7/geshorario.listaTurnos','D7/Ges/GesHorario/GesTurnos');"/></td>
		</tr>
		</table>
	</form>

	</td>
</tr>
</table>
</xsl:template>





<xsl:template name="date2String3">
		<xsl:param name="fecha" />
		<xsl:if test="string-length($fecha)>0">
			<xsl:variable name="date"
				select="substring-before($fecha,'T')" />
			<xsl:variable name="hora2"
				select="substring-after(substring-before($fecha,'.'),'T')" />
			<xsl:variable name="hora" select="substring($hora2,1,5)" />
			<xsl:variable name="anyo"
				select="substring-before($date,'-')" />
			<xsl:variable name="mes"
				select="substring-before(substring-after($date,'-'),'-')" />
			<xsl:variable name="dia"
				select="substring-after(substring-after($date,'-'),'-')" />
			<xsl:value-of select="$hora" />
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
	