<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:key name="cuenta" match="XMLROOT/DATA/HORARIO/HORARIOS" use="@HORTURCOD"/>
<xsl:template match="XMLROOT">
<html lang="es">
<xsl:call-template name="headComun">
	<xsl:with-param name="jscript">
	
		<script language="JavaScript">
			function turnos(){
	 			document.newTur.module.value = "dumbo7/geshorario.nuevoTurno";
				document.newTur.submit();
			}
			function pulsar(e) {
			  
			  tecla = (document.all) ? e.keyCode :e.which;
			 if(tecla == 13) buscaDNI(document.newHor.horInfCod);
			 
			 
			  return (tecla!=13);
			}
			function detalleUser(usr) {
			var w = window.open('about:blank','UserDetail','width=400,height=300,left=100,top=100,scrollbars=yes');
			document.detalleUsr.target = w.name;
			document.detalleUsr.user.value = usr;
			document.detalleUsr.submit();
		}
					function kron(usr) {
			var w = window.open('about:blank','UserDetail','width=400,height=300,left=100,top=100,scrollbars=yes');
			document.muestrakron.target = w.name;
			document.muestrakron.dni.value = usr;
			document.muestrakron.submit();
		}
			function buscaDNI(DNI)
				{
					var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/administracion/aplicaciones.formAsignarInformaticos.buscarDNI&amp;Codigo='+DNI;
			
					http_req = false;
			
					if (window.XMLHttpRequest){
						http_req = new XMLHttpRequest();
						if (http_req.overrideMimeType){
							http_req.overrideMimeType('text/xml');
						}
					}
					else if (window.ActiveXObject){
						try{
							http_req = new ActiveXObject("Msxml2.XMLHTTP");
						}catch (e){
							try{
								http_req = new ActiveXObject("Microsoft.XMLHTTP");
							}catch (e){}
						}
					}
			
					if (!http_req){
						alert('Falla: No es posible crear una instancia XMLHTTP');
						return false;
					}
					http_req.onreadystatechange = resuelveDNI;
					http_req.open('GET', url, true);
					http_req.send(null);
				}
				function resuelveDNI()
				{
					if (http_req.readyState == 4){
						if (http_req.status == 200){
							var text = http_req.responseText;
							var n = text.indexOf('&lt;'+'!--');
							if (n>=0) text = text.substring(0,n);
							var m = text.indexOf('.dtd">');
							if (m>=0) text = text.substring(m+6,text.length);
							eval(text);
						}
						else{
							alert('Hubo problemas con la peticin.');
						}
					}
				}
			function modificarTurno(turno){
				document.newTur.turCod.value=turno
				document.newTur.module.value = "dumbo7/geshorario.cargaTurno";
				document.newTur.submit();
			}
			
			
			function enviarhorario() {
			document.newHor.horTurCod.value = document.newHor.horTurCod2.value;
			
			switch(document.newHor.horTurCod.value){
			<xsl:for-each select="DATA/HORARIO/TURNOS">
			case "<xsl:value-of select="@TURCOD"/>":
			<xsl:variable name="turno" select="@TURCOD"/>
			<xsl:variable name="ausentes" select="count(../HORARIOS[@HORTURCOD=$turno and (@HORAUSENCIA='J' or @HORAUSENCIA='N')])"/>
			
				<xsl:choose>
					<xsl:when test="@TURNUMTECNICOS>(count(key('cuenta',@TURCOD))-$ausentes)">
					document.newHor.horTipo.value = document.newHor.horTipo2.value;
						document.newHor.submit();
					</xsl:when>
					<xsl:otherwise>
					if (confirm('El horario ya esta lleno:.\ndesea continuar?')) {
						document.newHor.horTipo.value= 'S';
						document.newHor.submit();
						
					}
					</xsl:otherwise>
					
				</xsl:choose>	
			 break;
			</xsl:for-each>
			}
			
			

			}
			function eliminar(turno, informatico) {
			if (confirm('Se va a eliminar el Informatico.\nEst Seguro?')) {
				document.newHor.horInfCod.value = informatico;
				document.newHor.horTurCod.value = turno;
				document.newHor.module.value = 'dumbo7/geshorario.borrarHorario';
				document.newHor.submit();
				}
			}
			function enviar(mes, anyo) {
							document.calen.mes.value = mes;
							document.calen.anyo.value = anyo;
							document.calen.submit(); 
			}
			function modificar(turno, informatico) {
				document.newHor.horInfCod.value = informatico;
				document.newHor.horTurCod.value = turno;
				document.newHor.module.value = 'dumbo7/geshorario.modificarHorario';
				document.newHor.submit();   
			}

		</script>
	</xsl:with-param>
</xsl:call-template>
<body>
<xsl:call-template name="menuComun">
	<xsl:with-param name="NAME" select="concat(DATA/HORARIO/USER/@NAME,concat('(',concat(DATA/HORARIO/USER/@LOGIN,')')))"/>
	<xsl:with-param name="MENU" select="DATA/MENU"/>
	<xsl:with-param name="SELECT" select="$menu"/>
</xsl:call-template>
<p>&#160;</p>
<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
		<xsl:variable name="fecha"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="DATA/HORARIO/FECHA"/></xsl:call-template></xsl:variable>
<br/>


<xsl:variable name="sistema">

		

	<xsl:choose>
		<xsl:when test="contains($menu,'/')">
			<xsl:value-of select="substring-before($menu,'/')"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$menu"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:variable>
<table align="center" width="80%" cellpadding="0" cellspacing="0">


<tr>
	<td valign="top">
	</td>
	<table class="cab1">
				<tbody>
				<tr>
				<td align="left">>>HORARIO A <xsl:value-of select="DATA/HORARIO/DIA"/>/<xsl:value-of select="DATA/HORARIO/MES"/>/<xsl:value-of select="DATA/HORARIO/ANYO"/> 
				</td>
				
				<td width="15%" align="center">

</td>
				</tr>

				</tbody>
			
			</table>
	<table width="90%" align="center">
	<tbody>
	<tr>
<td>
<a href="javascript:enviar({DATA/HORARIO/MES},'{DATA/HORARIO/ANYO}')">>>Volver</a>
</td>
<td><table class="cab1" style="width:100%">
	<tr><td align="right"><font color="red" size="-1">(*) campos obligatorios.</font></td></tr></table>
	</td>

</tr>
	</tbody>
	</table>
	<td valign="top">

	<table class="cab1">
	
	
	<table class="cab1">
	<tr>
	<td>
		<xsl:for-each select="DATA/HORARIO/TURNOS">
		<xsl:sort select="substring-after(substring-before(@TURHORAINI,'.'),'T')"/>
		<xsl:variable name="auxiliar" select="number(@TURCOD)" />
		<xsl:variable name="ausentes" select="count(../HORARIOS[@HORTURCOD=$auxiliar and (@HORAUSENCIA='J' or @HORAUSENCIA='N')])"/>			
			
					
			<table class="cont">
				<tbody>
					<tr class="cabe">
					<td colspan="10">
			
			
			
						<strong>
					
							&#160;Turno de&#160;<xsl:call-template
											name="date2String3">
											<xsl:with-param name="fecha"
												select="@TURHORAINI" />
										</xsl:call-template>
										<a>&#160;a&#160;</a>
										<xsl:call-template
											name="date2String3">
											<xsl:with-param name="fecha"
												select="@TURHORAFIN" />
										</xsl:call-template> asignados
										<xsl:value-of select="count(../HORARIOS[@HORTURCOD=$auxiliar])-$ausentes"/>
										de <xsl:value-of select="@TURNUMTECNICOS"/>
						</strong>
					</td>

					</tr>
					<tr>
					<td>ID</td><td>APELLIDOS, NOMBRE</td><td>CORREO</td><td>TIPO DE TURNO</td><td>AUSENCIA</td><td>MOTIVO</td><td></td><td></td>
					</tr>
					<xsl:for-each select="../HORARIOS[@HORTURCOD=$auxiliar]">
					
					<xsl:variable name="dni" select="@HORINFCOD"/>
					<tr>
						<td class="peticion">
							
							<xsl:value-of select="$dni"/>
						</td>
						<td class="peticion">
				
							<a href="javascript:detalleUser('{../INFORMATICO[@IDENTIFICADOR=$dni]/@EMAIL}');"><xsl:value-of select="../INFORMATICO[@IDENTIFICADOR=$dni]/@APELLIDOS"/>,&#160;<xsl:value-of select="../INFORMATICO[@IDENTIFICADOR=$dni]/@NOMBRE"/></a>
						</td>
						<td class="peticion">
						<xsl:variable name="correo"><xsl:value-of select="../INFORMATICO[@IDENTIFICADOR=$dni]/@EMAIL"/>
						</xsl:variable>
						<xsl:value-of select="substring-before($correo,'@')"/>
						</td>
						<td class="peticion">
						
						<xsl:choose>
						<xsl:when test="@HORTIPO='O'">
						Original
						
						</xsl:when>
						<xsl:when test="@HORTIPO='S'">
						Substitucion
						</xsl:when>
						
						
						</xsl:choose>
						
						</td>
						
						<td class="peticion">
						<xsl:if test="@HORAUSENCIA">
							<xsl:choose>
								<xsl:when test="@HORAUSENCIA='J'">
								<center>
									<img border="0" src="../graficos/iconos/vigente.gif" alt="Vigente"/>
								</center>
								</xsl:when>
								<xsl:when test="@HORAUSENCIA='N'">
								<center>
									<img border="0" src="../graficos/iconos/no_vigente.gif" alt="Vigente"/>
								</center>
								</xsl:when>
							</xsl:choose>		
						
						</xsl:if>
						</td>
						<td class="peticion">
							<xsl:value-of select="@HORMOTIVO"/>
						</td>
						<td><center>
<a href="javascript:modificar({$auxiliar},'{$dni}')"><img border="0" src="../graficos/iconos/Informatico+-.gif" title="aadir / eliminar ausencia" alt="aadir / eliminar ausencia"/></a>
</center></td>
<td>
<center>
<a href="javascript:eliminar({$auxiliar},'{$dni}');"><img border="0" src="../graficos/iconos/eliminar.gif" title="Eliminar Informatico" alt="Eliminar Informatico"/></a>
</center></td>
<td>
<center>
<a href="javascript:kron('{$dni}');"><img border="0" src="../graficos/iconos/ampliar.gif" title="ticaje en kron" alt="ticaje en kron"/></a>
</center></td>

					</tr>	
					</xsl:for-each>
					

				</tbody>				
			</table>		
		</xsl:for-each>
		</td>
		</tr>
		</table>
</table>
<form method="POST" name="newSol"/>
<form method="POST" action="{$servlet}" name="calen">
			<input type="hidden" name="module"
				value="dumbo7/geshorario.index2" />
			<input type="hidden" name="mes" value="4" />
			<input type="hidden" name="anyo" value="2005" />
		</form>

	<form method="POST" action="{$servlet}" name="newTur">
		<input type="hidden" name="module" value="dumbo7/geshorario.gesTurnos"/>
		<input type="hidden" name="fecha" value="{$fecha}"/>
		<input type="hidden" name="turSisCod" value="{$sistema}"/>
		<input type="hidden" name="turFecfinVigencia" value="{$fecha}"/>
		<input type="hidden" name="turCod" value=""/>
	</form>
	<form method="POST" action="{$servlet}" name="muestrakron">
		<input type="hidden" name="module" value="dumbo7/geshorario.kron"/>
		<input type="hidden" name="dni" value=""/>
		<input type="hidden" name="fechahora" value="{$fecha}"/>
		
	</form>
	<form name="detalleUsr" action="/Dumbov7/servlet/dumbo7.Dumbo7" method="post">
<input type="hidden" name="module" value="dumbo7/atencion.atender.detalleUser"/>
<input type="hidden" name="user" value=""/>
</form>


	</td>
</tr>
</table>

<br/>
<br/>	<form method="POST" action="{$servlet}" name="newHor">

		<input type="hidden" name="module" value="dumbo7/geshorario.crearNuevoHorario"/>
		<input type="hidden" name="horSisCod" value="{$sistema}"/>
		<input type="hidden" name="horFecha" value="{$fecha}"/>
		<input type="hidden" name="horTurCod" value=""/>
		<input type="hidden" name="horTipo" value=""/>
		
	
<table class="contdet" style="width:90%">

		<tr>
			<td class="cabe"><strong>DATOS DEL NUEVO HORARIO</strong></td>
		</tr>
		<tr>
			<td class="cont">
	
	
				<table>
			<tr>
			<td><i>Identificador<font color="red" size="-1">(*)</font>:</i></td>
                
                <td>
                <select name="horInfCod">
                <xsl:for-each select="DATA/HORARIO/OREJAS">
                
                
                	<option value="{@IDENTIFICADOR}"><xsl:value-of select="@APELLIDOS"/>&#160;<xsl:value-of select="@NOMBRE"/></option>
                </xsl:for-each>
                </select>
                </td>
             </tr>


			<tr>
				<td><i>Turno<font color="red" size="-1">(*)</font>:</i></td><td>
				<select name="horTurCod2">
				<xsl:for-each select="DATA/HORARIO/TURNOS">
						<option value="{@TURCOD}">

							<xsl:call-template name="date2String3">
											<xsl:with-param name="fecha" select="@TURHORAINI" />
										</xsl:call-template>
										<a>&#160;a&#160;</a>
										<xsl:call-template name="date2String3">
											<xsl:with-param name="fecha" select="@TURHORAFIN" />
										</xsl:call-template>

						</option>
				
				</xsl:for-each>
				
				</select>
				
				</td>
			</tr>
<tr>
	<td><i>Tipo<font color="red" size="-1">(*)</font>:</i></td><td>
  <select name="horTipo2">
    <option value="O">Original</option>
    <option value="S">Substitucion</option>
  </select>

</td>
</tr>
		</table>
		</td>
		</tr>
		<tr>
			<td class="cabe" align="center"><input type="button" class="boton" value="Aceptar" onClick="enviarhorario();"/></td>
		</tr>
		</table>
		</form>
</xsl:template>





<xsl:template name="date2String3">
		<xsl:param name="fecha" />
		<xsl:if test="string-length($fecha)>0">
			<xsl:variable name="date"
				select="substring-before($fecha,'T')" />
			<xsl:variable name="hora2"
				select="substring-after(substring-before($fecha,'.'),'T')" />
			<xsl:variable name="hora" select="substring($hora2,1,5)" />
			<xsl:variable name="anyo"
				select="substring-before($date,'-')" />
			<xsl:variable name="mes"
				select="substring-before(substring-after($date,'-'),'-')" />
			<xsl:variable name="dia"
				select="substring-after(substring-after($date,'-'),'-')" />
			<xsl:value-of select="$hora" />
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
	