<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xforms="http://www.w3.org/2002/xforms">
	<xsl:param name="servlet" />
	<xsl:param name="menu" />
	<xsl:include href="dumbo7/utils/xsl/utils.xsl" />
	<xsl:key name="cuentaturnos" match="XMLROOT/DATA/HORARIO/HORARIOS" use="concat(@HORTURCOD,',',@HORINFCOD)"/>
	<xsl:template match="XMLROOT">
		<html lang="es">
			<xsl:call-template name="headComun">
				<xsl:with-param name="jscript">
					<link rel="stylesheet" type="text/css" href="../geshorario.css" />
					<style type="text/css">@import url(../dumbo7/utils/jscalendar/calendar-win2k-1.css);</style>
					<script src="../dumbo7/utils/jscalendar/calendar.js" type="text/javascript"></script><script src="../dumbo7/utils/jscalendar/lang/calendar-es.js" type="text/javascript"></script><script src="../dumbo7/utils/jscalendar/calendar-setup.js" type="text/javascript"></script><SCRIPT SRC="../js/utils/filtrarInformacion.js" LANGUAGE="JavaScript"></SCRIPT>
					<script LANGUAJE="JavaScript">
						function mandacopia(){
							
							
							
						
						
						if(document.f1.inicioDesde.value.length==0){
						
						alert('Debe introducir la fecha de procedencia');
						}else
						{
						if(document.f1.inicioHasta.value.length==0){
						alert('Debe introducir la fecha de destino');
						}else{
						dia1 = parseInt(document.f1.inicioDesde.value.substring(0,2));
							mes1 = parseInt(document.f1.inicioDesde.value.substring(3,5));
 							anyo1 = parseInt(document.f1.inicioDesde.value.substring(6,10));
							miFecha1 = new Date(anyo1,mes1-1,dia1);
							dia1fin = dia1 + parseInt(document.f1.cdias.value) -1;
							 
							miFecha1fin = new Date(anyo1,mes1-1,dia1fin);
							
							
							dia2 = parseInt(document.f1.inicioHasta.value.substring(0,2));
							mes2 = parseInt(document.f1.inicioHasta.value.substring(3,5));
 							anyo2 = parseInt(document.f1.inicioHasta.value.substring(6,10));
							dia2fin = dia2 + parseInt(document.f1.cdias.value) -1;
							miFecha2 = new Date(anyo2,mes2-1,dia2);
							miFecha2fin = new Date(anyo2,mes2-1,dia2fin);
							

						if(miFecha1.getDay()!= miFecha2.getDay() )	{
							alert('Debe de seleccionar 2 fechas con mismo da de la semana');
							
						}else{
						
						
							
							
						if (confirm('Se va a copiar desde:\n '+document.f1.inicioDesde.value+' a '+ miFecha1fin.getDate()+'/'+ (parseInt(miFecha1fin.getMonth())+1) +'/'+ (parseInt(miFecha1fin.getYear())+1900) +'\nen '+ document.f1.inicioHasta.value +' a '+ miFecha2fin.getDate()+'/'+ (parseInt(miFecha2fin.getMonth())+1) +'/'+ (parseInt(miFecha2fin.getYear())+1900) +' \ndesea continuar?')) {
							document.f1.fecha.value = document.f1.inicioHasta.value;
							document.f1.fcopia.value = document.f1.inicioDesde.value;
							document.f1.duracion.value = document.f1.cdias.value;
							document.f1.submit();
							}
							}
						}
						}
						}
						function mensaje(dia){
							document.f1.fecha.value=dia;
	
						}
						function semanacopia(calendar, date){
		
						 if (calendar.dateClicked) {
							
							
							 document.f1.inicioDesde.value = date;
							 
								calendar.hide();
						
						}
						
						}
						
						function semanadestino(calendar, date){
						 if (calendar.dateClicked) {
							
							
							
							
							
							 document.f1.inicioHasta.value = date;
							 
								calendar.hide();
							
							}
						
						}
						function imprimir() {
							
							var w = window.open('about:blank','UserDetail','width=800,height=600,left=100,top=100,scrollbars=yes');
							document.calen.target = w.name;
							document.calen.module.value = "dumbo7/geshorario.horarioprint";
							
							document.calen.submit();
						}
					
						function enviar(mes, anyo) {
						
							document.calen.module.value = "dumbo7/geshorario.index2";
						<xsl:if test="DATA/HORARIO/COPIAR='true'">
						document.calen.module.value = "dumbo7/geshorario.CSindex";
						</xsl:if>
							document.calen.mes.value = mes;
							document.calen.anyo.value = anyo;
							document.calen.submit(); 
						}
						function enviar2(dia, mes, anyo) {
							document.newHor.mes.value = mes;
							document.newHor.anyo.value = anyo;
							document.newHor.dia.value = dia;
							document.newHor.submit(); 
						}
						function imprime(){
						
							document.tabla.print();
						}
						<xsl:if
							test="string-length(DATA/HORARIO/@ERROR)>0">
							alert('	<xsl:value-of select="DATA/HORARIO/@ERROR" />');
						</xsl:if>
					</script>
				</xsl:with-param>
			</xsl:call-template>
			<body>


				<xsl:call-template name="menuComun">
					<xsl:with-param name="NAME"
						select="concat(DATA/HORARIO/USER/@NAME,concat('(',concat(DATA/HORARIO/USER/@LOGIN,')')))" />
					<xsl:with-param name="MENU" select="DATA/MENU" />
					<xsl:with-param name="SELECT" select="$menu" />
				</xsl:call-template>

				<xsl:call-template name="pieComun" />

			</body>
		</html>
	</xsl:template>

	<xsl:template name="cuerpo">
		<xsl:call-template name="calendario">

		</xsl:call-template>

	</xsl:template>


	<xsl:template name="calendario">
		<form method="POST" action="{$servlet}" name="calen">
			<input type="hidden" name="module"
				value="dumbo7/geshorario.index2" />
			<input type="hidden" name="mes" value="{DATA/HORARIO/MES}" />
			<input type="hidden" name="anyo" value="{DATA/HORARIO/ANYO}" />
		</form>
		<form method="POST" action="{$servlet}" name="newHor">
			<input type="hidden" name="module"
				value="dumbo7/geshorario.geshorario" />
			<input type="hidden" name="dia" value="01/12/2007" />
			<input type="hidden" name="mes" value="01/12/2007" />
			<input type="hidden" name="anyo" value="01/12/2007" />
		</form>
	<xsl:if test="DATA/HORARIO/COPIAR='true'">
		
		<form method="POST" action="{$servlet}" name="f1">
			<input type="hidden" name="module" value="dumbo7/geshorario.copiasemana" />
			<input type="hidden" name="fecha" value="" />
			<input type="hidden" name="fcopia" value="" />
			<input type="hidden" name="duracion" value="" />


<table class="contdet" style="width:90%">

		<tr>
			<td class="cabe"><strong>Copiar dias</strong></td>
		</tr>
		<tr>
			<td class="cont">
	
	
				<table>
			<tr>
			<td><b>Fecha de procedencia de horario:<font color="red" size="-1">(*)</font>:</b>:</td><td colspan="3">

				<input onChange="changeDate(this)" id="ini_desde" size="12" name="inicioDesde" type="text" value=""/>
<img id="trigger_ini_desde" src="../dumbo7/utils/jscalendar/img.gif" style="border: 1px solid red; cursor: pointer;" title="Selecciona Fecha" onmouseover="this.style.background='red';" onmouseout="this.style.background=''"/>
<script type="text/javascript">
		Calendar.setup({
			inputField : "ini_desde",
			ifFormat : "%d/%m/%Y",
			button : "trigger_ini_desde",
			align : "Bl",
			onSelect : semanacopia,
			singleClick : false
		});
</script>
</td>
<td>

				<b>Fecha de destino de horario:<font color="red" size="-1">(*)</font>:</b>:<input onChange="changeDate(this)" id="ini_hasta" size="12" name="inicioHasta" type="text" value=""/>
				<img onmouseout="this.style.background=''" onmouseover="this.style.background='red';" title="Selecciona Fecha" style="cursor: pointer; border: 1px solid red;" id="trigger_ini_hasta" src="../dumbo7/utils/jscalendar/img.gif"/><script type="text/javascript">
					Calendar.setup({
						inputField     :    "ini_hasta",
						ifFormat       :    "%d/%m/%Y",
						button         :    "trigger_ini_hasta",
						align          :    "Bl",
						onSelect       :    semanadestino,
						singleClick    :    false
					});
				</script></td>
             </tr>


			<tr>
				<td><b>Numero de dias a copiar<font color="red" size="-1">(*)</font>:</b></td><td>
				<select name="cdias">
				<option value="1">1</option>
				<option value="2">2</option>
				<option value="3">3</option>
				<option value="4">4</option>
				<option value="5">5</option>
				</select>
				
				</td>
			</tr>
			<tr>
			<td colspan="5">
			<font color="red">
			Debe de seleccionar 2 fechas con el mismo da de la semana y en caso de que la fecha destino sea festivo o ya contenga datos dicho da no ser copiado.
			</font>
			</td>
			</tr>

		</table>
		</td>
		</tr>
		<tr>
			<td class="cabe" align="center"><input type="button" class="boton" value="Aceptar" onClick="mandacopia()"/></td>
		</tr>
		</table>
		</form>
</xsl:if>
<table class="cab1">
<tbody><tr>
<td align="left"></td>
<td align="center" id="tabDet2"><table cellspacing="0" cellpadding="5" border="0"
			align="center">
			<tbody>
				<tr>
				
				
								<td nowrap="" align="right">
						
						<a href="javascript:enviar({DATA/HORARIO/MES},{DATA/HORARIO/ANYO}-1)"
							style="text-decoration: none;">
							<img width="11" height="12" border="0"
								align="absmiddle" src="../graficos/arrow_left2.gif"
								alt="Ao anterior" tabindex="1" title="Ao anterior" />
						</a>
					</td>
					<td nowrap="" align="right">
						
						<a
							href="javascript:enviar({DATA/HORARIO/MES}-1,{DATA/HORARIO/ANYO})"
							style="text-decoration: none;">
							<img width="7" height="12" border="0"
								align="absmiddle" src="../graficos/arrow_left.gif"
								alt="Mes anterior" tabindex="1" title="Mes anterior" />
						</a>
					</td>
					<td width="120" nowrap="" align="center"
						class="currentVw"
						style="padding-left: 15px; padding-right: 15px;">
						<xsl:value-of select="DATA/HORARIO/NOMBREMES" />&#160;<xsl:value-of select="DATA/HORARIO/ANYO" />
					</td>
					<td nowrap="" align="left">
						<a style="text-decoration: none;"
							href="javascript:enviar({DATA/HORARIO/MES}+1,{DATA/HORARIO/ANYO})">
							
							<img width="7" height="12" border="0"
								align="absmiddle" tabindex="1" alt="Prximo mes"
								src="../graficos/arrow_right.gif" title="Prximo mes" />
							
						</a>
					</td>
					<td nowrap="" align="left">
						<a style="text-decoration: none;"
							href="javascript:enviar({DATA/HORARIO/MES},{DATA/HORARIO/ANYO}+1)">
							
							<img width="11" height="12" border="0"
								align="absmiddle" tabindex="1" alt="Prximo ao"
								src="../graficos/arrow_right2.gif" title="Proximo ao" />
							
						</a>
					</td>
				</tr>
				<tr>
					<td height="10" colspan="3">
						<spacer size="10" type="vertical" />
					</td>
				</tr>
			</tbody>
		</table></td>

<td align="right">
<a href="javascript:imprimir();"><img border="0" src="../graficos/iconos/imprimir_ico.gif" title="Imprimir Horario"/></a>
</td>

</tr>
<tr style="display: none;" id="filde">
<td colspan="3">
</td>
</tr>
</tbody></table>






		<table name="tabla" class="contout" cellpadding="0" border="0">


			<tr class="cabe">
				<td width="16%">
					<strong>
						<div align="center">LUNES</div>
					</strong>
				</td>
				<td width="16%">
					<strong>
						<div align="center">MARTES</div>
					</strong>
				</td>
				<td width="16%">
					<strong>
						<div align="center">MIERCOLES</div>
					</strong>
				</td>
				<td width="16%">
					<strong>
						<div align="center">JUEVES</div>
					</strong>
				</td>
				<td width="16%">
					<strong>
						<div align="center">VIERNES</div>
					</strong>
				</td>
				<td width="3%">
					<div align="center">SABADO</div>
				</td>
				<td width="3%">
					<div align="center">DOMINGO</div>
				
				
				</td>
				<xsl:if test="DATA/HORARIO/MODIFICAR='true'">
				<td width="1%">
				</td>
				</xsl:if>
				


			</tr>
			<xsl:call-template name="semanas">
				<xsl:with-param name="nsemana" select="number(0)" />
			</xsl:call-template>

			<xsl:call-template name="semanas">
				<xsl:with-param name="nsemana" select="number(1)" />
			</xsl:call-template>

			<xsl:call-template name="semanas">
				<xsl:with-param name="nsemana" select="number(2)" />
			</xsl:call-template>

			<xsl:call-template name="semanas">
				<xsl:with-param name="nsemana" select="number(3)" />
			</xsl:call-template>

			<xsl:call-template name="semanas">
				<xsl:with-param name="nsemana" select="number(4)" />
			</xsl:call-template>

			<xsl:call-template name="semanas">
				<xsl:with-param name="nsemana" select="number(5)" />
			</xsl:call-template>

		</table>
		<xsl:call-template name="tablahora"/>
	</xsl:template>


	<xsl:template name="semanas">
		<xsl:param name="nsemana" />
		<tr valign="top">



			<xsl:call-template name="dia">
				<xsl:with-param name="dias"
					select="($nsemana*7)+number(1)-DATA/HORARIO/DIASEMANA" />
			</xsl:call-template>

			<xsl:call-template name="dia">
				<xsl:with-param name="dias"
					select="($nsemana*7)+number(2)-DATA/HORARIO/DIASEMANA" />
			</xsl:call-template>

			<xsl:call-template name="dia">
				<xsl:with-param name="dias"
					select="($nsemana*7)+number(3)-DATA/HORARIO/DIASEMANA" />
			</xsl:call-template>

			<xsl:call-template name="dia">
				<xsl:with-param name="dias"
					select="($nsemana*7)+number(4)-DATA/HORARIO/DIASEMANA" />
			</xsl:call-template>

			<xsl:call-template name="dia">
				<xsl:with-param name="dias"
					select="($nsemana*7)+number(5)-DATA/HORARIO/DIASEMANA" />

			</xsl:call-template>

	<xsl:choose>
		<xsl:when test="number(DATA/HORARIO/NUMDIAMES)>(($nsemana*7)+number(7)-DATA/HORARIO/DIASEMANA)">
			<xsl:if	test="number(DATA/HORARIO/NUMDIAMES)>(($nsemana*7)+number(6)-DATA/HORARIO/DIASEMANA)">
				<td style="padding-left:0px" class="incidencia">

					<div class="contenidodia">
						<div class="cajadiafes">
							<xsl:value-of select="($nsemana*7)+number(6)-DATA/HORARIO/DIASEMANA+1" />
						</div>
					</div>
				</td>
			</xsl:if>
	
			</xsl:when>
			<xsl:when test="number(DATA/HORARIO/NUMDIAMES)>(($nsemana*7)+number(1)-DATA/HORARIO/DIASEMANA)">
		
			
			</xsl:when>
	</xsl:choose>
			
			
			<xsl:choose>
			<xsl:when test="number(DATA/HORARIO/NUMDIAMES)>(($nsemana*7)+number(7)-DATA/HORARIO/DIASEMANA)">
			<xsl:if
				test="number(DATA/HORARIO/NUMDIAMES)>(($nsemana*7)+number(7)-DATA/HORARIO/DIASEMANA)">
				<td style="padding-left:0px" class="incidencia">

					<div class="contenidodia">
						<div class="cajadiafes">
							<xsl:value-of
								select="($nsemana*7)+number(7)-DATA/HORARIO/DIASEMANA+1" />
						</div>
					</div>
				</td>

			</xsl:if>
			</xsl:when>
			<xsl:when test="number(DATA/HORARIO/NUMDIAMES)>(($nsemana*7)+number(1)-DATA/HORARIO/DIASEMANA)">
			<td>
			</td>
			
			</xsl:when>
			</xsl:choose>
			
			
		</tr>
	</xsl:template>
	<xsl:template name="dia">
		<xsl:param name="dias" />
		<xsl:choose>
			<xsl:when test="$dias+1>=number(10)">
				<xsl:variable name="auxiliar" select="translate(DATA/HORARIO/FECHA,'dia',$dias+1)" />
					<xsl:call-template name="contenido">
						<xsl:with-param name="dias"	select="$dias" />
						<xsl:with-param name="auxiliar"	select="$auxiliar" />
					</xsl:call-template>
			</xsl:when>
			<xsl:when test="number(10)>$dias+1">
				<xsl:variable name="dias2" select="concat('0',$dias+1)" />
				<xsl:variable name="auxiliar" select="translate(DATA/HORARIO/FECHA,'dia',$dias2)" />
				<xsl:call-template name="contenido">
					<xsl:with-param name="dias"	select="$dias" />
					<xsl:with-param name="auxiliar"	select="$auxiliar" />
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="date2String3">
		<xsl:param name="fecha" />
		<xsl:if test="string-length($fecha)>0">
			<xsl:variable name="date"
				select="substring-before($fecha,'T')" />
			<xsl:variable name="hora2"
				select="substring-after(substring-before($fecha,'.'),'T')" />
			<xsl:variable name="hora" select="substring($hora2,1,5)" />
			<xsl:variable name="anyo"
				select="substring-before($date,'-')" />
			<xsl:variable name="mes"
				select="substring-before(substring-after($date,'-'),'-')" />
			<xsl:variable name="dia"
				select="substring-after(substring-after($date,'-'),'-')" />
			<xsl:value-of select="$hora" />
		</xsl:if>
	</xsl:template>
	<xsl:template name="diafestivo">
		<xsl:param name="fecha" />
		<xsl:if test="string-length($fecha)>0">
			<xsl:variable name="date"
				select="substring-before($fecha,'T')" />
			<xsl:variable name="hora"
				select="substring-after(substring-before($fecha,'.'),'T')" />
			<xsl:variable name="anyo"
				select="substring-before($date,'-')" />
			<xsl:variable name="mes"
				select="substring-before(substring-after($date,'-'),'-')" />
			<xsl:variable name="dia"
				select="substring-after(substring-after($date,'-'),'-')" />
			<xsl:variable name="FechaCarga" select="$dia" />
			<xsl:value-of select="$FechaCarga" />
		</xsl:if>
	</xsl:template>
	<xsl:template name="contenido">
	<xsl:param name="dias" />
	<xsl:param name="auxiliar" />
	<xsl:variable name="tinformatico" select="count(DATA/HORARIO)" />
		<xsl:variable name="contiene" select="count(DATA/HORARIO/FESTIVO[substring-before(@DIA,'+')=$auxiliar])" />
		<xsl:choose>
		
		<xsl:when test="number(DATA/HORARIO/NUMDIAMES)>$dias">
			<xsl:choose>
				<xsl:when test="$dias>=number(0)">
			<td class="peticion" style="padding-left:0px">
					<div class="contenidodia">
						<xsl:choose>
							<xsl:when test="$contiene = 0">
								<div class="cajadia">
								
								<xsl:choose>
									<xsl:when test="DATA/HORARIO/MODIFICAR='true'">
										<a href="javascript:enviar2({$dias+1},{DATA/HORARIO/MES},{DATA/HORARIO/ANYO})">
											<xsl:value-of select="$dias+1" />
										</a>
									</xsl:when>
									<xsl:when test="DATA/HORARIO/MODIFICAR='false'">
										<a>
											<xsl:value-of select="$dias+1" />
										</a>
									</xsl:when>
								</xsl:choose>
								</div>
								<xsl:for-each select="DATA/HORARIO/TURNOS[@TURESTADO='V']">
								<xsl:sort select="substring-after(substring-before(@TURHORAINI,'.'),'T')"/>
								<xsl:variable name="date" select="substring-before(@TURFECINIVIGENCIA,'T')"/>
								
								<xsl:variable name="anyo" select="substring-before($date,'-')"/>
								<xsl:variable name="mes" select="substring-before(substring-after($date,'-'),'-')"/>
								<xsl:variable name="dia" select="substring-after(substring-after($date,'-'),'-')"/>
								
								<xsl:if test="../ANYO>$anyo or ../MES>$mes or $dias>=$dia">
								<xsl:variable name="date2" select="substring-before(@TURFECFINVIGENCIA,'T')"/>
								<xsl:variable name="anyo2" select="substring-before($date2,'-')"/>
								<xsl:variable name="mes2" select="substring-before(substring-after($date2,'-'),'-')"/>
								<xsl:variable name="dia2" select="substring-after(substring-after($date2,'-'),'-')"/>
								<xsl:if test="string-length(@TURFECFINVIGENCIA)=0 or $anyo2>../ANYO or $mes2>../MES or $dia2>=$dias+1">
									<div class="cajafila">
										<strong>
										<xsl:call-template name="date2String3"><xsl:with-param name="fecha" select="@TURHORAINI" /></xsl:call-template>
										<a>&#160;a&#160;</a>
										<xsl:call-template name="date2String3"><xsl:with-param name="fecha" select="@TURHORAFIN" /></xsl:call-template>
										</strong><br/>
										<xsl:call-template name="trabajan"> <xsl:with-param name="turno" select="@TURCOD" /><xsl:with-param name="auxiliar"	select="$auxiliar" /></xsl:call-template>
									</div>
									
									</xsl:if>
									</xsl:if>
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="$contiene > 0">
								<div class="cajadiafes">
									<xsl:value-of select="$dias+1" />
								</div>

							</xsl:when>
						</xsl:choose>
						<xsl:if
							test="count(DATA/HORARIO/FESTIVO[substring-before(dia,'+')=$auxiliar])>0">
						</xsl:if>

					</div>
					</td>
				</xsl:when>
				
				
				<xsl:when test="number(0)>$dias">
				<td></td>
				</xsl:when>

				
				
				
				</xsl:choose>
			
		</xsl:when>
		<xsl:when test="number(DATA/HORARIO/NUMDIAMES)>$dias">
		<td/>
		</xsl:when>
		<xsl:otherwise>
		<xsl:variable name="lunes" select="($dias + DATA/HORARIO/DIASEMANA)mod 7"/>
		<xsl:if test="DATA/HORARIO/NUMDIAMES>=(number($dias+2)-number($lunes))">
				<td></td>
		</xsl:if>
				</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
<xsl:template name="trabajan">
<xsl:param name="auxiliar"/>
<xsl:param name="turno"/>


	<xsl:for-each select="../HORARIOS[@HORTURCOD=$turno and substring-before(@HORFECHA,'+')=$auxiliar]">
		
		<xsl:variable name="dni" select="@HORINFCOD" />
	&#160;
		<xsl:variable name="correo"><xsl:value-of select="../INFORMATICO[@IDENTIFICADOR=$dni]/@EMAIL"/>
		</xsl:variable>
		<xsl:variable name="nombre"><xsl:value-of select="../INFORMATICO[@IDENTIFICADOR=$dni]/@APELLIDOS"/>,&#160;<xsl:value-of select="../INFORMATICO[@IDENTIFICADOR=$dni]/@NOMBRE"/>
		</xsl:variable>
		<strong><a style="color:#000099;" title="{$nombre}">
		<xsl:value-of select="substring-before($correo,'@')"/></a></strong>
	</xsl:for-each>	
</xsl:template>

<xsl:template name="tablahora">
<br/>
<br/>
<table  class="cont" style="width:90%">
<tbody>
<tr class="cabe">
<td>
Informatico
</td>
<td>
Horas segun KRON
</td>
<td>Horas segun Horario
</td>
</tr>
<xsl:for-each select="DATA/HORARIO/INFORMATICO">
<xsl:sort select="@APELLIDOS"/>
<xsl:variable name="dni" select="@IDENTIFICADOR"/>
<tr>
<td>
<xsl:value-of select="@APELLIDOS"/>,&#160;<xsl:value-of select="@NOMBRE"/>
</td>
<td>
		<xsl:value-of select="../PIQUESKRON[@DNI=$dni]/@TOTAL div 60"/>&#160;horas&#160;<xsl:value-of select="../PIQUESKRON[@DNI=$dni]/@TOTAL mod 60"/>&#160;minutos
</td>


<td>
		<xsl:variable name="devuelto">
		<xsl:call-template name="recursivakron">
					<xsl:with-param name="posicion"	select="number(1)" />
					<xsl:with-param name="dni" select="$dni" />
		</xsl:call-template>
		</xsl:variable>
		<xsl:value-of select="$devuelto div 60"/>&#160;horas&#160;<xsl:value-of select="$devuelto mod 60"/>&#160;minutos
		
</td>		
		
		
		






</tr>
</xsl:for-each>
</tbody>
</table>


</xsl:template>

<xsl:template name="recursivakron">
<xsl:param name="posicion"/>
<xsl:param name="dni"/>

<xsl:choose>
	<xsl:when test="count(../TURNOS)>=$posicion">
		<xsl:variable name="calculo" select="number(../TURNOS[$posicion]/@DURACION) * count(key('cuentaturnos',concat(../TURNOS[$posicion]/@TURCOD,',',$dni)))"/>	
		<xsl:variable name="devuelto">
		<xsl:call-template name="recursivakron">
					<xsl:with-param name="posicion"	select="$posicion+1" />
					<xsl:with-param name="dni" select="$dni" />
		</xsl:call-template>
		
		</xsl:variable>
		
		
		
		
		<xsl:value-of select="$calculo + $devuelto"/>
	</xsl:when>
	<xsl:when test="$posicion > count(../TURNOS)">
		<xsl:value-of select="number(0)"/>
	
	</xsl:when>

</xsl:choose>

</xsl:template>
</xsl:stylesheet>
