<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
		
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="selected"/>
<xsl:param name="page"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:include href="dumbo7/utils/xsl/detail.xsl"/>
<xsl:include href="atica/frameweb/xml/templates/paginable.xsl"/>


<xsl:template match="XMLROOT">

<html lang="es">

	<xsl:call-template name="headComun">
		<xsl:with-param name="arbol" select="'atender'"/>
		<xsl:with-param name="calendar" select="true()"/>
		<xsl:with-param name="jscript">
							<link rel="stylesheet" type="text/css"
						href="../geshorario.css" />
			<SCRIPT LANGUAGE="JavaScript">


				function select(cod,pg,tt) {
					top.select(cod,pg,tt);
				}
				function setSelectData(t) { top.setSelectData(t); }
				function cambiaPagina(p) { top.recargarPage(p); }
				function hideDetail(p) { top.hideDetail(p); }
			</SCRIPT>
		</xsl:with-param>
	</xsl:call-template>

<body class="littlebody" onLoad="javascript:print()">
	<xsl:call-template name="cuerpo"/>
</body >
</html>
</xsl:template>

<xsl:template name="cuerpo">
		<xsl:call-template name="calendario">

		</xsl:call-template>

	</xsl:template>


	<xsl:template name="calendario">
		<form method="POST" action="{$servlet}" name="calen">
			<input type="hidden" name="module"
				value="dumbo7/geshorario.index2" />
			<input type="hidden" name="mes" value="4" />
			<input type="hidden" name="anyo" value="2005" />
		</form>
		<form method="POST" action="{$servlet}" name="newHor">
			<input type="hidden" name="module"
				value="dumbo7/geshorario.geshorario" />
			<input type="hidden" name="dia" value="01/12/2007" />
			<input type="hidden" name="mes" value="01/12/2007" />
			<input type="hidden" name="anyo" value="01/12/2007" />
		</form>
		
		<table cellspacing="0" cellpadding="5" border="0"
			align="center">
			<tbody>
				<tr>
								<td nowrap="" align="right">
						
						
					</td>
					<td nowrap="" align="right">
						
						
					</td>
					<td width="120" nowrap="" align="center"
						class="currentVw"
						style="padding-left: 15px; padding-right: 15px;">
						<xsl:value-of select="DATA/HORARIO/NOMBREMES" />&#160;<xsl:value-of select="DATA/HORARIO/ANYO" />
					</td>
					<td nowrap="" align="left">

					</td>
					<td nowrap="" align="left">
			
					</td>
				</tr>
				<tr>
					<td height="10" colspan="3">
						<spacer size="10" type="vertical" />
					</td>
				</tr>
			</tbody>
		</table>




		<table name="tabla" class="contout" cellpadding="0" border="0">


			<tr class="cabe">
				<td width="16%">
					<strong>
						<div align="center">LUNES</div>
					</strong>
				</td>
				<td width="16%">
					<strong>
						<div align="center">MARTES</div>
					</strong>
				</td>
				<td width="16%">
					<strong>
						<div align="center">MIERCOLES</div>
					</strong>
				</td>
				<td width="16%">
					<strong>
						<div align="center">JUEVES</div>
					</strong>
				</td>
				<td width="16%">
					<strong>
						<div align="center">VIERNES</div>
					</strong>
				</td>
				<td width="3%">
					<div align="center">SABADO</div>
				</td>
				<td width="3%">
					<div align="center">DOMINGO</div>
				</td>



			</tr>
			<xsl:call-template name="semanas">
				<xsl:with-param name="nsemana" select="number(0)" />
			</xsl:call-template>

			<xsl:call-template name="semanas">
				<xsl:with-param name="nsemana" select="number(1)" />
			</xsl:call-template>

			<xsl:call-template name="semanas">
				<xsl:with-param name="nsemana" select="number(2)" />
			</xsl:call-template>

			<xsl:call-template name="semanas">
				<xsl:with-param name="nsemana" select="number(3)" />
			</xsl:call-template>

			<xsl:call-template name="semanas">
				<xsl:with-param name="nsemana" select="number(4)" />
			</xsl:call-template>

			<xsl:call-template name="semanas">
				<xsl:with-param name="nsemana" select="number(5)" />
			</xsl:call-template>

		</table>
	</xsl:template>


	<xsl:template name="semanas">
		<xsl:param name="nsemana" />
		<tr valign="top">



			<xsl:call-template name="dia">
				<xsl:with-param name="dias"
					select="($nsemana*7)+number(1)-DATA/HORARIO/DIASEMANA" />
			</xsl:call-template>

			<xsl:call-template name="dia">
				<xsl:with-param name="dias"
					select="($nsemana*7)+number(2)-DATA/HORARIO/DIASEMANA" />
			</xsl:call-template>

			<xsl:call-template name="dia">
				<xsl:with-param name="dias"
					select="($nsemana*7)+number(3)-DATA/HORARIO/DIASEMANA" />
			</xsl:call-template>

			<xsl:call-template name="dia">
				<xsl:with-param name="dias"
					select="($nsemana*7)+number(4)-DATA/HORARIO/DIASEMANA" />
			</xsl:call-template>

			<xsl:call-template name="dia">
				<xsl:with-param name="dias"
					select="($nsemana*7)+number(5)-DATA/HORARIO/DIASEMANA" />

			</xsl:call-template>


			<xsl:if
				test="number(DATA/HORARIO/NUMDIAMES)>(($nsemana*7)+number(6)-DATA/HORARIO/DIASEMANA)">
				<td style="padding-left:0px" class="incidencia">

					<div class="contenidodia">
						<div class="cajadiafes">
							<xsl:value-of
								select="($nsemana*7)+number(6)-DATA/HORARIO/DIASEMANA+1" />
						</div>
					</div>
				</td>
			</xsl:if>
			<xsl:if
				test="number(DATA/HORARIO/NUMDIAMES)>(($nsemana*7)+number(7)-DATA/HORARIO/DIASEMANA)">
				<td style="padding-left:0px" class="incidencia">

					<div class="contenidodia">
						<div class="cajadiafes">
							<xsl:value-of
								select="($nsemana*7)+number(7)-DATA/HORARIO/DIASEMANA+1" />
						</div>
					</div>
				</td>
			</xsl:if>
		</tr>
	</xsl:template>
	<xsl:template name="dia">
		<xsl:param name="dias" />
		<xsl:choose>
			<xsl:when test="$dias>=number(10)">
				<xsl:variable name="auxiliar"
					select="translate(DATA/HORARIO/FECHA,'dia',$dias+1)" />
					<xsl:call-template name="contenido">
						<xsl:with-param name="dias"	select="$dias" />
						<xsl:with-param name="auxiliar"	select="$auxiliar" />
					</xsl:call-template>
			</xsl:when>
			<xsl:when test="number(10)>$dias">
				<xsl:variable name="dias2" select="concat('0',$dias+1)" />
				<xsl:variable name="auxiliar" select="translate(DATA/HORARIO/FECHA,'dia',$dias2)" />
				<xsl:call-template name="contenido">
					<xsl:with-param name="dias"	select="$dias" />
					<xsl:with-param name="auxiliar"	select="$auxiliar" />
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="date2String3">
		<xsl:param name="fecha" />
		<xsl:if test="string-length($fecha)>0">
			<xsl:variable name="date"
				select="substring-before($fecha,'T')" />
			<xsl:variable name="hora2"
				select="substring-after(substring-before($fecha,'.'),'T')" />
			<xsl:variable name="hora" select="substring($hora2,1,5)" />
			<xsl:variable name="anyo"
				select="substring-before($date,'-')" />
			<xsl:variable name="mes"
				select="substring-before(substring-after($date,'-'),'-')" />
			<xsl:variable name="dia"
				select="substring-after(substring-after($date,'-'),'-')" />
			<xsl:value-of select="$hora" />
		</xsl:if>
	</xsl:template>
	<xsl:template name="diafestivo">
		<xsl:param name="fecha" />
		<xsl:if test="string-length($fecha)>0">
			<xsl:variable name="date"
				select="substring-before($fecha,'T')" />
			<xsl:variable name="hora"
				select="substring-after(substring-before($fecha,'.'),'T')" />
			<xsl:variable name="anyo"
				select="substring-before($date,'-')" />
			<xsl:variable name="mes"
				select="substring-before(substring-after($date,'-'),'-')" />
			<xsl:variable name="dia"
				select="substring-after(substring-after($date,'-'),'-')" />
			<xsl:variable name="FechaCarga" select="$dia" />
			<xsl:value-of select="$FechaCarga" />
		</xsl:if>
	</xsl:template>
	<xsl:template name="contenido">
	<xsl:param name="dias" />
	<xsl:param name="auxiliar" />
	<xsl:variable name="tinformatico" select="count(DATA/HORARIO)" />
		<xsl:variable name="contiene" select="count(DATA/HORARIO/FESTIVO[substring-before(@DIA,'+')=$auxiliar])" />
		<xsl:choose>
		
		<xsl:when test="number(DATA/HORARIO/NUMDIAMES)>$dias">
			<xsl:choose>
				<xsl:when test="$dias>=number(0)">
			<td class="peticion" style="padding-left:0px">
					<div class="contenidodia">
						<xsl:choose>
							<xsl:when test="$contiene = 0">
								<div class="cajadia">
								
								<xsl:choose>
									<xsl:when test="DATA/HORARIO/MODIFICAR='true'">
										<a href="javascript:enviar2({$dias+1},{DATA/HORARIO/MES},{DATA/HORARIO/ANYO})">
											<xsl:value-of select="$dias+1" />
										</a>
									</xsl:when>
									<xsl:when test="DATA/HORARIO/MODIFICAR='false'">
										<a>
											<xsl:value-of select="$dias+1" />
										</a>
									</xsl:when>
								</xsl:choose>
								</div>
								<xsl:for-each select="DATA/HORARIO/TURNOS[@TURESTADO='V']">
								<xsl:sort select="substring-after(substring-before(@TURHORAINI,'.'),'T')"/>
								<xsl:variable name="date" select="substring-before(@TURFECINIVIGENCIA,'T')"/>
								
								<xsl:variable name="anyo" select="substring-before($date,'-')"/>
								<xsl:variable name="mes" select="substring-before(substring-after($date,'-'),'-')"/>
								<xsl:variable name="dia" select="substring-after(substring-after($date,'-'),'-')"/>
								
								<xsl:if test="../ANYO>$anyo or ../MES>$mes or $dias>=$dia">
								<xsl:variable name="date2" select="substring-before(@TURFECFINVIGENCIA,'T')"/>
								<xsl:variable name="anyo2" select="substring-before($date2,'-')"/>
								<xsl:variable name="mes2" select="substring-before(substring-after($date2,'-'),'-')"/>
								<xsl:variable name="dia2" select="substring-after(substring-after($date2,'-'),'-')"/>
								<xsl:if test="string-length(@TURFECFINVIGENCIA)=0 or $anyo2>../ANYO or $mes2>../MES or $dia2>=$dias+1">
									<div class="cajafila">
										<strong>
										<xsl:call-template name="date2String3"><xsl:with-param name="fecha" select="@TURHORAINI" /></xsl:call-template>
										<a>&#160;a&#160;</a>
										<xsl:call-template name="date2String3"><xsl:with-param name="fecha" select="@TURHORAFIN" /></xsl:call-template>
										</strong><br/>
										<xsl:call-template name="trabajan"> <xsl:with-param name="turno" select="@TURCOD" /><xsl:with-param name="auxiliar"	select="$auxiliar" /></xsl:call-template>
									</div>
									
									</xsl:if>
									</xsl:if>
								</xsl:for-each>
							</xsl:when>
							<xsl:when test="$contiene > 0">
								<div class="cajadiafes">
									<xsl:value-of select="$dias+1" />
								</div>

							</xsl:when>
						</xsl:choose>
						<xsl:if
							test="count(DATA/HORARIO/FESTIVO[substring-before(dia,'+')=$auxiliar])>0">
						</xsl:if>

					</div>
					</td>
				</xsl:when>
				
				
				<xsl:when test="number(0)>$dias">
				<td></td>
				</xsl:when>
				
				
				
				</xsl:choose>
			
		</xsl:when>
		<xsl:when test="number(DATA/HORARIO/NUMDIAMES)>$dias">
		<td/>
		</xsl:when>
		</xsl:choose>
	</xsl:template>
<xsl:template name="trabajan">
<xsl:param name="auxiliar" />
<xsl:param name="turno"/>


	<xsl:for-each select="../HORARIOS[@HORTURCOD=$turno and substring-before(@HORFECHA,'+')=$auxiliar]">
		
		<xsl:variable name="dni" select="@HORINFCOD" />
	&#160;
		<xsl:variable name="correo"><xsl:value-of select="../INFORMATICO[@IDENTIFICADOR=$dni]/@EMAIL"/>
		</xsl:variable>
		<xsl:variable name="nombre"><xsl:value-of select="../INFORMATICO[@IDENTIFICADOR=$dni]/@APELLIDOS"/>,&#160;<xsl:value-of select="../INFORMATICO[@IDENTIFICADOR=$dni]/@NOMBRE"/>
		</xsl:variable>
		<strong><a style="color:#336633;" title="{$nombre}"><xsl:value-of select="substring-before($correo,'@')"/></a></strong>
	</xsl:for-each>	
</xsl:template>
</xsl:stylesheet>
	