<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="2.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
		
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="selected"/>
<xsl:param name="page"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:include href="dumbo7/utils/xsl/detail.xsl"/>
<xsl:include href="atica/frameweb/xml/templates/paginable.xsl"/>


<xsl:template match="XMLROOT">

<html lang="es">

	<xsl:call-template name="headComun">
		<xsl:with-param name="arbol" select="'atender'"/>
		<xsl:with-param name="calendar" select="true()"/>
		<xsl:with-param name="jscript">
			<SCRIPT LANGUAGE="JavaScript">
				function select(cod,pg,tt) {
					top.select(cod,pg,tt);
				}
				function setSelectData(t) { top.setSelectData(t); }
				function cambiaPagina(p) { top.recargarPage(p); }
				function hideDetail(p) { top.hideDetail(p); }
			</SCRIPT>
		</xsl:with-param>
	</xsl:call-template>

<body class="littlebody">
	<xsl:call-template name="cuerpo"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">

<table class="contout">
<tbody>
<tr class="peticion">
<td>
Fecha
</td>
<td>
E/S
</td>

</tr>
<xsl:for-each select="DATA/HORARIO/PIQUES">
<tr>
<td>
	<xsl:variable name="fecha"><xsl:call-template name="date2String"><xsl:with-param name="fecha" select="@FECHAHORA"/></xsl:call-template></xsl:variable>
	<xsl:value-of select="$fecha"/>
</td>
<td>
	<xsl:value-of select="@ENTSAL"/>

</td>
</tr>
</xsl:for-each>
</tbody>
</table>

</xsl:template>
	
</xsl:stylesheet>
	