<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:key name="cuenta" match="XMLROOT/DATA/HORARIO/HORARIOS" use="@HORTURCOD"/>
<xsl:template match="XMLROOT">
<html lang="es">
<xsl:call-template name="headComun">
	<xsl:with-param name="jscript">
		<script language="JavaScript">
			function enviar() {
			document.newHor.horAusencia.value = document.newHor.horAusencia2.value;
				if(document.newHor.horAusencia.value != ''){
				if(!document.newHor.horMotivo.value.length==0){
					document.newHor.submit();
				}else{
					alert('debe de indicar un motivo si marca ausencia');
				}
				}else{
					document.newHor.horMotivo.value = '';
					document.newHor.submit();
				
				}
				
				
			}
			function enviar2(dia,mes, anyo) {
							document.calen.mes.value = mes;
							document.calen.anyo.value = anyo;
							document.calen.dia.value = dia;
							document.calen.submit(); 
			}
			function eliminar() {
			document.newHor.horAusencia.value = '';
			document.newHor.horMotivo.value = '';
				document.newHor.submit();
			}

			
		</script>
	</xsl:with-param>
</xsl:call-template>
<body>
<xsl:call-template name="menuComun">
	<xsl:with-param name="NAME" select="concat(DATA/HORARIO/USER/@NAME,concat('(',concat(DATA/HORARIO/USER/@LOGIN,')')))"/>
	<xsl:with-param name="MENU" select="DATA/MENU"/>
	<xsl:with-param name="SELECT" select="$menu"/>
</xsl:call-template>
<p>&#160;</p>
<xsl:call-template name="pieComun"/>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo">
<br/>


<xsl:variable name="sistema">

		

	<xsl:choose>
		<xsl:when test="contains($menu,'/')">
			<xsl:value-of select="substring-before($menu,'/')"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$menu"/>
		</xsl:otherwise>
	</xsl:choose>
</xsl:variable>
<table align="center" width="72%">
<tbody>
<tr>
<td style="no">
<a href="javascript:enviar2({DATA/HORARIO/DIA},{DATA/HORARIO/MES},'{DATA/HORARIO/ANYO}')" style="no">>>Volver</a>
</td>
<td>

<table class="cab1" style="width:100%">
	
	<tr>
	
<td>&#160;</td><td align="right"><font color="red" size="-1">(*) campos obligatorios.</font></td></tr>
	</table>

</td>


</tr>
</tbody>
</table>

<table align="center" width="90%" cellpadding="0" cellspacing="0">



<tr>
	<td  valign="top">

</td>
	<td valign="top">
	
	
		
<form method="POST" action="{$servlet}" name="calen">
			<input type="hidden" name="module"
				value="dumbo7/geshorario.geshorario" />
			<input type="hidden" name="mes" value="4" />
			<input type="hidden" name="anyo" value="2005" />
			<input type="hidden" name="dia" value="2005" />
		</form>
	
	
	
	<form method="POST" action="{$servlet}" name="newHor">
	<xsl:variable name="fecha"><xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="DATA/HORARIO/FECHA"/></xsl:call-template></xsl:variable>
		<input type="hidden" name="module" value="dumbo7/geshorario.AusenciaHorario"/>
		<input type="hidden" name="horSisCod" value="{$sistema}"/>
		<input type="hidden" name="horAusencia" value="{$sistema}"/>
		<input type="hidden" name="horFecha" value="{$fecha}"/>
		<input type="hidden" name="horTurCod" value="{DATA/HORARIO/HORARIOS/@HORTURCOD}"/>
		<input type="hidden" name="horInfCod" value="{DATA/HORARIO/HORARIOS/@HORINFCOD}"/>
		<table class="contdet">
		<tr>
			<td class="cabe"><strong>Ausencia, motivo</strong></td>
		</tr>
		<tr>
			<td class="cont">
	
	
				<table>
			<tr>
				<td><i>Ausencia<font color="red" size="-1">(*)</font>:</i></td><td>
<select name="horAusencia2">
<xsl:choose>
	<xsl:when test="DATA/HORARIO/HORARIOS/@HORAUSENCIA='J'">
	  <option value="">No Ausente</option>
      <option value="J" selected="">Justificada</option>
      <option value="N">No Justificada</option>
    </xsl:when>
    
    <xsl:when test="DATA/HORARIO/HORARIOS/@HORAUSENCIA='N'">
	  <option value="">No Ausente</option>
      <option value="J">Justificada</option>
      <option value="N" selected="">No Justificada</option>
    </xsl:when>

	<xsl:otherwise>
	  <option value="">No Ausente</option>
      <option value="J">Justificada</option>
      <option value="N">No Justificada</option>
	</xsl:otherwise>
</xsl:choose>
    </select>


</td>
			</tr>

			<tr>
				<td><i>Motivo<font color="red" size="-1">(*)</font>:</i></td><td>
				<textarea name="horMotivo" cols="70" rows="4"><xsl:value-of select="DATA/HORARIO/HORARIOS/@HORMOTIVO"/></textarea>
				
				</td>
			</tr>
<tr>
	
  


</tr>

		</table>
		</td>
		</tr>
		<tr>
			<td class="cabe" align="center"><input type="button" class="boton" value="Aceptar" onClick="enviar();"/>
		</td>
		</tr>
		</table>
	</form>

	</td>
</tr>
</table>
</xsl:template>





<xsl:template name="date2String3">
		<xsl:param name="fecha" />
		<xsl:if test="string-length($fecha)>0">
			<xsl:variable name="date"
				select="substring-before($fecha,'T')" />
			<xsl:variable name="hora2"
				select="substring-after(substring-before($fecha,'.'),'T')" />
			<xsl:variable name="hora" select="substring($hora2,1,5)" />
			<xsl:variable name="anyo"
				select="substring-before($date,'-')" />
			<xsl:variable name="mes"
				select="substring-before(substring-after($date,'-'),'-')" />
			<xsl:variable name="dia"
				select="substring-after(substring-after($date,'-'),'-')" />
			<xsl:value-of select="$hora" />
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
	