<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="selected"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<xsl:include href="atica/frameweb/xml/templates/paginable.xsl"/>

<xsl:template match="XMLROOT">

<html lang="es">

	<xsl:call-template name="headComun">
		<xsl:with-param name="jscript">
			<SCRIPT LANGUAGE="JavaScript">
				function enviar() {
					if (document.f1.siste.options[document.f1.siste.selectedIndex].value=='-1') { alert('Debe Seleccionar Un Sistema.'); return; }
					if (document.f1.motivo.value.trim()=='') { alert('Debe Indicar Un Motivo.'); return; }
					if (document.f1.motivo.value.trim().length>200) { alert('El texto del motivo es demasiado extenso, mximo 200 caracteres.'); return; }
					var sisCod = document.f1.siste.options[document.f1.siste.selectedIndex].value;
					var sisDes = document.f1.siste.options[document.f1.siste.selectedIndex].text;
					if (confirm('La tarea se enviar a la cola genrica del sistema '+sisDes+'.\nEst seguro?')) {
						top.opener.lanzaCambioSistema(sisCod,document.f1.motivo.value.trim());
						top.close();
					}
				}
			</SCRIPT>
		</xsl:with-param>
	</xsl:call-template>

<body>
<br/>
<form name="f1">
<table class="contout">
<tr class="peticion"><td colspan="2"><b>Cambio de Sistema</b></td></tr>
<tr>
	<td><b>Selecciona un Sistema:</b>&#160;
	<select size="1" name="siste">
		<option value="-1" selected="true">&lt;-- Escoja un Sistema --></option>
		<xsl:for-each select="DATA/GESTION/SISTEMA[@IND_INT='I' and @CODIGO!='DEF']">
		<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
		</xsl:for-each>
	</select>
	</td>
</tr>
<tr>
	<td colspan="2"><b>Motivo:</b></td>
</tr>
<tr>
	<td colspan="2"><textarea name="motivo" cols="60" rows="6"></textarea></td>
</tr>
<tr><td colspan="2"><b>NOTA:</b><i> Utiliza esta opcin para redirigir una tarea entre sistemas internos.</i></td></tr>
<tr>
	<td align="center" colspan="2">
		<input class="boton" type="button" value="Enviar" onclick="enviar();"/>
	</td>
</tr>
</table>
</form>
</body>
</html>
</xsl:template>

<xsl:template name="cuerpo"/>

</xsl:stylesheet>
