<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="tipo"/>
<xsl:param name="key"/>		

<xsl:template match="XMLROOT">
<HTML>
  <HEAD>
	<xsl:if test="$tipo = 'correo'">
		<TITLE>DUMBO7:&#160;Modificacin&#160;de&#160;Correo</TITLE>
	</xsl:if>
	<xsl:if test="$tipo = 'ip'">
		<TITLE>DUMBO7:&#160;Modificacin&#160;de&#160;direccin&#160;Ip</TITLE>
	</xsl:if>
	<link REL="stylesheet" HREF="../estilosD.css" TYPE="text/css"/>
	<style type="text/css">@import url(../dumbo7/utils/jscalendar/calendar-win2k-1.css);</style>
	<script type="text/javascript" src="../dumbo7/utils/jscalendar/calendar.js"></script>
	<script type="text/javascript" src="../js/CompruebaFecha.js"></script>
	<script type="text/javascript" src="../js/metricas/Calendario.js"></script>
	<script type="text/javascript" src="../dumbo7/utils/jscalendar/lang/calendar-es.js"></script>
	<script type="text/javascript" src="../dumbo7/utils/jscalendar/calendar-setup.js"></script>
	<SCRIPT LANGUAGE="JavaScript">
		function selectDateSol(calendar, date){
			if (calendar.dateClicked){
				if (document.modificaIp.FechaSolicitud.value == date) document.modificaIp.FechaSolicitud.value = '';
					else document.modificaIp.FechaSolicitud.value = date;
					calendar.hide();
			}
		}
		function actualizarIp(){
			var host = document.modificaIp.Host.value;
			var ip = document.modificaIp.Ip.value;
			var mac = document.modificaIp.Mac.value;
			var roseta = document.modificaIp.Roseta.value;
			var fecha = document.modificaIp.FechaSolicitud.value;
			var campus = document.modificaIp.Campus.value;
			if(ip != ''){
				window.opener.actualizarIp('<xsl:value-of select="$key"/>',host,ip,mac,roseta,fecha,campus);
				window.close();
			}else{
				alert('Debe introducir una dirrecion Ip');
			}
		}
		function actualizarCorreo(){
			var correo = document.modificaCorreo.Correo.value;
			var cuenta = document.modificaCorreo.Cuenta.value;
			if(correo != ''){
				 if(cuenta != ''){
					window.opener.actualizarCorreo('<xsl:value-of select="$key"/>',correo,cuenta);
					window.close();
				}
				else{
					alert('Debe introducir una cuenta');
				}
			}else{
				alert('Debe introducir un correo');
			}
		}
	</SCRIPT>
  </HEAD>
<body>
<br/>
	<xsl:if test="$tipo = 'correo'">
		<table class="cont" id="correo" border="0" cellpadding="3" cellspacing="1">
		<form action="{$servlet}" METHOD="POST" name="modificaCorreo">
			<tr class="cabe">
				<td width="40%"><b>Correo</b></td>
				<td width="20%"><b>Cuenta</b></td>
			</tr>
			<tr class="administracion">
				<xsl:if test="count(DATA/DATOS_USUARIOS/CORREO) = 0">
					<td colspan="7" align="center">
						<font color="red">Error el recuperar la informacin asociada al correo</font>
					</td>
				</xsl:if>
				<xsl:if test="count(DATA/DATOS_USUARIOS/CORREO) != 0">
					<td><input type="text" name="Correo" size="30" value="{DATA/DATOS_USUARIOS/CORREO/@CORREO}"/></td>
					<td><input type="text" name="Cuenta" size="20" value="{DATA/DATOS_USUARIOS/CORREO/@CUENTA}"/></td>
				</xsl:if>
			</tr>
			<tr class="administracion">
				<td colspan="2" align="center">
					<input type="button" class="boton" value="Actualizar" onclick="javascript:actualizarCorreo();"/>
					&#160;
					<input type="button" class="boton" value="Volver" onclick="top.close();"/>
				</td>
			</tr>
		</form>
		</table>
	</xsl:if>
	<xsl:if test="$tipo = 'ip'">
		<table class="cont" id="ip" border="0" cellpadding="3" cellspacing="1">
		<form action="{$servlet}" METHOD="POST" name="modificaIp">
			<tr class="cabe">
				<td width="50"><b>Host</b></td>
				<td width="50"><b>Direccin&#160;IP</b></td>
				<td width="50"><b>Direccin&#160;MAC</b></td>
				<td width="50"><b>Roseta</b></td>
				<td width="50"><b>Fecha&#160;Solicitud</b></td>
				<td width="50"><b>Campus</b></td>
			</tr>
			<tr class="administracion">
				<xsl:if test="count(DATA/DATOS_USUARIOS/IP) = 0">
					<td colspan="7" align="center">
						<font color="red">Error el recuperar la informacin asociada a la direccin</font>
					</td>
				</xsl:if>
				<xsl:if test="count(DATA/DATOS_USUARIOS/IP) != 0">
					<td><input type="text" name="Host" value="{DATA/DATOS_USUARIOS/IP/@HOST}" maxlength="50"/></td>
					<td><input type="text" name="Ip" value="{DATA/DATOS_USUARIOS/IP/@IP}" maxlength="15"/></td>
					<td><input type="text" name="Mac" value="{DATA/DATOS_USUARIOS/IP/@MAC}" maxlength="17"/></td>
					<td><input type="text" name="Roseta" value="{DATA/DATOS_USUARIOS/IP/@ROSETA}" maxlength="10"/></td>
					<td><xsl:variable name="fecha">
							<xsl:call-template name="date2String2">
								<xsl:with-param name="fecha" select="DATA/DATOS_USUARIOS/IP/@FECHA_SOLICITUD"/>
							</xsl:call-template>
						</xsl:variable>
						<input type="text" onChange="changeDate(this)" name="FechaSolicitud" id="f_FecSol" size="11" value="{$fecha}"/>
						<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_a"
								style="cursor: pointer; border: 1px solid red;"
								title="Selecciona Fecha"
								onmouseover="this.style.background='red';"
								onmouseout="this.style.background=''"  />
					</td>
						<script type="text/javascript">
							Calendar.setup({
							inputField     :    "f_FecSol",
							ifFormat       :    "%d/%m/%Y",
							button         :    "f_trigger_a",
							align          :    "Tl",
							onSelect       :    selectDateSol,
							singleClick    :    false
						});
								</script>
					<td><select name="Campus" size="1">
							<xsl:choose>
								<xsl:when test="DATA/DATOS_USUARIOS/IP/@CAMPUS = 'ALFONSO'">
									<option value="ALFONSO">Alfonso XIII</option>
									<option value="MURALLA">Muralla del Mar</option>
									<option value="RECTORADO">Rectorado</option>
									<option value="RESICOLAO">Resi A.Colao</option>
									<option value="POLIGONO">Polgono</option>
								</xsl:when>
								<xsl:when test="DATA/DATOS_USUARIOS/IP/@CAMPUS = 'MURALLA'">
									<option value="MURALLA">Muralla del Mar</option>
									<option value="ALFONSO">Alfonso XIII</option>
									<option value="RECTORADO">Rectorado</option>
									<option value="RESICOLAO">Resi A.Colao</option>
									<option value="POLIGONO">Polgono</option>
								</xsl:when>
								<xsl:when test="DATA/DATOS_USUARIOS/IP/@CAMPUS = 'RECTORADO'">
									<option value="RECTORADO">Rectorado</option>
									<option value="ALFONSO">Alfonso XIII</option>
									<option value="MURALLA">Muralla del Mar</option>
									<option value="RESICOLAO">Resi A.Colao</option>
									<option value="POLIGONO">Polgono</option>
								</xsl:when>
								<xsl:when test="DATA/DATOS_USUARIOS/IP/@CAMPUS = 'RESICOLAO'">
									<option value="RESICOLAO">Resi A.Colao</option>
									<option value="ALFONSO">Alfonso XIII</option>
									<option value="MURALLA">Muralla del Mar</option>
									<option value="RECTORADO">Rectorado</option>
									<option value="POLIGONO">Polgono</option>
								</xsl:when>
								<xsl:when test="DATA/DATOS_USUARIOS/IP/@CAMPUS = 'POLIGONO'">
									<option value="POLIGONO">Polgono</option>
									<option value="ALFONSO">Alfonso XIII</option>
									<option value="MURALLA">Muralla del Mar</option>
									<option value="RECTORADO">Rectorado</option>
									<option value="RESICOLAO">Resi A.Colao</option>
								</xsl:when>
							</xsl:choose>
						</select>				
					</td>
				</xsl:if>
			</tr>
			<tr class="administracion">
				<td colspan="6" align="center">
					<input type="button" class="boton" value="Actualizar" onclick="javascript:actualizarIp();"/>
					&#160;
					<input type="button" class="boton" value="Volver" onclick="top.close();"/>
				</td>
			</tr>
		</form>
		</table>
	</xsl:if>
</body>
</HTML>

</xsl:template>

<xsl:template name="date2String2">
<xsl:param name="fecha"/>
<xsl:if test="string-length($fecha)>0">
<xsl:variable name="date" select="substring-before($fecha,'T')"/>
<xsl:variable name="hora" select="substring-after(substring-before($fecha,'.'),'T')"/>
<xsl:variable name="anyo" select="substring-before($date,'-')"/>
<xsl:variable name="mes" select="substring-before(substring-after($date,'-'),'-')"/>
<xsl:variable name="dia" select="substring-after(substring-after($date,'-'),'-')"/>
<xsl:value-of select="$dia"/>/<xsl:value-of select="$mes"/>/<xsl:value-of select="$anyo"/>
</xsl:if>
</xsl:template>
</xsl:stylesheet>
	