<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:output method="text"/>

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>
<xsl:param name="idInput"/>

<xsl:template match="XMLROOT">
	<HEAD>
		<META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
		<META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
	</HEAD>
		<xsl:if test="count(DATA/DATOS_USUARIOS/USUARIO)=0">
			incorrecto = true;
			document.getElementById("<xsl:value-of select="$idInput"/>").innerHTML = '&lt;font size="2" color="red">Usuario Incorrecto!&lt;/font>';
		</xsl:if>
		<xsl:for-each select="DATA/DATOS_USUARIOS/USUARIO">
			<xsl:sort select="concat(@APELLIDOS,@NOMBRE)"/>
			incorrecto = false;
			<xsl:variable name="Nombre"><xsl:value-of select="@APELLIDOS"/>,&#160;<xsl:value-of select="@NOMBRE"/></xsl:variable>
			<!--<xsl:value-of select="@APELLIDOS"/>,&#160;<xsl:value-of select="@NOMBRE"/>-->
			document.getElementById("<xsl:value-of select="$idInput"/>").innerHTML = '<xsl:value-of select="@APELLIDOS"/>,&#160;<xsl:value-of select="@NOMBRE"/>';
				<!--<xsl:call-template name="entrecomillaDescripcion"><xsl:with-param name="descripcion" select="$Nombre"/></xsl:call-template>;-->
		</xsl:for-each>
</xsl:template>
</xsl:stylesheet>