<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="user"/>

<xsl:template match="XMLROOT">
<HTML>
  <HEAD>
    <META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
    <META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
    <TITLE>DUMBO7: Detalle Usuario</TITLE>
	<link REL="stylesheet" HREF="../estilosD.css" TYPE="text/css"/>
	<script language="JavaScript">
		var dominio = '<xsl:value-of select="DATA/INICIO/USER/@DOMINIO"/>';
		function openDirectory(mail) {
			if ((mail.indexOf(dominio)+dominio.length)==mail.length) {
				if (dominio=='um.es') window.open('http://www.um.es/atica/directorio/index.php?nivel=&amp;lang=0&amp;vista=&amp;search='+mail,'x500','');
				else window.open('http://directorio.upct.es:51080/eGuide/servlet/eGuide','x500','');
			} else alert('El Usuario no tiene una cuenta de correo de la Universidad.');
		}
	</script>
  </HEAD>
  <BODY BGCOLOR="#FFFFFF">
	<br/>
	<table class="contout">
	<xsl:choose>
		<xsl:when test="not(DATA/INICIO/DATOSPERSONALES/@EMAIL) and not(DATA/INICIO/DATOSPERSONALES/@APELLIDOS)">
			<tr class="peticion"><td colspan="2"><strong>Detalle Usuario:&#160;</strong><i><xsl:value-of select="$user"/></i></td></tr>
			<tr>
				<td><b>Nombre:</b></td><td>USUARIO EXTERNO A DUMBO</td>
			</tr>
			<tr>
				<td><b>Email:</b></td><td><a href="mailto:{$user}"><xsl:value-of select="$user"/></a></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<tr class="peticion">
				<td colspan="2"><strong>Detalle Usuario:&#160;</strong><i><xsl:value-of select="DATA/INICIO/DATOSPERSONALES/@EMAIL"/></i></td>
			</tr>
			<tr>
				<td><b>Nombre:</b></td><td><xsl:value-of select="DATA/INICIO/DATOSPERSONALES/@APELLIDOS"/>,&#160;<xsl:value-of select="DATA/INICIO/DATOSPERSONALES/@NOMBRE"/></td>
			</tr>
			<tr>
				<td><b>Email:</b></td><td><a href="mailto:{DATA/INICIO/DATOSPERSONALES/@EMAIL}"><xsl:value-of select="DATA/INICIO/DATOSPERSONALES/@EMAIL"/></a></td>
			</tr>
			<xsl:if test="count(DATA/SECURITY[@MODULE='dumbo7/inicio']/ACTION[@NAME='verDetalles'])>0">
			<tr>
				<td><b>Dni:</b></td><td><xsl:value-of select="DATA/INICIO/DATOSPERSONALES/@IDENTIFICADOR"/>-<xsl:value-of select="DATA/INICIO/DATOSPERSONALES/@LETRA"/></td>
			</tr>
			</xsl:if>
			<tr>
				<td><b>Telefono:</b></td><td><xsl:value-of select="DATA/INICIO/DATOSPERSONALES/@TELEFONO"/></td>
			</tr>
			<tr>
				<td><b>Tipo:</b></td><td><xsl:value-of select="DATA/INICIO/DATOSPERSONALES/@TIPO"/></td>
			</tr>
			<tr>
				<td><b>Departamento:</b></td><td><xsl:value-of select="DATA/INICIO/DATOSPERSONALES/@DEPTO"/></td>
			</tr>
			<tr>
				<td><b>Centro:</b></td><td><xsl:value-of select="DATA/INICIO/DATOSPERSONALES/@CENTRO"/></td>
			</tr>
			<tr>
				<td><b>Inf. Directorio:</b></td><td>[<a href="javascript:openDirectory('{DATA/INICIO/DATOSPERSONALES/@EMAIL}');">Ver</a>]</td>
			</tr>
		</xsl:otherwise>
	</xsl:choose>
	<tr><td colspan="2">&#160;</td></tr>
	<tr><td colspan="2" align="center">
	<form>
	<input type="button" class="boton" OnClick="top.close();" value="Cerrar"/>
	</form>
	</td></tr>
	</table>
  </BODY>
</HTML>

</xsl:template>
</xsl:stylesheet>
	