<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	

<xsl:template match="XMLROOT">
<html>
  <head>
    <META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
    <META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
    <TITLE>DUMBO</TITLE>
<link rel="stylesheet" href="../estilosD.css" type="text/css"/>
<script language="JavaScript">
	String.prototype.trim = function() { return this.replace(/^\s+|\s+$/, ''); };
	function aceptar() {
		if (document.f1.tarDescripSegui.value.trim()=='') {
			alert('Debe indicar el motivo del rechazo.');
			return;
		}
		document.f1.submit();
	}
</script>
</head>
<body>
	<xsl:choose>
	<xsl:when test="string-length(DATA/INICIO/@ERROR)>0">
		<h1>Ha expirado el tiempo vlido para esta URL</h1>
	</xsl:when>
	<xsl:otherwise>
	<form name="f1" action="{$servlet}" method="post">
	<input type="hidden" name="module" value="{DATA/INICIO/@OPERACION}"/>
	<input type="hidden" name="tarUbicacion" value="{DATA/INICIO/@PATRON}"/>
	<br/>
	<table class="contout">
		<tr>
			<td colspan="2" class="peticion"><b>Indique el Motivo del Rechazo</b></td>
		</tr>
		<tr>
			<td>
			<table>
			<tr>
			<td colspan="2"><b>Motivo:</b></td>
			</tr>
			<tr>
			<td colspan="2">
				<textarea name="tarDescripSegui" rows="10" cols="70"></textarea>
			</td>
			</tr>
			</table>
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center">
				<input class="boton" type="button" value="Aceptar" onclick="aceptar();"/>&#160;
				<input class="boton" type="button" value="Cancelar" onclick="top.close();"/>
			</td>
		</tr>
		<tr class="peticion">
			<td colspan="2">&#160;</td>
		</tr>
	</table>
	</form>
	</xsl:otherwise>
	</xsl:choose>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
	