<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:param name="tipo"/>

<xsl:template match="XMLROOT">
<xsl:variable name="titulo">
	<xsl:choose>
		<xsl:when test="$tipo='USR'">
			Usuario
		</xsl:when>
		<xsl:otherwise>
			Informtico
		</xsl:otherwise>
	</xsl:choose>
</xsl:variable>
<HTML>
  <HEAD>
    <META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
    <META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
    <TITLE>DUMBO7: Buscar <xsl:value-of select="$titulo"/></TITLE>
	<link REL="stylesheet" HREF="../estilosD.css" TYPE="text/css"/>
	<SCRIPT LANGUAGE="JavaScript">
		String.prototype.trim = function() { return this.replace(/^\s+|\s+$/, ''); };
		var buscando = false;
		var filtro = 4; 
		function buscar() {
			copiaPatron();
			document.buscador.patron.value = document.buscador.patron.value.trim();
			if (document.buscador.cor.disabled){
				<xsl:if test="$tipo='INF'">
					if (document.buscador.patron.value=='/' || document.buscador.ape.value.length&lt;3) { 
						if (document.buscador.patron.value=='/' || document.buscador.nom.value.length&lt;3) { 
							alert('No pueden ser nulos el nombre y el apellido, y debe incluir tres o ms caracteres como patrn de bsqueda.'); 
							return;
						} 
					}
				</xsl:if>
				if (document.buscador.ape.disabled){
					if (document.buscador.patron.value==' ' || document.buscador.ext.value.length!=4) { 
						alert('El campo extensin no puede ser nulo y debe constar de cuatro dgitos, como patrn de bsqueda.'); 
						return; 
					}
				}else
					if (document.buscador.patron.value=='/' || document.buscador.ape.value.length&lt;3) { 
						<xsl:if test="$tipo='USR'">
							alert('El campo apellido no puede ser nulo y debe incluir tres o ms caracteres, como patrn de bsqueda.'); 
							return; 
						</xsl:if>
					}
			}
			else{
				if (document.buscador.patron.value=='/' || document.buscador.cor.value.length&lt;3) { 
					alert('El campo correo no puede ser nulo y debe incluir tres o ms caracteres, como patrn de bsqueda.'); 
					return; 
				}
			}
			var k = 0;
			var n = document.buscador.patron.value.indexOf(' ');
			while (n>0 &amp;&amp; k&lt;3) {
				k++;
				if (k>2) { alert('Puede incluir como mximo 3 palabras para buscar.'); return; }
				n = document.buscador.patron.value.indexOf(' ',n+1);
			}
			<xsl:if test="$tipo='INF'">
				if (top.opener.document.newSol)
					document.buscador.aplcod.value = top.opener.document.newSol.tarAplCod.value;
			</xsl:if>
			buscando = true;
			writePoints();
			document.buscador.submit();
		}
		function endBuscar() { buscando = false; document.getElementById('divTexto').innerHTML = '&#160;'; }
		var puntos = 0;
		function writePoints() {
			if (!buscando) return;
			var puntosTxt = '';
			for (i=0; i&lt;puntos; i++) puntosTxt += '.';
			puntos += 1;
			if (puntos>15) puntos=0;
			document.getElementById('divTexto').innerHTML = '&lt;font size="+1" color="red">Buscando'+puntosTxt+'&lt;/font>';
			setTimeout('writePoints()',250);
		}
		function marca(obj,chk,objb,objc) {
			obj.disabled = !chk.checked;
			objb.disabled = chk.checked;
			objc.disabled = chk.checked;
			document.getElementById('lb'+obj.name).disabled = !chk.checked;
			document.getElementById('lb'+objb.name).disabled = chk.checked;
			document.getElementById('lb'+objc.name).disabled = chk.checked;
			if (!obj.disabled) obj.focus();
			if (!objb.disabled) objb.focus();
			if (!objc.disabled) objc.focus();
		}
		function marcaI(obj,chk,objb) {
			obj.disabled = !chk.checked;
			objb.disabled = chk.checked;
			document.getElementById('lb'+obj.name).disabled = !chk.checked;
			document.getElementById('lb'+objb.name).disabled = chk.checked;
			if (!obj.disabled) obj.focus();
			if (!objb.disabled) objb.focus();
		}
		function copiaPatron() {
			<xsl:choose>
				<xsl:when test="$tipo='USR'">
					if (document.buscador.ape.disabled) {
						if (document.buscador.ext.disabled) {
							document.buscador.patron.value = document.buscador.cor.value+'@' + filtro;
							if (document.buscador.patron.value.trim()=='@') document.buscador.patron.value = document.buscador.cor.value + filtro;
						}else document.buscador.patron.value = document.buscador.ext.value + "#" + filtro;
					} else document.buscador.patron.value = document.buscador.nom.value + "/" + document.buscador.ape.value + "/" + filtro;
				</xsl:when>
				<xsl:when test="$tipo='INF'">
					if (document.buscador.ape.disabled) {
						document.buscador.patron.value = document.buscador.cor.value+'@';
						if (document.buscador.patron.value.trim()=='@') document.buscador.patron.value = document.buscador.cor.value;
					} else document.buscador.patron.value = document.buscador.nom.value + "/" + document.buscador.ape.value;
				</xsl:when>
			</xsl:choose>
			}
		function filtra(seleccionado) {
			filtro=seleccionado;
		}
	</SCRIPT>
  </HEAD>
<body onload="document.buscador.ape.focus();">
<br/>
<form name="buscador" action="{$servlet}" method="post" target="rdo">
	<input type="hidden" name="module"><xsl:attribute name="value"><xsl:choose><xsl:when test="$tipo='USR'">dumbo7/solicitudes.solicita.buscarUsuario</xsl:when><xsl:otherwise>dumbo7/solicitudes.solicita.buscarInformatico</xsl:otherwise></xsl:choose></xsl:attribute></input>
	<input type="hidden" name="patron"/>
	<xsl:if test="$tipo='INF'">
	<input type="hidden" name="aplcod" value=""/>
	</xsl:if>
	<table class="contout">
		<tr class="peticion">
			<td width="20%"><b>Buscar <xsl:value-of select="$titulo"/></b></td>
			<td id="divTexto">&#160;</td>
		</tr>
		<tr>
		<td colspan="2">Seleccione el criterio de bsqueda:
		<xsl:if test="$tipo='USR'">
				<table align="center">
				<td>
					<input type="radio" name="criterio1" onclick="filtra(1);"/>
					<label id="lbpdi"><b>PDI:</b></label>
					<input type="radio" name="criterio1" onclick="filtra(2);"/>
					<label id="lbpas"><b>PAS:</b></label>
					<input type="radio" name="criterio1" onclick="filtra(3);"/>
					<label id="lbalu"><b>Alumnos:</b></label>
					<input type="radio" name="criterio1" onclick="filtra(4);" checked="true"/>
					<label id="lbtodos"><b>Todos:</b></label>
				</td>
			</table>		
			</xsl:if>
			<table>
			<tr>
				<td rowspan="2">&#160;</td>
				<xsl:choose>
					<xsl:when test="$tipo='USR'">
						<td><input type="radio" name="criterio" onclick="marca(document.buscador.cor,this,document.buscador.ape,document.buscador.ext);"/></td>
					</xsl:when>
					<xsl:when test="$tipo='INF'">
						<td><input type="radio" name="criterio" onclick="marcaI(document.buscador.cor,this,document.buscador.ape);"/></td>
					</xsl:when>
				</xsl:choose>	
				<td><label id="lbcor" disabled="true"><b>Correo:</b></label></td>
				<td><input name="cor" size="30" value="" disabled="true"/></td>
				<td rowspan="2">&#160;</td>
			</tr>
			<tr>
				<xsl:choose>
					<xsl:when test="$tipo='USR'">
						<td><input type="radio" name="criterio" onclick="marca(document.buscador.ape,this,document.buscador.cor,document.buscador.ext);" checked="true"/></td>
					</xsl:when>
					<xsl:when test="$tipo='INF'">
						<td><input type="radio" name="criterio" onclick="marcaI(document.buscador.ape,this,document.buscador.cor);" checked="true"/></td>
					</xsl:when>
				</xsl:choose>	
				<td><label id="lbape"><b>Nombre y Apellidos:</b></label></td>
				<td>
					<input name="nom" size="20" value=""/>
					<input name="ape" size="40" value=""/>
				</td>
				<td rowspan="2">
				<input class="boton" type="button" value="Buscar" onclick="buscar();"/>&#160;
				<input class="boton" type="button" value="Cerrar" onclick="top.close();"/>&#160;
				</td>
			</tr>
			<xsl:if test="$tipo='USR'">
				<tr>
				<td rowspan="2">&#160;</td>
				<td><input type="radio" name="criterio" onclick="marca(document.buscador.ext,this,document.buscador.ape,document.buscador.cor);"/></td>
				<td><label id="lbext" disabled="true"><b>Extensin del contacto:</b></label></td>
				<td><input name="ext" size="15" value="" disabled="true"/></td>
				<td rowspan="2">&#160;</td>
			</tr>
			</xsl:if>
			</table>
		</td>
		</tr>
	</table>
	<center>
	<iframe name="rdo" src="../vacia.html" width="98%" height="298" frameborder="0"></iframe>
	</center>
</form>
</body>
</HTML>

</xsl:template>
</xsl:stylesheet>
	