<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	 xmlns:xforms="http://www.w3.org/2002/xforms" 
     xmlns:fo="http://www.w3.org/1999/XSL/Format" >

<xsl:param name="servlet"/>
<xsl:param name="inicio"/>
<xsl:param name="fin"/>
<xsl:param name="UsuCod"/>
<xsl:param name="GruCod"/>
<xsl:param name="AplCod"/>
<xsl:param name="CatCod"/>
<xsl:param name="desgloseSel"/>
<xsl:param name="FechaDesde"/>
<xsl:param name="FechaHasta"/>

	
<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>

<xsl:template match="XMLROOT">
	<fo:root>
		<fo:layout-master-set >

			<fo:simple-page-master master-name="simple"
					page-height="29.7cm" 
					page-width="21cm"
					margin-top="0.5cm" 
					margin-bottom="1cm" 
					margin-left="2cm" 
					margin-right="2cm"
					>
					
				<fo:region-body border="0.25pt solid silver" margin-top="1cm"/>
				<fo:region-before border="0.25pt solid silver" />
				<fo:region-after extent="1.5cm"/>
			</fo:simple-page-master>
		</fo:layout-master-set>

<fo:page-sequence master-reference="simple" >
				
		<fo:static-content flow-name="xsl-region-before">
    <fo:block background-color="#000000">
	<!--CABECERA DUMBO-->
hola
	
	
      
    </fo:block>
  </fo:static-content>
		
		<!--PIE DUMBO-->
		
		<fo:static-content flow-name="xsl-region-after">
			
			
			<fo:table>
		
				<fo:table-column column-number="1"/>
				<fo:table-column column-number="2"/>
				<fo:table-column column-number="3"/>
		
				<fo:table-body>
					<fo:table-row>
						<fo:table-cell number-columns-spanned="2">
							 <fo:block text-align="left" font-size="8pt">
							
								(C) 2005. ATICA. Vicerrectorado de Investigacin y Nuevas Tecnologas
							</fo:block>
						</fo:table-cell>
						
						<!--NUMERACION DE PAGINA-->
						<fo:table-cell>
			               <fo:block text-align="right" font-size="8pt">
					          <fo:page-number/>
			               </fo:block> 
						   <fo:block text-align="right" font-size="8pt" break-before="page"> 
		                     <fo:page-number/>
					       </fo:block> 
						</fo:table-cell>
					</fo:table-row>
				</fo:table-body>
			</fo:table>
          </fo:static-content>
				
 
		<fo:flow flow-name="xsl-region-body">
			<xsl:apply-templates/>
		</fo:flow>
</fo:page-sequence>
	</fo:root>	
</xsl:template>

<!--CUERPO PDF-->
<xsl:template match="DATA">
	<fo:block text-align="right"><fo:external-graphic src="/www/dumbo/web_dumbo/graficos/dumboD7.jpg" width="6cm" height="2cm"/></fo:block>
	<fo:block text-align="center" font-size="16">&#160;</fo:block>
	<fo:block text-align="center" font-size="22" color="#000000" text-decoration="underline">INFORME ALERTAS
		<fo:inline>&#160;</fo:inline>
		<xsl:if test="$NivelAlertas='1'">
						<fo:inline>&#160;INFORMATICO</fo:inline>
					</xsl:if>
					<xsl:if test="$NivelAlertas='2' ">
						<fo:inline>&#160;GESTOR</fo:inline>
					</xsl:if>
					<xsl:if test="$NivelAlertas='3' ">
						<fo:inline>&#160;MAESTRO</fo:inline>
					</xsl:if></fo:block>
	<fo:block text-align="center" font-size="16">&#160;</fo:block>

	<fo:table border="0.5pt solid silver" padding="5pt">
		
		<fo:table-column column-number="1"/>
		<fo:table-column column-number="2"/>

		
		<fo:table-body>
			<fo:table-row>
				<fo:table-cell>
					<fo:block  text-align="left" font-size="9px">&#8226;Tareas
						<xsl:if test="$TipoCheck='Pl' ">
								<fo:inline font-style="italic">Planificadas</fo:inline></xsl:if>
						<xsl:if test="$TipoCheck='Pe' ">
								<fo:inline font-style="italic">Pendientes</fo:inline></xsl:if>

					</fo:block>
				</fo:table-cell>

				<fo:table-cell>
					<fo:block  text-align="left" font-size="9px">
					<xsl:if test="$Historico='hist' ">&#8226; Histrico
					
					
						<xsl:if test="$FechasD!='' ">
								&#160;&#160;&#160;Desde:
								<fo:inline font-style="italic"><xsl:value-of select="$FechasD"/>&#160;&#160;</fo:inline>
						</xsl:if>
						<xsl:if test="$FechasD='' ">
								Desde:<fo:inline font-style="italic">Inicio</fo:inline>
						</xsl:if>
						
						<xsl:if test="$FechasH!='' ">
								&#160;Hasta:
								<fo:inline font-style="italic"><xsl:value-of select="$FechasH"/></fo:inline>
						</xsl:if>
						
						
						<xsl:if test="$FechasH='' ">
								Hasta:<fo:inline font-style="italic">Final</fo:inline>
						</xsl:if>
					</xsl:if>
					
						<xsl:if test="$ordenarApl='ord' ">&#8226; Ordenar por aplicaciones</xsl:if>
						<xsl:if test="$ordenarSec='ord' ">&#8226; Ordenar por secciones</xsl:if>
					
					
						</fo:block>
					
					

				</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
				<fo:table-cell>
					<fo:block text-align="left" font-size="9px">
						<xsl:if test="$noresueltas='res' ">
							<fo:inline font-style="italic">&#8226; No mostrar alertas de tareas resueltas</fo:inline>
						</xsl:if>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell>
					<fo:block text-align="left" font-size="9px">
						<!--Restringir Aplicacion-->
						<xsl:if test="$restringirApl='hist' ">&#8226; Mostrar slo aplicacin
							<fo:inline font-style="italic">
								<xsl:for-each select="ALERTAS/APLICACION">		
									<xsl:if test="@CODIGO = $TarAplCod"> 
										<xsl:value-of select="@DESCRIPCION"/>			
									</xsl:if>
								</xsl:for-each>
							</fo:inline>
						</xsl:if>
						<!--Restringir Seccion-->
						<xsl:if test="$restringirSec='hist' ">&#8226; Mostrar slo seccin
							<fo:inline font-style="italic">
								<xsl:for-each select="ALERTAS/SECCION">		
									<xsl:if test="@CODIGO = $TarSecCod"> 
										<xsl:value-of select="@DESCRIPCION"/>			
									</xsl:if>
								</xsl:for-each>
							</fo:inline>
						</xsl:if>
						
					</fo:block>
				</fo:table-cell>

			</fo:table-row>
		</fo:table-body>
	</fo:table>
			
		<fo:block text-align="center" font-size="16">&#160;</fo:block>
		

	<fo:table border="0.25pt solid silver">
		
		<fo:table-column column-number="1" column-width="15mm"/>
		<fo:table-column column-number="2" column-width="25mm"/>
		<fo:table-column column-number="3" column-width="50mm"/>
		<fo:table-column column-number="4" column-width="55mm"/>
		<fo:table-column column-number="5" column-width="60mm"/>
		<fo:table-column column-number="6" column-width="25mm"/>
		<fo:table-column column-number="7" column-width="25mm"/>
		
		<fo:table-body background-color="#000000">
			<fo:table-row>
				<fo:table-cell>
					
					<fo:block font-weight="bold" color="#FFFFFF" 
						text-align="center" font-size="10pt">Tareas</fo:block>
				</fo:table-cell>
									
				<fo:table-cell>
					<fo:block color="#FFFFFF" font-weight="bold" text-align="center" font-size="10pt">Estado Tarea</fo:block>
				</fo:table-cell>
				
				<fo:table-cell>
					<fo:block color="#FFFFFF" font-weight="bold" text-align="center" font-size="10pt"><xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informtico'"/></xsl:call-template></fo:block>
				</fo:table-cell>
				
					
				<fo:table-cell>
					<fo:block color="#FFFFFF" font-weight="bold" text-align="center" font-size="10pt">Aplicacin</fo:block>
				</fo:table-cell>
				
				<fo:table-cell>
					<fo:block color="#FFFFFF" font-weight="bold" text-align="center" font-size="10pt">Seccion</fo:block>
				</fo:table-cell>
				
				<fo:table-cell>
					<!--Nos interesa Fecha de Creacin si es Pendiente-->
					<xsl:if test="$TipoCheck='Pe'">
						<fo:block color="#FFFFFF" font-weight="bold" text-align="center" font-size="10pt">F.Creacin</fo:block>
					</xsl:if>
					<!--Nos interesa Fecha de Planificacin si es Planificada-->
					<xsl:if test="$TipoCheck='Pl'">
						<fo:block color="#FFFFFF" font-weight="bold" text-align="center" font-size="10pt">F.Planificacin</fo:block>
					</xsl:if>
				</fo:table-cell>
				
				<fo:table-cell>
					<fo:block color="#FFFFFF" font-weight="bold" text-align="center" font-size="10pt">F.Alertas</fo:block>
				</fo:table-cell>
				
				
				
			</fo:table-row>
			
		</fo:table-body>
	</fo:table>		
	<xsl:if test="count(ALERTAS/TAREAS)= 0">
		<fo:block text-align="center" font-size="16">&#160;</fo:block>	
			<fo:block text-align="center" font-size="9pt">Sin Resultados</fo:block>
	</xsl:if>
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="TAREAS">

		
	
		<fo:table border="0.25pt solid silver">
		<fo:table-column column-number="1" column-width="15mm"/>
		<fo:table-column column-number="2" column-width="25mm"/>
		<fo:table-column column-number="3" column-width="55mm"/>
		<fo:table-column column-number="4" column-width="55mm"/>
		<fo:table-column column-number="5" column-width="55mm"/>
		<fo:table-column column-number="6" column-width="25mm"/>
		<fo:table-column column-number="7" column-width="25mm"/>		
		<fo:table-body text-align="center" start-indent="3pt">
			<xsl:if test="@CODIGO != ''">
				<fo:table-row>
					<fo:table-cell>
						<fo:block font-size="9pt" 
							start-indent="0pt"		 
							font-family="sans-serif" 
							line-height="12pt"
							space-after.optimum="0pt"
							text-align="center">
							<xsl:value-of select="@CODIGO"/> 													
						</fo:block>
					</fo:table-cell>
					
					
					
					<fo:table-cell>
						<fo:block font-size="9pt" 
							start-indent="0pt"		 
							font-family="sans-serif" 
							line-height="12pt"
							space-after.optimum="0pt"
							text-align="center">
							<xsl:choose>
								<xsl:when test="@ESTADO='P'">Pendiente asignacin</xsl:when>
								<xsl:when test="@ESTADO='A'">Asignada</xsl:when>
								<xsl:when test="@ESTADO='W'">En espera</xsl:when>
								<xsl:when test="@ESTADO='N'">Anulada</xsl:when>
								<xsl:when test="@ESTADO='R'">Resuelta</xsl:when>
								<xsl:when test="@ESTADO='X'">Rechazada</xsl:when>
							</xsl:choose>   

					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell>
						<fo:block font-size="9pt" 
							start-indent="0pt"		 
							font-family="sans-serif" 
							line-height="12pt"
							space-after.optimum="0pt"
							text-align="center">
							<xsl:value-of select="@INFORMATICO"/> 
					
					
						</fo:block>
					</fo:table-cell>
					
					
				<fo:table-cell>
						<fo:block font-size="9pt" 
							start-indent="0pt"		 
							font-family="sans-serif" 
							line-height="12pt"
							space-after.optimum="0pt"
							text-align="center">
							
							<xsl:call-template name="aplicacion"/>
							
						</fo:block>
				</fo:table-cell>	
				
				<fo:table-cell>
						<fo:block font-size="9pt" 
							start-indent="0pt"		 
							font-family="sans-serif" 
							line-height="12pt"
							space-after.optimum="0pt"
							text-align="center">
							
							<xsl:call-template name="seccion"/>

							
						</fo:block>
				</fo:table-cell>		
					
				<fo:table-cell>
					<fo:block font-size="9pt" 
						start-indent="0pt"		 
						font-family="sans-serif" 
						line-height="12pt"
						space-after.optimum="0pt"
						text-align="center">
						<!--Nos interesa Fecha de Creacin si es Pendiente-->
						<xsl:if test="$TipoCheck='Pe'">
							<xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="@FECHA_CREACION"/></xsl:call-template>																		
						</xsl:if>
						
						<!--Nos interesa Fecha de Planificacin si es Planificacin-->
						<xsl:if test="$TipoCheck='Pl'">
							<xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="@PLANIFICACION"/></xsl:call-template>																		
						</xsl:if>
					</fo:block>
				</fo:table-cell>
					<fo:table-cell>
						<fo:block font-size="9pt" 
							start-indent="0pt"		 
							font-family="sans-serif" 
							line-height="12pt"
							space-after.optimum="0pt"
							text-align="center">
							<xsl:call-template name="date2String2"><xsl:with-param name="fecha" select="../TAREAS_ALERTAS/@FECHA_ALERTA"/></xsl:call-template>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
			</xsl:if>
		</fo:table-body>
	
	</fo:table>
	<xsl:apply-templates/>
</xsl:template>


<xsl:template name="aplicacion">
	<xsl:variable name="CodigoAplicacion"><xsl:value-of select="@APLICACION"/></xsl:variable> 
	<xsl:for-each select="../../APLICACION">		
		<xsl:if test="@CODIGO = $CodigoAplicacion"> 
			<xsl:value-of select="@DESCRIPCION"/>			
		</xsl:if>
	</xsl:for-each>
			
</xsl:template>

<xsl:template name="seccion">
	
	<xsl:variable name="CodigoAplicacion"><xsl:value-of select="@APLICACION"/></xsl:variable> 

	
	
		
	
		
			<xsl:for-each select="../../APLICACION">
				<xsl:if test="@CODIGO = $CodigoAplicacion">
					<xsl:variable name="CodigoSeccion"><xsl:value-of select="@SECCION"/></xsl:variable> 
					
					<xsl:for-each select="../SECCION">	
						<xsl:if test="@CODIGO = $CodigoSeccion">
							<xsl:value-of select="@DESCRIPCION"/> 			
						</xsl:if>
					</xsl:for-each>
					
				</xsl:if>
		
			</xsl:for-each>	
			
			
			
			
		
	
</xsl:template>			

<xsl:template name="cuerpo">
	hola	
</xsl:template>

</xsl:stylesheet>

