<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:param name="servlet"/>	
<xsl:param name="menu"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>
<!--Include para los template que se encargan de jerarquizar el select de categoras-->
<xsl:include href="dumbo7/metricas/html/ArbolEnSelect.xsl"/>	
	
<xsl:template match="XMLROOT">

<html lang="es">
	<xsl:call-template name="headComun">
		 <xsl:with-param name="calendar" select="not(contains($menu,'Inc'))"/>
		 <xsl:with-param name="jscript">
			<script LANGUAJE="JavaScript">
				<!--Variable para realizar la comprobacin si los tramos son slo nmericos-->
				var nav4 = window.Event ? true : false;
				
				<!--Funcin para imperdir que se introduzcan letras o caracteres distintos a nmeros en los tramos-->			
				function acceptNum(evt){
					// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57
					var key = nav4 ? evt.which : evt.keyCode;
					return (key &lt;= 13 || (key >= 48 &amp;&amp; key &lt;= 57) || (key == 46));
				}
								
				function mostrarError(error){
					alert(error);
				}
				<!--Permite que el llegar el foco al final de la pgina vuelva al primer elemento de nuevo-->
				function renuevaTab(){
					document.metricas.AplCod.focus();
				}
				
				<!--Variables que indican si las busquedas por usuario o por informatico han dado un resultado incorrecto-->
				var DatosIncorrectosUsu = false;
				
				var http_req = false;
				var buscaCampo ='';
				var idInput = '';
				
				function busquedaGenerica(url,tipo){
					if(document.metricas.usuarioCheck[0].checked == true){
							buscaCampo = document.metricas.UsuCod;
							idInput = 'UsuApe';
							url = url.concat("&amp;modulo=BuscarUsuarioInformatico");
							url = url.concat("&amp;tipo="+tipo);
							newWindow = window.open(url,'_blanck',"width=620,height=400,left=100,top=100");
						}
				}
				
				function actualiza(v,doc) {
					DatosIncorrectosUsu = false;
					buscaCampo.value = v;
					var txt = doc.getElementById(v).innerHTML;
					var n = txt.indexOf('>');
					txt = txt.substring(n+1);
					n = txt.indexOf('&lt;');
					txt = txt.substring(0,n);
					document.getElementById(idInput).innerHTML = txt;
				}
				
				<!--buscaDNI(), resuelveDNI() son funciones para que al introducir un DNI de un usuario o informatico
					obtienen el nombre y apellidos de este.-->
				function buscaDNI(DNI,tipo,val){
					idInput = val;
					if (DNI == ""){
						document.getElementById(idInput).innerHTML = "";
						DatosIncorrectosUsu = false;
					}
					else{
						var url = '<xsl:value-of select="$servlet"/>?module=dumbo7/metricas.BuscarUsuarioInformaticoDNI&amp;patron='+DNI+'&amp;idInput='+val;
				
						if (window.XMLHttpRequest) { // Mozilla, Safari,...
						   http_req = new XMLHttpRequest();
						} 
						else if (window.ActiveXObject) { // IE
						   http_req = new ActiveXObject("Microsoft.XMLHTTP");
						}
						
						http_req.onreadystatechange = resuelveDNI;
						http_req.open('GET', url, true);
						http_req.send(null);
					}
				}
			
				function resuelveDNI(){
					if (http_req.readyState == 4){
						if (http_req.status == 200){
							var text = http_req.responseText;
							var n = text.indexOf('&lt;'+'!--');
							if (n>=0) text = text.substring(0,n);
							var m = text.indexOf('.dtd">');
							if (m>=0) text = text.substring(m+6,text.length);
							eval(text);
						}
						else{
							alert('Hubo problemas con la peticin.');
						}
					}
				}
				
				<!--Controla los desgloses de la mtrica as como el modo DATO/GRAFICO de esta-->	
				function ActivarDesactivarModoDato(){
					if(document.metricas.Modo[0].checked){
						if(!document.metricas.desgloseSel[0].disabled){
							document.metricas.desgloseSel[0].disabled=!document.metricas.desgloseSel[0].disabled;
							document.metricas.desgloseSel[0].checked = true;
							document.metricas.desgloseSel[1].disabled=!document.metricas.desgloseSel[1].disabled;
							document.metricas.desgloseSel[2].disabled=!document.metricas.desgloseSel[2].disabled;
							document.metricas.desgloseSel[3].disabled=!document.metricas.desgloseSel[3].disabled;
							document.metricas.desgloseSel[4].disabled=!document.metricas.desgloseSel[4].disabled;
							for(i=1;i&lt;document.metricas.desgloseSel.length;i++){
								if (document.metricas.desgloseSel[i].checked == true)
									document.metricas.desgloseSel[i].checked=!document.metricas.desgloseSel[i].checked;
							}
						}
					}
					if(document.metricas.Modo[1].checked){
						if(document.metricas.desgloseSel[1].disabled){
							document.metricas.desgloseSel[0].disabled=!document.metricas.desgloseSel[0].disabled;
							if(document.metricas.desgloseSel[0].checked == false){
								document.metricas.desgloseSel[0].checked=!document.metricas.desgloseSel[0].checked;
							}
							document.metricas.desgloseSel[1].disabled=!document.metricas.desgloseSel[1].disabled;
							document.metricas.desgloseSel[2].disabled=!document.metricas.desgloseSel[2].disabled;
							document.metricas.desgloseSel[3].disabled=!document.metricas.desgloseSel[3].disabled;
							document.metricas.desgloseSel[4].disabled=!document.metricas.desgloseSel[4].disabled;
						}
					}
				}
				
				<!--Inicio:Filtro de GRUPOS DE USUARIOS-->
					function GruUsuFiltroOn(){
						<!--Si el checkBox de grupos de usuarios esta marcado-->
						if(document.metricas.usuarioCheck[1].checked){
							if(document.metricas.GruDescrip.value != ""){
								document.metricas.GruDescrip.disabled = !document.metricas.GruDescrip.disabled;
								document.metricas.GruFiltroIcoOFF.style.display = "none";
								document.metricas.GruFiltroIcoON.style.display = "";
								<!--Elimino todo el contenido del select de grupos de usuarios-->
								for(i=0;i&lt;document.metricas.GruCod.length;i++){
									document.metricas.GruCod.remove(i);
								}
								document.metricas.GruCod.length = 0;
								<!--Siempre se aade la primera lnea de vaco por esto i empieza por 1-->
								document.metricas.GruCod.options[0] = new Option('&lt;-- Sin Filtro -->','')
								var i = 1;
								var string = document.metricas.GruDescrip.value;
								document.metricas.GruDescrip.value = string.toUpperCase();
								<xsl:for-each select="DATA/METRICAS/GRUPO_USUARIOS">
									<xsl:sort select="@DESCRIPCION"/>
									if('<xsl:value-of select="@DESCRIPCION"/>'.indexOf(string.toUpperCase()) >= 0){
										document.metricas.GruCod.options[i] = new Option('<xsl:value-of select="@DESCRIPCION"/>','<xsl:value-of select="@CODIGO"/>');
										i = i +1;	
									}
								</xsl:for-each>
							}
							else{
								alert("Debe introducir algn patron para el filtro");
							}
						}
					}
									
					function GruUsuFiltroOff(){
						<!--Si el checkBox de grupos de usuarios esta marcado-->
						if(document.metricas.usuarioCheck[1].checked){
							document.metricas.GruDescrip.disabled = !document.metricas.GruDescrip.disabled;
							document.metricas.GruDescrip.value= "";
							document.metricas.GruFiltroIcoOFF.style.display = "";
							document.metricas.GruFiltroIcoON.style.display = "none";
							//Estableces la longitud del select puesto que la conoces a priori
							<xsl:variable name="cantidad" select="count(DATA/METRICAS/GRUPO_USUARIOS)"/>
							document.metricas.GruCod.length = <xsl:value-of select="$cantidad +1"/>; 
							document.metricas.GruCod.options[0] = new Option('&lt;-- Sin Filtro -->','');
							var i = 1;
							<xsl:for-each select="DATA/METRICAS/GRUPO_USUARIOS">
								<xsl:sort select="@DESCRIPCION"/>
									document.metricas.GruCod.options[i] = new Option('<xsl:value-of select="@DESCRIPCION"/>','<xsl:value-of select="@CODIGO"/>');
									i = i+1;
								</xsl:for-each>
							}
					}
				<!--fin:Filtro de GRUPOS DE USUARIOS-->
				
				function enviarResultados(url){
					<!--Si se hace representacin grfica se llama a ResultadoGrafico no a Resultado por esto se
						concatena Grafico a l url -->
					if(document.metricas.Modo[0].checked == true){url = url.concat("Grafico");}
					
					i = 0;
					while(document.metricas.desgloseSel.length > i){
						if(document.metricas.desgloseSel[i].checked == true){
							url = url.concat("&amp;desgloseSel=");
							url = url.concat(document.metricas.desgloseSel[i].value);
						}
					i = i+1;
					}
					if(DatosIncorrectosUsu){
						alert("El usuario introducido no es correcto");
						document.metricas.UsuCod.focus();
						return 0;
						
					}
					
					<!--Comprobacin de la coherencia de los tramos, deben estar en orden ascendente
						X1<X2<X3<X4 y ademas ninguno de estos puede estar en blanco-->
					<!--Conversin de los valores de los campos a nmeros para poder hacer las comprobacines-->
					var X1 = new Number(document.metricas.X1.value);
					var X2 = new Number(document.metricas.X2.value);
					var X3 = new Number(document.metricas.X3.value);
					var X4 = new Number(document.metricas.X4.value);
					if(document.metricas.X1.value !== ""){
						if(X1 &lt;= 0){
							alert("El valor de X1 deber ser mayor que cero");
							document.metricas.X1.focus();
							return 0;
						}
					}
					else{
						alert("Introduzca un valor en el campo X1");
						document.metricas.X1.focus();
						return 0;
					}
					if(document.metricas.X2.value != ""){
						if(X1 &lt; X2){
							url = url.concat("&amp;X1=");
							url = url.concat(document.metricas.X1.value);
						}
						else{
							alert("Valor incorrecto en los tramos: X2 debe ser mayor de X1");
							document.metricas.X1.focus();
							return 0;					
						}
					}
					else{
						alert("Introduzca un valor en el campo X2");
						document.metricas.X2.focus();
						return 0;
					}
					
					if(document.metricas.X3.value!= ""){
						if(X2 &lt; X3){
							url = url.concat("&amp;X2=");
							url = url.concat(document.metricas.X2.value);
						}
						else{
							alert("Valor incorrecto en los tramos: X3 debe ser mayor que X2");
							document.metricas.X2.focus();
							return 0;					
						}
					}
					else{
						alert("Introduzca un valor en el campo X3");
						document.metricas.X3.focus();
						return 0;
					}
					
					if(document.metricas.X4.value!= ""){
						if(X3 &lt; X4){
							url = url.concat("&amp;X3=");
							url = url.concat(document.metricas.X3.value);
							url = url.concat("&amp;X4=");
							url = url.concat(document.metricas.X4.value);
						}
						else{
							alert("Valor incorrecto en los tramos: X4 debe ser mayor que X3");
							document.metricas.X3.focus();
							return 0;					
						}
					}
					else{
						alert("Introduzca un valor en el campo X4");
						document.metricas.X4.focus();
						return 0;
					}

					if(document.metricas.usuarioCheck[0].checked == true){
						url = url.concat("&amp;UsuCod=");
						url = url.concat(document.metricas.UsuCod.value);
					}
					else {
						url = url.concat("&amp;GruCod=");
						url = url.concat(document.metricas.GruCod.value);
					}
					if(document.metricas.Fechas[0].value != ""){
						url = url.concat("&amp;FechaDesde=");
						url = url.concat(document.metricas.Fechas[0].value);
					}
					else{
						url = url.concat("&amp;FechaDesde=DD/MM/AAAA");
					}
					if(document.metricas.Fechas[1].value != ""){
						url = url.concat("&amp;FechaHasta=");
						url = url.concat(document.metricas.Fechas[1].value);
					}
					else{url = url.concat("&amp;FechaHasta=DD/MM/AAAA");}
					
					url = url.concat("&amp;AplCod=");
					url = url.concat(document.metricas.AplCod.value);
					url = url.concat("&amp;CatCod=");
					url = url.concat(document.metricas.CatCod.value);
											
					newWindow = window.open(url,'_blanck',"height=700,width=785,status=no,toolbar=no,menubar=no,location=no,scrollbars=1");
					newWindow.moveTo(50,0);
				}
			</script>
			<script LANGUAJE="JavaScript" src="../js/metricas/Calendario.js"></script>
			<script LANGUAJE="JavaScript" src="../js/CompruebaFecha.js"></script>
			<script LANGUAJE="JavaScript" src="../js/metricas/Usuario_GrupoUsu.js"></script>
		</xsl:with-param>
	 </xsl:call-template>

<body>

	<xsl:call-template name="menuComun">
		<xsl:with-param name="MENU" select="DATA/MENU"/>
		<xsl:with-param name="NAME" select="concat(DATA/METRICAS/USER/@NAME,concat('(',concat(DATA/METRICAS/USER/@LOGIN,')')))"/>
		<xsl:with-param name="SELECT" select="$menu"/>
		<xsl:with-param name="HELP">metricas.xml#1.1.2</xsl:with-param>
	</xsl:call-template>

<xsl:call-template name="pieComun"/>
	</body>
	</html>
</xsl:template>

<xsl:template name="cuerpo">
			
		<xsl:for-each select="DATA/METRICAS">
			<xsl:if test="not(@ERROR='')">
				<script>mostarError('<xsl:value-of select="@ERROR"/>')</script>
				</xsl:if>
		</xsl:for-each>

	<table border="0" cellpadding="5" align="center" cellspacing="5" width="780" summary="Esta tabla contiene las mtricas de tareas segn DEDICACION (para nivel de informtico)">
	<tr><td width="630" class="cab1">&#187;Mtrica de tiempo medio de dedicacin a resolucin de tarea (<xsl:call-template name="traduce"><xsl:with-param name="id" select="'Informtico'"/></xsl:call-template>)</td></tr>
	<tr><td colspan="2">
	<form action="{$servlet}" METHOD="POST" name="metricas">
		<input type="hidden" name="module" value = "dumbo7/metricas/dedicacion.formDedicacionInformatico"/>
		<table class="cont" id="metricas" border="0" cellpadding="3" cellspacing="1" width="100%" summary="Esta tabla contiene las mtricas">
		<tr class="cabe">
			<td width="450" colspan="2"><b>Parmetros</b></td>
			<td width="150" colspan="2"><b>Periodo</b></td>
		</tr>
		<tr class="administracion">
			<!--Seleccin de aplicacin. Se podrn seleccionar o 'TODAS' o una aplicacin en concreto (en este caso se filtra)-->
			<td width="18%">
				Aplicacin:
			</td>
			<td width="60%">
				<select tabindex="1" name="AplCod" size="1" style="width:270px;">
					<option value=''>&lt;-- Sin Filtro --></option>
					<xsl:for-each select="DATA/METRICAS/APLICACION[not(@PADRE)]">
						<xsl:sort select="@DESCRIPCION"/>
						<xsl:variable name="aplPadre" select="@CODIGO"></xsl:variable>
						<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
						<xsl:for-each select="../APLICACION[@PADRE = $aplPadre]">
							<option value="{@CODIGO}">&#160;&#160;<xsl:value-of select="@DESCRIPCION"/></option>
						</xsl:for-each>
					</xsl:for-each>
				</select>
			</td>
			<!--Seleccin fecha de inicio de la mtrica-->
			<td width="7%">Desde:</td>
			<td width="15%">
			<input tabindex="6" type="text" onChange="changeDate(this)" name="Fechas" id="f_FecDesde" size="11" value=""/>
							<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_a"
								style="cursor: pointer; border: 1px solid red;"
								title="Selecciona Fecha"
								onmouseover="this.style.background='red';"
								onmouseout="this.style.background=''"  />
			</td>
								<script type="text/javascript">
									Calendar.setup({
										inputField     :    "f_FecDesde",
										ifFormat       :    "%d/%m/%Y",
										button         :    "f_trigger_a",
										align          :    "Tl",
										onSelect       :    selectDateDesde,
										singleClick    :    false
										});
								</script>
			
		</tr>
		<tr class="administracion">
			<!--Seleccin de categora Se podrn seleccionar o 'TODAS' o una categora en concreto (en este caso se filtra)-->
			<td>
				Categora:
			</td>
			<td>
				<select tabindex="2" name="CatCod" size="1" style="width:270px;">
					<option value=''>&lt;-- Sin Filtro --></option>
					<!--Llamamos a la plantilla para indexar las secciones.-->
					<xsl:call-template name="muestraCategoria">
						<xsl:with-param name="nodo" select="DATA/METRICAS"/>
					</xsl:call-template>
				</select>
			</td>
			<!--Seleccin fecha de fin de la mtrica-->
			<td>Hasta:</td>
			<td>
				<input tabindex="7" type="text" onChange="changeDate(this)" name="Fechas" id="f_FecHasta" size="11" value = ""/>
						<img src="../dumbo7/utils/jscalendar/img.gif" id="f_trigger_b"
							style="cursor: pointer; border: 1px solid red;"
							title="Selecciona Fecha"
							onmouseover="this.style.background='red';"
							onmouseout="this.style.background=''"/>
			</td>
							<script type="text/javascript">
								Calendar.setup({
								inputField     :    "f_FecHasta",
								ifFormat       :    "%d/%m/%Y",
								button         :    "f_trigger_b",
								align          :    "Tl",
								onSelect       :    selectDateHasta,
								singleClick    :    false
								});
			</script>
		</tr>
		<!--**************************USUARIO*********************-->
		<tr class="administracion">
			<!--Seleccin del usuario. Solo se deber pasar el valor si su radiobutton se encuentra activo (usuario o grupo de usuarios)-->
			<!--An as, se deber elegir entre 'TODOS' y seleccionar uno-->
			<td>
				<input type="radio" name="usuarioCheck" value="usu" checked="true" onClick="javascript:Usuario_GrupoUsu()"/>&#160;&#160;Usuario
			</td>
			<td colspan="3">
				Identificador:&#160;&#160;
				<input tabindex="3" type="text" name="UsuCod" size="20" onChange="javascript:buscaDNI(this.value,'USR','UsuApe');"/>
				&#160;
				<a href="javascript:busquedaGenerica('?module=dumbo7/metricas/estado.index.buscarGenerico','USR');">
					<img id="Busqueda" style="display:inline" border="0" src="../graficos/iconos/ampliar.gif" alt="Realizar Bsqueda"/>
				</a>
			</td>
		</tr>
		<tr class="administracion">
			<td width="90">&#160;</td>
			<td colspan="3" id="UsuApe"/>
		</tr>
		<!--**************************GRUPO DE USUARIOS*********************-->
		<tr class="administracion">
			<td>
				<input type="radio" name="usuarioCheck" value="gusu" onClick="javascript:Usuario_GrupoUsu()"/>&#160;Grupo Usuarios:
			</td>
			<td colspan="3">
			<select tabindex="4" name="GruCod" size="1" disabled="true" style="width:270px;">
					<option value=''>&lt;-- Sin Filtro --></option>
					<xsl:for-each select="DATA/METRICAS/GRUPO_USUARIOS">
						<xsl:sort select="@DESCRIPCION"/>
						<option value="{@CODIGO}"><xsl:value-of select="@DESCRIPCION"/></option>
					</xsl:for-each>
				</select>
				&#160;&#160;
				<input tabindex="5" type="text" name="GruDescrip" size="10" disabled="true"/>
				&#160;
				<a href="javascript:GruUsuFiltroOn()"><img id="GruFiltroIcoOFF" style="display:inline" border="0" src="../graficos/iconos/ico_filtroOff.gif" alt="Aplicar Filtrado"/></a>
				<a href="javascript:GruUsuFiltroOff()"><img id="GruFiltroIcoON" style="display:none" border="0" src="../graficos/iconos/ico_filtroOn.gif" alt="Deshacer Filtrado"/></a>
			</td>
		</tr>
		<tr class="administracion"><td colspan="4"><b>Valor&#160;de&#160;los&#160;tramos:</b></td></tr>
		<tr class="administracion">
			<td colspan="4">
				&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
				X1:&#160;&#160;<input tabindex="8" name="X1" type="text" size="5" value="0.5" maxlength="4" onKeyPress="return acceptNum(event)"/>
				&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
				X2:&#160;&#160;<input tabindex="9" name="X2" type="text" size="5" value="3" maxlength="4" onKeyPress="return acceptNum(event)"/>		
				&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;	
				X3:&#160;&#160;<input tabindex="10" name="X3" type="text" size="5" value="8" maxlength="4" onKeyPress="return acceptNum(event)"/>
				&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;
				X4:&#160;&#160;<input tabindex="11" name="X4" type="text" size="5" value="16" maxlength="4" onKeyPress="return acceptNum(event)"/>
				&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;<b>(tramos en horas)</b>
			</td>
		</tr>
	<table class="cont" id="metricas" border="0" cellpadding="3" cellspacing="1" width="100%" summary="Esta tabla contiene las mtricas">	
		<!--Seleccin del modo de representacin de datos-->
		<tr class="cabe">
			<td colspan="6"><b>Presentacin de datos</b></td>
		</tr>
		<tr class="administracion">
			<td width="4%">
				<input name="Modo" type="radio" value="Gr" onClick="javascript:ActivarDesactivarModoDato()"/>
			</td>
			<td colspan="5">
				Modo Grfico
			</td>
		</tr>
		<tr class="administracion">
			<td width="4%">
				<input name="Modo" type="radio" value="dt" checked="true" onClick="javascript:ActivarDesactivarModoDato()"/>
			</td>
			<td colspan="5">
				Modo Dato
			</td>
		</tr>
		<!--Si se ha seleccionado el modo dato, los siguiente radio buttons estarn activos.-->
		<tr class="administracion">
			<td>&#160;</td>
			<td width="4%">
				<input name="desgloseSel" type="radio" value="con" checked="true"/>
			</td>
			<td colspan="4">
				Representacin Conjunta
			</td>
		</tr>
		<tr class="administracion">
			<td>&#160;</td>
			<td>&#160;</td>
			<td colspan="4">
				Representacin Desglosada
			</td>
		</tr>
		<!--Seleccin del tipo de desglose-->
		<tr class="administracion">
			<td>&#160;</td>
			<td>&#160;</td>
			<td width="4%">
				<input type="radio" name="desgloseSel" value="apl"/>
			</td>
			<td>
				Aplicacin
			</td>
			<td width="4%">
				<input type="radio" name="desgloseSel" value="cat"/>
			</td>
			<td>
				Categora Resolucin
			</td>
		</tr>
		<tr class="administracion">
			<td>&#160;</td>
			<td>&#160;</td>
			<td width="4%">
				<input type="radio" name="desgloseSel" value="usu"/>
			</td>
			<td>
				Usuario
			</td>
			<td width="4%">
				<input type="radio" name="desgloseSel" value="gusu"/>
			</td>
			<td>
				Grupo de Usuario
			</td>
		</tr>
		<tr class="administracion">
			<td align="center" colspan="6">
				<input tabindex="12" type="button" class="boton" value="Resultados" onclick="javascript:enviarResultados('?module=dumbo7/metricas/dedicacion.formDedicacionInformatico.Resultado');"/>
				&#160;&#160;&#160;&#160;
				<input tabindex="13" type="button" class="boton" value="Limpiar Formulario" onblur="renuevaTab()" onclick="javascript:document.metricas.submit();"/>
			</td>
		</tr>
	</table>
	</table>
	</form>
	</td></tr>
	</table>
	
</xsl:template>

</xsl:stylesheet>