<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xforms="http://www.w3.org/2002/xforms">

<xsl:output method="text"/>

<xsl:param name="servlet"/>   
<xsl:param name="menu"/>
<xsl:param name="filtro"/>

<xsl:include href="dumbo7/utils/xsl/utils.xsl"/>

<xsl:template match="XMLROOT">
   var j = 1;
   <xsl:for-each select="DATA/METRICAS/CATEGORIA[@CODIGO=@PADRE]">
		<xsl:sort select="@DESCRIPCION"/>
			<xsl:if test="@ESTADO='V'">
				 document.metricas.CatCod.options[j] = new Option('<xsl:value-of select="@DESCRIPCION"/>','<xsl:value-of select="@CODIGO"/>');
                 j = j +1;
			</xsl:if>
		<xsl:call-template name="sacaSubCategoria">
			<xsl:with-param name="codigo_padre" select="@CODIGO"/>
			<xsl:with-param name="espacio" select="'&#160;&#160;'"/>
		</xsl:call-template>
	</xsl:for-each>
</xsl:template>

<xsl:template name="sacaSubCategoria">
	<xsl:param name="codigo_padre"/>
	<xsl:param name="espacio"/>
		<xsl:for-each select="../CATEGORIA[@PADRE=$codigo_padre and @PADRE!=@CODIGO]">
			<xsl:sort select="@DESCRIPCION"/>
			<xsl:if test="@ESTADO='V'">
				 document.metricas.CatCod.options[j] = new Option('<xsl:value-of select="$espacio"/><xsl:value-of select="@DESCRIPCION"/>','<xsl:value-of select="@CODIGO"/>');
				 j = j +1;
			</xsl:if>
			<xsl:call-template name="sacaSubCategoria">
				<xsl:with-param name="codigo_padre" select="@CODIGO"/>
				<xsl:with-param name="espacio" select="concat($espacio,'&#160;&#160;')"/>
			</xsl:call-template>
		</xsl:for-each>
</xsl:template>

<xsl:template name="cuerpo"/>
</xsl:stylesheet>



