<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:param name="GestorRemote.imageCode"/>

<xsl:template match="XMLROOT">
<svg width="100" height="50">
	<rect width="100" height="50" style="fill:#FFFFD9"/>
	<g style="fill:black; font-family: Arial; font-style: italic; font-size: 20; font-weight: bold;">
		<text x="12" y="30"><xsl:value-of select="$GestorRemote.imageCode"/></text>
	</g>
	<!-- Ofusca un poco el texto -->
	<line x1="0" y1="0" x2="0" y2="50" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="10" y1="0" x2="10" y2="50" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="20" y1="0" x2="20" y2="50" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="30" y1="0" x2="30" y2="50" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="40" y1="0" x2="40" y2="50" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="50" y1="0" x2="50" y2="50" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="60" y1="0" x2="60" y2="50" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="70" y1="0" x2="70" y2="50" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="80" y1="0" x2="80" y2="50" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="90" y1="0" x2="90" y2="50" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="99" y1="0" x2="99" y2="50" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="0" y1="0" x2="100" y2="0" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="0" y1="10" x2="100" y2="10" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="0" y1="20" x2="100" y2="20" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="0" y1="30" x2="100" y2="30" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="0" y1="40" x2="100" y2="40" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
	<line x1="0" y1="49" x2="100" y2="49" style="fill:dodgerblue; stroke:black; stroke-width:0.6"/>
</svg>
</xsl:template>
</xsl:stylesheet>
	