package dumbo7.utils;

import dumbo7.utils.base.BaseD7Aplicaciones;

/**
 * This is the object class that relates to the DUMBO.D7_APLICACIONES table.
 * Any customizations belong here.
 */
public class D7Aplicaciones extends BaseD7Aplicaciones {

	public static final String POR_PESOS = "P";
	public static final String POR_RESPONSABLE = "R";
	public static final String POR_COLA = "C";
	public static final String POR_UBICACION = "U";
	
	public static final String EXTERNA = "E";
	public static final String INTERNA = "I";
	
	public static final String CORREO_RESP = "S";
	public static final String CORREO_INF = "S";
	
/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7Aplicaciones () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7Aplicaciones (
		java.lang.String _aplSisCod,
		java.lang.String _aplCod) {

		super (
			_aplSisCod,
			_aplCod);
	}
	

	/**
	 * Constructor for required fields
	 */
	public D7Aplicaciones (
		java.lang.String _aplSisCod,
		java.lang.String _aplCod,
		dumbo7.utils.D7Sistemas _sistema,
		dumbo7.utils.D7Secciones _seccion,
		java.lang.String _aplTipoAsig,
		java.lang.String _aplEstado,
		java.lang.String _aplDescrip,
		java.lang.String _aplDetalle,
		java.lang.String _aplSecCod,
		java.lang.String _aplCaracter,
		java.lang.String url,
		java.lang.String urlinfo) {

		super (
			_aplSisCod,
			_aplCod,
			_sistema,
			_seccion,
			_aplTipoAsig,
			_aplEstado,
			_aplDescrip,
			_aplDetalle,
			_aplSecCod,
			_aplCaracter,
			url,
			urlinfo);
	}
/*[CONSTRUCTOR MARKER END]*/
}