package dumbo7.utils;

import dumbo7.utils.base.BaseD7AplicacionesFaqs;


/**
 * This is the object class that relates to the DUMBO.D7_ZONAS_INFORMATICOS table.
 * Any customizations belong here.
 */
public class D7AplicacionesFaqs extends BaseD7AplicacionesFaqs {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7AplicacionesFaqs () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7AplicacionesFaqs (
			java.lang.String faqsiscod,
			java.lang.Integer faqcod,
			java.lang.String faqaplcod
			) {

		super (
				faqsiscod,
				faqcod,
				faqaplcod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7AplicacionesFaqs (
			java.lang.String faqsiscod,
			java.lang.Integer faqcod,
			java.lang.String faqaplcod,
			java.lang.String faqasunto,
			java.lang.String faqtexto,
			java.lang.String faqestado,
			java.util.Date faqfecalta,
			java.lang.String faquseralta,
			java.lang.Integer faqorden,
			java.lang.Integer faqfgrcod) {

		super (
				faqsiscod,
				faqcod,
				faqaplcod,
				faqasunto,
				faqtexto,
				faqestado,
				faqfecalta,
				faquseralta,
				faqorden,
				faqfgrcod);
	}
/*[CONSTRUCTOR MARKER END]*/
	

}