package dumbo7.utils;

import dumbo7.utils.base.BaseD7AplicacionesFaqsGrupos;
import dumbo7.utils.base.BaseD7Horarios;

/**
 * This is the object class that relates to the DUMBO.D7_ZONAS_INFORMATICOS table.
 * Any customizations belong here.
 */
public class D7AplicacionesFaqsGrupos extends BaseD7AplicacionesFaqsGrupos {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7AplicacionesFaqsGrupos () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7AplicacionesFaqsGrupos (
			java.lang.String fgrsiscod,
			java.lang.String fgraplcod,
			java.lang.Integer fgrcod){

		super (
				fgrsiscod,
				fgrsiscod,
				fgrcod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7AplicacionesFaqsGrupos (
			java.lang.String fgrsiscod,
			java.lang.String fgraplcod,
			java.lang.Integer fgrcod,
			java.lang.String fgrtexto,
			java.lang.String fgrestado,
			java.lang.Integer fgrorden,
			
			java.lang.Integer fgrfgrcod) {

		super (
				fgrsiscod,
				fgraplcod,
				fgrcod,
				fgrtexto,
				fgrestado,
				fgrorden,
				fgrfgrcod);
	}
/*[CONSTRUCTOR MARKER END]*/
	

}