package dumbo7.utils;

import dumbo7.utils.base.BaseD7DatosIp;

/**
 * This is the object class that relates to the DUMBO.D7_DATOS_PERSONALES table.
 * Any customizations belong here.
 */
public class D7DatosIp extends BaseD7DatosIp {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7DatosIp () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7DatosIp (java.lang.String _Identificador, java.lang.String _Ip ) {
		super(_Identificador, _Ip);
	}

	/**
	 * Constructor for required fields
	 */
	public D7DatosIp (
		java.lang.String 	_Identificador,
		java.lang.String 	_Host,
		java.lang.String 	_Ip,
		java.lang.String 	_Mac,
		java.lang.String 	_Roseta,
		java.lang.String 	_Campus,
		java.util.Date 		_FechaSolicitud) {

		super (
			_Identificador,	
			_Host,
			_Ip,
			_Mac,
			_Roseta,
			_Campus,
			_FechaSolicitud);
	}

/*[CONSTRUCTOR MARKER END]*/
	
}