package dumbo7.utils;

import dumbo7.utils.base.BaseD7DatosRed;

/**
 * This is the object class that relates to the DUMBO.D7_DATOS_RED table.
 * Any customizations belong here.
 */
public class D7DatosRed extends BaseD7DatosRed {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7DatosRed () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7DatosRed (java.lang.String _Identificador) {
		super(_Identificador);
	}

	/**
	 * Constructor for required fields
	 */
	public D7DatosRed (
		java.lang.String 	_Identificador,
		java.lang.String 	_IpInicial,
		java.lang.String 	_IpFinal,
		java.lang.String 	_Puerta,
		java.lang.String 	_Dns1,
		java.lang.String 	_Dns2,
		java.lang.String 	_Mascara,
		java.lang.String 	_Wins,
		java.lang.String 	_Campus) {

		super (
			_Identificador,	
			_IpInicial,
			_IpFinal,
			_Puerta,
			_Dns1,
			_Dns2,
			_Mascara,
			_Wins,
			_Campus);
	}

/*[CONSTRUCTOR MARKER END]*/
	
}