package dumbo7.utils;

import dumbo7.utils.base.BaseD7Festivos;

/**
 * This is the object class that relates to the DUMBO.D7_ZONAS_INFORMATICOS table.
 * Any customizations belong here.
 */
public class D7Festivos extends BaseD7Festivos {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7Festivos () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7Festivos (
			java.lang.Integer _anofestivo,
			java.lang.Integer _numfestivo){

		super (
			_anofestivo,
			_numfestivo);
	}

	/**
	 * Constructor for required fields
	 */
	public D7Festivos (
			java.lang.Integer _anofestivo,
			java.lang.Integer _numfestivo,
			java.util.Date _dia) {

		super (
			_anofestivo,
			_numfestivo,
			_dia);
	}
/*[CONSTRUCTOR MARKER END]*/
	

}