package dumbo7.utils;

import dumbo7.utils.base.BaseD7FiltrosUsuario;

/**
 * This is the object class that relates to the DUMBO.D7_FILTROS_USUARIO table.
 * Any customizations belong here.
 */
public class D7FiltrosUsuario extends BaseD7FiltrosUsuario {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7FiltrosUsuario () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7FiltrosUsuario (
		java.lang.String _filSisCod,
		java.lang.String _filUsuCod,
		java.lang.Integer _filCod) {

		super (
			_filSisCod,
			_filUsuCod,
			_filCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7FiltrosUsuario (
		java.lang.String _filSisCod,
		java.lang.String _filUsuCod,
		java.lang.Integer _filCod,
		dumbo7.utils.D7Sistemas _sistema,
		java.lang.String _filFiltro) {

		super (
			_filSisCod,
			_filUsuCod,
			_filCod,
			_sistema,
			_filFiltro);
	}
/*[CONSTRUCTOR MARKER END]*/
}