package dumbo7.utils;

import dumbo7.utils.base.BaseD7InformaticosPerfiles;

/**
 * This is the object class that relates to the DUMBO.D7_INFORMATICOS_PERFILES table.
 * Any customizations belong here.
 */
public class D7InformaticosPerfiles extends BaseD7InformaticosPerfiles {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7InformaticosPerfiles () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7InformaticosPerfiles (
		java.lang.String _ipeSisCod,
		java.lang.String _ipeInfCod,
		java.lang.String _ipePerCod) {

		super (
			_ipeSisCod,
			_ipeInfCod,
			_ipePerCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7InformaticosPerfiles (
		java.lang.String _ipeSisCod,
		java.lang.String _ipeInfCod,
		java.lang.String _ipePerCod,
		dumbo7.utils.D7Sistemas _sistema) {

		super (
			_ipeSisCod,
			_ipeInfCod,
			_ipePerCod,
			_sistema);
	}
/*[CONSTRUCTOR MARKER END]*/
	
	public String getIpeInfEmail() {
		if (getDatosInform()==null) return "";
		return getDatosInform().getDatEmail(); 
	}
	
}