package dumbo7.utils;

import dumbo7.utils.base.BaseD7InformaticosVigencia;

/**
 * This is the object class that relates to the DUMBO.D7_INFORMATICOS_VIGENCIA table.
 * Any customizations belong here.
 */
public class D7InformaticosVigencia extends BaseD7InformaticosVigencia {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7InformaticosVigencia () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7InformaticosVigencia (
		java.lang.String _infvSisCod,
		java.lang.String _infvInfCod,
		java.util.Date _infvFechaIni) {

		super (
			_infvSisCod,
			_infvInfCod,
			_infvFechaIni);
	}

	/**
	 * Constructor for required fields
	 */
	public D7InformaticosVigencia (
		java.lang.String _infvSisCod,
		java.lang.String _infvInfCod,
		java.util.Date _infvFechaIni,
		java.util.Date _infvFechaFin,
		dumbo7.utils.D7Sistemas _sistema) {

		super (
			_infvSisCod,
			_infvInfCod,
			_infvFechaIni,
			_infvFechaFin,
			_sistema);
	}
/*[CONSTRUCTOR MARKER END]*/
}