package dumbo7.utils;

import dumbo7.utils.base.BaseD7Perfiles;

/**
 * This is the object class that relates to the DUMBO.D7_PERFILES table.
 * Any customizations belong here.
 */
public class D7Perfiles extends BaseD7Perfiles {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7Perfiles () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7Perfiles (
		java.lang.String _perSisCod,
		java.lang.String _perCod) {

		super (
			_perSisCod,
			_perCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7Perfiles (
		java.lang.String _perSisCod,
		java.lang.String _perCod,
		dumbo7.utils.D7Sistemas _sistema,
		java.lang.String _perEstado,
		java.lang.String _perDescrip) {

		super (
			_perSisCod,
			_perCod,
			_sistema,
			_perEstado,
			_perDescrip);
	}
/*[CONSTRUCTOR MARKER END]*/
}