package dumbo7.utils;


import dumbo7.utils.base.BaseD7SeccionesApartFichas;

/**
 * This is the object class that relates to the DUMBO.D7_ZONAS_INFORMATICOS table.
 * Any customizations belong here.
 */
public class D7SeccionesApartFichas extends BaseD7SeccionesApartFichas {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7SeccionesApartFichas () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7SeccionesApartFichas (
			java.lang.String apfseccod,
			java.lang.String apfsiscod,
			java.lang.Integer apfcod
			){

		super (
				apfseccod,
				apfsiscod,
				apfcod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7SeccionesApartFichas (
			java.lang.String apfseccod,
			java.lang.String apfsiscod,
			java.lang.Integer apfcod,
			java.lang.String apfetiqueta,
			java.lang.String apfindobligatorio,
			java.lang.Integer apforden) {

		super (
				apfseccod,
				apfsiscod,
				apfcod,
				apfetiqueta,
				apfindobligatorio,
				apforden);
	}
/*[CONSTRUCTOR MARKER END]*/
	

}