package dumbo7.utils;

import dumbo7.utils.base.BaseD7Sistemas;

/**
 * This is the object class that relates to the DUMBO.D7_SISTEMAS table.
 * Any customizations belong here.
 */
public class D7Sistemas extends BaseD7Sistemas {

	public static final String EXTERNO = "E";
	public static final String INTERNO = "I";
	
/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7Sistemas () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7Sistemas (java.lang.String _sisCod) {
		super(_sisCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7Sistemas (
		java.lang.String _sisCod,
		java.lang.String _sisDescrip,
		java.lang.String _sisIndInt,
		java.lang.String _sisAnagrama) {

		super (
			_sisCod,
			_sisDescrip,
			_sisIndInt,
			_sisAnagrama);
	}

/*[CONSTRUCTOR MARKER END]*/
}