package dumbo7.utils;

import dumbo7.utils.base.BaseD7TareasAlertas;

/**
 * This is the object class that relates to the DUMBO.D7_TAREAS_ALERTAS table.
 * Any customizations belong here.
 */
public class D7TareasAlertas extends BaseD7TareasAlertas {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7TareasAlertas () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7TareasAlertas (
		java.lang.String _talSisCod,
		java.lang.Integer _talCod,
		java.lang.Integer _talTarCod) {

		super (
			_talSisCod,
			_talCod,
			_talTarCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7TareasAlertas (
		java.lang.String _talSisCod,
		java.lang.Integer _talCod,
		java.lang.Integer _talTarCod,
		dumbo7.utils.D7Sistemas _sistema,
		java.util.Date _talFecAlerta,
		java.lang.String _talNivel) {

		super (
			_talSisCod,
			_talCod,
			_talTarCod,
			_sistema,
			_talFecAlerta,
			_talNivel);
	}
/*[CONSTRUCTOR MARKER END]*/
}