package dumbo7.utils;

import dumbo7.utils.base.BaseD7TareasSeguimientos;

/**
 * This is the object class that relates to the DUMBO.D7_TAREAS_SEGUIMIENTOS table.
 * Any customizations belong here.
 */
public class D7TareasSeguimientos extends BaseD7TareasSeguimientos {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7TareasSeguimientos () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7TareasSeguimientos (
		java.lang.String _tseSisCod,
		java.lang.Integer _tseTarCod,
		java.lang.Integer _tseCod) {

		super (
			_tseSisCod,
			_tseTarCod,
			_tseCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7TareasSeguimientos (
		java.lang.String _tseSisCod,
		java.lang.Integer _tseTarCod,
		java.lang.Integer _tseCod,
		dumbo7.utils.D7Sistemas _sistema,
		java.lang.String _tseDescrip,
		java.util.Date _tseFechaAlta,
		java.lang.String _tseUsuCod,
		java.math.BigDecimal _tseDedicacion) {

		super (
			_tseSisCod,
			_tseTarCod,
			_tseCod,
			_sistema,
			_tseDescrip,
			_tseFechaAlta,
			_tseUsuCod,
			_tseDedicacion);
	}
/*[CONSTRUCTOR MARKER END]*/
}