package dumbo7.utils;

import dumbo7.utils.base.BaseD7TiposTareas;

/**
 * This is the object class that relates to the DUMBO.D7_TIPOS_TAREAS table.
 * Any customizations belong here.
 */
public class D7TiposTareas extends BaseD7TiposTareas {

	public static final String PETICION = "P";
	public static final String INCIDENCIA = "I";
	public static final String PROBLEMA = "B";
	public static final String PROGRAMADA = "A";
	public static final String DUMBO_RAPIDO = "R";
	
	
/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7TiposTareas () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7TiposTareas (
		java.lang.String _tipSisCod,
		java.lang.String _tipCod) {

		super (
			_tipSisCod,
			_tipCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7TiposTareas (
		java.lang.String _tipSisCod,
		java.lang.String _tipCod,
		dumbo7.utils.D7Sistemas _sistema,
		java.lang.String _tipDescrip) {

		super (
			_tipSisCod,
			_tipCod,
			_sistema,
			_tipDescrip);
	}
/*[CONSTRUCTOR MARKER END]*/
}