package dumbo7.utils;

import dumbo7.utils.base.BaseD7Turnos;

/**
 * This is the object class that relates to the DUMBO.D7_ZONAS_INFORMATICOS table.
 * Any customizations belong here.
 */
public class D7Turnos extends BaseD7Turnos {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7Turnos () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7Turnos (
		java.lang.String _turSisCode,
		java.lang.Integer _turCod){

		super (
			_turSisCode,
			_turCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7Turnos (

			java.lang.String _turSisCod,
			java.lang.Integer _turCod,
			java.util.Date _turHoraini,
			java.util.Date _turHorafin,
			java.lang.Integer _turNumTecnicos,
			java.lang.String _turEstado,
			java.util.Date _turFeciniVigencia,
			java.util.Date _turFecfinVigencia) {

		super (
				_turSisCod,
				_turCod,
				_turHoraini,
				_turHorafin,
				_turNumTecnicos,
				_turEstado,
				_turFeciniVigencia,
				_turFecfinVigencia);
	}
	public Integer getDuracion(){
		int a = (this.getTurHorafin().getHours() - this.getTurHoraini().getHours())*60;
		a += this.getTurHorafin().getMinutes()- this.getTurHoraini().getMinutes();
		Integer b = new Integer(a);
		
		return b;
	}
/*[CONSTRUCTOR MARKER END]*/
	

}