package dumbo7.utils;

import dumbo7.utils.base.BaseD7UsuariosGrupos;

/**
 * This is the object class that relates to the DUMBO.D7_USUARIOS_GRUPOS table.
 * Any customizations belong here.
 */
public class D7UsuariosGrupos extends BaseD7UsuariosGrupos {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7UsuariosGrupos () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7UsuariosGrupos (
		java.lang.String _ugrSisCod,
		java.lang.String _ugrUsuCod) {

		super (
			_ugrSisCod,
			_ugrUsuCod);
	}

	/**
	 * Constructor for required fields
	 */
	public D7UsuariosGrupos (
		java.lang.String _ugrSisCod,
		java.lang.String _ugrUsuCod,
		dumbo7.utils.D7Sistemas _sistema) {

		super (
			_ugrSisCod,
			_ugrUsuCod,
			_sistema);
	}
/*[CONSTRUCTOR MARKER END]*/
	
	public String getUgrUsuEmail() { 
		if (getDatosUser()==null) return "";
		return getDatosUser().getDatEmail(); 
	}
	
}