package dumbo7.utils;

import dumbo7.utils.base.BaseD7Zonas;

/**
 * This is the object class that relates to the DUMBO.D7_ZONAS table.
 * Any customizations belong here.
 */
public class D7Zonas extends BaseD7Zonas {

/*[CONSTRUCTOR MARKER BEGIN]*/
	public D7Zonas () {
		super();
	}

	/**
	 * Constructor for primary key
	 */
	public D7Zonas (
		java.lang.String zonSisCod,
		java.lang.Integer zonCodigo) {

		super (
			zonSisCod,
			zonCodigo);
	}

	/**
	 * Constructor for required fields
	 */
	public D7Zonas (
		java.lang.String zonSisCod,
		java.lang.Integer zonCodigo,
		dumbo7.utils.D7Sistemas _sistema,
		java.lang.String zonDescripcion) {

		super (
			zonSisCod,
			zonCodigo,
			_sistema,
			zonDescripcion);
	}
/*[CONSTRUCTOR MARKER END]*/
}