var ed;

function creaEditor(txt)
{
	var editorDef = {
		text : txt,
		style : {
			width : 630,
			height : 200,
			defaultClass : {
				backgroundcolor : "administracion", bordercolor : "#efefe0", borderstyle : "inset", borderwidth : 2
			}
		},
		toolBar : 	{
			height : 60,
			bgcolor : 'administracion',
			defaultClass : {
				Color : "#000000"
			},
			buttons : [
			{
				name : "bold",
				text : "Negrita",
				img_on : {
					src : '../graficos/editorHTML/post_button_bold.gif', width : 22, height : 22
				}
			},
			{
				name : "italic",
				text : "Cursiva",
				img_on : {
					src : '../graficos/editorHTML/post_button_italic.gif', width : 22, height : 22
				}
			},
			{
				name : "underline",
				text : "Subrayado",
				img_on : {
					src : '../graficos/editorHTML/post_button_underline.gif', width : 22, height : 22
				}
			},
			{
				name : "justifyleft",
				text : "Alinear a izquierda",
				img_on : {
					src : '../graficos/editorHTML/post_button_left_just.gif', width : 22, height : 22
				}
			},
			{
				name : "justifycenter",
				text : "Centrar",
				img_on : {
					src : '../graficos/editorHTML/post_button_centre.gif', width : 22, height : 22
				}
			},
			{
				name : "justifyright",
				text : "Alinear a derecha",
				img_on : {
					src : '../graficos/editorHTML/post_button_right_just.gif', width : 22, height : 22
				}
			} ],
			styletext : "Estilo",
			styles : [
			{
				tag : "span", text : "Normal"
			},
			{
				tag : "h1", text : "Heading 1"
			},
			{
				tag : "h2", text : "Heading 2"
			},
			{
				tag : "h3", text : "Heading 3"
			},
			{
				tag : "h4", text : "Heading 4"
			},
			{
				tag : "h5", text : "Heading 5"
			},
			{
				tag : "h6", text : "Heading 6"
			},
			{
				tag : "pre", text : "Formatted"
			},
			{
				tag : "p", text : "Paragraph"
			} ],
			tagstext : "Dumbo Tags",
			tags: tagArray,
						
			fonttext : "Fuente",
			fonts : [
			{
				name : "Arial, Helvetica, sans-serif", text : "Arial"
			},
			{
				name : "Courier New, Courier, mono", text : "Courier New"
			},
			{
				name : "Times New Roman, Times, serif", text : "Times New Roman"
			},
			{
				name : "Verdana, Arial, Helvetica, sans-serif", text : "Verdana"
			},
			{
				name : "Tahoma, sans-serif", text : "Tahoma"
			},
			{
				name : "Comic Sans MS, sans-serif", text : "Comic Sans MS"
			} ],
			fontsizetext : "Tamao fuente",
			fontsizes : [1, 2,3, 4,5, 6,7]
		},
		pallete : [
		['FFFFFF', 'FFCCCC', 'FFCC99', 'FFFF99', 'FFFFCC', '99FF99', '99FFFF', 'CCFFFF', 'CCCCFF', 'FFCCFF'],
		['CCCCCC', 'FF6666', 'FF9966', 'FFFF66', 'FFFF33', '66FF99', '33FFFF', '66FFFF', '9999FF', 'FF99FF'],
		['C0C0C0', 'FF0000', 'FF9900', 'FFCC66', 'FFFF00', '33FF33', '66CCCC', '33CCFF', '6666CC', 'CC66CC'],
		['999999', 'CC0000', 'FF6600', 'FFCC33', 'FFCC00', '33CC00', '00CCCC', '3366FF', '6633FF', 'CC33CC'],
		['666666', '990000', 'CC6600', 'CC9933', '999900', '009900', '339999', '3333FF', '6600CC', '993399'],
		['333333', '660000', '993300', '996633', '666600', '006600', '336666', '000099', '333399', '663366'],
		['000000', '330000', '663300', '663333', '333300', '003300', '003333', '000066', '330099', '330033']
		]
	};
	
	ed = new CEditor('ed', editorDef);
	ed.create();

}

function obtenerTexto()
{
	return ed.getText();
}

function introduceTexto(txt)
{
	ed.text = txt;
	ed.setText();
}