<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:param name="servlet"/>	
<xsl:include href="framewebsample/sample/html/utils.xsl"/>

<xsl:template match="XMLROOT">
<HTML>
  <HEAD>
    <META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
    <META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
    <TITLE>Inicio Mdulo Sample</TITLE>
	<LINK REL="stylesheet" HREF="../estilo.css" TYPE="text/css"/>
  </HEAD>
  <BODY BGCOLOR="#FFFFFF">
	<TABLE CLASS="normal">
	<xsl:choose>
	<xsl:when test="count(DATA/SAMPLE/SAMPLEOBJ)>0">
		<TR><TD COLSPAN="2">Muestra Datos:</TD></TR>
		<TR><TD>Cdigo:</TD><TD><xsl:value-of select="DATA/SAMPLE/SAMPLEOBJ/@CODIGO"/></TD></TR>
		<TR><TD>Fecha:</TD><TD><xsl:call-template name="DateToString"><xsl:with-param name="fecha" select="DATA/SAMPLE/SAMPLEOBJ/@FECHA"/></xsl:call-template></TD></TR>
	</xsl:when>
	<xsl:otherwise>
		<form action="{$servlet}" method="post">
		<input type="hidden" name="module" value="framewebsample/sample.opcionB"/>
		<TR><TD COLSPAN="2">Pide Datos:</TD></TR>
		<TR><TD>Cdigo:</TD><TD><input type="text" name="codigo" value=""/></TD></TR>
		<TR><TD>Fecha:</TD><TD><input type="text" name="fecha" value=""/></TD></TR>
		<TR><TD ALIGN="right" COLSPAN="2"><input type="submit" value="Enviar"/></TD></TR>
		</form>
	</xsl:otherwise>
	</xsl:choose>
	</TABLE>
	<br/>
	<xsl:call-template name="cuerpo">
		<xsl:with-param name="titulo">Opcin B</xsl:with-param>
	</xsl:call-template>
  </BODY>
</HTML>
</xsl:template>

</xsl:stylesheet>
	