<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xforms="http://www.w3.org/2002/xforms">
	
<xsl:template name="cuerpo">
<xsl:param name="titulo"/>
<FORM NAME="mn" ACTION="{$servlet}" METHOD="POST">
	<INPUT TYPE="hidden" NAME="module" VALUE=""/>
</FORM>
<TABLE CLASS="normal">
<TR><TD COLSPAN="4"><HR WIDTH="100%"/></TD></TR>
<TR CLASS="titulo"><TD COLSPAN="4"><xsl:value-of select="$titulo"/></TD></TR>
<TR><TD COLSPAN="4"><HR WIDTH="100%"/></TD></TR>
<TR>
	<TD>&#160;</TD>
	<TD>
		<xsl:call-template name="showMenu">
			<xsl:with-param name="menu" select="DATA/MENU"/>
		</xsl:call-template>
	</TD>
	<TD>&#160;</TD>
	<TD>Menu de Opciones adecuado al perfil del usuario.</TD>
</TR>
<TR><TD COLSPAN="4">&#160;</TD></TR>
<TR>
	<TD>&#160;</TD>
	<TD>
		<UL>
			<LI>Menu Completo</LI>
			<UL>
				<LI><A OnMouseOver="window.status='Opcion A';return true;" HREF="javascript:document.mn.module.value='framewebsample/sample.opcionA';document.mn.submit();">Opcion A</A></LI>
				<UL><LI><A OnMouseOver="window.status='Subopcion A';return true;" HREF="javascript:document.mn.module.value='framewebsample/sample.subopcionA';document.mn.submit();">Subopcion A</A></LI></UL>
				<LI><A OnMouseOver="window.status='Opcion B';return true;" HREF="javascript:document.mn.module.value='framewebsample/sample.opcionB';document.mn.submit();">Opcion B</A></LI>
				<LI><A OnMouseOver="window.status='Opcion C';return true;" HREF="javascript:document.mn.module.value='framewebsample/sample.opcionC';document.mn.submit();">Opcion C</A></LI>
			</UL>
		</UL>			
	</TD>
	<TD>&#160;</TD>
	<TD>Menu de Opciones Esttico, pincha en las opciones que no aparecen arriba y mira que sucede.</TD>
</TR>
<TR><TD COLSPAN="4"><HR WIDTH="100%"/></TD></TR>
<TR>
	<TD>&#160;</TD>
	<TD><A HREF="framewebsample.SrvControl?module=framewebsample/sample.menu">Menu Inicial</A></TD>
	<TD>&#160;</TD>
	<TD>Volver al Menu de Inicio</TD>
</TR>
<TR>
	<TD>&#160;</TD>
	<TD><A HREF="../index.html">Salir</A></TD>
	<TD>&#160;</TD>
	<TD>Salir</TD>
</TR>
<TR>
	<TD>&#160;</TD>
	<TD><A HREF="framewebsample.SrvControl?module=atica.index">Documentacin Online</A></TD>
	<TD>&#160;</TD>
	<TD>Documentacin Online</TD>
</TR>
<TR>
	<TD>&#160;</TD>
	<TD><A HREF="framewebsample.SrvControl?module=framewebsample/sample.pdf">Prueba Impreso PDF</A></TD>
	<TD>&#160;</TD>
	<TD>Prueba Impreso PDF</TD>
</TR>
<TR><TD COLSPAN="4"><HR WIDTH="100%"/></TD></TR>
<TR>
<TD COLSPAN="4">
<FORM>
<TEXTAREA ROWS="8" COLS="100">
<xsl:copy-of select="/XMLROOT/."/>
</TEXTAREA>
</FORM>
</TD>
</TR>
<TR><TD COLSPAN="4"><HR WIDTH="100%"/></TD></TR>
<TR><TD COLSPAN="4">(c) 2005. ATICA. Vicerrectorado de Investigacin y Nuevas Tecnologas.</TD></TR>
</TABLE>
</xsl:template>

<xsl:template name="showMenu">
<xsl:param name="menu"/>
<UL>
<xsl:for-each select="$menu/ITEM">
	<xsl:choose>
		<xsl:when test="string-length(@URL)>0">
			<LI><A HREF="javascript:document.mn.module.value='{@URL}';document.mn.submit();" OnMouseOver="window.status='{@NAME}';return true;"><xsl:value-of select="@NAME"/></A></LI>			
		</xsl:when>
		<xsl:otherwise>
			<LI><xsl:value-of select="@NAME"/></LI>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="count(./ITEM)>0">
			<xsl:call-template name="showMenu">
				<xsl:with-param name="menu" select="."/>
			</xsl:call-template>
	</xsl:if>
</xsl:for-each>
</UL>
</xsl:template>

<xsl:template name="DateToString">
<xsl:param name="fecha"/>
<xsl:if test="string-length($fecha)>0">
	<xsl:variable name="date" select="substring-before($fecha,'T')"/>
	<xsl:variable name="hora" select="substring-after(substring-before($fecha,'.'),'T')"/>
	<xsl:variable name="anyo" select="substring-before($date,'-')"/>
	<xsl:variable name="mes" select="substring-before(substring-after($date,'-'),'-')"/>
	<xsl:variable name="dia" select="substring-after(substring-after($date,'-'),'-')"/>
	<xsl:value-of select="$dia"/>/<xsl:value-of select="$mes"/>/<xsl:value-of select="$anyo"/>&#160;<xsl:value-of select="$hora"/>
</xsl:if>
</xsl:template>

</xsl:stylesheet>
	