<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:param name="servlet" select="'none'"/>
<xsl:template match="MODULES">
<HTML>
  <HEAD>
    <META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
    <META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
    <TITLE>Documentacin FrameWeb</TITLE>
    <STYLE TYPE="text/css">
    <![CDATA[
	<!-- Tipos de Enlaces -->

	A {text-decoration:none; color:blue; font-family:Verdana,Arial; font-size:8pt; font-weight:bold;}

	<!-- Tipos de Titulos -->

	.titulo1 { font-size: 12pt; font-family: Verdana; font-weight: bold; text-transform: capitalize; background-color: white; color: darkblue; display: inline;}

	<!-- Tipos de Tabla -->

	.tabla TD { font-size: 10pt; font-family: Verdana; color: black; background-color: #FFFFFF; }
	.tabla TD.titulo { font-size: 10px; font-family: Verdana; color: white; background-color: #11709F; font-weight:bold; }
	.tabla TD.titulo1 { font-size: 12pt; font-family: Arial; font-weight: bold; text-transform: uppercase; background-color: white; color: #006699;}
	.tabla TD.fila0 { font-size: 10px; font-family: Verdana; color: black; background-color: #B9DCFF; }
	.tabla TD.fila1 { font-size: 10px; font-family: Verdana; color: black; background-color: #EFF7FF;}

	]]>
    </STYLE>
  </HEAD>
  <BODY BGCOLOR="#FFFFFF">
	<FORM NAME="mod" ACTION="{$servlet}" METHOD="POST">
		<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.index.show"/>
		<INPUT TYPE="hidden" NAME="docModule" VALUE=""/>
	</FORM>
	<FORM NAME="brk" ACTION="{$servlet}" METHOD="POST">
		<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/broker.listado.brokers"/>
	</FORM>
	<FORM NAME="sta" ACTION="{$servlet}" METHOD="POST">
		<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/broker.listado.stadistics"/>
	</FORM>
   <CENTER><DIV CLASS="titulo1">Mdulos Desarrollados</DIV></CENTER><BR/>
	<A HREF="javascript:document.brk.submit();">[Visualizar Broker]</A>&#160;
    <A HREF="javascript:document.sta.submit();">[Visualizar Estadsticas]</A>
   <DIV CLASS="tabla">
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD CLASS="titulo" COLSPAN="2">MODULOS</TD></TR>
	<xsl:for-each select="MODULE">
	<xsl:sort select="./@PACKAGE" case-order="lower-first"/>
		<TR><TD CLASS="fila{position() mod 2}"><A HREF="javascript:document.mod.docModule.value='{./@PACKAGE}';document.mod.submit();"><xsl:value-of select="./@PACKAGE"/></A></TD></TR>
	</xsl:for-each>
	<xsl:if test="count(MODULE)=0">
		<TR><TD COLSPAN="2">&#160;</TD></TR>
	</xsl:if>
	<TR><TD CLASS="titulo" COLSPAN="2">&#160;</TD></TR>
   </TABLE>
   </DIV>
  </BODY>
</HTML>
</xsl:template>

</xsl:stylesheet>
	