<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:param name="action" select="'none'"/>
<xsl:param name="servlet" select="'none'"/>
<xsl:template match="MODULE">
<HTML>
  <HEAD>
    <META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
    <META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
    <TITLE>Documentacin FrameWeb</TITLE>
    <STYLE TYPE="text/css">
    <![CDATA[
	<!-- Tipos de Enlaces -->

	A {text-decoration:none; color:blue; font-family:Verdana,Arial; font-size:8pt; font-weight:bold;}

	<!-- Tipos de Titulos -->

	.titulo1 { font-size: 12pt; font-family: Verdana; font-weight: bold; text-transform: capitalize; background-color: white; color: darkblue; display: inline;}

	<!-- Tipos de Tabla -->

	.tabla TD { font-size: 10pt; font-family: Verdana; color: black; background-color: #FFFFFF; }
	.tabla TD.titulo { font-size: 10px; font-family: Verdana; color: white; background-color: #11709F; font-weight:bold; }
	.tabla TD.titulo1 { font-size: 12pt; font-family: Arial; font-weight: bold; text-transform: uppercase; background-color: white; color: #006699;}
	.tabla TD.fila0 { font-size: 10px; font-family: Verdana; color: black; background-color: #B9DCFF; }
	.tabla TD.fila1 { font-size: 10px; font-family: Verdana; color: black; background-color: #EFF7FF;}

	]]>
    </STYLE>
	<SCRIPT LANGUAGE="JavaScript">
		function showClass(m) {
			document.shClass.file.value = m;
			document.shClass.submit();
		}
		function showXsl(id) {
			document.shXsl.file.value = id;
			document.shXsl.submit();
		}
		function showSql(o) {
			document.shSql.docModule.value = o;
			document.shSql.submit();
		}
		function showAccess(o) {
			document.shAccess.docModule.value = o;
			document.shAccess.submit();
		}
		function showStad(m) {
			var w = window.open("about:blank","ShowSta","width=600,height=400,left=50,top=50,scrollbars=yes");
			document.shSta.target = w.name;
			document.shSta.submit();
		}
		function showOp(m,o) {
			if (!((m==null)||(m==''))) document.shOp.docModule.value = m;
			document.shOp.docOperation.value = o;
			document.shOp.submit();
		}
	</SCRIPT>
  </HEAD>
  <BODY BGCOLOR="#FFFFFF">
   <FORM NAME="shSta" ACTION="{$servlet}" METHOD="POST">
	<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showAction.stadistics"/>
   </FORM>
   <FORM NAME="shOp" ACTION="{$servlet}" METHOD="POST">
	<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showAction"/>
	<INPUT TYPE="hidden" NAME="docModule" VALUE="{@PACKAGE}"/>
	<INPUT TYPE="hidden" NAME="docOperation" VALUE=""/>
   </FORM>
   <FORM NAME="shClass" ACTION="{$servlet}" TARGET="viewClass" METHOD="POST">
	<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showAction.showClass"/>
	<INPUT TYPE="hidden" NAME="docModule" VALUE="{@PACKAGE}"/>
	<INPUT TYPE="hidden" NAME="file" VALUE=""/>
   </FORM>
   <FORM NAME="shXsl" ACTION="{$servlet}" TARGET="viewXsl" METHOD="POST">
	<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showAction.showXsl"/>
	<INPUT TYPE="hidden" NAME="docModule" VALUE="{@PACKAGE}"/>
	<INPUT TYPE="hidden" NAME="file" VALUE=""/>
   </FORM>
   <FORM NAME="shSql" ACTION="{$servlet}" METHOD="POST">
	<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showAction.showSQL"/>
	<INPUT TYPE="hidden" NAME="docModule" VALUE="{@PACKAGE}"/>
   </FORM>
   <FORM NAME="shAccess" ACTION="{$servlet}" METHOD="POST">
	<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showAction.showAccess"/>
	<INPUT TYPE="hidden" NAME="docModule" VALUE="{@PACKAGE}"/>
   </FORM>
   <CENTER>
	<DIV CLASS="titulo1">Mdulo:&#160;</DIV><DIV CLASS="titulo2"><I><xsl:value-of select="@PACKAGE"/></I></DIV>
   	<DIV CLASS="titulo1">Operacin:&#160;</DIV><DIV CLASS="titulo2"><I><xsl:value-of select="$action"/></I></DIV>
   </CENTER>
    <FORM NAME="bck" ACTION="{$servlet}" METHOD="POST">
		<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showAction.back"/>
		<INPUT TYPE="hidden" NAME="docModule" VALUE="{./@PACKAGE}"/>
	</FORM>
	<A HREF="javascript:document.bck.submit();">[Volver]</A>
   <DIV CLASS="tabla">
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD WIDTH="20%" CLASS="titulo">ATRIBUTOS</TD><TD CLASS="titulo">VALORES</TD></TR>
	<xsl:for-each select="ACTION[@NAME=$action]/attribute::*">
	<TR>
	<TD CLASS="fila{position() mod 2}"><B><xsl:value-of select="name(.)"/></B></TD>
	<TD CLASS="fila{position() mod 2}"><xsl:value-of select="."/></TD>
	</TR>
	</xsl:for-each>
	<TR><TD COLSPAN="2">&#160;</TD></TR>
   </TABLE>
   </DIV>
   <BR/>
   <xsl:if test="count(ACTION[@NAME=$action]/FORWARD/NEXT)>0">
   <DIV CLASS="tabla">
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
   <TR><TD COLSPAN="3" CLASS="titulo">LISTA DE REDIRECCIONES</TD></TR>
   <TR><TD>
   <TABLE CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
   <TR><TD CLASS="titulo"><b>NAME</b></TD><TD CLASS="titulo"><b>MODULO</b></TD><TD CLASS="titulo"><b>ACTION</b></TD></TR>
	<xsl:apply-templates select="ACTION[@NAME=$action]/FORWARD/NEXT"/>
   </TABLE>
   </TD></TR>
   <TR><TD COLSPAN="3">&#160;</TD></TR>
   </TABLE>
   </DIV>
   </xsl:if>
   <xsl:if test="count(ACTION[@NAME=$action]/OBJECT)>0">
   <DIV CLASS="tabla">
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
   <TR><TD COLSPAN="2" CLASS="titulo">LISTA DE OBJETOS</TD></TR>
   <TR><TD>
	<xsl:apply-templates select="ACTION[@NAME=$action]/OBJECT"/>
   </TD></TR>
   <TR><TD COLSPAN="2">&#160;</TD></TR>
   </TABLE>
   </DIV>
   </xsl:if>
   <xsl:if test="count(ACTION[@NAME=$action]/OBJECT)>0">
   <DIV CLASS="tabla">
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
   <TR><TD COLSPAN="2" CLASS="titulo">ARCHIVO DE MAPPING</TD></TR>
   <TR><TD CLASS="fila1">
	<A HREF="javascript:showXsl('{@PACKAGE}/mapping.xml');">Ver Mapping</A>
   </TD></TR>
   <TR><TD COLSPAN="2">&#160;</TD></TR>
   </TABLE>
   </DIV>
   </xsl:if>
   <xsl:if test="count(ACTION[@NAME=$action]/OUTPUT/FILE)>0">
   <DIV CLASS="tabla">
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
   <TR><TD COLSPAN="2" CLASS="titulo">SALIDAS DEFINIDAS</TD></TR>
   <TR><TD>
	<xsl:apply-templates select="ACTION[@NAME=$action]/OUTPUT/FILE"/>
   </TD></TR>
   <TR><TD COLSPAN="2">&#160;</TD></TR>
   </TABLE>
   </DIV>
   </xsl:if>
   <DIV CLASS="tabla">
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD CLASS="titulo">QUERYS</TD></TR>
	<TR><TD CLASS="fila0"><A HREF="javascript:showSql('{@PACKAGE}');">Ver Querys</A></TD></TR>
	<TR><TD>&#160;</TD></TR>
   </TABLE>
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD CLASS="titulo">ACCESOS</TD></TR>
	<TR><TD CLASS="fila1"><A HREF="javascript:showAccess('{@PACKAGE}');">Ver Accesos</A></TD></TR>
	<TR><TD>&#160;</TD></TR>
   </TABLE>
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD CLASS="titulo">ESTADISTICAS</TD></TR>
	<TR><TD CLASS="fila1"><A HREF="javascript:showStad('{@PACKAGE}');">Ver Estadisticas</A></TD></TR>
	<TR><TD>&#160;</TD></TR>
   </TABLE>
   </DIV>
  </BODY>
</HTML>
</xsl:template>

<xsl:template match="NEXT">
	<xsl:variable name="miMod"><xsl:choose><xsl:when test="string-length(@MODULE)>0"><xsl:value-of select="@MODULE"/></xsl:when><xsl:otherwise><xsl:value-of select="/MODULE/@PACKAGE"/></xsl:otherwise></xsl:choose></xsl:variable>
	<TR>
		<TD CLASS="fila{position() mod 2}"><a href="javascript:showOp('{$miMod}','{@ACTION}');"><xsl:value-of select="@NAME"/></a></TD>
		<TD CLASS="fila{position() mod 2}"><xsl:value-of select="@MODULE"/></TD>
		<TD CLASS="fila{position() mod 2}"><xsl:value-of select="@ACTION"/></TD>
	</TR>
</xsl:template>

<xsl:template match="OBJECT">

   <DIV CLASS="tabla">
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD COLSPAN="2" CLASS="titulo">OBJECT</TD></TR>
	<xsl:for-each select="./attribute::*">
	<TR>
	<TD CLASS="fila{position() mod 2}"><B><xsl:value-of select="name(.)"/></B></TD>
	<xsl:choose>
	<xsl:when test="name(.)='CLASS'">
	<TD CLASS="fila{position() mod 2}"><A HREF="javascript:showClass('{translate(.,'.','/')}.java')"><xsl:value-of select="."/></A></TD>
	</xsl:when>
	<xsl:otherwise>
	<TD CLASS="fila{position() mod 2}"><xsl:value-of select="."/></TD>
	</xsl:otherwise>
	</xsl:choose>
	</TR>
	</xsl:for-each>
        <TR><TD COLSPAN="2">&#160;</TD></TR>
	<TR><TD COLSPAN="2">
	<TABLE WIDTH="100%">
	<TR><TD>&#160;</TD><TD>
   	<TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR>
	<TD CLASS="titulo"><B>NOMBRE</B></TD>
	<TD CLASS="titulo"><B>PARMETRO</B></TD>
	<TD CLASS="titulo"><B>FROM</B></TD>
	<TD CLASS="titulo"><B>TIPO</B></TD>
	<TD CLASS="titulo"><B>VALUE</B></TD>
	<TD CLASS="titulo"><B>SAVE</B></TD>
	</TR>
	<xsl:for-each select="./*">
		<xsl:call-template name="METODO"/>
	</xsl:for-each>
	</TABLE>
	</TD></TR>
	</TABLE>
	</TD></TR>
	<TR><TD COLSPAN="2">&#160;</TD></TR>
	<TR><TD COLSPAN="2">&#160;</TD></TR>
   </TABLE>
   </DIV>

</xsl:template>

<xsl:template name="METODO">

	<TR>
	<TD CLASS="fila{position() mod 2}"><xsl:value-of select="@NAME"/></TD>
	<TD CLASS="fila{position() mod 2}"><xsl:value-of select="@PARAM"/></TD>
	<TD CLASS="fila{position() mod 2}"><xsl:value-of select="@FROM"/></TD>
	<TD CLASS="fila{position() mod 2}"><xsl:value-of select="@TYPE"/></TD>
	<TD CLASS="fila{position() mod 2}"><xsl:value-of select="@VALUE"/></TD>
	<TD CLASS="fila{position() mod 2}"><xsl:value-of select="@SAVE"/></TD>
	</TR>

</xsl:template>

<xsl:template match="FILE">

   <DIV CLASS="tabla">
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD COLSPAN="2" CLASS="titulo">SALIDA</TD></TR>
	<xsl:for-each select="./attribute::*">
	<TR>
	<TD CLASS="fila{position() mod 2}"><B><xsl:value-of select="name(.)"/></B></TD>
	<xsl:choose>
	<xsl:when test="name(.)='TYPE'">
	<TD CLASS="fila{position() mod 2}">
		<xsl:choose>
			<xsl:when test=".='XSL' or .='FOP'">
				<A HREF="javascript:showXsl('{../../../../@PACKAGE}/{../@ID}/{../../../@NAME}.xsl')"><xsl:value-of select="."/></A>
			</xsl:when>
			<xsl:when test=".='FWD'">
				<xsl:variable name="miMod"><xsl:choose><xsl:when test="string-length(../@MODULE)>0"><xsl:value-of select="../@MODULE"/></xsl:when><xsl:otherwise><xsl:value-of select="/MODULE/@PACKAGE"/></xsl:otherwise></xsl:choose></xsl:variable>
				<A HREF="javascript:showOp('{$miMod}','{../@ACTION}')"><xsl:value-of select="."/></A>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</TD>
	</xsl:when>
	<xsl:otherwise>
	<TD CLASS="fila{position() mod 2}"><xsl:value-of select="."/></TD>
	</xsl:otherwise>
	</xsl:choose>
	</TR>
	</xsl:for-each>
	<TR><TD COLSPAN="2">&#160;</TD></TR>
   </TABLE>
   </DIV>

</xsl:template>

</xsl:stylesheet>
	