<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:param name="servlet" select="'none'"/>	
<xsl:template match="MODULE">
<HTML>
  <HEAD>
    <META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
    <META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
    <TITLE>Documentacin FrameWeb</TITLE>
    <STYLE TYPE="text/css">
    <![CDATA[
	<!-- Tipos de Enlaces -->

	A {text-decoration:none; color:blue; font-family:Verdana,Arial; font-size:8pt; font-weight:bold;}

	<!-- Tipos de Titulos -->

	.titulo1 { font-size: 12pt; font-family: Verdana; font-weight: bold; text-transform: capitalize; background-color: white; color: darkblue; display: inline;}

	<!-- Tipos de Tabla -->

	.tabla TD { font-size: 10pt; font-family: Verdana; color: black; background-color: #FFFFFF; }
	.tabla TD.titulo { font-size: 10px; font-family: Verdana; color: white; background-color: #11709F; font-weight:bold; }
	.tabla TD.titulo1 { font-size: 12pt; font-family: Arial; font-weight: bold; text-transform: uppercase; background-color: white; color: #006699;}
	.tabla TD.fila0 { font-size: 10px; font-family: Verdana; color: black; background-color: #B9DCFF; }
	.tabla TD.fila1 { font-size: 10px; font-family: Verdana; color: black; background-color: #EFF7FF;}

	]]>
    </STYLE>
	<SCRIPT LANGUAGE="JavaScript">
		function showStad(m) {
			var w = window.open("about:blank","ShowSta","width=600,height=400,left=50,top=50,scrollbars=yes");
			document.shSta.target = w.name;
			document.shSta.submit();
		}
		function showBrk(m) {
			var w = window.open("about:blank","ShowBrk","width=600,height=400,left=50,top=50,scrollbars=yes");
			document.shBrk.target = w.name;
			document.shBrk.submit();
		}
		function showOp(o) {
			document.shOp.docOperation.value = o;
			document.shOp.submit();
		}
		function showXsl(id) {
			document.shXsl.file.value = id;
			document.shXsl.submit();
		}
		function showSql(o) {
			document.shSql.docModule.value = o;
			document.shSql.submit();
		}
		function showAccess(o) {
			document.shAccess.docModule.value = o;
			document.shAccess.submit();
		}
	</SCRIPT>
  </HEAD>
  <BODY BGCOLOR="#FFFFFF">
   <FORM NAME="shBrk" ACTION="{$servlet}" METHOD="POST">
	<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showModule.broker"/>
   </FORM>
   <FORM NAME="shSta" ACTION="{$servlet}" METHOD="POST">
	<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showModule.stadistics"/>
   </FORM>
   <FORM NAME="shOp" ACTION="{$servlet}" METHOD="POST">
	<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showModule.showAction"/>
	<INPUT TYPE="hidden" NAME="docModule" VALUE="{@PACKAGE}"/>
	<INPUT TYPE="hidden" NAME="docOperation" VALUE=""/>
   </FORM>
   <FORM NAME="shXsl" ACTION="{$servlet}" TARGET="viewXsl" METHOD="POST">
	<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showModule.showXsl"/>
	<INPUT TYPE="hidden" NAME="docModule" VALUE="{@PACKAGE}"/>
	<INPUT TYPE="hidden" NAME="file" VALUE=""/>
   </FORM>
   <FORM NAME="shSql" ACTION="{$servlet}" METHOD="POST">
	<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showModule.showSQL"/>
	<INPUT TYPE="hidden" NAME="docModule" VALUE="{@PACKAGE}"/>
   </FORM>
   <FORM NAME="shAccess" ACTION="{$servlet}" METHOD="POST">
	<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showModule.showAccess"/>
	<INPUT TYPE="hidden" NAME="docModule" VALUE="{@PACKAGE}"/>
   </FORM>
   <CENTER><DIV CLASS="titulo1">Mdulo:</DIV>&#160;<DIV CLASS="titulo2"><I><xsl:value-of select="@PACKAGE"/></I></DIV></CENTER>
    <FORM NAME="bck" ACTION="{$servlet}" METHOD="POST">
		<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showModule.back"/>
	</FORM>
	<A HREF="javascript:document.bck.submit();">[Volver]</A>
   <DIV CLASS="tabla">
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD WIDTH="20%" CLASS="titulo">ATRIBUTOS</TD><TD CLASS="titulo">VALORES</TD></TR>
	<xsl:for-each select="./attribute::*">
	<TR>
	<TD CLASS="fila{position() mod 2}"><xsl:value-of select="name(.)"/></TD>
	<xsl:choose>
	<xsl:when test="name(.)='DATASOURCE'">
	<TD CLASS="fila{position() mod 2}"><A HREF="javascript:showBrk('{.}')"><xsl:value-of select="."/></A></TD>
	</xsl:when>
	<xsl:otherwise>
	<TD CLASS="fila{position() mod 2}"><xsl:value-of select="."/></TD>
	</xsl:otherwise>
	</xsl:choose>
	</TR>
	</xsl:for-each>
	<TR><TD COLSPAN="2">&#160;</TD></TR>
   </TABLE>
   </DIV>
   <BR/>
   <DIV CLASS="tabla">
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD COLSPAN="2" CLASS="titulo">SOPORTE PARA SALIDAS</TD></TR>
	<xsl:for-each select="OUTPUT-DEVICES/MIME">
	<TR>
	<TD CLASS="fila{position() mod 2}"><xsl:value-of select="@FILE-ID"/>&#160;<xsl:value-of select="@TYPE"/></TD>
	</TR>
	</xsl:for-each>
	<TR><TD COLSPAN="2">&#160;</TD></TR>
   </TABLE>
   </DIV>
   <BR/>
   <DIV CLASS="tabla">
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD CLASS="titulo">OPERACIONES</TD></TR>
	<xsl:for-each select="ACTION">
	  <TR>
	  <TD CLASS="fila{position() mod 2}">
		<A HREF="javascript:showOp('{@NAME}');"><xsl:value-of select="@NAME"/></A>
		<xsl:if test="count(DESCRIPTION)=1">
		<BR/>
		&#160;&#160;<B>Descripcin:</B>&#160;<xsl:value-of select="DESCRIPTION/."/>
		</xsl:if>
	  </TD>
	  </TR>
	</xsl:for-each>
	<TR><TD>&#160;</TD></TR>
   </TABLE>
   </DIV>
   <DIV CLASS="tabla">
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD CLASS="titulo">QUERYS</TD></TR>
	<TR><TD CLASS="fila0"><A HREF="javascript:showSql('{@PACKAGE}');">Ver Querys</A></TD></TR>
	<TR><TD>&#160;</TD></TR>
   </TABLE>
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD CLASS="titulo">ACCESOS</TD></TR>
	<TR><TD CLASS="fila1"><A HREF="javascript:showAccess('{@PACKAGE}');">Ver Accesos</A></TD></TR>
	<TR><TD>&#160;</TD></TR>
   </TABLE>
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD CLASS="titulo">ESTADISTICAS</TD></TR>
	<TR><TD CLASS="fila1"><A HREF="javascript:showStad('{@PACKAGE}');">Ver Estadisticas</A></TD></TR>
	<TR><TD>&#160;</TD></TR>
   </TABLE>
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD CLASS="titulo">DICCIONARIO</TD></TR>
	<TR><TD CLASS="fila1"><A HREF="javascript:showXsl('{@PACKAGE}/dictionary.xml');">Ver Diccionario</A></TD></TR>
	<TR><TD>&#160;</TD></TR>
   </TABLE>
   </DIV>
  </BODY>
</HTML>
</xsl:template>
</xsl:stylesheet>
	