<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:param name="servlet" select="'none'"/>	
<xsl:template match="QUERYS">
<HTML>
  <HEAD>
    <META HTTP-EQUIV="expires" CONTENT="01 01 1900 GMT"/>
    <META HTTP-EQUIV="Pragma" CONTENT="NO-CACHE"/>
    <TITLE>Documentacin FrameWeb</TITLE>
    <STYLE TYPE="text/css">
    <![CDATA[
	<!-- Tipos de Enlaces -->

	A {text-decoration:none; color:blue; font-family:Verdana,Arial; font-size:8pt; font-weight:bold;}

	<!-- Tipos de Titulos -->

	.titulo1 { font-size: 12pt; font-family: Verdana; font-weight: bold; text-transform: capitalize; background-color: white; color: darkblue; display: inline;}

	<!-- Tipos de Tabla -->

	.tabla TD { font-size: 10pt; font-family: Verdana; color: black; background-color: #FFFFFF; }
	.tabla TD.titulo { font-size: 10px; font-family: Verdana; color: white; background-color: #11709F; font-weight:bold; }
	.tabla TD.titulo1 { font-size: 12pt; font-family: Arial; font-weight: bold; text-transform: uppercase; background-color: white; color: #006699;}
	.tabla TD.fila0 { font-size: 10px; font-family: Verdana; color: black; background-color: #B9DCFF; }
	.tabla TD.fila1 { font-size: 10px; font-family: Verdana; color: black; background-color: #EFF7FF;}

	]]>
    </STYLE>
  </HEAD>
  <BODY BGCOLOR="#FFFFFF">
	<xsl:choose>
		<xsl:when test="@PACKAGE!=''">
	
   <CENTER><DIV CLASS="titulo1">Querys Mdulo:</DIV><DIV CLASS="titulo2"><xsl:value-of select="@PACKAGE"/></DIV></CENTER><BR/>
    <FORM NAME="bck" ACTION="{$servlet}" METHOD="POST">
		<INPUT TYPE="hidden" NAME="module" VALUE="atica/frameweb/documentacion.showSQL.back"/>
		<INPUT TYPE="hidden" NAME="docModule" VALUE="{@PACKAGE}"/>
	</FORM>
	<A HREF="javascript:document.bck.submit();">[Volver]</A>
   <DIV CLASS="tabla">
   <TABLE WIDTH="100%" CELLPADING="0" CELLSPACING="0">
	<TR><TD CLASS="titulo">RESUMEN QUERYS</TD></TR>
	<TR><TD CLASS="fila1"><B>Selects:</B>&#160;<xsl:value-of select="count(QUERY/SQL[starts-with(normalize-space(.),'select')])"/></TD></TR>
	<TR><TD CLASS="fila1"><B>Inserts:</B>&#160;<xsl:value-of select="count(QUERY/SQL[starts-with(normalize-space(.),'insert')])"/></TD></TR>
	<TR><TD CLASS="fila1"><B>Deletes:</B>&#160;<xsl:value-of select="count(QUERY/SQL[starts-with(normalize-space(.),'delete')])"/></TD></TR>
	<TR><TD CLASS="fila1"><B>Updates:</B>&#160;<xsl:value-of select="count(QUERY/SQL[starts-with(normalize-space(.),'update')])"/></TD></TR>
	<TR><TD>&#160;</TD></TR>
	<xsl:variable name="varsel">
	<xsl:for-each select="QUERY/SQL[starts-with(normalize-space(.),'select')]">
		<xsl:call-template name="extraeTable">
			<xsl:with-param name="from" select="substring-after(normalize-space(.),'from')"/>
		</xsl:call-template>
	</xsl:for-each>
	</xsl:variable>
	<xsl:variable name="vardel">
	<xsl:for-each select="QUERY/SQL[starts-with(normalize-space(.),'delete')]">
		<xsl:call-template name="extraeTable">
			<xsl:with-param name="from" select="substring-after(normalize-space(.),'from')"/>
		</xsl:call-template>
	</xsl:for-each>
	</xsl:variable>
	<xsl:variable name="varins">
	<xsl:for-each select="QUERY/SQL[starts-with(normalize-space(.),'insert')]">
		<xsl:call-template name="extraeTableInsert">
			<xsl:with-param name="from" select="substring-after(normalize-space(.),'into')"/>
		</xsl:call-template>
	</xsl:for-each>
	</xsl:variable>
	<xsl:variable name="varup">
	<xsl:for-each select="QUERY/SQL[starts-with(normalize-space(.),'update')]">
		<xsl:call-template name="extraeTableUpdate">
			<xsl:with-param name="from" select="substring-after(normalize-space(.),'update')"/>
		</xsl:call-template>
	</xsl:for-each>
	</xsl:variable>
	<TR><TD CLASS="titulo">TABLAS UTILIZADAS</TD></TR>
	<TR><TD><TABLE>
	<TR><TD CLASS="fila1" valign="top"><B>Select:</B><br/>
	<xsl:call-template name="nextTableRepeat">
		<xsl:with-param name="tabs" select="normalize-space($varsel)"/>
	</xsl:call-template>
	</TD>
	<TD CLASS="fila1" valign="top"><B>Delete:</B><br/>
	<xsl:call-template name="nextTableRepeat">
		<xsl:with-param name="tabs" select="normalize-space($vardel)"/>
	</xsl:call-template>
	</TD>
	<TD CLASS="fila1" valign="top"><B>Insert:</B><br/>
	<xsl:call-template name="nextTableRepeat">
		<xsl:with-param name="tabs" select="normalize-space($varins)"/>
	</xsl:call-template>
	</TD>
	<TD CLASS="fila1" valign="top"><B>Update:</B><br/>
	<xsl:call-template name="nextTableRepeat">
		<xsl:with-param name="tabs" select="normalize-space($varup)"/>
	</xsl:call-template>
	</TD></TR>
	</TABLE>
	</TD></TR>
	<TR><TD>&#160;</TD></TR>
	<TR><TD CLASS="titulo">SELECTS</TD></TR>
	<xsl:for-each select="QUERY/SQL[starts-with(normalize-space(.),'select')]">
	<xsl:sort select="@ID" case-order="lower-first"/>
		<TR><TD CLASS="fila{position() mod 2}"><B><xsl:value-of select="../@ID"/></B></TD></TR>
		<xsl:if test="count(../DESCRIPCION)>0">
		<TR><TD><B>Descripcin:</B><xsl:value-of select="../DESCRIPCION"/></TD></TR>
		</xsl:if>
		<xsl:if test="count(../CAMPO)>0">
		<TR><TD><B>Campos</B></TD></TR>
		<TR><TD><TABLE>
		<TR><TD CLASS="titulo">NOMBRE</TD><TD CLASS="titulo">TIPO</TD><TD CLASS="titulo">DESCRIPCION</TD></TR>
		<xsl:for-each select="../CAMPO">
			<TR>
			<TD CLASS="fila1"><xsl:value-of select="@NOMBRE"/></TD>
			<TD CLASS="fila1"><xsl:value-of select="@TIPO"/></TD>
			<TD CLASS="fila1"><xsl:value-of select="@DESCRIPCION"/></TD>
			</TR>
		</xsl:for-each>
		</TABLE>
		</TD></TR>
		</xsl:if>
		<TR><TD>&#160;</TD></TR>
		<TR><TD><PRE><xsl:value-of select="."/></PRE></TD></TR>
	</xsl:for-each>
	<TR><TD>&#160;</TD></TR>
	<TR><TD CLASS="titulo">DELETES</TD></TR>
	<xsl:for-each select="QUERY/SQL[starts-with(normalize-space(.),'delete')]">
	<xsl:sort select="@ID" case-order="lower-first"/>
		<TR><TD CLASS="fila{position() mod 2}"><B><xsl:value-of select="../@ID"/></B></TD></TR>
		<xsl:if test="count(../DESCRIPCION)>0">
		<TR><TD><B>Descripcin:</B><xsl:value-of select="../DESCRIPCION"/></TD></TR>
		</xsl:if>
		<xsl:if test="count(../CAMPO)>0">
		<TR><TD><B>Campos</B></TD></TR>
		<TR><TD><TABLE>
		<TR><TD CLASS="titulo">NOMBRE</TD><TD CLASS="titulo">TIPO</TD><TD CLASS="titulo">DESCRIPCION</TD></TR>
		<xsl:for-each select="../CAMPO">
			<TR>
			<TD CLASS="fila1"><xsl:value-of select="@NOMBRE"/></TD>
			<TD CLASS="fila1"><xsl:value-of select="@TIPO"/></TD>
			<TD CLASS="fila1"><xsl:value-of select="@DESCRIPCION"/></TD>
			</TR>
		</xsl:for-each>
		</TABLE>
		</TD></TR>
		</xsl:if>
		<TR><TD>&#160;</TD></TR>
		<TR><TD><PRE><xsl:value-of select="."/></PRE></TD></TR>
	</xsl:for-each>
	<TR><TD>&#160;</TD></TR>
	<TR><TD CLASS="titulo">INSERTS</TD></TR>
	<xsl:for-each select="QUERY/SQL[starts-with(normalize-space(.),'insert')]">
	<xsl:sort select="@ID" case-order="lower-first"/>
		<TR><TD CLASS="fila{position() mod 2}"><B><xsl:value-of select="../@ID"/></B></TD></TR>
		<xsl:if test="count(../DESCRIPCION)>0">
		<TR><TD><B>Descripcin:</B><xsl:value-of select="../DESCRIPCION"/></TD></TR>
		</xsl:if>
		<xsl:if test="count(../CAMPO)>0">
		<TR><TD><B>Campos</B></TD></TR>
		<TR><TD><TABLE>
		<TR><TD CLASS="titulo">NOMBRE</TD><TD CLASS="titulo">TIPO</TD><TD CLASS="titulo">DESCRIPCION</TD></TR>
		<xsl:for-each select="../CAMPO">
			<TR>
			<TD CLASS="fila1"><xsl:value-of select="@NOMBRE"/></TD>
			<TD CLASS="fila1"><xsl:value-of select="@TIPO"/></TD>
			<TD CLASS="fila1"><xsl:value-of select="@DESCRIPCION"/></TD>
			</TR>
		</xsl:for-each>
		</TABLE>
		</TD></TR>
		</xsl:if>
		<TR><TD>&#160;</TD></TR>
		<TR><TD><PRE><xsl:value-of select="."/></PRE></TD></TR>
	</xsl:for-each>
	<TR><TD>&#160;</TD></TR>
	<TR><TD CLASS="titulo">UPDATES</TD></TR>
	<xsl:for-each select="QUERY/SQL[starts-with(normalize-space(.),'update')]">
	<xsl:sort select="@ID" case-order="lower-first"/>
		<TR><TD CLASS="fila{position() mod 2}"><B><xsl:value-of select="../@ID"/></B></TD></TR>
		<xsl:if test="count(../DESCRIPCION)>0">
		<TR><TD><B>Descripcin:</B><xsl:value-of select="../DESCRIPCION"/></TD></TR>
		</xsl:if>
		<xsl:if test="count(../CAMPO)>0">
		<TR><TD><B>Campos</B></TD></TR>
		<TR><TD><TABLE>
		<TR><TD CLASS="titulo">NOMBRE</TD><TD CLASS="titulo">TIPO</TD><TD CLASS="titulo">DESCRIPCION</TD></TR>
		<xsl:for-each select="../CAMPO">
			<TR>
			<TD CLASS="fila1"><xsl:value-of select="@NOMBRE"/></TD>
			<TD CLASS="fila1"><xsl:value-of select="@TIPO"/></TD>
			<TD CLASS="fila1"><xsl:value-of select="@DESCRIPCION"/></TD>
			</TR>
		</xsl:for-each>
		</TABLE>
		</TD></TR>
		</xsl:if>
		<TR><TD>&#160;</TD></TR>
		<TR><TD><PRE><xsl:value-of select="."/></PRE></TD></TR>
	</xsl:for-each>
	<TR><TD>&#160;</TD></TR>
   </TABLE>
   </DIV>
		</xsl:when>
		<xsl:otherwise>
 
   <CENTER><DIV CLASS="titulo1">No Hay Querys en el Mdulo.</DIV></CENTER><BR/>
			
		</xsl:otherwise>
	</xsl:choose>
  </BODY>
</HTML>
</xsl:template>

<xsl:template name="extraeTable">
<xsl:param name="from"/>

	<xsl:variable name="tablas" select="normalize-space(substring-before($from,'where'))"/>
	<xsl:if test="$tablas=''">
		<xsl:value-of select="normalize-space($from)"/>
	</xsl:if>
	<xsl:if test="not($tablas='')">
	<xsl:call-template name="nextTable">
		<xsl:with-param name="tabs" select="$tablas"/>
	</xsl:call-template>
	</xsl:if>

</xsl:template>

<xsl:template name="extraeTableInsert">
<xsl:param name="from"/>

	<xsl:variable name="tablas" select="normalize-space(substring-before($from,'values'))"/>
	<xsl:if test="$tablas=''">
	<xsl:variable name="tablas" select="normalize-space(substring-before($from,'('))"/>
	</xsl:if>
	<xsl:if test="not($tablas='')">
	<xsl:call-template name="nextTable">
		<xsl:with-param name="tabs" select="$tablas"/>
	</xsl:call-template>
	</xsl:if>

</xsl:template>

<xsl:template name="extraeTableUpdate">
<xsl:param name="from"/>

	<xsl:variable name="tablas" select="normalize-space(substring-before($from,'set'))"/>
	<xsl:if test="not($tablas='')">
	<xsl:call-template name="nextTable">
		<xsl:with-param name="tabs" select="$tablas"/>
	</xsl:call-template>
	</xsl:if>

</xsl:template>

<xsl:template name="nextTable">
<xsl:param name="tabs"/>

	<xsl:choose>
	<xsl:when test="substring-after($tabs,',')=''">
		<xsl:value-of select="$tabs"/>,
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="substring-before($tabs,',')"/>,
		<xsl:call-template name="nextTable">
			<xsl:with-param name="tabs" select="substring-after($tabs,',')"/>
		</xsl:call-template>
	</xsl:otherwise>
	</xsl:choose>

</xsl:template>


<xsl:template name="nextTableRepeat">
<xsl:param name="tabs"/>

	<xsl:choose>
	<xsl:when test="substring-after($tabs,',')=''">
	<xsl:choose>
	<xsl:when test="substring-before($tabs,',')=''">
		<xsl:value-of select="normalize-space($tabs)"/><br/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="substring-before($tabs,',')"/><br/>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:when>
	<xsl:otherwise>
		<xsl:if test="not(contains(substring-after($tabs,','),concat(substring-before($tabs,','),',')))">
			<xsl:value-of select="substring-before($tabs,',')"/><br/>
		</xsl:if>
		<xsl:call-template name="nextTableRepeat">
			<xsl:with-param name="tabs" select="substring-after($tabs,',')"/>
		</xsl:call-template>
	</xsl:otherwise>
	</xsl:choose>

</xsl:template>

</xsl:stylesheet>
	